=== added directory 'HELAS'
=== added file 'HELAS/HELASVersion.txt'
--- HELAS/HELASVersion.txt	1970-01-01 00:00:00 +0000
+++ HELAS/HELASVersion.txt	2010-10-30 03:26:37 +0000
@@ -0,0 +1,1 @@
+3.8

=== added file 'HELAS/Makefile'
--- HELAS/Makefile	1970-01-01 00:00:00 +0000
+++ HELAS/Makefile	2010-10-30 03:26:37 +0000
@@ -0,0 +1,123 @@
+# ----------------------------------------------------------------------------
+#
+# Makefile for DHELAS 3.0 library
+# Feb. 28, 2001
+#
+# ----------------------------------------------------------------------------
+#
+# Use a TAB to precede shell commands (e.g., f90, ar, etc).
+# Note: this Makefile uses features that *may not*
+# be supported by make utilities other than GNU make.
+#
+# ----------------------------------------------------------------------------
+# coupsm.F and coupsm.inc are not to be included if HELAS is used with 
+# the 2003 version of MadEvent
+# ----------------------------------------------------------------------------
+
+FC            = f77
+
+FFLAGS        = -O -I.
+
+LD	      = ld
+
+DEST	      = ./lib/
+
+EXTHDRS	      =
+
+HDRS	      =
+
+INSTALL	      = /etc/install
+
+LIBRARY	      = ./lib/libdhelas3.a
+
+MAKEFILE      = Makefile
+
+OBJS	      =	httsxx.o hstlxx.o hvvshx.o \
+		vvvtlx.o jvvtlx.o uvvvlx.o sstlxx.o usslxx.o \
+		hvvhxx.o hvvvxx.o httaxx.o \
+		vvsshx.o jvsshx.o ttssxx.o utssxx.o \
+		ttsaxx.o jvvsxx.o vvvsxx.o jvshxx.o utsaxx.o \
+		vvshxx.o jvtaxx.o vvtaxx.o uvvaxx.o \
+		momntx.o mom2cx.o boostx.o rotxxx.o \
+		ixxxxx.o oxxxxx.o vxxxxx.o sxxxxx.o \
+		iovxxx.o fvixxx.o fvoxxx.o jioxxx.o j3xxxx.o \
+		iosxxx.o fsixxx.o fsoxxx.o hioxxx.o \
+		vvvxxx.o jvvxxx.o gggxxx.o jggxxx.o \
+		vvsxxx.o jvsxxx.o hvvxxx.o \
+		vssxxx.o jssxxx.o hvsxxx.o \
+		sssxxx.o hssxxx.o \
+		wwwwxx.o jwwwxx.o w3w3xx.o jw3wxx.o \
+		ggggxx.o jgggxx.o \
+		vvssxx.o jvssxx.o hvvsxx.o \
+		ssssxx.o hsssxx.o \
+		eaixxx.o eaoxxx.o jeexxx.o \
+		ioscxx.o fsicxx.o fsocxx.o hiocxx.o \
+		iovcxx.o fvicxx.o fvocxx.o jiocxx.o \
+		iovgox.o fvigox.o fvogox.o jiogox.o \
+		iovdmx.o fvidmx.o fvodmx.o jiodmx.o \
+		iosgld.o fsigld.o fsogld.o hiogld.o \
+		iovgld.o fvigld.o fvogld.o jiogld.o \
+		txxxxx.o txxxx2.o \
+		iotxkk.o iovtkk.o vvtxkk.o ftixkk.o ftoxkk.o \
+                iovkxx.o vvvkxx.o jiokxx.o jvvkxx.o \
+                sstxxx.o hstxxx.o ussxxx.o \
+                iotxxx.o ftixxx.o ftoxxx.o uioxxx.o \
+                vvtxxx.o uvvxxx.o jvtxxx.o \
+                iovtxx.o fvtixx.o fvtoxx.o jiotxx.o uiovxx.o \
+                vvvtxx.o jvvtxx.o uvvvxx.o \
+                ggggtx.o jgggtx.o uggggx.o \
+                w3w3nx.o jw3wnx.o jwwwnx.o wwwwnx.o
+
+PRINT	      = pr
+
+SHELL	      = /bin/sh
+
+SYSHDRS	      =
+
+MFLAGS        = -e
+
+#.F.o:
+%.o : %.F
+	$(FC) $(FFLAGS) -c $<
+
+%.o : %.f
+	$(FC) $(FFLAGS) -c $<
+
+all:		$(LIBRARY)
+
+helas:
+		-rm -f *.o
+		export FFLAGS='-O +cpp' && \
+		export LIBRARY=libdhelas3.a && \
+		$(MAKE) $(MFLAGS)
+
+helas_check:
+		-rm -f *.o
+		export FFLAGS='-O +cpp -DHELAS_CHECK' && \
+		export LIBRARY=libdhelas3_check.a && \
+		$(MAKE) $(MFLAGS)
+
+install-helas:
+		export LIBRARY=libdhelas3.a && \
+		$(MAKE) $(MFLAGS) install	
+
+install-helas_check:
+		export LIBRARY=libdhelas3.a && \
+		$(MAKE) $(MFLAGS) install	
+
+$(LIBRARY):	$(OBJS)
+		@echo  "Loading $(LIBRARY) ... "
+		@ar cru $(LIBRARY) $(OBJS)
+		@echo "done"
+
+clean:;		@rm -f $(OBJS) core
+
+clobber:;	@rm -f $(OBJS) $(LIBRARY) core tags
+
+install:	$(LIBRARY)
+	        @echo Installing $(LIBRARY) in $(DEST)
+	        @if [ $(DEST) != . ]; then \
+	        (rm -f $(DEST)/$(LIBRARY); $(INSTALL) -f $(DEST) $(LIBRARY)); fi
+
+$(DEST)/$(LIBRARY): $(SRCS) $(HDRS) $(EXTHDRS)
+	        @$(MAKE) -f $(MAKEFILE) ROOT=$(ROOT) DEST=$(DEST) install

=== added file 'HELAS/Makefile.template'
--- HELAS/Makefile.template	1970-01-01 00:00:00 +0000
+++ HELAS/Makefile.template	2010-10-30 03:26:37 +0000
@@ -0,0 +1,123 @@
+# ----------------------------------------------------------------------------
+#
+# Makefile for DHELAS 3.0 library
+# Feb. 28, 2001
+#
+# ----------------------------------------------------------------------------
+#
+# Use a TAB to precede shell commands (e.g., f90, ar, etc).
+# Note: this Makefile uses features that *may not*
+# be supported by make utilities other than GNU make.
+#
+# ----------------------------------------------------------------------------
+# coupsm.F and coupsm.inc are not to be included if HELAS is used with 
+# the 2003 version of MadEvent
+# ----------------------------------------------------------------------------
+
+FC            = f77
+
+FFLAGS        = -O -I.
+
+LD	      = ld
+
+DEST	      = ../
+
+EXTHDRS	      =
+
+HDRS	      =
+
+INSTALL	      = /etc/install
+
+LIBRARY	      = ../libdhelas3.a
+
+MAKEFILE      = Makefile
+
+OBJS	      =	httsxx.o hstlxx.o hvvshx.o \
+		vvvtlx.o jvvtlx.o uvvvlx.o sstlxx.o usslxx.o \
+		hvvhxx.o hvvvxx.o httaxx.o \
+		vvsshx.o jvsshx.o ttssxx.o utssxx.o \
+		ttsaxx.o jvvsxx.o vvvsxx.o jvshxx.o utsaxx.o \
+		vvshxx.o jvtaxx.o vvtaxx.o uvvaxx.o \
+		momntx.o mom2cx.o boostx.o rotxxx.o \
+		ixxxxx.o oxxxxx.o vxxxxx.o sxxxxx.o \
+		iovxxx.o fvixxx.o fvoxxx.o jioxxx.o j3xxxx.o \
+		iosxxx.o fsixxx.o fsoxxx.o hioxxx.o \
+		vvvxxx.o jvvxxx.o gggxxx.o jggxxx.o \
+		vvsxxx.o jvsxxx.o hvvxxx.o \
+		vssxxx.o jssxxx.o hvsxxx.o \
+		sssxxx.o hssxxx.o \
+		wwwwxx.o jwwwxx.o w3w3xx.o jw3wxx.o \
+		ggggxx.o jgggxx.o \
+		vvssxx.o jvssxx.o hvvsxx.o \
+		ssssxx.o hsssxx.o \
+		eaixxx.o eaoxxx.o jeexxx.o \
+		ioscxx.o fsicxx.o fsocxx.o hiocxx.o \
+		iovcxx.o fvicxx.o fvocxx.o jiocxx.o \
+		iovgox.o fvigox.o fvogox.o jiogox.o \
+		iovdmx.o fvidmx.o fvodmx.o jiodmx.o \
+		iosgld.o fsigld.o fsogld.o hiogld.o \
+		iovgld.o fvigld.o fvogld.o jiogld.o \
+		txxxxx.o txxxx2.o \
+		iotxkk.o iovtkk.o vvtxkk.o ftixkk.o ftoxkk.o \
+                iovkxx.o vvvkxx.o jiokxx.o jvvkxx.o \
+                sstxxx.o hstxxx.o ussxxx.o \
+                iotxxx.o ftixxx.o ftoxxx.o uioxxx.o \
+                vvtxxx.o uvvxxx.o jvtxxx.o \
+                iovtxx.o fvtixx.o fvtoxx.o jiotxx.o uiovxx.o \
+                vvvtxx.o jvvtxx.o uvvvxx.o \
+                ggggtx.o jgggtx.o uggggx.o \
+                w3w3nx.o jw3wnx.o jwwwnx.o wwwwnx.o
+
+PRINT	      = pr
+
+SHELL	      = /bin/sh
+
+SYSHDRS	      =
+
+MFLAGS        = -e
+
+#.F.o:
+%.o : %.F
+	$(FC) $(FFLAGS) -c $<
+
+%.o : %.f
+	$(FC) $(FFLAGS) -c $<
+
+all:		$(LIBRARY)
+
+helas:
+		-rm -f *.o
+		export FFLAGS='-O +cpp' && \
+		export LIBRARY=libdhelas3.a && \
+		$(MAKE) $(MFLAGS)
+
+helas_check:
+		-rm -f *.o
+		export FFLAGS='-O +cpp -DHELAS_CHECK' && \
+		export LIBRARY=libdhelas3_check.a && \
+		$(MAKE) $(MFLAGS)
+
+install-helas:
+		export LIBRARY=libdhelas3.a && \
+		$(MAKE) $(MFLAGS) install	
+
+install-helas_check:
+		export LIBRARY=libdhelas3.a && \
+		$(MAKE) $(MFLAGS) install	
+
+$(LIBRARY):	$(OBJS)
+		@echo  "Loading $(LIBRARY) ... "
+		@ar cru $(LIBRARY) $(OBJS)
+		@echo "done"
+
+clean:;		@rm -f $(OBJS) core
+
+clobber:;	@rm -f $(OBJS) $(LIBRARY) core tags
+
+install:	$(LIBRARY)
+	        @echo Installing $(LIBRARY) in $(DEST)
+	        @if [ $(DEST) != . ]; then \
+	        (rm -f $(DEST)/$(LIBRARY); $(INSTALL) -f $(DEST) $(LIBRARY)); fi
+
+$(DEST)/$(LIBRARY): $(SRCS) $(HDRS) $(EXTHDRS)
+	        @$(MAKE) -f $(MAKEFILE) ROOT=$(ROOT) DEST=$(DEST) install

=== added file 'HELAS/README'
--- HELAS/README	1970-01-01 00:00:00 +0000
+++ HELAS/README	2010-10-30 03:26:37 +0000
@@ -0,0 +1,24 @@
+# ----------------------------------------------------------------------------
+#
+# DHELAS 3.1 library
+# Feb. 28, 2001
+# 
+# ----------------------------------------------------------------------------
+# 1 Jul 2003 : Fabio Maltoni
+#
+# "Fixed-width scheme" implemented.
+#
+# coupsm-ORIGINAL.F and coupl-ORIGINAL.inc 
+# are not to be included when HELAS is used with 
+# the 2003 version of MadEvent. 
+# ----------------------------------------------------------------------------
+# 3 Nov 2006 : Rikkert Frederix
+#
+# Several new couplings added for the Higgs Effective Theory.
+# Documentation available in the Doc directory.
+# ----------------------------------------------------------------------------
+# 30 May 2008 :  Rikkert Frederix
+#
+# Added the spin-2 routines by Hagiwara et al. arXiv 0805.2254 (hep-ph)
+#-----------------------------------------------------------------------------
+#
\ No newline at end of file

=== added file 'HELAS/boostx.F'
--- HELAS/boostx.F	1970-01-01 00:00:00 +0000
+++ HELAS/boostx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,85 @@
+      subroutine boostx(p,q , pboost)
+c
+c This subroutine performs the Lorentz boost of a four-momentum.  The
+c momentum p is assumed to be given in the rest frame of q.  pboost is
+c the momentum p boosted to the frame in which q is given.  q must be a
+c timelike momentum.
+c
+c input:
+c       real    p(0:3)         : four-momentum p in the q rest  frame
+c       real    q(0:3)         : four-momentum q in the boosted frame
+c
+c output:
+c       real    pboost(0:3)    : four-momentum p in the boosted frame
+c
+      implicit none
+      double precision p(0:3),q(0:3),pboost(0:3),pq,qq,m,lf
+
+      double precision rZero
+      parameter( rZero = 0.0d0 )
+
+#ifdef HELAS_CHECK
+      integer stdo
+      parameter( stdo = 6 )
+      double precision pp
+#endif
+c
+      qq = q(1)**2+q(2)**2+q(3)**2
+
+#ifdef HELAS_CHECK
+      if (abs(p(0))+abs(p(1))+abs(p(2))+abs(p(3)).eq.rZero) then
+         write(stdo,*)
+     &        ' helas-error : p(0:3) in boostx is zero momentum'
+      endif
+      if (abs(q(0))+qq.eq.rZero) then
+         write(stdo,*)
+     &        ' helas-error : q(0:3) in boostx is zero momentum'
+      endif
+      if (p(0).le.rZero) then
+         write(stdo,*)
+     &        ' helas-warn  : p(0:3) in boostx has not positive energy'
+         write(stdo,*)
+     &        '             : p(0) = ',p(0)
+      endif
+      if (q(0).le.rZero) then
+         write(stdo,*)
+     &        ' helas-error : q(0:3) in boostx has not positive energy'
+         write(stdo,*)
+     &        '             : q(0) = ',q(0)
+      endif
+      pp=p(0)**2-p(1)**2-p(2)**2-p(3)**2
+      if (pp.lt.rZero) then
+         write(stdo,*)
+     &        ' helas-warn  : p(0:3) in boostx is spacelike'
+         write(stdo,*)
+     &        '             : p**2 = ',pp
+      endif
+      if (q(0)**2-qq.le.rZero) then
+         write(stdo,*)
+     &        ' helas-error : q(0:3) in boostx is not timelike'
+         write(stdo,*)
+     &        '             : q**2 = ',q(0)**2-qq
+      endif
+      if (qq.eq.rZero) then
+         write(stdo,*)
+     &   ' helas-warn  : q(0:3) in boostx has zero spacial components'
+      endif
+#endif
+
+      if ( qq.ne.rZero ) then
+         pq = p(1)*q(1)+p(2)*q(2)+p(3)*q(3)
+         m = sqrt(q(0)**2-qq)
+         lf = ((q(0)-m)*pq/qq+p(0))/m
+         pboost(0) = (p(0)*q(0)+pq)/m
+         pboost(1) =  p(1)+q(1)*lf
+         pboost(2) =  p(2)+q(2)*lf
+         pboost(3) =  p(3)+q(3)*lf
+      else
+         pboost(0) = p(0)
+         pboost(1) = p(1)
+         pboost(2) = p(2)
+         pboost(3) = p(3)
+      endif
+c
+      return
+      end

=== added file 'HELAS/dimension.inc'
--- HELAS/dimension.inc	1970-01-01 00:00:00 +0000
+++ HELAS/dimension.inc	2010-10-30 03:26:37 +0000
@@ -0,0 +1,31 @@
+c
+c- by RF - Feb. 2006
+c====================================================================
+c
+c  Set the dimension of the wavefunctions.
+c
+c====================================================================
+c
+ 
+      integer DIM
+
+c Set the dimension of the wavefunctions to an arbitrary length
+
+      parameter ( DIM=18 )
+
+c
+c      integer DIM_T, DIM_V, DIM_F
+c
+c dimension vector particle:
+c      parameter ( DIM_V=6 )
+c
+c dimension scalar particle:
+c      parameter ( DIM_S=3 )
+c
+c dimension fermionic particle:
+c      parameter ( DIM_F=6 )
+c
+c demension tensor particle:
+c      parameter ( DIM_T=18 )
+c
+

=== added file 'HELAS/eaixxx.F'
--- HELAS/eaixxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/eaixxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,119 @@
+      subroutine eaixxx(eb,ea,shlf,chlf,phi,nhe,nha , eai)
+c
+c This subroutine computes an off-shell electron wavefunction after
+c emitting a photon from the electron beam, with a special care for the
+c small angle region.  The momenta are measured in the laboratory frame,
+c where the e- beam is along the positive z axis.
+c
+c input:
+c       real    eb             : energy (GeV)    of beam  e-
+c       real    ea             : energy (GeV)    of final photon
+c       real    shlf           : sin(theta/2)    of final photon
+c       real    chlf           : cos(theta/2)    of final photon
+c       real    phi            : azimuthal angle of final photon
+c       integer nhe  = -1 or 1 : helicity        of beam  e-
+c       integer nha  = -1 or 1 : helicity        of final photon
+c
+c output:
+c       complex eai(6)         : off-shell electron             |e',A,e>
+c
+      implicit none
+      double complex eai(6),phs
+      double precision eb,ea,shlf,chlf,phi,alpha,gal,rnhe,x,c,s,d
+      double precision coeff,xnnp,xnnm,snp,csp
+      integer nhe,nha,nn
+
+      double precision rHalf, rOne, rTwo, rFour, rOte
+      double precision rPi, rIalph
+      parameter( rHalf = 0.5d0, rOne = 1.0d0, rTwo = 2.0d0 )
+      parameter( rFour = 4.0d0, rOte = 128.9d0 )
+      parameter( rPi = 3.14159265358979323846d0 )
+      parameter( rIalph = 137.0359895d0 )
+
+      double precision me
+      parameter( me = 0.510998902d-3 )
+
+#ifdef HELAS_CHECK
+      double precision zero
+      double precision rZero
+      parameter( rZero = 0.0d0 )
+      double precision epsi
+      parameter( epsi = 1.0d-5 )
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+#ifdef HELAS_CHECK
+      if ( eb.le.rZero ) then
+         write(stdo,*) ' helas-error : eb in eaixxx is not positive'
+      endif
+      if ( ea.le.rZero ) then
+         write(stdo,*) ' helas-error : ea in eaixxx is not positive'
+      endif
+      if ( ea.gt.eb ) then
+         write(stdo,*) ' helas-error : ea in eaixxx is greater than eb'
+         write(stdo,*) '             : eb = ',eb,' : ea = ',ea
+      endif
+      if ( shlf.lt.rZero .or. shlf.gt.rOne ) then
+         write(stdo,*) ' helas-error : shlf in eaixxx is improper'
+         write(stdo,*) '             : shlf = ',shlf
+      endif
+      if ( chlf.lt.rZero .or. chlf.gt.rOne ) then
+         write(stdo,*) ' helas-error : chlf in eaixxx is improper'
+         write(stdo,*) '             : chlf = ',chlf
+      endif
+      zero = abs(shlf**2+chlf**2-rOne)
+      if ( zero.gt.epsi ) then
+         write(stdo,*)
+     &        ' helas-error : shlf and chlf in eaixxx are inconsistent'
+         write(stdo,*)
+     &        '             : shlf,chlf = ',shlf,chlf
+      endif
+      if ( phi.lt.rZero .or. phi.gt.rTwo*rPi ) then
+         write(stdo,*)
+     &   ' helas-warn  : phi in eaixxx does not lie on 0.0 thru 2.0*pi'
+         write(stdo,*)
+     &   '             : phi = ',phi
+      endif
+      if ( abs(nhe).ne.1 ) then
+         write(stdo,*) ' helas-error : nhe in eaixxx is not -1,1'
+         write(stdo,*) '               nhe = ',nhe
+      endif
+      if ( abs(nha).ne.1 ) then
+         write(stdo,*) ' helas-error : nha in eaixxx is not -1,1'
+         write(stdo,*) '               nha = ',nha
+      endif
+      if ( eb.lt.rOne ) then
+         write(stdo,*)
+     &   ' helas-warn  : use of eaixxx is not appropriate: eb too low'
+         write(stdo,*)
+     &   '             : eb = ',eb
+      endif
+#endif
+
+      alpha = rOne/rOte
+      gal = sqrt(alpha*rFour*rPi)
+
+      nn = nha*nhe
+      rnhe = nhe
+      x = ea/eb
+      c = (chlf+shlf)*(chlf-shlf)
+      s = rTwo*chlf*shlf
+      d = -rOne/(ea*eb*(rFour*shlf**2+(me/eb)**2*c))
+      coeff = -nn*gal*sqrt(eb)*d
+      xnnp = x*(1+nn)
+      xnnm = x*(1-nn)
+      snp = sin(phi)
+      csp = cos(phi)
+      phs = dcmplx( csp, rnhe*snp )
+
+      eai((5-3*nhe)/2) = -rnhe*coeff*me*s*(rOne+xnnp*rHalf)
+      eai((5-nhe)/2)   =  xnnp*coeff*me*chlf**2*phs
+      eai((5+nhe)/2)   =  rnhe*coeff*eb*s*(-rTwo+xnnm)
+      eai((5+3*nhe)/2) =  xnnm*coeff*eb*shlf**2*phs*rTwo
+
+      eai(5) =  eb*dcmplx( rOne-x, rOne-x*c )
+      eai(6) = -eb*x*s*dcmplx( csp, snp )
+c
+      return
+      end

=== added file 'HELAS/eaoxxx.F'
--- HELAS/eaoxxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/eaoxxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,117 @@
+      subroutine eaoxxx(eb,ea,shlf,chlf,phi,nhe,nha , eao)
+c
+c This subroutine computes an off-shell positron wavefunction after
+c emitting a photon from the positron beam, with a special care for the
+c small angle region.  The momenta are measured in the laboratory frame,
+c where the e+ beam is along the negative z axis.
+c
+c input:
+c       real    eb             : energy (GeV)    of beam  e+
+c       real    ea             : energy (GeV)    of final photon
+c       real    shlf           : sin(theta/2)    of final photon
+c       real    chlf           : cos(theta/2)    of final photon
+c       real    phi            : azimuthal angle of final photon
+c       integer nhe  = -1 or 1 : helicity        of beam  e+
+c       integer nha  = -1 or 1 : helicity        of final photon
+c
+c output:
+c       complex eao(6)         : off-shell positron             <e,A,e'|
+c
+      implicit none
+      double complex eao(6),phs
+      double precision eb,ea,shlf,chlf,phi,alpha,gal,rnhe,x,c,s,d
+      double precision coeff,xnnp,xnnm,snp,csp
+      integer nhe,nha,nn
+
+      double precision rHalf, rOne, rTwo, rFour, rOte
+      double precision rPi, rIalph
+      parameter( rHalf = 0.5d0, rOne = 1.0d0, rTwo = 2.0d0 )
+      parameter( rFour = 4.0d0, rOte = 128.9d0 )
+      parameter( rPi = 3.14159265358979323846d0 )
+      parameter( rIalph = 137.0359895d0 )
+
+      double precision me
+      parameter( me = 0.510998902d-3 )
+
+#ifdef HELAS_CHECK
+      double precision zero
+      double precision rZero
+      parameter( rZero = 0.0d0 )
+      double precision epsi
+      parameter( epsi = 1.0d-5 )
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+#ifdef HELAS_CHECK
+      if ( eb.le.rZero )
+     &     write(stdo,*) ' helas-error : eb in eaoxxx is not positive'
+      if ( ea.le.rZero )
+     &     write(stdo,*) ' helas-error : ea in eaoxxx is not positive'
+      if (ea.gt.eb ) then
+         write(stdo,*) ' helas-error : ea in eaoxxx is greater than eb'
+         write(stdo,*) '               eb = ',eb,' : ea = ',ea
+      endif
+      if ( shlf.lt.rZero .or. shlf.gt.rOne ) then
+         write(stdo,*) ' helas-error : shlf in eaoxxx is improper'
+         write(stdo,*) '               shlf = ',shlf
+      endif
+      if ( chlf.lt.rZero .or. chlf.gt.rOne ) then
+         write(stdo,*) ' helas-error : chlf in eaoxxx is improper'
+         write(stdo,*) '               chlf = ',chlf
+      endif
+      zero = abs(shlf**2+chlf**2-rOne)
+      if ( zero.gt.epsi ) then
+         write(stdo,*)
+     &        ' helas-error : shlf and chlf in eaoxxx are inconsistent'
+         write(stdo,*)
+     &        '             : shlf,chlf = ',shlf,chlf
+      endif
+      if ( phi.lt.rZero .or. phi.gt.rTwo*rPi ) then
+         write(stdo,*)
+     &   ' helas-warn  : phi in eaoxxx does not lie on 0.0 thru 2.0*pi'
+         write(stdo,*)
+     &   '             : phi = ',phi
+      endif
+      if (abs(nhe).ne.1 ) then
+         write(stdo,*) ' helas-error : nhe in eaoxxx is not -1,1'
+         write(stdo,*) '               nhe = ',nhe
+      endif
+      if ( abs(nha).ne.1 ) then
+         write(stdo,*) ' helas-error : nha in eaoxxx is not -1,1'
+         write(stdo,*) '               nha = ',nha
+      endif
+      if ( eb.lt.rOne ) then
+         write(stdo,*)
+     &   ' helas-warn  : use of eaoxxx is not appropriate: eb too low'
+         write(stdo,*)
+     &   '             : eb = ',eb
+      endif
+#endif
+
+      alpha = rOne/rOte
+      gal = sqrt(alpha*rFour*rPi)
+
+      nn = nha*nhe
+      rnhe = nhe
+      x = ea/eb
+      c = (chlf+shlf)*(chlf-shlf)
+      s = rTwo*chlf*shlf
+      d = -rOne/(ea*eb*(rFour*chlf**2-(me/eb)**2*c))
+      coeff = nn*gal*sqrt(eb)*d
+      xnnp = x*(1+nn)
+      xnnm = x*(1-nn)
+      snp = sin(phi)
+      csp = cos(phi)
+      phs = dcmplx( csp, -rnhe*snp )
+
+      eao((5-3*nhe)/2) =               coeff*me*s*(rOne+xnnp*rHalf)
+      eao((5-nhe)/2)   = rnhe*xnnp    *coeff*me*shlf**2*phs
+      eao((5+nhe)/2)   =               coeff*eb*s*(-rTwo+xnnm)
+      eao((5+3*nhe)/2) = real(nha-nhe)*coeff*eb*x*chlf**2*phs*rTwo
+
+      eao(5) = eb*dcmplx( x-rOne, x*c+rOne )
+      eao(6) = eb*x*s*dcmplx( csp, snp )
+c
+      return
+      end

=== added file 'HELAS/ficxxx.f'
--- HELAS/ficxxx.f	1970-01-01 00:00:00 +0000
+++ HELAS/ficxxx.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,25 @@
+c
+c ----------------------------------------------------------------------
+c
+      subroutine ficxxx(fi , fic)
+c
+c this subroutine charge conjugates a flowing-in fermion wavefunction.  
+c                                                                       
+c input:                                                                
+c       complex fi(6)          : flowing-in fermion                 |fi>
+c                                                                       
+c output:                                                               
+c       complex fic(6)         : charge conjugated fermion         <fic|
+c
+      implicit none
+      double complex fi(6), fic(6)
+c
+      fic(1) = -fi(2)
+      fic(2) =  fi(1)
+      fic(3) =  fi(4)
+      fic(4) = -fi(3)
+      fic(5) = -fi(5)
+      fic(6) = -fi(6)
+c
+      return
+      end

=== added file 'HELAS/focxxx.f'
--- HELAS/focxxx.f	1970-01-01 00:00:00 +0000
+++ HELAS/focxxx.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,25 @@
+c
+c ----------------------------------------------------------------------
+c
+      subroutine focxxx(fo , foc)
+c
+c this subroutine charge conjugates a flowing-out fermion wavefunction. 
+c                                                                       
+c input:                                                                
+c       complex fo(6)          : flowing-out fermion                <fo|
+c                                                                       
+c output:                                                               
+c       complex foc(6)         : charge conjugated fermion         |foc>
+c
+      implicit none
+      double complex fo(6), foc(6)
+c
+      foc(1) =  fo(2)
+      foc(2) = -fo(1)
+      foc(3) = -fo(4)
+      foc(4) =  fo(3)
+      foc(5) = -fo(5)
+      foc(6) = -fo(6)
+c
+      return
+      end

=== added file 'HELAS/fsicxx.f'
--- HELAS/fsicxx.f	1970-01-01 00:00:00 +0000
+++ HELAS/fsicxx.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,46 @@
+c
+c ----------------------------------------------------------------------
+c
+      subroutine fsicxx(fic,sc,gc,fmass,fwidth , fsic)
+c
+c this subroutine computes an off-shell antifermion wavefunction from a 
+c flowing-in external antifermion and a vector boson.                   
+c                                                                       
+c input:                                                                
+c       complex fic(6)         : flow-in  antifermion           |fic>
+c       complex sc(3)          : input    scalar                   s 
+c       complex gc(2)          : coupling constants              gchf
+c       real    fmass          : mass  of output antifermion fc'     
+c       real    fwidth         : width of output antifermion fc'     
+c                                                                       
+c output:                                                               
+c       complex fsic(6)        : off-shell fermion        |fc',s,fic>
+c
+      implicit none
+      double complex fic(6),sc(3),fsic(6),gc(2),sl1,sl2,sr1,sr2,ds
+      double precision pf(0:3),fmass,fwidth,pf2,p0p3,p0m3
+c
+      fsic(5) = fic(5)-sc(2)
+      fsic(6) = fic(6)-sc(3)
+
+      pf(0) = dble( fsic(5))
+      pf(1) = dble( fsic(6))
+      pf(2) = dimag(fsic(6))
+      pf(3) = dimag(fsic(5))
+      pf2 = pf(0)**2-(pf(1)**2+pf(2)**2+pf(3)**2)
+
+      ds = -sc(1)/dcmplx( pf2-fmass**2, fmass*fwidth )
+      p0p3 = pf(0)+pf(3)
+      p0m3 = pf(0)-pf(3)
+      sl1 = gc(1)*(p0p3*fic(1)+dconjg(fsic(6))*fic(2))
+      sl2 = gc(1)*(p0m3*fic(2)       +fsic(6) *fic(1))
+      sr1 = gc(2)*(p0m3*fic(3)-dconjg(fsic(6))*fic(4))
+      sr2 = gc(2)*(p0p3*fic(4)       -fsic(6) *fic(3))
+
+      fsic(1) = ( gc(1)*fmass*fic(1) + sr1 )*ds
+      fsic(2) = ( gc(1)*fmass*fic(2) + sr2 )*ds
+      fsic(3) = ( gc(2)*fmass*fic(3) + sl1 )*ds
+      fsic(4) = ( gc(2)*fmass*fic(4) + sl2 )*ds
+c
+      return
+      end

=== added file 'HELAS/fsigld.f'
--- HELAS/fsigld.f	1970-01-01 00:00:00 +0000
+++ HELAS/fsigld.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,71 @@
+c
+c ----------------------------------------------------------------------
+c
+      subroutine fsigld(fi,sc,gc,fmass,fwidth,smass,mNLSP,idecay , fsi)
+c
+c This subroutine computes an off-shell fermion wavefunction from a
+c flowing-in external fermion and a scalar boson, for the NLSP-boson-
+c Goldstino vertex. The h.c. of the NLSP decay is handled via the
+c input parameter idecay.
+c
+c input:
+c       complex fi(6)          : flow-in  fermion                   |fi>
+c       complex sc(3)          : input    scalar                      s
+c       complex gc(2)          : coupling constants                  gsf
+c       real    fmass          : mass  of output fermion f'
+c       real    fwidth         : width of output fermion f'
+c       integer idecay         :  1 for NLSP decay to Goldstino
+c                              : -1 for Goldstino to NLSP (h.c. of above)
+c
+c output:
+c       complex fsi(6)         : off-shell fermion             |f',s,fi>
+c
+      implicit none
+      double complex  fi(6), sc(3), gc(2), fsi(6), s1, s2, s3, s4, ds
+      double complex  p14p, p14m, p23p, p23m
+      double precision  pf(0:3), fmass, fwidth, mNLSP, smass, pf2
+      integer idecay
+
+      double complex ci, cZero
+      parameter( ci = ( 0.0d0, 1.0d0 ), cZero = ( 0.0d0, 0.0d0 ) )
+c
+      fsi(5) = fi(5) - sc(2)
+      fsi(6) = fi(6) - sc(3)
+
+      pf(0) = dble( fsi(5))
+      pf(1) = dble( fsi(6))
+      pf(2) = dimag(fsi(6))
+      pf(3) = dimag(fsi(5))
+      pf2 = pf(0)**2 - pf(1)**2 - pf(2)**2 - pf(3)**2
+
+      if ( idecay.ne.1 .or. idecay.ne.-1 ) then
+         write(6,*) 'error in idecay of FSIGLD'
+         stop
+      end if
+
+      p14p = dble(sc(2)) + dimag(sc(2))
+      p14m = dble(sc(2)) - dimag(sc(2))
+      p23p = dble(sc(3)) + dimag(sc(3))*ci
+      p23m = dble(sc(3)) - dimag(sc(3))*ci
+
+      ds = -sc(1)/dcmplx( pf2-fmass**2, fmass*fwidth )
+
+      s1 = -idecay*gc(1)*fi(1)*smass**2
+      s2 = -idecay*gc(1)*fi(2)*smass**2
+      s3 = gc(1)*mNLSP*( fi(1)*p14p + fi(2)*p23m ) 
+      s4 = gc(1)*mNLSP*( fi(1)*p23p + fi(2)*p14m )
+
+      if ( gc(2).ne.cZero ) then
+         s1 = s1 + gc(2)*mNLSP*( fi(3)*p14m - fi(4)*p23m )
+         s2 = s2 + gc(2)*mNLSP*(-fi(3)*p23p + fi(4)*p14p )
+         s3 = s3 - gc(2)*idecay*fi(3)*smass**2
+         s4 = s4 - gc(2)*idecay*fi(4)*smass**2
+      end if
+
+      fsi(1) = ( (pf(0)-pf(3))*s3 - dconjg(fsi(6))*s4 + fmass*s1 )*ds
+      fsi(2) = (       -fsi(6)*s3 +  (pf(0)+pf(3))*s4 + fmass*s2 )*ds
+      fsi(3) = ( (pf(0)+pf(3))*s1 + dconjg(fsi(6))*s2 + fmass*s3 )*ds
+      fsi(4) = (        fsi(6)*s1 +  (pf(0)-pf(3))*s2 + fmass*s4 )*ds
+c
+      return          
+      end

=== added file 'HELAS/fsixxx.F'
--- HELAS/fsixxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/fsixxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,98 @@
+      subroutine fsixxx(fi,sc,gc,fmass,fwidth , fsi)
+c
+c This subroutine computes an off-shell fermion wavefunction from a
+c flowing-IN external fermion and a vector boson.
+c
+c input:
+c       complex fi(6)          : flow-in  fermion                   |fi>
+c       complex sc(3)          : input    scalar                      s
+c       complex gc(2)          : coupling constants                 gchf
+c       real    fmass          : mass  of OUTPUT fermion f'
+c       real    fwidth         : width of OUTPUT fermion f'
+c
+c output:
+c       complex fsi(6)         : off-shell fermion             |f',s,fi>
+c
+      implicit none
+      double complex fi(6),sc(3),fsi(6),gc(2),sl1,sl2,sr1,sr2,ds
+      double precision pf(0:3),fmass,fwidth,pf2,p0p3,p0m3
+
+#ifdef HELAS_CHECK
+      double precision rZero, cZero
+      parameter( rZero = 0.0d0, cZero = ( 0.0d0, 0.0d0 ) )
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+#ifdef HELAS_CHECK
+      if ( abs(fi(1))+abs(fi(2))+abs(fi(3))+abs(fi(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : fi in fsixxx is zero spinor'
+      endif
+      if ( abs(fi(5))+abs(fi(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : fi in fsixxx has zero momentum'
+      endif
+      if ( sc(1).eq.cZero ) then
+         write(stdo,*) ' helas-warn  : sc in fsixxx is zero scalar'
+      endif
+      if ( abs(sc(2))+abs(sc(3)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : sc in fsixxx has zero momentum'
+      endif
+      if ( gc(1).eq.cZero .and. gc(2).eq.cZero ) then
+         write(stdo,*) ' helas-error : gc in fsixxx is zero coupling'
+      endif
+      if ( fmass.lt.rZero ) then
+         write(stdo,*) ' helas-error : fmass in fsixxx is negative'
+         write(stdo,*) '               fmass = ',fmass
+      endif
+      if ( fwidth.lt.rZero ) then
+         write(stdo,*) ' helas-error : fwidth in fsixxx is negative'
+         write(stdo,*) '               fwidth = ',fwidth
+      endif
+#endif
+
+      fsi(5) = fi(5)-sc(2)
+      fsi(6) = fi(6)-sc(3)
+
+      pf(0) = dble( fsi(5))
+      pf(1) = dble( fsi(6))
+      pf(2) = dimag(fsi(6))
+      pf(3) = dimag(fsi(5))
+      pf2 = pf(0)**2-(pf(1)**2+pf(2)**2+pf(3)**2)
+
+#ifdef HELAS_CHECK
+      if ( abs(fsi(5))+abs(fsi(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : fsi in fsixxx has zero momentum'
+      endif
+      if ( fwidth.eq.rZero .and. pf2.eq.fmass**2 ) then
+         write(stdo,*)
+     &        ' helas-error : fsi in fsixxx is on fmass pole'
+         write(stdo,*)
+     &        '             : p     = ',pf(0),pf(1),pf(2),pf(3)
+         write(stdo,*)
+     &        '             : abs(p)= ',sqrt(abs(pf2))
+         fsi(1) = cZero
+         fsi(2) = cZero
+         fsi(3) = cZero
+         fsi(4) = cZero
+         return
+      endif
+#endif
+
+      ds = -sc(1)/dcmplx( pf2-fmass**2, fmass*fwidth )
+      p0p3 = pf(0)+pf(3)
+      p0m3 = pf(0)-pf(3)
+      sl1 = gc(1)*(p0p3*fi(1)+dconjg(fsi(6))*fi(2))
+      sl2 = gc(1)*(p0m3*fi(2)       +fsi(6) *fi(1))
+      sr1 = gc(2)*(p0m3*fi(3)-dconjg(fsi(6))*fi(4))
+      sr2 = gc(2)*(p0p3*fi(4)       -fsi(6) *fi(3))
+
+      fsi(1) = ( gc(1)*fmass*fi(1) + sr1 )*ds
+      fsi(2) = ( gc(1)*fmass*fi(2) + sr2 )*ds
+      fsi(3) = ( gc(2)*fmass*fi(3) + sl1 )*ds
+      fsi(4) = ( gc(2)*fmass*fi(4) + sl2 )*ds
+c
+      return
+      end

=== added file 'HELAS/fsocxx.f'
--- HELAS/fsocxx.f	1970-01-01 00:00:00 +0000
+++ HELAS/fsocxx.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,46 @@
+c
+c ----------------------------------------------------------------------
+c
+      subroutine fsocxx(foc,sc,gc,fmass,fwidth , fsoc)
+c
+c this subroutine computes an off-shell antifermion wavefunction from a 
+c flowing-out external antifermion and a vector boson.                  
+c                                                                       
+c input:                                                                
+c       complex foc(6)         : flow-out fermion               <foc|
+c       complex sc(6)          : input    scalar                   s 
+c       complex gc(2)          : coupling constants              gchf
+c       real     fmass         : mass  of output antifermion fc'     
+c       real     fwidth        : width of output antifermion fc'     
+c                                                                       
+c output:                                                               
+c       complex fsoc(6)        : off-shell fermion         <fo,s,fc'|
+c
+      implicit none
+      double complex foc(6),sc(6),fsoc(6),gc(2),sl1,sl2,sr1,sr2,ds
+      double precision pf(0:3),fmass,fwidth,pf2,p0p3,p0m3
+c
+      fsoc(5) = foc(5)+sc(2)
+      fsoc(6) = foc(6)+sc(3)
+
+      pf(0) = dble( fsoc(5))
+      pf(1) = dble( fsoc(6))
+      pf(2) = dimag(fsoc(6))
+      pf(3) = dimag(fsoc(5))
+      pf2 = pf(0)**2-(pf(1)**2+pf(2)**2+pf(3)**2)
+
+      ds = -sc(1)/dcmplx( pf2-fmass**2, fmass*fwidth )
+      p0p3 = pf(0)+pf(3)
+      p0m3 = pf(0)-pf(3)
+      sl1 = gc(2)*(p0p3*foc(3)       +fsoc(6) *foc(4))
+      sl2 = gc(2)*(p0m3*foc(4)+dconjg(fsoc(6))*foc(3))
+      sr1 = gc(1)*(p0m3*foc(1)       -fsoc(6) *foc(2))
+      sr2 = gc(1)*(p0p3*foc(2)-dconjg(fsoc(6))*foc(1))
+
+      fsoc(1) = ( gc(1)*fmass*foc(1) + sl1 )*ds
+      fsoc(2) = ( gc(1)*fmass*foc(2) + sl2 )*ds
+      fsoc(3) = ( gc(2)*fmass*foc(3) + sr1 )*ds
+      fsoc(4) = ( gc(2)*fmass*foc(4) + sr2 )*ds
+c
+      return
+      end

=== added file 'HELAS/fsogld.f'
--- HELAS/fsogld.f	1970-01-01 00:00:00 +0000
+++ HELAS/fsogld.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,71 @@
+c
+c ----------------------------------------------------------------------
+c
+      subroutine fsogld(fo,sc,gc,fmass,fwidth,smass,mNLSP,idecay , fso)
+c
+c This subroutine computes an off-shell fermion wavefunction from a
+c flowing-out external fermion and a scalar boson, for the NLSP-boson-
+c Goldstino vertex. The h.c. of the NLSP decay is handled via the
+c input parameter idecay.
+c
+c input:
+c       complex fo(6)          : flow-out fermion                   <fo|
+c       complex sc(3)          : input    scalar                      s
+c       complex gc(2)          : coupling constants                  gsf
+c       real    fmass          : mass  of output fermion f'
+c       real    fwidth         : width of output fermion f'
+c       integer idecay         :  1 for NLSP decay to Goldstino
+c                              : -1 for Goldstino to NLSP (h.c. of above)
+c
+c output:
+c       complex fso(6)         : off-shell fermion             <fo,s,f'|
+c
+      implicit none
+      double complex  fo(6), sc(3), gc(2), fso(6), s1, s2, s3, s4, ds
+      double precision  pf(0:3), fmass, fwidth, mNLSP, smass, pf2
+      double precision  p14p, p14m, p23p, p23m
+      integer idecay
+
+      double complex ci, cZero
+      parameter( ci = ( 0.0d0, 1.0d0 ), cZero = ( 0.0d0, 0.0d0 ) )
+c
+      fso(5) = fo(5) + sc(2)
+      fso(6) = fo(6) + sc(3)
+
+      pf(0) = dble( fso(5))
+      pf(1) = dble( fso(6))
+      pf(2) = dimag(fso(6))
+      pf(3) = dimag(fso(5))
+      pf2 = pf(0)**2 - pf(1)**2 - pf(2)**2 - pf(3)**2
+
+      if ( idecay.ne.1 .or. idecay.ne.-1 ) then
+         write(6,*) 'error in idecay of FSOGLD'
+         stop
+      end if
+
+      p14p = dble(sc(2)) + dimag(sc(2))
+      p14m = dble(sc(2)) - dimag(sc(2))
+      p23p = dble(sc(3)) + dimag(sc(3))*ci
+      p23m = dble(sc(3)) - dimag(sc(3))*ci
+
+      ds = -sc(1)/dcmplx( pf2-fmass**2, fmass*fwidth )
+
+      s1 = -idecay*gc(1)*fo(1)*smass**2
+      s2 = -idecay*gc(1)*fo(2)*smass**2
+      s3 = gc(1)*mNLSP*( fo(1)*p14m - fo(2)*p23p )
+      s4 = gc(1)*mNLSP*(-fo(1)*p23m + fo(2)*p14p )
+
+      if ( gc(2).ne.cZero ) then
+         s1 = s1 + gc(2)*mNLSP*( fo(3)*p14p + fo(4)*p23p )
+         s2 = s2 + gc(2)*mNLSP*( fo(3)*p23m + fo(4)*p14m )
+         s3 = s3 - gc(2)*idecay*fo(3)*smass**2
+         s4 = s4 - gc(2)*idecay*fo(4)*smass**2
+      end if
+
+      fso(1) = (  (pf(0)+pf(3))*s3 +         fso(6)*s4 + fmass*s1 )*ds
+      fso(2) = ( dconjg(fso(6))*s3 +  (pf(0)-pf(3))*s4 + fmass*s2 )*ds
+      fso(3) = (  (pf(0)-pf(3))*s1 -         fso(6)*s2 + fmass*s3 )*ds
+      fso(4) = (-dconjg(fso(6))*s1 +  (pf(0)+pf(3))*s2 + fmass*s4 )*ds
+c
+      return          
+      end

=== added file 'HELAS/fsoxxx.F'
--- HELAS/fsoxxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/fsoxxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,98 @@
+      subroutine fsoxxx(fo,sc,gc,fmass,fwidth , fso)
+c
+c This subroutine computes an off-shell fermion wavefunction from a
+c flowing-OUT external fermion and a vector boson.
+c
+c input:
+c       complex fo(6)          : flow-out fermion                   <fo|
+c       complex sc(6)          : input    scalar                      s
+c       complex gc(2)          : coupling constants                 gchf
+c       real    fmass          : mass  of OUTPUT fermion f'
+c       real    fwidth         : width of OUTPUT fermion f'
+c
+c output:
+c       complex fso(6)         : off-shell fermion             <fo,s,f'|
+c
+      implicit none
+      double complex fo(6),sc(6),fso(6),gc(2),sl1,sl2,sr1,sr2,ds
+      double precision pf(0:3),fmass,fwidth,pf2,p0p3,p0m3
+
+#ifdef HELAS_CHECK
+      double precision rZero, cZero
+      parameter( rZero = 0.0d0, cZero = ( 0.0d0, 0.0d0 ) )
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+#ifdef HELAS_CHECK
+      if ( abs(fo(1))+abs(fo(2))+abs(fo(3))+abs(fo(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : fo in fsoxxx is zero spinor'
+      endif
+      if ( abs(fo(5))+abs(fo(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : fo in fsoxxx has zero momentum'
+      endif
+      if ( sc(1).eq.cZero ) then
+         write(stdo,*) ' helas-warn  : sc in fsoxxx is zero scalar'
+      endif
+      if ( abs(sc(2))+abs(sc(3)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : sc in fsoxxx has zero momentum'
+      endif
+      if ( gc(1).eq.cZero .and. gc(2).eq.cZero ) then
+         write(stdo,*) ' helas-error : gc in fsoxxx is zero coupling'
+      endif
+      if ( fmass.lt.rZero ) then
+         write(stdo,*) ' helas-error : fmass in fsoxxx is negative'
+         write(stdo,*) '             : fmass = ',fmass
+      endif
+      if ( fwidth.lt.rZero ) then
+         write(stdo,*) ' helas-error : fwidth in fsoxxx is negative'
+         write(stdo,*) '               fwidth = ',fwidth
+      endif
+#endif
+
+      fso(5) = fo(5)+sc(2)
+      fso(6) = fo(6)+sc(3)
+
+      pf(0) = dble( fso(5))
+      pf(1) = dble( fso(6))
+      pf(2) = dimag(fso(6))
+      pf(3) = dimag(fso(5))
+      pf2 = pf(0)**2-(pf(1)**2+pf(2)**2+pf(3)**2)
+
+#ifdef HELAS_CHECK
+      if ( abs(fso(5))+abs(fso(6)).eq.rZero ) then
+          write(stdo,*)
+     &        ' helas-error : fso in fsoxxx has zero momentum'
+       endif
+       if ( fwidth.eq.rZero .and. pf2.eq.fmass**2 ) then
+          write(stdo,*)
+     &         ' helas-error : fso in fsoxxx is on fmass pole'
+          write(stdo,*)
+     &         '             : p     = ',pf(0),pf(1),pf(2),pf(3)
+          write(stdo,*)
+     &         '             : abs(p)= ',sqrt(abs(pf2))
+         fso(1) = cZero
+         fso(2) = cZero
+         fso(3) = cZero
+         fso(4) = cZero
+         return
+      endif
+#endif
+
+      ds = -sc(1)/dcmplx( pf2-fmass**2, fmass*fwidth )
+      p0p3 = pf(0)+pf(3)
+      p0m3 = pf(0)-pf(3)
+      sl1 = gc(2)*(p0p3*fo(3)       +fso(6) *fo(4))
+      sl2 = gc(2)*(p0m3*fo(4)+dconjg(fso(6))*fo(3))
+      sr1 = gc(1)*(p0m3*fo(1)       -fso(6) *fo(2))
+      sr2 = gc(1)*(p0p3*fo(2)-dconjg(fso(6))*fo(1))
+
+      fso(1) = ( gc(1)*fmass*fo(1) + sl1 )*ds
+      fso(2) = ( gc(1)*fmass*fo(2) + sl2 )*ds
+      fso(3) = ( gc(2)*fmass*fo(3) + sr1 )*ds
+      fso(4) = ( gc(2)*fmass*fo(4) + sr2 )*ds
+c
+      return
+      end

=== added file 'HELAS/ftixkk.F'
--- HELAS/ftixkk.F	1970-01-01 00:00:00 +0000
+++ HELAS/ftixkk.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,129 @@
+      subroutine ftixkk(fi,tc,g,fmass,fwidth , fti)
+c
+c This subroutine computes an off-shell fermion wavefunction from a
+c flowing-IN external fermion and a KK tensor boson.
+c
+c input:
+c       complex fi(6)          : flow-in  fermion                   |fi>
+c       complex tc(6,4)        : input    tensor                      t
+c       real    g              : coupling constant                   gtf
+c       real    fmass          : mass  of output fermion f'
+c       real    fwidth         : width of output fermion f'
+c
+c output:
+c       complex fti(6)         : off-shell fermion             |f',t,fi>
+c
+      implicit none
+      double complex fi(6), tc(6,4), fti(6)
+      double precision g, fmass, fwidth
+
+      double complex k14p, k14m, k23, k23s, p14p, p14m
+      double complex D1, D2, D3, D4, Tii, mTii, d
+      double complex T11, T22, T33, T44, T12, T13, T14, T23, T24, T34
+      double precision pf(4), k(4), pf2, m2
+      integer i
+      
+      double precision rZero, rTwo
+      parameter( rZero = 0.0d0, rTwo = 2.0d0 )
+      double complex ci
+      parameter( ci = ( 0.0d0, 1.0d0 ) )
+c
+      m2 = rTwo*fmass
+
+      fti(5) = fi(5) - tc(5,1)
+      fti(6) = fi(6) - tc(6,1)
+
+      pf(1) = dreal(fti(5))
+      pf(2) = dreal(fti(6))
+      pf(3) = dimag(fti(6))
+      pf(4) = dimag(fti(5))
+      pf2 = pf(1)**2 - pf(2)**2 - pf(3)**2 - pf(4)**2
+
+      k(1) = dreal(fi(5)) + pf(1)
+      k(2) = dreal(fi(6)) + pf(2)
+      k(3) = dimag(fi(6)) + pf(3)
+      k(4) = dimag(fi(5)) + pf(4)
+
+      k14p = dcmplx( k(1)+k(4), rZero )
+      k14m = dcmplx( k(1)-k(4), rZero )
+      k23  = dcmplx( k(2), k(3) )
+      k23s = dconjg( k23 )
+      p14p = dcmplx( pf(1)+pf(4), rZero )
+      p14m = dcmplx( pf(1)-pf(4), rZero )
+
+      T11 = rTwo*tc(1,1)
+      T22 = rTwo*tc(2,2)
+      T33 = rTwo*tc(3,3)
+      T44 = rTwo*tc(4,4)
+      T12 = tc(1,2) + tc(2,1)
+      T13 = tc(1,3) + tc(3,1)
+      T14 = tc(1,4) + tc(4,1)
+      T23 = tc(2,3) + tc(3,2)
+      T24 = tc(2,4) + tc(4,2)
+      T34 = tc(3,4) + tc(4,3)
+
+      D1 =   k(1)*(T11-T14) - k(2)*(T12-T24)
+     &     - k(3)*(T13-T34) - k(4)*(T14-T44)
+
+      D2 = - k(1)*(T12-ci*T13) + k(2)*(T22-ci*T23)
+     &     + k(3)*(T23-ci*T33) + k(4)*(T24-ci*T34)
+
+      D3 = - k(1)*(T12+ci*T13) + k(2)*(T22+ci*T23)
+     &     + k(3)*(T23+ci*T33) + k(4)*(T24+ci*T34)
+
+      D4 =   k(1)*(T11+T14) - k(2)*(T12+T24)
+     &     - k(3)*(T13+T34) - k(4)*(T14+T44)
+
+      Tii  = T11 - T22 - T33 - T44
+      mTii = fmass*Tii
+
+      if ( fmass.gt.rZero ) then
+         d = - g/dcmplx( pf2-fmass**2, fmass*fwidth )
+      else
+         d = - g/dcmplx( pf2, rZero )
+      end if
+
+      fti(1) =   fi(1)*(p14m*D4 + dconjg(fti(6))*D3)
+     &         - fi(2)*(p14m*D2 + dconjg(fti(6))*D1)
+     &         + Tii*(  fi(1)*(dconjg(fti(6))*k23  - p14m*k14p)
+     &                + fi(2)*(dconjg(fti(6))*k14m - p14m*k23s) )
+
+      fti(2) = - fi(1)*(fti(6)*D4 + p14p*D3)
+     &         + fi(2)*(fti(6)*D2 + p14p*D1)
+     &         + Tii*(  fi(1)*(fti(6)*k14p - p14p*k23 )
+     &                + fi(2)*(fti(6)*k23s - p14p*k14m) )
+
+      fti(3) =   fi(3)*(p14p*D1 + dconjg(fti(6))*D3)
+     &         + fi(4)*(p14p*D2 + dconjg(fti(6))*D4)
+     &         + Tii*(  fi(3)*(dconjg(fti(6))*k23  - p14p*k14m)
+     &                - fi(4)*(dconjg(fti(6))*k14p - p14p*k23s) )
+
+      fti(4) =   fi(3)*(fti(6)*D1 + p14m*D3)
+     &         + fi(4)*(fti(6)*D2 + p14m*D4)
+     &         + Tii*(  fi(3)*(p14m*k23  - fti(6)*k14m)
+     &                - fi(4)*(p14m*k14p - fti(6)*k23s) )
+
+      if ( fmass.gt.rZero ) then
+         fti(1) = fti(1) + fmass*( D1*fi(3) + D2*fi(4) )
+         fti(2) = fti(2) + fmass*( D3*fi(3) + D4*fi(4) )
+         fti(3) = fti(3) + fmass*( D4*fi(1) - D2*fi(2) )
+         fti(4) = fti(4) + fmass*(-D3*fi(1) + D1*fi(2) )
+         do i = 1,4
+            fti(i) = fti(i) + mTii*m2*fi(i)
+         end do
+         fti(1) = fti(1) + mTii*(  fi(3)*(rTwo*p14m - k14m)
+     &                           + fi(4)*(k23 - rTwo*dconjg(fti(6))) )
+         fti(2) = fti(2) + mTii*(  fi(3)*(k23 - rTwo*fti(6))
+     &                           + fi(4)*(rTwo*p14p - k14p) )
+         fti(3) = fti(3) + mTii*(  fi(1)*(rTwo*p14p - k14p)
+     &                           + fi(2)*(rTwo*dconjg(fti(6)) - k23s) )
+         fti(4) = fti(4) + mTii*(  fi(1)*(rTwo*fti(6) - k23)
+     &                           + fi(2)*(rTwo*p14m - k14m) )
+      end if
+
+      do i = 1,4
+         fti(i) = fti(i)*d
+      end do
+c
+      return
+      end

=== added file 'HELAS/ftixxx.F'
--- HELAS/ftixxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/ftixxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,151 @@
+      subroutine ftixxx(fi,tc,gt,fmass,fwidth , fti)
+c
+c This subroutine computes an off-shell fermion wavefunction from a
+c flowing-IN external fermion and a tensor boson.
+c
+c input:
+c       complex fi(6)          : flow-in  fermion                   |fi>
+c       complex tc(18)         : input    tensor                       T
+c       complex gt             : coupling constant       gtf=-1/Lambda/4
+c       real    fmass          : mass  of output fermion f'
+c       real    fwidth         : width of output fermion f'
+c
+c output:
+c       complex fti(6)         : off-shell fermion             |f':T,fi>
+c
+c- by Q.Li - OCT. 2006
+c
+      implicit none
+      double complex fi(6), tc(18), gt, fti(6)
+      double precision fmass, fwidth
+
+      double complex ft(6,4)
+      double complex k14p, k14m, k23, k23s, p14p, p14m
+      double complex D1, D2, D3, D4, Tii, mTii, d
+      double complex T11, T22, T33, T44, T12, T13, T14, T23, T24, T34
+      double precision pf(4), k(4), pf2, m2
+      integer i
+      
+      double precision rZero, rTwo
+      parameter( rZero = 0.0d0, rTwo = 2.0d0 )
+      double complex ci
+      parameter( ci = ( 0.0d0, 1.0d0 ) )
+
+
+      m2 = rTwo*fmass
+      ft(1,1) = tc(1)
+      ft(1,2) = tc(2)
+      ft(1,3) = tc(3)
+      ft(1,4) = tc(4)
+      ft(2,1) = tc(5)
+      ft(2,2) = tc(6)
+      ft(2,3) = tc(7)
+      ft(2,4) = tc(8)
+      ft(3,1) = tc(9)
+      ft(3,2) = tc(10)
+      ft(3,3) = tc(11)
+      ft(3,4) = tc(12)
+      ft(4,1) = tc(13)
+      ft(4,2) = tc(14)
+      ft(4,3) = tc(15)
+      ft(4,4) = tc(16)
+      ft(5,1) = tc(17)
+      ft(6,1) = tc(18)
+
+      fti(5) = fi(5) - ft(5,1)
+      fti(6) = fi(6) - ft(6,1)
+
+      pf(1) = dreal(fti(5))
+      pf(2) = dreal(fti(6))
+      pf(3) = dimag(fti(6))
+      pf(4) = dimag(fti(5))
+      pf2 = pf(1)**2 - pf(2)**2 - pf(3)**2 - pf(4)**2
+
+      k(1) = dreal(fi(5)) + pf(1)
+      k(2) = dreal(fi(6)) + pf(2)
+      k(3) = dimag(fi(6)) + pf(3)
+      k(4) = dimag(fi(5)) + pf(4)
+
+      k14p = dcmplx( k(1)+k(4), rZero )
+      k14m = dcmplx( k(1)-k(4), rZero )
+      k23  = dcmplx( k(2), k(3) )
+      k23s = dconjg( k23 )
+      p14p = dcmplx( pf(1)+pf(4), rZero )
+      p14m = dcmplx( pf(1)-pf(4), rZero )
+
+      T11 = rTwo*ft(1,1)
+      T22 = rTwo*ft(2,2)
+      T33 = rTwo*ft(3,3)
+      T44 = rTwo*ft(4,4)
+      T12 = ft(1,2) + ft(2,1)
+      T13 = ft(1,3) + ft(3,1)
+      T14 = ft(1,4) + ft(4,1)
+      T23 = ft(2,3) + ft(3,2)
+      T24 = ft(2,4) + ft(4,2)
+      T34 = ft(3,4) + ft(4,3)
+
+      D1 =   k(1)*(T11-T14) - k(2)*(T12-T24)
+     &     - k(3)*(T13-T34) - k(4)*(T14-T44)
+
+      D2 = - k(1)*(T12-ci*T13) + k(2)*(T22-ci*T23)
+     &     + k(3)*(T23-ci*T33) + k(4)*(T24-ci*T34)
+
+      D3 = - k(1)*(T12+ci*T13) + k(2)*(T22+ci*T23)
+     &     + k(3)*(T23+ci*T33) + k(4)*(T24+ci*T34)
+
+      D4 =   k(1)*(T11+T14) - k(2)*(T12+T24)
+     &     - k(3)*(T13+T34) - k(4)*(T14+T44)
+
+      Tii  = T11 - T22 - T33 - T44
+      mTii = fmass*Tii
+
+      if ( fmass.gt.rZero ) then
+         d = - gt/dcmplx( pf2-fmass**2, fmass*fwidth )
+      else
+         d = - gt/dcmplx( pf2, rZero )
+      end if
+
+      fti(1) =   fi(1)*(p14m*D4 + dconjg(fti(6))*D3)
+     &         - fi(2)*(p14m*D2 + dconjg(fti(6))*D1)
+     &         + Tii*(  fi(1)*(dconjg(fti(6))*k23  - p14m*k14p)
+     &                + fi(2)*(dconjg(fti(6))*k14m - p14m*k23s) )
+
+      fti(2) = - fi(1)*(fti(6)*D4 + p14p*D3)
+     &         + fi(2)*(fti(6)*D2 + p14p*D1)
+     &         + Tii*(  fi(1)*(fti(6)*k14p - p14p*k23 )
+     &                + fi(2)*(fti(6)*k23s - p14p*k14m) )
+
+      fti(3) =   fi(3)*(p14p*D1 + dconjg(fti(6))*D3)
+     &         + fi(4)*(p14p*D2 + dconjg(fti(6))*D4)
+     &         + Tii*(  fi(3)*(dconjg(fti(6))*k23  - p14p*k14m)
+     &                - fi(4)*(dconjg(fti(6))*k14p - p14p*k23s) )
+
+      fti(4) =   fi(3)*(fti(6)*D1 + p14m*D3)
+     &         + fi(4)*(fti(6)*D2 + p14m*D4)
+     &         + Tii*(  fi(3)*(p14m*k23  - fti(6)*k14m)
+     &                - fi(4)*(p14m*k14p - fti(6)*k23s) )
+
+      if ( fmass.gt.rZero ) then
+         fti(1) = fti(1) + fmass*( D1*fi(3) + D2*fi(4) )
+         fti(2) = fti(2) + fmass*( D3*fi(3) + D4*fi(4) )
+         fti(3) = fti(3) + fmass*( D4*fi(1) - D2*fi(2) )
+         fti(4) = fti(4) + fmass*(-D3*fi(1) + D1*fi(2) )
+         do i = 1,4
+            fti(i) = fti(i) + mTii*m2*fi(i)
+         end do
+         fti(1) = fti(1) + mTii*(  fi(3)*(rTwo*p14m - k14m)
+     &                           + fi(4)*(k23 - rTwo*dconjg(fti(6))) )
+         fti(2) = fti(2) + mTii*(  fi(3)*(k23 - rTwo*fti(6))
+     &                           + fi(4)*(rTwo*p14p - k14p) )
+         fti(3) = fti(3) + mTii*(  fi(1)*(rTwo*p14p - k14p)
+     &                           + fi(2)*(rTwo*dconjg(fti(6)) - k23s) )
+         fti(4) = fti(4) + mTii*(  fi(1)*(rTwo*fti(6) - k23)
+     &                           + fi(2)*(rTwo*p14m - k14m) )
+      end if
+
+      do i = 1,4
+         fti(i) = fti(i)*d
+      end do
+
+      return
+      end

=== added file 'HELAS/ftoxkk.F'
--- HELAS/ftoxkk.F	1970-01-01 00:00:00 +0000
+++ HELAS/ftoxkk.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,129 @@
+      subroutine ftoxkk(fo,tc,g,fmass,fwidth , fto)
+c
+c This subroutine computes an off-shell fermion wavefunction from a
+c flowing-OUT external fermion and a KK tensor boson.
+c
+c input:
+c       complex fo(6)          : flow-out fermion                   <fo|
+c       complex tc(6,4)        : input    tensor                      t
+c       real    g              : coupling constant                   gtf
+c       real    fmass          : mass  of OUTPUT fermion f'
+c       real    fwidth         : width of OUTPUT fermion f'
+c
+c output:
+c       complex fvo(6)         : off-shell fermion             <fo,t,f'|
+c
+      implicit none
+      double complex fo(6), tc(6,4), fto(6)
+      double precision g, fmass, fwidth
+
+      double complex k14p, k14m, k23, k23s, p14p, p14m
+      double complex D1, D2, D3, D4, Tii, mTii, d
+      double complex T11, T22, T33, T44, T12, T13, T14, T23, T24, T34
+      double precision pf(4), k(4), pf2, m2
+      integer i
+
+      double precision rZero, rTwo
+      parameter( rZero = 0.0d0, rTwo = 2.0d0 )
+      double complex ci
+      parameter( ci = ( 0.0d0, 1.0d0 ) )
+c
+      m2 = rTwo*fmass
+
+      fto(5) = fo(5) + tc(5,1)
+      fto(6) = fo(6) + tc(6,1)
+
+      pf(1) = dreal(fto(5))
+      pf(2) = dreal(fto(6))
+      pf(3) = dimag(fto(6))
+      pf(4) = dimag(fto(5))
+      pf2 = pf(1)**2 - pf(2)**2 - pf(3)**2 - pf(4)**2
+
+      k(1) = dreal(fo(5)) + pf(1)
+      k(2) = dreal(fo(6)) + pf(2)
+      k(3) = dimag(fo(6)) + pf(3)
+      k(4) = dimag(fo(5)) + pf(4)
+
+      k14p = dcmplx( k(1)+k(4), rZero )
+      k14m = dcmplx( k(1)-k(4), rZero )
+      k23  = dcmplx( k(2), k(3) )
+      k23s = dconjg( k23 )
+      p14p = dcmplx( pf(1)+pf(4), rZero )
+      p14m = dcmplx( pf(1)-pf(4), rZero )
+
+      T11 = rTwo*tc(1,1)
+      T22 = rTwo*tc(2,2)
+      T33 = rTwo*tc(3,3)
+      T44 = rTwo*tc(4,4)
+      T12 = tc(1,2) + tc(2,1)
+      T13 = tc(1,3) + tc(3,1)
+      T14 = tc(1,4) + tc(4,1)
+      T23 = tc(2,3) + tc(3,2)
+      T24 = tc(2,4) + tc(4,2)
+      T34 = tc(3,4) + tc(4,3)
+
+      D1 =   k(1)*(T11-T14) + k(2)*(T24-T12)
+     &     + k(3)*(T34-T13) + k(4)*(T44-T14)
+
+      D2 =   k(1)*(ci*T13-T12) + k(2)*(T22-ci*T23)
+     &     + k(3)*(T23-ci*T33) + k(4)*(T24-ci*T34)
+
+      D3 = - k(1)*(T12+ci*T13) + k(2)*(T22+ci*T23)
+     &     + k(3)*(T23+ci*T33) + k(4)*(T24+ci*T34)
+
+      D4 =   k(1)*(T11+T14) - k(2)*(T12+T24)
+     &     - k(3)*(T13+T34) - k(4)*(T14+T44)
+
+      Tii  = T11 - T22 - T33 - T44
+      mTii = fmass*Tii
+
+      if ( fmass.gt.rZero ) then
+         d = - g/dcmplx( pf2-fmass**2, fmass*fwidth )
+      else
+         d = - g/dcmplx( pf2, rZero )
+      end if
+
+      fto(1) =   fo(1)*(p14p*D1 + fto(6)*D2)
+     &         + fo(2)*(p14p*D3 + fto(6)*D4)
+     &         + Tii*(- fo(1)*(p14p*k14m - fto(6)*k23s)
+     &                + fo(2)*(p14p*k23  - fto(6)*k14p) )
+
+      fto(2) =   fo(1)*(dconjg(fto(6))*D1 + p14m*D2)
+     &         + fo(2)*(dconjg(fto(6))*D3 + p14m*D4)
+     &         + Tii*(  fo(1)*(p14m*k23s - dconjg(fto(6))*k14m)
+     &                - fo(2)*(p14m*k14p - dconjg(fto(6))*k23 ) )
+
+      fto(3) =   fo(3)*(p14m*D4 + fto(6)*D2)
+     &         + fo(4)*(p14m*D3 - fto(6)*D1)
+     &         + Tii*(  fo(3)*(fto(6)*k23s - p14m*k14p)
+     &                + fo(4)*(fto(6)*k14m - p14m*k23 ) )
+
+      fto(4) = - fo(3)*(dconjg(fto(6))*D4 + p14p*D2)
+     &         + fo(4)*(dconjg(fto(6))*D3 - p14p*D1)
+     &         + Tii*(  fo(3)*(dconjg(fto(6))*k14p - p14p*k23s)
+     &                + fo(4)*(dconjg(fto(6))*k23  - p14p*k14m) )
+
+      if ( fmass.gt.rZero ) then
+         fto(1) = fto(1) + fmass*( D4*fo(3) - D3*fo(4) )
+         fto(2) = fto(2) + fmass*(-D2*fo(3) + D1*fo(4) )
+         fto(3) = fto(3) + fmass*( D1*fo(1) + D3*fo(2) )
+         fto(4) = fto(4) + fmass*( D2*fo(1) + D4*fo(2) )
+         do i = 1,4
+            fto(i) = fto(i) + mTii*m2*fo(i)
+         end do
+         fto(1) = fto(1) + mTii*(  fo(3)*(rTwo*p14p - k14p)
+     &                           + fo(4)*(rTwo*fto(6) - k23) )
+         fto(2) = fto(2) + mTii*(  fo(3)*(rTwo*dconjg(fto(6)) - k23s)
+     &                           + fo(4)*(rTwo*p14m - k14m) )
+         fto(3) = fto(3) + mTii*(  fo(1)*(rTwo*p14m - k14m)
+     &                           + fo(2)*(k23 - rTwo*fto(6)) )
+         fto(4) = fto(4) + mTii*(  fo(1)*(k23s - rTwo*dconjg(fto(6)))
+     &                           + fo(2)*(rTwo*p14p - k14p) )
+      end if
+
+      do i = 1,4
+         fto(i) = fto(i)*d
+      end do
+c
+      return
+      end

=== added file 'HELAS/ftoxxx.F'
--- HELAS/ftoxxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/ftoxxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,195 @@
+      subroutine ftoxxx(fo,tc,gt,fmass,fwidth , fto)
+c
+c This subroutine computes an off-shell fermion wavefunction from a
+c flowing-OUT external fermion and a tensor boson.
+c
+c input:
+c       complex fo(6)          : flow-out fermion                   <fo|
+c       complex tc(18)         : input    tensor                       T
+c       complex gt             : coupling constant       gtf=-1/Lambda/4
+c       real    fmass          : mass  of output fermion f'
+c       real    fwidth         : width of output fermion f'
+c
+c output:
+c       complex fto(6)         : off-shell fermion             <fo,T:f'|
+c
+c- by Q.Li - OCT. 2006
+c
+      implicit none
+      double complex fo(6), tc(18), gt, fto(6)
+      double precision fmass, fwidth
+
+      double complex ft(6,4)
+      double complex Tii,d
+      double complex T11, T22, T33, T44, T12, T13, T14, T23, T24, T34
+      double precision p(4), k(4), p2
+      integer i
+
+      double precision rZero, r2,rtwo
+      parameter( rZero = 0.0d0, r2 = 2.0d0,rtwo=2.0d0 )
+      double complex ci
+      parameter( ci = ( 0.0d0, 1.0d0 ) )
+
+
+      ft(1,1) = tc(1)
+      ft(1,2) = tc(2)
+      ft(1,3) = tc(3)
+      ft(1,4) = tc(4)
+      ft(2,1) = tc(5)
+      ft(2,2) = tc(6)
+      ft(2,3) = tc(7)
+      ft(2,4) = tc(8)
+      ft(3,1) = tc(9)
+      ft(3,2) = tc(10)
+      ft(3,3) = tc(11)
+      ft(3,4) = tc(12)
+      ft(4,1) = tc(13)
+      ft(4,2) = tc(14)
+      ft(4,3) = tc(15)
+      ft(4,4) = tc(16)
+      ft(5,1) = tc(17)
+      ft(6,1) = tc(18)
+
+      fto(5) = fo(5) + ft(5,1)
+      fto(6) = fo(6) + ft(6,1)
+
+      p(1) = dreal(fto(5))
+      p(2) = dreal(fto(6))
+      p(3) = dimag(fto(6))
+      p(4) = dimag(fto(5))
+      p2 = p(1)**2 - p(2)**2 - p(3)**2 - p(4)**2
+
+      k(1) = dreal(fo(5)) + p(1)
+      k(2) = dreal(fo(6)) + p(2)
+      k(3) = dimag(fo(6)) + p(3)
+      k(4) = dimag(fo(5)) + p(4)
+
+      T11 = ft(1,1)
+      T22 = ft(2,2)
+      T33 = ft(3,3)
+      T44 = ft(4,4)
+      Tii = T11-T22-T33-T44
+      T12 = ft(1,2) + ft(2,1)
+      T13 = ft(1,3) + ft(3,1)
+      T14 = ft(1,4) + ft(4,1)
+      T23 = ft(2,3) + ft(3,2)
+      T24 = ft(2,4) + ft(4,2)
+      T34 = ft(3,4) + ft(4,3)
+
+
+      if ( fmass.gt.rZero ) then
+         d = - gt/dcmplx( p2-fmass**2, fmass*fwidth )
+      else
+         d = - gt/dcmplx( p2, rZero )
+      end if
+
+      fto(1) =fmass*(fmass*fo(1)*r2**2*Tii 
+     &	- fo(4)*r2*Tii*(k(2) + ci*k(3))
+     & - fo(3)*r2*Tii*(k(1) + k(4))) + 
+     &    fmass*(fo(4)*(T12*k(1) + ci*T13*k(1) 
+     &+ T23*(-(ci*k(2)) - k(3)) - T24*k(4) - ci*T34*k(4)) + 
+     &       fo(3)*(-(T12*k(2)) - T24*k(2) - T13*k(3)
+     & - T34*k(3) - T14*(-k(1) + k(4)))) + 
+     &    (fmass*fo(4)*r2**2*Tii - fo(1)*r2*Tii*(-k(2) 
+     &+ ci*k(3)) - fo(2)*r2*Tii*(k(1) + k(4)))*(p(2) + ci*p(3)) + 
+     &    (fo(1)*(-(T12*k(1)) + ci*T13*k(1) 
+     &+ T23*(-(ci*k(2)) + k(3)) + T24*k(4) - ci*T34*k(4)) + 
+     &       fo(2)*(-(T12*k(2)) - T24*k(2) - T13*k(3)
+     & - T34*k(3) - T14*(-k(1) + k(4))))*(p(2) + ci*p(3)) + 
+     &    (fmass*fo(3)*r2**2*Tii - fo(2)*r2*Tii*(-k(2) 
+     &- ci*k(3)) - fo(1)*r2*Tii*(k(1) - k(4)))*(p(1) + p(4)) + 
+     &    (fo(2)*(-(T12*k(1)) - ci*T13*k(1) 
+     &+ T23*(ci*k(2) + k(3)) + T24*k(4) + ci*T34*k(4)) + 
+     &       fo(1)*(-(T12*k(2)) + T24*k(2) 
+     &- T13*k(3) + T34*k(3) - T14*(k(1) + k(4))))*(p(1) + p(4)) + 
+     &    rtwo*(fmass*(fo(4)*(-(T22*k(2)) 
+     &- ci*T33*k(3)) + fo(3)*(T11*k(1) - T44*k(4))) + 
+     &       (fo(1)*(T22*k(2) - ci*T33*k(3)) 
+     &+ fo(2)*(T11*k(1) - T44*k(4)))*(p(2) + ci*p(3)) + 
+     &       (fo(2)*(T22*k(2) + ci*T33*k(3))
+     & + fo(1)*(T11*k(1) + T44*k(4)))*(p(1) + p(4)))
+
+      fto(2) = fmass*(fmass*fo(2)*r2**2*Tii 
+     &	- fo(3)*r2*Tii*(k(2) - ci*k(3))
+     & - fo(4)*r2*Tii*(k(1) - k(4))) + 
+     &    fmass*(fo(3)*(T12*k(1) - ci*T13*k(1)
+     & + T23*(ci*k(2) - k(3)) - T24*k(4) + ci*T34*k(4)) + 
+     &       fo(4)*(-(T12*k(2)) + T24*k(2) 
+     &- T13*k(3) + T34*k(3) - T14*(k(1) + k(4)))) + 
+     &    (fmass*fo(3)*r2**2*Tii - fo(2)*r2*Tii*(-k(2) 
+     &- ci*k(3)) - fo(1)*r2*Tii*(k(1) - k(4)))*(p(2) - ci*p(3)) + 
+     &    (fo(2)*(-(T12*k(1)) - ci*T13*k(1) 
+     &+ T23*(ci*k(2) + k(3)) + T24*k(4) + ci*T34*k(4)) + 
+     &       fo(1)*(-(T12*k(2)) + T24*k(2) - T13*k(3)
+     & + T34*k(3) - T14*(k(1) + k(4))))*(p(2) - ci*p(3)) + 
+     &    rtwo*(fmass*(fo(3)*(-(T22*k(2)) + ci*T33*k(3)) 
+     &+ fo(4)*(T11*k(1) + T44*k(4))) + 
+     &       (fo(2)*(T22*k(2) + ci*T33*k(3)) 
+     &+ fo(1)*(T11*k(1) + T44*k(4)))*(p(2) - ci*p(3)) + 
+     &       (fo(1)*(T22*k(2) - ci*T33*k(3)) 
+     &+ fo(2)*(T11*k(1) - T44*k(4)))*(p(1) - p(4))) + 
+     &    (fmass*fo(4)*r2**2*Tii - fo(1)*r2*Tii*(-k(2) 
+     &+ ci*k(3)) - fo(2)*r2*Tii*(k(1) + k(4)))*(p(1) - p(4)) + 
+     &    (fo(1)*(-(T12*k(1)) + ci*T13*k(1) 
+     &+ T23*(-(ci*k(2)) + k(3)) + T24*k(4) - ci*T34*k(4)) + 
+     &       fo(2)*(-(T12*k(2)) - T24*k(2) - T13*k(3)
+     & - T34*k(3) - T14*(-k(1) + k(4))))*(p(1) - p(4))
+
+      fto(3) = fmass*(fmass*fo(3)*r2**2*Tii 
+     &	- fo(2)*r2*Tii*(-k(2) - ci*k(3)) 
+     &- fo(1)*r2*Tii*(k(1) - k(4))) + 
+     &    fmass*(fo(2)*(-(T12*k(1)) - ci*T13*k(1) 
+     &+ T23*(ci*k(2) + k(3)) + T24*k(4) + ci*T34*k(4)) + 
+     &       fo(1)*(-(T12*k(2)) + T24*k(2) - T13*k(3)
+     & + T34*k(3) - T14*(k(1) + k(4)))) + 
+     &    (fmass*fo(2)*r2**2*Tii - fo(3)*r2*Tii*(k(2) 
+     &- ci*k(3)) - fo(4)*r2*Tii*(k(1) - k(4)))*(-p(2) - ci*p(3)) + 
+     &    (fo(3)*(T12*k(1) - ci*T13*k(1) + T23*(ci*k(2)
+     & - k(3)) - T24*k(4) + ci*T34*k(4)) + 
+     &       fo(4)*(-(T12*k(2)) + T24*k(2) - T13*k(3) 
+     &+ T34*k(3) - T14*(k(1) + k(4))))*(-p(2) - ci*p(3)) + 
+     &    rtwo*(fmass*(fo(2)*(T22*k(2) + ci*T33*k(3)) 
+     &+ fo(1)*(T11*k(1) + T44*k(4))) + 
+     &       (fo(3)*(-(T22*k(2)) + ci*T33*k(3)) 
+     &+ fo(4)*(T11*k(1) + T44*k(4)))*(-p(2) - ci*p(3)) + 
+     &       (fo(4)*(-(T22*k(2)) - ci*T33*k(3))
+     & + fo(3)*(T11*k(1) - T44*k(4)))*(p(1) - p(4))) + 
+     &    (fmass*fo(1)*r2**2*Tii - fo(4)*r2*Tii*(k(2) 
+     &+ ci*k(3)) - fo(3)*r2*Tii*(k(1) + k(4)))*(p(1) - p(4)) + 
+     &    (fo(4)*(T12*k(1) + ci*T13*k(1) +
+     & T23*(-(ci*k(2)) - k(3)) - T24*k(4) - ci*T34*k(4)) + 
+     &       fo(3)*(-(T12*k(2)) - T24*k(2) - T13*k(3) 
+     &- T34*k(3) - T14*(-k(1) + k(4))))*(p(1) - p(4))
+
+      fto(4) =fmass*(fmass*fo(4)*r2**2*Tii
+     &	 - fo(1)*r2*Tii*(-k(2) + ci*k(3))
+     & - fo(2)*r2*Tii*(k(1) + k(4))) + 
+     &    fmass*(fo(1)*(-(T12*k(1)) + ci*T13*k(1) 
+     &+ T23*(-(ci*k(2)) + k(3)) + T24*k(4) - ci*T34*k(4)) + 
+     &       fo(2)*(-(T12*k(2)) - T24*k(2) - T13*k(3) 
+     &- T34*k(3) - T14*(-k(1) + k(4)))) + 
+     &    (fmass*fo(1)*r2**2*Tii - fo(4)*r2*Tii*(k(2) 
+     &+ ci*k(3)) - fo(3)*r2*Tii*(k(1) + k(4)))*(-p(2) + ci*p(3)) + 
+     &    (fo(4)*(T12*k(1) + ci*T13*k(1) 
+     &+ T23*(-(ci*k(2)) - k(3)) - T24*k(4) - ci*T34*k(4)) + 
+     &       fo(3)*(-(T12*k(2)) - T24*k(2) - T13*k(3)
+     & - T34*k(3) - T14*(-k(1) + k(4))))*(-p(2) + ci*p(3)) + 
+     &    (fmass*fo(2)*r2**2*Tii - fo(3)*r2*Tii*(k(2) 
+     &- ci*k(3)) - fo(4)*r2*Tii*(k(1) - k(4)))*(p(1) + p(4)) + 
+     &    (fo(3)*(T12*k(1) - ci*T13*k(1) + T23*(ci*k(2)
+     & - k(3)) - T24*k(4) + ci*T34*k(4)) + 
+     &       fo(4)*(-(T12*k(2)) + T24*k(2) - T13*k(3) 
+     &+ T34*k(3) - T14*(k(1) + k(4))))*(p(1) + p(4)) + 
+     &    rtwo*(fmass*(fo(1)*(T22*k(2) - ci*T33*k(3)) 
+     &+ fo(2)*(T11*k(1) - T44*k(4))) + 
+     &       (fo(4)*(-(T22*k(2)) - ci*T33*k(3))
+     & + fo(3)*(T11*k(1) - T44*k(4)))*(-p(2) + ci*p(3)) + 
+     &       (fo(3)*(-(T22*k(2)) + ci*T33*k(3))
+     & + fo(4)*(T11*k(1) + T44*k(4)))*(p(1) + p(4)))
+     
+      do i = 1,4
+         fto(i) = fto(i)*d
+      end do
+
+      return
+      end

=== added file 'HELAS/fvicxx.f'
--- HELAS/fvicxx.f	1970-01-01 00:00:00 +0000
+++ HELAS/fvicxx.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,66 @@
+c
+c ----------------------------------------------------------------------
+c
+      subroutine fvicxx(fic,vc,gc,fmass,fwidth , fvic)
+c
+c this subroutine computes an off-shell antifermion wavefunction from a 
+c flowing-in external antifermion and a vector boson.                   
+c                                                                       
+c input:                                                                
+c       complex fic(6)         : flow-in  antifermion              |fic>
+c       complex vc(6)          : input    vector                      v 
+c       complex gc(2)          : coupling constants                  gvf
+c       real    fmass          : mass  of output antifermion f'         
+c       real    fwidth         : width of output antifermion f'         
+c                                                                       
+c output:                                                               
+c       complex fvic(6)        : off-shell antifermion       |fc',v,fic>
+c
+      implicit none
+      double complex fic(6),vc(6),gc(2),fvic(6),sl1,sl2,sr1,sr2,d
+      double precision pf(0:3),fmass,fwidth,pf2
+
+      double precision rOne
+      parameter( rOne = 1.0d0 )
+      double complex cImag, cZero
+      parameter( cImag = ( 0.0d0, 1.0d0 ), cZero = ( 0.0d0, 0.0d0 ) )
+c
+      fvic(5) = fic(5)-vc(5)
+      fvic(6) = fic(6)-vc(6)
+
+      pf(0) = dble( fvic(5))
+      pf(1) = dble( fvic(6))
+      pf(2) = dimag(fvic(6))
+      pf(3) = dimag(fvic(5))
+      pf2 = pf(0)**2-(pf(1)**2+pf(2)**2+pf(3)**2)
+
+      d = rOne/dcmplx( pf2-fmass**2, fmass*fwidth )
+      sr1 =   (vc(1)-      vc(4))*fic(3)
+     &      - (vc(2)-cImag*vc(3))*fic(4)
+      sr2 = - (vc(2)+cImag*vc(3))*fic(3)
+     &      + (vc(1)+      vc(4))*fic(4)
+
+      if ( gc(2).ne.cZero ) then
+         sl1 =   (vc(1)+      vc(4))*fic(1)
+     &         + (vc(2)-cImag*vc(3))*fic(2)
+         sl2 =   (vc(2)+cImag*vc(3))*fic(1)
+     &         + (vc(1)-      vc(4))*fic(2)
+
+         fvic(1) = ( gc(2)*((pf(0)-pf(3))*sl1 - dconjg(fvic(6))*sl2)
+     &              +gc(1)*fmass*sr1 )*d
+         fvic(2) = ( gc(2)*(     -fvic(6)*sl1 +   (pf(0)+pf(3))*sl2)
+     &              +gc(1)*fmass*sr2 )*d
+         fvic(3) = ( gc(1)*((pf(0)+pf(3))*sr1 + dconjg(fvic(6))*sr2)
+     &              +gc(2)*fmass*sl1 )*d
+         fvic(4) = ( gc(1)*(      fvic(6)*sr1 +   (pf(0)-pf(3))*sr2)
+     &              +gc(2)*fmass*sl2 )*d
+      else
+         d = d * gc(1)
+         fvic(1) = fmass*sr1*d
+         fvic(2) = fmass*sr2*d
+         fvic(3) = ((pf(0)+pf(3))*sr1 + dconjg(fvic(6))*sr2)*d
+         fvic(4) = (      fvic(6)*sr1 +   (pf(0)-pf(3))*sr2)*d
+      end if
+c
+      return
+      end

=== added file 'HELAS/fvidmx.F'
--- HELAS/fvidmx.F	1970-01-01 00:00:00 +0000
+++ HELAS/fvidmx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,141 @@
+      subroutine fvidmx(fi,vc,gc,fmass,fwidth , fvi)
+c
+c This subroutine computes a dipole moment off-shell fermion
+c wavefunction from a flowing-IN external fermion and a vector boson.
+c
+c input:
+c       complex fi(6)          : flow-in  fermion                   |fi>
+c       complex vc(6)          : input    vector                      v
+c       complex gc(2,2)        : coupling constants                  gvf
+c                              : first index is L,R as normal
+c                              : second index is EDM,-MDM
+c       real    fmass          : mass  of output fermion f'
+c       real    fwidth         : width of output fermion f'
+c
+c output:
+c       complex fvi(6)         : off-shell fermion             |f',v,fi>
+c
+      implicit none
+      double complex fi(6), vc(6), fvi(6), sl1, sl2, sr1, sr2, d
+      double complex gc(2,2), gL, gR
+      double precision pf(0:3), fmass, fwidth, pf2
+
+      double complex kvc21, kvc31, kvc41, kvc32, kvc42, kvc43
+      double precision k(1:4)
+      double precision rZero, rOne
+      parameter( rZero = 0.0d0, rOne = 1.0d0 )
+      double complex cImag, cZero
+      parameter( cImag = ( 0.0d0, 1.0d0 ), cZero = ( 0.0d0, 0.0d0 ) )
+
+#ifdef HELAS_CHECK
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+#ifdef HELAS_CHECK
+      if ( abs(fi(1))+abs(fi(2))+abs(fi(3))+abs(fi(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : fi in fvidmx is zero spinor'
+      endif
+      if ( abs(fi(5))+abs(fi(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : fi in fvidmx has zero momentum'
+      endif
+      if ( abs(vc(1))+abs(vc(2))+abs(vc(3))+abs(vc(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : vc in fvidmx is zero vector'
+      endif
+      if ( abs(vc(5))+abs(vc(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : vc in fvidmx has zero momentum'
+      endif
+      if ( gc(1,1).eq.cZero .and. gc(2,1).eq.cZero .and.
+     &     gc(1,2).eq.cZero .and. gc(2,2).eq.cZero      ) then
+         write(stdo,*)
+     &        ' helas-error : gc in fvidmx is zero coupling'
+      endif
+      if ( fmass.lt.rZero ) then
+         write(stdo,*) ' helas-error : fmass in fvidmx is negative'
+         write(stdo,*) '             : fmass = ',fmass
+      endif
+      if ( fwidth.lt.rZero ) then
+         write(stdo,*) ' helas-error : fwidth in fvidmx is negative'
+         write(stdo,*) '             : fwidth = ',fwidth
+      endif
+#endif
+
+      gL = -gc(1,1) + cImag*gc(1,2)
+      gR =  gc(2,1) + cImag*gc(2,2)
+
+c k in vertex formula defined as (pi - po)
+      k(1) = dble( vc(5))
+      k(2) = dble( vc(6))
+      k(3) = dimag(vc(6))
+      k(4) = dimag(vc(5))
+
+      kvc21 = (k(2)*vc(1) - k(1)*vc(2))*cImag
+      kvc31 =  k(3)*vc(1) - k(1)*vc(3)
+      kvc41 = (k(4)*vc(1) - k(1)*vc(4))*cImag
+      kvc32 =  k(3)*vc(2) - k(2)*vc(3)
+      kvc42 = (k(4)*vc(2) - k(2)*vc(4))*cImag
+      kvc43 =  k(4)*vc(3) - k(3)*vc(4)
+
+      fvi(5) = fi(5) - vc(5)
+      fvi(6) = fi(6) - vc(6)
+
+      pf(0) = dble( fvi(5))
+      pf(1) = dble( fvi(6))
+      pf(2) = dimag(fvi(6))
+      pf(3) = dimag(fvi(5))
+      pf2 = pf(0)**2-(pf(1)**2+pf(2)**2+pf(3)**2)
+
+#ifdef HELAS_CHECK
+      if ( abs(fvi(5))+abs(fvi(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : fvi in fvidmx has zero momentum'
+      endif
+      if ( fwidth.eq.rZero .and. pf2.eq.fmass**2 ) then
+         write(stdo,*)
+     &        ' helas-error : fvi in fvidmx is on fmass pole'
+         write(stdo,*)
+     &        '             : p     = ',pf(0),pf(1),pf(2),pf(3)
+         write(stdo,*)
+     &        '             : abs(p)= ',dsqrt(dabs(pf2))
+         fvi(1) = cZero
+         fvi(2) = cZero
+         fvi(3) = cZero
+         fvi(4) = cZero
+         return
+      endif
+#endif
+
+      d = -rOne/dcmplx( pf2-fmass**2, fmass*fwidth )
+
+      sl1 = gL*(  fi(1)*(kvc41 + kvc32)
+     &          + fi(2)*(kvc42 + kvc21 + kvc43 + kvc31) )
+      sl2 = gL*(- fi(1)*(kvc42 - kvc21 - kvc43 + kvc31)
+     &          - fi(2)*(kvc41 + kvc32)                 )
+
+      if ( gc(2,1).ne.cZero .or.
+     &     gc(2,2).ne.cZero      ) then
+         sr1 = gR*(- fi(3)*(kvc41 - kvc32)
+     &             + fi(4)*(kvc42 - kvc21 + kvc43 - kvc31) )
+         sr2 = gR*(- fi(3)*(kvc42 + kvc21 - kvc43 - kvc31)
+     &             + fi(4)*(kvc41 - kvc32)                 )
+
+         fvi(1) = ( (pf(0)-pf(3))*sr1 - dconjg(fvi(6))*sr2
+     &             + fmass*sl1                             )*d
+         fvi(2) = (      - fvi(6)*sr1 +  (pf(0)+pf(3))*sr2
+     &             + fmass*sl2                             )*d
+         fvi(3) = ( (pf(0)+pf(3))*sl1 + dconjg(fvi(6))*sl2
+     &             + fmass*sr1                             )*d
+         fvi(4) = (        fvi(6)*sl1 +  (pf(0)-pf(3))*sl2
+     &             + fmass*sr2                             )*d
+
+      else
+         fvi(1) = fmass*sl1*d
+         fvi(2) = fmass*sl2*d
+         fvi(3) = ( (pf(0)+pf(3))*sl1 + dconjg(fvi(6))*sl2 )*d
+         fvi(4) = (        fvi(6)*sl1 +  (pf(0)-pf(3))*sl2 )*d
+      end if
+c
+      return
+      end

=== added file 'HELAS/fvigld.f'
--- HELAS/fvigld.f	1970-01-01 00:00:00 +0000
+++ HELAS/fvigld.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,104 @@
+c
+c ----------------------------------------------------------------------
+c
+      subroutine fvigld(fi,vc,gc,fmass,fwidth,idecay , fvi)
+c
+c This subroutine computes an off-shell fermion wavefunction from a
+c flowing-in external fermion and a vector boson, for the NLSP-boson-
+c Goldstino vertex. The h.c. of the NLSP decay is handled via the
+c input parameter idecay (picks out correct Goldstino momentum).
+c
+c input:
+c       complex fi(6)          : flow-in  fermion                   |fi>
+c       complex vc(6)          : input    vector                      v
+c       complex gc(2)          : coupling constants                  gvf
+c       real    fmass          : mass  of output fermion f'
+c       real    fwidth         : width of output fermion f'
+c       integer idecay         :  1 for NLSP decay to Goldstino
+c                              : -1 for Goldstino to NLSP (h.c. of above)
+c
+c output:
+c       complex fvi(6)         : off-shell fermion             |f',v,fi>
+c
+      implicit none
+      double complex  fi(6), vc(6), gc(2), fvi(6), sl1, sl2, sr1, sr2, d
+      double complex  p14p, p14m, p23p, p23m, A14p, A14m, A23p, A23m
+      double complex  AdotpG
+      double precision  fmass, fwidth
+      double precision  pf(0:3), pv(4), pf2, pdotpG
+      integer idecay
+
+      double precision rOne
+      parameter( rOne = 1.0d0 )
+      double complex ci, cZero
+      parameter( ci = ( 0.0d0, 1.0d0 ), cZero = ( 0.0d0, 0.0d0 ) )
+c
+      fvi(5) = fi(5) - vc(5)
+      fvi(6) = fi(6) - vc(6)
+
+      pv(1) = dble( vc(5))
+      pv(2) = dble( vc(6))
+      pv(3) = dimag(vc(6))
+      pv(4) = dimag(vc(5))
+
+      pf(0) = dble( fvi(5))
+      pf(1) = dble( fvi(6))
+      pf(2) = dimag(fvi(6))
+      pf(3) = dimag(fvi(5))
+      pf2 = pf(0)**2 - pf(1)**2 - pf(2)**2 - pf(3)**2
+
+      if ( idecay.eq.1 ) then
+         pdotpG = pv(1)*pf(0) - pv(2)*pf(1) - pv(3)*pf(2) - pv(4)*pf(3)
+         AdotpG = vc(1)*pf(0) - vc(2)*pf(1) - vc(3)*pf(2) - vc(4)*pf(3)
+      else if ( idecay.eq.-1 ) then
+         pdotpG =  pv(1)*dble( fi(5)) - pv(2)*dble( fi(6))
+     &           - pv(3)*dimag(fi(6)) - pv(4)*dimag(fi(5))
+         AdotpG =  vc(1)*dble( fi(5)) - vc(2)*dble( fi(6))
+     &           - vc(3)*dimag(fi(6)) - vc(4)*dimag(fi(5))
+      else
+         write(6,*) 'error in idecay of FVIGLD'
+         stop
+      end if
+
+      p14p = dble(vc(5)) + dimag(vc(5))
+      p14m = dble(vc(5)) - dimag(vc(5))
+      p23p = vc(6)
+      p23m = dconjg(vc(6))
+      A14p = vc(1) + vc(4)
+      A14m = vc(1) - vc(4)
+      A23p = vc(2) + vc(3)*ci
+      A23m = vc(2) - vc(3)*ci
+
+      d = -rOne/dcmplx( pf2-fmass**2, fmass*fwidth )
+      d = d*idecay
+
+      sl1 =  (p14p*AdotpG - A14p*pdotpG)*fi(1)
+     &      +(p23m*AdotpG - A23m*pdotpG)*fi(2)
+      sl2 =  (p23p*AdotpG - A23p*pdotpG)*fi(1)
+     &      +(p14m*AdotpG - A14m*pdotpG)*fi(2)
+
+      if ( gc(2).ne.cZero ) then
+         sr1 =  (p14m*AdotpG - A14m*pdotpG)*fi(3)
+     &         -(p23m*AdotpG - A23m*pdotpG)*fi(4)
+         sr2 = -(p23p*AdotpG - A23p*pdotpG)*fi(3)
+     &         +(p14p*AdotpG - A14p*pdotpG)*fi(4)
+
+         fvi(1) = ( gc(1)*((pf(0)-pf(3))*sl1 - dconjg(fvi(6))*sl2 )
+     &             +gc(2)*fmass*sr1 )*d
+         fvi(2) = ( gc(1)*(      -fvi(6)*sl1 +  (pf(0)+pf(3))*sl2 )
+     &             +gc(2)*fmass*sr2 )*d
+         fvi(3) = ( gc(2)*((pf(0)+pf(3))*sr1 + dconjg(fvi(6))*sr2 )
+     &             +gc(1)*fmass*sl1 )*d
+         fvi(4) = ( gc(2)*(       fvi(6)*sr1 +  (pf(0)-pf(3))*sr2 )
+     &             +gc(1)*fmass*sl2 )*d
+
+      else
+         d = d*gc(1)
+         fvi(1) = d*((pf(0)-pf(3))*sl1 - dconjg(fvi(6))*sl2)
+         fvi(2) = d*(      -fvi(6)*sl1 +  (pf(0)+pf(3))*sl2)
+         fvi(3) = d*fmass*sl1
+         fvi(4) = d*fmass*sl2
+      end if
+c
+      return          
+      end

=== added file 'HELAS/fvigox.f'
--- HELAS/fvigox.f	1970-01-01 00:00:00 +0000
+++ HELAS/fvigox.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,71 @@
+      subroutine fvigox(fi,vc,gc,fmass,fwidth , fvi)
+c
+c This subroutine computes an off-shell fermion wavefunction from a
+c flowing-IN external fermion and a vector boson in the case when 
+c they are all color octets.
+c
+c input:
+c       complex fi(6)          : flow-in  fermion                   |fi>
+c       complex vc(6)          : input    vector                      v
+c       complex gc(2)          : coupling constants                  gvf
+c       real    fmass          : mass  of output fermion f'
+c       real    fwidth         : width of output fermion f'
+c
+c output:
+c       complex fvi(6)         : off-shell fermion             |f',v,fi>
+c
+      implicit none
+      double complex fi(6),vc(6),gc(2),fvi(6),sl1,sl2,sr1,sr2,d
+      double precision pf(0:3),fmass,fwidth,pf2
+      integer i
+      
+      double precision rZero, rOne
+      parameter( rZero = 0.0d0, rOne = 1.0d0 )
+      double complex cImag, cZero
+      parameter( cImag = ( 0.0d0, 1.0d0 ), cZero = ( 0.0d0, 0.0d0 ) )
+
+      fvi(5) = fi(5)-vc(5)
+      fvi(6) = fi(6)-vc(6)
+
+      pf(0) = dble( fvi(5))
+      pf(1) = dble( fvi(6))
+      pf(2) = dimag(fvi(6))
+      pf(3) = dimag(fvi(5))
+      pf2 = pf(0)**2-(pf(1)**2+pf(2)**2+pf(3)**2)
+
+      d = -rOne/dcmplx( pf2-fmass**2, fmass*fwidth )
+      sl1 =   (vc(1)+      vc(4))*fi(1)
+     &      + (vc(2)-cImag*vc(3))*fi(2)
+      sl2 =   (vc(2)+cImag*vc(3))*fi(1)
+     &      + (vc(1)-      vc(4))*fi(2)
+
+      if ( gc(2).ne.cZero ) then
+         sr1 =   (vc(1)-      vc(4))*fi(3)
+     &         - (vc(2)-cImag*vc(3))*fi(4)
+         sr2 = - (vc(2)+cImag*vc(3))*fi(3)
+     &         + (vc(1)+      vc(4))*fi(4)
+
+         fvi(1) = ( gc(1)*((pf(0)-pf(3))*sl1 - dconjg(fvi(6))*sl2)
+     &             +gc(2)*fmass*sr1 )*d
+         fvi(2) = ( gc(1)*(      -fvi(6)*sl1 +  (pf(0)+pf(3))*sl2)
+     &             +gc(2)*fmass*sr2 )*d
+         fvi(3) = ( gc(2)*((pf(0)+pf(3))*sr1 + dconjg(fvi(6))*sr2)
+     &             +gc(1)*fmass*sl1 )*d
+         fvi(4) = ( gc(2)*(       fvi(6)*sr1 +  (pf(0)-pf(3))*sr2)
+     &             +gc(1)*fmass*sl2 )*d
+
+      else
+         d = d * gc(1)
+         fvi(1) = ((pf(0)-pf(3))*sl1 - dconjg(fvi(6))*sl2)*d
+         fvi(2) = (      -fvi(6)*sl1 +  (pf(0)+pf(3))*sl2)*d
+         fvi(3) = fmass*sl1*d
+         fvi(4) = fmass*sl2*d
+      end if
+c
+c    Need sign flip for wavefunction to account for 
+c    difference between Helas convention and color
+      do i=1,4
+        fvi(i)=-fvi(i)
+      enddo
+      return
+      end

=== added file 'HELAS/fvixxx.F'
--- HELAS/fvixxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/fvixxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,118 @@
+      subroutine fvixxx(fi,vc,gc,fmass,fwidth , fvi)
+c
+c This subroutine computes an off-shell fermion wavefunction from a
+c flowing-IN external fermion and a vector boson.
+c
+c input:
+c       complex fi(6)          : flow-in  fermion                   |fi>
+c       complex vc(6)          : input    vector                      v
+c       complex gc(2)          : coupling constants                  gvf
+c       real    fmass          : mass  of output fermion f'
+c       real    fwidth         : width of output fermion f'
+c
+c output:
+c       complex fvi(6)         : off-shell fermion             |f',v,fi>
+c
+      implicit none
+      double complex fi(6),vc(6),gc(2),fvi(6),sl1,sl2,sr1,sr2,d
+      double precision pf(0:3),fmass,fwidth,pf2
+      
+      double precision rZero, rOne
+      parameter( rZero = 0.0d0, rOne = 1.0d0 )
+      double complex cImag, cZero
+      parameter( cImag = ( 0.0d0, 1.0d0 ), cZero = ( 0.0d0, 0.0d0 ) )
+
+#ifdef HELAS_CHECK
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+#ifdef HELAS_CHECK
+      if ( abs(fi(1))+abs(fi(2))+abs(fi(3))+abs(fi(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : fi in fvixxx is zero spinor'
+      endif
+      if ( abs(fi(5))+abs(fi(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : fi in fvixxx has zero momentum'
+      endif
+      if ( abs(vc(1))+abs(vc(2))+abs(vc(3))+abs(vc(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : vc in fvixxx is zero vector'
+      endif
+      if ( abs(vc(5))+abs(vc(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : vc in fvixxx has zero momentum'
+      endif
+      if ( gc(1).eq.cZero .and. gc(2).eq.cZero ) then
+         write(stdo,*)
+     &        ' helas-error : gc in fvixxx is zero coupling'
+      endif
+      if ( fmass.lt.rZero ) then
+         write(stdo,*) ' helas-error : fmass in fvixxx is negative'
+         write(stdo,*) '             : fmass = ',fmass
+      endif
+      if ( fwidth.lt.rZero ) then
+         write(stdo,*) ' helas-error : fwidth in fvixxx is negative'
+         write(stdo,*) '             : fwidth = ',fwidth
+      endif
+#endif
+
+      fvi(5) = fi(5)-vc(5)
+      fvi(6) = fi(6)-vc(6)
+
+      pf(0) = dble( fvi(5))
+      pf(1) = dble( fvi(6))
+      pf(2) = dimag(fvi(6))
+      pf(3) = dimag(fvi(5))
+      pf2 = pf(0)**2-(pf(1)**2+pf(2)**2+pf(3)**2)
+
+#ifdef HELAS_CHECK
+      if ( abs(fvi(5))+abs(fvi(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : fvi in fvixxx has zero momentum'
+      endif
+      if ( fwidth.eq.rZero .and. pf2.eq.fmass**2 ) then
+         write(stdo,*)
+     &        ' helas-error : fvi in fvixxx is on fmass pole'
+         write(stdo,*)
+     &        '             : p     = ',pf(0),pf(1),pf(2),pf(3)
+         write(stdo,*)
+     &        '             : abs(p)= ',dsqrt(dabs(pf2))
+         fvi(1) = cZero
+         fvi(2) = cZero
+         fvi(3) = cZero
+         fvi(4) = cZero
+         return
+      endif
+#endif
+
+      d = -rOne/dcmplx( pf2-fmass**2, fmass*fwidth )
+      sl1 =   (vc(1)+      vc(4))*fi(1)
+     &      + (vc(2)-cImag*vc(3))*fi(2)
+      sl2 =   (vc(2)+cImag*vc(3))*fi(1)
+     &      + (vc(1)-      vc(4))*fi(2)
+
+      if ( gc(2).ne.cZero ) then
+         sr1 =   (vc(1)-      vc(4))*fi(3)
+     &         - (vc(2)-cImag*vc(3))*fi(4)
+         sr2 = - (vc(2)+cImag*vc(3))*fi(3)
+     &         + (vc(1)+      vc(4))*fi(4)
+
+         fvi(1) = ( gc(1)*((pf(0)-pf(3))*sl1 - dconjg(fvi(6))*sl2)
+     &             +gc(2)*fmass*sr1 )*d
+         fvi(2) = ( gc(1)*(      -fvi(6)*sl1 +  (pf(0)+pf(3))*sl2)
+     &             +gc(2)*fmass*sr2 )*d
+         fvi(3) = ( gc(2)*((pf(0)+pf(3))*sr1 + dconjg(fvi(6))*sr2)
+     &             +gc(1)*fmass*sl1 )*d
+         fvi(4) = ( gc(2)*(       fvi(6)*sr1 +  (pf(0)-pf(3))*sr2)
+     &             +gc(1)*fmass*sl2 )*d
+
+      else
+         d = d * gc(1)
+         fvi(1) = ((pf(0)-pf(3))*sl1 - dconjg(fvi(6))*sl2)*d
+         fvi(2) = (      -fvi(6)*sl1 +  (pf(0)+pf(3))*sl2)*d
+         fvi(3) = fmass*sl1*d
+         fvi(4) = fmass*sl2*d
+      end if
+c
+      return
+      end

=== added file 'HELAS/fvocxx.f'
--- HELAS/fvocxx.f	1970-01-01 00:00:00 +0000
+++ HELAS/fvocxx.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,66 @@
+c
+c ----------------------------------------------------------------------
+c
+      subroutine fvocxx(foc,vc,gc,fmass,fwidth , fvoc)
+c
+c this subroutine computes an off-shell antifermion wavefunction from a 
+c flowing-out external antifermion and a vector boson.                  
+c                                                                       
+c input:                                                                
+c       complex foc(6)         : flow-out antifermion              <foc|
+c       complex vc(6)          : input    vector                      v 
+c       complex gc(2)          : coupling constants                  gvf
+c       real    fmass          : mass  of output antifermion f'         
+c       real    fwidth         : width of output antifermion f'         
+c                                                                       
+c output:                                                               
+c       complex fvoc(6)        : off-shell antifermion       <foc,v,fc'|
+c
+      implicit none
+      double complex foc(6),vc(6),gc(2),fvoc(6),sl1,sl2,sr1,sr2,d
+      double precision pf(0:3),fmass,fwidth,pf2
+
+      double precision rOne
+      parameter( rOne = 1.0d0 )
+      double complex cImag, cZero
+      parameter( cImag = ( 0.0d0, 1.0d0 ), cZero = ( 0.0d0, 0.0d0 ) )
+c
+      fvoc(5) = foc(5)+vc(5)
+      fvoc(6) = foc(6)+vc(6)
+
+      pf(0) = dble( fvoc(5))
+      pf(1) = dble( fvoc(6))
+      pf(2) = dimag(fvoc(6))
+      pf(3) = dimag(fvoc(5))
+      pf2 = pf(0)**2-(pf(1)**2+pf(2)**2+pf(3)**2)
+
+      d = rOne/dcmplx( pf2-fmass**2, fmass*fwidth )
+      sr1 =   (vc(1)-      vc(4))*foc(1)
+     &      - (vc(2)+cImag*vc(3))*foc(2)
+      sr2 = - (vc(2)-cImag*vc(3))*foc(1)
+     &      + (vc(1)+      vc(4))*foc(2)
+
+      if ( gc(2).ne.cZero ) then
+         sl1 =   (vc(1)+      vc(4))*foc(3)
+     &         + (vc(2)+cImag*vc(3))*foc(4)
+         sl2 =   (vc(2)-cImag*vc(3))*foc(3)
+     &         + (vc(1)-      vc(4))*foc(4)
+
+         fvoc(1) = ( gc(1)*( (pf(0)+pf(3))*sr1   +       fvoc(6)*sr2)
+     &              +gc(2)*fmass*sl1 )*d
+         fvoc(2) = ( gc(1)*( dconjg(fvoc(6))*sr1 + (pf(0)-pf(3))*sr2)
+     &              +gc(2)*fmass*sl2 )*d
+         fvoc(3) = ( gc(2)*( (pf(0)-pf(3))*sl1   -       fvoc(6)*sl2)
+     &              +gc(1)*fmass*sr1 )*d
+         fvoc(4) = ( gc(2)*(-dconjg(fvoc(6))*sl1 + (pf(0)+pf(3))*sl2)
+     &              +gc(1)*fmass*sr2 )*d
+      else
+         d = d * gc(1)
+         fvoc(1) = ((pf(0)+pf(3))*sr1          +fvoc(6)*sr2)*d
+         fvoc(2) = (dconjg(fvoc(6))*sr1 + (pf(0)-pf(3))*sr2)*d
+         fvoc(3) = fmass*sr1*d
+         fvoc(4) = fmass*sr2*d
+      end if
+c
+      return
+      end

=== added file 'HELAS/fvodmx.F'
--- HELAS/fvodmx.F	1970-01-01 00:00:00 +0000
+++ HELAS/fvodmx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,141 @@
+      subroutine fvodmx(fo,vc,gc,fmass,fwidth , fvo)
+c
+c This subroutine computes a dipole moment off-shell fermion
+c wavefunction from a flowing-OUT external fermion and a vector boson.
+c
+c input:
+c       complex fo(6)          : flow-out fermion                   <fo|
+c       complex vc(6)          : input    vector                      v
+c       complex gc(2,2)        : coupling constants                  gvf
+c                              : first index is L,R as normal
+c                              : second index is EDM,-MDM
+c       real    fmass          : mass  of output fermion f'
+c       real    fwidth         : width of output fermion f'
+c
+c output:
+c       complex fvo(6)         : off-shell fermion             <fo,v,f'|
+c
+      implicit none
+      double complex fo(6), vc(6), fvo(6), sl1, sl2, sr1, sr2, d
+      double complex gc(2,2), gL, gR
+      double precision  pf(0:3), fmass, fwidth, pf2
+
+      double complex kvc21, kvc31, kvc41, kvc32, kvc42, kvc43
+      double precision k(1:4)
+      double precision rZero, rOne
+      parameter( rZero = 0.0d0, rOne = 1.0d0 )
+      double complex cImag, cZero
+      parameter( cImag = ( 0.0d0, 1.0d0 ), cZero = ( 0.0d0, 0.0d0 ) )
+
+#ifdef HELAS_CHECK
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+#ifdef HELAS_CHECK
+      if ( abs(fo(1))+abs(fo(2))+abs(fo(3))+abs(fo(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : fo in fvodmx is zero spinor'
+      endif
+      if ( abs(fo(5))+abs(fo(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : fo in fvodmx has zero momentum'
+      endif
+      if ( abs(vc(1))+abs(vc(2))+abs(vc(3))+abs(vc(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : vc in fvodmx is zero vector'
+      endif
+      if ( abs(vc(5))+abs(vc(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : vc in fvodmx has zero momentum'
+      endif
+      if ( gc(1,1).eq.cZero .and. gc(2,1).eq.cZero .and.
+     &     gc(1,2).eq.cZero .and. gc(2,2).eq.cZero      ) then
+         write(stdo,*)
+     &        ' helas-error : gc in fvodmx is zero coupling'
+      endif
+      if ( fmass.lt.rZero ) then
+         write(stdo,*) ' helas-error : fmass in fvodmx is negative'
+         write(stdo,*) '             : fmass = ',fmass
+      endif
+      if ( fwidth.lt.rZero ) then
+         write(stdo,*) ' helas-error : fwidth in fvodmx is negative'
+         write(stdo,*) '             : fwidth = ',fwidth
+      endif
+#endif
+
+      gL = -gc(1,1) + cImag*gc(1,2)
+      gR =  gc(2,1) + cImag*gc(2,2)
+
+c k in vertex formula defined as (pi - po)
+      k(1) = dble( vc(5))
+      k(2) = dble( vc(6))
+      k(3) = dimag(vc(6))
+      k(4) = dimag(vc(5))
+
+      kvc21 = (k(2)*vc(1) - k(1)*vc(2))*cImag
+      kvc31 =  k(3)*vc(1) - k(1)*vc(3)
+      kvc41 = (k(4)*vc(1) - k(1)*vc(4))*cImag
+      kvc32 =  k(3)*vc(2) - k(2)*vc(3)
+      kvc42 = (k(4)*vc(2) - k(2)*vc(4))*cImag
+      kvc43 =  k(4)*vc(3) - k(3)*vc(4)
+
+      fvo(5) = fo(5) + vc(5)
+      fvo(6) = fo(6) + vc(6)
+
+      pf(0) = dble( fvo(5))
+      pf(1) = dble( fvo(6))
+      pf(2) = dimag(fvo(6))
+      pf(3) = dimag(fvo(5))
+      pf2 = pf(0)**2-(pf(1)**2+pf(2)**2+pf(3)**2)
+
+#ifdef HELAS_CHECK
+      if ( abs(fvo(5))+abs(fvo(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : fvo in fvodmx has zero momentum'
+      endif
+      if ( fwidth.eq.rZero .and. pf2.eq.fmass**2 ) then
+         write(stdo,*)
+     &         ' helas-error : fvo in fvodmx is on fmass pole'
+         write(stdo,*)
+     &         '             : p     = ',pf(0),pf(1),pf(2),pf(3)
+         write(stdo,*)
+     &         '             : abs(p)= ',sqrt(abs(pf2))
+         fvo(1) = cZero
+         fvo(2) = cZero
+         fvo(3) = cZero
+         fvo(4) = cZero
+         return
+      endif
+#endif
+
+      d = -rOne/dcmplx( pf2-fmass**2, fmass*fwidth )
+
+      sl1 = gL*(  fo(1)*(kvc41 + kvc32)
+     &          - fo(2)*(kvc42 - kvc21 - kvc43 + kvc31) )
+      sl2 = gL*(  fo(1)*(kvc42 + kvc21 + kvc43 + kvc31)
+     &          - fo(2)*(kvc41 + kvc32)                 )
+
+      if ( gc(2,1).ne.cZero .or.
+     &     gc(2,2).ne.cZero      ) then
+         sr1 = gR*(- fo(3)*(kvc41 - kvc32)
+     &             - fo(4)*(kvc42 + kvc21 - kvc43 - kvc31) )
+         sr2 = gR*(  fo(3)*(kvc42 - kvc21 + kvc43 - kvc31)
+     &             + fo(4)*(kvc41 - kvc32)                 )
+
+         fvo(1) = (  (pf(0)+pf(3))*sr1       + fvo(6)*sr2
+     &             + fmass*sl1                            )*d
+         fvo(2) = ( dconjg(fvo(6))*sr1 +(pf(0)-pf(3))*sr2
+     &             + fmass*sl2                            )*d
+         fvo(3) = (  (pf(0)-pf(3))*sl1       - fvo(6)*sl2
+     &             + fmass*sr1                            )*d
+         fvo(4) = (-dconjg(fvo(6))*sl1 +(pf(0)+pf(3))*sl2
+     &             + fmass*sr2                            )*d
+
+      else
+         fvo(1) = fmass*sl1*d
+         fvo(2) = fmass*sl2*d
+         fvo(3) = (  (pf(0)-pf(3))*sl1        - fvo(6)*sl2)*d
+         fvo(4) = (-dconjg(fvo(6))*sl1 + (pf(0)+pf(3))*sl2)*d
+      end if
+c
+      return
+      end

=== added file 'HELAS/fvogld.f'
--- HELAS/fvogld.f	1970-01-01 00:00:00 +0000
+++ HELAS/fvogld.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,104 @@
+c
+c ----------------------------------------------------------------------
+c
+      subroutine fvogld(fo,vc,gc,fmass,fwidth,idecay , fvo)
+c
+c This subroutine computes an off-shell fermion wavefunction from a
+c flowing-out external fermion and a vector boson, for the NLSP-boson-
+c Goldstino vertex. The h.c. of the NLSP decay is handled via the
+c input parameter idecay (picks out correct Goldstino momentum).
+c
+c input:
+c       complex fo(6)          : flow-out fermion                   <fo|
+c       complex vc(6)          : input    vector                      v
+c       complex gc(2)          : coupling constants                  gvf
+c       real    fmass          : mass  of output fermion f'
+c       real    fwidth         : width of output fermion f'
+c       integer idecay         :  1 for NLSP decay to Goldstino
+c                              : -1 for Goldstino to NLSP (h.c. of above)
+c
+c output:
+c       complex fvo(6)         : off-shell fermion             <fo,v,f'|
+c
+      implicit none
+      double complex  fo(6), vc(6), gc(2), fvo(6), sl1, sl2, sr1, sr2, d
+      double complex  p14p, p14m, p23p, p23m, A14p, A14m, A23p, A23m
+      double complex  AdotpG
+      double precision  fmass, fwidth
+      double precision  pf(0:3), pv(4), pf2, pdotpG
+      integer idecay
+
+      double precision rOne
+      parameter( rOne = 1.0d0 )
+      double complex ci, cZero
+      parameter( ci = ( 0.0d0, 1.0d0 ), cZero = ( 0.0d0, 0.0d0 ) )
+c
+      fvo(5) = fo(5) + vc(5)
+      fvo(6) = fo(6) + vc(6)
+
+      pv(1) = dble( vc(5))
+      pv(2) = dble( vc(6))
+      pv(3) = dimag(vc(6))
+      pv(4) = dimag(vc(5))
+
+      pf(0) = dble( fvo(5))
+      pf(1) = dble( fvo(6))
+      pf(2) = dimag(fvo(6))
+      pf(3) = dimag(fvo(5))
+      pf2 = pf(0)**2 - pf(1)**2 - pf(2)**2 - pf(3)**2
+
+      if ( idecay.eq.1 ) then
+         pdotpG = pv(1)*pf(0) - pv(2)*pf(1) - pv(3)*pf(2) - pv(4)*pf(3)
+         AdotpG = vc(1)*pf(0) - vc(2)*pf(1) - vc(3)*pf(2) - vc(4)*pf(3)
+      else if ( idecay.eq.-1 ) then
+         pdotpG =  pv(1)*dble( fo(5)) - pv(2)*dble( fo(6))
+     &           - pv(3)*dimag(fo(6)) - pv(4)*dimag(fo(5))
+         AdotpG =  vc(1)*dble( fo(5)) - vc(2)*dble( fo(6))
+     &           - vc(3)*dimag(fo(6)) - vc(4)*dimag(fo(5))
+      else
+         write(6,*) 'error in idecay of FVOGLD'
+         stop
+      end if
+
+      p14p = dble(vc(5)) + dimag(vc(5))
+      p14m = dble(vc(5)) - dimag(vc(5))
+      p23p = vc(6)
+      p23m = dconjg(vc(6))
+      A14p = vc(1) + vc(4)
+      A14m = vc(1) - vc(4)
+      A23p = vc(2) + vc(3)*ci
+      A23m = vc(2) - vc(3)*ci
+
+      d = -rOne/dcmplx( pf2-fmass**2, fmass*fwidth )
+      d = d*idecay
+
+      sl1 =  (p14p*AdotpG - A14p*pdotpG)*fo(3)
+     &      +(p23p*AdotpG - A23p*pdotpG)*fo(4)
+      sl2 =  (p23m*AdotpG - A23m*pdotpG)*fo(3)
+     &      +(p14m*AdotpG - A14m*pdotpG)*fo(4)
+
+      if ( gc(2).ne.cZero ) then
+         sr1 =  (p14m*AdotpG - A14m*pdotpG)*fo(1)
+     &         -(p23p*AdotpG - A23p*pdotpG)*fo(2)
+         sr2 = -(p23m*AdotpG - A23m*pdotpG)*fo(1)
+     &         +(p14p*AdotpG - A14p*pdotpG)*fo(2)
+
+         fvo(1) = ( gc(2)*(  (pf(0)+pf(3))*sr1         +fvo(6)*sr2 )
+     &             +gc(1)*fmass*sl1 )*d
+         fvo(2) = ( gc(2)*( dconjg(fvo(6))*sr1 + (pf(0)-pf(3))*sr2 )
+     &             +gc(1)*fmass*sl2 )*d
+         fvo(3) = ( gc(1)*(  (pf(0)-pf(3))*sl1         -fvo(6)*sl2 )
+     &             +gc(2)*fmass*sr1 )*d
+         fvo(4) = ( gc(1)*(-dconjg(fvo(6))*sl1 + (pf(0)+pf(3))*sl2 )
+     &             +gc(2)*fmass*sr2 )*d
+
+      else
+         d = d*gc(1)
+         fvo(1) = d*fmass*sl1
+         fvo(2) = d*fmass*sl2
+         fvo(3) = d*(  (pf(0)-pf(3))*sl1         -fvo(6)*sl2)
+         fvo(4) = d*(-dconjg(fvo(6))*sl1 + (pf(0)+pf(3))*sl2)
+      end if
+c
+      return          
+      end

=== added file 'HELAS/fvogox.f'
--- HELAS/fvogox.f	1970-01-01 00:00:00 +0000
+++ HELAS/fvogox.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,66 @@
+      subroutine fvogox(fo,vc,gc,fmass,fwidth , fvo)
+c
+c This subroutine computes an off-shell fermion wavefunction from a
+c flowing-OUT external fermion and a vector boson in the case when 
+c they are all color octets.
+c
+c
+c input:
+c       complex fo(6)          : flow-out fermion                   <fo|
+c       complex vc(6)          : input    vector                      v
+c       complex gc(2)          : coupling constants                  gvf
+c       real    fmass          : mass  of OUTPUT fermion f'
+c       real    fwidth         : width of OUTPUT fermion f'
+c
+c output:
+c       complex fvo(6)         : off-shell fermion             <fo,v,f'|
+c
+      implicit none
+      double complex fo(6),vc(6),gc(2),fvo(6),sl1,sl2,sr1,sr2,d
+      double precision pf(0:3),fmass,fwidth,pf2
+
+      double precision rZero, rOne
+      parameter( rZero = 0.0d0, rOne = 1.0d0 )
+      double complex cImag, cZero
+      parameter( cImag = ( 0.0d0, 1.0d0 ), cZero = ( 0.0d0, 0.0d0 ) )
+
+      fvo(5) = fo(5)+vc(5)
+      fvo(6) = fo(6)+vc(6)
+
+      pf(0) = dble( fvo(5))
+      pf(1) = dble( fvo(6))
+      pf(2) = dimag(fvo(6))
+      pf(3) = dimag(fvo(5))
+      pf2 = pf(0)**2-(pf(1)**2+pf(2)**2+pf(3)**2)
+
+      d = -rOne/dcmplx( pf2-fmass**2, fmass*fwidth )
+      sl1 =   (vc(1)+      vc(4))*fo(3)
+     &      + (vc(2)+cImag*vc(3))*fo(4)
+      sl2 =   (vc(2)-cImag*vc(3))*fo(3)
+     &      + (vc(1)-      vc(4))*fo(4)
+
+      if ( gc(2).ne.cZero ) then
+         sr1 =   (vc(1)-      vc(4))*fo(1)
+     &         - (vc(2)+cImag*vc(3))*fo(2)
+         sr2 = - (vc(2)-cImag*vc(3))*fo(1)
+     &         + (vc(1)+      vc(4))*fo(2)
+
+         fvo(1) = ( gc(2)*( (pf(0)+pf(3))*sr1  +        fvo(6)*sr2)
+     &             +gc(1)*fmass*sl1 )*d
+         fvo(2) = ( gc(2)*( dconjg(fvo(6))*sr1 + (pf(0)-pf(3))*sr2)
+     &             +gc(1)*fmass*sl2 )*d
+         fvo(3) = ( gc(1)*( (pf(0)-pf(3))*sl1  -        fvo(6)*sl2)
+     &             +gc(2)*fmass*sr1 )*d
+         fvo(4) = ( gc(1)*(-dconjg(fvo(6))*sl1 + (pf(0)+pf(3))*sl2)
+     &             +gc(2)*fmass*sr2 )*d
+
+      else
+         d = d * gc(1)
+         fvo(1) = fmass*sl1*d
+         fvo(2) = fmass*sl2*d
+         fvo(3) = (  (pf(0)-pf(3))*sl1 -        fvo(6)*sl2)*d
+         fvo(4) = (-dconjg(fvo(6))*sl1 + (pf(0)+pf(3))*sl2)*d
+      end if
+c
+      return
+      end

=== added file 'HELAS/fvoxxx.F'
--- HELAS/fvoxxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/fvoxxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,119 @@
+      subroutine fvoxxx(fo,vc,gc,fmass,fwidth , fvo)
+c
+c This subroutine computes an off-shell fermion wavefunction from a
+c flowing-OUT external fermion and a vector boson.
+c
+c
+c input:
+c       complex fo(6)          : flow-out fermion                   <fo|
+c       complex vc(6)          : input    vector                      v
+c       complex gc(2)          : coupling constants                  gvf
+c       real    fmass          : mass  of OUTPUT fermion f'
+c       real    fwidth         : width of OUTPUT fermion f'
+c
+c output:
+c       complex fvo(6)         : off-shell fermion             <fo,v,f'|
+c
+      implicit none
+      double complex fo(6),vc(6),gc(2),fvo(6),sl1,sl2,sr1,sr2,d
+      double precision pf(0:3),fmass,fwidth,pf2
+
+      double precision rZero, rOne
+      parameter( rZero = 0.0d0, rOne = 1.0d0 )
+      double complex cImag, cZero
+      parameter( cImag = ( 0.0d0, 1.0d0 ), cZero = ( 0.0d0, 0.0d0 ) )
+
+#ifdef HELAS_CHECK
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+#ifdef HELAS_CHECK
+      if ( abs(fo(1))+abs(fo(2))+abs(fo(3))+abs(fo(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : fo in fvoxxx is zero spinor'
+      endif
+      if ( abs(fo(5))+abs(fo(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : fo in fvoxxx has zero momentum'
+      endif
+      if ( abs(vc(1))+abs(vc(2)+abs(vc(3))+abs(vc(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : vc in fvoxxx is zero vector'
+      endif
+      if ( abs(vc(5))+abs(vc(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : vc in fvoxxx has zero momentum'
+      endif
+      if ( gc(1).eq.cZero .and. gc(2).eq.cZero ) then
+         write(stdo,*)
+     &        ' helas-error : gc in fvoxxx is zero coupling'
+      endif
+      if ( fmass.lt.rZero ) then
+         write(stdo,*) ' helas-error : fmass in fvoxxx is negative'
+         write(stdo,*) '             : fmass = ',fmass
+      endif
+      if ( fwidth.lt.rZero ) then
+         write(stdo,*) ' helas-error : fwidth in fvoxxx is negative'
+         write(stdo,*) '             : fwidth = ',fwidth
+      endif
+#endif
+
+      fvo(5) = fo(5)+vc(5)
+      fvo(6) = fo(6)+vc(6)
+
+      pf(0) = dble( fvo(5))
+      pf(1) = dble( fvo(6))
+      pf(2) = dimag(fvo(6))
+      pf(3) = dimag(fvo(5))
+      pf2 = pf(0)**2-(pf(1)**2+pf(2)**2+pf(3)**2)
+
+#ifdef HELAS_CHECK
+      if ( abs(fvo(5))+abs(fvo(6)).eq.rZero ) then
+          write(stdo,*)
+     &        ' helas-error : fvo in fvoxxx has zero momentum'
+       endif
+       if ( fwidth.eq.rZero .and. pf2.eq.fmass**2 ) then
+          write(stdo,*)
+     &         ' helas-error : fvo in fvoxxx is on fmass pole'
+          write(stdo,*)
+     &         '             : p     = ',pf(0),pf(1),pf(2),pf(3)
+          write(stdo,*)
+     &         '             : abs(p)= ',sqrt(abs(pf2))
+         fvo(1) = cZero
+         fvo(2) = cZero
+         fvo(3) = cZero
+         fvo(4) = cZero
+         return
+      endif
+#endif
+
+      d = -rOne/dcmplx( pf2-fmass**2, fmass*fwidth )
+      sl1 =   (vc(1)+      vc(4))*fo(3)
+     &      + (vc(2)+cImag*vc(3))*fo(4)
+      sl2 =   (vc(2)-cImag*vc(3))*fo(3)
+     &      + (vc(1)-      vc(4))*fo(4)
+
+      if ( gc(2).ne.cZero ) then
+         sr1 =   (vc(1)-      vc(4))*fo(1)
+     &         - (vc(2)+cImag*vc(3))*fo(2)
+         sr2 = - (vc(2)-cImag*vc(3))*fo(1)
+     &         + (vc(1)+      vc(4))*fo(2)
+
+         fvo(1) = ( gc(2)*( (pf(0)+pf(3))*sr1  +        fvo(6)*sr2)
+     &             +gc(1)*fmass*sl1 )*d
+         fvo(2) = ( gc(2)*( dconjg(fvo(6))*sr1 + (pf(0)-pf(3))*sr2)
+     &             +gc(1)*fmass*sl2 )*d
+         fvo(3) = ( gc(1)*( (pf(0)-pf(3))*sl1  -        fvo(6)*sl2)
+     &             +gc(2)*fmass*sr1 )*d
+         fvo(4) = ( gc(1)*(-dconjg(fvo(6))*sl1 + (pf(0)+pf(3))*sl2)
+     &             +gc(2)*fmass*sr2 )*d
+
+      else
+         d = d * gc(1)
+         fvo(1) = fmass*sl1*d
+         fvo(2) = fmass*sl2*d
+         fvo(3) = (  (pf(0)-pf(3))*sl1 -        fvo(6)*sl2)*d
+         fvo(4) = (-dconjg(fvo(6))*sl1 + (pf(0)+pf(3))*sl2)*d
+      end if
+c
+      return
+      end

=== added file 'HELAS/fvtikk.F'
--- HELAS/fvtikk.F	1970-01-01 00:00:00 +0000
+++ HELAS/fvtikk.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,127 @@
+      subroutine ftixkk(fi,tc,g,fmass,fwidth , fti)
+c
+c This subroutine computes an off-shell fermion wavefunction from a
+c flowing-IN external fermion and a KK tensor boson.
+c
+c input:
+c       complex fi(6)          : flow-in  fermion                   |fi>
+c       complex tc(6,4)        : input    tensor                      t
+c       real    g              : coupling constant                   gtf
+c       real    fmass          : mass  of output fermion f'
+c       real    fwidth         : width of output fermion f'
+c
+c output:
+c       complex fti(6)         : off-shell fermion             |f',t,fi>
+c
+      implicit none
+      double complex fi(6), tc(6,4), fti(6), d
+      double complex k14p, k14m, k23, k23s, p14p, p14m
+      double complex D1, D2, D3, D4, Tii, mTii
+      double complex T11, T22, T33, T44, T12, T13, T14, T23, T24, T34
+      double precision g, fmass, fwidth, pf(4), k(4), pf2, m2
+      integer i
+      
+      double precision rZero, rTwo
+      parameter( rZero = 0.0d0, rTwo = 2.0d0 )
+      double complex ci
+      parameter( ci = ( 0.0d0, 1.0d0 ) )
+c
+      m2 = rTwo*fmass
+
+      fti(5) = fi(5) - tc(5,1)
+      fti(6) = fi(6) - tc(6,1)
+
+      pf(1) = dreal(fti(5))
+      pf(2) = dreal(fti(6))
+      pf(3) = dimag(fti(6))
+      pf(4) = dimag(fti(5))
+      pf2 = pf(1)**2 - pf(2)**2 - pf(3)**2 - pf(4)**2
+
+      k(1) = dreal(fi(5)) + pf(1)
+      k(2) = dreal(fi(6)) + pf(2)
+      k(3) = dimag(fi(6)) + pf(3)
+      k(4) = dimag(fi(5)) + pf(4)
+
+      k14p = dcmplx( k(1)+k(4), rZero )
+      k14m = dcmplx( k(1)-k(4), rZero )
+      k23  = dcmplx( k(2), k(3) )
+      k23s = dconjg( k23 )
+      p14p = dcmplx( pf(1)+pf(4), rZero )
+      p14m = dcmplx( pf(1)-pf(4), rZero )
+
+      T11 = rTwo*tc(1,1)
+      T22 = rTwo*tc(2,2)
+      T33 = rTwo*tc(3,3)
+      T44 = rTwo*tc(4,4)
+      T12 = tc(1,2) + tc(2,1)
+      T13 = tc(1,3) + tc(3,1)
+      T14 = tc(1,4) + tc(4,1)
+      T23 = tc(2,3) + tc(3,2)
+      T24 = tc(2,4) + tc(4,2)
+      T34 = tc(3,4) + tc(4,3)
+
+      D1 =   k(1)*(T11-T14) - k(2)*(T12-T24)
+     &     - k(3)*(T13-T34) - k(4)*(T14-T44)
+
+      D2 = - k(1)*(T12-ci*T13) + k(2)*(T22-ci*T23)
+     &     + k(3)*(T23-ci*T33) + k(4)*(T24-ci*T34)
+
+      D3 = - k(1)*(T12+ci*T13) + k(2)*(T22+ci*T23)
+     &     + k(3)*(T23+ci*T33) + k(4)*(T24+ci*T34)
+
+      D4 =   k(1)*(T11+T14) - k(2)*(T12+T24)
+     &     - k(3)*(T13+T34) - k(4)*(T14+T44)
+
+      Tii  = 16.d0*(T11 - T22 - T33 - T44)
+      mTii = fmass*Tii
+
+      if ( fmass.gt.rZero ) then
+         d = - g/dcmplx( pf2-fmass**2, fmass*fwidth )
+      else
+         d = - g/dcmplx( pf2, rZero )
+      end if
+
+      fti(1) =   fi(1)*(p14m*D4 + dconjg(fti(6))*D3)
+     &         - fi(2)*(p14m*D2 + dconjg(fti(6))*D1)
+     &         + Tii*(  fi(1)*(dconjg(fti(6))*k23  - p14m*k14p)
+     &                + fi(2)*(dconjg(fti(6))*k14m - p14m*k23s) )
+
+      fti(2) = - fi(1)*(fti(6)*D4 + p14p*D3)
+     &         + fi(2)*(fti(6)*D2 + p14p*D1)
+     &         + Tii*(  fi(1)*(fti(6)*k14p - p14p*k23 )
+     &                + fi(2)*(fti(6)*k23s - p14p*k14m) )
+
+      fti(3) =   fi(3)*(p14p*D1 + dconjg(fti(6))*D3)
+     &         + fi(4)*(p14p*D2 + dconjg(fti(6))*D4)
+     &         + Tii*(  fi(3)*(dconjg(fti(6))*k23  - p14p*k14m)
+     &                - fi(4)*(dconjg(fti(6))*k14p - p14p*k23s) )
+
+      fti(4) =   fi(3)*(fti(6)*D1 + p14m*D3)
+     &         + fi(4)*(fti(6)*D2 + p14m*D4)
+     &         + Tii*(  fi(3)*(p14m*k23  - fti(6)*k14m)
+     &                - fi(4)*(p14m*k14p - fti(6)*k23s) )
+
+      if ( fmass.gt.rZero ) then
+         fti(1) = fti(1) + fmass*( D1*fi(3) + D2*fi(4) )
+         fti(2) = fti(2) + fmass*( D3*fi(3) + D4*fi(4) )
+         fti(3) = fti(3) + fmass*( D4*fi(1) - D2*fi(2) )
+         fti(4) = fti(4) + fmass*(-D3*fi(1) + D1*fi(2) )
+         do i = 1,4
+            fti(i) = fti(i) + mTii*m2*fi(i)
+         end do
+         fti(1) = fti(1) + mTii*(  fi(3)*(rTwo*p14m - k14m)
+     &                           + fi(4)*(k23 - rTwo*dconjg(fti(6))) )
+         fti(2) = fti(2) + mTii*(  fi(3)*(k23 - rTwo*fti(6))
+     &                           + fi(4)*(rTwo*p14p - k14p) )
+         fti(3) = fti(3) + mTii*(  fi(1)*(rTwo*p14p - k14p)
+     &                           + fi(2)*(rTwo*dconjg(fti(6)) - k23s) )
+         fti(4) = fti(4) + mTii*(  fi(1)*(rTwo*fti(6) - k23)
+     &                           + fi(2)*(rTwo*p14m - k14m) )
+      end if
+
+      do i = 1,4
+         fti(i) = fti(i)*d
+      end do
+c
+      return
+      end

=== added file 'HELAS/fvtixx.F'
--- HELAS/fvtixx.F	1970-01-01 00:00:00 +0000
+++ HELAS/fvtixx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,201 @@
+      subroutine fvtixx(fi,vc,tc,gc,gt,fmass,fwidth , fvti)
+c
+c This subroutine computes an off-shell fermion wavefunction from a
+c flowing-IN external fermion, a gauge boson and a tensor boson.
+c
+c input:
+c       complex fi(6)          : flow-in fermion                    |fi>
+c       complex vc(6)          : input   vector                        v
+c       complex tc(18)         : input   tensor                        T
+c       complex gc(2)          : coupling constants                  gvf
+c       complex gt             : coupling constant      gtfv=-1/Lambda/2
+c       real    fmass          : mass  of output fermion f'
+c       real    fwidth         : width of output fermion f'
+c
+c output:
+c       complex fvti(6)        : off-shell fermion           |f':v,T,fi>
+c
+c- by Q.Li - OCT. 2006
+c
+      implicit none
+      double complex fi(6), vc(6), tc(18), gc(2), gt, fvti(6)
+      double precision  fmass, fwidth
+
+      double complex ft(6,4)
+      double complex d, T00, T12, T13, T14, T23, T24, T34
+      double precision po(4), po2
+      integer i
+      
+      double precision rZero, rTwo
+      parameter( rZero = 0.0d0, rTwo = 2.0d0 )
+      double complex cone
+      parameter( cone = ( 0.0d0, 1.0d0 ))
+
+      
+      ft(1,1) = tc(1)
+      ft(1,2) = tc(2)
+      ft(1,3) = tc(3)
+      ft(1,4) = tc(4)
+      ft(2,1) = tc(5)
+      ft(2,2) = tc(6)
+      ft(2,3) = tc(7)
+      ft(2,4) = tc(8)
+      ft(3,1) = tc(9)
+      ft(3,2) = tc(10)
+      ft(3,3) = tc(11)
+      ft(3,4) = tc(12)
+      ft(4,1) = tc(13)
+      ft(4,2) = tc(14)
+      ft(4,3) = tc(15)
+      ft(4,4) = tc(16)
+      ft(5,1) = tc(17)
+      ft(6,1) = tc(18)
+
+      fvti(5) = fi(5) - ft(5,1) -vc(5)
+      fvti(6) = fi(6) - ft(6,1) -vc(6)
+
+      po(1) = dreal(fvti(5))
+      po(2) = dreal(fvti(6))
+      po(3) = dimag(fvti(6))
+      po(4) = dimag(fvti(5))
+ 
+      po2=po(1)**2-po(2)**2-po(3)**2-po(4)**2
+     
+      T00 = ft(1,1)-ft(2,2)-ft(3,3)-ft(4,4)
+      T12 = ft(1,2) + ft(2,1)
+      T13 = ft(1,3) + ft(3,1)
+      T14 = ft(1,4) + ft(4,1)
+      T23 = ft(2,3) + ft(3,2)
+      T24 = ft(2,4) + ft(4,2)
+      T34 = ft(3,4) + ft(4,3)
+   
+      if ( fmass.gt.rZero ) then
+         d =  -1.0d0/dcmplx( po2-fmass**2, fmass*fwidth )
+      else
+         d =  -1.0d0/dcmplx( po2, rZero )
+      end if
+
+      fvti(1) =  fmass*fi(4)*gc(2)*(T12*vc(1) - cone*T13*vc(1)
+     & - T23*(-(cone*vc(2)) + vc(3)) + 2.d0*T00*(-vc(2) + cone*vc(3))
+     & - T24*vc(4) + cone*T34*vc(4)) + fmass*fi(3)*gc(2)*
+     &     (T12*vc(2) - T24*vc(2) + T13*vc(3) - T34*vc(3)
+     &+ 2.d0*T00*(vc(1) - vc(4)) + T14*(vc(1) + vc(4))) + 
+     &    fi(1)*gc(1)*((-po(2) + cone*po(3))*(-(T12*vc(1))
+     & - cone*T13*vc(1) - T23*(-(cone*vc(2)) - vc(3)) + 
+     &          2.d0*T00*(vc(2) + cone*vc(3)) + T24*vc(4) 
+     &+ cone*T34*vc(4)) + 
+     &       (po(1) - po(4))*(T12*vc(2) + T24*vc(2) 
+     &+ T13*vc(3) + T34*vc(3) + T14*(-vc(1) + vc(4)) 
+     &+ 2.d0*T00*(vc(1) + vc(4)))) + 
+     &    fi(2)*gc(1)*((po(1) - po(4))*(-(T12*vc(1))
+     & + cone*T13*vc(1) - T23*(cone*vc(2) - vc(3)) 
+     &+ 2.d0*T00*(vc(2) - cone*vc(3)) + 
+     &          T24*vc(4) - cone*T34*vc(4)) 
+     &+ (-po(2) + cone*po(3))*
+     &        (T12*vc(2) - T24*vc(2) + T13*vc(3) 
+     &- T34*vc(3) + 2.d0*T00*(vc(1) - vc(4)) + T14*(vc(1) + vc(4))))
+
+      fvti(2) = fmass*fi(3)*gc(2)*(T12*vc(1) 
+     &+ cone*T13*vc(1) - T23*(cone*vc(2) + vc(3))
+     & + 2.d0*T00*(-vc(2) - cone*vc(3)) - 
+     &       T24*vc(4) - cone*T34*vc(4)) + fmass*fi(4)*gc(2)*
+     &     (T12*vc(2) + T24*vc(2) + T13*vc(3) + T34*vc(3)
+     & + T14*(-vc(1) + vc(4)) + 2.d0*T00*(vc(1) + vc(4))) + 
+     &    fi(1)*gc(1)*((po(1) + po(4))*(-(T12*vc(1)) - cone*T13*vc(1)
+     & - T23*(-(cone*vc(2)) - vc(3)) + 
+     &          2.d0*T00*(vc(2) + cone*vc(3))
+     & + T24*vc(4) + cone*T34*vc(4)) + 
+     &       (-po(2) - cone*po(3))*(T12*vc(2) + T24*vc(2)
+     & + T13*vc(3) + T34*vc(3) + T14*(-vc(1) + vc(4)) + 
+     &          2.d0*T00*(vc(1) + vc(4)))) + fi(2)*gc(1)*
+     &     ((-po(2) - cone*po(3))*(-(T12*vc(1)) + cone*T13*vc(1)
+     & - T23*(cone*vc(2) - vc(3)) + 2.d0*T00*(vc(2) - cone*vc(3)) + 
+     &          T24*vc(4) - cone*T34*vc(4)) + (po(1) + po(4))*
+     &        (T12*vc(2) - T24*vc(2) + T13*vc(3) - T34*vc(3) 
+     &+ 2.d0*T00*(vc(1) - vc(4)) + T14*(vc(1) + vc(4))))
+
+      fvti(3) = fmass*fi(2)*gc(1)*(-(T12*vc(1)) + cone*T13*vc(1)
+     & - T23*(cone*vc(2) - vc(3)) + 2.d0*T00*(vc(2) - cone*vc(3)) + 
+     &       T24*vc(4) - cone*T34*vc(4)) + fmass*fi(1)*gc(1)*
+     &     (T12*vc(2) + T24*vc(2) + T13*vc(3) + T34*vc(3)
+     & + T14*(-vc(1) + vc(4)) + 2.d0*T00*(vc(1) + vc(4))) + 
+     &    fi(4)*gc(2)*((po(1) + po(4))*(T12*vc(1) - cone*T13*vc(1)
+     & - T23*(-(cone*vc(2)) + vc(3)) + 2.d0*T00*(-vc(2) + cone*vc(3))  
+     &       -T24*vc(4) + cone*T34*vc(4)) + (po(2) - cone*po(3))*
+     &        (T12*vc(2) + T24*vc(2) + T13*vc(3) + T34*vc(3)
+     & + T14*(-vc(1) + vc(4)) + 2.d0*T00*(vc(1) + vc(4)))) + 
+     &    fi(3)*gc(2)*((po(2) - cone*po(3))*(T12*vc(1)
+     & + cone*T13*vc(1) - T23*(cone*vc(2) + vc(3)) + 
+     &          2.d0*T00*(-vc(2) - cone*vc(3))
+     & - T24*vc(4) - cone*T34*vc(4)) + 
+     &       (po(1) + po(4))*(T12*vc(2) - T24*vc(2)
+     & + T13*vc(3) - T34*vc(3) + 2.d0*T00*(vc(1) - vc(4)) 
+     & + T14*(vc(1) + vc(4))))
+
+      fvti(4) = fmass*fi(1)*gc(1)*(-(T12*vc(1)) - cone*T13*vc(1)
+     &	 - T23*(-(cone*vc(2)) - vc(3)) 
+     & + 2.d0*T00*(vc(2) + cone*vc(3)) + 
+     &       T24*vc(4) + cone*T34*vc(4)) + fmass*fi(2)*gc(1)*
+     &     (T12*vc(2) - T24*vc(2) + T13*vc(3) - T34*vc(3)
+     & + 2.d0*T00*(vc(1) - vc(4)) + T14*(vc(1) + vc(4))) + 
+     &    fi(4)*gc(2)*((po(2) + cone*po(3))*(T12*vc(1) 
+     & - cone*T13*vc(1) - T23*(-(cone*vc(2)) + vc(3)) + 
+     &          2.d0*T00*(-vc(2) + cone*vc(3)) - T24*vc(4)
+     & + cone*T34*vc(4)) + 
+     &       (po(1) - po(4))*(T12*vc(2) + T24*vc(2)
+     & + T13*vc(3) + T34*vc(3) + T14*(-vc(1) + vc(4))
+     & + 2.d0*T00*(vc(1) + vc(4)))) + 
+     &    fi(3)*gc(2)*((po(1) - po(4))*(T12*vc(1) 
+     &+ cone*T13*vc(1) - T23*(cone*vc(2) + vc(3))
+     & + 2.d0*T00*(-vc(2) - cone*vc(3)) - 
+     &          T24*vc(4) - cone*T34*vc(4))
+     & + (po(2) + cone*po(3))*
+     &        (T12*vc(2) - T24*vc(2) + T13*vc(3) 
+     &- T34*vc(3) + 2.d0*T00*(vc(1) - vc(4)) + T14*(vc(1) + vc(4))))  
+
+      fvti(1) = fvti(1)
+     &	-2*fmass*fi(4)*gc(2)*(ft(2,2)*vc(2) - cone*ft(3,3)*vc(3))
+     & - 2*fmass*fi(3)*gc(2)*(ft(1,1)*vc(1) + ft(4,4)*vc(4)) + 
+     &    fi(1)*gc(1)*(-2*(-po(2) + cone*po(3))*(-(ft(2,2)*vc(2))
+     & - cone*ft(3,3)*vc(3)) - 
+     &       2*(po(1) - po(4))*(ft(1,1)*vc(1) - ft(4,4)*vc(4))) + 
+     &    fi(2)*gc(1)*(-2*(po(1) - po(4))*(-(ft(2,2)*vc(2)) 
+     &+ cone*ft(3,3)*vc(3)) - 
+     &       2*(-po(2) + cone*po(3))*(ft(1,1)*vc(1) + ft(4,4)*vc(4)))
+
+      fvti(2) = fvti(2)
+     &-2*fmass*fi(3)*gc(2)*(ft(2,2)*vc(2) + cone*ft(3,3)*vc(3))
+     & - 2*fmass*fi(4)*gc(2)*(ft(1,1)*vc(1) - ft(4,4)*vc(4)) + 
+     &   fi(1)*gc(1)*(-2*(po(1) + po(4))*(-(ft(2,2)*vc(2))
+     & - cone*ft(3,3)*vc(3)) - 
+     &       2*(-po(2) - cone*po(3))*(ft(1,1)*vc(1) - ft(4,4)*vc(4))) + 
+     &    fi(2)*gc(1)*(-2*(-po(2) - cone*po(3))*(-(ft(2,2)*vc(2))
+     & + cone*ft(3,3)*vc(3)) - 
+     &       2*(po(1) + po(4))*(ft(1,1)*vc(1) + ft(4,4)*vc(4)))
+     	
+      fvti(3) = fvti(3)
+     &-2*fmass*fi(2)*gc(1)*(-(ft(2,2)*vc(2)) + cone*ft(3,3)*vc(3))
+     & - 2*fmass*fi(1)*gc(1)*(ft(1,1)*vc(1) - ft(4,4)*vc(4)) + 
+     &    fi(4)*gc(2)*(-2*(po(1) + po(4))*(ft(2,2)*vc(2) 
+     &- cone*ft(3,3)*vc(3)) - 
+     &       2*(po(2) - cone*po(3))*(ft(1,1)*vc(1) - ft(4,4)*vc(4))) + 
+     &    fi(3)*gc(2)*(-2*(po(2) - cone*po(3))*(ft(2,2)*vc(2) 
+     &+ cone*ft(3,3)*vc(3)) - 
+     &       2*(po(1) + po(4))*(ft(1,1)*vc(1) + ft(4,4)*vc(4)))	
+	
+      fvti(4) = fvti(4)
+     &-2*fmass*fi(1)*gc(1)*(-(ft(2,2)*vc(2)) - cone*ft(3,3)*vc(3))
+     & - 2*fmass*fi(2)*gc(1)*(ft(1,1)*vc(1) + ft(4,4)*vc(4)) + 
+     &    fi(4)*gc(2)*(-2*(po(2) + cone*po(3))*(ft(2,2)*vc(2)
+     & - cone*ft(3,3)*vc(3)) - 
+     &       2*(po(1) - po(4))*(ft(1,1)*vc(1) - ft(4,4)*vc(4))) + 
+     &    fi(3)*gc(2)*(-2*(po(1) - po(4))*(ft(2,2)*vc(2)
+     & + cone*ft(3,3)*vc(3)) - 
+     &       2*(po(2) + cone*po(3))*(ft(1,1)*vc(1) + ft(4,4)*vc(4)))	
+
+      do i = 1,4
+         fvti(i) = -fvti(i)*d*gt
+      end do
+
+      return
+      end

=== added file 'HELAS/fvtokk.F'
--- HELAS/fvtokk.F	1970-01-01 00:00:00 +0000
+++ HELAS/fvtokk.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,127 @@
+      subroutine ftoxkk(fo,tc,g,fmass,fwidth , fto)
+c
+c This subroutine computes an off-shell fermion wavefunction from a
+c flowing-OUT external fermion and a KK tensor boson.
+c
+c input:
+c       complex fo(6)          : flow-out fermion                   <fo|
+c       complex tc(6,4)        : input    tensor                      t
+c       real    g              : coupling constant                   gtf
+c       real    fmass          : mass  of OUTPUT fermion f'
+c       real    fwidth         : width of OUTPUT fermion f'
+c
+c output:
+c       complex fvo(6)         : off-shell fermion             <fo,t,f'|
+c
+      implicit none
+      double complex fo(6), tc(6,4), fto(6), d
+      double complex k14p, k14m, k23, k23s, p14p, p14m
+      double complex D1, D2, D3, D4, Tii, mTii
+      double complex T11, T22, T33, T44, T12, T13, T14, T23, T24, T34
+      double precision g, fmass, fwidth, pf(4), k(4), pf2, m2
+      integer i
+
+      double precision rZero, rTwo
+      parameter( rZero = 0.0d0, rTwo = 2.0d0 )
+      double complex ci
+      parameter( ci = ( 0.0d0, 1.0d0 ) )
+c
+      m2 = rTwo*fmass
+
+      fto(5) = fo(5) + tc(5,1)
+      fto(6) = fo(6) + tc(6,1)
+
+      pf(1) = dreal(fto(5))
+      pf(2) = dreal(fto(6))
+      pf(3) = dimag(fto(6))
+      pf(4) = dimag(fto(5))
+      pf2 = pf(1)**2 - pf(2)**2 - pf(3)**2 - pf(4)**2
+
+      k(1) = dreal(fo(5)) + pf(1)
+      k(2) = dreal(fo(6)) + pf(2)
+      k(3) = dimag(fo(6)) + pf(3)
+      k(4) = dimag(fo(5)) + pf(4)
+
+      k14p = dcmplx( k(1)+k(4), rZero )
+      k14m = dcmplx( k(1)-k(4), rZero )
+      k23  = dcmplx( k(2), k(3) )
+      k23s = dconjg( k23 )
+      p14p = dcmplx( pf(1)+pf(4), rZero )
+      p14m = dcmplx( pf(1)-pf(4), rZero )
+
+      T11 = rTwo*tc(1,1)
+      T22 = rTwo*tc(2,2)
+      T33 = rTwo*tc(3,3)
+      T44 = rTwo*tc(4,4)
+      T12 = tc(1,2) + tc(2,1)
+      T13 = tc(1,3) + tc(3,1)
+      T14 = tc(1,4) + tc(4,1)
+      T23 = tc(2,3) + tc(3,2)
+      T24 = tc(2,4) + tc(4,2)
+      T34 = tc(3,4) + tc(4,3)
+
+      D1 =   k(1)*(T11-T14) + k(2)*(T24-T12)
+     &     + k(3)*(T34-T13) + k(4)*(T44-T14)
+
+      D2 =   k(1)*(ci*T13-T12) + k(2)*(T22-ci*T23)
+     &     + k(3)*(T23-ci*T33) + k(4)*(T24-ci*T34)
+
+      D3 = - k(1)*(T12+ci*T13) + k(2)*(T22+ci*T23)
+     &     + k(3)*(T23+ci*T33) + k(4)*(T24+ci*T34)
+
+      D4 =   k(1)*(T11+T14) - k(2)*(T12+T24)
+     &     - k(3)*(T13+T34) - k(4)*(T14+T44)
+
+      Tii  = 16.d0*(T11 - T22 - T33 - T44)
+      mTii = fmass*Tii
+
+      if ( fmass.gt.rZero ) then
+         d = - g/dcmplx( pf2-fmass**2, fmass*fwidth )
+      else
+         d = - g/dcmplx( pf2, rZero )
+      end if
+
+      fto(1) =   fo(1)*(p14p*D1 + fto(6)*D2)
+     &         + fo(2)*(p14p*D3 + fto(6)*D4)
+     &         + Tii*(- fo(1)*(p14p*k14m - fto(6)*k23s)
+     &                + fo(2)*(p14p*k23  - fto(6)*k14p) )
+
+      fto(2) =   fo(1)*(dconjg(fto(6))*D1 + p14m*D2)
+     &         + fo(2)*(dconjg(fto(6))*D3 + p14m*D4)
+     &         + Tii*(  fo(1)*(p14m*k23s - dconjg(fto(6))*k14m)
+     &                - fo(2)*(p14m*k14p - dconjg(fto(6))*k23 ) )
+
+      fto(3) =   fo(3)*(p14m*D4 + fto(6)*D2)
+     &         + fo(4)*(p14m*D3 - fto(6)*D1)
+     &         + Tii*(  fo(3)*(fto(6)*k23s - p14m*k14p)
+     &                + fo(4)*(fto(6)*k14m - p14m*k23 ) )
+
+      fto(4) = - fo(3)*(dconjg(fto(6))*D4 + p14p*D2)
+     &         + fo(4)*(dconjg(fto(6))*D3 - p14p*D1)
+     &         + Tii*(  fo(3)*(dconjg(fto(6))*k14p - p14p*k23s)
+     &                + fo(4)*(dconjg(fto(6))*k23  - p14p*k14m) )
+
+      if ( fmass.gt.rZero ) then
+         fto(1) = fto(1) + fmass*( D4*fo(3) - D3*fo(4) )
+         fto(2) = fto(2) + fmass*(-D2*fo(3) + D1*fo(4) )
+         fto(3) = fto(3) + fmass*( D1*fo(1) + D3*fo(2) )
+         fto(4) = fto(4) + fmass*( D2*fo(1) + D4*fo(2) )
+         do i = 1,4
+            fto(i) = fto(i) + mTii*m2*fo(i)
+         end do
+         fto(1) = fto(1) + mTii*(  fo(3)*(rTwo*p14p - k14p)
+     &                           + fo(4)*(rTwo*fto(6) - k23) )
+         fto(2) = fto(2) + mTii*(  fo(3)*(rTwo*dconjg(fto(6)) - k23s)
+     &                           + fo(4)*(rTwo*p14m - k14m) )
+         fto(3) = fto(3) + mTii*(  fo(1)*(rTwo*p14m - k14m)
+     &                           + fo(2)*(k23 - rTwo*fto(6)) )
+         fto(4) = fto(4) + mTii*(  fo(1)*(k23s - rTwo*dconjg(fto(6)))
+     &                           + fo(2)*(rTwo*p14p - k14p) )
+      end if
+
+      do i = 1,4
+         fto(i) = fto(i)*d
+      end do
+c
+      return
+      end

=== added file 'HELAS/fvtoxx.F'
--- HELAS/fvtoxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/fvtoxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,189 @@
+      subroutine fvtoxx(fo,vc,tc,gc,gt,fmass,fwidth , fvto)
+c
+c This subroutine computes an off-shell fermion wavefunction from a
+c flowing-out external fermion, a gauge boson and a tensor boson.
+c
+c input:
+c       complex fo(6)          : flow-out fermion                   <fo|
+c       complex vc(6)          : input    vector                       v
+c       complex tc(18)         : input    tensor                       T
+c       complex gc(2)          : coupling constants                  gvf
+c       complex gt             : coupling constant      gtfv=-1/Lambda/2
+c       real    fmass          : mass  of output fermion f'
+c       real    fwidth         : width of output fermion f'
+c
+c output:
+c       complex fvto(6)        : off-shell fermion           <fo,v,T:f'|
+c
+c- by Q.Li - OCT. 2006
+c
+      implicit none
+      double complex fo(6), vc(6), tc(18), gc(2),gt, fvto(6)
+      double precision  fmass, fwidth
+
+      double complex ft(6,4)
+      double complex d, T00, T12, T13, T14, T23, T24, T34
+      double precision pi(4), pi2
+      integer i
+      
+      double precision rZero, rTwo
+      parameter( rZero = 0.0d0, rTwo = 2.0d0 )
+      double complex cone
+      parameter( cone = ( 0.0d0, 1.0d0 ))
+
+
+      ft(1,1) = tc(1)
+      ft(1,2) = tc(2)
+      ft(1,3) = tc(3)
+      ft(1,4) = tc(4)
+      ft(2,1) = tc(5)
+      ft(2,2) = tc(6)
+      ft(2,3) = tc(7)
+      ft(2,4) = tc(8)
+      ft(3,1) = tc(9)
+      ft(3,2) = tc(10)
+      ft(3,3) = tc(11)
+      ft(3,4) = tc(12)
+      ft(4,1) = tc(13)
+      ft(4,2) = tc(14)
+      ft(4,3) = tc(15)
+      ft(4,4) = tc(16)
+      ft(5,1) = tc(17)
+      ft(6,1) = tc(18)
+
+      fvto(5) = fo(5) + ft(5,1) +vc(5)
+      fvto(6) = fo(6) + ft(6,1) +vc(6)
+
+      pi(1) = dreal(fvto(5))
+      pi(2) = dreal(fvto(6))
+      pi(3) = dimag(fvto(6))
+      pi(4) = dimag(fvto(5))
+ 
+      pi2 = pi(1)**2-pi(2)**2-pi(3)**2-pi(4)**2
+     
+
+      T00 = ft(1,1)-ft(2,2)-ft(3,3)-ft(4,4)
+      T12 = ft(1,2) + ft(2,1)
+      T13 = ft(1,3) + ft(3,1)
+      T14 = ft(1,4) + ft(4,1)
+      T23 = ft(2,3) + ft(3,2)
+      T24 = ft(2,4) + ft(4,2)
+      T34 = ft(3,4) + ft(4,3)
+
+      if ( fmass.gt.rZero ) then
+         d =  -1.0d0/dcmplx( pi2-fmass**2, fmass*fwidth )
+      else
+         d =  -1.0d0/dcmplx( pi2, rZero )
+      end if
+
+      fvto(1) = gc(2)*(pi(2) + cone*pi(3))*(fo(1)*(T12*vc(1)
+     &	 - cone*T13*vc(1) - T23*(-(cone*vc(2)) + vc(3)) + 
+     &          2.d0*T00*(-vc(2) + cone*vc(3)) - T24*vc(4)
+     & + cone*T34*vc(4)) + 
+     &       fo(2)*(T12*vc(2) + T24*vc(2) + T13*vc(3) 
+     &+ T34*vc(3) + T14*(-vc(1) + vc(4)) + 2.d0*T00*(vc(1) + vc(4))))  
+     &   + fmass*gc(1)*(fo(4)*(-(T12*vc(1)) - cone*T13*vc(1)
+     & - T23*(-(cone*vc(2)) - vc(3)) + 2.d0*T00*(vc(2) + cone*vc(3)) + 
+     &          T24*vc(4) + cone*T34*vc(4)) + fo(3)*
+     &        (T12*vc(2) + T24*vc(2) + T13*vc(3) + T34*vc(3)
+     & + T14*(-vc(1) + vc(4)) + 2.d0*T00*(vc(1) + vc(4)))) + 
+     &    gc(2)*(pi(1) + pi(4))*(fo(2)*(T12*vc(1) + cone*T13*vc(1)
+     &- T23*(cone*vc(2) + vc(3)) + 2.d0*T00*(-vc(2) - cone*vc(3)) - 
+     &          T24*vc(4) - cone*T34*vc(4)) + fo(1)*
+     &        (T12*vc(2) - T24*vc(2) + T13*vc(3) - T34*vc(3) 
+     &+ 2.d0*T00*(vc(1) - vc(4)) + T14*(vc(1) + vc(4))))
+
+
+      fvto(2) = gc(2)*(pi(1) - pi(4))*(fo(1)*(T12*vc(1) - cone*T13*vc(1)
+     & - T23*(-(cone*vc(2)) + vc(3)) + 2.d0*T00*(-vc(2) + cone*vc(3)) 
+     &        -   T24*vc(4) + cone*T34*vc(4)) + fo(2)*
+     &        (T12*vc(2) + T24*vc(2) + T13*vc(3) + T34*vc(3) 
+     & + T14*(-vc(1) + vc(4)) + 2.d0*T00*(vc(1) + vc(4)))) + 
+     &    gc(2)*(pi(2) - cone*pi(3))*(fo(2)*(T12*vc(1) 
+     & + cone*T13*vc(1) - T23*(cone*vc(2) + vc(3)) + 
+     &          2.d0*T00*(-vc(2) - cone*vc(3)) - T24*vc(4)
+     & - cone*T34*vc(4)) + 
+     &       fo(1)*(T12*vc(2) - T24*vc(2) + T13*vc(3) 
+     & - T34*vc(3) + 2.d0*T00*(vc(1) - vc(4)) + T14*(vc(1) + vc(4))))  
+     &    +fmass*gc(1)*(fo(3)*(-(T12*vc(1)) + cone*T13*vc(1)
+     & - T23*(cone*vc(2) - vc(3)) + 2.d0*T00*(vc(2) - cone*vc(3)) + 
+     &          T24*vc(4) - cone*T34*vc(4)) + fo(4)*
+     &        (T12*vc(2) - T24*vc(2) + T13*vc(3) - T34*vc(3)
+     & + 2.d0*T00*(vc(1) - vc(4)) + T14*(vc(1) + vc(4))))
+
+
+
+      fvto(3) = gc(1)*(pi(1) - pi(4))*(fo(4)*(-(T12*vc(1))
+     &	 - cone*T13*vc(1) - T23*(-(cone*vc(2)) - vc(3)) + 
+     &    2.d0*T00*(vc(2) + cone*vc(3)) + T24*vc(4) + cone*T34*vc(4))  
+     &       +fo(3)*(T12*vc(2) + T24*vc(2) + T13*vc(3) 
+     & + T34*vc(3) + T14*(-vc(1) + vc(4)) + 2.d0*T00*(vc(1) + vc(4))))  
+     &   + fmass*gc(2)*(fo(2)*(T12*vc(1) + cone*T13*vc(1) 
+     &- T23*(cone*vc(2) + vc(3)) + 2.d0*T00*(-vc(2) - cone*vc(3))
+     & - T24*vc(4) - 
+     &          cone*T34*vc(4)) + fo(1)*(T12*vc(2) 
+     & - T24*vc(2) + T13*vc(3) - T34*vc(3) + 2.d0*T00*(vc(1) - vc(4))  
+     &         + T14*(vc(1) + vc(4)))) + gc(1)*(-pi(2) - cone*pi(3))*
+     &     (fo(3)*(-(T12*vc(1)) + cone*T13*vc(1) 
+     &- T23*(cone*vc(2) - vc(3))
+     & + 2.d0*T00*(vc(2) - cone*vc(3)) + T24*vc(4) - 
+     &          cone*T34*vc(4)) + fo(4)*(T12*vc(2) - T24*vc(2)
+     & + T13*vc(3) - T34*vc(3) + 2.d0*T00*(vc(1) - vc(4)) + 
+     &          T14*(vc(1) + vc(4))))
+
+      fvto(4) = fmass*gc(2)*(fo(1)*
+     &        (T12*vc(1) - cone*T13*vc(1) - T23*(-(cone*vc(2)) + vc(3))
+     & + 2.d0*T00*(-vc(2) + cone*vc(3)) - T24*vc(4) + 
+     &          cone*T34*vc(4)) + fo(2)*(T12*vc(2) + T24*vc(2) 
+     & + T13*vc(3) + T34*vc(3) + T14*(-vc(1) + vc(4)) + 
+     &   2.d0*T00*(vc(1) + vc(4)))) + gc(1)*(-pi(2) + cone*pi(3))*
+     &     (fo(4)*(-(T12*vc(1)) - cone*T13*vc(1) - T23*(-(cone*vc(2))
+     & - vc(3)) + 2.d0*T00*(vc(2) + cone*vc(3)) + T24*vc(4) + 
+     &          cone*T34*vc(4)) + fo(3)*(T12*vc(2) + T24*vc(2)
+     & + T13*vc(3) + T34*vc(3) + T14*(-vc(1) + vc(4)) + 
+     &          2.d0*T00*(vc(1) + vc(4)))) + gc(1)*(pi(1) + pi(4))*
+     &     (fo(3)*(-(T12*vc(1)) + cone*T13*vc(1) - T23*(cone*vc(2) 
+     & - vc(3)) + 2.d0*T00*(vc(2) - cone*vc(3)) + T24*vc(4) - 
+     &          cone*T34*vc(4)) + fo(4)*(T12*vc(2) - T24*vc(2)
+     & + T13*vc(3) - T34*vc(3) + 2.d0*T00*(vc(1) - vc(4)) + 
+     &          T14*(vc(1) + vc(4))))
+
+      fvto(1) = fvto(1)+
+     &gc(2)*(pi(2) + cone*pi(3))*(-2*fo(1)*(ft(2,2)*vc(2)
+     & - cone*ft(3,3)*vc(3)) - 
+     &       2*fo(2)*(ft(1,1)*vc(1) - ft(4,4)*vc(4))) + 
+     &    fmass*gc(1)*(-2*fo(4)*(-(ft(2,2)*vc(2)) - cone*ft(3,3)*vc(3))
+     & - 2*fo(3)*(ft(1,1)*vc(1) - ft(4,4)*vc(4))) + 
+     &    gc(2)*(pi(1) + pi(4))*(-2*fo(2)*(ft(2,2)*vc(2) 
+     &+ cone*ft(3,3)*vc(3)) - 2*fo(1)*(ft(1,1)*vc(1) + ft(4,4)*vc(4)))
+
+      fvto(2) = fvto(2)+
+     &gc(2)*(pi(1) - pi(4))*(-2*fo(1)*(ft(2,2)*vc(2)-cone*ft(3,3)*vc(3))
+     & - 2*fo(2)*(ft(1,1)*vc(1) - ft(4,4)*vc(4))) + 
+     &    gc(2)*(pi(2)-cone*pi(3))*(-2*fo(2)*(ft(2,2)*vc(2)
+     & + cone*ft(3,3)*vc(3))-2*fo(1)*(ft(1,1)*vc(1) + ft(4,4)*vc(4))) + 
+     &    fmass*gc(1)*(-2*fo(3)*(-(ft(2,2)*vc(2)) + cone*ft(3,3)*vc(3))
+     & - 2*fo(4)*(ft(1,1)*vc(1) + ft(4,4)*vc(4)))
+     	
+      fvto(3) = fvto(3)+
+     &gc(1)*(pi(1) - pi(4))*(-2*fo(4)*(-(ft(2,2)*vc(2))
+     & - cone*ft(3,3)*vc(3)) - 2*fo(3)*(ft(1,1)*vc(1)-ft(4,4)*vc(4)))+ 
+     &    fmass*gc(2)*(-2*fo(2)*(ft(2,2)*vc(2) + cone*ft(3,3)*vc(3))
+     & - 2*fo(1)*(ft(1,1)*vc(1) + ft(4,4)*vc(4))) + 
+     &    gc(1)*(-pi(2) - cone*pi(3))*(-2*fo(3)*(-(ft(2,2)*vc(2))
+     & + cone*ft(3,3)*vc(3)) - 2*fo(4)*(ft(1,1)*vc(1) + ft(4,4)*vc(4)))
+	
+      fvto(4) = fvto(4)+
+     &fmass*gc(2)*(-2*fo(1)*(ft(2,2)*vc(2) - cone*ft(3,3)*vc(3))
+     & - 2*fo(2)*(ft(1,1)*vc(1) - ft(4,4)*vc(4))) + 
+     &    gc(1)*(-pi(2) + cone*pi(3))*(-2*fo(4)*(-(ft(2,2)*vc(2))
+     & - cone*ft(3,3)*vc(3)) - 2*fo(3)*(ft(1,1)*vc(1)-ft(4,4)*vc(4)))+ 
+     &    gc(1)*(pi(1) + pi(4))*(-2*fo(3)*(-(ft(2,2)*vc(2)) 
+     &+ cone*ft(3,3)*vc(3)) - 2*fo(4)*(ft(1,1)*vc(1) + ft(4,4)*vc(4)))
+
+      do i = 1,4
+         fvto(i) = -fvto(i)*d*gt
+      end do
+
+      return
+      end

=== added file 'HELAS/ggggtx.F'
--- HELAS/ggggtx.F	1970-01-01 00:00:00 +0000
+++ HELAS/ggggtx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,126 @@
+      subroutine ggggtx(va,vb,vc,vd,tc,gc,gt , vertex)
+c      
+c This subroutine computes the portion of the amplitude of the five-point 
+c coupling of a tensor boson with 4 massless color octet gauge bosons
+c (gluons) corresponding to the color structure f^{a,b,e} f{c,d,e}. 
+c
+c To obtain the complete amplitude, this coupling must be called three
+c times (once for each color structure) with the following permutations:
+c     call ggggtx(va,vb,vc,vd,tc,gc,gt , vertex1)
+c     call ggggtx(va,vc,vd,vb,tc,gc,gt , vertex2)
+c     call ggggtx(va,vd,vb,vc,tc,gc,gt , vertex3)
+c corresponding to
+c	f^{a,b,e} f^{c,d,e}
+c	f^{a,c,e} f^{d,b,e}
+c	f^{a,d,e} f^{b,c,e}
+c                                                                       
+c input:                                                                
+c       complex va(6)          : boson with adjoint color index a     va
+c       complex vb(6)          : boson with adjoint color index b     vb
+c       complex vc(6)          : boson with adjoint color index c     vc
+c       complex vd(6)          : boson with adjoint color index d     vd
+c       complex tc(18)         : input tensor                          T
+c       real    gc             : coupling constant                    gs
+c       complex gt             : coupling constant         gtv=-1/Lambda
+c
+c output:
+c       complex vertex         : amplitude          gamma(va,vb,vc,vd,T)
+c
+c- by Q.Li - OCT. 2006
+c
+      implicit none
+      double complex va(6), vb(6), vc(6), vd(6), tc(18), gt, vertex
+      double precision gc
+
+      double complex vab,vac,vad,vbc,vbd,vcd,ft(6,4),dvertx
+      double complex T00, T12, T13, T14, T23, T24, T34	
+      double complex TV24,TV23,TV14,TV13
+      double complex cZero
+      double precision rZero, rTwo
+      parameter( rZero = 0.0d0, rTwo = 2.0d0 )
+      parameter( cZero = ( 0.0d0, 0.0d0 ) )
+
+      
+      ft(1,1) = tc(1)
+      ft(1,2) = tc(2)
+      ft(1,3) = tc(3)
+      ft(1,4) = tc(4)
+      ft(2,1) = tc(5)
+      ft(2,2) = tc(6)
+      ft(2,3) = tc(7)
+      ft(2,4) = tc(8)
+      ft(3,1) = tc(9)
+      ft(3,2) = tc(10)
+      ft(3,3) = tc(11)
+      ft(3,4) = tc(12)
+      ft(4,1) = tc(13)
+      ft(4,2) = tc(14)
+      ft(4,3) = tc(15)
+      ft(4,4) = tc(16)
+      ft(5,1) = tc(17)
+      ft(6,1) = tc(18)
+
+      T00 = ft(1,1)-ft(2,2)-ft(3,3)-ft(4,4)
+      T12 = ft(1,2) + ft(2,1)
+      T13 = ft(1,3) + ft(3,1)
+      T14 = ft(1,4) + ft(4,1)
+      T23 = ft(2,3) + ft(3,2)
+      T24 = ft(2,4) + ft(4,2)
+      T34 = ft(3,4) + ft(4,3)
+
+      TV14 = rtwo*(ft(1,1)*va(1)*vd(1)+ft(2,2)*va(2)*vd(2)
+     &+ft(3,3)*va(3)*vd(3)+ft(4,4)*va(4)*vd(4))
+
+      TV13 = rtwo*(ft(1,1)*va(1)*vc(1)+ft(2,2)*va(2)*vc(2)
+     &+ft(3,3)*va(3)*vc(3)+ft(4,4)*va(4)*vc(4))
+
+      TV24 = rtwo*(ft(1,1)*vb(1)*vd(1)+ft(2,2)*vb(2)*vd(2)
+     &+ft(3,3)*vb(3)*vd(3)+ft(4,4)*vb(4)*vd(4))
+
+      TV23 = rtwo*(ft(1,1)*vb(1)*vc(1)+ft(2,2)*vb(2)*vc(2)
+     &+ft(3,3)*vb(3)*vc(3)+ft(4,4)*vb(4)*vc(4))
+
+	
+      TV14 = TV14- T12*(va(1)*vd(2) + va(2)*vd(1))
+     &          - T13*(va(1)*vd(3) + va(3)*vd(1))
+     &          - T14*(va(1)*vd(4) + va(4)*vd(1))
+     &          + T23*(va(2)*vd(3) + va(3)*vd(2))
+     &          + T24*(va(2)*vd(4) + va(4)*vd(2))
+     &          + T34*(va(3)*vd(4) + va(4)*vd(3))
+      
+      TV13 = TV13 - T12*(va(1)*vc(2) + va(2)*vc(1))
+     &          - T13*(va(1)*vc(3) + va(3)*vc(1))
+     &          - T14*(va(1)*vc(4) + va(4)*vc(1))
+     &          + T23*(va(2)*vc(3) + va(3)*vc(2))
+     &          + T24*(va(2)*vc(4) + va(4)*vc(2))
+     &          + T34*(va(3)*vc(4) + va(4)*vc(3))
+
+      TV24 = TV24 - T12*(vb(1)*vd(2) + vb(2)*vd(1))
+     &          - T13*(vb(1)*vd(3) + vb(3)*vd(1))
+     &          - T14*(vb(1)*vd(4) + vb(4)*vd(1))
+     &          + T23*(vb(2)*vd(3) + vb(3)*vd(2))
+     &          + T24*(vb(2)*vd(4) + vb(4)*vd(2))
+     &          + T34*(vb(3)*vd(4) + vb(4)*vd(3))
+
+      TV23 = TV23 - T12*(vb(1)*vc(2) + vb(2)*vc(1))
+     &          - T13*(vb(1)*vc(3) + vb(3)*vc(1))
+     &          - T14*(vb(1)*vc(4) + vb(4)*vc(1))
+     &          + T23*(vb(2)*vc(3) + vb(3)*vc(2))
+     &          + T24*(vb(2)*vc(4) + vb(4)*vc(2))
+     &          + T34*(vb(3)*vc(4) + vb(4)*vc(3))
+     	
+
+      vab = va(1)*vb(1)-va(2)*vb(2)-va(3)*vb(3)-va(4)*vb(4)
+      vac = va(1)*vc(1)-va(2)*vc(2)-va(3)*vc(3)-va(4)*vc(4)
+      vad = va(1)*vd(1)-va(2)*vd(2)-va(3)*vd(3)-va(4)*vd(4)
+      vbc = vb(1)*vc(1)-vb(2)*vc(2)-vb(3)*vc(3)-vb(4)*vc(4)
+      vbd = vb(1)*vd(1)-vb(2)*vd(2)-vb(3)*vd(3)-vb(4)*vd(4)
+      vcd = vc(1)*vd(1)-vc(2)*vd(2)-vc(3)*vd(3)-vc(4)*vd(4)
+
+      dvertx = -TV13*vbd-TV24*vac+TV23*vad+TV14*vbc 
+     &+vbd*vac*T00-vad*vbc*T00
+
+      vertex = -dvertx * gc*gc*gt
+
+      return
+      end

=== added file 'HELAS/ggggxx.F'
--- HELAS/ggggxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/ggggxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,144 @@
+      subroutine ggggxx(ga,gb,gc,gd,g, vertex)
+c
+c This subroutine computes the portion of the amplitude of the four-point 
+c coupling of 4 massless color octet gauge bosons (gluons) corresponding 
+c to the color structure f^{a,b,e} f{c,d,e}. 
+c To optain the complete amplitude, this coupling must be called three
+c times (once for each color structure) with the following permutations:
+c	call ggggxx(ga,gb,gc,gd,g,v1)
+c       call ggggxx(ga,gc,gd,gb,g,v2)
+c       call ggggxx(ga,gd,gb,gc,g,v3)
+c
+c	f^{a,b,e} f{c,d,e}*v1+
+c	f^{a,c,e} f{d,b,e}*v2+
+c	f^{a,d,e} f{b,c,e}*v3
+c (See 2.9.1 of the manual for more information).
+c                                                                       
+c input:                                                                
+c       complex ga(0:3)        : Boson with adjoint color index a 
+c       complex gb(0:3)        : Boson with adjoint color index b
+c       complex gc(0:3)        : Boson with adjoint color index c 
+c       complex gd(0:3)        : Boson with adjoint color index d
+c       real    g              : coupling of w31 with w-/w+             
+c
+      implicit none
+      double complex ga(6),gb(6),gc(6),gd(6),vertex
+      double complex dv1(0:3),dv2(0:3),dv3(0:3),dv4(0:3),
+     &     dvertx,v12,v13,v14,v23,v24,v34
+      double precision pga(0:3),pgb(0:3),pgc(0:3),pgd(0:3),g
+
+      save dv1,dv2,dv3, dv4
+c      save dv1,dv2,dv3,dv4,dvertx,v12,v13,v14,v23,v24,v34
+
+#ifdef HELAS_CHECK
+      double precision pm
+      double precision epsi
+      parameter( epsi = 2.0d-5 )
+      double precision rZero
+      parameter( rZero = 0.0d0 )
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+#ifdef HELAS_CHECK
+      pga(0) = dble( ga(5))
+      pga(1) = dble( ga(6))
+      pga(2) = dimag(ga(6))
+      pga(3) = dimag(ga(5))
+      pgb(0) = dble( gb(5))
+      pgb(1) = dble( gb(6))
+      pgb(2) = dimag(gb(6))
+      pgb(3) = dimag(gb(5))
+      pgc(0) = dble( gc(5))
+      pgc(1) = dble( gc(6))
+      pgc(2) = dimag(gc(6))
+      pgc(3) = dimag(gc(5))
+      pgd(0) = dble( gd(5))
+      pgd(1) = dble( gd(6))
+      pgd(2) = dimag(gd(6))
+      pgd(3) = dimag(gd(5))
+
+      if (  abs(ga(1))+abs(ga(2))
+     &     +abs(ga(3))+abs(ga(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : ga in ggggxx is zero vector'
+      endif
+      if ( abs(ga(5))+abs(ga(5)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : ga in ggggxx has zero momentum'
+      endif
+      if (  abs(gb(1))+abs(gb(2))
+     &     +abs(gb(3))+abs(gb(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : gb in ggggxx is zero vector'
+      endif
+      if ( abs(gb(5))+abs(gb(5)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : gb in ggggxx has zero momentum'
+      endif
+      if (  abs(gc(1))+abs(gc(2))
+     &     +abs(gc(3))+abs(gc(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : gc in ggggxx is zero vector'
+      endif
+      if ( abs(gc(5))+abs(gc(5)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : gc in ggggxx has zero momentum'
+      endif
+      if (  abs(gd(1))+abs(gd(2))
+     &     +abs(gd(3))+abs(gd(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : gd in ggggxx is zero vector'
+      endif
+      if ( abs(gd(5))+abs(gd(5)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : gd in ggggxx has zero momentum'
+      endif
+      pm = max( abs(pga(0)),abs(pgb(0)),abs(pgc(0)),abs(pgd(0)),
+     &          abs(pga(1)),abs(pgb(1)),abs(pgc(1)),abs(pgd(1)),
+     &          abs(pga(2)),abs(pgb(2)),abs(pgc(2)),abs(pgd(2)),
+     &          abs(pga(3)),abs(pgb(3)),abs(pgc(3)),abs(pgd(3)) )
+      if (  abs(ga(5)+gb(5)+gc(5)+gd(5))
+     &     +abs(ga(6)+gb(6)+gc(6)+gd(6)).ge.pm*epsi) then
+         write(stdo,*)
+     &        ' helas-error : ga,gb,gc,gd in ggggxx'
+         write(stdo,*)
+     &        '             : have not balanced momenta'
+      endif
+      if ( g.eq.rZero ) then
+         write(stdo,*) ' helas-error : g in ggggxx is zero coupling'
+      endif
+#endif
+
+      dv1(0) = dcmplx(ga(1))
+      dv1(1) = dcmplx(ga(2))
+      dv1(2) = dcmplx(ga(3))
+      dv1(3) = dcmplx(ga(4))
+      dv2(0) = dcmplx(gb(1))
+      dv2(1) = dcmplx(gb(2))
+      dv2(2) = dcmplx(gb(3))
+      dv2(3) = dcmplx(gb(4))
+      dv3(0) = dcmplx(gc(1))
+      dv3(1) = dcmplx(gc(2))
+      dv3(2) = dcmplx(gc(3))
+      dv3(3) = dcmplx(gc(4))
+      dv4(0) = dcmplx(gd(1))
+      dv4(1) = dcmplx(gd(2))
+      dv4(2) = dcmplx(gd(3))
+      dv4(3) = dcmplx(gd(4))
+
+      v12 = dv1(0)*dv2(0)-dv1(1)*dv2(1)-dv1(2)*dv2(2)-dv1(3)*dv2(3)
+      v13 = dv1(0)*dv3(0)-dv1(1)*dv3(1)-dv1(2)*dv3(2)-dv1(3)*dv3(3)
+      v14 = dv1(0)*dv4(0)-dv1(1)*dv4(1)-dv1(2)*dv4(2)-dv1(3)*dv4(3)
+      v23 = dv2(0)*dv3(0)-dv2(1)*dv3(1)-dv2(2)*dv3(2)-dv2(3)*dv3(3)
+      v24 = dv2(0)*dv4(0)-dv2(1)*dv4(1)-dv2(2)*dv4(2)-dv2(3)*dv4(3)
+      v34 = dv3(0)*dv4(0)-dv3(1)*dv4(1)-dv3(2)*dv4(2)-dv3(3)*dv4(3)
+
+      dvertx = v14*v23 -v13*v24
+
+      vertex = dcmplx( dvertx ) * (g*g)
+
+c      if (abs(dvertx) .gt. 1d40) then
+c         write(*,*) 'Careful',abs(dvertx)
+c         write(*,*) v12,v13,v14
+c         write(*,*) v23,v24,v34
+c      endif
+c
+      return
+      end

=== added file 'HELAS/gggxxx.F'
--- HELAS/gggxxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/gggxxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,126 @@
+      subroutine gggxxx(wm,wp,w3,g , vertex)
+c
+c This subroutine computes an amplitude of the three-point coupling of
+c the gauge bosons.
+c
+c input:
+c       complex wm(6)          : vector               flow-out W-
+c       complex wp(6)          : vector               flow-out W+
+c       complex w3(6)          : vector               j3 or A    or Z
+c       real    g              : coupling constant    gw or gwwa or gwwz
+c
+c output:
+c       complex vertex         : amplitude               gamma(wm,wp,w3)
+c
+      implicit none
+      double complex wm(6),wp(6),w3(6),vertex
+      double complex xv1,xv2,xv3,v12,v23,v31
+      double complex p12,p13,p21,p23,p31,p32
+      double precision pwm(0:3),pwp(0:3),pw3(0:3),g
+
+      double precision rZero, rTenth
+      parameter( rZero = 0.0d0, rTenth = 0.1d0 )
+
+#ifdef HELAS_CHECK
+      double precision pm
+      double precision epsi
+      parameter( epsi = 4.0d-5 )
+      double complex cZero
+      parameter( cZero = ( 0.0d0, 0.0d0 ) )
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+      pwm(0) = dble( wm(5))
+      pwm(1) = dble( wm(6))
+      pwm(2) = dimag(wm(6))
+      pwm(3) = dimag(wm(5))
+      pwp(0) = dble( wp(5))
+      pwp(1) = dble( wp(6))
+      pwp(2) = dimag(wp(6))
+      pwp(3) = dimag(wp(5))
+      pw3(0) = dble( w3(5))
+      pw3(1) = dble( w3(6))
+      pw3(2) = dimag(w3(6))
+      pw3(3) = dimag(w3(5))
+
+#ifdef HELAS_CHECK
+      if (  abs(wm(1))+abs(wm(2))
+     &     +abs(wm(3))+abs(wm(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : wm in gggxxx is zero vector'
+      endif
+      if ( abs(wm(5))+abs(wm(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : wm in gggxxx has zero momentum'
+      endif
+      if (  abs(wp(1))+abs(wp(2))
+     &     +abs(wp(3))+abs(wp(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : wp in gggxxx is zero vector'
+      endif
+      if ( abs(wp(5))+abs(wp(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : wp in gggxxx has zero momentum'
+      endif
+      if (  abs(w3(1))+abs(w3(2))
+     &    +abs(w3(3))+abs(w3(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : w3 in gggxxx is zero vector'
+      endif
+      if ( abs(w3(5))+abs(w3(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : w3 in gggxxx has zero momentum'
+      endif
+      pm = max( abs(pwm(0)),abs(pwp(0)),abs(pw3(0)),
+     &          abs(pwm(1)),abs(pwp(1)),abs(pw3(1)),
+     &          abs(pwm(2)),abs(pwp(2)),abs(pw3(2)),
+     &          abs(pwm(3)),abs(pwp(3)),abs(pw3(3)) )
+      if ( abs(wm(5)+wp(5)+w3(5))+abs(wm(6)+wp(6)+w3(6))
+     &                                           .ge.pm*epsi) then
+         write(stdo,*)
+     &        ' helas-error : wm,wp,w3 in gggxxx'
+         write(stdo,*)
+     &        '             : have not balanced momenta'
+      endif
+      if ( g.eq.rZero ) then
+         write(stdo,*) ' helas-error : g in gggxxx is zero coupling'
+      endif
+#endif
+
+      v12 = wm(1)*wp(1)-wm(2)*wp(2)-wm(3)*wp(3)-wm(4)*wp(4)
+      v23 = wp(1)*w3(1)-wp(2)*w3(2)-wp(3)*w3(3)-wp(4)*w3(4)
+      v31 = w3(1)*wm(1)-w3(2)*wm(2)-w3(3)*wm(3)-w3(4)*wm(4)
+      xv1 = rZero
+      xv2 = rZero
+      xv3 = rZero
+      if ( abs(wm(1)).ne.rZero ) then
+         if ( abs(wm(1)).ge.max(abs(wm(2)),abs(wm(3)),abs(wm(4)))
+     &        *rTenth )
+     &      xv1 = pwm(0)/wm(1)
+      endif
+      if ( abs(wp(1)).ne.rZero ) then
+         if ( abs(wp(1)).ge.max(abs(wp(2)),abs(wp(3)),abs(wp(4)))
+     &        *rTenth )
+     &      xv2 = pwp(0)/wp(1)
+      endif
+      if ( abs(w3(1)).ne.rZero ) then
+         if ( abs(w3(1)).ge.max(abs(w3(2)),abs(w3(3)),abs(w3(4)))
+     &        *rTenth )
+     &      xv3 = pw3(0)/w3(1)
+      endif
+
+      p12 = (pwm(0)-xv1*wm(1))*wp(1)-(pwm(1)-xv1*wm(2))*wp(2)
+     &     -(pwm(2)-xv1*wm(3))*wp(3)-(pwm(3)-xv1*wm(4))*wp(4)
+      p13 = (pwm(0)-xv1*wm(1))*w3(1)-(pwm(1)-xv1*wm(2))*w3(2)
+     &     -(pwm(2)-xv1*wm(3))*w3(3)-(pwm(3)-xv1*wm(4))*w3(4)
+      p21 = (pwp(0)-xv2*wp(1))*wm(1)-(pwp(1)-xv2*wp(2))*wm(2)
+     &     -(pwp(2)-xv2*wp(3))*wm(3)-(pwp(3)-xv2*wp(4))*wm(4)
+      p23 = (pwp(0)-xv2*wp(1))*w3(1)-(pwp(1)-xv2*wp(2))*w3(2)
+     &     -(pwp(2)-xv2*wp(3))*w3(3)-(pwp(3)-xv2*wp(4))*w3(4)
+      p31 = (pw3(0)-xv3*w3(1))*wm(1)-(pw3(1)-xv3*w3(2))*wm(2)
+     &     -(pw3(2)-xv3*w3(3))*wm(3)-(pw3(3)-xv3*w3(4))*wm(4)
+      p32 = (pw3(0)-xv3*w3(1))*wp(1)-(pw3(1)-xv3*w3(2))*wp(2)
+     &     -(pw3(2)-xv3*w3(3))*wp(3)-(pw3(3)-xv3*w3(4))*wp(4)
+
+      vertex = -(v12*(p13-p23)+v23*(p21-p31)+v31*(p32-p12))*g
+c
+      return
+      end

=== added file 'HELAS/hiocxx.f'
--- HELAS/hiocxx.f	1970-01-01 00:00:00 +0000
+++ HELAS/hiocxx.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,38 @@
+c
+c ----------------------------------------------------------------------
+c
+      subroutine hiocxx(fic,foc,gc,smass,swidth , hioc)                
+c                                                                       
+c this subroutine computes an off-shell scalar current from an external 
+c antifermion pair.                                                     
+c                                                                       
+c input:                                                                
+c       complex fic(6)         : flow-in  antifermion              |fic>
+c       complex foc(6)         : flow-out antifermion              <foc|
+c       complex gc(2)          : coupling constants                 gchf
+c       real    smass          : mass  of output scalar s               
+c       real    swidth         : width of output scalar s               
+c                                                                       
+c output:                                                               
+c       complex hioc(3)        : scalar current           j(<fic|s|foc>)
+c                                                                       
+      implicit none
+      double complex fic(6),foc(6),hioc(3),gc(2),dn
+      double precision q(0:3),smass,swidth,q2
+c
+      hioc(2) = foc(5)-fic(5)
+      hioc(3) = foc(6)-fic(6)
+
+      q(0) = dble( hioc(2))
+      q(1) = dble( hioc(3))
+      q(2) = dimag(hioc(3))
+      q(3) = dimag(hioc(2))
+      q2 = q(0)**2-(q(1)**2+q(2)**2+q(3)**2)
+
+      dn = -dcmplx( q2-smass**2, smass*swidth )
+
+      hioc(1) = (  gc(1)*(foc(1)*fic(1)+foc(2)*fic(2))
+     &           + gc(2)*(foc(3)*fic(3)+foc(4)*fic(4)) )/dn
+c
+      return
+      end

=== added file 'HELAS/hiogld.f'
--- HELAS/hiogld.f	1970-01-01 00:00:00 +0000
+++ HELAS/hiogld.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,68 @@
+c
+c ----------------------------------------------------------------------
+c
+      subroutine hiogld(fi,fo,gc,smass,swidth,mNLSP,idecay , hio)
+c
+c This subroutine computes an off-shell scalar current for the NLSP-
+c Goldstino vertex from the external fermion pair. The h.c. of the NLSP
+c decay is handled via the input parameter idecay.
+c
+c input:
+c       complex fi(6)          : flow-in  fermion                   |fi>
+c       complex fo(6)          : flow-out fermion                   <fo|
+c       complex gc(2)          : coupling constants                  gsf
+c       real    smass          : mass  of output scalar s
+c       real    swidth         : width of output scalar s
+c       real    mNLSP          : mass of NLSP
+c       integer idecay         :  1 for NLSP decay to Goldstino
+c                              : -1 for Goldstino to NLSP (h.c. of above)
+c
+c output:
+c       complex hio(3)         : scalar current          j^mu(<fo|s|fi>)
+c
+      implicit none
+      double complex fi(6), fo(6), gc(2), hio(3)
+      double complex dn, p14p, p14m, p23p, p23m
+      double precision q(0:3), smass, swidth, mNLSP, q2
+      double precision pG(1:4)
+      integer idecay
+
+      double complex ci, cZero
+      parameter( ci = ( 0.0d0, 1.0d0 ), cZero = ( 0.0d0, 0.0d0 ) )
+c
+      hio(2) = -fi(5) + fo(5)
+      hio(3) = -fi(6) + fo(6)
+
+      if ( idecay.ne.1 .or. idecay.ne.-1 ) then
+         write(6,*) 'error in idecay of HIOGLD'
+         stop
+      end if
+
+      q(0) = dble( hio(2))
+      q(1) = dble( hio(3))
+      q(2) = dimag(hio(3))
+      q(3) = dimag(hio(2))
+      q2 = q(0)**2 - q(1)**2 - q(2)**2 - q(3)**2
+
+      p14p = q(0) + q(3)
+      p14m = q(0) - q(3)
+      p23p = q(1) + q(2)*ci
+      p23m = q(1) - q(2)*ci
+
+      dn = -dcmplx( q2-smass**2, smass*swidth )
+
+      hio(1) = gc(1)*( ( ( fo(3)*p14p + fo(4)*p23p )*fi(1)
+     &                  +( fo(3)*p23m + fo(4)*p14m )*fi(2) )*mNLSP
+     &                -( fo(1)*fi(1) + fo(2)*fi(2) )*idecay*smass**2 )
+
+      if ( gc(2).ne.cZero ) then
+         hio(1) = hio(1) + gc(2) *
+     &            ( ( ( fo(1)*p14m - fo(2)*p23p )*fi(3)
+     &               -( fo(1)*p23m - fo(2)*p14p )*fi(4) )*mNLSP
+     &             -( fo(3)*fi(3) + fo(4)*fi(4) )*idecay*smass**2 )
+      end if
+
+      hio(1) = hio(1)/dn
+c
+      return
+      end

=== added file 'HELAS/hioxxx.F'
--- HELAS/hioxxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/hioxxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,91 @@
+      subroutine hioxxx(fi,fo,gc,smass,swidth , hio)
+c
+c This subroutine computes an off-shell scalar current from an external
+c fermion pair.
+c
+c input:
+c       complex fi(6)          : flow-in  fermion                   |fi>
+c       complex fo(6)          : flow-out fermion                   <fo|
+c       complex gc(2)          : coupling constants                 gchf
+c       real    smass          : mass  of OUTPUT scalar s
+c       real    swidth         : width of OUTPUT scalar s
+c
+c output:
+c       complex hio(3)         : scalar current             j(<fi|s|fo>)
+c
+      implicit none
+      double complex fi(6),fo(6),hio(3),gc(2),dn
+      double precision q(0:3),smass,swidth,q2
+
+#ifdef HELAS_CHECK
+      double precision rZero, cZero
+      parameter( rZero = 0.0d0 )
+      double complex cZero
+      parameter( cZero = ( 0.0d0, 0.0d0 ) )
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+#ifdef HELAS_CHECK
+      if ( abs(fi(1))+abs(fi(2))+abs(fi(3))+abs(fi(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : fi in hioxxx is zero spinor'
+      endif
+      if ( abs(fi(5))+abs(fi(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : fi in hioxxx has zero momentum'
+      endif
+      if ( abs(fo(1))+abs(fo(2))+abs(fo(3))+abs(fo(4)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-warn  : fo in hioxxx is zero spinor'
+      endif
+      if ( abs(fo(5))+abs(fo(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : fo in hioxxx has zero momentum'
+      endif
+      if ( gc(1).eq.cZero .and. gc(2).eq.cZero ) then
+         write(stdo,*)
+     &        ' helas-error : gc in hioxxx is zero coupling'
+      endif
+      if ( smass.lt.rZero ) then
+         write(stdo,*) ' helas-error : smass in hioxxx is negative'
+         write(stdo,*) '             : smass = ',smass
+      endif
+      if ( swidth.lt.rZero ) then
+         write(stdo,*) ' helas-error : swidth in hioxxx is negative'
+         write(stdo,*) '             : swidth = ',swidth
+      endif
+#endif
+
+      hio(2) = fo(5)-fi(5)
+      hio(3) = fo(6)-fi(6)
+
+      q(0) = dble( hio(2))
+      q(1) = dble( hio(3))
+      q(2) = dimag(hio(3))
+      q(3) = dimag(hio(2))
+      q2 = q(0)**2-(q(1)**2+q(2)**2+q(3)**2)
+
+#ifdef HELAS_CHECK
+      if ( abs(hio(2))+abs(hio(3)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : hio in hioxxx has zero momentum'
+      endif
+      if ( swidth.eq.rZero .and. q2.eq.smass**2 ) then
+         write(stdo,*)
+     &        ' helas-error : hio in hioxxx is on smass pole'
+         write(stdo,*)
+     &        '             : q     = ',q(0),q(1),q(2),q(3)
+         write(stdo,*)
+     &        '             : abs(q)= ',sqrt(abs(q2))
+         hio(1) = cZero
+         return
+      endif
+#endif
+
+      dn = -dcmplx( q2-smass**2, smass*swidth )
+
+      hio(1) = ( gc(1)*(fo(1)*fi(1)+fo(2)*fi(2))
+     &          +gc(2)*(fo(3)*fi(3)+fo(4)*fi(4)) )/dn
+c
+      return
+      end

=== added file 'HELAS/hsssxx.F'
--- HELAS/hsssxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/hsssxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,96 @@
+      subroutine hsssxx(s1,s2,s3,gc,smass,swidth , hsss)
+c
+c This subroutine computes an off-shell scalar current from the four-
+c scalar coupling.
+c
+c input:
+c       complex s1(3)          : first  scalar                        s1
+c       complex s2(3)          : second scalar                        s2
+c       complex s3(3)          : third  scalar                        s3
+c       complex gc             : coupling constant                 ghhhh
+c       real    smass          : mass  of OUTPUT scalar s'
+c       real    swidth         : width of OUTPUT scalar s'
+c
+c output:
+c       complex hsss(3)        : scalar current           j(s':s1,s2,s3)
+c     
+      implicit none
+      double complex s1(3),s2(3),s3(3),gc,hsss(3),dg
+      double precision q(0:3),smass,swidth,q2
+
+#ifdef HELAS_CHECK
+      double precision rZero
+      parameter( rZero = 0.0d0 )
+      double complex cZero
+      parameter( cZero = ( 0.0d0, 0.0d0 ) )
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+#ifdef HELAS_CHECK
+      if ( abs(s1(1)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : s1 in hsssxx is zero scalar'
+      endif
+      if ( abs(s1(2))+abs(s1(3)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : s1 in hsssxx has zero momentum'
+      endif
+      if ( abs(s2(1)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : s2 in hsssxx is zero scalar'
+      endif
+      if ( abs(s2(2))+abs(s2(3)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : s2 in hsssxx has zero momentum'
+      endif
+      if ( s3(1).eq.cZero ) then
+         write(stdo,*) ' helas-warn  : s3 in hsssxx is zero scalar'
+      endif
+      if ( abs(s3(2))+abs(s3(3)).eq.rZero ) then
+          write(stdo,*)
+     &        ' helas-error : s3 in hsssxx has zero momentum'
+      endif
+      if ( gc.eq.cZero ) then
+         write(stdo,*) ' helas-error : gc in hsssxx is zero coupling'
+      endif
+      if ( smass.lt.rZero ) then
+         write(stdo,*) ' helas-error : smass in hsssxx is negative'
+         write(stdo,*) '             : smass = ',smass
+      endif
+      if ( swidth.lt.rZero ) then
+         write(stdo,*) ' helas-error : swidth in hsssxx is negative'
+         write(stdo,*) '             : swidth = ',swidth
+      endif
+#endif
+
+      hsss(2) = s1(2)+s2(2)+s3(2)
+      hsss(3) = s1(3)+s2(3)+s3(3)
+
+      q(0) = dble( hsss(2))
+      q(1) = dble( hsss(3))
+      q(2) = dimag(hsss(3))
+      q(3) = dimag(hsss(2))
+      q2 = q(0)**2-(q(1)**2+q(2)**2+q(3)**2)
+
+#ifdef HELAS_CHECK
+      if ( abs(hsss(2))+abs(hsss(3)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : hsss in hsssxx has zero momentum'
+      endif
+      if ( swidth.eq.rZero .and. q2.eq.smass**2 ) then
+         write(stdo,*)
+     &        ' helas-error : hsss in hsssxx is on smass pole'
+         write(stdo,*)
+     &        '             : q     = ',q(0),q(1),q(2),q(3)
+         write(stdo,*) 
+     &        '             : abs(q)= ',sqrt(abs(q2))
+         hsss(1) = cZero
+         return
+      endif
+#endif
+
+      dg = -gc/dcmplx( q2-smass**2, smass*swidth )
+
+      hsss(1) = dg * s1(1)*s2(1)*s3(1)
+c
+      return
+      end

=== added file 'HELAS/hsstxx.F'
--- HELAS/hsstxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/hsstxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,56 @@
+      subroutine hsstxx(tc1,sc,gt,xm,xw,jts)
+c
+c- by RF - Feb. 2006 
+c
+c This subroutine computes an off-shell tensor current from the tts coupling.
+c
+c     input:
+c          complex tc1               : Incoming tensor particle
+c          complex sc                : Incoming scalar particle (Higgs)
+c          real    gt                : coupling constant for the tts vertex
+c
+c     output:
+c          complex jts               : off-shell tensor current
+c
+c     not used:
+c          xm, xw
+c
+
+      implicit none
+c--   dimension of the current set to arbitrary length
+      INTEGER DIM
+      PARAMETER(DIM=18)
+c      include 'dim.inc'
+      double complex tc1(DIM),jts(DIM),sc(DIM)
+      double precision gt, xm, xw
+
+c The outgoing tensor current is the same as the incoming multiplied by the
+c coupling constant and the scalar particle.
+c Note that the diagonal tensor terms are always zero because
+c the tensor particle is anti-symmetric.
+
+      jts( 1) = 0 !gt * sc(1) * tc1( 1)
+      jts( 2) =  gt * sc(1) * tc1( 2)
+      jts( 3) =  gt * sc(1) * tc1( 3)
+      jts( 4) =  gt * sc(1) * tc1( 4)
+
+      jts( 5) =  gt * sc(1) * tc1( 5)
+      jts( 6) = 0 !gt * sc(1) * tc1( 6)
+      jts( 7) =  gt * sc(1) * tc1( 7)
+      jts( 8) =  gt * sc(1) * tc1( 8)
+
+      jts( 9) =  gt * sc(1) * tc1( 9)
+      jts(10) =  gt * sc(1) * tc1(10)
+      jts(11) = 0 !gt * sc(1) * tc1(11)
+      jts(12) =  gt * sc(1) * tc1(12)
+
+      jts(13) =  gt * sc(1) * tc1(13)
+      jts(14) =  gt * sc(1) * tc1(14)
+      jts(15) =  gt * sc(1) * tc1(15)
+      jts(16) = 0 !gt * sc(1) * tc1(16)
+
+      jts(17) = sc(2) + tc1(17)
+      jts(18) = sc(3) + tc1(18)
+
+      return
+      end

=== added file 'HELAS/hssxxx.F'
--- HELAS/hssxxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/hssxxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,88 @@
+      subroutine hssxxx(s1,s2,gc,smass,swidth , hss)
+c
+c This subroutine computes an off-shell scalar current from the three-
+c scalar coupling.
+c
+c input:
+c       complex s1(3)          : first  scalar                        s1
+c       complex s2(3)          : second scalar                        s2
+c       complex gc             : coupling constant                  ghhh
+c       real    smass          : mass  of OUTPUT scalar s'
+c       real    swidth         : width of OUTPUT scalar s'
+c
+c output:
+c       complex hss(3)         : scalar current              j(s':s1,s2)
+c     
+      implicit none
+      double complex s1(3),s2(3),gc,hss(3),dg
+      double precision q(0:3),smass,swidth,q2
+
+#ifdef HELAS_CHECK
+      double precision rZero
+      parameter( rZero = 0.0d0 )
+      double complex cZero
+      parameter( cZero = ( 0.0d0, 0.0d0 ) )
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+#ifdef HELAS_CHECK
+      if ( abs(s1(1)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : s1 in hssxxx is zero scalar'
+      endif
+      if ( abs(s1(2))+abs(s1(3)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : s1 in hssxxx has zero momentum'
+      endif
+      if ( s2(1).eq.cZero ) then
+         write(stdo,*) ' helas-warn  : s2 in hssxxx is zero scalar'
+      endif
+      if ( abs(s2(2))+abs(s2(3)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : s2 in hssxxx has zero momentum'
+      endif
+      if ( gc.eq.cZero ) then
+         write(stdo,*) ' helas-error : gc in hssxxx is zero coupling'
+      endif
+      if ( smass.lt.rZero ) then
+         write(stdo,*) ' helas-error : smass in hssxxx is negative'
+         write(stdo,*) '             : smass = ',smass
+      endif
+      if ( swidth.lt.rZero ) then
+         write(stdo,*) ' helas-error : swidth in hssxxx is negative'
+         write(stdo,*) '             : swidth = ',swidth
+      endif
+#endif
+
+      hss(2) = s1(2)+s2(2)
+      hss(3) = s1(3)+s2(3)
+
+      q(0) = dble( hss(2))
+      q(1) = dble( hss(3))
+      q(2) = dimag(hss(3))
+      q(3) = dimag(hss(2))
+      q2 = q(0)**2-(q(1)**2+q(2)**2+q(3)**2)
+
+#ifdef HELAS_CHECK
+      if ( abs(hss(2))+abs(hss(3)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : hss in hssxxx has zero momentum'
+      endif
+      if ( swidth.eq.rZero .and. q2.eq.smass**2 ) then
+         write(stdo,*)
+     &        ' helas-error : hss in hssxxx is on smass pole'
+         write(stdo,*) 
+     &        '             : q     = ',q(0),q(1),q(2),q(3)
+         write(stdo,*)
+     &        '             : abs(q)= ',sqrt(abs(q2))
+         hss(1)=cmplx(rZero)
+         return
+      endif
+#endif
+
+      dg = -gc/dcmplx( q2-smass**2, smass*swidth )
+
+      hss(1) = dg*s1(1)*s2(1)
+c
+      return
+      end

=== added file 'HELAS/hstlxx.F'
--- HELAS/hstlxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/hstlxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,39 @@
+      subroutine hstlxx(s1,t2,gc,smass,swidth , hst)
+c- by RF - Mar. 2006
+c
+c This subroutine computes an off-shell scalar current from the three-
+c scalar coupling.
+c
+c input:
+c       complex s1(3)          : first  scalar                        s1
+c       complex t2(3)          : internal particle (scalar)           s2
+c       complex gc             : coupling constant                  ghhh
+c       real    smass          : mass  of OUTPUT scalar s'
+c       real    swidth         : width of OUTPUT scalar s'
+c
+c output:
+c       complex hst(3)         : scalar current              j(s':s1,s2)
+c     
+      implicit none
+      include "dimension.inc"
+
+      double complex s1(DIM),t2(DIM),hst(DIM),dg
+      double precision q(0:3),smass,swidth,q2,gc
+
+      hst(2) = s1(2)+t2(2)
+      hst(3) = s1(3)+t2(3)
+
+      q(0) = -dble( hst(2))
+      q(1) = -dble( hst(3))
+      q(2) = -dimag(hst(3))
+      q(3) = -dimag(hst(2))
+      q2 = q(0)**2-(q(1)**2+q(2)**2+q(3)**2)
+
+
+      dg = gc /dcmplx( q2-smass**2, smass*swidth )
+      
+
+      hst(1) = dg*s1(1)*t2(1)
+
+      return
+      end

=== added file 'HELAS/hstxxx.F'
--- HELAS/hstxxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/hstxxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,103 @@
+      subroutine hstxxx(tc,sc,gt,smass,swidth , hst)
+c
+c This subroutine computes an off-shell scalar current from
+c the scalar-scalar-tensor boson coupling.
+c
+c input:
+c       complex tc(18)         : input tensor                          T
+c       complex sc(3)          : input scalar                          s
+c       complex gt             : coupling constant         gts=-1/Lambda
+c       real    smass          : mass  of output scalar s'
+c       real    swidth         : width of output scalar s'
+c
+c output:
+c       complex hst(3)         : scalar current                j(s':T,s)     
+c     
+c- by Q.Li - OCT. 2006
+c
+      implicit none
+      double complex tc(18), sc(3), hst(3)
+      double precision smass, swidth
+      double complex gt
+
+      double complex ft(6,4)
+      double complex T12, T13, T14, T23, T24, T34
+      double complex TKK
+      double precision ps1(4), ps2(4)
+      integer i
+      double complex cZero, d
+      double precision rZero, rTwo, pf2
+      parameter( rZero = 0.0d0, rTwo = 2.0d0 )
+      parameter( cZero = ( 0.0d0, 0.0d0 ) )
+
+
+      ft(1,1) = tc(1)
+      ft(1,2) = tc(2)
+      ft(1,3) = tc(3)
+      ft(1,4) = tc(4)
+      ft(2,1) = tc(5)
+      ft(2,2) = tc(6)
+      ft(2,3) = tc(7)
+      ft(2,4) = tc(8)
+      ft(3,1) = tc(9)
+      ft(3,2) = tc(10)
+      ft(3,3) = tc(11)
+      ft(3,4) = tc(12)
+      ft(4,1) = tc(13)
+      ft(4,2) = tc(14)
+      ft(4,3) = tc(15)
+      ft(4,4) = tc(16)
+      ft(5,1) = tc(17)
+      ft(6,1) = tc(18)
+
+      hst(2) = sc(2)+ft(5,1)
+      hst(3) = sc(3)+ft(6,1)
+
+      ps1(1) = dreal(sc(2))
+      ps1(2) = dreal(sc(3))
+      ps1(3) = dimag(sc(3))
+      ps1(4) = dimag(sc(2))
+
+      ps2(1) = dreal(hst(2))
+      ps2(2) = dreal(hst(3))
+      ps2(3) = dimag(hst(3))
+      ps2(4) = dimag(hst(2))
+
+      pf2 = ps2(1)**2 - ps2(2)**2 - ps2(3)**2 - ps2(4)**2
+      
+      if ( smass.gt.rZero ) then
+         d = - gt/dcmplx( pf2-smass**2, smass*swidth )
+      else
+         d = - gt/dcmplx( pf2, rZero )
+      end if
+
+      T12 = ft(1,2) + ft(2,1)
+      T13 = ft(1,3) + ft(3,1)
+      T14 = ft(1,4) + ft(4,1)
+      T23 = ft(2,3) + ft(3,2)
+      T24 = ft(2,4) + ft(4,2)
+      T34 = ft(3,4) + ft(4,3)
+
+      TKK   = cZero
+    
+      do i = 1,4
+         TKK=TKK+ft(i,i)*ps1(i)*ps2(i)
+      end do
+
+      TKK   = rTwo*TKK
+    
+      TKK = TKK - T12*(ps1(1)*ps2(2) + ps1(2)*ps2(1))
+     &          - T13*(ps1(1)*ps2(3) + ps1(3)*ps2(1))
+     &          - T14*(ps1(1)*ps2(4) + ps1(4)*ps2(1))
+     &          + T23*(ps1(2)*ps2(3) + ps1(3)*ps2(2))
+     &          + T24*(ps1(2)*ps2(4) + ps1(4)*ps2(2))
+     &          + T34*(ps1(3)*ps2(4) + ps1(4)*ps2(3))
+
+      hst(1) = TKK+(ft(1,1)-ft(2,2)-ft(3,3)-ft(4,4))
+     &	*(smass**2-ps1(1)*ps2(1)+ps1(2)*ps2(2)
+     &      +ps1(3)*ps2(3)+ps1(4)*ps2(4))
+
+      hst(1) = hst(1) * d*sc(1)
+
+      return
+      end

=== added file 'HELAS/httaxx.F'
--- HELAS/httaxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/httaxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,74 @@
+      subroutine httaxx(tc1,tc2,gc,mass,width,jsc)
+c
+c- by RF - Mar. 2006 
+c
+c This subroutine computes an off-shell scalar from the tts coupling.
+c
+c     input:
+c          complex tc1(18)           : Incoming tensor particle
+c          complex tc2(18)           : Incoming tensor particle
+c          complex gc(2)             : coupling constant: gt(1) scalar
+c                                                         gt(2) not used
+c          real    mass              : mass of the outgoing scalar
+c          real    width             : width of the outgoing scalar
+c
+c     output:
+c          complex sc(3)             : Incoming scalar particle
+c
+c
+
+      implicit none
+c--   dimension of the current set to arbitrary length
+c      INTEGER DIM
+c      PARAMETER(DIM=18)
+      include "dimension.inc"
+      double complex tc1(DIM),tc2(DIM),jsc(DIM)
+      double complex vertex,dj,gc(2)
+      double precision mass,width,q2,q(4)
+
+c Take the inner product between the tensor particles. The 
+c Note that the tensor particle is antisymmetric, thus all diagonal terms
+c are zero.
+
+      jsc(2)=tc1(17)+tc2(17)
+      jsc(3)=tc1(18)+tc2(18)
+
+      if (gc(1).NE.(0D0,0D0)) then
+
+      q(1) = -dble( jsc(2))
+      q(2) = -dble( jsc(3))
+      q(3) = -dimag(jsc(3))
+      q(4) = -dimag(jsc(2))
+
+      q2 = q(1)**2 - q(2)**2 - q(3)**2 - q(4)**2
+
+      dj = gc(1) /dcmplx( q2-mass**2, mass*width )
+
+      jsc(1) = dj* (
+c     &                       + tc1( 1) * tc2( 1)
+     &                       - tc1( 2) * tc2( 2)
+     &                       - tc1( 3) * tc2( 3)
+     &                       - tc1( 4) * tc2( 4)
+
+     &                       - tc1( 5) * tc2( 5)
+c     &                       + tc1( 6) * tc2( 6)
+     &                       + tc1( 7) * tc2( 7)
+     &                       + tc1( 8) * tc2( 8)
+
+     &                       - tc1( 9) * tc2( 9)
+     &                       + tc1(10) * tc2(10)
+c     &                       + tc1(11) * tc2(11)
+     &                       + tc1(12) * tc2(12)
+
+     &                       - tc1(13) * tc2(13)
+     &                       + tc1(14) * tc2(14)
+     &                       + tc1(15) * tc2(15)
+c     &                       + tc1(16) * tc2(16)
+     &                                           )
+
+      else
+         jsc( 1)=(0D0,0D0)
+      endif
+
+      return
+      end

=== added file 'HELAS/httcxx.F'
--- HELAS/httcxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/httcxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,102 @@
+      subroutine httcxx(tc1,tc2,gc,mass,width,jsc)
+c
+c- by RF - Mar. 2006 
+c  CP3  Modified Nov. 2009 
+
+c This subroutine computes an off-shell scalar from the tts coupling.
+c
+c     input:
+c          complex tc1(18)           : Incoming tensor particle
+c          complex tc2(18)           : Incoming tensor particle
+c          complex gc(2)             : coupling constant: gt(1) scalar
+c                                                         gt(2) not used
+c          real    mass              : mass of the outgoing scalar
+c          real    width             : width of the outgoing scalar
+c
+c     output:
+c          complex sc(3)             : Incoming scalar particle
+c
+c
+
+      implicit none
+c--   dimension of the current set to arbitrary length
+c      INTEGER DIM
+c      PARAMETER(DIM=18)
+      include "dimension.inc"
+      double complex tc1(DIM),tc2(DIM),jsc(DIM),T1(6,4),T2(6,4)
+      double complex vertex,dj,gc(2)
+      double precision mass,width,q2,q(4)
+
+c Take the inner product between the tensor particles. The 
+c Note that the tensor particle is antisymmetric, thus all diagonal terms
+c are zero.
+
+      T1(1,1) = tc1(1)
+      T1(1,2) = tc1(2)
+      T1(1,3) = tc1(3)
+      T1(1,4) = tc1(4)
+      T1(2,1) = tc1(5)
+      T1(2,2) = tc1(6)
+      T1(2,3) = tc1(7)
+      T1(2,4) = tc1(8)
+      T1(3,1) = tc1(9)
+      T1(3,2) = tc1(10)
+      T1(3,3) = tc1(11)
+      T1(3,4) = tc1(12)
+      T1(4,1) = tc1(13)
+      T1(4,2) = tc1(14)
+      T1(4,3) = tc1(15)
+      T1(4,4) = tc1(16)
+      T1(5,1) = tc1(17)
+      T1(6,1) = tc1(18)
+
+      T2(1,1) = tc2(1)
+      T2(1,2) = tc2(2)
+      T2(1,3) = tc2(3)
+      T2(1,4) = tc2(4)
+      T2(2,1) = tc2(5)
+      T2(2,2) = tc2(6)
+      T2(2,3) = tc2(7)
+      T2(2,4) = tc2(8)
+      T2(3,1) = tc2(9)
+      T2(3,2) = tc2(10)
+      T2(3,3) = tc2(11)
+      T2(3,4) = tc2(12)
+      T2(4,1) = tc2(13)
+      T2(4,2) = tc2(14)
+      T2(4,3) = tc2(15)
+      T2(4,4) = tc2(16)
+      T2(5,1) = tc2(17)
+      T2(6,1) = tc2(18)
+
+      jsc(2)=tc1(17)+tc2(17)
+      jsc(3)=tc1(18)+tc2(18)
+
+      if (gc(1).NE.(0D0,0D0)) then
+
+      q(1) = -dble( jsc(2))
+      q(2) = -dble( jsc(3))
+      q(3) = -dimag(jsc(3))
+      q(4) = -dimag(jsc(2))
+
+      q2 = q(1)**2 - q(2)**2 - q(3)**2 - q(4)**2
+
+      dj = -gc(1) /dcmplx( q2-mass**2, mass*width )
+
+      jsc(1) = dj* ( T1(1,2)*T2(1,2) - T1(2,1)*T2(1,2) 
+     -  + T1(1,3)*T2(1,3) - 
+     -  T1(3,1)*T2(1,3) + T1(1,4)*T2(1,4) - T1(4,1)*T2(1,4) - 
+     -  T1(1,2)*T2(2,1) + T1(2,1)*T2(2,1) - T1(2,3)*T2(2,3) + 
+     -  T1(3,2)*T2(2,3) - T1(2,4)*T2(2,4) + T1(4,2)*T2(2,4) - 
+     -  T1(1,3)*T2(3,1) + T1(3,1)*T2(3,1) + T1(2,3)*T2(3,2) - 
+     -  T1(3,2)*T2(3,2) - T1(3,4)*T2(3,4) + T1(4,3)*T2(3,4) - 
+     -  T1(1,4)*T2(4,1) + T1(4,1)*T2(4,1) + T1(2,4)*T2(4,2) - 
+     -  T1(4,2)*T2(4,2) + T1(3,4)*T2(4,3) - T1(4,3)*T2(4,3)
+     &                                           )
+
+      else
+         jsc( 1)=(0D0,0D0)
+      endif
+
+      return
+      end

=== added file 'HELAS/httsxx.F'
--- HELAS/httsxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/httsxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,80 @@
+      subroutine httsxx(tc1,tc2,sc,g1,g2,mass,width,htts)
+c
+c- by RF - Mar. 2006 
+c
+c This subroutine computes an off-shell tensor current from the ttss coupling.
+c
+c     input:
+c          complex tc1(18)           : first incoming tensor particle
+c          complex tc2(18)           : second incoming tensor particle
+c          complex sc(3)             : Incoming scalar particle
+c          complex g1(2)             : coupling constant (Higgs effc. theor)
+c          real    g2                : coupling constant (include extra Higgs)
+c          real    mass              : mass of the outgoing scalar
+c          real    width             : width of the outgoing scalar
+c
+c     output:
+c          complex htts              : off-shell tensor current
+c
+
+      implicit none
+c--   dimension of the current set to arbitrary length
+c      INTEGER DIM
+c      PARAMETER(DIM=18)
+      include "dimension.inc"
+      double complex tc1(DIM),htts(DIM),sc(DIM),tc2(DIM)
+      double complex dg,g1(2)
+
+      double precision g2,mass,width,q2,q(0:3)
+
+c The outgoing tensor current is the same as the incoming multiplied by the
+c coupling constants and the scalar particles.
+c Note that the diagonal tensor terms are always zero because
+c the tensor particle is anti-symmetric.
+
+      
+      htts(2) = sc(2) + tc2(17) + tc1(17)
+      htts(3) = sc(3) + tc2(18) + tc1(18)
+
+ 
+      if (g1(1).NE.(0D0,0D0)) then
+
+      q(0) = -dble( htts(2))
+      q(1) = -dble( htts(3))
+      q(2) = -dimag(htts(3))
+      q(3) = -dimag(htts(2))
+
+      q2 = q(0)**2 - q(1)**2 - q(2)**2 - q(3)**2
+
+      dg = - g1(1)*g2/dcmplx( q2-mass**2, mass*width )
+
+      htts(1)= dg*sc(1)*(
+c     &                   + tc1( 1) * tc2( 1)
+     &                   - tc1( 2) * tc2( 2)
+     &                   - tc1( 3) * tc2( 3)
+     &                   - tc1( 4) * tc2( 4)
+
+     &                   - tc1( 5) * tc2( 5)
+c     &                   + tc1( 6) * tc2( 6)
+     &                   + tc1( 7) * tc2( 7)
+     &                   + tc1( 8) * tc2( 8)
+
+     &                   - tc1( 9) * tc2( 9)
+     &                   + tc1(10) * tc2(10)
+c     &                   + tc1(11) * tc2(11)
+     &                   + tc1(12) * tc2(12)
+
+     &                   - tc1(13) * tc2(13)
+     &                   + tc1(14) * tc2(14)
+     &                   + tc1(15) * tc2(15)
+c     &                   + tc1(16) * tc2(16)
+     &                                       )
+
+
+      else
+         htts( 1)=(0D0,0D0)
+      endif
+
+
+      return
+      end

=== added file 'HELAS/httxxx.F'
--- HELAS/httxxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/httxxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,74 @@
+      subroutine httxxx(tc1,tc2,gc,mass,width,jsc)
+c
+c- by RF - Mar. 2006 
+c
+c This subroutine computes an off-shell scalar from the tts coupling.
+c
+c     input:
+c          complex tc1(18)           : Incoming tensor particle
+c          complex tc2(18)           : Incoming tensor particle
+c          complex gc(2)             : coupling constant: gt(1) scalar
+c                                                         gt(2) not used
+c          real    mass              : mass of the outgoing scalar
+c          real    width             : width of the outgoing scalar
+c
+c     output:
+c          complex sc(3)             : Incoming scalar particle
+c
+c
+
+      implicit none
+c--   dimension of the current set to arbitrary length
+c      INTEGER DIM
+c      PARAMETER(DIM=18)
+      include "dimension.inc"
+      double complex tc1(DIM),tc2(DIM),jsc(DIM)
+      double complex vertex,dj,gc(2)
+      double precision mass,width,q2,q(4)
+
+c Take the inner product between the tensor particles. The 
+c Note that the tensor particle is antisymmetric, thus all diagonal terms
+c are zero.
+
+      jsc(2)=tc1(17)+tc2(17)
+      jsc(3)=tc1(18)+tc2(18)
+
+      if (gc(1).NE.(0D0,0D0)) then
+
+      q(1) = -dble( jsc(2))
+      q(2) = -dble( jsc(3))
+      q(3) = -dimag(jsc(3))
+      q(4) = -dimag(jsc(2))
+
+      q2 = q(1)**2 - q(2)**2 - q(3)**2 - q(4)**2
+
+      dj = gc(1) /dcmplx( q2-mass**2, mass*width )
+
+      jsc(1) = dj* (
+c     &                       + tc1( 1) * tc2( 1)
+     &                       - tc1( 2) * tc2( 2)
+     &                       - tc1( 3) * tc2( 3)
+     &                       - tc1( 4) * tc2( 4)
+
+     &                       - tc1( 5) * tc2( 5)
+c     &                       + tc1( 6) * tc2( 6)
+     &                       + tc1( 7) * tc2( 7)
+     &                       + tc1( 8) * tc2( 8)
+
+     &                       - tc1( 9) * tc2( 9)
+     &                       + tc1(10) * tc2(10)
+c     &                       + tc1(11) * tc2(11)
+     &                       + tc1(12) * tc2(12)
+
+     &                       - tc1(13) * tc2(13)
+     &                       + tc1(14) * tc2(14)
+     &                       + tc1(15) * tc2(15)
+c     &                       + tc1(16) * tc2(16)
+     &                                           )
+
+      else
+         jsc( 1)=(0D0,0D0)
+      endif
+
+      return
+      end

=== added file 'HELAS/hvsxxx.F'
--- HELAS/hvsxxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/hvsxxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,117 @@
+      subroutine hvsxxx(vc,sc,gc,smass,swidth , hvs)
+c
+c This subroutine computes an off-shell scalar current from the vector-
+c scalar-scalar coupling.  The coupling is absent in the minimal SM in
+c unitary gauge.
+c
+c input:
+c       complex vc(6)          : input vector                          v
+c       complex sc(3)          : input scalar                          s
+c       complex gc             : coupling constant (s charge)
+c       real    smass          : mass  of OUTPUT scalar s'
+c       real    swidth         : width of OUTPUT scalar s'
+c
+c examples of the coupling constant gc for susy particles are as follows:
+c   -----------------------------------------------------------
+c   |    s1    | (q,i3) of s1  ||   v=A   |   v=Z   |   v=W   |
+c   -----------------------------------------------------------
+c   | nu~_l    | (  0  , +1/2) ||   ---   |  gzn(1) |  gwf(1) |
+c   | e~_l     | ( -1  , -1/2) ||  gal(1) |  gzl(1) |  gwf(1) |
+c   | u~_l     | (+2/3 , +1/2) ||  gau(1) |  gzu(1) |  gwf(1) |
+c   | d~_l     | (-1/3 , -1/2) ||  gad(1) |  gzd(1) |  gwf(1) |
+c   -----------------------------------------------------------
+c   | e~_r-bar | ( +1  ,  0  ) || -gal(2) | -gzl(2) | -gwf(2) |
+c   | u~_r-bar | (-2/3 ,  0  ) || -gau(2) | -gzu(2) | -gwf(2) |
+c   | d~_r-bar | (+1/3 ,  0  ) || -gad(2) | -gzd(2) | -gwf(2) |
+c   -----------------------------------------------------------
+c where the sc charge is defined by the flowing-OUT quantum number.
+c
+c output:
+c       complex hvs(3)         : scalar current                j(s':v,s)
+c     
+      implicit none
+      double complex vc(6),sc(3),hvs(3),dg,qvv,qpv,gc
+      double precision qv(0:3),qp(0:3),qa(0:3),smass,swidth,q2
+
+      double precision rTwo
+      parameter( rTwo = 2.0d0 )
+
+#ifdef HELAS_CHECK
+      double precision rZero
+      parameter( rZero = 0.0d0 )
+      double complex cZero
+      parameter( cZero = ( 0.0d0, 0.0d0 ) )
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+#ifdef HELAS_CHECK
+      if ( abs(vc(1))+abs(vc(2))+abs(vc(3))+abs(vc(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : vc in hvsxxx is zero vector'
+      endif
+      if ( abs(vc(5))+abs(vc(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : vc in hvsxxx has zero momentum'
+      endif
+      if ( sc(1).eq.cZero ) then
+         write(stdo,*) ' helas-warn  : sc in hvsxxx is zero scalar'
+      endif
+      if ( abs(sc(2))+abs(sc(3)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : sc in hvsxxx has zero momentum'
+      endif
+      if ( gc.eq.cZero ) then
+         write(stdo,*) ' helas-error : gc in hvsxxx is zero coupling'
+      endif
+      if ( smass.lt.rZero ) then
+         write(stdo,*) ' helas-error : smass in hvsxxx is negative'
+         write(stdo,*) '             : smass = ',smass
+      endif
+      if ( swidth.lt.rZero ) then
+         write(stdo,*) ' helas-error : swidth in hvsxxx is negative'
+         write(stdo,*) '             : swidth = ',swidth
+      endif
+#endif
+
+      hvs(2) = vc(5)+sc(2)
+      hvs(3) = vc(6)+sc(3)
+
+      qv(0) = dble(  vc(5))
+      qv(1) = dble(  vc(6))
+      qv(2) = dimag( vc(6))
+      qv(3) = dimag( vc(5))
+      qp(0) = dble(  sc(2))
+      qp(1) = dble(  sc(3))
+      qp(2) = dimag( sc(3))
+      qp(3) = dimag( sc(2))
+      qa(0) = dble( hvs(2))
+      qa(1) = dble( hvs(3))
+      qa(2) = dimag(hvs(3))
+      qa(3) = dimag(hvs(2))
+      q2 = qa(0)**2-(qa(1)**2+qa(2)**2+qa(3)**2)
+
+#ifdef HELAS_CHECK
+      if ( abs(hvs(2))+abs(hvs(3)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : hvs in hvsxxx has zero momentum'
+      endif
+      if ( swidth.eq.rZero .and. q2.eq.smass**2 ) then
+         write(stdo,*)
+     &        ' helas-error : hvs in hvsxxx is on smass pole'
+         write(stdo,*) 
+     &        '             : q     = ',qa(0),qa(1),qa(2),qa(3)
+         write(stdo,*) 
+     &        '             : abs(q)= ',sqrt(abs(q2))
+         hvs(1) = cZero
+         return
+      endif
+#endif
+
+      dg = -gc/dcmplx( q2-smass**2, smass*swidth )
+      qvv = qv(0)*vc(1)-qv(1)*vc(2)-qv(2)*vc(3)-qv(3)*vc(4)
+      qpv = qp(0)*vc(1)-qp(1)*vc(2)-qp(2)*vc(3)-qp(3)*vc(4)
+
+      hvs(1) = dg*(rTwo*qpv+qvv)*sc(1)
+c
+      return
+      end

=== added file 'HELAS/hvvhxx.F'
--- HELAS/hvvhxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/hvvhxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,93 @@
+      subroutine hvvhxx(v1,v2,gc,smass,swidth , jsvv)
+c
+c- by RF - Mar. 2006
+c
+c
+c This subroutine computes an off-shell (pseudo-)scalar current from
+c two incoming vectors using the scalar effective coupling.
+c
+c input:
+c       complex v1(6)          : first  vector
+c       complex v2(6)          : second vector
+c       complex gc(2)          : coupling constant: gc(1) scalar
+c                                                   gc(2) pseudo-scalar
+c       real smass             : mass of the outgoing (pseudo-)scalar
+c       real swidth            : width of the outgoing (pseudo-)scalar
+c
+c output:
+c       complex jsvv(3)        : (pseudo-)scalar current
+c     
+c
+      implicit none
+c--   dimension of the current set to arbitrary length
+c      INTEGER DIM
+c      PARAMETER(DIM=18)
+      include "dimension.inc"
+      double complex v1(DIM),v2(DIM),jsvv(DIM),vertex1,vertex2,dj
+      double complex v12,p2v1,p1v2	
+      double complex v13,v14,v23,v24,v34
+      double precision p12,p13,p14,p23,p24,p34
+      double precision p1(0:3),p2(0:3),q(4),q2
+      double precision smass,swidth
+      double complex gc(2)
+
+      p1(0) = dble( v1(5))
+      p1(1) = dble( v1(6))
+      p1(2) = dimag(v1(6))
+      p1(3) = dimag(v1(5))
+
+      p2(0) = dble( v2(5))
+      p2(1) = dble( v2(6))
+      p2(2) = dimag(v2(6))
+      p2(3) = dimag(v2(5))
+
+      vertex1 = (0D0,0D0)
+      vertex2 = (0D0,0D0)
+      
+      jsvv(2) = v1(5) + v2(5)
+      jsvv(3) = v1(6) + v2(6)
+
+      q(1) = -dble( jsvv(2))
+      q(2) = -dble( jsvv(3))
+      q(3) = -dimag(jsvv(3))
+      q(4) = -dimag(jsvv(2))
+
+      q2 = q(1)**2 - q(2)**2 - q(3)**2 - q(4)**2
+
+      dj = dcmplx( q2-smass**2, smass*swidth )
+
+
+      if (gc(1).NE.(0D0,0D0)) then
+
+         v12  = v1(1)*v2(1) - v1(2)*v2(2) - v1(3)*v2(3) - v1(4)*v2(4)
+         p12  = p1(0)*p2(0) - p1(1)*p2(1) - p1(2)*p2(2) - p1(3)*p2(3)
+         p2v1 = v1(1)*p2(0) - v1(2)*p2(1) - v1(3)*p2(2) - v1(4)*p2(3)
+         p1v2 = p1(0)*v2(1) - p1(1)*v2(2) - p1(2)*v2(3) - p1(3)*v2(4)	
+
+         vertex1 = gc(1)*(v12*p12 - p2v1*p1v2)
+      endif
+
+      if (gc(2).NE.(0D0,0D0)) then
+          p12 = p1(0)*p2(1) - p1(1)*p2(0)
+          p13 = p1(0)*p2(2) - p1(2)*p2(0)
+          p14 = p1(0)*p2(3) - p1(3)*p2(0)
+          p23 = p1(1)*p2(2) - p1(2)*p2(1)
+          p24 = p1(1)*p2(3) - p1(3)*p2(1)
+          p34 = p1(2)*p2(3) - p1(3)*p2(2)
+
+          v12 = v1(1)*v2(2) - v1(2)*v2(1)
+          v13 = v1(1)*v2(3) - v1(3)*v2(1)
+          v14 = v1(1)*v2(4) - v1(4)*v2(1)
+          v23 = v1(2)*v2(3) - v1(3)*v2(2)
+          v24 = v1(2)*v2(4) - v1(4)*v2(2)
+          v34 = v1(3)*v2(4) - v1(4)*v2(3)
+
+          vertex2 = - gc(2)*( v12*p34 - v13*p24 + v14*p23
+     &                       +v23*p14 - v24*p13 + v34*p12 )
+      endif
+       
+      jsvv(1) = (vertex1 + vertex2) /dj
+
+
+      return
+      end

=== added file 'HELAS/hvvshx.F'
--- HELAS/hvvshx.F	1970-01-01 00:00:00 +0000
+++ HELAS/hvvshx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,90 @@
+      subroutine hvvshx(v1,v2,sc,g1,mass,width, hvvsh)
+c
+c- by RF - Mar. 2006
+c
+c
+c This subroutine computes an amplitude of the vector-vector-Higgs-Higgs 
+c effective coupling.
+c
+c input:
+c       complex v1(6)          : first  vector                        
+c       complex v2(6)          : second vector                        
+c       complex sc1(3)         : first  scalar                        
+c       complex g1(2)          : first coupling constant                 
+c       real    mass           : mass of the outgoing scalar
+c       real    width          : width of the outgoing scalar
+c
+c output:
+c       complex hvvsh(3)       : scalar current
+c     
+      implicit none
+c--   dimension of the current set to arbitrary length
+c      INTEGER DIM
+c      PARAMETER(DIM=18)
+      include "dimension.inc"
+      double complex v1(DIM),v2(DIM),sc(DIM),hvvsh(DIM)
+      double complex hvvsh1,hvvsh2,dg,g1(2)
+      double complex v12,p2v1,p1v2,v13,v14,v23,v24,v34
+      double precision p12,p13,p14,p23,p24,p34
+      
+      double precision p1(0:3),p2(0:3),mass,width,q2,q(0:3)
+
+
+      p1(0) = dble( v1(5))
+      p1(1) = dble( v1(6))
+      p1(2) = dimag(v1(6))
+      p1(3) = dimag(v1(5))
+
+      p2(0) = dble( v2(5))
+      p2(1) = dble( v2(6))
+      p2(2) = dimag(v2(6))
+      p2(3) = dimag(v2(5))
+
+      hvvsh(2) = v1(5)+v2(5)+sc(2)
+      hvvsh(3) = v1(6)+v2(6)+sc(3)
+
+      q(0) = -dble( hvvsh(2))
+      q(1) = -dble( hvvsh(3))
+      q(2) = -dimag(hvvsh(3))
+      q(3) = -dimag(hvvsh(2))
+
+      q2 = q(0)**2 - q(1)**2 - q(2)**2 - q(3)**2
+
+      dg = dcmplx( q2-mass**2, mass*width )
+
+      hvvsh1 = (0D0,0D0)
+      hvvsh2 = (0D0,0D0)
+
+      if (g1(1).NE.(0D0,0D0)) then
+
+         v12  = v1(1)*v2(1) - v1(2)*v2(2) - v1(3)*v2(3) - v1(4)*v2(4)
+         p12  = p1(0)*p2(0) - p1(1)*p2(1) - p1(2)*p2(2) - p1(3)*p2(3)
+         p2v1 = v1(1)*p2(0) - v1(2)*p2(1) - v1(3)*p2(2) - v1(4)*p2(3)
+         p1v2 = p1(0)*v2(1) - p1(1)*v2(2) - p1(2)*v2(3) - p1(3)*v2(4)	
+
+         hvvsh1 = - g1(1) *(v12*p12 - p2v1*p1v2)
+      endif
+
+      if (g1(2).NE.(0D0,0D0)) then
+          p12 = p1(0)*p2(1) - p1(1)*p2(0)
+          p13 = p1(0)*p2(2) - p1(2)*p2(0)
+          p14 = p1(0)*p2(3) - p1(3)*p2(0)
+          p23 = p1(1)*p2(2) - p1(2)*p2(1)
+          p24 = p1(1)*p2(3) - p1(3)*p2(1)
+          p34 = p1(2)*p2(3) - p1(3)*p2(2)
+
+          v12 = v1(1)*v2(2) - v1(2)*v2(1)
+          v13 = v1(1)*v2(3) - v1(3)*v2(1)
+          v14 = v1(1)*v2(4) - v1(4)*v2(1)
+          v23 = v1(2)*v2(3) - v1(3)*v2(2)
+          v24 = v1(2)*v2(4) - v1(4)*v2(2)
+          v34 = v1(3)*v2(4) - v1(4)*v2(3)
+
+          hvvsh2 = g1(2)*( v12*p34 - v13*p24 + v14*p23
+     &                    +v23*p14 - v24*p13 + v34*p12 )
+      endif
+       
+      hvvsh(1) = sc(1)*(hvvsh1 + hvvsh2) /dg
+
+      return
+      end

=== added file 'HELAS/hvvsxx.F'
--- HELAS/hvvsxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/hvvsxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,97 @@
+      subroutine hvvsxx(v1,v2,sc,gc,smass,swidth , hvvs)
+c
+c This subroutine computes an off-shell scalar current of the vector-
+c vector-scalar-scalar coupling.
+c
+c input:
+c       complex v1(6)          : first  vector                        v1
+c       complex v2(6)          : second vector                        v2
+c       complex sc(3)          : input  scalar                        s
+c       complex gc             : coupling constant                 gvvhh
+c       real    smass          : mass  of OUTPUT scalar s'
+c       real    swidth         : width of OUTPUT scalar s'
+c
+c output:
+c       complex hvvs(3)        : scalar current            j(s':v1,v2,s)
+c     
+      implicit none
+      double complex v1(6),v2(6),sc(3),gc,hvvs(3),dg
+      double precision q(0:3),smass,swidth,q2
+
+#ifdef HELAS_CHECK
+      double precision rZero
+      parameter( rZero = 0.0d0 )
+      double complex cZero
+      parameter( cZero = ( 0.0d0, 0.0d0 ) )
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+#ifdef HELAS_CHECK
+      if ( abs(v1(1))+abs(v1(2))+abs(v1(3))+abs(v1(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : v1 in hvvsxx is zero vector'
+      endif
+      if ( abs(v1(5))+abs(v1(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : v1 in hvvsxx has zero momentum'
+      endif
+      if ( abs(v2(1))+abs(v2(2))+abs(v2(3))+abs(v2(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : v2 in hvvsxx is zero vector'
+      endif
+      if ( abs(v2(5))+abs(v2(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : v2 in hvvsxx has zero momentum'
+      endif
+      if ( sc(1).eq.cZero ) then
+         write(stdo,*) ' helas-warn  : sc in hvvsxx is zero scalar'
+      endif
+      if ( abs(sc(2))+abs(sc(3)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : sc in hvvsxx has zero momentum'
+      endif
+      if ( gc.eq.cZero ) then
+         write(stdo,*) ' helas-error : gc in hvvsxx is zero coupling'
+      endif
+      if ( smass.lt.rZero ) then
+         write(stdo,*) ' helas-error : smass in hvvsxx is negative'
+         write(stdo,*) '             : smass = ',smass
+      endif
+      if ( swidth.lt.rZero ) then
+         write(stdo,*) ' helas-error : swidth in hvvsxx is negative'
+         write(stdo,*) '             : swidth = ',swidth
+      endif
+#endif
+
+      hvvs(2) = v1(5)+v2(5)+sc(2)
+      hvvs(3) = v1(6)+v2(6)+sc(3)
+
+      q(0) = dble( hvvs(2))
+      q(1) = dble( hvvs(3))
+      q(2) = dimag(hvvs(3))
+      q(3) = dimag(hvvs(2))
+      q2 = q(0)**2-(q(1)**2+q(2)**2+q(3)**2)
+
+#ifdef HELAS_CHECK
+      if ( abs(hvvs(2))+abs(hvvs(3)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : hvvs in hvvsxx has zero momentum'
+      endif
+      if ( swidth.eq.rZero .and. q2.eq.smass**2 ) then
+         write(stdo,*)
+     &        ' helas-error : hvvs in hvvsxx is on smass pole'
+         write(stdo,*)
+     &        '             : q     = ',q(0),q(1),q(2),q(3)
+         write(stdo,*)
+     &        '             : abs(q)= ',sqrt(abs(q2))
+         hvvs(1) = cZero
+         return
+      endif
+#endif
+
+      dg = -gc/dcmplx( q2-smass**2, smass*swidth )
+
+      hvvs(1) = dg*sc(1)
+     &         *(v1(1)*v2(1)-v1(2)*v2(2)-v1(3)*v2(3)-v1(4)*v2(4))
+c
+      return
+      end

=== added file 'HELAS/hvvtxx.F'
--- HELAS/hvvtxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/hvvtxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,57 @@
+      subroutine hvvtxx(w1,w2,g,xm,xw,jt)
+c
+c- by RF - Feb. 2006
+c
+c This subroutine computes the portion of the off-shell current
+c for the color-octect tensor t3 in terms of w1 and w2 
+c
+c input:
+c       complex w1(6)          : first  vector                        w1
+c       complex w2(6)          : second vector                        w2
+c       real    g              : first  coupling constant
+c       real    xm             : not used
+c       real    xw             : not used
+c
+c output:
+c       complex jt(18)        : tensor current  j^(mu,nu)(w':w1,w2,w3)
+c
+      implicit none
+
+c dimension of the current set to arbitrary length
+      integer DIM
+      parameter (DIM=18)
+c      include "dimension.inc"
+      double complex w1(DIM),w2(DIM),jt(DIM)
+
+      double precision xm,xw,g,s2g
+
+      double precision sqrTwo
+      parameter( sqrTwo = 1.41421356237309514547462185873882845044d0 )
+
+      s2g = g * sqrTwo
+      
+      jt( 1) = 0 ! dcmplx( s2g * (w1(1)*w2(1)-w1(1)*w2(1)) )
+      jt( 2) =  dcmplx( s2g * (w1(1)*w2(2)-w1(2)*w2(1)) )
+      jt( 3) =  dcmplx( s2g * (w1(1)*w2(3)-w1(3)*w2(1)) )
+      jt( 4) =  dcmplx( s2g * (w1(1)*w2(4)-w1(4)*w2(1)) )
+
+      jt( 5) =  dcmplx( s2g * (w1(2)*w2(1)-w1(1)*w2(2)) )
+      jt( 6) = 0 ! dcmplx( s2g * (w1(2)*w2(2)-w1(2)*w2(2)) )
+      jt( 7) =  dcmplx( s2g * (w1(2)*w2(3)-w1(3)*w2(2)) )
+      jt( 8) =  dcmplx( s2g * (w1(2)*w2(4)-w1(4)*w2(2)) )
+
+      jt( 9) =  dcmplx( s2g * (w1(3)*w2(1)-w1(1)*w2(3)) )
+      jt(10) =  dcmplx( s2g * (w1(3)*w2(2)-w1(2)*w2(3)) )
+      jt(11) = 0 ! dcmplx( s2g * (w1(3)*w2(3)-w1(3)*w2(3)) )
+      jt(12) =  dcmplx( s2g * (w1(3)*w2(4)-w1(4)*w2(3)) )
+
+      jt(13) =  dcmplx( s2g * (w1(4)*w2(1)-w1(1)*w2(4)) )
+      jt(14) =  dcmplx( s2g * (w1(4)*w2(2)-w1(2)*w2(4)) )
+      jt(15) =  dcmplx( s2g * (w1(4)*w2(3)-w1(3)*w2(4)) )
+      jt(16) = 0 ! dcmplx( s2g * (w1(4)*w2(4)-w1(4)*w2(4)) )
+
+      jt(17) = w1(5) + w2(5)
+      jt(18) = w1(6) + w2(6)
+
+      return
+      end

=== added file 'HELAS/hvvvxx.F'
--- HELAS/hvvvxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/hvvvxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,109 @@
+      subroutine hvvvxx(ga,gb,gc,g1,g2,mass,width,jhvvv)
+c
+c- by RF - Mar. 2006
+c
+c This subroutine computes an off-shell (pseudo-)scalar current
+c from the coupling of three gauge bosons
+c
+c input:
+c       complex ga(6)          : first  incoming vector   (gluon)
+c       complex gb(6)          : second incoming vector   (gluon)
+c       complex gc(6)          : third  incoming vector   (gluon)
+c       real    g1             : coupling constant        (QCD)
+c       complex g2             : coupling constant: g2(1) scalar
+c                                                   g2(2) pseudo-scalar
+c       real mass              : mass of the outgoing scalar
+c       real width             : width of the outgoing scalar
+c
+c output:
+c       complex jhvvv(3)       : output (pseudo-)scalar current
+c
+
+      implicit none
+
+c--   dimension of the current set to arbitrary length
+c      INTEGER DIM
+c      PARAMETER(DIM=18)
+      include "dimension.inc"
+      double complex ga(DIM),gb(DIM),gc(DIM),jhvvv(DIM)
+
+      double complex dvertx, vertex, vertex1, vertex2,dj
+      double complex vab, vbc, vca, v123, v124, v134, v234
+      double complex pgagb, pgagc, pgbga, pgbgc, pgcga, pgcgb
+      double precision pga(0:3),pgb(0:3),pgc(0:3),pabc(4)
+      double precision g1,mass, width, q2, q(4)
+      double complex g2(2)
+
+      pga(0) = dble( ga(5))
+      pga(1) = dble( ga(6))
+      pga(2) = dimag(ga(6))
+      pga(3) = dimag(ga(5))
+
+      pgb(0) = dble( gb(5))
+      pgb(1) = dble( gb(6))
+      pgb(2) = dimag(gb(6))
+      pgb(3) = dimag(gb(5))
+
+      pgc(0) = dble( gc(5))
+      pgc(1) = dble( gc(6))
+      pgc(2) = dimag(gc(6))
+      pgc(3) = dimag(gc(5))
+
+      vertex1 = (0D0,0D0)
+      vertex2 = (0D0,0D0)
+
+
+      jhvvv(2) = ga(5) + gb(5) + gc(5)
+      jhvvv(3) = ga(6) + gb(6) + gc(6)
+
+
+      q(1) = -dble( jhvvv(2))
+      q(2) = -dble( jhvvv(3))
+      q(3) = -dimag(jhvvv(3))
+      q(4) = -dimag(jhvvv(2))
+
+      q2 = q(1)**2 - q(2)**2 - q(3)**2 - q(4)**2
+
+      dj = g1 /dcmplx( q2-mass**2, mass*width )
+
+
+      if (g2(1).NE.(0D0,0D0)) then
+      vab = ga(1)*gb(1)-ga(2)*gb(2)-ga(3)*gb(3)-ga(4)*gb(4)
+      vbc = gb(1)*gc(1)-gb(2)*gc(2)-gb(3)*gc(3)-gb(4)*gc(4)
+      vca = gc(1)*ga(1)-gc(2)*ga(2)-gc(3)*ga(3)-gc(4)*ga(4)
+
+      pgagb = pga(0)*gb(1) - pga(1)*gb(2) - pga(2)*gb(3) - pga(3)*gb(4)
+      pgagc = pga(0)*gc(1) - pga(1)*gc(2) - pga(2)*gc(3) - pga(3)*gc(4)
+      pgbga = pgb(0)*ga(1) - pgb(1)*ga(2) - pgb(2)*ga(3) - pgb(3)*ga(4)
+      pgbgc = pgb(0)*gc(1) - pgb(1)*gc(2) - pgb(2)*gc(3) - pgb(3)*gc(4)
+      pgcga = pgc(0)*ga(1) - pgc(1)*ga(2) - pgc(2)*ga(3) - pgc(3)*ga(4)
+      pgcgb = pgc(0)*gb(1) - pgc(1)*gb(2) - pgc(2)*gb(3) - pgc(3)*gb(4)
+
+      dvertx = vab*(pgagc-pgbgc) + vbc*(pgbga-pgcga) + vca*(pgcgb-pgagb)
+      vertex1= - dvertx * g2(1)
+      endif
+
+      if (g2(2).NE.(0D0,0D0)) then
+      pabc(1) = pga(0) + pgb(0) + pgc(0)
+      pabc(2) = pga(1) + pgb(1) + pgc(1)
+      pabc(3) = pga(2) + pgb(2) + pgc(2)
+      pabc(4) = pga(3) + pgb(3) + pgc(3)
+
+      v123 =   ga(1)*gb(2)*gc(3) - ga(1)*gb(3)*gc(2) - ga(2)*gb(1)*gc(3)
+     &       + ga(2)*gb(3)*gc(1) + ga(3)*gb(1)*gc(2) - ga(3)*gb(2)*gc(1)
+      v124 = - ga(1)*gb(2)*gc(4) + ga(1)*gb(4)*gc(2) + ga(2)*gb(1)*gc(4)
+     &       - ga(2)*gb(4)*gc(1) - ga(4)*gb(1)*gc(2) + ga(4)*gb(2)*gc(1)
+      v134 =   ga(1)*gb(3)*gc(4) - ga(1)*gb(4)*gc(3) - ga(3)*gb(1)*gc(4)
+     &       + ga(3)*gb(4)*gc(1) + ga(4)*gb(1)*gc(3) - ga(4)*gb(3)*gc(1)
+      v234 = - ga(2)*gb(3)*gc(4) + ga(2)*gb(4)*gc(3) + ga(3)*gb(2)*gc(4)
+     &       - ga(3)*gb(4)*gc(2) - ga(4)*gb(2)*gc(3) + ga(4)*gb(3)*gc(2)
+
+
+      vertex2= - g2(2) * (  v123*pabc(4) + v124*pabc(3)
+     &                    + v134*pabc(2) + v234*pabc(1) )
+      endif
+
+      jhvvv(1) = dj * (vertex1 + vertex2)
+
+      return
+      end

=== added file 'HELAS/hvvxxx.F'
--- HELAS/hvvxxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/hvvxxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,89 @@
+      subroutine hvvxxx(v1,v2,gc,smass,swidth , hvv)
+c
+c This subroutine computes an off-shell scalar current from the vector-
+c vector-scalar coupling.
+c
+c input:
+c       complex v1(6)          : first  vector                        v1
+c       complex v2(6)          : second vector                        v2
+c       complex gc             : coupling constant                  gvvh
+c       real    smass          : mass  of OUTPUT scalar s
+c       real    swidth         : width of OUTPUT scalar s
+c
+c output:
+c       complex hvv(3)         : off-shell scalar current     j(s:v1,v2)
+c     
+      implicit none
+      double complex v1(6),v2(6),gc,hvv(3),dg
+      double precision q(0:3),smass,swidth,q2
+
+      double precision rZero
+      parameter( rZero = 0.0d0 )
+
+#ifdef HELAS_CHECK
+      double complex cZero
+      parameter( cZero = ( 0.0d0, 0.0d0 ) )
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+#ifdef HELAS_CHECK
+      if ( abs(v1(1))+abs(v1(2))+abs(v1(3))+abs(v1(4)).eq.rZero) then
+         write(stdo,*) ' helas-warn  : v1 in hvvxxx is zero vector'
+      endif
+      if ( abs(v1(5))+abs(v1(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : v1 in hvvxxx has zero momentum'
+      endif
+      if ( abs(v2(1))+abs(v2(2))+abs(v2(3))+abs(v2(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : v2 in hvvxxx is zero vector'
+      endif
+      if ( abs(v2(5))+abs(v2(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : v2 in hvvxxx has zero momentum'
+      endif
+      if ( gc.eq.cZero ) then
+         write(stdo,*) ' helas-error : gc in hvvxxx is zero coupling'
+      endif
+      if ( smass.lt.rZero ) then
+         write(stdo,*) ' helas-error : smass in hvvxxx is negative'
+         write(stdo,*) '             : smass = ',smass
+      endif
+      if ( swidth.lt.rZero ) then
+         write(stdo,*) ' helas-error : swidth in hvvxxx is negative'
+         write(stdo,*) '             : swidth = ',swidth
+      endif
+#endif
+
+      hvv(2) = v1(5)+v2(5)
+      hvv(3) = v1(6)+v2(6)
+
+      q(0) = dble( hvv(2))
+      q(1) = dble( hvv(3))
+      q(2) = dimag(hvv(3))
+      q(3) = dimag(hvv(2))
+      q2 = q(0)**2-(q(1)**2+q(2)**2+q(3)**2)
+
+#ifdef HELAS_CHECK
+      if ( abs(hvv(2))+abs(hvv(3)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : hvv in hvvxxx has zero momentum'
+      endif
+      if ( swidth.eq.rZero .and. q2.eq.smass**2 ) then
+         write(stdo,*)
+     &        ' helas-error : hvv in hvvxxx is on smass pole'
+         write(stdo,*) 
+     &        '             : q     = ',q(0),q(1),q(2),q(3)
+         write(stdo,*)
+     &        '             : abs(q)= ',sqrt(abs(q2))
+         hvv(1) = cZero
+         return
+      endif
+#endif
+
+      dg = -gc/dcmplx( q2-smass**2, smass*swidth )
+
+      hvv(1) = dg*(v1(1)*v2(1)-v1(2)*v2(2)-v1(3)*v2(3)-v1(4)*v2(4))
+c
+      return
+      end

=== added file 'HELAS/ioscxx.f'
--- HELAS/ioscxx.f	1970-01-01 00:00:00 +0000
+++ HELAS/ioscxx.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,25 @@
+c
+c ----------------------------------------------------------------------
+c
+      subroutine ioscxx(fic,foc,sc,gc , vertex)
+c
+c This subroutine computes an amplitude of the antifermion-antifermion- 
+c scalar coupling.                                                      
+c                                                                       
+c input:                                                                
+c       complex fic(6)         : flow-in  antifermion              |fic>
+c       complex foc(6)         : flow-out antifermion              <foc|
+c       complex sc(3)          : input    scalar                      s 
+c       complex gc(2)          : coupling constants                 gchf
+c                                                                       
+c output:                                                               
+c       complex vertex         : amplitude                   <foc|s|fic>
+c
+      implicit none
+      double complex fic(6),foc(6),sc(3),gc(2),vertex
+c
+      vertex = sc(1)*( gc(1)*(fic(1)*foc(1)+fic(2)*foc(2))
+     &                +gc(2)*(fic(3)*foc(3)+fic(4)*foc(4)) )
+c
+      return
+      end

=== added file 'HELAS/iosgld.f'
--- HELAS/iosgld.f	1970-01-01 00:00:00 +0000
+++ HELAS/iosgld.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,58 @@
+c
+c ----------------------------------------------------------------------
+c
+      subroutine iosgld(fi,fo,sc,gc,smass,mNLSP,idecay , vertex)
+c
+c This subroutine computes an amplitude of the fermion-fermion-scalar
+c SUSY Goldstino coupling. In this routine, the NLSP is decaying to a
+c boson and a Goldstino. The h.c. of the NLSP decay is handled via the
+c input parameter idecay.
+c
+c input:
+c       complex fi(6)          : flow-in  fermion                   |fi>
+c       complex fo(6)          : flow-out fermion                   <fo|
+c       complex sc(3)          : input    scalar                      s
+c       complex gc(2)          : coupling constants                  gsf
+c       real    mNLSP          : mass of the NLSP
+c       real    smass          : mass of the scalar boson
+c       integer idecay         :  1 for NLSP decay to Goldstino
+c                              : -1 for Goldstino to NLSP (h.c. of above)
+c
+c output:
+c       complex vertex         : amplitude                     <fo|s|fi>
+c
+      implicit none
+      double complex  fi(6), fo(6), gc(2), sc(3), vertex
+      double complex  p14p, p14m, p23p, p23m
+      double precision  mNLSP, smass
+      integer idecay
+
+      double complex ci, cZero
+      parameter( ci = ( 0.0d0, 1.0d0 ), cZero = ( 0.0d0, 0.0d0 ) )
+c
+      if ( idecay.ne.1 .or. idecay.ne.-1 ) then
+         write(6,*) 'error in idecay of IOSGLD'
+         stop
+      end if
+
+      p14p = dble(sc(2)) + dimag(sc(2))
+      p14m = dble(sc(2)) - dimag(sc(2))
+      p23p = dble(sc(3)) + dimag(sc(3))*ci
+      p23m = dble(sc(3)) - dimag(sc(3))*ci
+
+      vertex = gc(1) *
+     &         ( ( ( fo(3)*p14p + fo(4)*p23p )*fi(1)
+     &            +( fo(3)*p23m + fo(4)*p14m )*fi(2) )*mNLSP
+     &          -( fo(1)*fi(1) + fo(2)*fi(2) )*idecay*smass**2 )
+
+      if ( gc(2).ne.cZero ) then
+         vertex = vertex + gc(2) *
+     &            ( ( ( fo(1)*p14m - fo(2)*p23p )*fi(3)
+     &               -( fo(1)*p23m - fo(2)*p14p )*fi(4) )*mNLSP
+     &             -( fo(3)*fi(3) + fo(4)*fi(4) )*idecay*smass**2 )
+      end if
+
+      vertex = vertex * sc(1)
+c
+      return
+      end

=== added file 'HELAS/iosxxx.F'
--- HELAS/iosxxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/iosxxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,83 @@
+      subroutine iosxxx(fi,fo,sc,gc , vertex)
+c
+c This subroutine computes an amplitude of the fermion-fermion-scalar
+c coupling.
+c
+c input:
+c       complex fi(6)          : flow-in  fermion                   |fi>
+c       complex fo(6)          : flow-out fermion                   <fo|
+c       complex sc(3)          : input    scalar                      s
+c       complex gc(2)          : coupling constants                 gchf
+c
+c output:
+c       complex vertex         : amplitude                     <fo|s|fi>
+c     
+      implicit none
+      double complex fi(6),fo(6),sc(3),gc(2),vertex
+
+#ifdef HELAS_CHECK
+      double precision p0,p1,p2,p3,q0,q1,q2,q3,r0,r1,r2,r3,pm
+      double precision epsi
+      parameter( epsi = 4.0d-5 )
+      double precision rZero
+      parameter( rZero = 0.0d0 )
+      double complex cZero
+      parameter( cZero = ( 0.0d0, 0.0d0 ) )
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+#ifdef HELAS_CHECK
+      p0 = -dble( fi(5))
+      p1 = -dble( fi(6))
+      p2 = -dimag(fi(6))
+      p3 = -dimag(fi(5))
+      q0 = dble( fo(5))
+      q1 = dble( fo(6))
+      q2 = dimag(fo(6))
+      q3 = dimag(fo(5))
+      r0 = dble( sc(2))
+      r1 = dble( sc(3))
+      r2 = dimag(sc(3))
+      r3 = dimag(sc(2))
+      if ( abs(fi(1))+abs(fi(2))+abs(fi(3))+abs(fi(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : fi in iosxxx is zero spinor'
+      endif
+      if ( abs(fi(5))+abs(fi(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : fi in iosxxx has zero momentum'
+      endif
+      if ( abs(fo(1))+abs(fo(2))+abs(fo(3))+abs(fo(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : fo in iosxxx is zero spinor'
+      endif
+      if ( abs(fo(5))+abs(fo(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : fo in iosxxx has zero momentum'
+      endif
+      if ( sc(1).eq.cZero ) then
+         write(stdo,*) ' helas-warn  : sc in iosxxx is zero scalar'
+      endif
+      if ( abs(sc(2))+abs(sc(3)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : sc in iosxxx has zero momentum'
+      endif
+      pm = max( abs(p0),abs(q0),abs(r0),abs(p1),abs(q1),abs(r1),
+     &          abs(p2),abs(q2),abs(r2),abs(p3),abs(q3),abs(r3) )
+      if ( abs(-fi(5)+fo(5)+sc(2))+abs(-fi(6)+fo(6)+sc(3))
+     &                                               .ge.pm*epsi) then
+         write(stdo,*)
+     &        ' helas-error : fi,fo,sc in iosxxx'
+         write(stdo,*)
+     &        '             :          have not balanced momenta'
+      endif
+      if ( gc(1).eq.cZero .and. gc(2).eq.cZero ) then
+         write(stdo,*)
+     &        ' helas-error : gc in iosxxx is zero coupling'
+      endif
+#endif
+
+      vertex = sc(1)*( gc(1)*(fi(1)*fo(1)+fi(2)*fo(2))
+     &                +gc(2)*(fi(3)*fo(3)+fi(4)*fo(4)) )
+c
+      return
+      end

=== added file 'HELAS/iotxkk.F'
--- HELAS/iotxkk.F	1970-01-01 00:00:00 +0000
+++ HELAS/iotxkk.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,88 @@
+      subroutine iotxkk(fi,fo,tc,g,fmass , vertex)
+c
+c This subroutine computes an amplitude of the fermion-fermion-vector
+c coupling.
+c
+c input:
+c       complex fi(6)          : flow-in  fermion                   |fi>
+c       complex fo(6)          : flow-out fermion                   <fo|
+c       complex tc(6,4)        : input    tensor                      t
+c       real    g              : coupling constant                 -kappa/8
+c       real    fmass          : fermion mass                        m_f
+c
+c output:
+c       complex vertex         : amplitude                        <fo|t|fi>
+c     
+      implicit none
+      double complex fi(6), fo(6), tc(6,4), vertex
+      double precision g, fmass
+
+      double complex k23, k23s, D1, D2, D3, D4, Tii
+      double complex T11, T22, T33, T44, T12, T13, T14, T23, T24, T34
+      double complex f13, f14, f23, f24, f31, f32, f41, f42
+      double precision k(4), k14p, k14m, m2
+
+      double precision rZero, rTwo
+      parameter( rZero = 0.0d0, rTwo = 2.0d0 )
+      double complex ci
+      parameter( ci = ( 0.0d0, 1.0d0 ) )
+c
+      m2 = rTwo*fmass
+
+      k(1) = dreal(fi(5)+fo(5))
+      k(2) = dreal(fi(6)+fo(6))
+      k(3) = dimag(fi(6)+fo(6))
+      k(4) = dimag(fi(5)+fo(5))
+      k23  = dcmplx( k(2),k(3) )
+      k23s = dconjg( k23 )
+      k14p = k(1) + k(4)
+      k14m = k(1) - k(4)
+
+      f13 = fo(1)*fi(3)
+      f14 = fo(1)*fi(4)
+      f23 = fo(2)*fi(3)
+      f24 = fo(2)*fi(4)
+      f31 = fo(3)*fi(1)
+      f32 = fo(3)*fi(2)
+      f41 = fo(4)*fi(1)
+      f42 = fo(4)*fi(2)
+
+      T11 = rTwo*tc(1,1)
+      T22 = rTwo*tc(2,2)
+      T33 = rTwo*tc(3,3)
+      T44 = rTwo*tc(4,4)
+      T12 = tc(1,2) + tc(2,1)
+      T13 = tc(1,3) + tc(3,1)
+      T14 = tc(1,4) + tc(4,1)
+      T23 = tc(2,3) + tc(3,2)
+      T24 = tc(2,4) + tc(4,2)
+      T34 = tc(3,4) + tc(4,3)
+
+      D1 =   k(1)*(T11-T14) - k(2)*(T12-T24)
+     &     - k(3)*(T13-T34) - k(4)*(T14-T44)
+
+      D2 = - k(1)*(T12-ci*T13) + k(2)*(T22-ci*T23)
+     &     + k(3)*(T23-ci*T33) + k(4)*(T24-ci*T34)
+
+      D3 = - k(1)*(T12+ci*T13) + k(2)*(T22+ci*T23)
+     &     + k(3)*(T23+ci*T33) + k(4)*(T24+ci*T34)
+
+      D4 =   k(1)*(T11+T14) - k(2)*(T12+T24)
+     &     - k(3)*(T13+T34) - k(4)*(T14+T44)
+
+      Tii = T11 - T22 - T33 - T44
+
+      vertex = D1*(f13+f42) + D2*(f14-f32) + D3*(f23-f41) + D4*(f24+f31)
+
+      vertex = vertex + Tii*( - k14p*(f24+f31) - k14m*(f13+f42)
+     &                        +  k23*(f23-f41) + k23s*(f14-f32) )
+
+      if ( fmass.ne.rZero ) then
+         vertex = vertex + m2*Tii*(  fo(1)*fi(1) + fo(2)*fi(2)
+     &                             + fo(3)*fi(3) + fo(4)*fi(4) )
+      end if
+
+      vertex = vertex * g
+c
+      return
+      end

=== added file 'HELAS/iotxxx.F'
--- HELAS/iotxxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/iotxxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,111 @@
+      subroutine iotxxx(fi,fo,tc,gt,fmass , vertex)
+c
+c This subroutine computes an amplitude of the fermion-fermion-tensor
+c coupling.
+c
+c input:
+c       complex fi(6)          : flow-in  fermion                   |fi>
+c       complex fo(6)          : flow-out fermion                   <fo|
+c       complex tc(18)         : input    tensor                       T
+c       complex gt             : coupling constant       gtf=-1/Lambda/4
+c       real    fmass          : fermion mass                        m_f
+c
+c output:
+c       complex vertex         : amplitude                     <fo|T|fi>
+c     
+c- by Q.Li - OCT. 2006
+c
+      implicit none
+      double complex fi(6), fo(6), tc(18), gt, vertex
+      double precision fmass
+
+      double complex ft(6,4)
+      double complex k23, k23s, D1, D2, D3, D4, Tii
+      double complex T11, T22, T33, T44, T12, T13, T14, T23, T24, T34
+      double complex f13, f14, f23, f24, f31, f32, f41, f42
+      double precision k(4), k14p, k14m, m2
+
+      double precision rZero, rTwo
+      parameter( rZero = 0.0d0, rTwo = 2.0d0 )
+      double complex ci
+      parameter( ci = ( 0.0d0, 1.0d0 ) )
+
+
+      m2 = rTwo*fmass
+
+      ft(1,1) = tc(1)
+      ft(1,2) = tc(2)
+      ft(1,3) = tc(3)
+      ft(1,4) = tc(4)
+      ft(2,1) = tc(5)
+      ft(2,2) = tc(6)
+      ft(2,3) = tc(7)
+      ft(2,4) = tc(8)
+      ft(3,1) = tc(9)
+      ft(3,2) = tc(10)
+      ft(3,3) = tc(11)
+      ft(3,4) = tc(12)
+      ft(4,1) = tc(13)
+      ft(4,2) = tc(14)
+      ft(4,3) = tc(15)
+      ft(4,4) = tc(16)
+      ft(5,1) = tc(17)
+      ft(6,1) = tc(18)
+
+      k(1) = dreal(fi(5)+fo(5))
+      k(2) = dreal(fi(6)+fo(6))
+      k(3) = dimag(fi(6)+fo(6))
+      k(4) = dimag(fi(5)+fo(5))
+      k23  = dcmplx( k(2),k(3) )
+      k23s = dconjg( k23 )
+      k14p = k(1) + k(4)
+      k14m = k(1) - k(4)
+
+      f13 = fo(1)*fi(3)
+      f14 = fo(1)*fi(4)
+      f23 = fo(2)*fi(3)
+      f24 = fo(2)*fi(4)
+      f31 = fo(3)*fi(1)
+      f32 = fo(3)*fi(2)
+      f41 = fo(4)*fi(1)
+      f42 = fo(4)*fi(2)
+
+      T11 = rTwo*ft(1,1)
+      T22 = rTwo*ft(2,2)
+      T33 = rTwo*ft(3,3)
+      T44 = rTwo*ft(4,4)
+      T12 = ft(1,2) + ft(2,1)
+      T13 = ft(1,3) + ft(3,1)
+      T14 = ft(1,4) + ft(4,1)
+      T23 = ft(2,3) + ft(3,2)
+      T24 = ft(2,4) + ft(4,2)
+      T34 = ft(3,4) + ft(4,3)
+
+      D1 =   k(1)*(T11-T14) - k(2)*(T12-T24)
+     &     - k(3)*(T13-T34) - k(4)*(T14-T44)
+
+      D2 = - k(1)*(T12-ci*T13) + k(2)*(T22-ci*T23)
+     &     + k(3)*(T23-ci*T33) + k(4)*(T24-ci*T34)
+
+      D3 = - k(1)*(T12+ci*T13) + k(2)*(T22+ci*T23)
+     &     + k(3)*(T23+ci*T33) + k(4)*(T24+ci*T34)
+
+      D4 =   k(1)*(T11+T14) - k(2)*(T12+T24)
+     &     - k(3)*(T13+T34) - k(4)*(T14+T44)
+
+      Tii = T11 - T22 - T33 - T44
+
+      vertex = D1*(f13+f42) + D2*(f14-f32) + D3*(f23-f41) + D4*(f24+f31)
+
+      vertex = vertex + Tii*( - k14p*(f24+f31) - k14m*(f13+f42)
+     &                        +  k23*(f23-f41) + k23s*(f14-f32) )
+
+      if ( fmass.ne.rZero ) then
+         vertex = vertex + m2*Tii*(  fo(1)*fi(1) + fo(2)*fi(2)
+     &                             + fo(3)*fi(3) + fo(4)*fi(4) )
+      end if
+
+      vertex = vertex * gt
+
+      return
+      end

=== added file 'HELAS/iovcxx.f'
--- HELAS/iovcxx.f	1970-01-01 00:00:00 +0000
+++ HELAS/iovcxx.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,38 @@
+c
+c ----------------------------------------------------------------------
+c
+      subroutine iovcxx(fic,foc,vc,gc , vertex)
+c
+c this subroutine computes an amplitude of the antifermion-antifermion- 
+c vector coupling.                                                      
+c                                                                       
+c input:                                                                
+c       complex fic(6)         : flow-in  antifermion              |fic>
+c       complex foc(6)         : flow-out antifermion              <foc|
+c       complex vc(6)          : input    vector                      v 
+c       complex gc(2)          : coupling constants                  gvf
+c                                                                       
+c output:                                                               
+c       complex vertex         : amplitude                   <foc|v|fic>
+c
+      implicit none
+      double complex fic(6),foc(6),vc(6),gc(2),vertex
+
+      double complex cImag, cZero
+      parameter( cImag = ( 0.0d0, 1.0d0 ), cZero = ( 0.0d0, 0.0d0 ) )
+c
+      vertex = - gc(1)*( (foc(1)*fic(3)+foc(2)*fic(4))*vc(1)
+     &                  -(foc(1)*fic(4)+foc(2)*fic(3))*vc(2)
+     &                  +(foc(1)*fic(4)-foc(2)*fic(3))*vc(3)*cImag
+     &                  -(foc(1)*fic(3)-foc(2)*fic(4))*vc(4)       )
+
+      if ( gc(2).ne.cZero ) then
+         vertex = vertex
+     &            - gc(2)*( (foc(3)*fic(1)+foc(4)*fic(2))*vc(1)
+     &                     +(foc(3)*fic(2)+foc(4)*fic(1))*vc(2)
+     &                     -(foc(3)*fic(2)-foc(4)*fic(1))*vc(3)*cImag
+     &                     +(foc(3)*fic(1)-foc(4)*fic(2))*vc(4)       )
+      end if
+c
+      return
+      end

=== added file 'HELAS/iovdmx.F'
--- HELAS/iovdmx.F	1970-01-01 00:00:00 +0000
+++ HELAS/iovdmx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,124 @@
+      subroutine iovdmx(fi,fo,vc,gc, vertex)
+c
+c This subroutine computes an amplitude of the fermion-fermion-vector
+c dipole moment (non-renormalizable) coupling.
+c
+c input:
+c       complex fi(6)          : flow-in  fermion                   |fi>
+c       complex fo(6)          : flow-out fermion                   <fo|
+c       complex vc(6)          : input    vector                      v
+c       complex gc(2,2)        : coupling constants                  gvf
+c                              : first index is L,R as normal
+c                              : second index is EDM,-MDM
+c
+c output:
+c       complex vertex         : amplitude                     <fo|v|fi>
+c
+      implicit none
+      double complex fi(6), fo(6), vc(6), vertex, gc(2,2)
+
+      double complex q(5:6), dum1, dum2
+      double complex f1122, f12, f21, f3344, f34, f43
+      double complex f12p21, f12m21, f34p43, f34m43
+      double complex kvc21, kvc31, kvc41, kvc32, kvc42, kvc43
+      double precision  rZero, rOne
+      parameter( rZero = 0.0d0, rOne = 1.0d0 )
+      double complex cImag, cZero
+      parameter( cImag = ( 0.0d0, 1.0d0 ), cZero = ( 0.0d0, 0.0d0 ) )
+
+#ifdef HELAS_CHECK
+      double precision p0,p1,p2,p3,q0,q1,q2,q3,r0,r1,r2,r3,pm
+      double precision epsi
+      parameter( epsi = 4.0d-5 )
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+#ifdef HELAS_CHECK
+      p0 = -dble( fi(5))
+      p1 = -dble( fi(6))
+      p2 = -dimag(fi(6))
+      p3 = -dimag(fi(5))
+      q0 = dble( fo(5))
+      q1 = dble( fo(6))
+      q2 = dimag(fo(6))
+      q3 = dimag(fo(5))
+      r0 = dble( vc(5))
+      r1 = dble( vc(6))
+      r2 = dimag(vc(6))
+      r3 = dimag(vc(5))
+      if ( abs(fi(1))+abs(fi(2))+abs(fi(3))+abs(fi(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : fi in iovdmx is zero spinor'
+      endif
+      if ( abs(fi(5))+abs(fi(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : fi in iovdmx has zero momentum'
+      endif
+      if ( abs(fo(1))+abs(fo(2))+abs(fo(3))+abs(fo(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : fo in iovdmx is zero spinor'
+      endif
+      if ( abs(fo(5))+abs(fo(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : fo in iovdmx has zero momentum'
+      endif
+      if ( abs(vc(1))+abs(vc(2))+abs(vc(3))+abs(vc(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : vc in iovdmx is zero vector'
+      endif
+      if ( abs(vc(5))+abs(vc(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : vc in iovdmx has zero momentum'
+      endif
+      pm = max( abs(p0),abs(q0),abs(r0),abs(p1),abs(q1),abs(r1),
+     &          abs(p2),abs(q2),abs(r2),abs(p3),abs(q3),abs(r3) )
+      if ( abs(-fi(5)+fo(5)+vc(5))+abs(-fi(6)+fo(6)+vc(6))
+     &                                               .ge.pm*epsi) then
+         write(stdo,*)
+     &        ' helas-error : fi,fo,vc in iovdmx'
+         write(stdo,*)
+     &        '                        have not balanced momenta'
+      endif
+      if ( gc(1,1).eq.cZero .and. gc(2,1).eq.cZero .and.
+     &     gc(1,2).eq.cZero .and. gc(2,2).eq.cZero      ) then
+         write(stdo,*)
+     &        ' helas-error : gc in iovdmx is zero coupling'
+      endif
+#endif
+
+      q(5) = fi(5) - fo(5)
+      q(6) = fi(6) - fo(6)
+
+      f1122  = fo(1)*fi(1) - fo(2)*fi(2)
+      f12    = fo(1)*fi(2)
+      f21    = fo(2)*fi(1)
+      f12p21 = f12 + f21
+      f12m21 = f12 - f21
+
+      kvc21 = ( dble(q(6))*vc(1) -  dble(q(5))*vc(2))*cImag
+      kvc31 =  dimag(q(6))*vc(1) -  dble(q(5))*vc(3)
+      kvc41 = (dimag(q(5))*vc(1) -  dble(q(5))*vc(4))*cImag
+      kvc32 =  dimag(q(6))*vc(2) -  dble(q(6))*vc(3)
+      kvc42 = (dimag(q(5))*vc(2) -  dble(q(6))*vc(4))*cImag
+      kvc43 =  dimag(q(5))*vc(3) - dimag(q(6))*vc(4)
+
+      dum1 =   ( kvc31 + kvc42 )*f12m21
+     &       + ( kvc32 + kvc41 )*f1122
+     &       + ( kvc43 + kvc21 )*f12p21
+
+c     (-) from gamma^5 in EDM only
+      vertex = ( -gc(1,1) + cImag*gc(1,2) )*dum1    
+
+      if ( gc(2,1).ne.cZero .or.
+     &     gc(2,2).ne.cZero      ) then
+         f3344  = fo(3)*fi(3) - fo(4)*fi(4)
+         f34    = fo(3)*fi(4)
+         f43    = fo(4)*fi(3)
+         f34p43 = f34 + f43
+         f34m43 = f34 - f43
+         dum2 =   (-kvc31 + kvc42 )*f34m43
+     &          + ( kvc32 - kvc41 )*f3344
+     &          + ( kvc43 - kvc21 )*f34p43
+         vertex = vertex + ( gc(2,1) + cImag*gc(2,2) )*dum2
+      end if
+c
+      return
+      end

=== added file 'HELAS/iovgld.f'
--- HELAS/iovgld.f	1970-01-01 00:00:00 +0000
+++ HELAS/iovgld.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,78 @@
+c
+c ----------------------------------------------------------------------
+c
+      subroutine iovgld(fi,fo,vc,gc,idecay , vertex)
+c
+c This subroutine computes an amplitude of the fermion-fermion-vector
+c SUSY Goldstino coupling. In this routine, the NLSP is decaying to a
+c boson and a Goldstino. The h.c. of the NLSP decay is handled via the
+c input parameter idecay (picks out correct Goldstino momentum).
+c
+c input:
+c       complex fi(6)          : flow-in  fermion                   |fi>
+c       complex fo(6)          : flow-out fermion                   <fo|
+c       complex vc(6)          : input    vector                      v
+c       complex gc(2)          : coupling constants                  gvf
+c       integer idecay         :  1 for NLSP decay to Goldstino
+c                              : -1 for Goldstino to NLSP (h.c. of above)
+c
+c output:
+c       complex vertex         : amplitude                     <fo|v|fi>
+c
+      implicit none
+      double complex  fi(6), fo(6), gc(2), vc(6), vertex
+      double complex  AdotpG, A14p, A14m, A23p, A23m
+      double complex  p14p, p14m, p23p, p23m
+      double precision  pdotpG
+      integer idecay
+
+      double precision rOne
+      parameter( rOne = 1.0d0 )
+      double complex ci, cZero
+      parameter( ci = ( 0.0d0, 1.0d0 ), cZero = ( 0.0d0, 0.0d0 ) )
+c
+      if ( idecay.eq.1 ) then
+         pdotpG =  dble( vc(5))*dble( fo(5))
+     &           - dble( vc(6))*dble( fo(6))
+     &           - dimag(vc(6))*dimag(fo(6))
+     &           - dimag(vc(5))*dimag(fo(5))
+         AdotpG =  vc(1)*dble( fo(5)) - vc(2)*dble( fo(6))
+     &           - vc(3)*dimag(fo(6)) - vc(4)*dimag(fo(5))
+      else if ( idecay.eq.-1 ) then
+         pdotpG =  dble( vc(5))*dble( fi(5))
+     &           - dble( vc(6))*dble( fi(6))
+     &           - dimag(vc(6))*dimag(fi(6))
+     &           - dimag(vc(5))*dimag(fi(5))
+         AdotpG =  vc(1)*dble( fi(5)) - vc(2)*dble( fi(6))
+     &           - vc(3)*dimag(fi(6)) - vc(4)*dimag(fi(5))
+      else
+         write(6,*) 'error in idecay of IOVGLD'
+         stop
+      end if
+
+      p14p = dble(vc(5)) + dimag(vc(5))
+      p14m = dble(vc(5)) - dimag(vc(5))
+      p23p = vc(6)
+      p23m = dconjg(vc(6))
+      A14p = vc(1) + vc(4)
+      A14m = vc(1) - vc(4)
+      A23p = vc(2) + vc(3)*ci
+      A23m = vc(2) - vc(3)*ci
+
+      vertex = gc(1)*( ( ( fo(3)*p14p + fo(4)*p23p )*fi(1)
+     &                  +( fo(3)*p23m + fo(4)*p14m )*fi(2) )*AdotpG
+     &                -( ( fo(3)*A14p + fo(4)*A23p )*fi(1)
+     &                  +( fo(3)*A23m + fo(4)*A14m )*fi(2) )*pdotpG )
+
+      if ( gc(2).ne.cZero ) then
+         vertex = vertex
+     &          + gc(2)*( ( (fo(1)*p14m - fo(2)*p23p )*fi(3)
+     &                     -(fo(1)*p23m - fo(2)*p14p )*fi(4) )*AdotpG
+     &                   -( (fo(1)*A14m - fo(2)*A23p )*fi(3)
+     &                     -(fo(1)*A23m - fo(2)*A14p )*fi(4) )*pdotpG )
+      end if
+
+      vertex = vertex * idecay
+c
+      return
+      end

=== added file 'HELAS/iovgox.f'
--- HELAS/iovgox.f	1970-01-01 00:00:00 +0000
+++ HELAS/iovgox.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,37 @@
+      subroutine iovgox(fi,fo,vc,gc , vertex)
+c
+c This subroutine computes an amplitude of the fermion-fermion-vector
+c coupling in the case when they are all color octets.
+c
+c input:
+c       complex fi(6)          : flow-in  fermion                   |fi>
+c       complex fo(6)          : flow-out fermion                   <fo|
+c       complex vc(6)          : input    vector                      v
+c       complex gc(2)          : coupling constants                  gvf
+c
+c output:
+c       complex vertex         : amplitude                     <fo|v|fi>
+c     
+      implicit none
+      double complex fi(6),fo(6),gc(2),vc(6),vertex
+
+      double precision rZero, rOne
+      parameter( rZero = 0.0d0 )
+      double complex cImag, cZero
+      parameter( cImag = ( 0.0d0, 1.0d0 ), cZero = ( 0.0d0, 0.0d0 ) )
+
+      vertex =  gc(1)*( (fo(3)*fi(1)+fo(4)*fi(2))*vc(1)
+     &                 +(fo(3)*fi(2)+fo(4)*fi(1))*vc(2)
+     &                 -(fo(3)*fi(2)-fo(4)*fi(1))*vc(3)*cImag
+     &                 +(fo(3)*fi(1)-fo(4)*fi(2))*vc(4)        )
+
+      if ( gc(2).ne.cZero ) then
+         vertex = vertex
+     &          + gc(2)*( (fo(1)*fi(3)+fo(2)*fi(4))*vc(1)
+     &                   -(fo(1)*fi(4)+fo(2)*fi(3))*vc(2)
+     &                   +(fo(1)*fi(4)-fo(2)*fi(3))*vc(3)*cImag
+     &                   -(fo(1)*fi(3)-fo(2)*fi(4))*vc(4)        )
+      end if
+c
+      return
+      end

=== added file 'HELAS/iovkxx.F'
--- HELAS/iovkxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/iovkxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,91 @@
+      subroutine iovkxx(fi,fo,tc,g, vertex)
+c
+c This subroutine computes an amplitude of the fermion-fermion-vector
+c coupling.
+c
+c input:
+c       complex fi(6)          : flow-in  fermion                   |fi>
+c       complex fo(6)          : flow-out fermion                   <fo|
+c       complex tc(6,4)        : input    tensor                      t
+c       complex g(1)           : coupling constant                 -kappa/8
+c       real    g(2)           : fermion mass                        m_f
+c
+c output:
+c       complex vertex         : amplitude                        <fo|t|fi>
+c     
+      implicit none
+      double complex fi(18), fo(18), tc(18), vertex,g(2)
+      double precision fmass
+
+      double complex k23, k23s, D1, D2, D3, D4, Tii
+      double complex T11, T22, T33, T44, T12, T13, T14, T23, T24, T34
+      double complex f13, f14, f23, f24, f31, f32, f41, f42
+      double precision k(4), k14p, k14m, m2
+
+      double precision rZero, rTwo
+      parameter( rZero = 0.0d0, rTwo = 2.0d0 )
+      double complex ci
+      parameter( ci = ( 0.0d0, 1.0d0 ) )
+c
+      fmass = dreal(g(2))
+      m2 = rTwo*fmass
+
+      k(1) = dreal(fi(5)+fo(5))
+      k(2) = dreal(fi(6)+fo(6))
+      k(3) = dimag(fi(6)+fo(6))
+      k(4) = dimag(fi(5)+fo(5))
+      k23  = dcmplx( k(2),k(3) )
+      k23s = dconjg( k23 )
+      k14p = k(1) + k(4)
+      k14m = k(1) - k(4)
+
+c      write (*,*) k
+
+      f13 = fo(1)*fi(3)
+      f14 = fo(1)*fi(4)
+      f23 = fo(2)*fi(3)
+      f24 = fo(2)*fi(4)
+      f31 = fo(3)*fi(1)
+      f32 = fo(3)*fi(2)
+      f41 = fo(4)*fi(1)
+      f42 = fo(4)*fi(2)
+
+      T11 = rTwo*tc(1)
+      T22 = rTwo*tc(6)
+      T33 = rTwo*tc(11)
+      T44 = rTwo*tc(16)
+      T12 = tc( 5) + tc( 2)
+      T13 = tc( 9) + tc( 3)
+      T14 = tc(13) + tc( 4)
+      T23 = tc(10) + tc( 7)
+      T24 = tc(14) + tc( 8)
+      T34 = tc(15) + tc(12)
+
+      D1 =   k(1)*(T11-T14) - k(2)*(T12-T24)
+     &     - k(3)*(T13-T34) - k(4)*(T14-T44)
+
+      D2 = - k(1)*(T12-ci*T13) + k(2)*(T22-ci*T23)
+     &     + k(3)*(T23-ci*T33) + k(4)*(T24-ci*T34)
+
+      D3 = - k(1)*(T12+ci*T13) + k(2)*(T22+ci*T23)
+     &     + k(3)*(T23+ci*T33) + k(4)*(T24+ci*T34)
+
+      D4 =   k(1)*(T11+T14) - k(2)*(T12+T24)
+     &     - k(3)*(T13+T34) - k(4)*(T14+T44)
+
+      Tii = T11 - T22 - T33 - T44
+
+      vertex = D1*(f13+f42) + D2*(f14-f32) + D3*(f23-f41) + D4*(f24+f31)
+
+      vertex = vertex + Tii*( - k14p*(f24+f31) - k14m*(f13+f42)
+     &                        +  k23*(f23-f41) + k23s*(f14-f32) )
+
+      if ( fmass.ne.rZero ) then
+         vertex = vertex + m2*Tii*(  fo(1)*fi(1) + fo(2)*fi(2)
+     &                             + fo(3)*fi(3) + fo(4)*fi(4) )
+      end if
+
+      vertex = vertex * g(1) 
+c
+      return
+      end

=== added file 'HELAS/iovtkk.F'
--- HELAS/iovtkk.F	1970-01-01 00:00:00 +0000
+++ HELAS/iovtkk.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,100 @@
+      subroutine iovtkk(fi,fo,vc,tc,g , vertex)
+c
+c This subroutine computes an amplitude of the three-point coupling of
+c two gauge bosons and a Kaluza-Klein tensor boson.
+c
+c input:
+c       complex fi(6)          : flow-in  fermion     SM |fi>
+c       complex fo(6)          : flow-out fermion     SM <fo|
+c       complex vc(6)          : vector               SM   v
+c       complex tc(6,4)        : tensor               KK   t
+c       real    g(2)           : coupling constant    -g(L,R)*kappa/4
+c
+c output:
+c       complex vertex         : amplitude            gamma(fi,fo,vc,tc)
+c     
+      implicit none
+      double complex fi(6), fo(6), vc(6), tc(6,4), vertex
+      double precision g(2)
+
+      double complex f13, f14, f23, f24, f31, f32, f41, f42
+      double complex fs1L, fs1R, fs2L, fs2R, fs3L, fs3R, fs4L, fs4R
+      double complex T12, T13, T14, T23, T24, T34
+
+      double precision rZero, rTwo
+      parameter( rZero = 0.0d0, rTwo = 2.0d0 )
+      double complex ci
+      parameter( ci = ( 0.0d0, 1.0d0 ) )
+c
+      f31 = fo(3)*fi(1)*g(1)
+      f32 = fo(3)*fi(2)*g(1)
+      f41 = fo(4)*fi(1)*g(1)
+      f42 = fo(4)*fi(2)*g(1)
+
+      fs1L =  f31 + f42
+      fs2L = -f32 - f41
+      fs3L = (f32 - f41)*ci
+      fs4L = -f31 + f42
+
+      if ( g(2).ne.rZero ) then
+         f14 = fo(1)*fi(4)*g(2)
+         f13 = fo(1)*fi(3)*g(2)
+         f23 = fo(2)*fi(3)*g(2)
+         f24 = fo(2)*fi(4)*g(2)
+         fs1R =  f13 + f24
+         fs2R =  f23 + f14
+         fs3R = (f23 - f14)*ci
+         fs4R =  f13 - f24
+      end if
+
+      T12 = tc(1,2) + tc(2,1)
+      T13 = tc(1,3) + tc(3,1)
+      T14 = tc(1,4) + tc(4,1)
+      T23 = tc(2,3) + tc(3,2)
+      T24 = tc(2,4) + tc(4,2)
+      T34 = tc(3,4) + tc(4,3)
+
+      if ( g(2).ne.rZero ) then
+
+         vertex =  (fs1L + fs1R)*(  vc(1)*rTwo*tc(1,1)
+     &                            - vc(2)*T12 - vc(3)*T13 - vc(4)*T14 )
+
+     &           + (fs2L + fs2R)*(  vc(2)*rTwo*tc(2,2)
+     &                            - vc(1)*T12 + vc(3)*T23 + vc(4)*T24 )
+
+     &           + (fs3L + fs3R)*(  vc(3)*rTwo*tc(3,3)
+     &                            - vc(1)*T13 + vc(2)*T23 + vc(4)*T34 )
+
+     &           + (fs4L + fs4R)*(  vc(4)*rTwo*tc(4,4)
+     &                            - vc(1)*T14 + vc(2)*T24 + vc(3)*T34 )
+
+         vertex = vertex - rTwo*( tc(1,1)-tc(2,2)-tc(3,3)-tc(4,4) )
+     &                         *(  (vc(1)+      vc(4))*(f31+f24)
+     &                           + (vc(1)-      vc(4))*(f13+f42)
+     &                           + (vc(2)+ci*vc(3))*(f41-f23)
+     &                           + (vc(2)-ci*vc(3))*(f32-f14) )
+
+      else
+
+         vertex =  fs1L*(  vc(1)*rTwo*tc(1,1)
+     &                   - vc(2)*T12 - vc(3)*T13 - vc(4)*T14 )
+
+     &           + fs2L*(  vc(2)*rTwo*tc(2,2)
+     &                   - vc(1)*T12 + vc(3)*T23 + vc(4)*T24 )
+
+     &           + fs3L*(  vc(3)*rTwo*tc(3,3)
+     &                   - vc(1)*T13 + vc(2)*T23 + vc(4)*T34 )
+
+     &           + fs4L*(  vc(4)*rTwo*tc(4,4)
+     &                   - vc(1)*T14 + vc(2)*T24 + vc(3)*T34 )
+
+         vertex = vertex - rTwo*( tc(1,1)-tc(2,2)-tc(3,3)-tc(4,4) )
+     &                         *(  (vc(1)+      vc(4))*f31
+     &                           + (vc(1)-      vc(4))*f42
+     &                           + (vc(2)+ci*vc(3))*f41
+     &                           + (vc(2)-ci*vc(3))*f32 )
+
+      end if
+c
+      return
+      end

=== added file 'HELAS/iovtxx.F'
--- HELAS/iovtxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/iovtxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,90 @@
+      subroutine iovtxx(fi,fo,vc,tc,gc,gt , vertex)
+c
+c This subroutine computes an amplitude of the four-point coupling of
+c a vector boson, two fermions and a tensor boson.
+c
+c input:
+c       complex fi(6)          : flow-in  fermion                   |fi>
+c       complex fo(6)          : flow-out fermion                   <fo|
+c       complex vc(6)          : input    vector                       v
+c       complex tc(18)         : input    tensor                       T
+c       complex gc(2)          : coupling constants                  gvf
+c       complex gt             : coupling constant      gtfv=-1/Lambda/2
+c
+c output:
+c       complex vertex         : amplitude                   <fo|v,T|fi>
+c     
+c- by Q.Li - OCT. 2006
+c
+      implicit none
+      double complex fi(6), fo(6), vc(6), tc(18), gc(2), gt, vertex
+
+      double complex ft(6,4)
+      double complex T00,T12, T13, T14, T23, T24, T34
+
+      double precision rZero, r2
+      parameter( rZero = 0.0d0, r2 = 2.0d0 )
+      double complex cone
+      parameter( cone = ( 0.0d0, 1.0d0 ) )
+
+      
+      ft(1,1) = tc(1)
+      ft(1,2) = tc(2)
+      ft(1,3) = tc(3)
+      ft(1,4) = tc(4)
+      ft(2,1) = tc(5)
+      ft(2,2) = tc(6)
+      ft(2,3) = tc(7)
+      ft(2,4) = tc(8)
+      ft(3,1) = tc(9)
+      ft(3,2) = tc(10)
+      ft(3,3) = tc(11)
+      ft(3,4) = tc(12)
+      ft(4,1) = tc(13)
+      ft(4,2) = tc(14)
+      ft(4,3) = tc(15)
+      ft(4,4) = tc(16)
+      ft(5,1) = tc(17)
+      ft(6,1) = tc(18)
+
+      T00 = ft(1,1)-ft(2,2)-ft(3,3)-ft(4,4)
+      T12 = ft(1,2) + ft(2,1)
+      T13 = ft(1,3) + ft(3,1)
+      T14 = ft(1,4) + ft(4,1)
+      T23 = ft(2,3) + ft(3,2)
+      T24 = ft(2,4) + ft(4,2)
+      T34 = ft(3,4) + ft(4,3)
+
+
+      vertex =-gt*(fi(4)*gc(2)*(fo(1)*(T12*vc(1) - cone*T13*vc(1)
+     &	 - r2*ft(2,2)*vc(2) + cone*r2*ft(3,3)*vc(3) - 
+     &          T23*(-(cone*vc(2)) + vc(3)) + r2*T00*(-vc(2) 
+     &+ cone*vc(3)) - T24*vc(4) + cone*T34*vc(4)) + 
+     &       fo(2)*(-(r2*ft(1,1)*vc(1)) + T12*vc(2) + T24*vc(2)
+     & + T13*vc(3) + T34*vc(3) + r2*ft(4,4)*vc(4) + 
+     &          T14*(-vc(1) + vc(4)) + r2*T00*(vc(1) + vc(4)))) + 
+     &    fi(1)*gc(1)*(fo(4)*(-(T12*vc(1)) - cone*T13*vc(1) 
+     &+ r2*ft(2,2)*vc(2) - T23*(-(cone*vc(2)) - vc(3)) + 
+     &          cone*r2*ft(3,3)*vc(3) + r2*T00*(vc(2) 
+     &+ cone*vc(3)) + T24*vc(4) + cone*T34*vc(4)) + 
+     &       fo(3)*(-(r2*ft(1,1)*vc(1)) + T12*vc(2) 
+     &+ T24*vc(2) + T13*vc(3) + T34*vc(3) + r2*ft(4,4)*vc(4) + 
+     &          T14*(-vc(1) + vc(4)) + r2*T00*(vc(1) + vc(4)))) + 
+     &    fi(3)*gc(2)*(fo(2)*(T12*vc(1) + cone*T13*vc(1)
+     & - r2*ft(2,2)*vc(2) - cone*r2*ft(3,3)*vc(3)
+     & - T23*(cone*vc(2) + vc(3)) + 
+     &          r2*T00*(-vc(2) - cone*vc(3)) - T24*vc(4) 
+     &- cone*T34*vc(4)) + 
+     &       fo(1)*(-(r2*ft(1,1)*vc(1)) + T12*vc(2) 
+     &- T24*vc(2) + T13*vc(3) - T34*vc(3) + r2*T00*(vc(1) - vc(4)) - 
+     &          r2*ft(4,4)*vc(4) + T14*(vc(1) + vc(4)))) + 
+     &    fi(2)*gc(1)*(fo(3)*(-(T12*vc(1)) + cone*T13*vc(1)
+     & + r2*ft(2,2)*vc(2) - T23*(cone*vc(2) - vc(3)) - 
+     &          cone*r2*ft(3,3)*vc(3) + r2*T00*(vc(2) 
+     &- cone*vc(3)) + T24*vc(4) - cone*T34*vc(4)) + 
+     &       fo(4)*(-(r2*ft(1,1)*vc(1)) + T12*vc(2) 
+     &- T24*vc(2) + T13*vc(3) - T34*vc(3) + r2*T00*(vc(1) - vc(4)) - 
+     &          r2*ft(4,4)*vc(4) + T14*(vc(1) + vc(4)))))
+
+      return
+      end

=== added file 'HELAS/iovxxx.F'
--- HELAS/iovxxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/iovxxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,93 @@
+      subroutine iovxxx(fi,fo,vc,gc , vertex)
+c
+c This subroutine computes an amplitude of the fermion-fermion-vector
+c coupling.
+c
+c input:
+c       complex fi(6)          : flow-in  fermion                   |fi>
+c       complex fo(6)          : flow-out fermion                   <fo|
+c       complex vc(6)          : input    vector                      v
+c       complex gc(2)          : coupling constants                  gvf
+c
+c output:
+c       complex vertex         : amplitude                     <fo|v|fi>
+c     
+      implicit none
+      double complex fi(6),fo(6),gc(2),vc(6),vertex
+
+      double precision rZero, rOne
+      parameter( rZero = 0.0d0 )
+      double complex cImag, cZero
+      parameter( cImag = ( 0.0d0, 1.0d0 ), cZero = ( 0.0d0, 0.0d0 ) )
+
+#ifdef HELAS_CHECK
+      double precision p0,p1,p2,p3,q0,q1,q2,q3,r0,r1,r2,r3,pm
+      double precision epsi
+      parameter( epsi = 4.0d-5 )
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+#ifdef HELAS_CHECK
+      p0 = -dble( fi(5))
+      p1 = -dble( fi(6))
+      p2 = -dimag(fi(6))
+      p3 = -dimag(fi(5))
+      q0 = dble( fo(5))
+      q1 = dble( fo(6))
+      q2 = dimag(fo(6))
+      q3 = dimag(fo(5))
+      r0 = dble( vc(5))
+      r1 = dble( vc(6))
+      r2 = dimag(vc(6))
+      r3 = dimag(vc(5))
+      if ( abs(fi(1))+abs(fi(2))+abs(fi(3))+abs(fi(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : fi in iovxxx is zero spinor'
+      endif
+      if ( abs(fi(5))+abs(fi(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : fi in iovxxx has zero momentum'
+      endif
+      if ( abs(fo(1))+abs(fo(2))+abs(fo(3))+abs(fo(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : fo in iovxxx is zero spinor'
+      endif
+      if ( abs(fo(5))+abs(fo(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : fo in iovxxx has zero momentum'
+      endif
+      if ( abs(vc(1))+abs(vc(2))+abs(vc(3))+abs(vc(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : vc in iovxxx is zero vector'
+      endif
+      if ( abs(vc(5))+abs(vc(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : vc in iovxxx has zero momentum'
+      endif
+      pm = max( abs(p0),abs(q0),abs(r0),abs(p1),abs(q1),abs(r1),
+     &          abs(p2),abs(q2),abs(r2),abs(p3),abs(q3),abs(r3) )
+      if ( abs(-fi(5)+fo(5)+vc(5))+abs(-fi(6)+fo(6)+vc(6))
+     &                                              .ge.pm*epsi ) then
+         write(stdo,*)
+     &        ' helas-error : fi,fo,vc in iovxxx'
+         write(stdo,*)
+     &        '                        have not balanced momenta'
+      endif
+      if ( gc(1).eq.cZero .and. gc(2).eq.cZero ) then
+         write(stdo,*) ' helas-error : gc in iovxxx is zero coupling'
+      endif
+#endif
+
+      vertex =  gc(1)*( (fo(3)*fi(1)+fo(4)*fi(2))*vc(1)
+     &                 +(fo(3)*fi(2)+fo(4)*fi(1))*vc(2)
+     &                 -(fo(3)*fi(2)-fo(4)*fi(1))*vc(3)*cImag
+     &                 +(fo(3)*fi(1)-fo(4)*fi(2))*vc(4)        )
+
+      if ( gc(2).ne.cZero ) then
+         vertex = vertex
+     &          + gc(2)*( (fo(1)*fi(3)+fo(2)*fi(4))*vc(1)
+     &                   -(fo(1)*fi(4)+fo(2)*fi(3))*vc(2)
+     &                   +(fo(1)*fi(4)-fo(2)*fi(3))*vc(3)*cImag
+     &                   -(fo(1)*fi(3)-fo(2)*fi(4))*vc(4)        )
+      end if
+c
+      return
+      end

=== added file 'HELAS/ixxxxx.F'
--- HELAS/ixxxxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/ixxxxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,134 @@
+      subroutine ixxxxx(p,fmass,nhel,nsf , fi)
+c
+c This subroutine computes a fermion wavefunction with the flowing-IN
+c fermion number.
+c
+c input:
+c       real    p(0:3)         : four-momentum of fermion
+c       real    fmass          : mass          of fermion
+c       integer nhel = -1 or 1 : helicity      of fermion
+c       integer nsf  = -1 or 1 : +1 for particle, -1 for anti-particle
+c
+c output:
+c       complex fi(6)          : fermion wavefunction               |fi>
+c     
+      implicit none
+      double complex fi(6),chi(2)
+      double precision p(0:3),sf(2),sfomeg(2),omega(2),fmass,
+     &     pp,pp3,sqp0p3,sqm(0:1)
+      integer nhel,nsf,ip,im,nh
+
+      double precision rZero, rHalf, rTwo
+      parameter( rZero = 0.0d0, rHalf = 0.5d0, rTwo = 2.0d0 )
+      
+#ifdef HELAS_CHECK
+      double precision p2
+      double precision epsi
+      parameter( epsi = 2.0d-5 )
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+#ifdef HELAS_CHECK
+      pp = sqrt(p(1)**2+p(2)**2+p(3)**2)
+      if ( abs(p(0))+pp.eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : p(0:3) in ixxxxx is zero momentum'
+      endif
+      if ( p(0).le.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : p(0:3) in ixxxxx has non-positive energy'
+         write(stdo,*)
+     &        '             : p(0) = ',p(0)
+      endif
+      p2 = (p(0)-pp)*(p(0)+pp)
+      if ( abs(p2-fmass**2).gt.p(0)**2*epsi ) then
+         write(stdo,*)
+     &        ' helas-error : p(0:3) in ixxxxx has inappropriate mass'
+         write(stdo,*)
+     &        '             : p**2 = ',p2,' : fmass**2 = ',fmass**2
+      endif
+      if (abs(nhel).ne.1) then
+         write(stdo,*) ' helas-error : nhel in ixxxxx is not -1,1'
+         write(stdo,*) '             : nhel = ',nhel
+      endif
+      if (abs(nsf).ne.1) then
+         write(stdo,*) ' helas-error : nsf in ixxxxx is not -1,1'
+         write(stdo,*) '             : nsf = ',nsf
+      endif
+#endif
+
+      fi(5) = dcmplx(p(0),p(3))*nsf
+      fi(6) = dcmplx(p(1),p(2))*nsf
+
+      nh = nhel*nsf
+
+      if ( fmass.ne.rZero ) then
+
+         pp = min(p(0),dsqrt(p(1)**2+p(2)**2+p(3)**2))
+         
+         if ( pp.eq.rZero ) then
+            
+            sqm(0) = dsqrt(abs(fmass)) ! possibility of negative fermion masses
+            sqm(1) = sign(sqm(0),fmass) ! possibility of negative fermion masses
+            ip = (1+nh)/2
+            im = (1-nh)/2
+            
+            fi(1) = ip     * sqm(ip)
+            fi(2) = im*nsf * sqm(ip)
+            fi(3) = ip*nsf * sqm(im)
+            fi(4) = im     * sqm(im)
+
+         else
+
+            sf(1) = dble(1+nsf+(1-nsf)*nh)*rHalf
+            sf(2) = dble(1+nsf-(1-nsf)*nh)*rHalf
+            omega(1) = dsqrt(p(0)+pp)
+            omega(2) = fmass/omega(1)
+            ip = (3+nh)/2
+            im = (3-nh)/2
+            sfomeg(1) = sf(1)*omega(ip)
+            sfomeg(2) = sf(2)*omega(im)
+            pp3 = max(pp+p(3),rZero)
+            chi(1) = dcmplx( dsqrt(pp3*rHalf/pp) )
+            if ( pp3.eq.rZero ) then
+               chi(2) = dcmplx(-nh )
+            else
+               chi(2) = dcmplx( nh*p(1) , p(2) )/dsqrt(rTwo*pp*pp3)
+            endif
+            
+            fi(1) = sfomeg(1)*chi(im)
+            fi(2) = sfomeg(1)*chi(ip)
+            fi(3) = sfomeg(2)*chi(im)
+            fi(4) = sfomeg(2)*chi(ip)
+            
+         endif
+         
+      else
+         
+         if(p(1).eq.0d0.and.p(2).eq.0d0.and.p(3).lt.0d0) then
+            sqp0p3 = 0d0
+         else
+            sqp0p3 = dsqrt(max(p(0)+p(3),rZero))*nsf
+         end if
+         chi(1) = dcmplx( sqp0p3 )
+         if ( sqp0p3.eq.rZero ) then
+            chi(2) = dcmplx(-nhel )*dsqrt(rTwo*p(0))
+         else
+            chi(2) = dcmplx( nh*p(1), p(2) )/sqp0p3
+         endif
+         if ( nh.eq.1 ) then
+            fi(1) = dcmplx( rZero )
+            fi(2) = dcmplx( rZero )
+            fi(3) = chi(1)
+            fi(4) = chi(2)
+         else
+            fi(1) = chi(2)
+            fi(2) = chi(1)
+            fi(3) = dcmplx( rZero )
+            fi(4) = dcmplx( rZero )
+         endif
+      endif
+c
+      return
+      end

=== added file 'HELAS/j3xxxx.F'
--- HELAS/j3xxxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/j3xxxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,167 @@
+      subroutine j3xxxx(fi,fo,gaf,gzf,zmass,zwidth , j3)
+c
+c This subroutine computes the sum of photon and Z currents with the
+c suitable weights ( j(W3) = cos(theta_W) j(Z) + sin(theta_W) j(A) ).
+c The output j3 is useful as an input of vvvxxx, jvvxxx or w3w3xx.
+c The photon propagator is given in Feynman gauge, and the Z propagator
+c is given in unitary gauge.
+c
+c input:
+c       complex fi(6)          : flow-in  fermion                   |fi>
+c       complex fo(6)          : flow-out fermion                   <fo|
+c       complex gaf(2)         : fi couplings with A                 gaf
+c       complex gzf(2)         : fi couplings with Z                 gzf
+c       real    zmass          : mass  of Z
+c       real    zwidth         : width of Z
+c
+c output:
+c       complex j3(6)          : W3 current             j^mu(<fo|w3|fi>)
+c     
+      implicit none
+      double complex fi(6),fo(6),j3(6),gaf(2),gzf(2)
+      double complex c0l,c1l,c2l,c3l,csl,c0r,c1r,c2r,c3r,csr,dz,ddif
+      double complex gn,gz3l,ga3l
+      double complex cm2  ! mass**2- I Gamma mass (Fabio)
+      double precision q(0:3),zmass,zwidth,zm2,zmw
+      double precision q2,da,ww,cw,sw
+
+      double precision rZero, rOne
+      parameter( rZero = 0.0d0, rOne = 1.0d0 )
+      double complex cImag, cZero
+      parameter( cImag = ( 0.0d0, 1.0d0 ), cZero = ( 0.0d0, 0.0d0 ) )
+
+#ifdef HELAS_CHECK
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+#ifdef HELAS_CHECK
+      if ( abs(fi(1))+abs(fi(2))+abs(fi(3))+abs(fi(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : fi in j3xxxx is zero spinor'
+      endif
+      if ( abs(fi(5))+abs(fi(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : fi in j3xxxx has zero momentum'
+      endif
+      if ( abs(fo(1))+abs(fo(2))+abs(fo(3))+abs(fo(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : fo in j3xxxx is zero spinor'
+      endif
+      if ( abs(fo(5))+abs(fo(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : fo in j3xxxx has zero momentum'
+      endif
+      if ( gaf(1).eq.cZero .and. gaf(2).eq.cZero ) then
+         write(stdo,*)
+     &        ' helas-error : gaf in j3xxxx is zero coupling'
+      endif
+      if ( gzf(1).eq.cZero .and. gzf(2).eq.cZero ) then
+         write(stdo,*)
+     &        ' helas-error : gzf in j3xxxx is zero coupling'
+      endif
+      if ( gaf(1).ne.gaf(2) ) then
+         write(stdo,*)
+     &        ' helas-warn  : gaf in j3xxxx is non-standard coupling'
+         write(stdo,*) 
+     &        '             : gaf = ( ',gaf(1),gaf(2),' )'
+      endif
+      if ( abs(gzf(1))*abs(gzf(2)).gt.rZero .or.
+     &     abs(gzf(1)).le.abs(gzf(2))           ) then
+         write(stdo,*)
+     &        ' helas-warn  : gzf in j3xxxx is non-standard coupling'
+         write(stdo,*) 
+     &        '             : gzf = ( ',gzf(1),gzf(2),' )'
+      endif
+      if ( zmass.le.rZero ) then
+         write(stdo,*) ' helas-error : zmass in j3xxxx is not positive'
+         write(stdo,*) '             : zmass = ',zmass
+      endif
+      if ( zwidth.lt.rZero ) then
+         write(stdo,*) ' helas-error : zwidth in j3xxxx is negative'
+         write(stdo,*) '             : zwidth = ',zwidth
+      endif
+#endif
+
+      j3(5) = fo(5)-fi(5)
+      j3(6) = fo(6)-fi(6)
+
+      q(0) = -dble( j3(5))
+      q(1) = -dble( j3(6))
+      q(2) = -dimag(j3(6))
+      q(3) = -dimag(j3(5))
+      q2 = q(0)**2-(q(1)**2+q(2)**2+q(3)**2)
+      zm2 = zmass**2
+      zmw = zmass*zwidth
+
+#ifdef HELAS_CHECK
+      if ( abs(j3(5))+abs(j3(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : j3 in j3xxxx has zero momentum'
+      endif
+      if ( q2.eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : j3 in j3xxxx is on photon pole'
+         write(stdo,*)
+     &        '             : q = ',q(0),q(1),q(2),q(3)
+         j3(1) = cZero
+         j3(2) = cZero
+         j3(3) = cZero
+         j3(4) = cZero
+         return
+      endif
+      if ( zwidth.eq.rZero .and. q2.eq.zm2 ) then
+         write(stdo,*) ' helas-error : j3 in j3xxxx is on z pole'
+         write(stdo,*) '             : q        = ',q(0),q(1),q(2),q(3)
+         write(stdo,*) '             : abs(q**2)= ',sqrt(abs(q2))
+         j3(1) = cZero
+         j3(2) = cZero
+         j3(3) = cZero
+         j3(4) = cZero
+         return
+      endif
+#endif
+
+      da = rOne/q2
+C      ww = max(dsign(zmw,q2), rZero)
+      dz = rOne/dcmplx( q2-zm2, zmw )
+      ddif = dcmplx( -zm2, zmw )*da*dz
+
+c ddif is the difference : ddif=da-dz
+c  For the running width, use below instead of the above ww,dz and ddif.
+c      ww = max( zwidth*q2/zmass, rZero )
+c      dz = rOne/dcmplx( q2-zm2, zmw )
+c      ddif = dcmplx( -zm2, zmw )*da*dz
+
+
+
+      cw = rOne/sqrt(rOne+(gzf(2)/gaf(2))**2)
+      sw = sqrt((rOne-cw)*(rOne+cw))
+      gn = gaf(2)*sw
+      gz3l = gzf(1)*cw
+      ga3l = gaf(1)*sw
+      c0l =   fo(3)*fi(1)+fo(4)*fi(2)
+      c0r =   fo(1)*fi(3)+fo(2)*fi(4)
+      c1l = -(fo(3)*fi(2)+fo(4)*fi(1))
+      c1r =   fo(1)*fi(4)+fo(2)*fi(3)
+      c2l =  (fo(3)*fi(2)-fo(4)*fi(1))*cImag
+      c2r = (-fo(1)*fi(4)+fo(2)*fi(3))*cImag
+      c3l =  -fo(3)*fi(1)+fo(4)*fi(2)
+      c3r =   fo(1)*fi(3)-fo(2)*fi(4)
+
+c     Fabio's implementation of the fixed width
+      cm2=dcmplx( zm2, -zmw )
+c     csl = (q(0)*c0l-q(1)*c1l-q(2)*c2l-q(3)*c3l)/zm2
+c     csr = (q(0)*c0r-q(1)*c1r-q(2)*c2r-q(3)*c3r)/zm2
+      csl = (q(0)*c0l-q(1)*c1l-q(2)*c2l-q(3)*c3l)/cm2
+      csr = (q(0)*c0r-q(1)*c1r-q(2)*c2r-q(3)*c3r)/cm2
+      
+      j3(1) =  gz3l*dz*(c0l-csl*q(0))+ga3l*c0l*da
+     &       + gn*(c0r*ddif+csr*q(0)*dz)
+      j3(2) =  gz3l*dz*(c1l-csl*q(1))+ga3l*c1l*da
+     &       + gn*(c1r*ddif+csr*q(1)*dz)
+      j3(3) =  gz3l*dz*(c2l-csl*q(2))+ga3l*c2l*da
+     &       + gn*(c2r*ddif+csr*q(2)*dz)
+      j3(4) =  gz3l*dz*(c3l-csl*q(3))+ga3l*c3l*da
+     &       + gn*(c3r*ddif+csr*q(3)*dz)
+c
+      return
+      end

=== added file 'HELAS/jeexxx.F'
--- HELAS/jeexxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/jeexxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,137 @@
+      subroutine jeexxx(eb,ef,shlf,chlf,phi,nhb,nhf,nsf , jee)
+c
+c This subroutine computes an off-shell photon wavefunction emitted from
+c the electron or positron beam, with a special care for the small angle
+c region.  The momenta are measured in the laboratory frame, where the
+c e- (e+) beam is along the positive (negative) z axis.
+c
+c input:
+c       real    eb             : energy (gev)    of beam  e-/e+
+c       real    ef             : energy (gev)    of final e-/e+
+c       real    shlf           : sin(theta/2)    of final e-/e+
+c       real    chlf           : cos(theta/2)    of final e-/e+
+c       real    phi            : azimuthal angle of final e-/e+
+c       integer nhb  = -1 or 1 : helicity        of beam  e-/e+
+c       integer nhf  = -1 or 1 : helicity        of final e-/e+
+c       integer nsf  = -1 or 1 : +1 for electron, -1 for positron
+c
+c output:
+c       complex jee(6)         : off-shell photon          j^mu(<e|a|e>)
+c     
+      implicit none
+      double complex jee(6),coeff
+      double precision cs(2),eb,ef,shlf,chlf,phi,alpha,gal,hi,sf,sfh
+      double precision x,me2,q2,rfp,rfm,snp,csp,rxc,c,s
+      integer nhb,nhf,nsf
+
+      double precision rZero, rHalf, rOne, rTwo, rFour, rOte
+      double precision rPi, rIalph
+      parameter( rZero = 0.0d0, rHalf = 0.5d0, rOne = 1.0d0 )
+      parameter( rTwo = 2.0d0, rFour = 4.0d0, rOte = 128.9d0 )
+      parameter( rPi = 3.14159265358979323846d0 )
+      parameter( rIalph = 137.0359895d0 )
+
+      double precision me
+      parameter( me = 0.51099906d-3 )
+
+#ifdef HELAS_CHECK
+      double precision zero
+      double precision epsi
+      parameter( epsi = 1.0d-5 )
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+#ifdef HELAS_CHECK
+      if ( eb.le.rZero )
+     &     write(stdo,*) ' helas-error : eb in jeexxx is not positive'
+      if ( ef.le.rZero )
+     &     write(stdo,*) ' helas-error : ef in jeexxx is not positive'
+      if ( ef.gt.eb ) then
+         write(stdo,*) ' helas-error : ef in jeexxx is greater than eb'
+         write(stdo,*) '             : eb = ',eb,' : ef = ',ef
+      endif
+      if ( shlf.lt.rZero .or. shlf.gt.rOne ) then
+         write(stdo,*) ' helas-error : shlf in jeexxx is improper'
+         write(stdo,*) '               shlf = ',shlf
+      endif
+      if ( chlf.lt.rZero .or. chlf.gt.rOne ) then
+         write(stdo,*) ' helas-error : chlf in jeexxx is improper'
+         write(stdo,*) '               chlf = ',chlf
+      endif
+      zero = abs(shlf**2+chlf**2-rOne)
+      if ( zero.gt.epsi ) then
+         write(stdo,*)
+     &        ' helas-error : shlf and chlf in jeexxx are inconsistent'
+         write(stdo,*) '               shlf,chlf = ',shlf,chlf
+      endif
+      if ( phi.lt.rZero .or. phi.gt.rTwo*rPi ) then
+         write(stdo,*)
+     &   ' helas-warn  : phi in jeexxx does not lie on 0.0 thru 2.0*pi'
+         write(stdo,*) 
+     &   '             : phi = ',phi
+      endif
+      if ( abs(nhb).ne.1 ) then
+         write(stdo,*) ' helas-error : nhb in jeexxx is not -1,1'
+         write(stdo,*) '             : nhb = ',nhb
+      endif
+      if ( abs(nhf).ne.1 ) then
+         write(stdo,*) ' helas-error : nhf in jeexxx is not -1,1'
+         write(stdo,*) '             : nhf = ',nhf
+      endif
+      if ( abs(nsf).ne.1 ) then
+         write(stdo,*) ' helas-error : nsf in jeexxx is not -1,1'
+         write(stdo,*) '             : nsf = ',nsf
+      endif
+      if ( eb.lt.rOne ) then
+         write(stdo,*)
+     &   ' helas-warn  : use of jeexxx is not appropriate: eb too low'
+         write(stdo,*)
+     &   '             : eb = ',eb
+      endif
+#endif
+
+      alpha = rOne/rOte
+      gal = sqrt(alpha*rFour*rPi)
+
+      hi = nhb
+      sf = nsf
+      sfh = nhb*nsf
+      cs((3+nsf)/2) = shlf
+      cs((3-nsf)/2) = chlf
+c cs(1)=chlf and cs(2)=shlf for electron
+c cs(1)=shlf and cs(2)=chlf for positron
+      x = ef/eb
+      me2 = me**2
+      q2 = - rFour*cs(2)**2*(ef*eb-me2)
+     &     + sf*(rOne-x)**2/x*(shlf+chlf)*(shlf-chlf)*me2
+      rfp = (1+nsf)
+      rfm = (1-nsf)
+      snp = sin(phi)
+      csp = cos(phi)
+
+      if ( nhb.eq.nhf ) then
+         rxc = rTwo*x/(rOne-x)*cs(1)**2
+         coeff = gal*rTwo*eb*sqrt(x)*cs(2)/q2
+     &          *(dcmplx( rfp )-rfm*dcmplx( csp, -snp*hi ))*rHalf
+         jee(1) = dcmplx( rZero )
+         jee(2) = coeff*dcmplx( (rOne+rxc)*csp, -sfh*snp )
+         jee(3) = coeff*dcmplx( (rOne+rxc)*snp,  sfh*csp )
+         jee(4) = coeff*(-sf*rxc/cs(1)*cs(2))
+      else
+         coeff = gal*me/q2/sqrt(x)
+     &          *(dcmplx( rfp )+rfm*dcmplx( csp, snp*hi ))*rHalf*hi
+         jee(1) = -coeff*(rOne+x)*cs(2)*dcmplx( csp , sfh*snp )
+         jee(2) =  coeff*(rOne-x)*cs(1)
+         jee(3) =  jee(2)*dcmplx( rZero, sfh )
+         jee(4) =  jee(1)*sf*(rOne-x)/(rOne+x)
+      endif
+
+      c = (chlf+shlf)*(chlf-shlf)
+      s = rTwo*chlf*shlf
+
+      jee(5) = -eb*dcmplx( rOne-x, sf-x*c )
+      jee(6) =  eb*x*s*dcmplx( csp, snp )
+c
+      return
+      end

=== added file 'HELAS/jgggtx.F'
--- HELAS/jgggtx.F	1970-01-01 00:00:00 +0000
+++ HELAS/jgggtx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,191 @@
+      subroutine jgggtx(va,vb,vc,tc,gc,gt , jgggt)
+c
+c This subroutine computes an off-shell vector boson current from
+c the 4 gluons-tensor boson coupling, corresponding 
+c to the color structure f^{x,a,e} f{b,c,e}. 
+c
+c To obtain the complete amplitude, this subroutine must be called three
+c times (once for each color structure) with the following permutations:
+c     call jgggtx(va,vb,vc,tc,gc,gt , jgggt1)
+c     call jgggtx(vb,vc,va,tc,gc,gt , jgggt2)
+c     call jgggtx(vc,va,vb,tc,gc,gt , jgggt3)
+c corresponding to 
+c	f^{x,a,e} f^{b,c,e}
+c	f^{x,b,e} f^{c,a,e}
+c	f^{x,c,e} f^{a,b,e}
+c
+c input:
+c       complex va(6)          : boson with adjoint color index a     va
+c       complex vb(6)          : boson with adjoint color index b     vb
+c       complex vc(6)          : boson with adjoint color index c     vc
+c       complex tc(18)         : input tensor                          T
+c       real    gc             : coupling constant                    gs
+c       complex gt             : coupling constant         gtv=-1/Lambda
+c
+c output:
+c       complex jgggt(6)       : gluon current        j^mu(v:va,vb,vc,T)
+c
+c- by Q.Li - JAN. 2008
+c     
+      implicit none
+      double complex va(6), vb(6), vc(6), tc(18), gt,  jgggt(6)
+      double precision gc
+
+      double complex ft(6,4)
+      double complex TVBVC, TVBVD, TVDM(4), TVCM(4)
+      double complex T00,T12,T13,T14,T23,T24,T34,EBEC,EBED
+
+      integer a,b,i,j
+
+      double precision pb(4),pc(4),pd(4),pT(4),px(4)
+
+      double precision MET(4,4)
+      double complex cZero, d
+      double precision rZero, rTwo,px2,r3
+      parameter( rZero = 0.0d0, rTwo = 2.0d0, r3=3.0d0)
+      parameter(cZero=(0.0d0,0.0d0))
+
+
+      ft(1,1) = tc(1)
+      ft(1,2) = tc(2)
+      ft(1,3) = tc(3)
+      ft(1,4) = tc(4)
+      ft(2,1) = tc(5)
+      ft(2,2) = tc(6)
+      ft(2,3) = tc(7)
+      ft(2,4) = tc(8)
+      ft(3,1) = tc(9)
+      ft(3,2) = tc(10)
+      ft(3,3) = tc(11)
+      ft(3,4) = tc(12)
+      ft(4,1) = tc(13)
+      ft(4,2) = tc(14)
+      ft(4,3) = tc(15)
+      ft(4,4) = tc(16)
+      ft(5,1) = tc(17)
+      ft(6,1) = tc(18)
+
+      jgggt(5)=va(5)+vb(5)+vc(5)+ft(5,1)
+      jgggt(6)=ft(6,1)+va(6)+vb(6)+vc(6)
+
+      px(1) = dreal(jgggt(5))
+      px(2) = dreal(jgggt(6))
+      px(3) = dimag(jgggt(6))
+      px(4) = dimag(jgggt(5))
+
+      pb(1) = dreal(va(5))
+      pb(2) = dreal(va(6))
+      pb(3) = dimag(va(6))
+      pb(4) = dimag(va(5))
+
+      pc(1) = dreal(vb(5))
+      pc(2) = dreal(vb(6))
+      pc(3) = dimag(vb(6))
+      pc(4) = dimag(vb(5))
+
+      pd(1) = dreal(vc(5))
+      pd(2) = dreal(vc(6))
+      pd(3) = dimag(vc(6))
+      pd(4) = dimag(vc(5))
+
+     
+      do i=1,4
+         do j=1,4
+            MET(i,j)=0.0d0
+         enddo 
+      enddo
+
+      MET(1,1)=1.0d0
+      MET(2,2)=-1.0d0
+      MET(3,3)=-1.0d0
+      MET(4,4)=-1.0d0
+
+      px2 = px(1)**2-px(2)**2-px(3)**2-px(4)**2
+      EBEC = va(1)*vb(1)-va(2)*vb(2)-va(3)*vb(3)-va(4)*vb(4)
+      EBED = va(1)*vc(1)-va(2)*vc(2)-va(3)*vc(3)-va(4)*vc(4)
+      
+      d = 1.0d0/dcmplx( px2, 0.0d0 )
+      
+      T00 = ft(1,1)-ft(2,2)-ft(3,3)-ft(4,4)
+      T12 = ft(1,2) + ft(2,1)
+      T13 = ft(1,3) + ft(3,1)
+      T14 = ft(1,4) + ft(4,1)
+      T23 = ft(2,3) + ft(3,2)
+      T24 = ft(2,4) + ft(4,2)
+      T34 = ft(3,4) + ft(4,3)
+
+      TVBVC =2.0d0*(ft(1,1)*va(1)*vb(1)
+     &+ft(2,2)*va(2)*vb(2)+ft(3,3)*va(3)*vb(3)
+     &+ft(4,4)*va(4)*vb(4)
+     &)
+     & - T12*(va(1)*vb(2) + va(2)*vb(1))
+     &          - T13*(va(1)*vb(3) + va(3)*vb(1))
+     &          - T14*(va(1)*vb(4) + va(4)*vb(1))
+     &          + T23*(va(2)*vb(3) + va(3)*vb(2))
+     &          + T24*(va(2)*vb(4) + va(4)*vb(2))
+     &          + T34*(va(3)*vb(4) + va(4)*vb(3))
+
+      TVBVD =2.0d0*(ft(1,1)*va(1)*vc(1)
+     &+ft(2,2)*va(2)*vc(2)+ft(3,3)*va(3)*vc(3)
+     &+ft(4,4)*va(4)*vc(4)
+     &)
+     & - T12*(va(1)*vc(2) + va(2)*vc(1))
+     &          - T13*(va(1)*vc(3) + va(3)*vc(1))
+     &          - T14*(va(1)*vc(4) + va(4)*vc(1))
+     &          + T23*(va(2)*vc(3) + va(3)*vc(2))
+     &          + T24*(va(2)*vc(4) + va(4)*vc(2))
+     &          + T34*(va(3)*vc(4) + va(4)*vc(3))
+
+      do j=1,4
+         TVDM(j)=
+     &MET(j,1)*(ft(1,1)*vc(1)-ft(2,1)*vc(2)
+     &-ft(3,1)*vc(3)-ft(4,1)*vc(4))
+     &-MET(j,2)*(ft(1,2)*vc(1)-ft(2,2)*vc(2)
+     &-ft(3,2)*vc(3)-ft(4,2)*vc(4))
+     &-MET(j,3)*(ft(1,3)*vc(1)-ft(2,3)*vc(2)
+     &-ft(3,3)*vc(3)-ft(4,3)*vc(4))
+     &-MET(j,4)*(ft(1,4)*vc(1)-ft(2,4)*vc(2)
+     &-ft(3,4)*vc(3)-ft(4,4)*vc(4))
+     &+
+     &MET(j,1)*(ft(1,1)*vc(1)-ft(1,2)*vc(2)
+     &-ft(1,3)*vc(3)-ft(1,4)*vc(4))
+     &-MET(j,2)*(ft(2,1)*vc(1)-ft(2,2)*vc(2)
+     &-ft(2,3)*vc(3)-ft(2,4)*vc(4))
+     &-MET(j,3)*(ft(3,1)*vc(1)-ft(3,2)*vc(2)
+     &-ft(3,3)*vc(3)-ft(3,4)*vc(4))
+     &-MET(j,4)*(ft(4,1)*vc(1)-ft(4,2)*vc(2)
+     &-ft(4,3)*vc(3)-ft(4,4)*vc(4))
+	
+	TVCM(j)=
+     &MET(j,1)*(ft(1,1)*vb(1)-ft(2,1)*vb(2)
+     &-ft(3,1)*vb(3)-ft(4,1)*vb(4))
+     &-MET(j,2)*(ft(1,2)*vb(1)-ft(2,2)*vb(2)
+     &-ft(3,2)*vb(3)-ft(4,2)*vb(4))
+     &-MET(j,3)*(ft(1,3)*vb(1)-ft(2,3)*vb(2)
+     &-ft(3,3)*vb(3)-ft(4,3)*vb(4))
+     &-MET(j,4)*(ft(1,4)*vb(1)-ft(2,4)*vb(2)
+     &-ft(3,4)*vb(3)-ft(4,4)*vb(4))
+     &+
+     &MET(j,1)*(ft(1,1)*vb(1)-ft(1,2)*vb(2)
+     &-ft(1,3)*vb(3)-ft(1,4)*vb(4))
+     &-MET(j,2)*(ft(2,1)*vb(1)-ft(2,2)*vb(2)
+     &-ft(2,3)*vb(3)-ft(2,4)*vb(4))
+     &-MET(j,3)*(ft(3,1)*vb(1)-ft(3,2)*vb(2)
+     &-ft(3,3)*vb(3)-ft(3,4)*vb(4))
+     &-MET(j,4)*(ft(4,1)*vb(1)-ft(4,2)*vb(2)
+     &-ft(4,3)*vb(3)-ft(4,4)*vb(4))
+
+      enddo
+	    
+      do a=1,4
+	
+         jgggt(a)=vc(a)*TVBVC-vb(a)*TVBVD
+     &        -T00*vc(a)*EBEC+T00*vb(a)*EBED
+     &        +EBEC*TVDM(a)-EBED*TVCM(a)
+	 
+         jgggt(a)=-jgggt(a)*d*gc*gc*gt
+         
+      enddo 
+ 
+      return
+      end

=== added file 'HELAS/jgggxx.F'
--- HELAS/jgggxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/jgggxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,121 @@
+      subroutine jgggxx(w1,w2,w3,g, jw3w)
+c
+c This subroutine computes an off-shell W+, W-, W3, Z or photon current
+c from the four-point gauge boson coupling, including the contributions
+c of W exchange diagrams.  The vector propagator is given in Feynman
+c gauge for a photon and in unitary gauge for W and Z bosons.  If one
+c sets wmass=0.0, then the ggg-->g current is given (see sect 2.9.1 of
+c the manual).
+c
+c input:
+c       complex w1(6)          : first  vector                        w1
+c       complex w2(6)          : second vector                        w2
+c       complex w3(6)          : third  vector                        w3
+c       real    g             : first  coupling constant
+c                                                  (see the table below)
+c
+c output:
+c       complex jw3w(6)        : W current             j^mu(w':w1,w2,w3)
+c
+      implicit none
+      double complex w1(6),w2(6),w3(6),jw3w(6)
+      double complex dw1(0:3),dw2(0:3),dw3(0:3)
+      double complex jj(0:3),dv,w32,w13
+      double precision p1(0:3),p2(0:3),p3(0:3),q(0:3),g,dg2,q2
+
+      double precision rZero, rOne
+      parameter( rZero = 0.0d0, rOne = 1.0d0 )
+
+#ifdef HELAS_CHECK
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+#ifdef HELAS_CHECK
+      if ( abs(w1(1))+abs(w1(2))+abs(w1(3))+abs(w1(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : w1 in jgggxx is zero vector'
+      endif
+      if ( abs(w1(5))+abs(w1(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : w1 in jgggxx has zero momentum'
+      endif
+      if ( abs(w2(1))+abs(w2(2))+abs(w2(3))+abs(w2(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : w2 in jgggxx is zero vector'
+      endif
+      if ( abs(w2(5))+abs(w2(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : w2 in jgggxx has zero momentum'
+      endif
+      if ( abs(w3(1))+abs(w3(2))+abs(w3(3))+abs(w3(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : w3 in jgggxx is zero vector'
+      endif
+      if ( abs(w3(5))+abs(w3(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : w3 in jgggxx has zero momentum'
+      endif 
+      if ( g.eq.rZero ) then
+         write(stdo,*) ' helas-error : g in jgggxx is zero coupling'
+      endif
+#endif
+
+      jw3w(5) = w1(5)+w2(5)+w3(5)
+      jw3w(6) = w1(6)+w2(6)+w3(6)
+
+#ifdef HELAS_CHECK
+      if ( abs(jw3w(5))+abs(jw3w(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : jw3w in jw3wxx has zero momentum'
+      endif
+#endif
+
+      dw1(0) = dcmplx(w1(1))
+      dw1(1) = dcmplx(w1(2))
+      dw1(2) = dcmplx(w1(3))
+      dw1(3) = dcmplx(w1(4))
+      dw2(0) = dcmplx(w2(1))
+      dw2(1) = dcmplx(w2(2))
+      dw2(2) = dcmplx(w2(3))
+      dw2(3) = dcmplx(w2(4))
+      dw3(0) = dcmplx(w3(1))
+      dw3(1) = dcmplx(w3(2))
+      dw3(2) = dcmplx(w3(3))
+      dw3(3) = dcmplx(w3(4))
+      p1(0) = dble(      w1(5))
+      p1(1) = dble(      w1(6))
+      p1(2) = dble(dimag(w1(6)))
+      p1(3) = dble(dimag(w1(5)))
+      p2(0) = dble(      w2(5))
+      p2(1) = dble(      w2(6))
+      p2(2) = dble(dimag(w2(6)))
+      p2(3) = dble(dimag(w2(5)))
+      p3(0) = dble(      w3(5))
+      p3(1) = dble(      w3(6))
+      p3(2) = dble(dimag(w3(6)))
+      p3(3) = dble(dimag(w3(5)))
+      q(0) = -(p1(0)+p2(0)+p3(0))
+      q(1) = -(p1(1)+p2(1)+p3(1))
+      q(2) = -(p1(2)+p2(2)+p3(2))
+      q(3) = -(p1(3)+p2(3)+p3(3))
+
+      q2 = q(0)**2 -(q(1)**2 +q(2)**2 +q(3)**2)
+
+      dg2 = dble(g)*dble(g)
+
+      dv = rOne/dcmplx( q2 )
+
+      w32 = dw3(0)*dw2(0)-dw3(1)*dw2(1)-dw3(2)*dw2(2)-dw3(3)*dw2(3)
+
+      w13 = dw1(0)*dw3(0)-dw1(1)*dw3(1)-dw1(2)*dw3(2)-dw1(3)*dw3(3)
+
+      jj(0) = dg2*( dw1(0)*w32 - dw2(0)*w13 )
+      jj(1) = dg2*( dw1(1)*w32 - dw2(1)*w13 )
+      jj(2) = dg2*( dw1(2)*w32 - dw2(2)*w13 )
+      jj(3) = dg2*( dw1(3)*w32 - dw2(3)*w13 )
+
+      jw3w(1) = dcmplx( jj(0)*dv )
+      jw3w(2) = dcmplx( jj(1)*dv )
+      jw3w(3) = dcmplx( jj(2)*dv )
+      jw3w(4) = dcmplx( jj(3)*dv )
+c
+      return
+      end

=== added file 'HELAS/jggxxx.F'
--- HELAS/jggxxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/jggxxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,82 @@
+      subroutine jggxxx(v1,v2,g, jvv)
+c
+c This subroutine computes an off-shell vector current from the three-
+c point gauge boson coupling.  The vector propagator is given in Feynman
+c gauge for a massless vector and in unitary gauge for a massive vector.
+c
+c input:
+c       complex v1(6)          : first  vector                        v1
+c       complex v2(6)          : second vector                        v2
+c       real    g              : coupling constant (see the table below)
+c
+c output:
+c       complex jvv(6)         : vector current            j^mu(v:v1,v2)
+c
+      implicit none
+      double complex v1(6),v2(6),jvv(6),j12(0:3)
+      double complex sv1,sv2,v12
+      double precision p1(0:3),p2(0:3),q(0:3),g,gs,s
+
+#ifdef HELAS_CHECK
+      double precision rZero
+      parameter( rZero = 0.0d0 )
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+#ifdef HELAS_CHECK
+      if ( abs(v1(1))+abs(v1(2))+abs(v1(3))+abs(v1(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : v1 in jggxxx is zero vector'
+      endif
+      if ( abs(v1(5))+abs(v1(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : v1 in jggxxx has zero momentum'
+      endif
+      if (abs(v2(1))+abs(v2(2))+abs(v2(3))+abs(v2(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : v2 in jggxxx is zero vector'
+      endif
+      if ( abs(v2(5))+abs(v2(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : v2 in jggxxx has zero momentum'
+      endif
+      if ( g.eq.rZero ) then
+         write(stdo,*) ' helas-error : g in jggxxx is zero coupling'
+      endif
+#endif
+
+      jvv(5) = v1(5) + v2(5)
+      jvv(6) = v1(6) + v2(6)
+
+      p1(0) = dble( v1(5))
+      p1(1) = dble( v1(6))
+      p1(2) = dimag(v1(6))
+      p1(3) = dimag(v1(5))
+      p2(0) = dble( v2(5))
+      p2(1) = dble( v2(6))
+      p2(2) = dimag(v2(6))
+      p2(3) = dimag(v2(5))
+      q(0) = -dble( jvv(5))
+      q(1) = -dble( jvv(6))
+      q(2) = -dimag(jvv(6))
+      q(3) = -dimag(jvv(5))
+      s = q(0)**2-(q(1)**2+q(2)**2+q(3)**2)
+
+      v12 = v1(1)*v2(1)-v1(2)*v2(2)-v1(3)*v2(3)-v1(4)*v2(4)
+      sv1 =   (p2(0)-q(0))*v1(1) -(p2(1)-q(1))*v1(2)
+     &      - (p2(2)-q(2))*v1(3) -(p2(3)-q(3))*v1(4)
+      sv2 = - (p1(0)-q(0))*v2(1) +(p1(1)-q(1))*v2(2)
+     &      + (p1(2)-q(2))*v2(3) +(p1(3)-q(3))*v2(4)
+      j12(0) = (p1(0)-p2(0))*v12 +sv1*v2(1) +sv2*v1(1)
+      j12(1) = (p1(1)-p2(1))*v12 +sv1*v2(2) +sv2*v1(2)
+      j12(2) = (p1(2)-p2(2))*v12 +sv1*v2(3) +sv2*v1(3)
+      j12(3) = (p1(3)-p2(3))*v12 +sv1*v2(4) +sv2*v1(4)
+
+      gs = -g/s
+
+      jvv(1) = gs*j12(0)
+      jvv(2) = gs*j12(1)
+      jvv(3) = gs*j12(2)
+      jvv(4) = gs*j12(3)
+c
+      return
+      end

=== added file 'HELAS/jiocxx.f'
--- HELAS/jiocxx.f	1970-01-01 00:00:00 +0000
+++ HELAS/jiocxx.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,96 @@
+c ----------------------------------------------------------------------
+c
+      subroutine jiocxx(fic,foc,gc,vmass,vwidth , jioc)
+c
+c This subroutine computes an off-shell vector current from an external 
+c antifermion pair. The vector boson propagator is given in Feynman     
+c gauge for a massless vector and in unitary gauge for a massive vector.
+c                                                                       
+c input:                                                                
+c       complex fic(6)         : flow-in  antifermion              |fic>
+c       complex foc(6)         : flow-out antifermion              <foc|
+c       complex gc(2)          : coupling constants                  gvf
+c       real    vmass          : mass  of output vector v               
+c       real    vwidth         : width of output vector v               
+c                                                                       
+c output:                                                               
+c       complex jioc(6)        : vector current        j^mu(<foc|v|fic>)
+c
+      implicit none
+      double complex fic(6),foc(6),gc(2),jioc(6),c0,c1,c2,c3,cs,d
+      double precision q(0:3),vmass,vwidth,q2,vm2,dd
+      double complex cm2 ! mass**2- I Gamma mass (Benj&Claude)
+
+      double precision rZero, rOne
+      parameter( rZero = 0.0d0, rOne = 1.0d0 )
+      double complex cImag, cZero
+      parameter( cImag = ( 0.0d0, 1.0d0 ), cZero = ( 0.0d0, 0.0d0 ) )
+c
+      jioc(5) = foc(5)-fic(5)
+      jioc(6) = foc(6)-fic(6)
+
+      q(0) = dble( jioc(5))
+      q(1) = dble( jioc(6))
+      q(2) = dimag(jioc(6))
+      q(3) = dimag(jioc(5))
+      q2 = q(0)**2-(q(1)**2+q(2)**2+q(3)**2)
+      vm2 = vmass**2
+
+      if ( vmass.ne.rZero ) then
+
+         d = -rOne/dcmplx( q2-vm2, vmass*vwidth )
+c  for the running width, use below instead of the above d.
+c         d = -rOne/dcmplx( q2-vm2, max(vwidth*q2/vmass,rZero) )
+
+         if ( gc(2).ne.cZero ) then
+            c0=  gc(2)*( foc(3)*fic(1)+foc(4)*fic(2))
+     &          +gc(1)*( foc(1)*fic(3)+foc(2)*fic(4))
+            c1= -gc(2)*( foc(3)*fic(2)+foc(4)*fic(1))
+     &          +gc(1)*( foc(1)*fic(4)+foc(2)*fic(3))
+            c2=( gc(2)*( foc(3)*fic(2)-foc(4)*fic(1)) 
+     &          +gc(1)*(-foc(1)*fic(4)+foc(2)*fic(3)))*cImag
+            c3=  gc(2)*(-foc(3)*fic(1)+foc(4)*fic(2))
+     &          +gc(1)*( foc(1)*fic(3)-foc(2)*fic(4))
+         else
+            d = d*gc(1)
+            c0 =  foc(1)*fic(3)+foc(2)*fic(4)
+            c1 =  foc(1)*fic(4)+foc(2)*fic(3)
+            c2 =(-foc(1)*fic(4)+foc(2)*fic(3))*cImag
+            c3 =  foc(1)*fic(3)-foc(2)*fic(4)
+         end if
+	 
+c     Fabio's implementation of the fixed width (Benj&Claude)
+         cm2=dcmplx( vm2, -vmass*vwidth )
+c         cs = (q(0)*c0-q(1)*c1-q(2)*c2-q(3)*c3)/vm2
+         cs = (q(0)*c0-q(1)*c1-q(2)*c2-q(3)*c3)/cm2
+	 
+         jioc(1) = (c0-cs*q(0))*d
+         jioc(2) = (c1-cs*q(1))*d
+         jioc(3) = (c2-cs*q(2))*d
+         jioc(4) = (c3-cs*q(3))*d
+
+      else
+
+         d = dcmplx( -rOne/q2, rZero )
+         if ( gc(2).ne.cZero ) then
+            jioc(1) = ( gc(2)*( foc(3)*fic(1)+foc(4)*fic(2))
+     &                 +gc(1)*( foc(1)*fic(3)+foc(2)*fic(4)) )*d
+            jioc(2) = (-gc(2)*( foc(3)*fic(2)+foc(4)*fic(1))
+     &                 +gc(1)*( foc(1)*fic(4)+foc(2)*fic(3)) )*d
+            jioc(3) = ( gc(2)*( foc(3)*fic(2)-foc(4)*fic(1))
+     &                 +gc(1)*(-foc(1)*fic(4)+foc(2)*fic(3)) )
+     &                *d*cImag
+            jioc(4) = ( gc(2)*(-foc(3)*fic(1)+foc(4)*fic(2))
+     &                 +gc(1)*( foc(1)*fic(3)-foc(2)*fic(4)) )*d
+         else
+            d = d*gc(1)
+            jioc(1) = ( foc(1)*fic(3)+foc(2)*fic(4))*d
+            jioc(2) = ( foc(1)*fic(4)+foc(2)*fic(3))*d
+            jioc(3) = (-foc(1)*fic(4)+foc(2)*fic(3))*d*cImag
+            jioc(4) = ( foc(1)*fic(3)-foc(2)*fic(4))*d
+         end if
+
+      end if
+c
+      return
+      end

=== added file 'HELAS/jiodmx.F'
--- HELAS/jiodmx.F	1970-01-01 00:00:00 +0000
+++ HELAS/jiodmx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,174 @@
+      subroutine jiodmx(fi,fo,gc,vmass,vwidth , jio)
+c
+c This subroutine computes an off-shell vector dipole moment
+c (non-renormalizable) current from an external
+c fermion pair.  The vector boson propagator is given in Feynman gauge
+c for a massless vector and in unitary gauge for a massive vector.
+c
+c input:
+c       complex fi(6)          : flow-in  fermion                   |fi>
+c       complex fo(6)          : flow-out fermion                   <fo|
+c       complex gc(2,2)        : coupling constants                 gvf
+c                              : first index is L,R as normal
+c                              : second index is EDM,-MDM
+c       real    vmass          : mass  of output vector v
+c       real    vwidth         : width of output vector v
+c
+c output:
+c       complex jio(6)         : vector current          j^mu(<fo|v|fi>)
+c
+      implicit none
+      double complex fi(6), fo(6), jio(6), c0, c1, c2, c3, d
+      double complex gc(2,2), gL, gR
+      double precision  q(0:3), vmass, vwidth, q2, vm2, dd
+
+      double complex f1122, f12, f21, f12p21, f12m21
+      double complex f3344, f34, f43, f34p43, f34m43
+      double complex dumL1, dumL2, dumL3, dumL4
+      double complex dumR1, dumR2, dumR3, dumR4
+      double precision rZero, rOne
+      parameter( rZero = 0.0d0, rOne = 1.0d0 )
+      double complex cImag, cZero
+      parameter( cImag = ( 0.0d0, 1.0d0 ), cZero = ( 0.0d0, 0.0d0 ) )
+
+#ifdef HELAS_CHECK
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+#ifdef HELAS_CHECK
+      if ( abs(fi(1))+abs(fi(2))+abs(fi(3))+abs(fi(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : fi in jiodmx is zero spinor'
+      endif
+      if ( abs(fi(5))+abs(fi(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : fi in jiodmx has zero momentum'
+      endif
+      if ( abs(fo(1))+abs(fo(2))+abs(fo(3))+abs(fo(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : fo in jiodmx is zero spinor'
+      endif
+      if ( abs(fo(5))+abs(fo(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : fo in jiodmx has zero momentum'
+      endif
+      if ( gc(1,1).eq.cZero .and. gc(2,1).eq.cZero .and.
+     &     gc(1,2).eq.cZero .and. gc(2,2).eq.cZero      ) then
+         write(stdo,*)
+     &        ' helas-error : gc in jiodmx is zero coupling'
+      endif
+      if ( vmass.lt.rZero ) then
+         write(stdo,*) ' helas-error : vmass in jiodmx is negative'
+         write(stdo,*) '             : vmass = ',vmass
+      endif
+      if ( vwidth.lt.rZero ) then
+         write(stdo,*) ' helas-error : vwidth in jiodmx is negative'
+         write(stdo,*) '             : vwidth = ',vwidth
+      endif
+#endif
+
+      gL = -gc(1,1) + cImag*gc(1,2)
+      gR =  gc(2,1) + cImag*gc(2,2)
+
+      jio(5) = fo(5) - fi(5)
+      jio(6) = fo(6) - fi(6)
+
+      q(0) = dble( jio(5))
+      q(1) = dble( jio(6))
+      q(2) = dimag(jio(6))
+      q(3) = dimag(jio(5))
+      q2 = q(0)**2-(q(1)**2+q(2)**2+q(3)**2)
+      vm2 = vmass**2
+
+#ifdef HELAS_CHECK
+      if ( abs(jio(5))+abs(jio(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : jio in jiodmx has zero momentum'
+      endif
+      if ( vwidth.eq.rZero .and. q2.eq.vm2 ) then
+         write(stdo,*)
+     &        ' helas-error : jio in jiodmxq is on vmass pole'
+         write(stdo,*)
+     &        '             : q     = ',q(0),q(1),q(2),q(3)
+         write(stdo,*)
+     &        '             : abs(q)= ',sqrt(abs(q2))
+         jio(1) = cZero
+         jio(2) = cZero
+         jio(3) = cZero
+         jio(4) = cZero
+         return
+      endif
+#endif
+
+      f1122  = fo(1)*fi(1) - fo(2)*fi(2)
+      f12    = fo(1)*fi(2)
+      f21    = fo(2)*fi(1)
+      f12p21 = f12 + f21
+      f12m21 = f12 - f21
+      if ( gc(2,1).ne.cZero .or. gc(2,2).ne.cZero ) then
+         f3344  = fo(3)*fi(3) - fo(4)*fi(4)
+         f34    = fo(3)*fi(4)
+         f43    = fo(4)*fi(3)
+         f34p43 = f34 + f43
+         f34m43 = f34 - f43
+      end if
+
+c note overall (-), since k in vertex is -q above
+      dumL1 = -q(2)*f12m21 - cImag*( q(1)*f12p21 + q(3)*f1122 )
+      dumL2 =  q(2)*f1122  - cImag*( q(0)*f12p21 - q(3)*f12m21 )
+      dumL3 = -q(0)*f12m21 - q(1)*f1122 - q(3)*f12p21
+      dumL4 = -q(2)*f12p21 - cImag*( q(0)*f1122  + q(1)*f12m21 )
+      if ( gc(2,1).ne.cZero .or. gc(2,2).ne.cZero ) then
+         dumR1 =  q(2)*f34m43 + cImag*( q(1)*f34p43 + q(3)*f3344 )
+         dumR2 =  q(2)*f3344  + cImag*( q(0)*f34p43 + q(3)*f34m43 )
+         dumR3 =  q(0)*f34m43 - q(1)*f3344 - q(3)*f34p43
+         dumR4 = -q(2)*f34p43 + cImag*( q(0)*f3344  - q(1)*f34m43 )
+      end if
+
+      if ( vmass.ne.rZero ) then
+
+         d = rOne/dcmplx( q2-vm2, vmass*vwidth )
+
+         c0 = gL*dumL1
+         c1 = gL*dumL2
+         c2 = gL*dumL3
+         c3 = gL*dumL4
+
+         if ( gc(2,1).ne.cZero .or.
+     &        gc(2,2).ne.cZero      ) then
+            c0 = c0 + gR*dumR1
+            c1 = c1 + gR*dumR2
+            c2 = c2 + gR*dumR3
+            c3 = c3 + gR*dumR4
+         end if
+
+         jio(1) = c0*d
+         jio(2) = c1*d
+         jio(3) = c2*d
+         jio(4) = c3*d
+
+      else
+
+         dd = rOne/q2
+
+         jio(1) = gL*dumL1
+         jio(2) = gL*dumL2
+         jio(3) = gL*dumL3
+         jio(4) = gL*dumL4
+
+         if ( gc(2,1).ne.cZero .or.
+     &        gc(2,2).ne.cZero      ) then
+            jio(1) = jio(1) + gR*dumR1
+            jio(2) = jio(2) + gR*dumR2
+            jio(3) = jio(3) + gR*dumR3
+            jio(4) = jio(4) + gR*dumR4
+         end if
+
+         jio(1) = jio(1)*dd
+         jio(2) = jio(2)*dd
+         jio(3) = jio(3)*dd
+         jio(4) = jio(4)*dd
+
+      end if
+c
+      return
+      end

=== added file 'HELAS/jiogld.f'
--- HELAS/jiogld.f	1970-01-01 00:00:00 +0000
+++ HELAS/jiogld.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,147 @@
+c
+c ----------------------------------------------------------------------
+c
+      subroutine jiogld(fi,fo,gc,vmass,vwidth,idecay , jio)
+c
+c This subroutine computes an off-shell vector current for the NLSP-
+c Goldstino vertex from an external fermion pair. The vector boson 
+c propagator is given in feynman gauge for a massless vector and in 
+c unitary gauge for a massive vector. The h.c. of the NLSP decay is
+c handled via the input parameter idecay (picks out correct
+c Goldstino momentum).
+c
+c input:
+c       complex fi(6)          : flow-in  fermion                   |fi>
+c       complex fo(6)          : flow-out fermion                   <fo|
+c       complex gc(2)          : coupling constants                  gvf
+c       real    vmass          : mass  of output vector v
+c       real    vwidth         : width of output vector v
+c       integer idecay         :  1 for NLSP decay to Goldstino
+c                              : -1 for Goldstino to NLSP (h.c. of above)
+c
+c output:
+c       complex jio(6)         : vector current          j^mu(<fo|v|fi>)
+c
+      implicit none
+      double complex  fi(6), fo(6), gc(2), jio(6), c0, c1, c2, c3, cs
+      double complex  d, dum, p14p, p14m, p23p, p23m
+      double precision  q(0:3), vmass, vwidth, q2, vm2, dd
+      double precision  pG(1:4), pdotpG
+      integer idecay
+
+      double precision rZero, rOne
+      parameter( rZero = 0.0d0, rOne = 1.0d0 )
+      double complex ci, cZero
+      parameter( ci = ( 0.0d0, 1.0d0 ), cZero = ( 0.0d0, 0.0d0 ) )
+c
+      if ( idecay.eq.1 ) then
+         pG(1) =  dble(fo(5))
+         pG(2) =  dble(fo(6))
+         pG(3) = dimag(fo(6))
+         pG(4) = dimag(fo(5))
+      else if ( idecay.eq.-1 ) then
+         pG(1) =  dble(fi(5))
+         pG(2) =  dble(fi(6))
+         pG(3) = dimag(fi(6))
+         pG(4) = dimag(fi(5))
+      else
+         write(6,*) 'error in idecay of JIOGLD'
+         stop
+      end if
+
+      jio(5) = fo(5) - fi(5)
+      jio(6) = fo(6) - fi(6)
+
+      q(0) = dble( jio(5))
+      q(1) = dble( jio(6))
+      q(2) = dimag(jio(6))
+      q(3) = dimag(jio(5))
+      q2  = q(0)**2 - q(1)**2 - q(2)**2 - q(3)**2
+      vm2 = vmass**2
+
+      pdotpG = q(0)*pG(1) - q(1)*pG(2) - q(2)*pG(3) - q(3)*pG(4)
+
+      p14p = q(0) + q(3)
+      p14m = q(0) - q(3)
+      p23p = jio(6)
+      p23m = dconjg(jio(6))
+
+      if ( vmass.ne.rZero ) then
+
+         d = rOne/dcmplx( q2-vm2, vmass*vwidth )
+         d = d*idecay
+c  for the running width, use below instead of the above d.
+c         d = rOne/dcmplx( q2-vm2, max(vwidth*q2/vmass,rZero) )
+
+         if ( gc(2).ne.cZero ) then
+            dum =  ( (fo(3)*p14p + fo(4)*p23p)*fi(1)
+     &              +(fo(3)*p23m + fo(4)*p14m)*fi(2) )*gc(1)
+     &           + ( (fo(1)*p14m - fo(2)*p23p)*fi(3)
+     &              -(fo(1)*p23m - fo(2)*p14p)*fi(4) )*gc(2)
+
+            c0 =  dum*pG(1)
+     &           -pdotpG*( gc(1)*( fo(3)*fi(1) + fo(4)*fi(2) )
+     &                    +gc(2)*( fo(1)*fi(3) + fo(2)*fi(4) ) )
+            c1 =  dum*pG(2)
+     &           -pdotpG*(-gc(1)*( fo(4)*fi(1) + fo(3)*fi(2) )
+     &                    +gc(2)*( fo(2)*fi(3) + fo(1)*fi(4) ) )
+            c2 =  dum*pG(3)
+     &           -pdotpG*( gc(1)*(-fo(4)*fi(1) + fo(3)*fi(2) )
+     &                    +gc(2)*( fo(2)*fi(3) - fo(1)*fi(4) ) )*ci
+            c3 =  dum*pG(4)
+     &           -pdotpG*( gc(1)*(-fo(3)*fi(1) + fo(4)*fi(2) )
+     &                    +gc(2)*( fo(1)*fi(3) - fo(2)*fi(4) ) )
+         else
+            d = d*gc(1)
+            dum =  (fo(3)*p14p + fo(4)*p23p)*fi(1)
+     &            +(fo(3)*p23m + fo(4)*p14m)*fi(2)
+
+            c0 = dum*pG(1) - ( fo(3)*fi(1) + fo(4)*fi(2) )*pdotpG
+            c1 = dum*pG(2) + ( fo(4)*fi(1) + fo(3)*fi(2) )*pdotpG
+            c2 = dum*pG(3) + ( fo(4)*fi(1) - fo(3)*fi(2) )*pdotpG*ci
+            c3 = dum*pG(4) + ( fo(3)*fi(1) - fo(4)*fi(2) )*pdotpG
+         end if
+
+         cs = (q(0)*c0 - q(1)*c1 - q(2)*c2 - q(3)*c3) / vm2
+
+         jio(1) = (c0-cs*q(0))*d
+         jio(2) = (c1-cs*q(1))*d
+         jio(3) = (c2-cs*q(2))*d
+         jio(4) = (c3-cs*q(3))*d
+
+      else
+         dd = idecay*rOne/q2
+
+         if ( gc(2).ne.cZero ) then
+            dum =  ( (fo(3)*p14p + fo(4)*p23p)*fi(1)
+     &              +(fo(3)*p23m + fo(4)*p14m)*fi(2) )*gc(1)
+     &           + ( (fo(1)*p14m - fo(2)*p23p)*fi(3)
+     &              -(fo(1)*p23m - fo(2)*p14p)*fi(4) )*gc(2)
+
+            jio(1) = ( dum*pG(1) - pdotpG*(
+     &                 gc(1)*( fo(3)*fi(1) + fo(4)*fi(2) )
+     &                +gc(2)*( fo(1)*fi(3) + fo(2)*fi(4) ) ) )*dd
+            jio(2) = ( dum*pG(2) - pdotpG*(
+     &                -gc(1)*( fo(4)*fi(1) + fo(3)*fi(2) )
+     &                +gc(2)*( fo(2)*fi(3) + fo(1)*fi(4) ) ) )*dd
+            jio(3) = ( dum*pG(3) - pdotpG*ci*(
+     &                 gc(1)*(-fo(4)*fi(1) + fo(3)*fi(2) )
+     &                +gc(2)*( fo(2)*fi(3) - fo(1)*fi(4) ) ) )*dd
+            jio(4) = ( dum*pG(4) - pdotpG*(
+     &                 gc(1)*(-fo(3)*fi(1) + fo(4)*fi(2) )
+     &                +gc(2)*( fo(1)*fi(3) - fo(2)*fi(4) ) ) )*dd
+
+         else
+            dd = dd*gc(1)
+            dum =  (fo(3)*p14p + fo(4)*p23p)*fi(1)
+     &            +(fo(3)*p23m + fo(4)*p14m)*fi(2)
+
+            jio(1)=dd*(dum*pG(1) - pdotpG*(fo(3)*fi(1) + fo(4)*fi(2)))
+            jio(2)=dd*(dum*pG(2) + pdotpG*(fo(4)*fi(1) + fo(3)*fi(2)))
+            jio(3)=dd*(dum*pG(3) + ci*pdotpG*(fo(4)*fi(1)-fo(3)*fi(2)))
+            jio(4)=dd*(dum*pG(4) + pdotpG*(fo(3)*fi(1) - fo(4)*fi(2)))
+         end if
+      end if
+c
+      return
+      end

=== added file 'HELAS/jiogox.f'
--- HELAS/jiogox.f	1970-01-01 00:00:00 +0000
+++ HELAS/jiogox.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,96 @@
+      subroutine jiogox(fi,fo,gc,vmass,vwidth , jio)
+c
+c This subroutine computes an off-shell vector current from an external
+c fermion pair.  The vector boson propagator is given in Feynman gauge
+c for a massless vector and in unitary gauge for a massive vector in the 
+c case when they are all color octets.
+c
+c input:
+c       complex fi(6)          : flow-in  fermion                   |fi>
+c       complex fo(6)          : flow-out fermion                   <fo|
+c       complex gc(2)          : coupling constants                  gvf
+c       real    vmass          : mass  of OUTPUT vector v
+c       real    vwidth         : width of OUTPUT vector v
+c
+c output:
+c       complex jio(6)         : vector current          j^mu(<fo|v|fi>)
+c     
+      implicit none
+      double complex fi(6),fo(6),gc(2),jio(6),c0,c1,c2,c3,cs,d
+      double precision q(0:3),vmass,vwidth,q2,vm2
+      double complex cm2 ! mass**2- I Gamma mass (Fabio)
+
+
+      double precision rZero, rOne
+      parameter( rZero = 0.0d0, rOne = 1.0d0 )
+      double complex cImag, cZero
+      parameter( cImag = ( 0.0d0, 1.0d0 ), cZero = ( 0.0d0, 0.0d0 ) )
+
+      jio(5) = fo(5)-fi(5)
+      jio(6) = fo(6)-fi(6)
+
+      q(0) = dble( jio(5))
+      q(1) = dble( jio(6))
+      q(2) = dimag(jio(6))
+      q(3) = dimag(jio(5))
+      q2 = q(0)**2-(q(1)**2+q(2)**2+q(3)**2)
+      vm2 = vmass**2
+
+      if ( vmass.ne.rZero ) then
+
+         d = rOne/dcmplx( q2-vm2, vmass*vwidth )
+c     For the running width, use below instead of the above d.
+c     d = rOne/dcmplx( q2-vm2, max(vwidth*q2/vmass,rZero) )
+
+
+         if ( gc(2).ne.cZero ) then
+            c0 =  gc(1)*( fo(3)*fi(1)+fo(4)*fi(2))
+     &           +gc(2)*( fo(1)*fi(3)+fo(2)*fi(4))
+            c1 = -gc(1)*( fo(3)*fi(2)+fo(4)*fi(1))
+     &           +gc(2)*( fo(1)*fi(4)+fo(2)*fi(3))
+            c2 =( gc(1)*( fo(3)*fi(2)-fo(4)*fi(1))
+     &           +gc(2)*(-fo(1)*fi(4)+fo(2)*fi(3)))*cImag
+            c3 =  gc(1)*(-fo(3)*fi(1)+fo(4)*fi(2))
+     &           +gc(2)*( fo(1)*fi(3)-fo(2)*fi(4))
+         else
+            d = d*gc(1)
+            c0 =   fo(3)*fi(1)+fo(4)*fi(2)
+            c1 =  -fo(3)*fi(2)-fo(4)*fi(1)
+            c2 = ( fo(3)*fi(2)-fo(4)*fi(1))*cImag
+            c3 =  -fo(3)*fi(1)+fo(4)*fi(2)
+         end if
+
+c     Fabio's implementation of the fixed width
+         cm2=dcmplx( vm2, -vmass*vwidth )
+c     cs = (q(0)*c0-q(1)*c1-q(2)*c2-q(3)*c3)/vm2
+         cs = (q(0)*c0-q(1)*c1-q(2)*c2-q(3)*c3)/cm2
+         jio(1) = (c0-cs*q(0))*d
+         jio(2) = (c1-cs*q(1))*d
+         jio(3) = (c2-cs*q(2))*d
+         jio(4) = (c3-cs*q(3))*d
+
+      else
+
+         d = dcmplx( rOne/q2, rZero )
+         if ( gc(2).ne.cZero ) then
+            jio(1) = ( gc(1)*( fo(3)*fi(1)+fo(4)*fi(2))
+     &                +gc(2)*( fo(1)*fi(3)+fo(2)*fi(4)) )*d
+            jio(2) = (-gc(1)*( fo(3)*fi(2)+fo(4)*fi(1))
+     &                +gc(2)*( fo(1)*fi(4)+fo(2)*fi(3)) )*d
+            jio(3) = ( gc(1)*( fo(3)*fi(2)-fo(4)*fi(1))
+     &                +gc(2)*(-fo(1)*fi(4)+fo(2)*fi(3)))
+     &               *d*cImag
+            jio(4) = ( gc(1)*(-fo(3)*fi(1)+fo(4)*fi(2))
+     &                +gc(2)*( fo(1)*fi(3)-fo(2)*fi(4)) )*d
+         else
+            d = d*gc(1)
+            jio(1) =  ( fo(3)*fi(1)+fo(4)*fi(2))*d
+            jio(2) = -( fo(3)*fi(2)+fo(4)*fi(1))*d
+            jio(3) =  ( fo(3)*fi(2)-fo(4)*fi(1))*d*cImag
+            jio(4) =  (-fo(3)*fi(1)+fo(4)*fi(2))*d
+         end if
+
+      end if
+c
+      return
+      end

=== added file 'HELAS/jiokxx.F'
--- HELAS/jiokxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/jiokxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,107 @@
+      subroutine jiokxx(fi,fo,g,tmass,twidth , uio)
+c
+c This subroutine computes an amplitude of the fermion-fermion-vector
+c coupling.
+c
+c input:
+c       complex fi(6)          : flow-in  fermion                   |fi>
+c       complex fo(6)          : flow-out fermion                   <fo|
+c       complex g(1)           : coupling constant                 -kappa/8
+c       real    g(2)           : fermion mass                        m_f
+c
+c output:
+c       complex uio(18)        : outgoing tensor    T_{mu,vu} = T(mu+4*(vu-1))
+c     
+      implicit none
+      double complex fi(18), fo(18), uio(18),g(2)
+      double precision fmass,tmass,twidth
+
+      double complex tc(4,4),tc1(4,4),fgamf(4),ffm
+      double complex fkslaf,fgamfk(4,4),prop,denom
+      double precision k(4),pp,m2,p(4),eta(4,4)
+      integer i,j,ii,jj
+
+      double complex ci
+      parameter( ci = ( 0.0d0, 1.0d0 ) )
+
+      fmass = dreal(g(2))
+      do i=1,16
+         uio(i)=(0d0,0d0)
+      enddo
+
+      m2 = tmass**2
+      uio(17) = fi(5)-fo(5)
+      uio(18) = fi(6)-fo(6)
+
+      p(1) = dble( uio(17))/tmass
+      p(2) = dble( uio(18))/tmass
+      p(3) = dimag(uio(18))/tmass
+      p(4) = dimag(uio(17))/tmass
+
+      k(1) = dble( fi(5)+fo(5))
+      k(2) = dble( fi(6)+fo(6))
+      k(3) = dimag(fi(6)+fo(6))
+      k(4) = dimag(fi(5)+fo(5))
+
+      pp = p(1)**2 - p(2)**2 - p(3)**2 - p(4)**2
+
+      denom = dcmplx(pp*m2 - m2,tmass*twidth)
+
+      fgamf(1) =     fi(3)*fo(1)+fi(4)*fo(2)+fi(1)*fo(3)+fi(2)*fo(4)
+      fgamf(2) =     fi(4)*fo(1)+fi(3)*fo(2)-fi(2)*fo(3)-fi(1)*fo(4)
+      fgamf(3) =ci*(-fi(4)*fo(1)+fi(3)*fo(2)+fi(2)*fo(3)-fi(1)*fo(4))
+      fgamf(4) =     fi(3)*fo(1)-fi(4)*fo(2)-fi(1)*fo(3)+fi(2)*fo(4)
+      ffm = 2d0*fmass*(fo(1)*fi(1)+fo(2)*fi(2)+fo(3)*fi(3)+fo(4)*fi(4))
+      fkslaf  = k(1)* fgamf(1)-k(2)* fgamf(2)-
+     &          k(3)* fgamf(3)-k(4)* fgamf(4)
+      do i=1,3
+         do j=1+1,4
+            eta(i,j)=0d0
+            eta(j,i)=eta(i,j)
+         enddo
+      enddo
+      eta(1,1)= 1d0
+      eta(2,2)=-1d0
+      eta(3,3)=-1d0
+      eta(4,4)=-1d0
+
+c vertex
+c upper triangle:
+      do i=2,4
+      do j=1,i-1
+      tc(i,j)=fgamf(i)*k(j)+fgamf(j)*k(i)
+c lower triangle:
+      tc(j,i)=tc(i,j)
+      enddo
+c diagonal terms:
+      tc(i,i)=2d0*(fgamf(i)*k(i)+(fkslaf-ffm))
+      enddo
+      tc(1,1)=2d0*(fgamf(1)*k(1)-(fkslaf-ffm))
+      
+c make indices upper indices before contracting with propagator
+      do i=2,4
+         tc(1,i)=-tc(1,i)
+         tc(i,1)=-tc(i,1)
+      enddo
+
+
+
+c multiply by propagator
+      do i=1,4
+         do j=1,4
+            do ii=1,4
+               do jj=1,4
+                  uio(i+4*(j-1))=uio(i+4*(j-1))+
+     &            (
+     &                    (eta(i,ii)-p(i)*p(ii))*(eta(j,jj)-p(j)*p(jj))+
+     &                    (eta(i,jj)-p(i)*p(jj))*(eta(j,ii)-p(j)*p(ii))-
+     &            2d0/3d0*(eta(i,j)-p(i)*p(j))*(eta(ii,jj)-p(ii)*p(jj))
+     &            )
+     &            *tc(ii,jj)*g(1)/denom
+               enddo
+            enddo
+         enddo
+      enddo
+
+      return
+      end

=== added file 'HELAS/jiotxx.F'
--- HELAS/jiotxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/jiotxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,335 @@
+      subroutine jiotxx(fi,fo,tc,gc,gt,vmass,vwidth , jiot)
+c
+c This subroutine computes an off-shell vector boson wavefunction from a
+c flowing-out fermion, a flowing-in fermion and a tensor boson.
+c
+c input:
+c       complex fi(6)          : flow-in  fermion                   |fi>
+c       complex fo(6)          : flow-out fermion                   <fo|
+c       complex tc(18)         : input    tensor                       T
+c       complex gc(2)          : coupling constants                  gvf
+c       complex gt             : coupling constant      gtfv=-1/Lambda/2
+c       real    vmass          : mass  of output vector v
+c       real    vwidth         : width of output vector v
+c
+c output:
+c       complex jiot(6)        : vector boson          j^mu(<fo|v,T|fi>)
+c
+c- by Q.Li - OCT. 2006
+c
+      implicit none
+      double complex fi(6), fo(6), tc(18), gc(2), gt, jiot(6)
+      double precision vmass, vwidth
+
+      double complex ft(6,4)
+      double complex d, T00, T12, T13, T14, T23, T24, T34
+      double precision pv(4), pv2
+      integer i
+      
+      double precision rZero, rTwo
+      parameter( rZero = 0.0d0, rTwo = 2.0d0 )
+      double complex cone
+      parameter( cone = ( 0.0d0, 1.0d0 ))
+
+
+      ft(1,1) = tc(1)
+      ft(1,2) = tc(2)
+      ft(1,3) = tc(3)
+      ft(1,4) = tc(4)
+      ft(2,1) = tc(5)
+      ft(2,2) = tc(6)
+      ft(2,3) = tc(7)
+      ft(2,4) = tc(8)
+      ft(3,1) = tc(9)
+      ft(3,2) = tc(10)
+      ft(3,3) = tc(11)
+      ft(3,4) = tc(12)
+      ft(4,1) = tc(13)
+      ft(4,2) = tc(14)
+      ft(4,3) = tc(15)
+      ft(4,4) = tc(16)
+      ft(5,1) = tc(17)
+      ft(6,1) = tc(18)
+
+      jiot(5) = fo(5) + ft(5,1) -fi(5)
+      jiot(6) = fo(6) + ft(6,1) -fi(6)
+
+      pv(1) = dreal(jiot(5))
+      pv(2) = dreal(jiot(6))
+      pv(3) = dimag(jiot(6))
+      pv(4) = dimag(jiot(5))
+ 
+      pv2=pv(1)**2-pv(2)**2-pv(3)**2-pv(4)**2
+     
+
+      T00 = ft(1,1)-ft(2,2)-ft(3,3)-ft(4,4)
+      T12 = ft(1,2) + ft(2,1)
+      T13 = ft(1,3) + ft(3,1)
+      T14 = ft(1,4) + ft(4,1)
+      T23 = ft(2,3) + ft(3,2)
+      T24 = ft(2,4) + ft(4,2)
+      T34 = ft(3,4) + ft(4,3)
+      
+      if ( vmass.gt.rZero ) then
+         d =  1.0d0/dcmplx( pv2-vmass**2, vmass*vwidth )
+      else
+         d =  1.0d0/dcmplx( pv2, rZero )
+      end if
+
+      if (vmass.gt.rzero) then
+         jiot(1) = fi(3)*gc(2)*(-((rtwo*T00*fo(2)*pv(1)*(-pv(2)
+     &	 - cone*pv(3)))/vmass**2) + 
+     &       fo(1)*((rtwo*T00) 
+     &- (rtwo*T00*pv(1)*(pv(1) - pv(4)))/vmass**2)) + 
+     &    fi(2)*gc(1)*(-((rtwo*T00*fo(3)*pv(1)
+     &*(pv(2) - cone*pv(3)))/vmass**2) + 
+     &       fo(4)*((rtwo*T00) - (rtwo*T00*pv(1)
+     &*(pv(1) - pv(4)))/vmass**2)) + 
+     &    fi(4)*gc(2)*(-((rtwo*T00*fo(1)*pv(1)
+     &*(-pv(2) + cone*pv(3)))/vmass**2) + 
+     &       fo(2)*((rtwo*T00) 
+     &- (rtwo*T00*pv(1)*(pv(1) + pv(4)))/vmass**2)) + 
+     &    fi(1)*gc(1)*(-((rtwo*T00*fo(4)*pv(1)*(pv(2)
+     & + cone*pv(3)))/vmass**2) + 
+     &       fo(3)*((rtwo*T00) 
+     &- (rtwo*T00*pv(1)*(pv(1) + pv(4)))/vmass**2)) + 
+     &    fi(4)*gc(2)*(fo(1)*(ft(1,2) - cone*ft(1,3) 
+     &+ ft(2,1) - cone*ft(3,1))
+     & + fo(2)*(-2*ft(1,1) - ft(1,4) - ft(4,1))) + 
+     &    fi(1)*gc(1)*(fo(4)*(-ft(1,2) - cone*ft(1,3) - ft(2,1) 
+     &- cone*ft(3,1)) + fo(3)*(-2*ft(1,1) - ft(1,4) - ft(4,1))) + 
+     &    fi(3)*gc(2)*(fo(2)*(ft(1,2) + cone*ft(1,3) + ft(2,1) 
+     &+ cone*ft(3,1)) + fo(1)*(-2*ft(1,1) + ft(1,4) + ft(4,1))) + 
+     &    fi(2)*gc(1)*(fo(3)*(-ft(1,2) + cone*ft(1,3) - ft(2,1)
+     & + cone*ft(3,1)) + fo(4)*(-2*ft(1,1) + ft(1,4) + ft(4,1))) + 
+     &    (pv(1)*(fi(4)*gc(2)*(fo(1)*(-(T12*pv(1)) + cone*T13*pv(1)
+     & + T23*(-(cone*pv(2)) + pv(3)) + T24*pv(4) - cone*T34*pv(4) + 
+     &               rtwo*pv(2)*ft(2,2) - cone*rtwo*pv(3)*ft(3,3)) + 
+     &            fo(2)*(-(T12*pv(2)) - T24*pv(2) - T13*pv(3) - 
+     &T34*pv(3) - T14*(-pv(1) + pv(4)) + rtwo*pv(1)*ft(1,1) - 
+     &               rtwo*pv(4)*ft(4,4))) + fi(1)*gc(1)*
+     &          (fo(4)*(T12*pv(1) + cone*T13*pv(1) 
+     &+ T23*(-(cone*pv(2)) - pv(3)) - T24*pv(4) - cone*T34*pv(4) - 
+     &               rtwo*pv(2)*ft(2,2) - cone*rtwo*pv(3)*ft(3,3)) + 
+     &            fo(3)*(-(T12*pv(2)) - T24*pv(2) - T13*pv(3) 
+     &- T34*pv(3) - T14*(-pv(1) + pv(4)) + rtwo*pv(1)*ft(1,1) - 
+     &               rtwo*pv(4)*ft(4,4))) + fi(3)*gc(2)*
+     &          (fo(2)*(-(T12*pv(1)) - cone*T13*pv(1) 
+     &+ T23*(cone*pv(2) + pv(3)) + T24*pv(4) + cone*T34*pv(4) + 
+     &               rtwo*pv(2)*ft(2,2) + cone*rtwo*pv(3)*ft(3,3)) + 
+     &            fo(1)*(-(T12*pv(2)) + T24*pv(2) - T13*pv(3)
+     & + T34*pv(3) - T14*(pv(1) + pv(4)) + rtwo*pv(1)*ft(1,1) + 
+     &               rtwo*pv(4)*ft(4,4))) + fi(2)*gc(1)*
+     &          (fo(3)*(T12*pv(1) - cone*T13*pv(1) 
+     &+ T23*(cone*pv(2) - pv(3)) - T24*pv(4) + cone*T34*pv(4) - 
+     &               rtwo*pv(2)*ft(2,2) + cone*rtwo*pv(3)*ft(3,3)) + 
+     &            fo(4)*(-(T12*pv(2)) + T24*pv(2) - T13*pv(3) 
+     &+ T34*pv(3) - T14*(pv(1) + pv(4)) + rtwo*pv(1)*ft(1,1) + 
+     &               rtwo*pv(4)*ft(4,4)))))/vmass**2
+      
+         jiot(2) = fi(3)*gc(2)*(fo(2)*((rtwo*T00) 
+     &- (rtwo*T00*pv(2)*(-pv(2) - cone*pv(3)))/vmass**2) - 
+     &       (rtwo*T00*fo(1)*pv(2)*(pv(1) - pv(4)))/vmass**2) + 
+     &    fi(2)*gc(1)*(fo(3)*(-rtwo*T00 - (rtwo*T00*pv(2)*(pv(2)
+     & - cone*pv(3)))/vmass**2) - 
+     &       (rtwo*T00*fo(4)*pv(2)*(pv(1) - pv(4)))/vmass**2) + 
+     &    fi(4)*gc(2)*(fo(1)*((rtwo*T00)
+     & - (rtwo*T00*pv(2)*(-pv(2) + cone*pv(3)))/vmass**2) - 
+     &       (rtwo*T00*fo(2)*pv(2)*(pv(1) + pv(4)))/vmass**2) + 
+     &    fi(1)*gc(1)*(fo(4)*(-rtwo*T00 - (rtwo*T00*pv(2)*(pv(2) 
+     &+ cone*pv(3)))/vmass**2) - 
+     &       (rtwo*T00*fo(3)*pv(2)*(pv(1) + pv(4)))/vmass**2) + 
+     &    fi(4)*gc(2)*(fo(1)*(2*ft(2,2) - cone*ft(2,3) - cone*ft(3,2))
+     & + fo(2)*(-ft(1,2) - ft(2,1) - ft(2,4) - ft(4,2))) + 
+     &    fi(1)*gc(1)*(fo(4)*(-2*ft(2,2) - cone*ft(2,3) - cone*ft(3,2)) 
+     &+ fo(3)*(-ft(1,2) - ft(2,1) - ft(2,4) - ft(4,2))) + 
+     &    fi(3)*gc(2)*(fo(2)*(2*ft(2,2) + cone*ft(2,3) + cone*ft(3,2)) 
+     &+ fo(1)*(-ft(1,2) - ft(2,1) + ft(2,4) + ft(4,2))) + 
+     &    fi(2)*gc(1)*(fo(3)*(-2*ft(2,2) + cone*ft(2,3) + cone*ft(3,2))
+     & + fo(4)*(-ft(1,2) - ft(2,1) + ft(2,4) + ft(4,2))) + 
+     &    (pv(2)*(fi(4)*gc(2)*(fo(1)*(-(T12*pv(1)) + cone*T13*pv(1)
+     & + T23*(-(cone*pv(2)) + pv(3)) + T24*pv(4) - cone*T34*pv(4) + 
+     &               rtwo*pv(2)*ft(2,2) - cone*rtwo*pv(3)*ft(3,3)) + 
+     &            fo(2)*(-(T12*pv(2)) - T24*pv(2) - T13*pv(3)
+     & - T34*pv(3) - T14*(-pv(1) + pv(4)) + rtwo*pv(1)*ft(1,1) - 
+     &               rtwo*pv(4)*ft(4,4))) + fi(1)*gc(1)*
+     &          (fo(4)*(T12*pv(1) + cone*T13*pv(1) + T23*(-(cone*pv(2))
+     & - pv(3)) - T24*pv(4) - cone*T34*pv(4) - 
+     &               rtwo*pv(2)*ft(2,2) - cone*rtwo*pv(3)*ft(3,3)) + 
+     &            fo(3)*(-(T12*pv(2)) - T24*pv(2) - T13*pv(3)
+     & - T34*pv(3) - T14*(-pv(1) + pv(4)) + rtwo*pv(1)*ft(1,1) - 
+     &               rtwo*pv(4)*ft(4,4))) + fi(3)*gc(2)*
+     &          (fo(2)*(-(T12*pv(1)) - cone*T13*pv(1) 
+     &+ T23*(cone*pv(2) + pv(3)) + T24*pv(4) + cone*T34*pv(4) + 
+     &               rtwo*pv(2)*ft(2,2) + cone*rtwo*pv(3)*ft(3,3)) + 
+     &            fo(1)*(-(T12*pv(2)) + T24*pv(2) - T13*pv(3)
+     & + T34*pv(3) - T14*(pv(1) + pv(4)) + rtwo*pv(1)*ft(1,1) + 
+     &               rtwo*pv(4)*ft(4,4))) + fi(2)*gc(1)*
+     &          (fo(3)*(T12*pv(1) - cone*T13*pv(1) 
+     &+ T23*(cone*pv(2) - pv(3)) - T24*pv(4) + cone*T34*pv(4) - 
+     &               rtwo*pv(2)*ft(2,2) + cone*rtwo*pv(3)*ft(3,3)) + 
+     &            fo(4)*(-(T12*pv(2)) + T24*pv(2) - T13*pv(3) 
+     &+ T34*pv(3) - T14*(pv(1) + pv(4)) + rtwo*pv(1)*ft(1,1) + 
+     &               rtwo*pv(4)*ft(4,4)))))/vmass**2
+
+         jiot(3) =fi(3)*gc(2)*(fo(2)*((cone*rtwo*T00)
+     &	 - (rtwo*T00*pv(3)*(-pv(2) - cone*pv(3)))/vmass**2) - 
+     &       (rtwo*T00*fo(1)*pv(3)*(pv(1) - pv(4)))/vmass**2) + 
+     &    fi(2)*gc(1)*(fo(3)*((cone*rtwo*T00) 
+     &- (rtwo*T00*pv(3)*(pv(2) - cone*pv(3)))/vmass**2) - 
+     &       (rtwo*T00*fo(4)*pv(3)*(pv(1) - pv(4)))/vmass**2) + 
+     &    fi(4)*gc(2)*(fo(1)*(-cone*rtwo*T00 
+     &- (rtwo*T00*pv(3)*(-pv(2) + cone*pv(3)))/vmass**2) - 
+     &       (rtwo*T00*fo(2)*pv(3)*(pv(1) + pv(4)))/vmass**2) + 
+     &    fi(1)*gc(1)*(fo(4)*(-cone*rtwo*T00
+     & - (rtwo*T00*pv(3)*(pv(2) + cone*pv(3)))/vmass**2) - 
+     &       (rtwo*T00*fo(3)*pv(3)*(pv(1) + pv(4)))/vmass**2) + 
+     &    fi(4)*gc(2)*(fo(1)*(ft(2,3) + ft(3,2) 
+     &- 2*cone*ft(3,3)) + fo(2)*(-ft(1,3) - ft(3,1) 
+     &- ft(3,4) - ft(4,3))) + 
+     &    fi(1)*gc(1)*(fo(4)*(-ft(2,3) - ft(3,2) 
+     &- 2*cone*ft(3,3)) + fo(3)*(-ft(1,3) - ft(3,1) 
+     &- ft(3,4) - ft(4,3))) + 
+     &    fi(3)*gc(2)*(fo(2)*(ft(2,3) + ft(3,2) + 2*cone*ft(3,3))
+     & + fo(1)*(-ft(1,3) - ft(3,1) + ft(3,4) + ft(4,3))) + 
+     &    fi(2)*gc(1)*(fo(3)*(-ft(2,3) - ft(3,2) + 2*cone*ft(3,3)) 
+     &+ fo(4)*(-ft(1,3) - ft(3,1) + ft(3,4) + ft(4,3))) + 
+     &    (pv(3)*(fi(4)*gc(2)*(fo(1)*(-(T12*pv(1)) + cone*T13*pv(1) 
+     &+ T23*(-(cone*pv(2)) + pv(3)) + T24*pv(4) - cone*T34*pv(4) + 
+     &               rtwo*pv(2)*ft(2,2) - cone*rtwo*pv(3)*ft(3,3)) + 
+     &            fo(2)*(-(T12*pv(2)) - T24*pv(2) - T13*pv(3)
+     &- T34*pv(3) - T14*(-pv(1) + pv(4)) + rtwo*pv(1)*ft(1,1) - 
+     &               rtwo*pv(4)*ft(4,4))) + fi(1)*gc(1)*
+     &          (fo(4)*(T12*pv(1) + cone*T13*pv(1) 
+     &+ T23*(-(cone*pv(2)) - pv(3)) - T24*pv(4) - cone*T34*pv(4) - 
+     &               rtwo*pv(2)*ft(2,2) - cone*rtwo*pv(3)*ft(3,3)) + 
+     &            fo(3)*(-(T12*pv(2)) - T24*pv(2) - T13*pv(3)
+     & - T34*pv(3) - T14*(-pv(1) + pv(4)) + rtwo*pv(1)*ft(1,1) - 
+     &               rtwo*pv(4)*ft(4,4))) + fi(3)*gc(2)*
+     &          (fo(2)*(-(T12*pv(1)) - cone*T13*pv(1) 
+     &+ T23*(cone*pv(2) + pv(3)) + T24*pv(4) + cone*T34*pv(4) + 
+     &               rtwo*pv(2)*ft(2,2) + cone*rtwo*pv(3)*ft(3,3)) + 
+     &            fo(1)*(-(T12*pv(2)) + T24*pv(2) - T13*pv(3)
+     & + T34*pv(3) - T14*(pv(1) + pv(4)) + rtwo*pv(1)*ft(1,1) + 
+     &               rtwo*pv(4)*ft(4,4))) + fi(2)*gc(1)*
+     &          (fo(3)*(T12*pv(1) - cone*T13*pv(1) 
+     &+ T23*(cone*pv(2) - pv(3)) - T24*pv(4) + cone*T34*pv(4) - 
+     &               rtwo*pv(2)*ft(2,2) + cone*rtwo*pv(3)*ft(3,3)) + 
+     &            fo(4)*(-(T12*pv(2)) + T24*pv(2) - T13*pv(3)
+     & + T34*pv(3) - T14*(pv(1) + pv(4)) + rtwo*pv(1)*ft(1,1) + 
+     &               rtwo*pv(4)*ft(4,4)))))/vmass**2
+
+         jiot(4) =fi(3)*gc(2)*(-((rtwo*T00*fo(2)*(-pv(2) 
+     &	- cone*pv(3))*pv(4))/vmass**2) + 
+     &       fo(1)*((rtwo*T00) - (rtwo*T00*(pv(1)
+     & - pv(4))*pv(4))/vmass**2)) + 
+     &    fi(2)*gc(1)*(-((rtwo*T00*fo(3)*(pv(2)
+     & - cone*pv(3))*pv(4))/vmass**2) + 
+     &       fo(4)*((rtwo*T00) - (rtwo*T00*(pv(1)
+     & - pv(4))*pv(4))/vmass**2)) + 
+     &    fi(4)*gc(2)*(-((rtwo*T00*fo(1)*(-pv(2) 
+     &+ cone*pv(3))*pv(4))/vmass**2) + 
+     &       fo(2)*(-rtwo*T00
+     & - (rtwo*T00*pv(4)*(pv(1) + pv(4)))/vmass**2)) + 
+     &    fi(1)*gc(1)*(-((rtwo*T00*fo(4)*(pv(2)
+     & + cone*pv(3))*pv(4))/vmass**2) + 
+     &       fo(3)*(-rtwo*T00 - (rtwo*T00*pv(4)*(pv(1)
+     & + pv(4)))/vmass**2)) + 
+     &    fi(4)*gc(2)*(fo(1)*(ft(2,4) - cone*ft(3,4)
+     & + ft(4,2) - cone*ft(4,3)) + fo(2)*(-ft(1,4) 
+     &- ft(4,1) - 2*ft(4,4))) + 
+     &    fi(1)*gc(1)*(fo(4)*(-ft(2,4) - cone*ft(3,4)
+     & - ft(4,2) - cone*ft(4,3)) + fo(3)*(-ft(1,4)
+     & - ft(4,1) - 2*ft(4,4))) + 
+     &    fi(3)*gc(2)*(fo(2)*(ft(2,4) + cone*ft(3,4) 
+     &+ ft(4,2) + cone*ft(4,3)) + fo(1)*(-ft(1,4) 
+     &- ft(4,1) + 2*ft(4,4))) + 
+     &    fi(2)*gc(1)*(fo(3)*(-ft(2,4) + cone*ft(3,4)
+     & - ft(4,2) + cone*ft(4,3)) + fo(4)*(-ft(1,4)
+     & - ft(4,1) + 2*ft(4,4))) + 
+     &    (pv(4)*(fi(4)*gc(2)*(fo(1)*(-(T12*pv(1)) 
+     &+ cone*T13*pv(1) + T23*(-(cone*pv(2)) + pv(3))
+     & + T24*pv(4) - cone*T34*pv(4) + 
+     &               rtwo*pv(2)*ft(2,2) - cone*rtwo*pv(3)*ft(3,3)) + 
+     &            fo(2)*(-(T12*pv(2)) - T24*pv(2) - T13*pv(3)
+     & - T34*pv(3) - T14*(-pv(1) + pv(4)) + rtwo*pv(1)*ft(1,1) - 
+     &               rtwo*pv(4)*ft(4,4))) + fi(1)*gc(1)*
+     &          (fo(4)*(T12*pv(1) + cone*T13*pv(1) 
+     &+ T23*(-(cone*pv(2)) - pv(3)) - T24*pv(4) - cone*T34*pv(4) - 
+     &               rtwo*pv(2)*ft(2,2) - cone*rtwo*pv(3)*ft(3,3)) + 
+     &            fo(3)*(-(T12*pv(2)) - T24*pv(2) - T13*pv(3)
+     & - T34*pv(3) - T14*(-pv(1) + pv(4)) + rtwo*pv(1)*ft(1,1) - 
+     &               rtwo*pv(4)*ft(4,4))) + fi(3)*gc(2)*
+     &          (fo(2)*(-(T12*pv(1)) - cone*T13*pv(1) 
+     &+ T23*(cone*pv(2) + pv(3)) + T24*pv(4) + cone*T34*pv(4) + 
+     &               rtwo*pv(2)*ft(2,2) + cone*rtwo*pv(3)*ft(3,3)) + 
+     &            fo(1)*(-(T12*pv(2)) + T24*pv(2) - T13*pv(3) 
+     &+ T34*pv(3) - T14*(pv(1) + pv(4)) + rtwo*pv(1)*ft(1,1) + 
+     &               rtwo*pv(4)*ft(4,4))) + fi(2)*gc(1)*
+     &          (fo(3)*(T12*pv(1) - cone*T13*pv(1) + T23*(cone*pv(2) 
+     &- pv(3)) - T24*pv(4) + cone*T34*pv(4) - 
+     &               rtwo*pv(2)*ft(2,2) + cone*rtwo*pv(3)*ft(3,3)) + 
+     &            fo(4)*(-(T12*pv(2)) + T24*pv(2) - T13*pv(3)
+     & + T34*pv(3) - T14*(pv(1) + pv(4)) + rtwo*pv(1)*ft(1,1) + 
+     &               rtwo*pv(4)*ft(4,4)))))/vmass**2
+
+      else
+
+         jiot(1) = rtwo*T00*fi(1)*fo(3)*gc(1)
+     & + rtwo*T00*fi(2)*fo(4)*gc(1) + rtwo*T00*fi(3)*fo(1)*gc(2) + 
+     &    rtwo*T00*fi(4)*fo(2)*gc(2) + fi(4)*gc(2)*(fo(1)*(ft(1,2) 
+     &- cone*ft(1,3) + ft(2,1) - cone*ft(3,1)) + 
+     &       fo(2)*(-2*ft(1,1) - ft(1,4) - ft(4,1))) + 
+     &    fi(1)*gc(1)*(fo(4)*(-ft(1,2) - cone*ft(1,3) - ft(2,1) 
+     &- cone*ft(3,1)) + fo(3)*(-2*ft(1,1) - ft(1,4) - ft(4,1))) + 
+     &    fi(3)*gc(2)*(fo(2)*(ft(1,2) + cone*ft(1,3) + ft(2,1) 
+     &+ cone*ft(3,1)) + fo(1)*(-2*ft(1,1) + ft(1,4) + ft(4,1))) + 
+     &    fi(2)*gc(1)*(fo(3)*(-ft(1,2) + cone*ft(1,3) - ft(2,1)
+     & + cone*ft(3,1)) + fo(4)*(-2*ft(1,1) + ft(1,4) + ft(4,1)))
+
+         jiot(2) = -(rtwo*T00*fi(2)*fo(3)*gc(1)) 
+     &  - rtwo*T00*fi(1)*fo(4)*gc(1)
+     &	 + rtwo*T00*fi(4)*fo(1)*gc(2) + 
+     &    rtwo*T00*fi(3)*fo(2)*gc(2) + fi(4)*gc(2)*(fo(1)*(2*ft(2,2) 
+     &- cone*ft(2,3) - cone*ft(3,2)) + 
+     &       fo(2)*(-ft(1,2) - ft(2,1) - ft(2,4) - ft(4,2))) + 
+     &    fi(1)*gc(1)*(fo(4)*(-2*ft(2,2) - cone*ft(2,3) - cone*ft(3,2))
+     & + fo(3)*(-ft(1,2) - ft(2,1) - ft(2,4) - ft(4,2))) + 
+     &    fi(3)*gc(2)*(fo(2)*(2*ft(2,2) + cone*ft(2,3) + cone*ft(3,2))
+     & + fo(1)*(-ft(1,2) - ft(2,1) + ft(2,4) + ft(4,2))) + 
+     &    fi(2)*gc(1)*(fo(3)*(-2*ft(2,2) + cone*ft(2,3) + cone*ft(3,2)) 
+     &+ fo(4)*(-ft(1,2) - ft(2,1) + ft(2,4) + ft(4,2)))
+
+         jiot(3) = cone*rtwo*T00*fi(2)*fo(3)*gc(1) 
+     &	- cone*rtwo*T00*fi(1)*fo(4)*gc(1)
+     & - cone*rtwo*T00*fi(4)*fo(1)*gc(2) + 
+     &    cone*rtwo*T00*fi(3)*fo(2)*gc(2) + fi(4)*gc(2)*
+     &     (fo(1)*(ft(2,3) + ft(3,2) - 2*cone*ft(3,3))
+     & + fo(2)*(-ft(1,3) - ft(3,1) - ft(3,4) - ft(4,3))) + 
+     &    fi(1)*gc(1)*(fo(4)*(-ft(2,3) - ft(3,2) - 2*cone*ft(3,3))
+     & + fo(3)*(-ft(1,3) - ft(3,1) - ft(3,4) - ft(4,3))) + 
+     &    fi(3)*gc(2)*(fo(2)*(ft(2,3) + ft(3,2) + 2*cone*ft(3,3)) 
+     &+ fo(1)*(-ft(1,3) - ft(3,1) + ft(3,4) + ft(4,3))) + 
+     &    fi(2)*gc(1)*(fo(3)*(-ft(2,3) - ft(3,2) + 2*cone*ft(3,3)) 
+     &+ fo(4)*(-ft(1,3) - ft(3,1) + ft(3,4) + ft(4,3)))
+       
+         jiot(4) = -(rtwo*T00*fi(1)*fo(3)*gc(1))
+     &	 + rtwo*T00*fi(2)*fo(4)*gc(1) + rtwo*T00*fi(3)*fo(1)*gc(2) - 
+     &    rtwo*T00*fi(4)*fo(2)*gc(2) + fi(4)*gc(2)*(fo(1)*(ft(2,4) 
+     &- cone*ft(3,4) + ft(4,2) - cone*ft(4,3)) + 
+     &       fo(2)*(-ft(1,4) - ft(4,1) - 2*ft(4,4))) + 
+     &    fi(1)*gc(1)*(fo(4)*(-ft(2,4) - cone*ft(3,4) - ft(4,2)
+     & - cone*ft(4,3)) + fo(3)*(-ft(1,4) - ft(4,1) - 2*ft(4,4))) + 
+     &    fi(3)*gc(2)*(fo(2)*(ft(2,4) + cone*ft(3,4) + ft(4,2)
+     & + cone*ft(4,3)) + fo(1)*(-ft(1,4) - ft(4,1) + 2*ft(4,4))) + 
+     &    fi(2)*gc(1)*(fo(3)*(-ft(2,4) + cone*ft(3,4) - ft(4,2) 
+     &+ cone*ft(4,3)) + fo(4)*(-ft(1,4) - ft(4,1) + 2*ft(4,4)))  
+
+      endif
+
+      do i = 1,4
+         jiot(i) = -jiot(i)*d*gt
+      end do
+
+      return
+      end

=== added file 'HELAS/jioxxx.F'
--- HELAS/jioxxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/jioxxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,148 @@
+      subroutine jioxxx(fi,fo,gc,vmass,vwidth , jio)
+c
+c This subroutine computes an off-shell vector current from an external
+c fermion pair.  The vector boson propagator is given in Feynman gauge
+c for a massless vector and in unitary gauge for a massive vector.
+c
+c input:
+c       complex fi(6)          : flow-in  fermion                   |fi>
+c       complex fo(6)          : flow-out fermion                   <fo|
+c       complex gc(2)          : coupling constants                  gvf
+c       real    vmass          : mass  of OUTPUT vector v
+c       real    vwidth         : width of OUTPUT vector v
+c
+c output:
+c       complex jio(6)         : vector current          j^mu(<fo|v|fi>)
+c     
+      implicit none
+      double complex fi(6),fo(6),gc(2),jio(6),c0,c1,c2,c3,cs,d
+      double precision q(0:3),vmass,vwidth,q2,vm2
+      double complex cm2 ! mass**2- I Gamma mass (Fabio)
+
+
+      double precision rZero, rOne
+      parameter( rZero = 0.0d0, rOne = 1.0d0 )
+      double complex cImag, cZero
+      parameter( cImag = ( 0.0d0, 1.0d0 ), cZero = ( 0.0d0, 0.0d0 ) )
+
+#ifdef HELAS_CHECK
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+#ifdef HELAS_CHECK
+      if ( abs(fi(1))+abs(fi(2))+abs(fi(3))+abs(fi(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : fi in jioxxx is zero spinor'
+      endif
+      if ( abs(fi(5))+abs(fi(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : fi in jioxxx has zero momentum'
+      endif
+      if ( abs(fo(1))+abs(fo(2))+abs(fo(3))+abs(fo(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : fo in jioxxx is zero spinor'
+      endif
+      if ( abs(fo(5))+abs(fo(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : fo in jioxxx has zero momentum'
+      endif
+      if ( gc(1).eq.cZero .and. gc(2).eq.cZero ) then
+         write(stdo,*) ' helas-error : gc in jioxxx is zero coupling'
+      endif
+      if ( vmass.lt.rZero ) then
+         write(stdo,*) ' helas-error : vmass in jioxxx is negative'
+         write(stdo,*) '             : vmass = ',vmass
+      endif
+      if ( vwidth.lt.rZero ) then
+         write(stdo,*) ' helas-error : vwidth in jioxxx is negative'
+         write(stdo,*) '             : vwidth = ',vwidth
+      endif
+#endif
+
+      jio(5) = fo(5)-fi(5)
+      jio(6) = fo(6)-fi(6)
+
+      q(0) = dble( jio(5))
+      q(1) = dble( jio(6))
+      q(2) = dimag(jio(6))
+      q(3) = dimag(jio(5))
+      q2 = q(0)**2-(q(1)**2+q(2)**2+q(3)**2)
+      vm2 = vmass**2
+
+#ifdef HELAS_CHECK
+      if ( abs(jio(5))+abs(jio(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : jio in jioxxx has zero momentum'
+      endif
+      if ( vwidth.eq.rZero .and. q2.eq.vm2 ) then
+         write(stdo,*)
+     &        ' helas-error : jio in jioxxx is on vmass pole'
+         write(stdo,*)
+     &        '             : q     = ',q(0),q(1),q(2),q(3)
+         write(stdo,*)
+     &        '             : abs(q)= ',sqrt(abs(q2))
+         jio(1) = cZero
+         jio(2) = cZero
+         jio(3) = cZero
+         jio(4) = cZero
+         return
+      endif
+#endif
+
+      if ( vmass.ne.rZero ) then
+
+         d = rOne/dcmplx( q2-vm2, vmass*vwidth )
+c     For the running width, use below instead of the above d.
+c     d = rOne/dcmplx( q2-vm2, max(vwidth*q2/vmass,rZero) )
+
+
+         if ( gc(2).ne.cZero ) then
+            c0 =  gc(1)*( fo(3)*fi(1)+fo(4)*fi(2))
+     &           +gc(2)*( fo(1)*fi(3)+fo(2)*fi(4))
+            c1 = -gc(1)*( fo(3)*fi(2)+fo(4)*fi(1))
+     &           +gc(2)*( fo(1)*fi(4)+fo(2)*fi(3))
+            c2 =( gc(1)*( fo(3)*fi(2)-fo(4)*fi(1))
+     &           +gc(2)*(-fo(1)*fi(4)+fo(2)*fi(3)))*cImag
+            c3 =  gc(1)*(-fo(3)*fi(1)+fo(4)*fi(2))
+     &           +gc(2)*( fo(1)*fi(3)-fo(2)*fi(4))
+         else
+            d = d*gc(1)
+            c0 =   fo(3)*fi(1)+fo(4)*fi(2)
+            c1 =  -fo(3)*fi(2)-fo(4)*fi(1)
+            c2 = ( fo(3)*fi(2)-fo(4)*fi(1))*cImag
+            c3 =  -fo(3)*fi(1)+fo(4)*fi(2)
+         end if
+
+c     Fabio's implementation of the fixed width
+         cm2=dcmplx( vm2, -vmass*vwidth )
+c     cs = (q(0)*c0-q(1)*c1-q(2)*c2-q(3)*c3)/vm2
+         cs = (q(0)*c0-q(1)*c1-q(2)*c2-q(3)*c3)/cm2
+         jio(1) = (c0-cs*q(0))*d
+         jio(2) = (c1-cs*q(1))*d
+         jio(3) = (c2-cs*q(2))*d
+         jio(4) = (c3-cs*q(3))*d
+
+      else
+
+         d = dcmplx( rOne/q2, rZero )
+         if ( gc(2).ne.cZero ) then
+            jio(1) = ( gc(1)*( fo(3)*fi(1)+fo(4)*fi(2))
+     &                +gc(2)*( fo(1)*fi(3)+fo(2)*fi(4)) )*d
+            jio(2) = (-gc(1)*( fo(3)*fi(2)+fo(4)*fi(1))
+     &                +gc(2)*( fo(1)*fi(4)+fo(2)*fi(3)) )*d
+            jio(3) = ( gc(1)*( fo(3)*fi(2)-fo(4)*fi(1))
+     &                +gc(2)*(-fo(1)*fi(4)+fo(2)*fi(3)))
+     &               *d*cImag
+            jio(4) = ( gc(1)*(-fo(3)*fi(1)+fo(4)*fi(2))
+     &                +gc(2)*( fo(1)*fi(3)-fo(2)*fi(4)) )*d
+         else
+            d = d*gc(1)
+            jio(1) =  ( fo(3)*fi(1)+fo(4)*fi(2))*d
+            jio(2) = -( fo(3)*fi(2)+fo(4)*fi(1))*d
+            jio(3) =  ( fo(3)*fi(2)-fo(4)*fi(1))*d*cImag
+            jio(4) =  (-fo(3)*fi(1)+fo(4)*fi(2))*d
+         end if
+
+      end if
+c
+      return
+      end

=== added file 'HELAS/jssxxx.F'
--- HELAS/jssxxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/jssxxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,151 @@
+      subroutine jssxxx(s1,s2,gc,vmass,vwidth , jss)
+c
+c This subroutine computes an off-shell vector current from the vector-
+c scalar-scalar coupling.  The coupling is absent in the minimal SM in
+c unitary gauge.  The propagator is given in Feynman gauge for a
+c massless vector and in unitary gauge for a massive vector.
+c
+c input:
+c       complex s1(3)          : first  scalar                        s1
+c       complex s2(3)          : second scalar                        s2
+c       complex gc             : coupling constant (s1 charge)
+c       real    vmass          : mass  of output vector v
+c       real    vwidth         : width of output vector v
+c
+c examples of the coupling constant g for susy particles are as follows:
+c   -----------------------------------------------------------
+c   |    s1    | (q,i3) of s1  ||   v=A   |   v=Z   |   v=W   |
+c   -----------------------------------------------------------
+c   | nu~_l    | (  0  , +1/2) ||   ---   |  gzn(1) |  gwf(1) |
+c   | e~_l     | ( -1  , -1/2) ||  gal(1) |  gzl(1) |  gwf(1) |
+c   | u~_l     | (+2/3 , +1/2) ||  gau(1) |  gzu(1) |  gwf(1) |
+c   | d~_l     | (-1/3 , -1/2) ||  gad(1) |  gzd(1) |  gwf(1) |
+c   -----------------------------------------------------------
+c   | e~_r-bar | ( +1  ,  0  ) || -gal(2) | -gzl(2) | -gwf(2) |
+c   | u~_r-bar | (-2/3 ,  0  ) || -gau(2) | -gzu(2) | -gwf(2) |
+c   | d~_r-bar | (+1/3 ,  0  ) || -gad(2) | -gzd(2) | -gwf(2) |
+c   -----------------------------------------------------------
+c where the s1 charge is defined by the flowing-OUT quantum number.
+c
+c output:
+c       complex jss(6)         : vector current            j^mu(v:s1,s2)
+c     
+      implicit none
+      double complex s1(3),s2(3),gc,jss(6),dg,adg
+      double complex cm2        ! mass**2- I Gamma mass (Fabio)
+      double precision pp(0:3),pa(0:3),q(0:3),vmass,vwidth
+      double precision q2,vm2,mp2,ma2,m2d
+
+      double precision rZero
+      parameter( rZero = 0.0d0 )
+
+#ifdef HELAS_CHECK
+      double complex cZero
+      parameter( cZero = ( 0.0d0, 0.0d0 ) )
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+#ifdef HELAS_CHECK
+      if ( s1(1).eq.cZero ) then
+         write(stdo,*) ' helas-warn  : s1 in jssxxx is zero scalar'
+      endif
+      if ( abs(s1(2))+abs(s1(3)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : s1 in jssxxx has zero momentum'
+      endif
+      if ( abs(s2(1)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : s2 in jssxxx is zero scalar'
+      endif
+      if ( abs(s2(2))+abs(s2(3)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : s2 in jssxxx has zero momentum'
+      endif
+      if ( gc.eq.cZero ) then
+         write(stdo,*) ' helas-error : gc in jssxxx is zero coupling'
+      endif
+      if ( vmass.lt.rZero ) then
+         write(stdo,*) ' helas-error : vmass in jssxxx is negative'
+         write(stdo,*) '             : vmass = ',vmass
+      endif
+      if ( vwidth.lt.rZero ) then
+         write(stdo,*) ' helas-error : vwidth in jssxxx is negative'
+         write(stdo,*) '             : vwidth = ',vwidth
+      endif
+#endif
+
+      jss(5) = s1(2)+s2(2)
+      jss(6) = s1(3)+s2(3)
+
+      q(0) = dble( jss(5))
+      q(1) = dble( jss(6))
+      q(2) = dimag(jss(6))
+      q(3) = dimag(jss(5))
+      q2 = q(0)**2-(q(1)**2+q(2)**2+q(3)**2)
+      vm2 = vmass**2
+
+#ifdef HELAS_CHECK
+      if ( abs(jss(5))+abs(jss(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : jss in jssxxx has zero momentum'
+      endif
+      if ( vwidth.eq.rZero .and. q2.eq.vm2 ) then
+         write(stdo,*)
+     &        ' helas-error : jss in jssxxx is on vmass pole'
+         write(stdo,*)
+     &        '             : q     = ',q(0),q(1),q(2),q(3)
+         write(stdo,*) 
+     &        '             : abs(q)= ',sqrt(abs(q2))
+         jss(1) = cZero
+         jss(2) = cZero
+         jss(3) = cZero
+         jss(4) = cZero
+         return
+      endif
+#endif
+
+      if ( vmass.ne.rZero ) then
+
+         dg = gc/dcmplx( q2-vm2, vmass*vwidth )
+c  For the running width, use below instead of the above dg.
+c         dg = g/dcmplx( q2-vm2, max(vwidth*q2/vmass,rZero) )
+
+
+         adg = dg*s1(1)*s2(1)
+
+         pp(0) = dble( s1(2))
+         pp(1) = dble( s1(3))
+         pp(2) = dimag(s1(3))
+         pp(3) = dimag(s1(2))
+         pa(0) = dble( s2(2))
+         pa(1) = dble( s2(3))
+         pa(2) = dimag(s2(3))
+         pa(3) = dimag(s2(2))
+         mp2 = pp(0)**2-(pp(1)**2+pp(2)**2+pp(3)**2)
+         ma2 = pa(0)**2-(pa(1)**2+pa(2)**2+pa(3)**2)
+         m2d = mp2-ma2
+
+c     Fabio's implementation of the fixed width
+         cm2=dcmplx( vm2, -vmass*vwidth )
+c     jss(1) = adg*( (pp(0)-pa(0)) - q(0)*m2d/vm2)
+c     jss(2) = adg*( (pp(1)-pa(1)) - q(1)*m2d/vm2)
+c     jss(3) = adg*( (pp(2)-pa(2)) - q(2)*m2d/vm2)
+c     jss(4) = adg*( (pp(3)-pa(3)) - q(3)*m2d/vm2)
+         jss(1) = adg*( (pp(0)-pa(0)) - q(0)*m2d/cm2)
+         jss(2) = adg*( (pp(1)-pa(1)) - q(1)*m2d/cm2)
+         jss(3) = adg*( (pp(2)-pa(2)) - q(2)*m2d/cm2)
+         jss(4) = adg*( (pp(3)-pa(3)) - q(3)*m2d/cm2)
+
+      else
+
+         adg = gc*s1(1)*s2(1)/q2
+
+         jss(1) = adg*dble( s1(2)-s2(2))
+         jss(2) = adg*dble( s1(3)-s2(3))
+         jss(3) = adg*dimag(s1(3)-s2(3))
+         jss(4) = adg*dimag(s1(2)-s2(2))
+
+      endif
+c
+      return
+      end

=== added file 'HELAS/jvshxx.F'
--- HELAS/jvshxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/jvshxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,93 @@
+      subroutine jvshxx(vc,sc,gc,xm,xw , jvs)
+c
+c- by RF - Mar. 2006
+c
+c
+c This subroutine computes an off-shell vector current from the vector-
+c vector-(pseudo-)scalar effective coupling.  
+c input:
+c       complex vc(6)          : input vector
+c       complex sc(3)          : input scalar
+c       real xm                : mass outgoing vector
+c       real xw                : width outgoing vector
+c       complex gc(2)          : coupling constant: gc(1) scalar
+c                                                   gc(2) pseudo-scalar
+c
+c output:
+c       complex jvs(6)         : outgoing vector current
+c
+c
+      implicit none
+c--   dimension of the current set to arbitrary length
+c      INTEGER DIM
+c      PARAMETER(DIM=18)
+      include "dimension.inc"
+      double complex vc(DIM),sc(DIM),jvs(DIM),jvs1(DIM),jvs2(DIM)
+      double complex qvc,dg
+      double precision qp1,p12,p13,p14,p23,p24,p34
+      double precision p1(4),q(4),xm,xw,q2
+      double complex gc(2)
+
+      jvs(5) = vc(5)+sc(2)
+      jvs(6) = vc(6)+sc(3)
+
+      p1(1) = dble( vc(5))
+      p1(2) = dble( vc(6))
+      p1(3) = dimag(vc(6))
+      p1(4) = dimag(vc(5))
+
+      q(1) = -dble( jvs(5))
+      q(2) = -dble( jvs(6))
+      q(3) = -dimag(jvs(6))
+      q(4) = -dimag(jvs(5))
+
+      q2 = q(1)**2 - q(2)**2 - q(3)**2 - q(4)**2
+
+      jvs1(1) = (0D0,0D0)
+      jvs1(2) = (0D0,0D0)
+      jvs1(3) = (0D0,0D0)
+      jvs1(4) = (0D0,0D0)
+      jvs2(1) = (0D0,0D0)
+      jvs2(2) = (0D0,0D0)
+      jvs2(3) = (0D0,0D0)
+      jvs2(4) = (0D0,0D0)
+
+      if(xm.eq.0d0)then
+         dg = sc(1) /q2
+      else
+         dg = sc(1)/ dcmplx( q2-xm**2 , xm*xw )
+      endif
+
+      if (gc(1).NE.(0D0,0D0)) then
+         qvc = vc(1)*q(1) - vc(2)*q(2) - vc(3)*q(3) - vc(4)*q(4)	
+         qp1 = q(1)*p1(1) - q(2)*p1(2) - q(3)*p1(3) - q(4)*p1(4)	
+         
+         jvs1(1) = -gc(1)* (vc(1)*qp1 - p1(1)*qvc)
+         jvs1(2) = -gc(1)* (vc(2)*qp1 - p1(2)*qvc)
+         jvs1(3) = -gc(1)* (vc(3)*qp1 - p1(3)*qvc)
+         jvs1(4) = -gc(1)* (vc(4)*qp1 - p1(4)*qvc)
+      endif
+ 
+      if (gc(2).NE.(0D0,0D0)) then
+         p12 = p1(1)*q(2) - p1(2)*q(1)
+         p13 = p1(1)*q(3) - p1(3)*q(1)
+         p14 = p1(1)*q(4) - p1(4)*q(1)
+         p23 = p1(2)*q(3) - p1(3)*q(2)
+         p24 = p1(2)*q(4) - p1(4)*q(2)
+         p34 = p1(3)*q(4) - p1(4)*q(3)
+
+
+         jvs2(1)=  gc(2)* (           -vc(2)*p34 +vc(3)*p24 -vc(4)*p23)
+         jvs2(2)= -gc(2)* ( vc(1)*p34            -vc(3)*p14 +vc(4)*p13)
+         jvs2(3)= -gc(2)* (-vc(1)*p24 +vc(2)*p14            -vc(4)*p12)
+         jvs2(4)= -gc(2)* ( vc(1)*p23 -vc(2)*p13 +vc(3)*p12           )
+      endif
+
+
+      jvs(1) = dg * (jvs1(1) + jvs2(1))
+      jvs(2) = dg * (jvs1(2) + jvs2(2))
+      jvs(3) = dg * (jvs1(3) + jvs2(3))
+      jvs(4) = dg * (jvs1(4) + jvs2(4))
+
+      return
+      end

=== added file 'HELAS/jvsshx.F'
--- HELAS/jvsshx.F	1970-01-01 00:00:00 +0000
+++ HELAS/jvsshx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,78 @@
+      subroutine jvsshx(vc,sc1,sc2,g1,xm,xw , jvs)
+c
+c- by RF - Mar. 2006
+c
+c
+c This subroutine computes an off-shell vector current from the vector-
+c vector-Higgs-Higgs effective coupling.  
+c
+      implicit none
+c--   dimension of the current set to arbitrary length
+c      INTEGER DIM
+c      PARAMETER(DIM=18)
+      include "dimension.inc"
+      double complex vc(DIM),sc1(DIM),sc2(DIM),jvs(DIM)
+      double complex jvs1(DIM),jvs2(DIM),dg,qvc
+      double precision qp1,p12,p13,p14,p23,p24,p34
+      double precision p1(4),q(4),xm,xw,q2,vm2
+      double complex g1(2)
+
+      jvs(5) = vc(5)+sc1(2)+sc2(2)
+      jvs(6) = vc(6)+sc1(3)+sc2(3)
+
+      p1(1) = dble( vc(5))
+      p1(2) = dble( vc(6))
+      p1(3) = dimag(vc(6))
+      p1(4) = dimag(vc(5))
+
+      q(1) = -dble( jvs(5))
+      q(2) = -dble( jvs(6))
+      q(3) = -dimag(jvs(6))
+      q(4) = -dimag(jvs(5))
+
+      q2 = q(1)**2 - q(2)**2 - q(3)**2 - q(4)**2
+
+      jvs1(1) = (0D0,0D0)
+      jvs1(2) = (0D0,0D0)
+      jvs1(3) = (0D0,0D0)
+      jvs1(4) = (0D0,0D0)
+      jvs2(1) = (0D0,0D0)
+      jvs2(2) = (0D0,0D0)
+      jvs2(3) = (0D0,0D0)
+      jvs2(4) = (0D0,0D0)
+
+      dg = sc1(1)*sc2(1) /q2
+
+      if (g1(1).NE.(0D0,0D0)) then
+         qvc = vc(1)*q(1) - vc(2)*q(2) - vc(3)*q(3) - vc(4)*q(4)	
+         qp1 = q(1)*p1(1) - q(2)*p1(2) - q(3)*p1(3) - q(4)*p1(4)	
+         
+         jvs1(1) = g1(1)* (vc(1)*qp1 - p1(1)*qvc)
+         jvs1(2) = g1(1)* (vc(2)*qp1 - p1(2)*qvc)
+         jvs1(3) = g1(1)* (vc(3)*qp1 - p1(3)*qvc)
+         jvs1(4) = g1(1)* (vc(4)*qp1 - p1(4)*qvc)
+      endif
+ 
+      if (g1(2).NE.(0D0,0D0)) then
+         p12 = p1(1)*q(2) - p1(2)*q(1)
+         p13 = p1(1)*q(3) - p1(3)*q(1)
+         p14 = p1(1)*q(4) - p1(4)*q(1)
+         p23 = p1(2)*q(3) - p1(3)*q(2)
+         p24 = p1(2)*q(4) - p1(4)*q(2)
+         p34 = p1(3)*q(4) - p1(4)*q(3)
+
+
+         jvs2(1)= - g1(2)* (-vc(2)*p34 +vc(3)*p24 -vc(4)*p23)
+         jvs2(2)=   g1(2)* ( vc(1)*p34 -vc(3)*p14 +vc(4)*p13)
+         jvs2(3)=   g1(2)* (-vc(1)*p24 +vc(2)*p14 -vc(4)*p12)
+         jvs2(4)=   g1(2)* ( vc(1)*p23 -vc(2)*p13 +vc(3)*p12)
+      endif
+
+
+      jvs(1) = dg * (jvs1(1) + jvs2(1))
+      jvs(2) = dg * (jvs1(2) + jvs2(2))
+      jvs(3) = dg * (jvs1(3) + jvs2(3))
+      jvs(4) = dg * (jvs1(4) + jvs2(4))
+
+      return
+      end

=== added file 'HELAS/jvssxx.F'
--- HELAS/jvssxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/jvssxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,128 @@
+      subroutine jvssxx(vc,s1,s2,gc,vmass,vwidth , jvss)
+c
+c This subroutine computes an off-shell vector current from the vector-
+c vector-scalar-scalar coupling.  The vector propagator is given in
+c Feynman gauge for a massless vector and in unitary gauge for a massive
+c vector.
+c
+c input:
+c       complex vc(6)          : input  vector                        v
+c       complex s1(3)          : first  scalar                        s1
+c       complex s2(3)          : second scalar                        s2
+c       complex gc             : coupling constant                 gvvhh
+c       real    vmass          : mass  of output vector v'
+c       real    vwidth         : width of output vector v'
+c
+c output:
+c       complex jvss(6)        : vector current         j^mu(v':v,s1,s2)
+c     
+      implicit none
+      double complex vc(6),s1(3),s2(3),gc,jvss(6),dg
+      double complex cm2        ! mass**2- I Gamma mass (Fabio)
+      double precision q(0:3),vmass,vwidth,q2,vm2
+      double complex vk
+
+      double precision rZero
+      parameter( rZero = 0.0d0 )
+
+#ifdef HELAS_CHECK
+      double complex cZero
+      parameter( cZero = ( 0.0d0, 0.0d0 ) )
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+#ifdef HELAS_CHECK
+      if ( abs(vc(1))+abs(vc(2))+abs(vc(3))+abs(vc(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : vc in jvssxx is zero vector'
+      endif
+      if ( abs(vc(5))+abs(vc(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : vc in jvssxx has zero momentum'
+      endif
+      if ( s1(1).eq.cZero ) then
+         write(stdo,*) ' helas-warn  : s1 in jvssxx is zero scalar'
+      endif
+      if ( abs(s1(2))+abs(s1(3)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : s1 in jvssxx has zero momentum'
+      endif
+      if ( s2(1).eq.cZero ) then
+         write(stdo,*) ' helas-warn  : s2 in jvssxx is zero scalar'
+      endif
+      if ( abs(s2(2))+abs(s2(3)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : s2 in jvssxx has zero momentum'
+      endif
+      if ( gc.eq.cZero ) then
+         write(stdo,*) ' helas-error : gc in jvssxx is zero coupling'
+      endif
+      if ( vmass.lt.rZero ) then
+         write(stdo,*) ' helas-error : vmass in jvssxx is negative'
+         write(stdo,*) '             : vmass = ',vmass
+      endif
+      if ( vwidth.lt.rZero ) then
+         write(stdo,*) ' helas-error : vwidth in jvssxx is negative'
+         write(stdo,*) '             : vwidth = ',vwidth
+      endif
+#endif
+
+      jvss(5) = vc(5)+s1(2)+s2(2)
+      jvss(6) = vc(6)+s1(3)+s2(3)
+
+      q(0) = dble( jvss(5))
+      q(1) = dble( jvss(6))
+      q(2) = dimag(jvss(6))
+      q(3) = dimag(jvss(5))
+      q2 = q(0)**2-(q(1)**2+q(2)**2+q(3)**2)
+      vm2 = vmass**2
+
+#ifdef HELAS_CHECK
+      if ( abs(jvss(5))+abs(jvss(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : jvss in jvssxx has zero momentum'
+      endif
+      if ( vwidth.eq.rZero .and. q2.eq.vm2 ) then
+         write(stdo,*)
+     &        ' helas-error : jvss in jvssxx is on vmass pole'
+         write(stdo,*)
+     &        '             : q     = ',q(0),q(1),q(2),q(3)
+         write(stdo,*)
+     &        '             : abs(q)= ',sqrt(abs(q2))
+         jvss(1) = cZero
+         jvss(2) = cZero
+         jvss(3) = cZero
+         jvss(4) = cZero
+         return
+      endif
+#endif
+
+      if ( vmass.ne.rZero ) then
+
+         dg = gc*s1(1)*s2(1)/dcmplx( q2-vm2, vmass*vwidth )
+c  For the running width, use below instead of the above dg.
+c         dg = gc*s1(1)*s2(1)/cmplx( q2-vm2 , max( vwidth*q2/vmass ,rZero))
+
+c     Fabio's implementation of the fixed width
+         cm2=dcmplx( vm2, -vmass*vwidth )
+c     vk = (q(0)*vc(1)-q(1)*vc(2)-q(2)*vc(3)-q(3)*vc(4))/vm2
+         vk = (q(0)*vc(1)-q(1)*vc(2)-q(2)*vc(3)-q(3)*vc(4))/cm2
+
+         jvss(1) = dg*(vc(1)-vk*q(0))
+         jvss(2) = dg*(vc(2)-vk*q(1))
+         jvss(3) = dg*(vc(3)-vk*q(2))
+         jvss(4) = dg*(vc(4)-vk*q(3))
+
+      else
+
+         dg = gc*s1(1)*s2(1)/q2
+
+         jvss(1) = dg*vc(1)
+         jvss(2) = dg*vc(2)
+         jvss(3) = dg*vc(3)
+         jvss(4) = dg*vc(4)
+
+      endif
+c
+      return
+      end

=== added file 'HELAS/jvstxx.F'
--- HELAS/jvstxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/jvstxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,79 @@
+      subroutine jvstxx(ga,tc,g,xm,xw,jw)
+c
+c- by RF - Feb. 2006
+c
+c This subroutine computes the off-shell vector current
+c in terms of the vector w1 and tensor jt 
+c
+c     input:
+c         complex ga                  : incoming vector boson (gluon)
+c         complex tc                  : incoming tensor particle
+c         real    g                   : coupling constant
+c
+c     output:
+c         complex jw                  : outgoing vector current (gluon)
+c
+c     not used:
+c         real xm, xw
+c
+
+      implicit none
+
+c dimension of the current set to arbitrary length
+      integer DIM
+      parameter (DIM=18)
+c      include "dimension.inc"
+      double complex ga(DIM),jw(DIM),tc(DIM)
+
+      double complex gt1(4), gt2(4), dv, q2
+      double precision q(0:3),g
+      double precision xm,xw
+	
+      double precision sqrTwo
+      parameter( sqrTwo = 1.41421356237309514547462185873882845044d0 )
+
+      jw(5) = ga(5) + tc(17)
+      jw(6) = ga(6) + tc(18)
+
+      q(0) = - dble( jw(5))
+      q(1) = - dble( jw(6))
+      q(2) = - dimag(jw(6))
+      q(3) = - dimag(jw(5))
+
+      q2 = q(0)**2 -q(1)**2 -q(2)**2 -q(3)**2
+
+
+c Gluon propagator:
+
+      dv = - g /sqrTwo /dcmplx( q2 )
+
+cfax--> madgraph bug compensation
+
+      dv = -dv
+
+c First take the inner product of the incoming vector with the
+c second index of the tensor
+
+      gt2(1) = ga(1)*tc( 1) - ga(2)*tc( 2) - ga(3)*tc( 3) - ga(4)*tc( 4)
+      gt2(2) = ga(1)*tc( 5) - ga(2)*tc( 6) - ga(3)*tc( 7) - ga(4)*tc( 8)
+      gt2(3) = ga(1)*tc( 9) - ga(2)*tc(10) - ga(3)*tc(11) - ga(4)*tc(12)
+      gt2(4) = ga(1)*tc(13) - ga(2)*tc(14) - ga(3)*tc(15) - ga(4)*tc(16)
+
+c and with the first index of the tensor
+
+      gt1(1) = ga(1)*tc( 1) - ga(2)*tc( 5) - ga(3)*tc( 9) - ga(4)*tc(13)
+      gt1(2) = ga(1)*tc( 2) - ga(2)*tc( 6) - ga(3)*tc(10) - ga(4)*tc(14)
+      gt1(3) = ga(1)*tc( 3) - ga(2)*tc( 7) - ga(3)*tc(11) - ga(4)*tc(15)
+      gt1(4) = ga(1)*tc( 4) - ga(2)*tc( 8) - ga(3)*tc(12) - ga(4)*tc(16)
+
+c The current is the difference of gt1 and gt2 with the remaining
+c tensor indices the indices of the outgoing vector current
+
+      jw(1) = dv * (gt1(1) - gt2(1))
+      jw(2) = dv * (gt1(2) - gt2(2))
+      jw(3) = dv * (gt1(3) - gt2(3))
+      jw(4) = dv * (gt1(4) - gt2(4))
+
+      return
+      end
+

=== added file 'HELAS/jvsxxx.F'
--- HELAS/jvsxxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/jvsxxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,118 @@
+      subroutine jvsxxx(vc,sc,gc,vmass,vwidth , jvs)
+c
+c This subroutine computes an off-shell vector current from the vector-
+c vector-scalar coupling.  The vector propagator is given in Feynman
+c gauge for a massless vector and in unitary gauge for a massive vector.
+c
+c input:
+c       complex vc(6)          : input vector                          v
+c       complex sc(3)          : input scalar                          s
+c       complex gc             : coupling constant                  gvvh
+c       real    vmass          : mass  of output vector v'
+c       real    vwidth         : width of output vector v'
+c
+c output:
+c       complex jvs(6)         : vector current             j^mu(v':v,s)
+c     
+      implicit none
+      double complex vc(6),sc(3),gc,jvs(6),dg,vk
+      double complex cm2        ! mass**2- I Gamma mass (Fabio)
+      double precision q(0:3),vmass,vwidth,q2,vm2
+
+      double precision rZero
+      parameter( rZero = 0.0d0 )
+
+#ifdef HELAS_CHECK
+      double complex cZero
+      parameter( cZero = ( 0.0d0, 0.0d0 ) )
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+#ifdef HELAS_CHECK
+      if ( abs(vc(1))+abs(vc(2))+abs(vc(3))+abs(vc(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : vc in jvsxxx is zero vector'
+      endif
+      if ( abs(vc(5))+abs(vc(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : vc in jvsxxx has zero momentum'
+      endif
+      if ( sc(1).eq.cZero ) then
+         write(stdo,*) ' helas-warn  : sc in jvsxxx is zero scalar'
+      endif
+      if ( abs(sc(2))+abs(sc(3)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : sc in jvsxxx has zero momentum'
+      endif
+      if ( gc.eq.cZero ) then
+         write(stdo,*) ' helas-error : gc in jvsxxx is zero coupling'
+      endif
+      if ( vmass.le.rZero ) then
+         write(stdo,*) ' helas-error : vmass in jvsxxx is not positive'
+         write(stdo,*) '             : vmass = ',vmass
+      endif
+      if ( vwidth.lt.rZero ) then
+         write(stdo,*) ' helas-error : vwidth in jvsxxx is negative'
+         write(stdo,*) '             : vwidth = ',vwidth
+      endif
+#endif
+
+      jvs(5) = vc(5)+sc(2)
+      jvs(6) = vc(6)+sc(3)
+
+      q(0) = dble( jvs(5))
+      q(1) = dble( jvs(6))
+      q(2) = dimag(jvs(6))
+      q(3) = dimag(jvs(5))
+      q2 = q(0)**2-(q(1)**2+q(2)**2+q(3)**2)
+      vm2 = vmass**2
+
+#ifdef HELAS_CHECK
+      if ( abs(jvs(5))+abs(jvs(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : jvs in jvsxxx has zero momentum'
+      endif
+      if ( vwidth.eq.rZero .and. q2.eq.vm2 ) then
+         write(stdo,*)
+     &        ' helas-error : jvs in jvsxxx is on vmass pole'
+         write(stdo,*) 
+     &        '             : q     = ',q(0),q(1),q(2),q(3)
+         write(stdo,*) 
+     &        '             : abs(q)= ',sqrt(abs(q2))
+         jvs(1)=cmplx(rZero)
+         jvs(2)=cmplx(rZero)
+         jvs(3)=cmplx(rZero)
+         jvs(4)=cmplx(rZero)
+         return
+      endif
+#endif
+
+      if ( vmass.ne.rZero ) then
+
+         dg = gc*sc(1)/dcmplx( q2-vm2, vmass*vwidth )
+c  For the running width, use below instead of the above dg.
+c         dg = g*sc(1)/dcmplx( q2-vm2, max(vwidth*q2/vmass,rZero) )
+
+c     Fabio's implementation of the fixed width
+         cm2=dcmplx( vm2, -vmass*vwidth )
+c     vk = (-q(0)*vc(1)+q(1)*vc(2)+q(2)*vc(3)+q(3)*vc(4))/vm2
+         vk = (-q(0)*vc(1)+q(1)*vc(2)+q(2)*vc(3)+q(3)*vc(4))/cm2
+
+         jvs(1) = dg*(q(0)*vk+vc(1))
+         jvs(2) = dg*(q(1)*vk+vc(2))
+         jvs(3) = dg*(q(2)*vk+vc(3))
+         jvs(4) = dg*(q(3)*vk+vc(4))
+
+      else
+
+         dg=gc*sc(1)/q2
+
+         jvs(1) = dg*vc(1)
+         jvs(2) = dg*vc(2)
+         jvs(3) = dg*vc(3)
+         jvs(4) = dg*vc(4)
+
+      endif
+c
+      return
+      end

=== added file 'HELAS/jvtaxx.F'
--- HELAS/jvtaxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/jvtaxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,75 @@
+      subroutine jvtaxx(ga,tc,g,xm1,xw,jw)
+c
+c- by RF - Feb. 2006
+c
+c This subroutine computes the off-shell vector current
+c in terms of the vector w1 and tensor jt 
+c
+c     input:
+c         complex ga                  : incoming vector boson
+c         complex tc                  : incoming tensor particle
+c         real    g                   : coupling constant
+c
+c     output:
+c         complex jw                  : outgoing vector current
+c
+c     not used:
+c         real xm1, xw
+c
+
+      implicit none
+
+c dimension of the current set to arbitrary length
+c      integer DIM
+c      parameter (DIM=18)
+      include "dimension.inc"
+      double complex ga(DIM),jw(DIM),tc(DIM)
+      double complex gt1(4), gt2(4)
+      double precision q(0:3),g,q2,dv
+      double precision xm1,xw
+      double precision sqrTwo
+      parameter( sqrTwo = 1.41421356237309514547462185873882845044d0 )
+
+      jw(5) = ga(5) + tc(17)
+      jw(6) = ga(6) + tc(18)
+
+      q(0) = - dble( jw(5))
+      q(1) = - dble( jw(6))
+      q(2) = - dimag(jw(6))
+      q(3) = - dimag(jw(5))
+
+      q2 = q(0)**2 -q(1)**2 -q(2)**2 -q(3)**2
+
+
+
+c Gluon propagator:
+
+      dv = - g /sqrTwo / q2
+
+
+c First take the inner product of the incoming vector with the
+c second index of the tensor
+
+      gt2(1) = ga(1)*tc( 1) - ga(2)*tc( 2) - ga(3)*tc( 3) - ga(4)*tc( 4)
+      gt2(2) = ga(1)*tc( 5) - ga(2)*tc( 6) - ga(3)*tc( 7) - ga(4)*tc( 8)
+      gt2(3) = ga(1)*tc( 9) - ga(2)*tc(10) - ga(3)*tc(11) - ga(4)*tc(12)
+      gt2(4) = ga(1)*tc(13) - ga(2)*tc(14) - ga(3)*tc(15) - ga(4)*tc(16)
+
+c and with the first index of the tensor
+
+      gt1(1) = ga(1)*tc( 1) - ga(2)*tc( 5) - ga(3)*tc( 9) - ga(4)*tc(13)
+      gt1(2) = ga(1)*tc( 2) - ga(2)*tc( 6) - ga(3)*tc(10) - ga(4)*tc(14)
+      gt1(3) = ga(1)*tc( 3) - ga(2)*tc( 7) - ga(3)*tc(11) - ga(4)*tc(15)
+      gt1(4) = ga(1)*tc( 4) - ga(2)*tc( 8) - ga(3)*tc(12) - ga(4)*tc(16)
+
+c The current is the difference of gt1 and gt2 with the remaining
+c tensor indices the indices of the outgoing vector current
+
+      jw(1) = dv * (gt1(1) - gt2(1))
+      jw(2) = dv * (gt1(2) - gt2(2))
+      jw(3) = dv * (gt1(3) - gt2(3))
+      jw(4) = dv * (gt1(4) - gt2(4))
+
+      return
+      end
+

=== added file 'HELAS/jvtcxx.F'
--- HELAS/jvtcxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/jvtcxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,69 @@
+      subroutine jvtcxx(vc,tc,gt,vmass,vwidth , jvt)
+c-------------------CP3  2009.10-----------------
+c
+c This subroutine computes an off-shell vector current from 
+c the coupling of two gauge bosons and a non-propagating tensor boson.
+c
+c input:
+c       complex vc(6)          : input vector                                                     v
+c       complex tc(18)         : input non-propagating tensor                          T
+c       complex gt            : coupling constant         gt=gs
+c       real    vmass         : mass  of output vector  v'
+c       real    vwidth         :  width of output vector    v'
+c
+c output:
+c       complex jvt(6)         : vector current             j^mu(v':v,T)
+c
+      implicit none
+      double complex vc(6), tc(18), jvt(6)
+      double precision vmass, vwidth,gt
+
+      double complex ft(6,4)
+      double precision pv2(4), pp2
+
+      integer i, j
+
+      double complex cZero
+      double precision rZero, rTwo
+      parameter( rZero = 0.0d0, rTwo = 2.0d0 )
+      parameter( cZero = ( 0.0d0, 0.0d0 ) )
+
+
+      ft(1,1) = tc(1)
+      ft(1,2) = tc(2)
+      ft(1,3) = tc(3)
+      ft(1,4) = tc(4)
+      ft(2,1) = tc(5)
+      ft(2,2) = tc(6)
+      ft(2,3) = tc(7)
+      ft(2,4) = tc(8)
+      ft(3,1) = tc(9)
+      ft(3,2) = tc(10)
+      ft(3,3) = tc(11)
+      ft(3,4) = tc(12)
+      ft(4,1) = tc(13)
+      ft(4,2) = tc(14)
+      ft(4,3) = tc(15)
+      ft(4,4) = tc(16)
+      ft(5,1) = tc(17)
+      ft(6,1) = tc(18)
+ 
+      jvt(5) = vc(5)+ft(5,1)
+      jvt(6) = vc(6)+ft(6,1)
+      pv2(1) = dreal(jvt(5))
+      pv2(2) = dreal(jvt(6))
+      pv2(3) = dimag(jvt(6))
+      pv2(4) = dimag(jvt(5))
+      pp2 = pv2(1)**2 - pv2(2)**2 - pv2(3)**2 - pv2(4)**2
+
+
+        do i=1,4
+            jvt(i)=-(ft(1,i)*vc(1)) + ft(2,i)*vc(2) + ft(3,i)*vc(3) 
+     & + ft(4,i)*vc(4) 
+            jvt(i)=jvt(i)*gt/dcmplx(pp2, 0.0d0)
+         enddo
+
+         
+
+      return
+      end

=== added file 'HELAS/jvtxxx.F'
--- HELAS/jvtxxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/jvtxxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,200 @@
+      subroutine jvtxxx(vc,tc,gt,vmass,vwidth , jvt)
+c
+c This subroutine computes an off-shell vector current from 
+c the coupling of two gauge bosons and a tensor boson.
+c
+c input:
+c       complex vc(6)          : input vector                          v
+c       complex tc(18)         : input tensor                          T
+c       complex gt             : coupling constant         gtv=-1/Lambda
+c       real    vmass          : mass  of output vector v'
+c       real    vwidth         : width of output vector v'
+c
+c output:
+c       complex jvt(6)         : vector current             j^mu(v':v,T)
+c     
+c- by Q.Li - OCT. 2006
+c
+      implicit none
+      double complex vc(6), tc(18), gt, jvt(6)
+      double precision vmass, vwidth
+
+      double complex ft(6,4),TVM(4),TKM(4)
+      double precision MET(4,4)
+      double complex T12, T13, T14, T23, T24, T34, T00
+      double complex K2V1,K1V1
+      double complex TKK,TK2V1, dum
+      double precision pv1(4), pv2(4), F, pp2
+
+      integer i, j
+
+      double complex cZero
+      double precision rZero, rTwo
+      parameter( rZero = 0.0d0, rTwo = 2.0d0 )
+      parameter( cZero = ( 0.0d0, 0.0d0 ) )
+
+
+      ft(1,1) = tc(1)
+      ft(1,2) = tc(2)
+      ft(1,3) = tc(3)
+      ft(1,4) = tc(4)
+      ft(2,1) = tc(5)
+      ft(2,2) = tc(6)
+      ft(2,3) = tc(7)
+      ft(2,4) = tc(8)
+      ft(3,1) = tc(9)
+      ft(3,2) = tc(10)
+      ft(3,3) = tc(11)
+      ft(3,4) = tc(12)
+      ft(4,1) = tc(13)
+      ft(4,2) = tc(14)
+      ft(4,3) = tc(15)
+      ft(4,4) = tc(16)
+      ft(5,1) = tc(17)
+      ft(6,1) = tc(18)
+ 
+      jvt(5) = vc(5)+ft(5,1)
+      jvt(6) = vc(6)+ft(6,1)
+
+      pv1(1) = -dreal(vc(5))
+      pv1(2) = -dreal(vc(6))
+      pv1(3) = -dimag(vc(6))
+      pv1(4) = -dimag(vc(5))
+
+      pv2(1) = dreal(jvt(5))
+      pv2(2) = dreal(jvt(6))
+      pv2(3) = dimag(jvt(6))
+      pv2(4) = dimag(jvt(5))
+
+      do i=1,4
+         do j=1,4
+            MET(i,j) = 0.0d0
+         enddo 
+      enddo
+      MET(1,1) =  1.0d0
+      MET(2,2) = -1.0d0
+      MET(3,3) = -1.0d0
+      MET(4,4) = -1.0d0
+      
+      T00 = ft(1,1)-ft(2,2)-ft(3,3)-ft(4,4)
+      T12 = ft(1,2) + ft(2,1)
+      T13 = ft(1,3) + ft(3,1)
+      T14 = ft(1,4) + ft(4,1)
+      T23 = ft(2,3) + ft(3,2)
+      T24 = ft(2,4) + ft(4,2)
+      T34 = ft(3,4) + ft(4,3)
+
+      K2V1 = pv2(1)*vc(1) - pv2(2)*vc(2) - pv2(3)*vc(3) - pv2(4)*vc(4)
+      K1V1 = pv1(1)*vc(1) - pv1(2)*vc(2) - pv1(3)*vc(3) - pv1(4)*vc(4)
+      F = pv1(1)*pv2(1) - pv1(2)*pv2(2) - pv1(3)*pv2(3) - pv1(4)*pv2(4)
+      pp2 = pv2(1)**2 - pv2(2)**2 - pv2(3)**2 - pv2(4)**2
+
+      TKK   = cZero
+      TK2V1 = cZero
+
+      do i = 1,4
+         dum   = ft(i,i)*pv2(i)
+         TKK   = TKK   + dum*pv1(i)
+         dum   = ft(i,i)*vc(i)
+         TK2V1 = TK2V1 + dum*pv2(i)
+      end do
+      
+      TKK   = rTwo*TKK
+      TK2V1 = rTwo*TK2V1
+      
+      TKK = TKK - T12*(pv1(1)*pv2(2) + pv1(2)*pv2(1))
+     &          - T13*(pv1(1)*pv2(3) + pv1(3)*pv2(1))
+     &          - T14*(pv1(1)*pv2(4) + pv1(4)*pv2(1))
+     &          + T23*(pv1(2)*pv2(3) + pv1(3)*pv2(2))
+     &          + T24*(pv1(2)*pv2(4) + pv1(4)*pv2(2))
+     &          + T34*(pv1(3)*pv2(4) + pv1(4)*pv2(3))
+
+      TK2V1 = TK2V1 - T12*(vc(1)*pv2(2) + vc(2)*pv2(1))
+     &              - T13*(vc(1)*pv2(3) + vc(3)*pv2(1))
+     &              - T14*(vc(1)*pv2(4) + vc(4)*pv2(1))
+     &              + T23*(vc(2)*pv2(3) + vc(3)*pv2(2))
+     &              + T24*(vc(2)*pv2(4) + vc(4)*pv2(2))
+     &              + T34*(vc(3)*pv2(4) + vc(4)*pv2(3))
+
+
+      do j=1,4
+
+         TVM(j) =
+     &MET(j,1)*(ft(1,1)*vc(1)-ft(2,1)*vc(2)
+     &-ft(3,1)*vc(3)-ft(4,1)*vc(4))
+     &-MET(j,2)*(ft(1,2)*vc(1)-ft(2,2)*vc(2)
+     &-ft(3,2)*vc(3)-ft(4,2)*vc(4))
+     &-MET(j,3)*(ft(1,3)*vc(1)-ft(2,3)*vc(2)
+     &-ft(3,3)*vc(3)-ft(4,3)*vc(4))
+     &-MET(j,4)*(ft(1,4)*vc(1)-ft(2,4)*vc(2)
+     &-ft(3,4)*vc(3)-ft(4,4)*vc(4))
+     &+
+     &MET(j,1)*(ft(1,1)*vc(1)-ft(1,2)*vc(2)
+     &-ft(1,3)*vc(3)-ft(1,4)*vc(4))
+     &-MET(j,2)*(ft(2,1)*vc(1)-ft(2,2)*vc(2)
+     &-ft(2,3)*vc(3)-ft(2,4)*vc(4))
+     &-MET(j,3)*(ft(3,1)*vc(1)-ft(3,2)*vc(2)
+     &-ft(3,3)*vc(3)-ft(3,4)*vc(4))
+     &-MET(j,4)*(ft(4,1)*vc(1)-ft(4,2)*vc(2)
+     &-ft(4,3)*vc(3)-ft(4,4)*vc(4))
+
+         TKM(j) =
+     &MET(j,1)*(ft(1,1)*pv1(1)-ft(2,1)*pv1(2)
+     &-ft(3,1)*pv1(3)-ft(4,1)*pv1(4))
+     &-MET(j,2)*(ft(1,2)*pv1(1)-ft(2,2)*pv1(2)
+     &-ft(3,2)*pv1(3)-ft(4,2)*pv1(4))
+     &-MET(j,3)*(ft(1,3)*pv1(1)-ft(2,3)*pv1(2)
+     &-ft(3,3)*pv1(3)-ft(4,3)*pv1(4))
+     &-MET(j,4)*(ft(1,4)*pv1(1)-ft(2,4)*pv1(2)
+     &-ft(3,4)*pv1(3)-ft(4,4)*pv1(4))
+     &+
+     &MET(j,1)*(ft(1,1)*pv1(1)-ft(1,2)*pv1(2)
+     &-ft(1,3)*pv1(3)-ft(1,4)*pv1(4))
+     &-MET(j,2)*(ft(2,1)*pv1(1)-ft(2,2)*pv1(2)
+     &-ft(2,3)*pv1(3)-ft(2,4)*pv1(4))
+     &-MET(j,3)*(ft(3,1)*pv1(1)-ft(3,2)*pv1(2)
+     &-ft(3,3)*pv1(3)-ft(3,4)*pv1(4))
+     &-MET(j,4)*(ft(4,1)*pv1(1)-ft(4,2)*pv1(2)
+     &-ft(4,3)*pv1(3)-ft(4,4)*pv1(4))
+     
+      enddo
+
+      if ( vmass.ne.rZero ) then
+
+         do i=1,4
+
+            jvt(i) = -(vmass**2+F)*T00*vc(i)
+     &+T00*K2V1*(pv1(i)+(1.0d0+F/vmass**2)*pv2(i)
+     &-F/vmass**2*pv2(i))
+     &+(vmass**2+F)*TVM(i)
+     &-TK2V1*pv1(i)
+     &-TK2V1*pv2(i)*(1.0d0+F/vmass**2)
+     &+TKK*vc(i)
+     &-K2V1*TKM(i)
+     &+F/vmass**2*TK2V1*pv2(i)
+	 
+            jvt(i)=jvt(i)*gt/dcmplx(pp2-vmass**2, vmass*vwidth )
+
+         enddo
+
+      else
+	
+         do i=1,4
+
+            jvt(i) = -F*T00*vc(i)
+     &+K1V1*T00*(pv1(i)+pv2(i))
+     &+T00*K2V1*(pv1(i)+pv2(i))
+     &+F*TVM(i)
+     &-TK2V1*(pv1(i)+pv2(i))
+     &+TKK*vc(i)
+     &-(K2V1+K1V1)*TKM(i)
+  
+            jvt(i)=jvt(i)*gt/dcmplx(pp2, 0.0d0)
+            
+         enddo
+
+         
+      endif
+
+      return
+      end

=== added file 'HELAS/jvvkxx.F'
--- HELAS/jvvkxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/jvvkxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,136 @@
+      subroutine jvvkxx(wm,wp,g,tmass,twidth, tc)
+c
+c This subroutine computes an off-shell tensor boson from two vector
+c gauge bosons.
+c
+c input:
+c       complex wm(6)          : vector               flow-in  V
+c       complex wp(6)          : vector               flow-out V~
+c       complex g(1)           : coupling constant    -kappa/2
+c       real    g(2)           : V boson mass          m_V
+c       real    tmass          : t boson mass          m_T
+c       real    twidth         : t boson width         W_T
+c
+c output:
+c       complex tc(18)        : tensor               KK mode T
+c     
+      implicit none
+      double complex wm(18), wp(18), tc(18),g(2)
+      double precision  tmass,twidth,vmass
+
+      double precision pwm(4),pwp(4),preC,m2,p(4),pp,eta(4,4)
+      integer i,j,ii,jj
+      double complex C(4,4),D(4,4),wpwm,wpeta(4),wmeta(4)
+      double complex pwpwm,wppwm,uio(4,4),denom
+
+      double complex cZero
+      double precision rZero, rTwo
+      parameter( rZero = 0.0d0, rTwo = 2.0d0 )
+      parameter( cZero = ( 0.0d0, 0.0d0 ) )
+
+      logical firsttime
+      data firsttime/.true./
+
+      vmass = dreal(g(2))
+      if (firsttime)then
+         write(*,*)'----------------------------------------------'
+         write(*,*)'Using the jvvkxx HELAS routine. This routine  '
+         write(*,*)'is only tested for gg>tt~ (sub)process.       '
+         write(*,*)'----------------------------------------------'
+         firsttime=.false.
+      endif
+c
+      do i=1,16
+         tc(i)=(0d0,0d0)
+      enddo
+
+      pwm(1) = dreal(wm(5))
+      pwm(2) = dreal(wm(6))
+      pwm(3) = dimag(wm(6))
+      pwm(4) = dimag(wm(5))
+      pwp(1) = dreal(wp(5))
+      pwp(2) = dreal(wp(6))
+      pwp(3) = dimag(wp(6))
+      pwp(4) = dimag(wp(5))
+
+      tc(17) = wm(5)+wp(5)
+      tc(18) = wm(6)+wp(6)
+
+      p(1) = -dble( tc(17))/tmass
+      p(2) = -dble( tc(18))/tmass
+      p(3) = -dimag(tc(18))/tmass
+      p(4) = -dimag(tc(17))/tmass
+
+      pp = p(1)**2 - p(2)**2 - p(3)**2 - p(4)**2
+
+      do i=1,3
+         do j=1+1,4
+            eta(i,j)=0d0
+            eta(j,i)=eta(i,j)
+         enddo
+      enddo
+      eta(1,1)= 1d0
+      eta(2,2)=-1d0
+      eta(3,3)=-1d0
+      eta(4,4)=-1d0
+
+      m2 = tmass**2
+      denom = dcmplx(pp*m2 - m2,tmass*twidth)
+
+      preC = pwm(1)*pwp(1)-pwm(2)*pwp(2)-pwm(3)*pwp(3)-pwm(4)*pwp(4)
+
+      if (vmass.ne.0d0)then
+         preC=preC+vmass
+      endif
+
+      wpwm  =  wm(1)* wp(1)-  wm(2)* wp(2)-  wm(3)* wp(3)-  wm(4)* wp(4)
+      pwpwm =  wm(1)*pwp(1)-  wm(2)*pwp(2)-  wm(3)*pwp(3)-  wm(4)*pwp(4)
+      wppwm = pwm(1)* wp(1)- pwm(2)* wp(2)- pwm(3)* wp(3)- pwm(4)* wp(4)
+
+      do i=1,4
+         wpeta(i) = -wp(i)
+         wmeta(i) = -wm(i)
+      enddo
+      wpeta(1) = -wpeta(1)
+      wmeta(1) = -wmeta(1)
+
+      do i=1,4
+         do j=1,4
+            C(i,j) = wpeta(i)*wmeta(j)+wpeta(j)*wmeta(i)-eta(i,j)*wpwm
+            D(i,j) = eta(i,j)*pwpwm*wppwm
+     & -wmeta(i)*pwm(j)*pwpwm-wpeta(i)*pwp(j)*wppwm+wpwm*pwm(i)*pwp(j)
+     & -wmeta(j)*pwm(i)*pwpwm-wpeta(j)*pwp(i)*wppwm+wpwm*pwm(j)*pwp(i)
+         enddo
+      enddo
+
+      do i=1,4
+         do j=1,4
+            uio(i,j)=preC*C(i,j)+D(i,j)
+         enddo
+      enddo
+c make indices upper indices before contracting with propagator
+      do i=2,4
+         uio(1,i)=-uio(1,i)
+         uio(i,1)=-uio(i,1)
+      enddo
+
+c multiply by propagator
+      do i=1,4
+         do j=1,4
+            do ii=1,4
+               do jj=1,4
+                  tc(i+4*(j-1))=tc(i+4*(j-1))+
+     &            (
+     &                    (eta(i,ii)-p(i)*p(ii))*(eta(j,jj)-p(j)*p(jj))+
+     &                    (eta(i,jj)-p(i)*p(jj))*(eta(j,ii)-p(j)*p(ii))-
+     &            2d0/3d0*(eta(i,j)-p(i)*p(j))*(eta(ii,jj)-p(ii)*p(jj))
+     &            )
+     &            *uio(ii,jj)*g(1)/denom
+               enddo
+            enddo
+         enddo
+      enddo
+
+
+      return
+      end

=== added file 'HELAS/jvvsxx.F'
--- HELAS/jvvsxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/jvvsxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,110 @@
+      subroutine jvvsxx(ga,gb,sc,g1,g2,xm,xw,jggs)
+c
+c- by RF - Mar. 2006	
+c
+c This subroutine computes an off-shell vector current from the coupling
+c of three gauge bosons and a scalar particle. The outgoing vector current
+c is given in the Feynman gauge.
+c
+c input:
+c       complex ga(6)       : first  incoming vector (gluon)
+c       complex gb(6)       : second incoming vector (gluon)
+c       complex sc(3)       : incoming scalar        (Higgs)
+c       real    g1          : coupling constant      (QCD)
+c       complex g2(2)       : coupling constant: g2(1) scalar
+c                                                g2(2) pseudo-scalar
+c
+c output:
+c       complex jggs(6)         : vector current
+c not used:
+c       real    xm, xw
+c
+ 
+      implicit none
+c--   dimension of the current set to arbitrary length
+c      INTEGER DIM
+c      PARAMETER(DIM=18)
+      include "dimension.inc"
+      double complex ga(DIM),gb(DIM),jggs(DIM),sc(DIM)
+      double complex jggs1(DIM),jggs2(DIM)
+      double complex sva,svb,vab,j12(0:3)
+      double complex v12,v13,v14,v23,v24,v34,dv
+      double precision p1(0:3),p2(0:3),q(0:3),q2,p12q(4)
+      double precision g1,xm,xw
+      double complex g2(2)
+
+
+      jggs(5) = ga(5) + gb(5) + sc(2)
+      jggs(6) = ga(6) + gb(6) + sc(3)
+
+      p1(0) = dble( ga(5))
+      p1(1) = dble( ga(6))
+      p1(2) = dimag(ga(6))
+      p1(3) = dimag(ga(5))
+
+      p2(0) = dble( gb(5))
+      p2(1) = dble( gb(6))
+      p2(2) = dimag(gb(6))
+      p2(3) = dimag(gb(5))
+
+      q(0) = -dble( jggs(5))
+      q(1) = -dble( jggs(6))
+      q(2) = -dimag(jggs(6))
+      q(3) = -dimag(jggs(5))
+
+      q2 = q(0)**2 - q(1)**2 - q(2)**2 - q(3)**2
+
+      dv = g1 * sc(1) /q2
+
+      jggs1(1) = (0D0,0D0)
+      jggs1(2) = (0D0,0D0)
+      jggs1(3) = (0D0,0D0)
+      jggs1(4) = (0D0,0D0)
+      jggs2(1) = (0D0,0D0)
+      jggs2(2) = (0D0,0D0)
+      jggs2(3) = (0D0,0D0)
+      jggs2(4) = (0D0,0D0)
+
+
+      if (g2(1).NE.(0D0,0D0)) then
+      vab = ga(1)*gb(1) - ga(2)*gb(2) - ga(3)*gb(3) - ga(4)*gb(4)
+      sva =   (p2(0)-q(0)) *ga(1) - (p2(1)-q(1)) *ga(2)
+     &      - (p2(2)-q(2)) *ga(3) - (p2(3)-q(3)) *ga(4)
+      svb = - (p1(0)-q(0)) *gb(1) + (p1(1)-q(1)) *gb(2)
+     &      + (p1(2)-q(2)) *gb(3) + (p1(3)-q(3)) *gb(4)
+
+      jggs1(1)= g2(1)*((p1(0)-p2(0))*vab + sva*gb(1) + svb*ga(1))
+      jggs1(2)= g2(1)*((p1(1)-p2(1))*vab + sva*gb(2) + svb*ga(2))
+      jggs1(3)= g2(1)*((p1(2)-p2(2))*vab + sva*gb(3) + svb*ga(3))
+      jggs1(4)= g2(1)*((p1(3)-p2(3))*vab + sva*gb(4) + svb*ga(4))
+      endif
+      
+      if (g2(2).NE.(0D0,0D0)) then
+
+      p12q(1) = p1(0) + p2(0) + q(0)
+      p12q(2) = p1(1) + p2(1) + q(1)
+      p12q(3) = p1(2) + p2(2) + q(2)
+      p12q(4) = p1(3) + p2(3) + q(3)
+
+      v12 = ga(1)*gb(2) - ga(2)*gb(1)
+      v13 = ga(1)*gb(3) - ga(3)*gb(1)
+      v14 = ga(1)*gb(4) - ga(4)*gb(1)
+      v23 = ga(2)*gb(3) - ga(3)*gb(2)
+      v24 = ga(2)*gb(4) - ga(4)*gb(2)
+      v34 = ga(3)*gb(4) - ga(4)*gb(3)
+
+      jggs2(1) =   g2(2)*(   v23*p12q(4) - v24*p12q(3) + v34*p12q(2) )
+      jggs2(2) = - g2(2)*( - v13*p12q(4) + v14*p12q(3) - v34*p12q(1) )
+      jggs2(3) = - g2(2)*(   v12*p12q(4) - v14*p12q(2) + v24*p12q(1) )
+      jggs2(4) = - g2(2)*( - v12*p12q(3) + v13*p12q(2) - v23*p12q(1) )
+      endif
+
+
+      jggs(1) = dv * (jggs1(1) + jggs2(1))
+      jggs(2) = dv * (jggs1(2) + jggs2(2))
+      jggs(3) = dv * (jggs1(3) + jggs2(3))
+      jggs(4) = dv * (jggs1(4) + jggs2(4))
+
+
+      return
+      end

=== added file 'HELAS/jvvtlx.F'
--- HELAS/jvvtlx.F	1970-01-01 00:00:00 +0000
+++ HELAS/jvvtlx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,108 @@
+      subroutine jvvtlx(ga,gb,sc,g1,g2,xm,xw,jggs)
+c
+c- by RF - Feb. 2006	
+c
+c This subroutine computes an off-shell vector current from the coupling
+c of three gauge bosons and a scalar particle. The outgoing vector
+c current is given in the Feynman gauge.
+c
+c input:
+c       complex ga(6)       : first  incoming vector (gluon)
+c       complex gb(6)       : second incoming vector (gluon)
+c       complex sc(3)       : incoming scalar        (Higgs)
+c       real    g1          : coupling constant      (QCD)
+c       complex g2(2)       : coupling constant      (Higgs Effct. Thr.)
+c
+c output:
+c       complex jggs(6)         : vector current
+c not used:
+c       real    xm, xw
+c
+ 
+      implicit none
+c--   dimension of the current set to arbitrary length
+c      INTEGER DIM
+c      PARAMETER(DIM=18)
+      include "dimension.inc"
+      double complex ga(DIM),gb(DIM),jggs(DIM),sc(DIM),g2(2)
+      double complex jggs1(DIM),jggs2(DIM)
+      double complex sva,svb,vab,j12(0:3)
+      double complex v12,v13,v14,v23,v24,v34,dv
+      double precision p1(0:3),p2(0:3),q(0:3),q2,p12q(4)
+      double precision g1,xm,xw
+
+
+      jggs(5) = ga(5) + gb(5) + sc(2)
+      jggs(6) = ga(6) + gb(6) + sc(3)
+
+      p1(0) = dble( ga(5))
+      p1(1) = dble( ga(6))
+      p1(2) = dimag(ga(6))
+      p1(3) = dimag(ga(5))
+
+      p2(0) = dble( gb(5))
+      p2(1) = dble( gb(6))
+      p2(2) = dimag(gb(6))
+      p2(3) = dimag(gb(5))
+
+      q(0) = -dble( jggs(5))
+      q(1) = -dble( jggs(6))
+      q(2) = -dimag(jggs(6))
+      q(3) = -dimag(jggs(5))
+
+      q2 = q(0)**2 - q(1)**2 - q(2)**2 - q(3)**2
+
+      dv = g1 * sc(1) /q2
+
+      jggs1(1) = (0D0,0D0)
+      jggs1(2) = (0D0,0D0)
+      jggs1(3) = (0D0,0D0)
+      jggs1(4) = (0D0,0D0)
+      jggs2(1) = (0D0,0D0)
+      jggs2(2) = (0D0,0D0)
+      jggs2(3) = (0D0,0D0)
+      jggs2(4) = (0D0,0D0)
+
+
+      if (g2(1).NE.(0D0,0D0)) then
+      vab = ga(1)*gb(1) - ga(2)*gb(2) - ga(3)*gb(3) - ga(4)*gb(4)
+      sva =   (p2(0)-q(0)) *ga(1) - (p2(1)-q(1)) *ga(2)
+     &      - (p2(2)-q(2)) *ga(3) - (p2(3)-q(3)) *ga(4)
+      svb = - (p1(0)-q(0)) *gb(1) + (p1(1)-q(1)) *gb(2)
+     &      + (p1(2)-q(2)) *gb(3) + (p1(3)-q(3)) *gb(4)
+
+      jggs1(1)= g2(1)*((p1(0)-p2(0))*vab+sva*gb(1)+svb*ga(1))
+      jggs1(2)= g2(1)*((p1(1)-p2(1))*vab+sva*gb(2)+svb*ga(2))
+      jggs1(3)= g2(1)*((p1(2)-p2(2))*vab+sva*gb(3)+svb*ga(3))
+      jggs1(4)= g2(1)*((p1(3)-p2(3))*vab+sva*gb(4)+svb*ga(4))
+      endif
+      
+      if (g2(2).NE.(0D0,0D0)) then
+
+      p12q(1) = p1(0) + p2(0) + q(0)
+      p12q(2) = p1(1) + p2(1) + q(1)
+      p12q(3) = p1(2) + p2(2) + q(2)
+      p12q(4) = p1(3) + p2(3) + q(3)
+
+      v12 = ga(1)*gb(2) - ga(2)*gb(1)
+      v13 = ga(1)*gb(3) - ga(3)*gb(1)
+      v14 = ga(1)*gb(4) - ga(4)*gb(1)
+      v23 = ga(2)*gb(3) - ga(3)*gb(2)
+      v24 = ga(2)*gb(4) - ga(4)*gb(2)
+      v34 = ga(3)*gb(4) - ga(4)*gb(3)
+
+      jggs2(1) =   g2(2)*(   v23*p12q(4) - v24*p12q(3) + v34*p12q(2) )
+      jggs2(2) = - g2(2)*( - v13*p12q(4) + v14*p12q(3) - v34*p12q(1) )
+      jggs2(3) = - g2(2)*(   v12*p12q(4) - v14*p12q(2) + v24*p12q(1) )
+      jggs2(4) = - g2(2)*( - v12*p12q(3) + v13*p12q(2) - v23*p12q(1) )
+      endif
+
+
+      jggs(1) = dv * (jggs1(1) + jggs2(1))
+      jggs(2) = dv * (jggs1(2) + jggs2(2))
+      jggs(3) = dv * (jggs1(3) + jggs2(3))
+      jggs(4) = dv * (jggs1(4) + jggs2(4))
+
+
+      return
+      end

=== added file 'HELAS/jvvtxx.F'
--- HELAS/jvvtxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/jvvtxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,290 @@
+      subroutine jvvtxx(va,vb,tc,gc,gt,vmass,vwidth , jvvt)
+c
+c This subroutine computes an off-shell vector boson wavefunction from
+c the four-point coupling of three gauge bosons and a tensor boson.
+c
+c input:
+c       complex va(6)          : first  vector                        va
+c       complex vb(6)          : second vector                        vb
+c       complex tc(18)         : input  tensor                         T
+c       real    gc             : coupling constant       gs (for gluons)
+c       complex gt             : coupling constant         gtv=-1/Lambda
+c       real    vmass          : mass  of output vector v
+c       real    vwidth         : width of output vector v
+
+c
+c output:
+c       complex jvvt(6)        : vector current          j^mu(v:va,vb,T)
+c
+c- by Q.Li - OCT. 2006
+c     
+      implicit none
+      double complex va(6), vb(6), tc(18), gt, jvvt(6)
+      double precision gc,vmass,vwidth
+
+      double complex ft(6,4)
+      double complex TV1M(4),TV2M(4),TK12M(4)
+      double precision MET(4,4)
+      double complex d,T00, T12, T13, T14, T23, T24, T34
+      double complex V1V2,K1V2, K2V1
+     &,K3V1,K3V2
+      double precision K1K2
+
+      double complex TV12,TKV1,TKV2,
+     &TK3V1,TK3V2,TK312,dum
+      double precision pva(4), pvb(4), pvc(4),
+     &pv32,p31(4),p23(4),p12(4),K1K3,K2K3
+
+      integer i, j
+
+      double complex cZero
+      double precision rZero, rTwo
+      parameter( rZero = 0.0d0, rTwo = 2.0d0 )
+      parameter( cZero = ( 0.0d0, 0.0d0 ) )
+
+      
+      ft(1,1) = tc(1)
+      ft(1,2) = tc(2)
+      ft(1,3) = tc(3)
+      ft(1,4) = tc(4)
+      ft(2,1) = tc(5)
+      ft(2,2) = tc(6)
+      ft(2,3) = tc(7)
+      ft(2,4) = tc(8)
+      ft(3,1) = tc(9)
+      ft(3,2) = tc(10)
+      ft(3,3) = tc(11)
+      ft(3,4) = tc(12)
+      ft(4,1) = tc(13)
+      ft(4,2) = tc(14)
+      ft(4,3) = tc(15)
+      ft(4,4) = tc(16)
+      ft(5,1) = tc(17)
+      ft(6,1) = tc(18)
+
+
+      jvvt(5) = va(5)+vb(5)+ft(5,1)
+      jvvt(6) = va(6)+vb(6)+ft(6,1)
+
+      pva(1) = dreal(va(5))
+      pva(2) = dreal(va(6))
+      pva(3) = dimag(va(6))
+      pva(4) = dimag(va(5))
+
+      pvb(1) = dreal(vb(5))
+      pvb(2) = dreal(vb(6))
+      pvb(3) = dimag(vb(6))
+      pvb(4) = dimag(vb(5))
+
+      pvc(1) = -dreal(jvvt(5))
+      pvc(2) = -dreal(jvvt(6))
+      pvc(3) = -dimag(jvvt(6))
+      pvc(4) = -dimag(jvvt(5))
+	
+      pv32=pvc(1)**2-pvc(2)**2-pvc(3)**2-pvc(4)**2
+      if ( vmass.gt.rZero ) then
+         d =  gc/dcmplx( pv32-vmass**2, vmass*vwidth )
+      else
+         d =  gc/dcmplx( pv32, rZero )
+      end if
+
+      do i=1,4
+         do j=1,4
+            MET(i,j) = 0.0d0
+         enddo 
+      enddo
+      MET(1,1) = 1.0d0
+      MET(2,2) = -1.0d0
+      MET(3,3) = -1.0d0
+      MET(4,4) = -1.0d0
+      
+      p31(1) = pvc(1)-pva(1)
+      p31(2) = pvc(2)-pva(2)
+      p31(3) = pvc(3)-pva(3)
+      p31(4) = pvc(4)-pva(4)
+      
+      p12(1) = pva(1)-pvb(1)
+      p12(2) = pva(2)-pvb(2)
+      p12(3) = pva(3)-pvb(3)
+      p12(4) = pva(4)-pvb(4)
+      
+      p23(1) = pvb(1)-pvc(1)
+      p23(2) = pvb(2)-pvc(2)
+      p23(3) = pvb(3)-pvc(3)
+      p23(4) = pvb(4)-pvc(4)
+      
+      T00 = ft(1,1)-ft(2,2)-ft(3,3)-ft(4,4)
+      T12 = ft(1,2) + ft(2,1)
+      T13 = ft(1,3) + ft(3,1)
+      T14 = ft(1,4) + ft(4,1)
+      T23 = ft(2,3) + ft(3,2)
+      T24 = ft(2,4) + ft(4,2)
+      T34 = ft(3,4) + ft(4,3)
+      
+      V1V2 =  va(1)*vb(1) -  va(2)*vb(2) -  va(3)*vb(3) -  va(4)*vb(4)
+      K1V2 = pva(1)*vb(1) - pva(2)*vb(2) - pva(3)*vb(3) - pva(4)*vb(4)
+      K2V1 = pvb(1)*va(1) - pvb(2)*va(2) - pvb(3)*va(3) - pvb(4)*va(4)
+      K3V1 = pvc(1)*va(1) - pvc(2)*va(2) - pvc(3)*va(3) - pvc(4)*va(4)
+      K3V2 = pvc(1)*vb(1) - pvc(2)*vb(2) - pvc(3)*vb(3) - pvc(4)*vb(4)
+      
+      K1K3 = pva(1)*pvc(1)-pva(2)*pvc(2)-pva(3)*pvc(3)-pva(4)*pvc(4)
+      K2K3 = pvb(1)*pvc(1)-pvb(2)*pvc(2)-pvb(3)*pvc(3)-pvb(4)*pvc(4)
+      
+      TV12 = rtwo*(ft(1,1)*va(1)*vb(1)+ft(2,2)*va(2)*vb(2)
+     &+ft(3,3)*va(3)*vb(3)+ft(4,4)*va(4)*vb(4))
+
+
+      TKV1 = rtwo*(ft(1,1)*p23(1)*va(1)+ft(2,2)*p23(2)*va(2)
+     &+ft(3,3)*p23(3)*va(3)+ft(4,4)*p23(4)*va(4))
+
+      TKV2 = rtwo*(ft(1,1)*p31(1)*vb(1)+ft(2,2)*p31(2)*vb(2)
+     &+ft(3,3)*p31(3)*vb(3)+ft(4,4)*p31(4)*vb(4))
+
+     
+      TK3V1 = rtwo*(ft(1,1)*pvc(1)*va(1)+ft(2,2)*pvc(2)*va(2)
+     &+ft(3,3)*pvc(3)*va(3)+ft(4,4)*pvc(4)*va(4))	
+
+      TK3V2 = rtwo*(ft(1,1)*pvc(1)*vb(1)+ft(2,2)*pvc(2)*vb(2)
+     &+ft(3,3)*pvc(3)*vb(3)+ft(4,4)*pvc(4)*vb(4))	
+
+
+      TK312 = rtwo*(ft(1,1)*pvc(1)*p12(1)+ft(2,2)*pvc(2)*p12(2)
+     &+ft(3,3)*pvc(3)*p12(3)+ft(4,4)*pvc(4)*p12(4))	
+
+
+      TV12 = TV12 - T12*(va(1)*vb(2) + va(2)*vb(1))
+     &          - T13*(va(1)*vb(3) + va(3)*vb(1))
+     &          - T14*(va(1)*vb(4) + va(4)*vb(1))
+     &          + T23*(va(2)*vb(3) + va(3)*vb(2))
+     &          + T24*(va(2)*vb(4) + va(4)*vb(2))
+     &          + T34*(va(3)*vb(4) + va(4)*vb(3))
+
+
+      TKV1 = TKV1 - T12*(p23(1)*va(2) + p23(2)*va(1))
+     &              - T13*(p23(1)*va(3) + p23(3)*va(1))
+     &              - T14*(p23(1)*va(4) + p23(4)*va(1))
+     &              + T23*(p23(2)*va(3) + p23(3)*va(2))
+     &              + T24*(p23(2)*va(4) + p23(4)*va(2))
+     &              + T34*(p23(3)*va(4) + p23(4)*va(3))
+
+      TKV2 = TKV2 - T12*(p31(1)*vb(2) + p31(2)*vb(1))
+     &              - T13*(p31(1)*vb(3) + p31(3)*vb(1))
+     &              - T14*(p31(1)*vb(4) + p31(4)*vb(1))
+     &              + T23*(p31(2)*vb(3) + p31(3)*vb(2))
+     &              + T24*(p31(2)*vb(4) + p31(4)*vb(2))
+     &              + T34*(p31(3)*vb(4) + p31(4)*vb(3))
+
+      TK3V1 = TK3V1 - T12*(pvc(1)*va(2) + pvc(2)*va(1))
+     &              - T13*(pvc(1)*va(3) + pvc(3)*va(1))
+     &              - T14*(pvc(1)*va(4) + pvc(4)*va(1))
+     &              + T23*(pvc(2)*va(3) + pvc(3)*va(2))
+     &              + T24*(pvc(2)*va(4) + pvc(4)*va(2))
+     &              + T34*(pvc(3)*va(4) + pvc(4)*va(3))
+
+      TK3V2 = TK3V2 - T12*(pvc(1)*vb(2) + pvc(2)*vb(1))
+     &              - T13*(pvc(1)*vb(3) + pvc(3)*vb(1))
+     &              - T14*(pvc(1)*vb(4) + pvc(4)*vb(1))
+     &              + T23*(pvc(2)*vb(3) + pvc(3)*vb(2))
+     &              + T24*(pvc(2)*vb(4) + pvc(4)*vb(2))
+     &              + T34*(pvc(3)*vb(4) + pvc(4)*vb(3))
+
+      TK312 = TK312 - T12*(pvc(1)*p12(2) + pvc(2)*p12(1))
+     &              - T13*(pvc(1)*p12(3) + pvc(3)*p12(1))
+     &              - T14*(pvc(1)*p12(4) + pvc(4)*p12(1))
+     &              + T23*(pvc(2)*p12(3) + pvc(3)*p12(2))
+     &              + T24*(pvc(2)*p12(4) + pvc(4)*p12(2))
+     &              + T34*(pvc(3)*p12(4) + pvc(4)*p12(3))
+
+      do j=1,4
+
+         TV1M(j) =
+     &MET(j,1)*(ft(1,1)*va(1)-ft(2,1)*va(2)
+     &-ft(3,1)*va(3)-ft(4,1)*va(4))
+     &-MET(j,2)*(ft(1,2)*va(1)-ft(2,2)*va(2)
+     &-ft(3,2)*va(3)-ft(4,2)*va(4))
+     &-MET(j,3)*(ft(1,3)*va(1)-ft(2,3)*va(2)
+     &-ft(3,3)*va(3)-ft(4,3)*va(4))
+     &-MET(j,4)*(ft(1,4)*va(1)-ft(2,4)*va(2)
+     &-ft(3,4)*va(3)-ft(4,4)*va(4))
+     &+
+     &MET(j,1)*(ft(1,1)*va(1)-ft(1,2)*va(2)
+     &-ft(1,3)*va(3)-ft(1,4)*va(4))
+     &-MET(j,2)*(ft(2,1)*va(1)-ft(2,2)*va(2)
+     &-ft(2,3)*va(3)-ft(2,4)*va(4))
+     &-MET(j,3)*(ft(3,1)*va(1)-ft(3,2)*va(2)
+     &-ft(3,3)*va(3)-ft(3,4)*va(4))
+     &-MET(j,4)*(ft(4,1)*va(1)-ft(4,2)*va(2)
+     &-ft(4,3)*va(3)-ft(4,4)*va(4))
+
+         TV2M(j) =
+     &MET(j,1)*(ft(1,1)*vb(1)-ft(2,1)*vb(2)
+     &-ft(3,1)*vb(3)-ft(4,1)*vb(4))
+     &-MET(j,2)*(ft(1,2)*vb(1)-ft(2,2)*vb(2)
+     &-ft(3,2)*vb(3)-ft(4,2)*vb(4))
+     &-MET(j,3)*(ft(1,3)*vb(1)-ft(2,3)*vb(2)
+     &-ft(3,3)*vb(3)-ft(4,3)*vb(4))
+     &-MET(j,4)*(ft(1,4)*vb(1)-ft(2,4)*vb(2)
+     &-ft(3,4)*vb(3)-ft(4,4)*vb(4))
+     &+
+     &MET(j,1)*(ft(1,1)*vb(1)-ft(1,2)*vb(2)
+     &-ft(1,3)*vb(3)-ft(1,4)*vb(4))
+     &-MET(j,2)*(ft(2,1)*vb(1)-ft(2,2)*vb(2)
+     &-ft(2,3)*vb(3)-ft(2,4)*vb(4))
+     &-MET(j,3)*(ft(3,1)*vb(1)-ft(3,2)*vb(2)
+     &-ft(3,3)*vb(3)-ft(3,4)*vb(4))
+     &-MET(j,4)*(ft(4,1)*vb(1)-ft(4,2)*vb(2)
+     &-ft(4,3)*vb(3)-ft(4,4)*vb(4))
+
+
+         TK12M(j) =
+     &MET(j,1)*(ft(1,1)*p12(1)-ft(2,1)*p12(2)
+     &-ft(3,1)*p12(3)-ft(4,1)*p12(4))
+     &-MET(j,2)*(ft(1,2)*p12(1)-ft(2,2)*p12(2)
+     &-ft(3,2)*p12(3)-ft(4,2)*p12(4))
+     &-MET(j,3)*(ft(1,3)*p12(1)-ft(2,3)*p12(2)
+     &-ft(3,3)*p12(3)-ft(4,3)*p12(4))
+     &-MET(j,4)*(ft(1,4)*p12(1)-ft(2,4)*p12(2)
+     &-ft(3,4)*p12(3)-ft(4,4)*p12(4))
+     &+
+     &MET(j,1)*(ft(1,1)*p12(1)-ft(1,2)*p12(2)
+     &-ft(1,3)*p12(3)-ft(1,4)*p12(4))
+     &-MET(j,2)*(ft(2,1)*p12(1)-ft(2,2)*p12(2)
+     &-ft(2,3)*p12(3)-ft(2,4)*p12(4))
+     &-MET(j,3)*(ft(3,1)*p12(1)-ft(3,2)*p12(2)
+     &-ft(3,3)*p12(3)-ft(3,4)*p12(4))
+     &-MET(j,4)*(ft(4,1)*p12(1)-ft(4,2)*p12(2)
+     &-ft(4,3)*p12(3)-ft(4,4)*p12(4))
+     
+      enddo
+        
+      do i=1,4
+         jvvt(i) = TV12*p12(i)+TKV1*vb(i)+TKV2*va(i)
+     &+(-p12(i)*V1V2-vb(i)*K2V1+vb(i)*K3V1
+     &  +va(i)*K1V2-va(i)*K3V2)*T00
+     &-K1V2*TV1M(i)+K3V2*TV1M(i)
+     &+V1V2*TK12M(i)
+     &+K2V1*TV2M(i)-K3V1*TV2M(i)
+      enddo 
+
+      if ( vmass.gt.rZero ) then
+         do i=1,4
+            jvvt(i) = jvvt(i)
+     &+(K1V2*pvc(i)
+     &-K3V2*TKV1*pvc(i)-K3V2*TK3V1*pvc(i)
+     &-K1K3*TV12*pvc(i)+K2K3*TV12*pvc(i)
+     &-V1V2*TK312*pvc(i)
+     &-K2V1*TK3V2*pvc(i)+K3V1*TK3V2*pvc(i)
+     &-K3V1*TKV2*pvc(i))/vmass**2
+     &+(-pvc(i)*K1V2*K3V1+pvc(i)*K2V1*K3V2
+     &+pvc(i)*V1V2*K1K3-pvc(i)*V1V2*K2K3
+     &)/vmass**2*T00
+         enddo
+           
+      endif	
+      
+      do i=1,4
+         jvvt(i) = -jvvt(i) * d*gt
+      enddo
+      
+      return
+      end

=== added file 'HELAS/jvvxxx.F'
--- HELAS/jvvxxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/jvvxxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,154 @@
+      subroutine jvvxxx(v1,v2,g,vmass,vwidth , jvv)
+c
+c This subroutine computes an off-shell vector current from the three-
+c point gauge boson coupling.  The vector propagator is given in Feynman
+c gauge for a massless vector and in unitary gauge for a massive vector.
+c
+c input:
+c       complex v1(6)          : first  vector                        v1
+c       complex v2(6)          : second vector                        v2
+c       real    g              : coupling constant (see the table below)
+c       real    vmass          : mass  of output vector v
+c       real    vwidth         : width of output vector v
+c
+c the possible sets of the inputs are as follows:
+c    ------------------------------------------------------------------
+c    |   v1   |   v2   |  jvv   |      g       |   vmass  |  vwidth   |
+c    ------------------------------------------------------------------
+c    |   W-   |   W+   |  A/Z   |  gwwa/gwwz   | 0./zmass | 0./zwidth |
+c    | W3/A/Z |   W-   |  W+    | gw/gwwa/gwwz |   wmass  |  wwidth   |
+c    |   W+   | W3/A/Z |  W-    | gw/gwwa/gwwz |   wmass  |  wwidth   |
+c    ------------------------------------------------------------------
+c where all the bosons are defined by the flowing-OUT quantum number.
+c
+c output:
+c       complex jvv(6)         : vector current            j^mu(v:v1,v2)
+c     
+      implicit none
+      double complex v1(6),v2(6),jvv(6),j12(0:3),js,dg
+      double complex sv1,sv2,s11,s12,s21,s22,v12
+      double complex cm2        ! mass**2- I Gamma mass (Fabio)
+      double precision p1(0:3),p2(0:3),q(0:3),g,vmass,vwidth,gs,s
+      double precision vm2,m1,m2
+
+      double precision rZero
+      parameter( rZero = 0.0d0 )
+ 
+#ifdef HELAS_CHECK
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+#ifdef HELAS_CHECK
+      if ( abs(v1(1))+abs(v1(2))+abs(v1(3))+abs(v1(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : v1 in jvvxxx is zero vector'
+      endif
+      if ( abs(v1(5))+abs(v1(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : v1 in jvvxxx has zero momentum'
+      endif
+      if ( abs(v2(1))+abs(v2(2))+abs(v2(3))+abs(v2(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : v2 in jvvxxx is zero vector'
+      endif
+      if ( abs(v2(5))+abs(v2(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : v2 in jvvxxx has zero momentum'
+      endif
+      if ( g.eq.rZero) then
+         write(stdo,*) ' helas-error : g in jvvxxx is zero coupling'
+      endif
+      if ( vmass.lt.rZero ) then
+         write(stdo,*) ' helas-error : vmass in jvvxxx is negative'
+         write(stdo,*) '             : vmass = ',vmass
+      endif
+      if ( vwidth.lt.rZero ) then
+         write(stdo,*) ' helas-error : vwidth in jvvxxx is negative'
+         write(stdo,*) '             : vwidth = ',vwidth
+      endif
+#endif
+
+      jvv(5) = v1(5)+v2(5)
+      jvv(6) = v1(6)+v2(6)
+
+      p1(0) =  dble( v1(5))
+      p1(1) =  dble( v1(6))
+      p1(2) =  dimag(v1(6))
+      p1(3) =  dimag(v1(5))
+      p2(0) =  dble( v2(5))
+      p2(1) =  dble( v2(6))
+      p2(2) =  dimag(v2(6))
+      p2(3) =  dimag(v2(5))
+      q(0)  = -dble( jvv(5))
+      q(1)  = -dble( jvv(6))
+      q(2)  = -dimag(jvv(6))
+      q(3)  = -dimag(jvv(5))
+      s = q(0)**2-(q(1)**2+q(2)**2+q(3)**2)
+      vm2 = vmass**2
+
+#ifdef HELAS_CHECK
+      if ( abs(jvv(5))+abs(jvv(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : jvv in jvvxxx has zero momentum'
+      endif
+      if ( vwidth.eq.rZero .and. s.eq.vm2 ) then
+         write(stdo,*)
+     &        ' helas-error : jvv in jvvxxx is on vmass pole'
+         write(stdo,*) 
+     &        '             : q     = ',q(0),q(1),q(2),q(3)
+         write(stdo,*)
+     &        '             : abs(q)= ',sqrt(abs(s))
+         jvv(1) = cZero
+         jvv(2) = cZero
+         jvv(3) = cZero
+         jvv(4) = cZero
+         return
+      endif
+#endif
+
+      v12 = v1(1)*v2(1)-v1(2)*v2(2)-v1(3)*v2(3)-v1(4)*v2(4)
+      sv1 =   (p2(0)-q(0))*v1(1) -(p2(1)-q(1))*v1(2)
+     &      - (p2(2)-q(2))*v1(3) -(p2(3)-q(3))*v1(4)
+      sv2 = - (p1(0)-q(0))*v2(1) +(p1(1)-q(1))*v2(2)
+     &      + (p1(2)-q(2))*v2(3) +(p1(3)-q(3))*v2(4)
+      j12(0) = (p1(0)-p2(0))*v12 +sv1*v2(1) +sv2*v1(1)
+      j12(1) = (p1(1)-p2(1))*v12 +sv1*v2(2) +sv2*v1(2)
+      j12(2) = (p1(2)-p2(2))*v12 +sv1*v2(3) +sv2*v1(3)
+      j12(3) = (p1(3)-p2(3))*v12 +sv1*v2(4) +sv2*v1(4)
+
+      if ( vmass.ne.rZero ) then
+
+         m1 = p1(0)**2-(p1(1)**2+p1(2)**2+p1(3)**2)
+         m2 = p2(0)**2-(p2(1)**2+p2(2)**2+p2(3)**2)
+         s11 = p1(0)*v1(1)-p1(1)*v1(2)-p1(2)*v1(3)-p1(3)*v1(4)
+         s12 = p1(0)*v2(1)-p1(1)*v2(2)-p1(2)*v2(3)-p1(3)*v2(4)
+         s21 = p2(0)*v1(1)-p2(1)*v1(2)-p2(2)*v1(3)-p2(3)*v1(4)
+         s22 = p2(0)*v2(1)-p2(1)*v2(2)-p2(2)*v2(3)-p2(3)*v2(4)
+
+c     Fabio's implementation of the fixed width
+         cm2=dcmplx( vm2, -vmass*vwidth )
+c     js = (v12*(-m1+m2) +s11*s12 -s21*s22)/vm2
+         js = (v12*(-m1+m2) +s11*s12 -s21*s22)/cm2
+        
+         dg = -g/dcmplx( s-vm2, vmass*vwidth )
+
+c  For the running width, use below instead of the above dg.
+c         dg = -g/dcmplx( s-vm2, max(vwidth*s/vmass,rZero) )
+
+         jvv(1) = dg*(j12(0)-q(0)*js)
+         jvv(2) = dg*(j12(1)-q(1)*js)
+         jvv(3) = dg*(j12(2)-q(2)*js)
+         jvv(4) = dg*(j12(3)-q(3)*js)
+
+      else
+
+         gs = -g/s
+
+         jvv(1) = gs*j12(0)
+         jvv(2) = gs*j12(1)
+         jvv(3) = gs*j12(2)
+         jvv(4) = gs*j12(3)
+
+      end if
+c
+      return
+      end

=== added file 'HELAS/jw3wnx.F'
--- HELAS/jw3wnx.F	1970-01-01 00:00:00 +0000
+++ HELAS/jw3wnx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,233 @@
+      subroutine jw3wnx(w1,w2,w3,g1,g2,vmass,vwidth , jw3w)
+c
+c This subroutine computes an off-shell W+, W-, W3, Z or photon current
+c from the four-point gauge boson coupling.  The vector propagator is
+c given in Feynman gauge for a photon and in unitary gauge for W and
+c Z bosons.  If one sets wmass=0.0, then the ggg-->g current is given
+c (see sect 2.9.1 of the manual).
+c
+c input:
+c       complex w1(6)          : first  vector                        w1
+c       complex w2(6)          : second vector                        w2
+c       complex w3(6)          : third  vector                        w3
+c       real    g1             : first  coupling constant
+c       real    g2             : second coupling constant
+c                                                  (see the table below)
+c       real    wmass          : mass  of internal W
+c       real    wwidth         : width of internal W
+c       real    vmass          : mass  of output W'
+c       real    vwidth         : width of output W'
+c
+c the possible sets of the inputs are as follows:
+c   -------------------------------------------------------------------
+c   |  w1  |  w2  |  w3  | g1 | g2 |wmass|wwidth|vmass|vwidth || jw3w |
+c   -------------------------------------------------------------------
+c   |  W-  |  W3  |  W+  | gw |gwwz|wmass|wwidth|zmass|zwidth ||  Z   |
+c   |  W-  |  W3  |  W+  | gw |gwwa|wmass|wwidth|  0. |  0.   ||  A   |
+c   |  W-  |  Z   |  W+  |gwwz|gwwz|wmass|wwidth|zmass|zwidth ||  Z   |
+c   |  W-  |  Z   |  W+  |gwwz|gwwa|wmass|wwidth|  0. |  0.   ||  A   |
+c   |  W-  |  A   |  W+  |gwwa|gwwz|wmass|wwidth|zmass|zwidth ||  Z   |
+c   |  W-  |  A   |  W+  |gwwa|gwwa|wmass|wwidth|  0. |  0.   ||  A   |
+c   -------------------------------------------------------------------
+c   |  W3  |  W-  |  W3  | gw | gw |wmass|wwidth|wmass|wwidth ||  W+  |
+c   |  W3  |  W+  |  W3  | gw | gw |wmass|wwidth|wmass|wwidth ||  W-  |
+c   |  W3  |  W-  |  Z   | gw |gwwz|wmass|wwidth|wmass|wwidth ||  W+  |
+c   |  W3  |  W+  |  Z   | gw |gwwz|wmass|wwidth|wmass|wwidth ||  W-  |
+c   |  W3  |  W-  |  A   | gw |gwwa|wmass|wwidth|wmass|wwidth ||  W+  |
+c   |  W3  |  W+  |  A   | gw |gwwa|wmass|wwidth|wmass|wwidth ||  W-  |
+c   |  Z   |  W-  |  Z   |gwwz|gwwz|wmass|wwidth|wmass|wwidth ||  W+  |
+c   |  Z   |  W+  |  Z   |gwwz|gwwz|wmass|wwidth|wmass|wwidth ||  W-  |
+c   |  Z   |  W-  |  A   |gwwz|gwwa|wmass|wwidth|wmass|wwidth ||  W+  |
+c   |  Z   |  W+  |  A   |gwwz|gwwa|wmass|wwidth|wmass|wwidth ||  W-  |
+c   |  A   |  W-  |  A   |gwwa|gwwa|wmass|wwidth|wmass|wwidth ||  W+  |
+c   |  A   |  W+  |  A   |gwwa|gwwa|wmass|wwidth|wmass|wwidth ||  W-  |
+c   -------------------------------------------------------------------
+c where all the bosons are defined by the flowing-OUT quantum number.
+c
+c output:
+c       complex jw3w(6)        : W current             j^mu(w':w1,w2,w3)
+c     
+      implicit none
+      double complex w1(6),w2(6),w3(6),jw3w(6)
+      double complex dw1(0:3),dw2(0:3),dw3(0:3)
+      double complex jj(0:3),j4(0:3),dv,w12,w32,w13,jq
+      double complex cm2        ! mass**2- I Gamma mass (Fabio)
+      double precision g1,g2,vmass,vwidth
+      double precision p1(0:3),p2(0:3),p3(0:3),q(0:3)
+      double precision dg2,dmv,dwv,mv2,q2
+
+      double precision rZero, rOne, rTwo
+      parameter( rZero = 0.0d0, rOne = 1.0d0, rTwo = 2.0d0 )
+
+#ifdef HELAS_CHECK
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+#ifdef HELAS_CHECK
+      if ( abs(w1(1))+abs(w1(2))+abs(w1(3))+abs(w1(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : w1 in jw3wxx is zero vector'
+      endif
+      if ( abs(w1(5))+abs(w1(6)).eq.rZero ) then
+         write(stdo,*) 
+     &        ' helas-error : w1 in jw3wxx has zero momentum' 
+      endif 
+      if ( abs(w2(1))+abs(w2(2))+abs(w2(3))+abs(w2(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : w2 in jw3wxx is zero vector'
+      endif
+      if ( abs(w2(5))+abs(w2(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : w2 in jw3wxx has zero momentum'
+      endif
+      if ( abs(w3(1))+abs(w3(2))+abs(w3(3))+abs(w3(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : w3 in jw3wxx is zero vector'
+      endif
+      if ( abs(w3(5))+abs(w3(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : w3 in jw3wxx has zero momentum'
+      endif
+c     Neil edited this file to allow 3-site couplings.
+c      if ( g1.eq.rZero ) then
+c         write(stdo,*) ' helas-error : g1 in jw3wxx is zero coupling'
+c      endif
+c      if ( g2.eq.rZero ) then
+c         write(stdo,*) ' helas-error : g2 in jw3wxx is zero coupling'
+c      endif
+c      if ( g1.lt.rZero ) then
+c         write(stdo,*)
+c     &        ' helas-warn  : g1 in jw3wxx is non-standard coupling'
+c         write(stdo,*)
+c     &        '             : g1 = ',g1
+c      endif
+c      if ( g2.lt.rZero ) then
+c         write(stdo,*)
+c     &        ' helas-warn  : g2 in jw3wxx is non-standard coupling'
+c         write(stdo,*)
+c     &        '             : g2 = ',g2
+c      endif
+c     End Neil's edit.
+      if ( vmass.lt.rZero ) then
+         write(stdo,*) ' helas-error : vmass in jw3wxx is negative'
+         write(stdo,*) '             : vmass = ',vmass
+      endif
+      if ( vwidth.lt.rZero ) then
+         write(stdo,*) ' helas-error : vwidth in jw3wxx is negative'
+         write(stdo,*) '             : vwidth = ',vwidth
+      endif
+#endif
+
+      jw3w(5) = w1(5)+w2(5)+w3(5)
+      jw3w(6) = w1(6)+w2(6)+w3(6)
+
+      dw1(0) = dcmplx(w1(1))
+      dw1(1) = dcmplx(w1(2))
+      dw1(2) = dcmplx(w1(3))
+      dw1(3) = dcmplx(w1(4))
+      dw2(0) = dcmplx(w2(1))
+      dw2(1) = dcmplx(w2(2))
+      dw2(2) = dcmplx(w2(3))
+      dw2(3) = dcmplx(w2(4))
+      dw3(0) = dcmplx(w3(1))
+      dw3(1) = dcmplx(w3(2))
+      dw3(2) = dcmplx(w3(3))
+      dw3(3) = dcmplx(w3(4))
+      p1(0) = dble(      w1(5))
+      p1(1) = dble(      w1(6))
+      p1(2) = dble(dimag(w1(6)))
+      p1(3) = dble(dimag(w1(5)))
+      p2(0) = dble(      w2(5))
+      p2(1) = dble(      w2(6))
+      p2(2) = dble(dimag(w2(6)))
+      p2(3) = dble(dimag(w2(5)))
+      p3(0) = dble(      w3(5))
+      p3(1) = dble(      w3(6))
+      p3(2) = dble(dimag(w3(6)))
+      p3(3) = dble(dimag(w3(5)))
+      q(0) = -(p1(0)+p2(0)+p3(0))
+      q(1) = -(p1(1)+p2(1)+p3(1))
+      q(2) = -(p1(2)+p2(2)+p3(2))
+      q(3) = -(p1(3)+p2(3)+p3(3))
+
+      q2 = q(0)**2 -(q(1)**2 +q(2)**2 +q(3)**2)
+c     Neil edited this to allow 3-site couplings.
+c     Now only g1 is important.  g2 does nothing.
+c      dg2 = dble(g1)*dble(g2)
+c      dg2 = dble(g1)
+c     End Neil's edit.
+
+c Benj's modif in order to have FR running
+      if(g1.eq.rzero) dg2=g2
+      if(g2.eq.rzero) dg2=g1
+c End of Benj'S modif
+
+      dmv = dble(vmass)
+      dwv = dble(vwidth)
+      mv2 = dmv**2
+
+#ifdef HELAS_CHECK
+      if ( abs(jw3w(5))+abs(jw3w(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : jw3w in jw3wxx has zero momentum'
+      endif
+      if ( vwidth.eq.rZero .and. q2.eq.mv2 ) then
+         write(stdo,*)
+     &        ' helas-error : jw3w in jw3wxx is on vmass pole'
+         write(stdo,*)
+     &        '             : q     = ',
+     &        real(q(0)),real(q(1)),real(q(2)),real(q(3))
+         write(stdo,*)
+     &        '             : abs(q)= ',sqrt(abs(real(q2)))
+         jw3w(1) = cZero
+         jw3w(2) = cZero
+         jw3w(3) = cZero
+         jw3w(4) = cZero
+         return
+      endif
+#endif
+
+      if ( vmass.eq.rZero ) then
+         dv = rOne/dcmplx( q2 )
+      else
+         dv = rOne/dcmplx( q2-mv2, dmv*dwv )
+      endif
+
+c  For the running width, use below instead of the above dv.
+c      dv = rOne/dcmplx( q2-mv2 , max(dwv*q2/dmv,rZero) )
+
+      w12=dw1(0)*dw2(0)-dw1(1)*dw2(1)-dw1(2)*dw2(2)-dw1(3)*dw2(3)
+      w32=dw3(0)*dw2(0)-dw3(1)*dw2(1)-dw3(2)*dw2(2)-dw3(3)*dw2(3)
+
+      w13=dw1(0)*dw3(0)-dw1(1)*dw3(1)-dw1(2)*dw3(2)-dw1(3)*dw3(3)
+      
+      j4(0) = dg2*( dw1(0)*w32 + dw3(0)*w12 - rTwo*dw2(0)*w13 )
+      j4(1) = dg2*( dw1(1)*w32 + dw3(1)*w12 - rTwo*dw2(1)*w13 )
+      j4(2) = dg2*( dw1(2)*w32 + dw3(2)*w12 - rTwo*dw2(2)*w13 )
+      j4(3) = dg2*( dw1(3)*w32 + dw3(3)*w12 - rTwo*dw2(3)*w13 )
+
+      jj(0) = j4(0)
+      jj(1) = j4(1)
+      jj(2) = j4(2)
+      jj(3) = j4(3)
+
+      if ( vmass.ne.rZero ) then
+
+c     Fabio's implementation of the fixed width
+         cm2=dcmplx( mv2, -dmv*dwv)
+c     jq = (jj(0)*q(0)-jj(1)*q(1)-jj(2)*q(2)-jj(3)*q(3))/mv2
+         jq = (jj(0)*q(0)-jj(1)*q(1)-jj(2)*q(2)-jj(3)*q(3))/cm2
+         
+         jw3w(1) = dcmplx( (jj(0)-jq*q(0))*dv )
+         jw3w(2) = dcmplx( (jj(1)-jq*q(1))*dv )
+         jw3w(3) = dcmplx( (jj(2)-jq*q(2))*dv )
+         jw3w(4) = dcmplx( (jj(3)-jq*q(3))*dv )
+
+      else
+
+         jw3w(1) = dcmplx( jj(0)*dv )
+         jw3w(2) = dcmplx( jj(1)*dv )
+         jw3w(3) = dcmplx( jj(2)*dv )
+         jw3w(4) = dcmplx( jj(3)*dv )
+      end if
+c
+      return
+      end

=== added file 'HELAS/jw3wxx.F'
--- HELAS/jw3wxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/jw3wxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,221 @@
+      subroutine jw3wxx(w1,w2,w3,g1,g2,vmass,vwidth , jw3w)
+c
+c This subroutine computes an off-shell W+, W-, W3, Z or photon current
+c from the four-point gauge boson coupling.  The vector propagator is
+c given in Feynman gauge for a photon and in unitary gauge for W and
+c Z bosons.  If one sets wmass=0.0, then the ggg-->g current is given
+c (see sect 2.9.1 of the manual).
+c
+c input:
+c       complex w1(6)          : first  vector                        w1
+c       complex w2(6)          : second vector                        w2
+c       complex w3(6)          : third  vector                        w3
+c       real    g1             : first  coupling constant
+c       real    g2             : second coupling constant
+c                                                  (see the table below)
+c       real    wmass          : mass  of internal W
+c       real    wwidth         : width of internal W
+c       real    vmass          : mass  of output W'
+c       real    vwidth         : width of output W'
+c
+c the possible sets of the inputs are as follows:
+c   -------------------------------------------------------------------
+c   |  w1  |  w2  |  w3  | g1 | g2 |wmass|wwidth|vmass|vwidth || jw3w |
+c   -------------------------------------------------------------------
+c   |  W-  |  W3  |  W+  | gw |gwwz|wmass|wwidth|zmass|zwidth ||  Z   |
+c   |  W-  |  W3  |  W+  | gw |gwwa|wmass|wwidth|  0. |  0.   ||  A   |
+c   |  W-  |  Z   |  W+  |gwwz|gwwz|wmass|wwidth|zmass|zwidth ||  Z   |
+c   |  W-  |  Z   |  W+  |gwwz|gwwa|wmass|wwidth|  0. |  0.   ||  A   |
+c   |  W-  |  A   |  W+  |gwwa|gwwz|wmass|wwidth|zmass|zwidth ||  Z   |
+c   |  W-  |  A   |  W+  |gwwa|gwwa|wmass|wwidth|  0. |  0.   ||  A   |
+c   -------------------------------------------------------------------
+c   |  W3  |  W-  |  W3  | gw | gw |wmass|wwidth|wmass|wwidth ||  W+  |
+c   |  W3  |  W+  |  W3  | gw | gw |wmass|wwidth|wmass|wwidth ||  W-  |
+c   |  W3  |  W-  |  Z   | gw |gwwz|wmass|wwidth|wmass|wwidth ||  W+  |
+c   |  W3  |  W+  |  Z   | gw |gwwz|wmass|wwidth|wmass|wwidth ||  W-  |
+c   |  W3  |  W-  |  A   | gw |gwwa|wmass|wwidth|wmass|wwidth ||  W+  |
+c   |  W3  |  W+  |  A   | gw |gwwa|wmass|wwidth|wmass|wwidth ||  W-  |
+c   |  Z   |  W-  |  Z   |gwwz|gwwz|wmass|wwidth|wmass|wwidth ||  W+  |
+c   |  Z   |  W+  |  Z   |gwwz|gwwz|wmass|wwidth|wmass|wwidth ||  W-  |
+c   |  Z   |  W-  |  A   |gwwz|gwwa|wmass|wwidth|wmass|wwidth ||  W+  |
+c   |  Z   |  W+  |  A   |gwwz|gwwa|wmass|wwidth|wmass|wwidth ||  W-  |
+c   |  A   |  W-  |  A   |gwwa|gwwa|wmass|wwidth|wmass|wwidth ||  W+  |
+c   |  A   |  W+  |  A   |gwwa|gwwa|wmass|wwidth|wmass|wwidth ||  W-  |
+c   -------------------------------------------------------------------
+c where all the bosons are defined by the flowing-OUT quantum number.
+c
+c output:
+c       complex jw3w(6)        : W current             j^mu(w':w1,w2,w3)
+c     
+      implicit none
+      double complex w1(6),w2(6),w3(6),jw3w(6)
+      double complex dw1(0:3),dw2(0:3),dw3(0:3)
+      double complex jj(0:3),j4(0:3),dv,w12,w32,w13,jq
+      double complex cm2        ! mass**2- I Gamma mass (Fabio)
+      double precision g1,g2,vmass,vwidth
+      double precision p1(0:3),p2(0:3),p3(0:3),q(0:3)
+      double precision dg2,dmv,dwv,mv2,q2
+
+      double precision rZero, rOne, rTwo
+      parameter( rZero = 0.0d0, rOne = 1.0d0, rTwo = 2.0d0 )
+
+#ifdef HELAS_CHECK
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+#ifdef HELAS_CHECK
+      if ( abs(w1(1))+abs(w1(2))+abs(w1(3))+abs(w1(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : w1 in jw3wxx is zero vector'
+      endif
+      if ( abs(w1(5))+abs(w1(6)).eq.rZero ) then
+         write(stdo,*) 
+     &        ' helas-error : w1 in jw3wxx has zero momentum' 
+      endif 
+      if ( abs(w2(1))+abs(w2(2))+abs(w2(3))+abs(w2(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : w2 in jw3wxx is zero vector'
+      endif
+      if ( abs(w2(5))+abs(w2(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : w2 in jw3wxx has zero momentum'
+      endif
+      if ( abs(w3(1))+abs(w3(2))+abs(w3(3))+abs(w3(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : w3 in jw3wxx is zero vector'
+      endif
+      if ( abs(w3(5))+abs(w3(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : w3 in jw3wxx has zero momentum'
+      endif
+      if ( g1.eq.rZero ) then
+         write(stdo,*) ' helas-error : g1 in jw3wxx is zero coupling'
+      endif
+      if ( g2.eq.rZero ) then
+         write(stdo,*) ' helas-error : g2 in jw3wxx is zero coupling'
+      endif
+      if ( g1.lt.rZero ) then
+         write(stdo,*)
+     &        ' helas-warn  : g1 in jw3wxx is non-standard coupling'
+         write(stdo,*)
+     &        '             : g1 = ',g1
+      endif
+      if ( g2.lt.rZero ) then
+         write(stdo,*)
+     &        ' helas-warn  : g2 in jw3wxx is non-standard coupling'
+         write(stdo,*)
+     &        '             : g2 = ',g2
+      endif
+      if ( vmass.lt.rZero ) then
+         write(stdo,*) ' helas-error : vmass in jw3wxx is negative'
+         write(stdo,*) '             : vmass = ',vmass
+      endif
+      if ( vwidth.lt.rZero ) then
+         write(stdo,*) ' helas-error : vwidth in jw3wxx is negative'
+         write(stdo,*) '             : vwidth = ',vwidth
+      endif
+#endif
+
+      jw3w(5) = w1(5)+w2(5)+w3(5)
+      jw3w(6) = w1(6)+w2(6)+w3(6)
+
+      dw1(0) = dcmplx(w1(1))
+      dw1(1) = dcmplx(w1(2))
+      dw1(2) = dcmplx(w1(3))
+      dw1(3) = dcmplx(w1(4))
+      dw2(0) = dcmplx(w2(1))
+      dw2(1) = dcmplx(w2(2))
+      dw2(2) = dcmplx(w2(3))
+      dw2(3) = dcmplx(w2(4))
+      dw3(0) = dcmplx(w3(1))
+      dw3(1) = dcmplx(w3(2))
+      dw3(2) = dcmplx(w3(3))
+      dw3(3) = dcmplx(w3(4))
+      p1(0) = dble(      w1(5))
+      p1(1) = dble(      w1(6))
+      p1(2) = dble(dimag(w1(6)))
+      p1(3) = dble(dimag(w1(5)))
+      p2(0) = dble(      w2(5))
+      p2(1) = dble(      w2(6))
+      p2(2) = dble(dimag(w2(6)))
+      p2(3) = dble(dimag(w2(5)))
+      p3(0) = dble(      w3(5))
+      p3(1) = dble(      w3(6))
+      p3(2) = dble(dimag(w3(6)))
+      p3(3) = dble(dimag(w3(5)))
+      q(0) = -(p1(0)+p2(0)+p3(0))
+      q(1) = -(p1(1)+p2(1)+p3(1))
+      q(2) = -(p1(2)+p2(2)+p3(2))
+      q(3) = -(p1(3)+p2(3)+p3(3))
+
+      q2 = q(0)**2 -(q(1)**2 +q(2)**2 +q(3)**2)
+      dg2 = dble(g1)*dble(g2)
+      dmv = dble(vmass)
+      dwv = dble(vwidth)
+      mv2 = dmv**2
+
+#ifdef HELAS_CHECK
+      if ( abs(jw3w(5))+abs(jw3w(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : jw3w in jw3wxx has zero momentum'
+      endif
+      if ( vwidth.eq.rZero .and. q2.eq.mv2 ) then
+         write(stdo,*)
+     &        ' helas-error : jw3w in jw3wxx is on vmass pole'
+         write(stdo,*)
+     &        '             : q     = ',
+     &        real(q(0)),real(q(1)),real(q(2)),real(q(3))
+         write(stdo,*)
+     &        '             : abs(q)= ',sqrt(abs(real(q2)))
+         jw3w(1) = cZero
+         jw3w(2) = cZero
+         jw3w(3) = cZero
+         jw3w(4) = cZero
+         return
+      endif
+#endif
+
+      if ( vmass.eq.rZero ) then
+         dv = rOne/dcmplx( q2 )
+      else
+         dv = rOne/dcmplx( q2-mv2, dmv*dwv )
+      endif
+
+c  For the running width, use below instead of the above dv.
+c      dv = rOne/dcmplx( q2-mv2 , max(dwv*q2/dmv,rZero) )
+
+      w12=dw1(0)*dw2(0)-dw1(1)*dw2(1)-dw1(2)*dw2(2)-dw1(3)*dw2(3)
+      w32=dw3(0)*dw2(0)-dw3(1)*dw2(1)-dw3(2)*dw2(2)-dw3(3)*dw2(3)
+
+      w13=dw1(0)*dw3(0)-dw1(1)*dw3(1)-dw1(2)*dw3(2)-dw1(3)*dw3(3)
+      
+      j4(0) = dg2*( dw1(0)*w32 + dw3(0)*w12 - rTwo*dw2(0)*w13 )
+      j4(1) = dg2*( dw1(1)*w32 + dw3(1)*w12 - rTwo*dw2(1)*w13 )
+      j4(2) = dg2*( dw1(2)*w32 + dw3(2)*w12 - rTwo*dw2(2)*w13 )
+      j4(3) = dg2*( dw1(3)*w32 + dw3(3)*w12 - rTwo*dw2(3)*w13 )
+
+      jj(0) = j4(0)
+      jj(1) = j4(1)
+      jj(2) = j4(2)
+      jj(3) = j4(3)
+
+      if ( vmass.ne.rZero ) then
+
+c     Fabio's implementation of the fixed width
+         cm2=dcmplx( mv2, -dmv*dwv)
+c     jq = (jj(0)*q(0)-jj(1)*q(1)-jj(2)*q(2)-jj(3)*q(3))/mv2
+         jq = (jj(0)*q(0)-jj(1)*q(1)-jj(2)*q(2)-jj(3)*q(3))/cm2
+         
+         jw3w(1) = dcmplx( (jj(0)-jq*q(0))*dv )
+         jw3w(2) = dcmplx( (jj(1)-jq*q(1))*dv )
+         jw3w(3) = dcmplx( (jj(2)-jq*q(2))*dv )
+         jw3w(4) = dcmplx( (jj(3)-jq*q(3))*dv )
+
+      else
+
+         jw3w(1) = dcmplx( jj(0)*dv )
+         jw3w(2) = dcmplx( jj(1)*dv )
+         jw3w(3) = dcmplx( jj(2)*dv )
+         jw3w(4) = dcmplx( jj(3)*dv )
+      end if
+c
+      return
+      end

=== added file 'HELAS/jwwwnx.F'
--- HELAS/jwwwnx.F	1970-01-01 00:00:00 +0000
+++ HELAS/jwwwnx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,198 @@
+      subroutine jwwwnx(w1,w2,w3,gwwa,gwwz,wmass,wwidth , jwww)
+c
+c This subroutine computes an off-shell W+/W- current from the four-
+c point gauge boson coupling.  The vector propagators for the output
+c W and the internal Z bosons are given in unitary gauge, and that of
+c the internal photon is given in Feynman gauge.
+c
+c input:
+c       complex w1(6)          : first  vector                        w1
+c       complex w2(6)          : second vector                        w2
+c       complex w3(6)          : third  vector                        w3
+c       real    gwwa           : coupling constant of W and A       gwwa
+c       real    gwwz           : coupling constant of W and Z       gwwz
+c       real    zmass          : mass  of internal Z
+c       real    zwidth         : width of internal Z
+c       real    wmass          : mass  of output W
+c       real    wwidth         : width of output W
+c
+c the possible sets of the inputs are as follows:
+c   -------------------------------------------------------------------
+c   |  w1  |  w2  |  w3  |gwwa|gwwz|zmass|zwidth|wmass|wwidth || jwww |
+c   -------------------------------------------------------------------
+c   |  W-  |  W+  |  W-  |gwwa|gwwz|zmass|zwidth|wmass|wwidth ||  W+  |
+c   |  W+  |  W-  |  W+  |gwwa|gwwz|zmass|zwidth|wmass|wwidth ||  W-  |
+c   -------------------------------------------------------------------
+c where all the bosons are defined by the flowing-OUT quantum number.
+c
+c output:
+c       complex jwww(6)        : W current             j^mu(w':w1,w2,w3)
+c     
+      implicit none
+      double complex w1(6),w2(6),w3(6),jwww(6)
+      double complex dw1(0:3),dw2(0:3),dw3(0:3),jj(0:3)
+      double complex dw,w12,w32,w13,jq
+      double complex cm2        ! mass**2- I Gamma mass (Fabio)
+      double precision gwwa,gwwz,wmass,wwidth
+      double precision p1(0:3),p2(0:3),p3(0:3),q(0:3)
+      double precision dgwwa2,dgwwz2,dgw2,dmw,dww,mw2,q2
+
+      double precision rZero, rOne, rTwo
+      parameter( rZero = 0.0d0, rOne = 1.0d0, rTwo = 2.0d0 )
+
+#ifdef HELAS_CHECK
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+#ifdef HELAS_CHECK
+      if ( abs(w1(1))+abs(w1(2))+abs(w1(3))+abs(w1(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : w1 in jwwwxx is zero vector'
+      endif
+      if ( abs(w1(5))+abs(w1(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : w1 in jwwwxx has zero momentum'
+      endif
+      if ( abs(w2(1))+abs(w2(2))+abs(w2(3))+abs(w2(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : w2 in jwwwxx is zero vector'
+      endif
+      if ( abs(w2(5))+abs(w2(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : w2 in jwwwxx has zero momentum'
+      endif
+      if ( abs(w3(1))+abs(w3(2))+abs(w3(3))+abs(w3(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : w3 in jwwwxx is zero vector'
+      endif
+      if ( abs(w3(5))+abs(w3(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : w3 in jwwwxx has zero momentum'
+      endif 
+c     Neil edited the following to allow 3-site couplings.
+c      if ( gwwa.eq.rZero ) then
+c         write(stdo,*) ' helas-error : gwwa in jwwwxx is zero coupling'
+c      endif
+c      if ( gwwz.eq.rZero ) then
+c         write(stdo,*) ' helas-error : gwwz in jwwwxx is zero coupling'
+c      endif
+c      if ( gwwa.lt.rZero .or. gwwa.ge.gwwz ) then
+c         write(stdo,*)
+c     &  ' helas-warn  : gwwa/gwwz in jwwwxx are non-standard couplings'
+c         write(stdo,*)
+c     &  '             : gwwa = ',gwwa,'  gwwz = ',gwwz
+c      endif
+c     End Neil's edit
+      if ( wmass.le.rZero ) then
+         write(stdo,*) ' helas-error : wmass in jwwwxx is not positive'
+         write(stdo,*) '             : wmass = ',wmass
+      endif
+      if ( wwidth.lt.rZero ) then
+         write(stdo,*) ' helas-error : wwidth in jwwwxx is negative'
+         write(stdo,*) '             : wwidth = ',wwidth
+      endif
+#endif
+
+
+
+      
+      jwww(5) = w1(5)+w2(5)+w3(5)
+      jwww(6) = w1(6)+w2(6)+w3(6)
+
+      dw1(0) = dcmplx(w1(1))
+      dw1(1) = dcmplx(w1(2))
+      dw1(2) = dcmplx(w1(3))
+      dw1(3) = dcmplx(w1(4))
+      dw2(0) = dcmplx(w2(1))
+      dw2(1) = dcmplx(w2(2))
+      dw2(2) = dcmplx(w2(3))
+      dw2(3) = dcmplx(w2(4))
+      dw3(0) = dcmplx(w3(1))
+      dw3(1) = dcmplx(w3(2))
+      dw3(2) = dcmplx(w3(3))
+      dw3(3) = dcmplx(w3(4))
+      p1(0) = dble(      w1(5))
+      p1(1) = dble(      w1(6))
+      p1(2) = dble(dimag(w1(6)))
+      p1(3) = dble(dimag(w1(5)))
+      p2(0) = dble(      w2(5))
+      p2(1) = dble(      w2(6))
+      p2(2) = dble(dimag(w2(6)))
+      p2(3) = dble(dimag(w2(5)))
+      p3(0) = dble(      w3(5))
+      p3(1) = dble(      w3(6))
+      p3(2) = dble(dimag(w3(6)))
+      p3(3) = dble(dimag(w3(5)))
+      q(0) = -(p1(0)+p2(0)+p3(0))
+      q(1) = -(p1(1)+p2(1)+p3(1))
+      q(2) = -(p1(2)+p2(2)+p3(2))
+      q(3) = -(p1(3)+p2(3)+p3(3))
+      q2 = q(0)**2 -(q(1)**2 +q(2)**2 +q(3)**2)
+c     Neil edited this file to allow implementation of 3-site model.
+c     Now, only gwwa matters and is the full coupling squared.
+c      dgwwa2 = dble(gwwa)**2
+c      dgwwz2 = dble(gwwz)**2
+c      dgw2 = dgwwa2+dgwwz2
+c      dgw2 = gwwa
+c     End Neil's edit
+
+c Benj's modif in order to have FR running
+      dgw2=rZero
+      if(gwwa.eq.rZero) dgw2=gwwz
+      if(gwwz.eq.rZero) dgw2=gwwa
+c End of Benj'S modif
+
+
+
+      dmw = dble(wmass)
+      dww = dble(wwidth)
+      mw2 = dmw**2
+
+#ifdef HELAS_CHECK
+      if ( abs(jwww(5))+abs(jwww(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : jwww in jwwwxx has zero momentum'
+      endif
+      if ( wwidth.eq.rZero .and. q2.eq.mw2 ) then
+         write(stdo,*)
+     &        ' helas-error : jwww in jwwwxx is on wmass pole'
+         write(stdo,*)
+     &        '             : q     = ',
+     &        real(q(0)),real(q(1)),real(q(2)),real(q(3))
+         write(stdo,*)
+     &        '             : abs(q)= ',sqrt(abs(real(q2)))
+         jwww(1) = cZero
+         jwww(2) = cZero
+         jwww(3) = cZero
+         jwww(4) = cZero
+         return
+      endif
+#endif
+
+c Start of Claude'S modif (Removed minus Sign)
+      dw = rOne/dcmplx( q2-mw2, dmw*dww )
+c End of Claude'S modif
+
+c  For the running width, use below instead of the above dw.
+c      dw = -rOne/dcmplx( q2-mw2 , max(dww*q2/dmw,rZero) )
+
+      w12=dw1(0)*dw2(0)-dw1(1)*dw2(1)-dw1(2)*dw2(2)-dw1(3)*dw2(3)
+      w32=dw3(0)*dw2(0)-dw3(1)*dw2(1)-dw3(2)*dw2(2)-dw3(3)*dw2(3)
+
+      w13=dw1(0)*dw3(0)-dw1(1)*dw3(1)-dw1(2)*dw3(2)-dw1(3)*dw3(3)
+
+      jj(0) = dgw2*( dw1(0)*w32 + dw3(0)*w12 - rTwo*dw2(0)*w13 )
+      jj(1) = dgw2*( dw1(1)*w32 + dw3(1)*w12 - rTwo*dw2(1)*w13 )
+      jj(2) = dgw2*( dw1(2)*w32 + dw3(2)*w12 - rTwo*dw2(2)*w13 )
+      jj(3) = dgw2*( dw1(3)*w32 + dw3(3)*w12 - rTwo*dw2(3)*w13 )
+
+c     Fabio's implementation of the fixed width
+      cm2=dcmplx( mw2, -dmw*dww )
+c     jq = (jj(0)*q(0)-jj(1)*q(1)-jj(2)*q(2)-jj(3)*q(3))/mw2
+      jq = (jj(0)*q(0)-jj(1)*q(1)-jj(2)*q(2)-jj(3)*q(3))/cm2
+
+      jwww(1) = dcmplx( (jj(0)-jq*q(0))*dw )
+      jwww(2) = dcmplx( (jj(1)-jq*q(1))*dw )
+      jwww(3) = dcmplx( (jj(2)-jq*q(2))*dw )
+      jwww(4) = dcmplx( (jj(3)-jq*q(3))*dw )
+c
+      return
+      end

=== added file 'HELAS/jwwwxx.F'
--- HELAS/jwwwxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/jwwwxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,177 @@
+      subroutine jwwwxx(w1,w2,w3,gwwa,gwwz,wmass,wwidth , jwww)
+c
+c This subroutine computes an off-shell W+/W- current from the four-
+c point gauge boson coupling.  The vector propagators for the output
+c W and the internal Z bosons are given in unitary gauge, and that of
+c the internal photon is given in Feynman gauge.
+c
+c input:
+c       complex w1(6)          : first  vector                        w1
+c       complex w2(6)          : second vector                        w2
+c       complex w3(6)          : third  vector                        w3
+c       real    gwwa           : coupling constant of W and A       gwwa
+c       real    gwwz           : coupling constant of W and Z       gwwz
+c       real    zmass          : mass  of internal Z
+c       real    zwidth         : width of internal Z
+c       real    wmass          : mass  of output W
+c       real    wwidth         : width of output W
+c
+c the possible sets of the inputs are as follows:
+c   -------------------------------------------------------------------
+c   |  w1  |  w2  |  w3  |gwwa|gwwz|zmass|zwidth|wmass|wwidth || jwww |
+c   -------------------------------------------------------------------
+c   |  W-  |  W+  |  W-  |gwwa|gwwz|zmass|zwidth|wmass|wwidth ||  W+  |
+c   |  W+  |  W-  |  W+  |gwwa|gwwz|zmass|zwidth|wmass|wwidth ||  W-  |
+c   -------------------------------------------------------------------
+c where all the bosons are defined by the flowing-OUT quantum number.
+c
+c output:
+c       complex jwww(6)        : W current             j^mu(w':w1,w2,w3)
+c     
+      implicit none
+      double complex w1(6),w2(6),w3(6),jwww(6)
+      double complex dw1(0:3),dw2(0:3),dw3(0:3),jj(0:3)
+      double complex dw,w12,w32,w13,jq
+      double complex cm2        ! mass**2- I Gamma mass (Fabio)
+      double precision gwwa,gwwz,wmass,wwidth
+      double precision p1(0:3),p2(0:3),p3(0:3),q(0:3)
+      double precision dgwwa2,dgwwz2,dgw2,dmw,dww,mw2,q2
+
+      double precision rZero, rOne, rTwo
+      parameter( rZero = 0.0d0, rOne = 1.0d0, rTwo = 2.0d0 )
+
+#ifdef HELAS_CHECK
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+#ifdef HELAS_CHECK
+      if ( abs(w1(1))+abs(w1(2))+abs(w1(3))+abs(w1(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : w1 in jwwwxx is zero vector'
+      endif
+      if ( abs(w1(5))+abs(w1(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : w1 in jwwwxx has zero momentum'
+      endif
+      if ( abs(w2(1))+abs(w2(2))+abs(w2(3))+abs(w2(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : w2 in jwwwxx is zero vector'
+      endif
+      if ( abs(w2(5))+abs(w2(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : w2 in jwwwxx has zero momentum'
+      endif
+      if ( abs(w3(1))+abs(w3(2))+abs(w3(3))+abs(w3(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : w3 in jwwwxx is zero vector'
+      endif
+      if ( abs(w3(5))+abs(w3(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : w3 in jwwwxx has zero momentum'
+      endif 
+      if ( gwwa.eq.rZero ) then
+         write(stdo,*) ' helas-error : gwwa in jwwwxx is zero coupling'
+      endif
+      if ( gwwz.eq.rZero ) then
+         write(stdo,*) ' helas-error : gwwz in jwwwxx is zero coupling'
+      endif
+      if ( gwwa.lt.rZero .or. gwwa.ge.gwwz ) then
+         write(stdo,*)
+     &  ' helas-warn  : gwwa/gwwz in jwwwxx are non-standard couplings'
+         write(stdo,*)
+     &  '             : gwwa = ',gwwa,'  gwwz = ',gwwz
+      endif
+      if ( wmass.le.rZero ) then
+         write(stdo,*) ' helas-error : wmass in jwwwxx is not positive'
+         write(stdo,*) '             : wmass = ',wmass
+      endif
+      if ( wwidth.lt.rZero ) then
+         write(stdo,*) ' helas-error : wwidth in jwwwxx is negative'
+         write(stdo,*) '             : wwidth = ',wwidth
+      endif
+#endif
+
+      jwww(5) = w1(5)+w2(5)+w3(5)
+      jwww(6) = w1(6)+w2(6)+w3(6)
+
+      dw1(0) = dcmplx(w1(1))
+      dw1(1) = dcmplx(w1(2))
+      dw1(2) = dcmplx(w1(3))
+      dw1(3) = dcmplx(w1(4))
+      dw2(0) = dcmplx(w2(1))
+      dw2(1) = dcmplx(w2(2))
+      dw2(2) = dcmplx(w2(3))
+      dw2(3) = dcmplx(w2(4))
+      dw3(0) = dcmplx(w3(1))
+      dw3(1) = dcmplx(w3(2))
+      dw3(2) = dcmplx(w3(3))
+      dw3(3) = dcmplx(w3(4))
+      p1(0) = dble(      w1(5))
+      p1(1) = dble(      w1(6))
+      p1(2) = dble(dimag(w1(6)))
+      p1(3) = dble(dimag(w1(5)))
+      p2(0) = dble(      w2(5))
+      p2(1) = dble(      w2(6))
+      p2(2) = dble(dimag(w2(6)))
+      p2(3) = dble(dimag(w2(5)))
+      p3(0) = dble(      w3(5))
+      p3(1) = dble(      w3(6))
+      p3(2) = dble(dimag(w3(6)))
+      p3(3) = dble(dimag(w3(5)))
+      q(0) = -(p1(0)+p2(0)+p3(0))
+      q(1) = -(p1(1)+p2(1)+p3(1))
+      q(2) = -(p1(2)+p2(2)+p3(2))
+      q(3) = -(p1(3)+p2(3)+p3(3))
+      q2 = q(0)**2 -(q(1)**2 +q(2)**2 +q(3)**2)
+      dgwwa2 = dble(gwwa)**2
+      dgwwz2 = dble(gwwz)**2
+      dgw2 = dgwwa2+dgwwz2
+      dmw = dble(wmass)
+      dww = dble(wwidth)
+      mw2 = dmw**2
+
+#ifdef HELAS_CHECK
+      if ( abs(jwww(5))+abs(jwww(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : jwww in jwwwxx has zero momentum'
+      endif
+      if ( wwidth.eq.rZero .and. q2.eq.mw2 ) then
+         write(stdo,*)
+     &        ' helas-error : jwww in jwwwxx is on wmass pole'
+         write(stdo,*)
+     &        '             : q     = ',
+     &        real(q(0)),real(q(1)),real(q(2)),real(q(3))
+         write(stdo,*)
+     &        '             : abs(q)= ',sqrt(abs(real(q2)))
+         jwww(1) = cZero
+         jwww(2) = cZero
+         jwww(3) = cZero
+         jwww(4) = cZero
+         return
+      endif
+#endif
+
+      dw = -rOne/dcmplx( q2-mw2, dmw*dww )
+c  For the running width, use below instead of the above dw.
+c      dw = -rOne/dcmplx( q2-mw2 , max(dww*q2/dmw,rZero) )
+
+      w12=dw1(0)*dw2(0)-dw1(1)*dw2(1)-dw1(2)*dw2(2)-dw1(3)*dw2(3)
+      w32=dw3(0)*dw2(0)-dw3(1)*dw2(1)-dw3(2)*dw2(2)-dw3(3)*dw2(3)
+
+      w13=dw1(0)*dw3(0)-dw1(1)*dw3(1)-dw1(2)*dw3(2)-dw1(3)*dw3(3)
+
+      jj(0) = dgw2*( dw1(0)*w32 + dw3(0)*w12 - rTwo*dw2(0)*w13 )
+      jj(1) = dgw2*( dw1(1)*w32 + dw3(1)*w12 - rTwo*dw2(1)*w13 )
+      jj(2) = dgw2*( dw1(2)*w32 + dw3(2)*w12 - rTwo*dw2(2)*w13 )
+      jj(3) = dgw2*( dw1(3)*w32 + dw3(3)*w12 - rTwo*dw2(3)*w13 )
+
+c     Fabio's implementation of the fixed width
+      cm2=dcmplx( mw2, -dmw*dww )
+c     jq = (jj(0)*q(0)-jj(1)*q(1)-jj(2)*q(2)-jj(3)*q(3))/mw2
+      jq = (jj(0)*q(0)-jj(1)*q(1)-jj(2)*q(2)-jj(3)*q(3))/cm2
+
+      jwww(1) = dcmplx( (jj(0)-jq*q(0))*dw )
+      jwww(2) = dcmplx( (jj(1)-jq*q(1))*dw )
+      jwww(3) = dcmplx( (jj(2)-jq*q(2))*dw )
+      jwww(4) = dcmplx( (jj(3)-jq*q(3))*dw )
+c
+      return
+      end

=== added directory 'HELAS/lib'
=== added file 'HELAS/lib/.keepthisdir'
=== added file 'HELAS/mom2cx.F'
--- HELAS/mom2cx.F	1970-01-01 00:00:00 +0000
+++ HELAS/mom2cx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,80 @@
+      subroutine mom2cx(esum,mass1,mass2,costh1,phi1 , p1,p2)
+c
+c This subroutine sets up two four-momenta in the two particle rest
+c frame.
+c
+c input:
+c       real    esum           : energy sum of particle 1 and 2
+c       real    mass1          : mass            of particle 1
+c       real    mass2          : mass            of particle 2
+c       real    costh1         : cos(theta)      of particle 1
+c       real    phi1           : azimuthal angle of particle 1
+c
+c output:
+c       real    p1(0:3)        : four-momentum of particle 1
+c       real    p2(0:3)        : four-momentum of particle 2
+c     
+      implicit none
+      double precision p1(0:3),p2(0:3),
+     &     esum,mass1,mass2,costh1,phi1,md2,ed,pp,sinth1
+
+      double precision rZero, rHalf, rOne, rTwo
+      parameter( rZero = 0.0d0, rHalf = 0.5d0 )
+      parameter( rOne = 1.0d0, rTwo = 2.0d0 )
+
+#ifdef HELAS_CHECK
+      double precision rPi
+      parameter( rPi = 3.14159265358979323846d0 )
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+#ifdef HELAS_CHECK
+      if (esum.lt.mass1+mass2) then
+         write(stdo,*)
+     &        ' helas-error : esum in mom2cx is less than mass1+mass2'
+         write(stdo,*)
+     &        '             : esum = ',esum,
+     &        ' : mass1+mass2 = ',mass1,mass2
+      endif
+      if (mass1.lt.rZero) then
+         write(stdo,*) ' helas-error : mass1 in mom2cx is negative'
+         write(stdo,*) '             : mass1 = ',mass1
+      endif
+      if (mass2.lt.rZero) then
+         write(stdo,*) ' helas-error : mass2 in mom2cx is negative'
+         write(stdo,*) '             : mass2 = ',mass2
+      endif
+      if (abs(costh1).gt.1.) then
+         write(stdo,*) ' helas-error : costh1 in mom2cx is improper'
+         write(stdo,*) '             : costh1 = ',costh1
+      endif
+      if (phi1.lt.rZero .or. phi1.gt.rTwo*rPi) then
+         write(stdo,*)
+     &   ' helas-warn  : phi1 in mom2cx does not lie on 0.0 thru 2.0*pi'
+         write(stdo,*) 
+     &   '             : phi1 = ',phi1
+      endif
+#endif
+
+      md2 = (mass1-mass2)*(mass1+mass2)
+      ed = md2/esum
+      if ( mass1*mass2.eq.rZero ) then
+         pp = (esum-abs(ed))*rHalf
+      else
+         pp = sqrt((md2/esum)**2-rTwo*(mass1**2+mass2**2)+esum**2)*rHalf
+      endif
+      sinth1 = sqrt((rOne-costh1)*(rOne+costh1))
+
+      p1(0) = max((esum+ed)*rHalf,rZero)
+      p1(1) = pp*sinth1*cos(phi1)
+      p1(2) = pp*sinth1*sin(phi1)
+      p1(3) = pp*costh1
+
+      p2(0) = max((esum-ed)*rHalf,rZero)
+      p2(1) = -p1(1)
+      p2(2) = -p1(2)
+      p2(3) = -p1(3)
+c
+      return
+      end

=== added file 'HELAS/momntx.F'
--- HELAS/momntx.F	1970-01-01 00:00:00 +0000
+++ HELAS/momntx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,74 @@
+      subroutine momntx(energy,mass,costh,phi , p)
+c
+c This subroutine sets up a four-momentum from the four inputs.
+c
+c input:
+c       real    energy         : energy
+c       real    mass           : mass
+c       real    costh          : cos(theta)
+c       real    phi            : azimuthal angle
+c
+c output:
+c       real    p(0:3)         : four-momentum
+c     
+      implicit none
+      double precision p(0:3),energy,mass,costh,phi,pp,sinth
+
+      double precision rZero, rOne
+      parameter( rZero = 0.0d0, rOne = 1.0d0 )
+
+#ifdef HELAS_CHECK
+      double precision rPi, rTwo
+      parameter( rPi = 3.14159265358979323846d0, rTwo = 2.d0 )
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+#ifdef HELAS_CHECK
+      if (energy.lt.mass) then
+         write(stdo,*)
+     &        ' helas-error : energy in momntx is less than mass'
+         write(stdo,*) 
+     &        '             : energy = ',energy,' : mass = ',mass
+      endif
+      if (mass.lt.rZero) then
+         write(stdo,*) ' helas-error : mass in momntx is negative'
+         write(stdo,*) '             : mass = ',mass
+      endif
+      if (abs(costh).gt.rOne) then
+         write(stdo,*) ' helas-error : costh in momntx is improper'
+         write(stdo,*) '             : costh = ',costh
+      endif
+      if (phi.lt.rZero .or. phi.gt.rTwo*rPi) then
+         write(stdo,*)
+     &   ' helas-warn  : phi in momntx does not lie on 0.0 thru 2.0*pi'
+         write(stdo,*) 
+     &   '             : phi = ',phi
+      endif
+#endif
+
+      p(0) = energy
+
+      if ( energy.eq.mass ) then
+
+         p(1) = rZero
+         p(2) = rZero
+         p(3) = rZero
+
+      else
+
+         pp = sqrt((energy-mass)*(energy+mass))
+         sinth = sqrt((rOne-costh)*(rOne+costh))
+         p(3) = pp*costh
+         if ( phi.eq.rZero ) then
+            p(1) = pp*sinth
+            p(2) = rZero
+         else
+            p(1) = pp*sinth*cos(phi)
+            p(2) = pp*sinth*sin(phi)
+         endif
+
+      endif
+c
+      return
+      end

=== added file 'HELAS/oxxxxx.F'
--- HELAS/oxxxxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/oxxxxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,136 @@
+      subroutine oxxxxx(p,fmass,nhel,nsf , fo)
+c
+c This subroutine computes a fermion wavefunction with the flowing-OUT
+c fermion number.
+c
+c input:
+c       real    p(0:3)         : four-momentum of fermion
+c       real    fmass          : mass          of fermion
+c       integer nhel = -1 or 1 : helicity      of fermion
+c       integer nsf  = -1 or 1 : +1 for particle, -1 for anti-particle
+c
+c output:
+c       complex fo(6)          : fermion wavefunction               <fo|
+c     
+      implicit none
+      double complex fo(6),chi(2)
+      double precision p(0:3),sf(2),sfomeg(2),omega(2),fmass,
+     &     pp,pp3,sqp0p3,sqm(0:1)
+      integer nhel,nsf,nh,ip,im
+
+      double precision rZero, rHalf, rTwo
+      parameter( rZero = 0.0d0, rHalf = 0.5d0, rTwo = 2.0d0 )
+
+#ifdef HELAS_CHECK
+      double precision p2
+      double precision epsi
+      parameter( epsi = 2.0d-5 )
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+#ifdef HELAS_CHECK
+      pp = sqrt(p(1)**2+p(2)**2+p(3)**2)
+      if ( abs(p(0))+pp.eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : p(0:3) in oxxxxx is zero momentum'
+      endif
+      if ( p(0).le.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : p(0:3) in oxxxxx has non-positive energy'
+         write(stdo,*)
+     &        '         : p(0) = ',p(0)
+      endif
+      p2 = (p(0)-pp)*(p(0)+pp)
+      if ( abs(p2-fmass**2).gt.p(0)**2*epsi ) then
+         write(stdo,*)
+     &        ' helas-error : p(0:3) in oxxxxx has inappropriate mass'
+         write(stdo,*)
+     &        '             : p**2 = ',p2,' : fmass**2 = ',fmass**2
+      endif
+      if ( abs(nhel).ne.1 ) then
+         write(stdo,*) ' helas-error : nhel in oxxxxx is not -1,1'
+         write(stdo,*) '             : nhel = ',nhel
+      endif
+      if ( abs(nsf).ne.1 ) then
+         write(stdo,*) ' helas-error : nsf in oxxxxx is not -1,1'
+         write(stdo,*) '             : nsf = ',nsf
+      endif
+#endif
+
+      fo(5) = dcmplx(p(0),p(3))*nsf
+      fo(6) = dcmplx(p(1),p(2))*nsf
+
+      nh = nhel*nsf
+
+      if ( fmass.ne.rZero ) then
+
+         pp = min(p(0),dsqrt(p(1)**2+p(2)**2+p(3)**2))
+
+         if ( pp.eq.rZero ) then
+            
+            sqm(0) = dsqrt(abs(fmass)) ! possibility of negative fermion masses
+            sqm(1) = sign(sqm(0),fmass) ! possibility of negative fermion masses
+            ip = -((1+nh)/2)
+            im =  (1-nh)/2
+            
+            fo(1) = im     * sqm(im)
+            fo(2) = ip*nsf * sqm(im)
+            fo(3) = im*nsf * sqm(-ip)
+            fo(4) = ip     * sqm(-ip)
+            
+         else
+            
+            pp = min(p(0),dsqrt(p(1)**2+p(2)**2+p(3)**2))
+            sf(1) = dble(1+nsf+(1-nsf)*nh)*rHalf
+            sf(2) = dble(1+nsf-(1-nsf)*nh)*rHalf
+            omega(1) = dsqrt(p(0)+pp)
+            omega(2) = fmass/omega(1)
+            ip = (3+nh)/2
+            im = (3-nh)/2
+            sfomeg(1) = sf(1)*omega(ip)
+            sfomeg(2) = sf(2)*omega(im)
+            pp3 = max(pp+p(3),rZero)
+            chi(1) = dcmplx( dsqrt(pp3*rHalf/pp) )
+            if ( pp3.eq.rZero ) then
+               chi(2) = dcmplx(-nh )
+            else
+               chi(2) = dcmplx( nh*p(1) , -p(2) )/dsqrt(rTwo*pp*pp3)
+            endif
+            
+            fo(1) = sfomeg(2)*chi(im)
+            fo(2) = sfomeg(2)*chi(ip)
+            fo(3) = sfomeg(1)*chi(im)
+            fo(4) = sfomeg(1)*chi(ip)
+
+         endif
+         
+      else
+         
+         if(p(1).eq.0d0.and.p(2).eq.0d0.and.p(3).lt.0d0) then
+            sqp0p3 = 0d0
+         else
+            sqp0p3 = dsqrt(max(p(0)+p(3),rZero))*nsf
+         end if
+         chi(1) = dcmplx( sqp0p3 )
+         if ( sqp0p3.eq.rZero ) then
+            chi(2) = dcmplx(-nhel )*dsqrt(rTwo*p(0))
+         else
+            chi(2) = dcmplx( nh*p(1), -p(2) )/sqp0p3
+         endif
+         if ( nh.eq.1 ) then
+            fo(1) = chi(1)
+            fo(2) = chi(2)
+            fo(3) = dcmplx( rZero )
+            fo(4) = dcmplx( rZero )
+         else
+            fo(1) = dcmplx( rZero )
+            fo(2) = dcmplx( rZero )
+            fo(3) = chi(2)
+            fo(4) = chi(1)
+         endif
+         
+      endif
+c
+      return
+      end

=== added file 'HELAS/pxxxxx.F'
--- HELAS/pxxxxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/pxxxxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,36 @@
+      subroutine pxxxxx(p,tmass,nhel,nst , tc)
+
+c    CP3 2009.NOV
+
+c This subroutine computes a PSEUDOR wavefunction.
+c
+c input:
+c       real    p(0:3)         : four-momentum of tensor boson
+c       real    tmass          : mass          of tensor boson
+c       integer nhel           : helicity      of tensor boson
+c                = -2,-1,0,1,2 : (0 is forbidden if tmass=0.0)
+c       integer nst  = -1 or 1 : +1 for final, -1 for initial
+c
+c output:
+c       complex tc(18)         : PSEUDOR  wavefunction    epsilon^mu^nu(t)
+c     
+      implicit none
+      double precision p(0:3), tmass
+      integer nhel, nst
+      double complex tc(18)
+
+      double complex ft(6,4), ep(4), em(4), e0(4)
+      double precision pt, pt2, pp, pzpt, emp, sqh, sqs
+      integer i, j
+
+      double precision rZero, rHalf, rOne, rTwo
+      parameter( rZero = 0.0d0, rHalf = 0.5d0 )
+      parameter( rOne = 1.0d0, rTwo = 2.0d0 )
+
+
+      tc(1)=NHEL
+      tc(17) = dcmplx(p(0),p(3))*nst
+      tc(18) = dcmplx(p(1),p(2))*nst
+
+      return
+      end

=== added file 'HELAS/rotxxx.F'
--- HELAS/rotxxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/rotxxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,66 @@
+      subroutine rotxxx(p,q , prot)
+c
+c This subroutine performs the spacial rotation of a four-momentum.
+c the momentum p is assumed to be given in the frame where the spacial
+c component of q points the positive z-axis.  prot is the momentum p
+c rotated to the frame where q is given.
+c
+c input:
+c       real    p(0:3)         : four-momentum p in q(1)=q(2)=0 frame
+c       real    q(0:3)         : four-momentum q in the rotated frame
+c
+c output:
+c       real    prot(0:3)      : four-momentum p in the rotated frame
+c     
+      implicit none
+      double precision p(0:3),q(0:3),prot(0:3),qt2,qt,psgn,qq,p1
+
+      double precision rZero, rOne
+      parameter( rZero = 0.0d0, rOne = 1.0d0 )
+
+#ifdef HELAS_CHECK
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+      prot(0) = p(0)
+
+      qt2 = q(1)**2 + q(2)**2
+
+#ifdef HELAS_CHECK
+      if (abs(p(0))+abs(p(1))+abs(p(2))+abs(p(3)).eq.rZero) then
+         write(stdo,*)
+     &        ' helas-error : p(0:3) in rotxxx is zero momentum'
+      endif
+      if (abs(q(0))+abs(q(3))+qt2.eq.rZero) then
+         write(stdo,*)
+     &        ' helas-error : q(0:3) in rotxxx is zero momentum'
+      endif
+      if (qt2+abs(q(3)).eq.rZero) then
+         write(stdo,*)
+     &   ' helas-warn  : q(0:3) in rotxxx has zero spacial momentum'
+      endif
+#endif
+
+      if ( qt2.eq.rZero ) then
+          if ( q(3).eq.rZero ) then
+             prot(1) = p(1)
+             prot(2) = p(2)
+             prot(3) = p(3)
+          else
+             psgn = dsign(rOne,q(3))
+             prot(1) = p(1)*psgn
+             prot(2) = p(2)*psgn
+             prot(3) = p(3)*psgn
+          endif
+      else
+          qq = sqrt(qt2+q(3)**2)
+          qt = sqrt(qt2)
+          p1 = p(1)
+          prot(1) = q(1)*q(3)/qq/qt*p1 -q(2)/qt*p(2) +q(1)/qq*p(3)
+          prot(2) = q(2)*q(3)/qq/qt*p1 +q(1)/qt*p(2) +q(2)/qq*p(3)
+          prot(3) =          -qt/qq*p1               +q(3)/qq*p(3)
+      endif
+c
+      return
+      end

=== added file 'HELAS/ssssxx.F'
--- HELAS/ssssxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/ssssxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,95 @@
+      subroutine ssssxx(s1,s2,s3,s4,gc , vertex)
+c
+c This subroutine computes an amplitude of the four-scalar coupling.
+c
+c input:
+c       complex s1(3)          : first  scalar                        s1
+c       complex s2(3)          : second scalar                        s2
+c       complex s3(3)          : third  scalar                        s3
+c       complex s4(3)          : fourth scalar                        s4
+c       complex gc             : coupling constant                 ghhhh
+c
+c output:
+c       complex vertex         : amplitude            gamma(s1,s2,s3,s4)
+c     
+      implicit none
+      double complex s1(3),s2(3),s3(3),s4(3),gc,vertex
+
+#ifdef HELAS_CHECK
+      double precision p0,p1,p2,p3,q0,q1,q2,q3,r0,r1,r2,r3,o0,o1,o2,o3,
+     &     pm
+      double precision epsi
+      parameter( epsi = 4.0d-5 )
+      double precision rZero
+      parameter( rZero = 0.0d0 )
+      double complex cZero
+      parameter( cZero = ( 0.0d0, 0.0d0 ) )
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+#ifdef HELAS_CHECK
+      p0 = dble( s1(2))
+      p1 = dble( s1(3))
+      p2 = dimag(s1(3))
+      p3 = dimag(s1(2))
+      q0 = dble( s2(2))
+      q1 = dble( s2(3))
+      q2 = dimag(s2(3))
+      q3 = dimag(s2(2))
+      r0 = dble( s3(2))
+      r1 = dble( s3(3))
+      r2 = dimag(s3(3))
+      r3 = dimag(s3(2))
+      o0 = dble( s4(2))
+      o1 = dble( s4(3))
+      o2 = dimag(s4(3))
+      o3 = dimag(s4(2))
+      if ( s1(1).eq.cZero ) then
+         write(stdo,*) ' helas-warn  : s1 in ssssxx is zero scalar'
+      endif
+      if ( abs(s1(2))+abs(s1(3)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : s1 in ssssxx has zero momentum'
+      endif
+      if ( s2(1).eq.cZero ) then
+         write(stdo,*) ' helas-warn  : s2 in ssssxx is zero scalar'
+      endif
+      if ( abs(s2(2))+abs(s2(3)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : s2 in ssssxx has zero momentum'
+      endif
+      if ( s3(1).eq.cZero ) then
+         write(stdo,*) ' helas-warn  : s3 in ssssxx is zero scalar'
+      endif
+      if ( abs(s3(2))+abs(s3(3)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : s3 in ssssxx has zero momentum'
+      endif
+      if ( s4(1).eq.cZero ) then
+         write(stdo,*) ' helas-warn  : s4 in ssssxx is zero scalar'
+      endif
+      if ( abs(s4(2))+abs(s4(3)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : s4 in ssssxx has zero momentum'
+      endif
+      pm = max( abs(p0),abs(q0),abs(r0),abs(o0),
+     &          abs(p1),abs(q1),abs(r1),abs(o1),
+     &          abs(p2),abs(q2),abs(r2),abs(o2),
+     &          abs(p3),abs(q3),abs(r3),abs(o3) )
+      if (  abs(s1(2)+s2(2)+s3(2)+s4(2))
+     &     +abs(s1(3)+s2(3)+s3(3)+s4(3)).ge.pm*epsi ) then
+         write(stdo,*)
+     &        ' helas-error : s1,s2,s3,s4 in ssssxx'
+         write(stdo,*)
+     &         '            : have not balanced momenta'
+       endif
+       if ( gc.eq.cZero ) then
+          write(stdo,*) ' helas-error : g in ssssxx is zero coupling'
+       endif
+#endif
+
+      vertex = gc*s1(1)*s2(1)*s3(1)*s4(1)
+c
+      return
+      end

=== added file 'HELAS/ssstxx.F'
--- HELAS/ssstxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/ssstxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,55 @@
+      subroutine ssstxx(tc1,tc2,sc,gt,vertex)
+c
+c- by RF - Feb. 2006 
+c
+c This subroutine computes an amplitude of the tts coupling.
+c
+c     input:
+c          complex tc1               : Incoming tensor particle
+c          complex tc2               : Incoming tensor particle
+c          complex sc                : Incoming scalar particle (Higgs)
+c          real    gt                : coupling constant for the tts vertex
+c
+c     output:
+c          complex vertex            : amplitude for a tts vertex
+c
+
+      implicit none
+c--   dimension of the current set to arbitrary length
+      INTEGER DIM
+      PARAMETER(DIM=18)
+c      include "dimension.inc"
+      double complex tc1(DIM),tc2(DIM),sc(DIM)
+
+      double complex vertex
+      double precision gt
+
+c Take the inner product between the tensor particles
+c and multiply it with the scalar particle and the coupling constant.
+c Note that the tensor particle is antisymmetric, thus all diagonal terms
+c are zero.
+
+      vertex = gt * sc(1) * (
+c     &                       + tc1( 1) * tc2( 1)
+     &                       - tc1( 2) * tc2( 2)
+     &                       - tc1( 3) * tc2( 3)
+     &                       - tc1( 4) * tc2( 4)
+
+     &                       - tc1( 5) * tc2( 5)
+c     &                       + tc1( 6) * tc2( 6)
+     &                       + tc1( 7) * tc2( 7)
+     &                       + tc1( 8) * tc2( 8)
+
+     &                       - tc1( 9) * tc2( 9)
+     &                       + tc1(10) * tc2(10)
+c     &                       + tc1(11) * tc2(11)
+     &                       + tc1(12) * tc2(12)
+
+     &                       - tc1(13) * tc2(13)
+     &                       + tc1(14) * tc2(14)
+     &                       + tc1(15) * tc2(15)
+c     &                       + tc1(16) * tc2(16)
+     &                                           )
+
+      return
+      end

=== added file 'HELAS/sssxxx.F'
--- HELAS/sssxxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/sssxxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,81 @@
+      subroutine sssxxx(s1,s2,s3,gc , vertex)
+c
+c This subroutine computes an amplitude of the three-scalar coupling.
+c
+c input:
+c       complex s1(3)          : first  scalar                        s1
+c       complex s2(3)          : second scalar                        s2
+c       complex s3(3)          : third  scalar                        s3
+c       complex gc             : coupling constant                  ghhh
+c
+c output:
+c       complex vertex         : amplitude               gamma(s1,s2,s3)
+c     
+      implicit none
+      double complex s1(3),s2(3),s3(3),gc,vertex
+
+#ifdef HELAS_CHECK
+      double precision p0,p1,p2,p3,q0,q1,q2,q3,r0,r1,r2,r3,pm
+      double precision epsi
+      parameter( epsi = 4.0d-5 )
+      double precision rZero
+      parameter( rZero = 0.0d0 )
+      double complex cZero
+      parameter( cZero = ( 0.0d0, 0.0d0 ) )
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+#ifdef HELAS_CHECK
+      p0 = dble( s1(2))
+      p1 = dble( s1(3))
+      p2 = dimag(s1(3))
+      p3 = dimag(s1(2))
+      q0 = dble( s2(2))
+      q1 = dble( s2(3))
+      q2 = dimag(s2(3))
+      q3 = dimag(s2(2))
+      r0 = dble( s3(2))
+      r1 = dble( s3(3))
+      r2 = dimag(s3(3))
+      r3 = dimag(s3(2))
+      if ( s1(1).eq.cZero ) then
+         write(stdo,*) ' helas-warn  : s1 in sssxxx is zero scalar'
+      endif
+      if ( abs(s1(2))+abs(s1(3)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : s1 in sssxxx has zero momentum'
+      endif
+      if ( s2(1).eq.cZero ) then
+         write(stdo,*) ' helas-warn  : s2 in sssxxx is zero scalar'
+      endif
+      if ( abs(s2(2))+abs(s2(3)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : s2 in sssxxx has zero momentum'
+      endif
+      if ( s3(1).eq.cZero ) then
+         write(stdo,*) ' helas-warn  : s3 in sssxxx is zero scalar'
+      endif
+      if ( abs(s3(2))+abs(s3(3)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : s3 in sssxxx has zero momentum'
+      endif
+      pm = max( abs(p0),abs(q0),abs(r0),abs(p1),abs(q1),abs(r1),
+     &          abs(p2),abs(q2),abs(r2),abs(p3),abs(q3),abs(r3) )
+      if ( abs(s1(2)+s2(2)+s3(2))+abs(s1(3)+s2(3)+s3(3))
+     &                                              .ge.pm*epsi ) then
+         write(stdo,*)
+     &        ' helas-error : s1,s2,s3 in sssxxx'
+         write(stdo,*)
+     &        '             : have not balanced momenta'
+      endif
+      if ( gc.eq.cZero ) then
+         write(stdo,*)
+     &        ' helas-error : gc in sssxxx is zero coupling'
+      endif
+#endif
+
+      vertex = gc*s1(1)*s2(1)*s3(1)
+c
+      return
+      end

=== added file 'HELAS/sstlxx.F'
--- HELAS/sstlxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/sstlxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,24 @@
+      subroutine sstlxx(s1,s2,t3,gc , vertex)
+c- by RF - Mar. 2006
+c
+c This subroutine computes an amplitude of the three-scalar coupling.
+c
+c input:
+c       complex s1(3)          : first  scalar                        s1
+c       complex s2(3)          : second scalar                        s2
+c       complex t3(3)          : internal particle                    s3
+c       real    gc             : coupling constant                    gv
+c
+c output:
+c       complex vertex         : amplitude               gamma(s1,s2,s3)
+c     
+      implicit none
+
+      include "dimension.inc"
+      double complex s1(DIM),s2(DIM),t3(DIM),vertex
+      double precision gc
+
+      vertex = - gc*s1(1)*s2(1)*t3(1)
+
+      return
+      end

=== added file 'HELAS/sstxxx.F'
--- HELAS/sstxxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/sstxxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,94 @@
+      subroutine sstxxx(s1,s2,tc,gt,smass , vertex)
+c
+c This subroutine computes an amplitude of the three-point coupling of
+c two scalar and a tensor boson.
+c
+c input:
+c       complex s1(3)          : first  scalar                        s1
+c       complex s2(3)          : second scalar                        s2
+c       complex tc(18)         : input  tensor                         T
+c       complex gt             : coupling constant         gts=-1/Lambda
+c       real    smass          : scalar mass                         m_s
+c
+c output:
+c       complex vertex         : amplitude                gamma(s1,s2,T)
+c
+c- by Q.Li - OCT. 2006
+c     
+      implicit none
+      double complex s1(3), s2(3), tc(18), vertex
+      double complex gt
+      double precision smass
+
+      double complex ft(6,4)
+      double complex T12, T13, T14, T23, T24, T34
+      double complex TKK
+      double precision ps1(4), ps2(4)
+	integer i
+      double complex cZero
+      double precision rZero, rTwo
+      parameter( rZero = 0.0d0, rTwo = 2.0d0 )
+      parameter( cZero = ( 0.0d0, 0.0d0 ) )
+
+
+      ft(1,1) = tc(1)
+      ft(1,2) = tc(2)
+      ft(1,3) = tc(3)
+      ft(1,4) = tc(4)
+      ft(2,1) = tc(5)
+      ft(2,2) = tc(6)
+      ft(2,3) = tc(7)
+      ft(2,4) = tc(8)
+      ft(3,1) = tc(9)
+      ft(3,2) = tc(10)
+      ft(3,3) = tc(11)
+      ft(3,4) = tc(12)
+      ft(4,1) = tc(13)
+      ft(4,2) = tc(14)
+      ft(4,3) = tc(15)
+      ft(4,4) = tc(16)
+      ft(5,1) = tc(17)
+      ft(6,1) = tc(18)
+
+      ps1(1) = dreal(s1(2))
+      ps1(2) = dreal(s1(3))
+      ps1(3) = dimag(s1(3))
+      ps1(4) = dimag(s1(2))
+
+      ps2(1) = -dreal(s2(2))
+      ps2(2) = -dreal(s2(3))
+      ps2(3) = -dimag(s2(3))
+      ps2(4) = -dimag(s2(2))
+
+      T12 = ft(1,2) + ft(2,1)
+      T13 = ft(1,3) + ft(3,1)
+      T14 = ft(1,4) + ft(4,1)
+      T23 = ft(2,3) + ft(3,2)
+      T24 = ft(2,4) + ft(4,2)
+      T34 = ft(3,4) + ft(4,3)
+
+
+      TKK   = cZero
+    
+      do i = 1,4
+         TKK=TKK+ft(i,i)*ps1(i)*ps2(i)
+      end do
+
+      TKK   = rTwo*TKK
+
+      TKK = TKK - T12*(ps1(1)*ps2(2) + ps1(2)*ps2(1))
+     &          - T13*(ps1(1)*ps2(3) + ps1(3)*ps2(1))
+     &          - T14*(ps1(1)*ps2(4) + ps1(4)*ps2(1))
+     &          + T23*(ps1(2)*ps2(3) + ps1(3)*ps2(2))
+     &          + T24*(ps1(2)*ps2(4) + ps1(4)*ps2(2))
+     &          + T34*(ps1(3)*ps2(4) + ps1(4)*ps2(3))
+
+
+      vertex = TKK+(ft(1,1)-ft(2,2)-ft(3,3)-ft(4,4))
+     &	*(smass**2-ps1(1)*ps2(1)+ps1(2)*ps2(2)
+     &      +ps1(3)*ps2(3)+ps1(4)*ps2(4))
+
+      vertex = vertex * gt*s1(1)*s2(1)
+
+      return
+      end

=== added file 'HELAS/sxxxxx.F'
--- HELAS/sxxxxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/sxxxxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,57 @@
+      subroutine sxxxxx(p,nss , sc)
+c
+c This subroutine computes a complex SCALAR wavefunction.
+c
+c input:
+c       real    p(0:3)         : four-momentum of scalar boson
+c       integer nss  = -1 or 1 : +1 for final, -1 for initial
+c
+c output:
+c       complex sc(3)          : scalar wavefunction                   s
+c     
+      implicit none
+      double complex sc(3)
+      double precision p(0:3)
+      integer nss
+
+      double precision rOne
+      parameter( rOne = 1.0d0 )
+
+#ifdef HELAS_CHECK
+      double precision p2
+      double precision epsi
+      parameter( epsi = 2.0d-5 )
+      double precision rZero
+      parameter( rZero = 0.0d0 )
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+#ifdef HELAS_CHECK
+      if ( abs(p(0))+abs(p(1))+abs(p(2))+abs(p(3)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : p(0:3) in sxxxxx is zero momentum'
+      endif
+      if ( p(0).le.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : p(0:3) in sxxxxx has non-positive energy'
+         write(stdo,*)
+     &        '             : p(0) = ',p(0)
+      endif
+      p2 = p(0)**2-(p(1)**2+p(2)**2+p(3)**2)
+      if ( p2.lt.-p(0)**2*epsi ) then
+         write(stdo,*) ' helas-error : p(0:3) in sxxxxx is spacelike'
+         write(stdo,*) '             : p**2 = ',p2
+      endif
+      if ( abs(nss).ne.1 ) then
+         write(stdo,*) ' helas-error : nss in sxxxxx is not -1,1'
+         write(stdo,*) '             : nss = ',nss
+      endif
+#endif
+
+      sc(1) = dcmplx( rOne )
+      sc(2) = dcmplx(p(0),p(3))*nss
+      sc(3) = dcmplx(p(1),p(2))*nss
+c
+      return
+      end

=== added file 'HELAS/t2xxxx.f'
--- HELAS/t2xxxx.f	1970-01-01 00:00:00 +0000
+++ HELAS/t2xxxx.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,79 @@
+      subroutine t2xxxx(p,tmass,nhel,nst ,ft)
+c
+c This subroutine computes k^mu*e^nu where e is delta(i,nhel).
+c It is used to test for gauge invariance of the tensor routines.
+c
+c input:
+c       real    p(0:3)             : four-momentum of tensor boson
+c       real    tmass              : mass          of tensor boson
+c       integer nhel = =-2..2        : construction of e^nu
+c       integer nst  = -1 or 1     : +1 for final, -1 for initial
+c
+c output:
+c       complex tc(6,4)            : tensor wavefunction       epsilon^mu^nu(t)
+c     
+      implicit none
+      double complex ft(18),tc(6,4), ep(4), em(4)
+      double precision p(0:3), tmass
+      integer nhel, nst, i, j
+
+      double precision rZero, rOne
+      parameter( rZero = 0.0d0, rOne = 1.0d0 )
+c
+      tc(5,1) = dcmplx(p(0),p(3))*nst
+      tc(6,1) = dcmplx(p(1),p(2))*nst
+
+      ep(1) = dcmplx( p(0), rZero )
+      ep(2) = dcmplx( p(1), rZero )
+      ep(3) = dcmplx( p(2), rZero )
+      ep(4) = dcmplx( p(3), rZero )
+
+      if ( nhel.eq.1 ) then
+         em(1) = dcmplx( rOne , rZero )
+         em(2) = dcmplx( rZero, rZero )
+         em(3) = dcmplx( rZero, rZero )
+         em(4) = dcmplx( rZero, rZero )
+      else if ( nhel.eq.-1 ) then
+         em(1) = dcmplx( rZero, rZero )
+         em(2) = dcmplx( rOne , rZero )
+         em(3) = dcmplx( rZero, rZero )
+         em(4) = dcmplx( rZero, rZero )
+      else if ( nhel.eq.2 ) then
+         em(1) = dcmplx( rZero, rZero )
+         em(2) = dcmplx( rZero, rZero )
+         em(3) = dcmplx( rOne , rZero )
+         em(4) = dcmplx( rZero, rZero )
+      else if ( nhel.eq.-2.or.nhel.eq.0 ) then
+         em(1) = dcmplx( rZero, rZero )
+         em(2) = dcmplx( rZero, rZero )
+         em(3) = dcmplx( rZero, rZero )
+         em(4) = dcmplx( rOne , rZero )
+      end if
+
+      do j = 1,4
+         do i = 1,4
+            tc(i,j) = ep(i)*em(j)
+         end do
+      end do
+c
+      ft(1)=tc(1,1)
+      ft(2)=tc(1,2)
+      ft(3)=tc(1,3)
+      ft(4)=tc(1,4)
+      ft(5)=tc(2,1)
+      ft(6)=tc(2,2)
+      ft(7)=tc(2,3)
+      ft(8)=tc(2,4)
+      ft(9)=tc(3,1)
+      ft(10)=tc(3,2)
+      ft(11)=tc(3,3)
+      ft(12)=tc(3,4)
+      ft(13)=tc(4,1)
+      ft(14)=tc(4,2)
+      ft(15)=tc(4,3)
+      ft(16)=tc(4,4)
+      ft(17)=tc(5,1)
+      ft(18)=tc(6,1)
+
+      return
+      end

=== added file 'HELAS/tpsxxx.F'
--- HELAS/tpsxxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/tpsxxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,105 @@
+      subroutine tpsxxx(t1,t2,sc,gt,xm,xw,vertex)
+
+c  Subroutines for graviton phase space integration
+c  KEK 2009.11
+c
+      implicit none
+      double complex t1(18), t2(18), sc(3), vertex, tc2(18)
+      double complex gt(2)
+      double precision smass,xmass
+
+      double complex ft(6,4),ft2(6,4)
+      double precision ps1(4), pt2(4),PT(4),PTT2,PG(0:3)
+      integer i
+      double complex cZero
+      double precision rZero, rTwo,Pi
+      parameter( rZero = 0.0d0, rTwo = 2.0d0 )
+      parameter( cZero = ( 0.0d0, 0.0d0 ) )
+      double precision PADD
+      double precision L_ADD,NADD,MGLOW,MGUP
+      double precision YMASS,YWIDTH,xm,xw
+      external txxxxx
+
+      Pi=dacos(-1.0d0)
+      L_ADD=dimag(gt(1))
+      NADD=dreal(gt(1))
+      MGUP=dimag(gt(2))
+      MGLOW=dreal(gt(2))
+      YMASS=xm
+      YWIDTH=xw
+
+
+      ft(1,1) = t1(1)
+      ft(1,2) = t1(2)
+      ft(1,3) = t1(3)
+      ft(1,4) = t1(4)
+      ft(2,1) = t1(5)
+      ft(2,2) = t1(6)
+      ft(2,3) = t1(7)
+      ft(2,4) = t1(8)
+      ft(3,1) = t1(9)
+      ft(3,2) = t1(10)
+      ft(3,3) = t1(11)
+      ft(3,4) = t1(12)
+      ft(4,1) = t1(13)
+      ft(4,2) = t1(14)
+      ft(4,3) = t1(15)
+      ft(4,4) = t1(16)
+      ft(5,1) = t1(17)
+      ft(6,1) = t1(18)
+
+      ps1(1) = dreal(sc(2))
+      ps1(2) = dreal(sc(3))
+      ps1(3) = dimag(sc(3))
+      ps1(4) = dimag(sc(2))
+
+      pt2(1) = -dreal(t2(17))
+      pt2(2) = -dreal(t2(18))
+      pt2(3) = -dimag(t2(18))
+      pt2(4) = -dimag(t2(17))
+
+      PG(0)=ps1(1)-pt2(1)
+      PG(1)=ps1(2)-pt2(2)
+      PG(2)=ps1(3)-pt2(3)
+      PG(3)=ps1(4)-pt2(4)
+
+      PTT2=PG(0)**2-PG(1)**2-PG(2)**2-PG(3)**2
+      xmass=dsqrt(PTT2)
+
+      if(xmass.lt.MGLOW.or.xmass.gt.MGUP) then
+      vertex=dcmplx(0.0d0,0.0d0)
+      return
+      endif
+
+      CALL txxxxx(PG,xmass,INT(t2(1)),+1 , tc2)
+
+
+       if(INT(NADD).eq.2) then
+         PADD=2.0d0*Pi
+        elseif(INT(NADD).eq.3) then
+         PADD=4.0d0*Pi
+        elseif(INT(NADD).eq.4) then
+         PADD=2.0d0*Pi**2
+        elseif(INT(NADD).eq.5) then
+          PADD=8.0d0/3.0d0*Pi**2
+        elseif(INT(NADD).eq.6) then
+           PADD=Pi**3
+        else
+        print *, "OUT CASE"
+        stop
+        endif 
+
+       vertex =dcmplx( PTT2-YMASS**2, YMASS*YWIDTH )* 
+     & ( t1(1)*tc2(1)+t1(6)*tc2(6)+t1(11)*tc2(11)+t1(16)*tc2(16)
+     & - t1(2)*tc2(2)-t1(3)*tc2(3)-t1(4)*tc2(4)
+     & - t1(5)*tc2(5)-t1(9)*tc2(9)-t1(13)*tc2(13)
+     & +t1(7)*tc2(7)+t1(8)*tc2(8)+t1(10)*tc2(10)
+     & +t1(12)*tc2(12)+t1(14)*tc2(14)+t1(15)*tc2(15)
+     & )
+     & *dsqrt( 
+     &2.0d0*Pi*8.0d0*Pi  ! to compensate the decay phase factor
+     &* PADD/L_ADD**NADD*xmass**(NADD-1)  ! density factor for d=4 case
+     &/2.0d0/xmass)   ! dm=dm^2/2/m    
+
+      return
+      end

=== added file 'HELAS/ttsaxx.F'
--- HELAS/ttsaxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/ttsaxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,63 @@
+      subroutine ttsaxx(tc1,tc2,sc,gc,vertex)
+c
+c- by RF - Feb. 2006 
+c
+c This subroutine computes an amplitude of the tts coupling.
+c
+c     input:
+c          complex tc1(18)           : Incoming tensor particle
+c          complex tc2(18)           : Incoming tensor particle
+c          complex sc(3)             : Incoming scalar particle (Higgs)
+c          complex gc(2)             : coupling constant: gt(1) scalar
+c                                                         gt(2) not used
+c
+c     output:
+c          complex vertex            : amplitude for a tts vertex
+c
+
+      implicit none
+c--   dimension of the current set to arbitrary length
+c      INTEGER DIM
+c      PARAMETER(DIM=18)
+      include "dimension.inc"
+      double complex tc1(DIM),tc2(DIM),sc(DIM)
+      double complex vertex, gc(2)
+
+
+c Take the inner product between the tensor particles
+c and multiply it with the scalar particle and the coupling constant.
+c Note that the tensor particle is antisymmetric, thus all diagonal terms
+c are zero.
+
+      if (gc(1).NE.(0D0,0D0)) then
+
+      vertex = - gc(1)*sc(1)* (
+     &                 !      + tc1( 1) * tc2( 1)
+     &                       - tc1( 2) * tc2( 2)
+     &                       - tc1( 3) * tc2( 3)
+     &                       - tc1( 4) * tc2( 4)
+
+     &                       - tc1( 5) * tc2( 5)
+     &                 !      + tc1( 6) * tc2( 6)
+     &                       + tc1( 7) * tc2( 7)
+     &                       + tc1( 8) * tc2( 8)
+
+     &                       - tc1( 9) * tc2( 9)
+     &                       + tc1(10) * tc2(10)
+     &                 !      + tc1(11) * tc2(11)
+     &                       + tc1(12) * tc2(12)
+
+     &                       - tc1(13) * tc2(13)
+     &                       + tc1(14) * tc2(14)
+     &                       + tc1(15) * tc2(15)
+     &                 !      + tc1(16) * tc2(16)
+     &                                           )
+
+
+      else
+      vertex = (0D0,0D0)
+      endif      
+
+
+      return
+      end

=== added file 'HELAS/ttscxx.F'
--- HELAS/ttscxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/ttscxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,93 @@
+      subroutine ttscxx(tc1,tc2,sc,gc,vertex)
+c
+c- by RF - Feb. 2006 
+c  CP3  Modified Nov. 2009 
+c
+c This subroutine computes an amplitude of the tts coupling.
+c
+c     input:
+c          complex tc1(18)           : Incoming tensor particle
+c          complex tc2(18)           : Incoming tensor particle
+c          complex sc(3)             : Incoming scalar particle (Higgs)
+c          complex gc(2)             : coupling constant: gt(1) scalar
+c                                                         gt(2) not used
+c
+c     output:
+c          complex vertex            : amplitude for a tts vertex
+c
+
+      implicit none
+c--   dimension of the current set to arbitrary length
+c      INTEGER DIM
+c      PARAMETER(DIM=18)
+      include "dimension.inc"
+      double complex tc1(DIM),tc2(DIM),sc(DIM),t1(6,4),t2(6,4)
+      double complex vertex, gc(2)
+
+
+c Take the inner product between the tensor particles
+c and multiply it with the scalar particle and the coupling constant.
+c Note that the tensor particle is antisymmetric, thus all diagonal terms
+c are zero.
+
+      T1(1,1) = tc1(1)
+      T1(1,2) = tc1(2)
+      T1(1,3) = tc1(3)
+      T1(1,4) = tc1(4)
+      T1(2,1) = tc1(5)
+      T1(2,2) = tc1(6)
+      T1(2,3) = tc1(7)
+      T1(2,4) = tc1(8)
+      T1(3,1) = tc1(9)
+      T1(3,2) = tc1(10)
+      T1(3,3) = tc1(11)
+      T1(3,4) = tc1(12)
+      T1(4,1) = tc1(13)
+      T1(4,2) = tc1(14)
+      T1(4,3) = tc1(15)
+      T1(4,4) = tc1(16)
+      T1(5,1) = tc1(17)
+      T1(6,1) = tc1(18)
+
+      T2(1,1) = tc2(1)
+      T2(1,2) = tc2(2)
+      T2(1,3) = tc2(3)
+      T2(1,4) = tc2(4)
+      T2(2,1) = tc2(5)
+      T2(2,2) = tc2(6)
+      T2(2,3) = tc2(7)
+      T2(2,4) = tc2(8)
+      T2(3,1) = tc2(9)
+      T2(3,2) = tc2(10)
+      T2(3,3) = tc2(11)
+      T2(3,4) = tc2(12)
+      T2(4,1) = tc2(13)
+      T2(4,2) = tc2(14)
+      T2(4,3) = tc2(15)
+      T2(4,4) = tc2(16)
+      T2(5,1) = tc2(17)
+      T2(6,1) = tc2(18)
+
+      if (gc(1).NE.(0D0,0D0)) then
+
+      vertex =  gc(1)*(SC(1)*T1(1,2)*T2(1,2) - SC(1)*T1(2,1)*T2(1,2) + 
+     -  SC(1)*T1(1,3)*T2(1,3) - SC(1)*T1(3,1)*T2(1,3) + 
+     -  SC(1)*T1(1,4)*T2(1,4) - SC(1)*T1(4,1)*T2(1,4) - 
+     -  SC(1)*T1(1,2)*T2(2,1) + SC(1)*T1(2,1)*T2(2,1) - 
+     -  SC(1)*T1(2,3)*T2(2,3) + SC(1)*T1(3,2)*T2(2,3) - 
+     -  SC(1)*T1(2,4)*T2(2,4) + SC(1)*T1(4,2)*T2(2,4) - 
+     -  SC(1)*T1(1,3)*T2(3,1) + SC(1)*T1(3,1)*T2(3,1) + 
+     -  SC(1)*T1(2,3)*T2(3,2) - SC(1)*T1(3,2)*T2(3,2) - 
+     -  SC(1)*T1(3,4)*T2(3,4) + SC(1)*T1(4,3)*T2(3,4) - 
+     -  SC(1)*T1(1,4)*T2(4,1) + SC(1)*T1(4,1)*T2(4,1) + 
+     -  SC(1)*T1(2,4)*T2(4,2) - SC(1)*T1(4,2)*T2(4,2) + 
+     -  SC(1)*T1(3,4)*T2(4,3) - SC(1)*T1(4,3)*T2(4,3))
+
+
+      else
+      vertex = (0D0,0D0)
+      endif      
+
+
+      return
+      end

=== added file 'HELAS/ttssxx.F'
--- HELAS/ttssxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/ttssxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,66 @@
+      subroutine ttssxx(tc1,tc2,sc1,sc2,g1,g2,vertex)
+c
+c- by RF - Mar. 2006 
+c
+c This subroutine computes an amplitude of the tts coupling.
+c
+c     input:
+c          complex tc1               : Incoming tensor particle
+c          complex tc2               : Incoming tensor particle
+c          complex sc1               : Incoming scalar particle (Higgs)
+c          complex sc2               : Incoming scalar particle (Higgs)
+c          complex g1(2)             : coupling constant (Higgs Eff. Thr.)
+c          real    g2                : coupling constant
+c
+c     output:
+c          complex vertex            : amplitude for a tts vertex
+c
+
+      implicit none
+c--   dimension of the current set to arbitrary length
+c      INTEGER DIM
+c      PARAMETER(DIM=18)
+      include "dimension.inc"
+      double complex tc1(DIM),tc2(DIM),sc1(DIM),sc2(DIM)
+
+      double complex vertex, g1(2)
+      double precision g2
+
+
+c Take the inner product between the tensor particles
+c and multiply it with the scalar particles and the coupling constants.
+c Note that the tensor particles are antisymmetric, thus all diagonal terms
+c are zero.
+
+      if (g1(1).NE.(0D0,0D0)) then
+
+      vertex = g1(1)*g2*sc1(1)*sc2(1)* (
+c     &                       + tc1( 1) * tc2( 1)
+     &                       - tc1( 2) * tc2( 2)
+     &                       - tc1( 3) * tc2( 3)
+     &                       - tc1( 4) * tc2( 4)
+
+     &                       - tc1( 5) * tc2( 5)
+c     &                       + tc1( 6) * tc2( 6)
+     &                       + tc1( 7) * tc2( 7)
+     &                       + tc1( 8) * tc2( 8)
+
+     &                       - tc1( 9) * tc2( 9)
+     &                       + tc1(10) * tc2(10)
+c     &                       + tc1(11) * tc2(11)
+     &                       + tc1(12) * tc2(12)
+
+     &                       - tc1(13) * tc2(13)
+     &                       + tc1(14) * tc2(14)
+     &                       + tc1(15) * tc2(15)
+c     &                       + tc1(16) * tc2(16)
+     &                                           )
+
+
+      else
+      vertex = (0D0,0D0)
+      endif      
+
+
+      return
+      end

=== added file 'HELAS/ttsxxx.F'
--- HELAS/ttsxxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/ttsxxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,63 @@
+      subroutine ttsxxx(tc1,tc2,sc,gc,vertex)
+c
+c- by RF - Feb. 2006 
+c
+c This subroutine computes an amplitude of the tts coupling.
+c
+c     input:
+c          complex tc1(18)           : Incoming tensor particle
+c          complex tc2(18)           : Incoming tensor particle
+c          complex sc(3)             : Incoming scalar particle (Higgs)
+c          complex gc(2)             : coupling constant: gt(1) scalar
+c                                                         gt(2) not used
+c
+c     output:
+c          complex vertex            : amplitude for a tts vertex
+c
+
+      implicit none
+c--   dimension of the current set to arbitrary length
+c      INTEGER DIM
+c      PARAMETER(DIM=18)
+      include "dimension.inc"
+      double complex tc1(DIM),tc2(DIM),sc(DIM)
+      double complex vertex, gc(2)
+
+
+c Take the inner product between the tensor particles
+c and multiply it with the scalar particle and the coupling constant.
+c Note that the tensor particle is antisymmetric, thus all diagonal terms
+c are zero.
+
+      if (gc(1).NE.(0D0,0D0)) then
+
+      vertex = - gc(1)*sc(1)* (
+     &                 !      + tc1( 1) * tc2( 1)
+     &                       - tc1( 2) * tc2( 2)
+     &                       - tc1( 3) * tc2( 3)
+     &                       - tc1( 4) * tc2( 4)
+
+     &                       - tc1( 5) * tc2( 5)
+     &                 !      + tc1( 6) * tc2( 6)
+     &                       + tc1( 7) * tc2( 7)
+     &                       + tc1( 8) * tc2( 8)
+
+     &                       - tc1( 9) * tc2( 9)
+     &                       + tc1(10) * tc2(10)
+     &                 !      + tc1(11) * tc2(11)
+     &                       + tc1(12) * tc2(12)
+
+     &                       - tc1(13) * tc2(13)
+     &                       + tc1(14) * tc2(14)
+     &                       + tc1(15) * tc2(15)
+     &                 !      + tc1(16) * tc2(16)
+     &                                           )
+
+
+      else
+      vertex = (0D0,0D0)
+      endif      
+
+
+      return
+      end

=== added file 'HELAS/tttxxx.F'
--- HELAS/tttxxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/tttxxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,231 @@
+      subroutine tttxxx(tt,ta,tb,gt,vertex)
+c
+c This subroutine computes an amplitude of the three-point coupling of
+c two gauge bosons and a tensor boson.
+c
+c input:
+c       complex ta(18)          : first  tensor                           ta
+c       complex tb(18)          : second tensor                       tb
+c       complex tt(18)           : input  tensor                         tt
+c       complex gt             : coupling constant         gtv=-1/Lambda
+c output:
+c       complex vertex         : amplitude                gamma(tt,ta,tb)
+c
+      implicit none
+      double complex ta(18), tb(18), tt(18), gt, vertex
+      double complex T1(6,4),T2(6,4),T(6,4)
+
+      integer i, j
+
+      double complex cZero
+      double precision rZero, rTwo
+      parameter( rZero = 0.0d0, rTwo = 2.0d0 )
+      parameter( cZero = ( 0.0d0, 0.0d0 ) )
+
+      
+      T(1,1) = tt(1)
+      T(1,2) = tt(2)
+      T(1,3) = tt(3)
+      T(1,4) = tt(4)
+      T(2,1) = tt(5)
+      T(2,2) = tt(6)
+      T(2,3) = tt(7)
+      T(2,4) = tt(8)
+      T(3,1) = tt(9)
+      T(3,2) = tt(10)
+      T(3,3) = tt(11)
+      T(3,4) = tt(12)
+      T(4,1) = tt(13)
+      T(4,2) = tt(14)
+      T(4,3) = tt(15)
+      T(4,4) = tt(16)
+      T(5,1) = tt(17)
+      T(6,1) = tt(18)
+ 
+      T1(1,1) = ta(1)
+      T1(1,2) = ta(2)
+      T1(1,3) = ta(3)
+      T1(1,4) = ta(4)
+      T1(2,1) = ta(5)
+      T1(2,2) = ta(6)
+      T1(2,3) = ta(7)
+      T1(2,4) = ta(8)
+      T1(3,1) = ta(9)
+      T1(3,2) = ta(10)
+      T1(3,3) = ta(11)
+      T1(3,4) = ta(12)
+      T1(4,1) = ta(13)
+      T1(4,2) = ta(14)
+      T1(4,3) = ta(15)
+      T1(4,4) = ta(16)
+      T1(5,1) = ta(17)
+      T1(6,1) = ta(18)
+
+      T2(1,1) = tb(1)
+      T2(1,2) = tb(2)
+      T2(1,3) = tb(3)
+      T2(1,4) = tb(4)
+      T2(2,1) = tb(5)
+      T2(2,2) = tb(6)
+      T2(2,3) = tb(7)
+      T2(2,4) = tb(8)
+      T2(3,1) = tb(9)
+      T2(3,2) = tb(10)
+      T2(3,3) = tb(11)
+      T2(3,4) = tb(12)
+      T2(4,1) = tb(13)
+      T2(4,2) = tb(14)
+      T2(4,3) = tb(15)
+      T2(4,4) = tb(16)
+      T2(5,1) = tb(17)
+      T2(6,1) = tb(18)
+
+
+      vertex =-gt*(T(1,1)*T1(1,2)*T2(1,2) - T(2,2)*T1(1,2)*T2(1,2) + 
+     -  T(3,3)*T1(1,2)*T2(1,2) + T(4,4)*T1(1,2)*T2(1,2) - 
+     -  T(2,3)*T1(1,3)*T2(1,2) - T(3,2)*T1(1,3)*T2(1,2) - 
+     -  T(2,4)*T1(1,4)*T2(1,2) - T(4,2)*T1(1,4)*T2(1,2) - 
+     -  T(1,1)*T1(2,1)*T2(1,2) + T(2,2)*T1(2,1)*T2(1,2) - 
+     -  T(3,3)*T1(2,1)*T2(1,2) - T(4,4)*T1(2,1)*T2(1,2) + 
+     -  T(1,3)*T1(2,3)*T2(1,2) + T(3,1)*T1(2,3)*T2(1,2) + 
+     -  T(1,4)*T1(2,4)*T2(1,2) + T(4,1)*T1(2,4)*T2(1,2) + 
+     -  T(2,3)*T1(3,1)*T2(1,2) + T(3,2)*T1(3,1)*T2(1,2) - 
+     -  T(1,3)*T1(3,2)*T2(1,2) - T(3,1)*T1(3,2)*T2(1,2) + 
+     -  T(2,4)*T1(4,1)*T2(1,2) + T(4,2)*T1(4,1)*T2(1,2) - 
+     -  T(1,4)*T1(4,2)*T2(1,2) - T(4,1)*T1(4,2)*T2(1,2) - 
+     -  T(2,3)*T1(1,2)*T2(1,3) - T(3,2)*T1(1,2)*T2(1,3) + 
+     -  T(1,1)*T1(1,3)*T2(1,3) + T(2,2)*T1(1,3)*T2(1,3) - 
+     -  T(3,3)*T1(1,3)*T2(1,3) + T(4,4)*T1(1,3)*T2(1,3) - 
+     -  T(3,4)*T1(1,4)*T2(1,3) - T(4,3)*T1(1,4)*T2(1,3) + 
+     -  T(2,3)*T1(2,1)*T2(1,3) + T(3,2)*T1(2,1)*T2(1,3) - 
+     -  T(1,2)*T1(2,3)*T2(1,3) - T(2,1)*T1(2,3)*T2(1,3) - 
+     -  T(1,1)*T1(3,1)*T2(1,3) - T(2,2)*T1(3,1)*T2(1,3) + 
+     -  T(3,3)*T1(3,1)*T2(1,3) - T(4,4)*T1(3,1)*T2(1,3) + 
+     -  T(1,2)*T1(3,2)*T2(1,3) + T(2,1)*T1(3,2)*T2(1,3) + 
+     -  T(1,4)*T1(3,4)*T2(1,3) + T(4,1)*T1(3,4)*T2(1,3) + 
+     -  T(3,4)*T1(4,1)*T2(1,3) + T(4,3)*T1(4,1)*T2(1,3) - 
+     -  T(1,4)*T1(4,3)*T2(1,3) - T(4,1)*T1(4,3)*T2(1,3) - 
+     -  T(2,4)*T1(1,2)*T2(1,4) - T(4,2)*T1(1,2)*T2(1,4) - 
+     -  T(3,4)*T1(1,3)*T2(1,4) - T(4,3)*T1(1,3)*T2(1,4) + 
+     -  T(1,1)*T1(1,4)*T2(1,4) + T(2,2)*T1(1,4)*T2(1,4) + 
+     -  T(3,3)*T1(1,4)*T2(1,4) - T(4,4)*T1(1,4)*T2(1,4) + 
+     -  T(2,4)*T1(2,1)*T2(1,4) + T(4,2)*T1(2,1)*T2(1,4) - 
+     -  T(1,2)*T1(2,4)*T2(1,4) - T(2,1)*T1(2,4)*T2(1,4) + 
+     -  T(3,4)*T1(3,1)*T2(1,4) + T(4,3)*T1(3,1)*T2(1,4) - 
+     -  T(1,3)*T1(3,4)*T2(1,4) - T(3,1)*T1(3,4)*T2(1,4) - 
+     -  T(1,1)*T1(4,1)*T2(1,4) - T(2,2)*T1(4,1)*T2(1,4) - 
+     -  T(3,3)*T1(4,1)*T2(1,4) + T(4,4)*T1(4,1)*T2(1,4) + 
+     -  T(1,2)*T1(4,2)*T2(1,4) + T(2,1)*T1(4,2)*T2(1,4) + 
+     -  T(1,3)*T1(4,3)*T2(1,4) + T(3,1)*T1(4,3)*T2(1,4) - 
+     -  T(1,1)*T1(1,2)*T2(2,1) + T(2,2)*T1(1,2)*T2(2,1) - 
+     -  T(3,3)*T1(1,2)*T2(2,1) - T(4,4)*T1(1,2)*T2(2,1) + 
+     -  T(2,3)*T1(1,3)*T2(2,1) + T(3,2)*T1(1,3)*T2(2,1) + 
+     -  T(2,4)*T1(1,4)*T2(2,1) + T(4,2)*T1(1,4)*T2(2,1) + 
+     -  T(1,1)*T1(2,1)*T2(2,1) - T(2,2)*T1(2,1)*T2(2,1) + 
+     -  T(3,3)*T1(2,1)*T2(2,1) + T(4,4)*T1(2,1)*T2(2,1) - 
+     -  T(1,3)*T1(2,3)*T2(2,1) - T(3,1)*T1(2,3)*T2(2,1) - 
+     -  T(1,4)*T1(2,4)*T2(2,1) - T(4,1)*T1(2,4)*T2(2,1) - 
+     -  T(2,3)*T1(3,1)*T2(2,1) - T(3,2)*T1(3,1)*T2(2,1) + 
+     -  T(1,3)*T1(3,2)*T2(2,1) + T(3,1)*T1(3,2)*T2(2,1) - 
+     -  T(2,4)*T1(4,1)*T2(2,1) - T(4,2)*T1(4,1)*T2(2,1) + 
+     -  T(1,4)*T1(4,2)*T2(2,1) + T(4,1)*T1(4,2)*T2(2,1) + 
+     -  T(1,3)*T1(1,2)*T2(2,3) + T(3,1)*T1(1,2)*T2(2,3) - 
+     -  T(1,2)*T1(1,3)*T2(2,3) - T(2,1)*T1(1,3)*T2(2,3) - 
+     -  T(1,3)*T1(2,1)*T2(2,3) - T(3,1)*T1(2,1)*T2(2,3) + 
+     -  T(1,1)*T1(2,3)*T2(2,3) + T(2,2)*T1(2,3)*T2(2,3) + 
+     -  T(3,3)*T1(2,3)*T2(2,3) - T(4,4)*T1(2,3)*T2(2,3) + 
+     -  T(3,4)*T1(2,4)*T2(2,3) + T(4,3)*T1(2,4)*T2(2,3) + 
+     -  T(1,2)*T1(3,1)*T2(2,3) + T(2,1)*T1(3,1)*T2(2,3) - 
+     -  T(1,1)*T1(3,2)*T2(2,3) - T(2,2)*T1(3,2)*T2(2,3) - 
+     -  T(3,3)*T1(3,2)*T2(2,3) + T(4,4)*T1(3,2)*T2(2,3) - 
+     -  T(2,4)*T1(3,4)*T2(2,3) - T(4,2)*T1(3,4)*T2(2,3) - 
+     -  T(3,4)*T1(4,2)*T2(2,3) - T(4,3)*T1(4,2)*T2(2,3) + 
+     -  T(2,4)*T1(4,3)*T2(2,3) + T(4,2)*T1(4,3)*T2(2,3) + 
+     -  T(1,4)*T1(1,2)*T2(2,4) + T(4,1)*T1(1,2)*T2(2,4) - 
+     -  T(1,2)*T1(1,4)*T2(2,4) - T(2,1)*T1(1,4)*T2(2,4) - 
+     -  T(1,4)*T1(2,1)*T2(2,4) - T(4,1)*T1(2,1)*T2(2,4) + 
+     -  T(3,4)*T1(2,3)*T2(2,4) + T(4,3)*T1(2,3)*T2(2,4) + 
+     -  T(1,1)*T1(2,4)*T2(2,4) + T(2,2)*T1(2,4)*T2(2,4) - 
+     -  T(3,3)*T1(2,4)*T2(2,4) + T(4,4)*T1(2,4)*T2(2,4) - 
+     -  T(3,4)*T1(3,2)*T2(2,4) - T(4,3)*T1(3,2)*T2(2,4) + 
+     -  T(2,3)*T1(3,4)*T2(2,4) + T(3,2)*T1(3,4)*T2(2,4) + 
+     -  T(1,2)*T1(4,1)*T2(2,4) + T(2,1)*T1(4,1)*T2(2,4) - 
+     -  T(1,1)*T1(4,2)*T2(2,4) - T(2,2)*T1(4,2)*T2(2,4) + 
+     -  T(3,3)*T1(4,2)*T2(2,4) - T(4,4)*T1(4,2)*T2(2,4) - 
+     -  T(2,3)*T1(4,3)*T2(2,4) - T(3,2)*T1(4,3)*T2(2,4) + 
+     -  T(2,3)*T1(1,2)*T2(3,1) + T(3,2)*T1(1,2)*T2(3,1) - 
+     -  T(1,1)*T1(1,3)*T2(3,1) - T(2,2)*T1(1,3)*T2(3,1) + 
+     -  T(3,3)*T1(1,3)*T2(3,1) - T(4,4)*T1(1,3)*T2(3,1) + 
+     -  T(3,4)*T1(1,4)*T2(3,1) + T(4,3)*T1(1,4)*T2(3,1) - 
+     -  T(2,3)*T1(2,1)*T2(3,1) - T(3,2)*T1(2,1)*T2(3,1) + 
+     -  T(1,2)*T1(2,3)*T2(3,1) + T(2,1)*T1(2,3)*T2(3,1) + 
+     -  T(1,1)*T1(3,1)*T2(3,1) + T(2,2)*T1(3,1)*T2(3,1) - 
+     -  T(3,3)*T1(3,1)*T2(3,1) + T(4,4)*T1(3,1)*T2(3,1) - 
+     -  T(1,2)*T1(3,2)*T2(3,1) - T(2,1)*T1(3,2)*T2(3,1) - 
+     -  T(1,4)*T1(3,4)*T2(3,1) - T(4,1)*T1(3,4)*T2(3,1) - 
+     -  T(3,4)*T1(4,1)*T2(3,1) - T(4,3)*T1(4,1)*T2(3,1) + 
+     -  T(1,4)*T1(4,3)*T2(3,1) + T(4,1)*T1(4,3)*T2(3,1) - 
+     -  T(1,3)*T1(1,2)*T2(3,2) - T(3,1)*T1(1,2)*T2(3,2) + 
+     -  T(1,2)*T1(1,3)*T2(3,2) + T(2,1)*T1(1,3)*T2(3,2) + 
+     -  T(1,3)*T1(2,1)*T2(3,2) + T(3,1)*T1(2,1)*T2(3,2) - 
+     -  T(1,1)*T1(2,3)*T2(3,2) - T(2,2)*T1(2,3)*T2(3,2) - 
+     -  T(3,3)*T1(2,3)*T2(3,2) + T(4,4)*T1(2,3)*T2(3,2) - 
+     -  T(3,4)*T1(2,4)*T2(3,2) - T(4,3)*T1(2,4)*T2(3,2) - 
+     -  T(1,2)*T1(3,1)*T2(3,2) - T(2,1)*T1(3,1)*T2(3,2) + 
+     -  T(1,1)*T1(3,2)*T2(3,2) + T(2,2)*T1(3,2)*T2(3,2) + 
+     -  T(3,3)*T1(3,2)*T2(3,2) - T(4,4)*T1(3,2)*T2(3,2) + 
+     -  T(2,4)*T1(3,4)*T2(3,2) + T(4,2)*T1(3,4)*T2(3,2) + 
+     -  T(3,4)*T1(4,2)*T2(3,2) + T(4,3)*T1(4,2)*T2(3,2) - 
+     -  T(2,4)*T1(4,3)*T2(3,2) - T(4,2)*T1(4,3)*T2(3,2) + 
+     -  T(1,4)*T1(1,3)*T2(3,4) + T(4,1)*T1(1,3)*T2(3,4) - 
+     -  T(1,3)*T1(1,4)*T2(3,4) - T(3,1)*T1(1,4)*T2(3,4) - 
+     -  T(2,4)*T1(2,3)*T2(3,4) - T(4,2)*T1(2,3)*T2(3,4) + 
+     -  T(2,3)*T1(2,4)*T2(3,4) + T(3,2)*T1(2,4)*T2(3,4) - 
+     -  T(1,4)*T1(3,1)*T2(3,4) - T(4,1)*T1(3,1)*T2(3,4) + 
+     -  T(2,4)*T1(3,2)*T2(3,4) + T(4,2)*T1(3,2)*T2(3,4) + 
+     -  T(1,1)*T1(3,4)*T2(3,4) - T(2,2)*T1(3,4)*T2(3,4) + 
+     -  T(3,3)*T1(3,4)*T2(3,4) + T(4,4)*T1(3,4)*T2(3,4) + 
+     -  T(1,3)*T1(4,1)*T2(3,4) + T(3,1)*T1(4,1)*T2(3,4) - 
+     -  T(2,3)*T1(4,2)*T2(3,4) - T(3,2)*T1(4,2)*T2(3,4) - 
+     -  T(1,1)*T1(4,3)*T2(3,4) + T(2,2)*T1(4,3)*T2(3,4) - 
+     -  T(3,3)*T1(4,3)*T2(3,4) - T(4,4)*T1(4,3)*T2(3,4) + 
+     -  T(2,4)*T1(1,2)*T2(4,1) + T(4,2)*T1(1,2)*T2(4,1) + 
+     -  T(3,4)*T1(1,3)*T2(4,1) + T(4,3)*T1(1,3)*T2(4,1) - 
+     -  T(1,1)*T1(1,4)*T2(4,1) - T(2,2)*T1(1,4)*T2(4,1) - 
+     -  T(3,3)*T1(1,4)*T2(4,1) + T(4,4)*T1(1,4)*T2(4,1) - 
+     -  T(2,4)*T1(2,1)*T2(4,1) - T(4,2)*T1(2,1)*T2(4,1) + 
+     -  T(1,2)*T1(2,4)*T2(4,1) + T(2,1)*T1(2,4)*T2(4,1) - 
+     -  T(3,4)*T1(3,1)*T2(4,1) - T(4,3)*T1(3,1)*T2(4,1) + 
+     -  T(1,3)*T1(3,4)*T2(4,1) + T(3,1)*T1(3,4)*T2(4,1) + 
+     -  T(1,1)*T1(4,1)*T2(4,1) + T(2,2)*T1(4,1)*T2(4,1) + 
+     -  T(3,3)*T1(4,1)*T2(4,1) - T(4,4)*T1(4,1)*T2(4,1) - 
+     -  T(1,2)*T1(4,2)*T2(4,1) - T(2,1)*T1(4,2)*T2(4,1) - 
+     -  T(1,3)*T1(4,3)*T2(4,1) - T(3,1)*T1(4,3)*T2(4,1) - 
+     -  T(1,4)*T1(1,2)*T2(4,2) - T(4,1)*T1(1,2)*T2(4,2) + 
+     -  T(1,2)*T1(1,4)*T2(4,2) + T(2,1)*T1(1,4)*T2(4,2) + 
+     -  T(1,4)*T1(2,1)*T2(4,2) + T(4,1)*T1(2,1)*T2(4,2) - 
+     -  T(3,4)*T1(2,3)*T2(4,2) - T(4,3)*T1(2,3)*T2(4,2) - 
+     -  T(1,1)*T1(2,4)*T2(4,2) - T(2,2)*T1(2,4)*T2(4,2) + 
+     -  T(3,3)*T1(2,4)*T2(4,2) - T(4,4)*T1(2,4)*T2(4,2) + 
+     -  T(3,4)*T1(3,2)*T2(4,2) + T(4,3)*T1(3,2)*T2(4,2) - 
+     -  T(2,3)*T1(3,4)*T2(4,2) - T(3,2)*T1(3,4)*T2(4,2) - 
+     -  T(1,2)*T1(4,1)*T2(4,2) - T(2,1)*T1(4,1)*T2(4,2) + 
+     -  T(1,1)*T1(4,2)*T2(4,2) + T(2,2)*T1(4,2)*T2(4,2) - 
+     -  T(3,3)*T1(4,2)*T2(4,2) + T(4,4)*T1(4,2)*T2(4,2) + 
+     -  T(2,3)*T1(4,3)*T2(4,2) + T(3,2)*T1(4,3)*T2(4,2) - 
+     -  T(1,4)*T1(1,3)*T2(4,3) - T(4,1)*T1(1,3)*T2(4,3) + 
+     -  T(1,3)*T1(1,4)*T2(4,3) + T(3,1)*T1(1,4)*T2(4,3) + 
+     -  T(2,4)*T1(2,3)*T2(4,3) + T(4,2)*T1(2,3)*T2(4,3) - 
+     -  T(2,3)*T1(2,4)*T2(4,3) - T(3,2)*T1(2,4)*T2(4,3) + 
+     -  T(1,4)*T1(3,1)*T2(4,3) + T(4,1)*T1(3,1)*T2(4,3) - 
+     -  T(2,4)*T1(3,2)*T2(4,3) - T(4,2)*T1(3,2)*T2(4,3) - 
+     -  T(1,1)*T1(3,4)*T2(4,3) + T(2,2)*T1(3,4)*T2(4,3) - 
+     -  T(3,3)*T1(3,4)*T2(4,3) - T(4,4)*T1(3,4)*T2(4,3) - 
+     -  T(1,3)*T1(4,1)*T2(4,3) - T(3,1)*T1(4,1)*T2(4,3) + 
+     -  T(2,3)*T1(4,2)*T2(4,3) + T(3,2)*T1(4,2)*T2(4,3) + 
+     -  T(1,1)*T1(4,3)*T2(4,3) - T(2,2)*T1(4,3)*T2(4,3) + 
+     -  T(3,3)*T1(4,3)*T2(4,3) + T(4,4)*T1(4,3)*T2(4,3))
+
+       return
+       end
+

=== added file 'HELAS/txxxx2.f'
--- HELAS/txxxx2.f	1970-01-01 00:00:00 +0000
+++ HELAS/txxxx2.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,60 @@
+      subroutine txxxx2(p,tmass,nhel,nst , tc)
+c
+c This subroutine computes k^mu*e^nu where e is delta(i,nhel).
+c It is used to test for gauge invariance of the tensor routines.
+c
+c input:
+c       real    p(0:3)             : four-momentum of tensor boson
+c       real    tmass              : mass          of tensor boson
+c       integer nhel = 1..4        : construction of e^nu
+c       integer nst  = -1 or 1     : +1 for final, -1 for initial
+c
+c output:
+c       complex tc(6,4)            : tensor wavefunction       epsilon^mu^nu(t)
+c     
+      implicit none
+      double complex tc(6,4), ep(4), em(4)
+      double precision p(0:3), tmass
+      integer nhel, nst, i, j
+
+      double precision rZero, rOne
+      parameter( rZero = 0.0d0, rOne = 1.0d0 )
+c
+      tc(5,1) = dcmplx(p(0),p(3))*nst
+      tc(6,1) = dcmplx(p(1),p(2))*nst
+
+      ep(1) = dcmplx( p(0), rZero )
+      ep(2) = dcmplx( p(1), rZero )
+      ep(3) = dcmplx( p(2), rZero )
+      ep(4) = dcmplx( p(3), rZero )
+
+      if ( nhel.eq.1 ) then
+         em(1) = dcmplx( rOne , rZero )
+         em(2) = dcmplx( rZero, rZero )
+         em(3) = dcmplx( rZero, rZero )
+         em(4) = dcmplx( rZero, rZero )
+      else if ( nhel.eq.2 ) then
+         em(1) = dcmplx( rZero, rZero )
+         em(2) = dcmplx( rOne , rZero )
+         em(3) = dcmplx( rZero, rZero )
+         em(4) = dcmplx( rZero, rZero )
+      else if ( nhel.eq.3 ) then
+         em(1) = dcmplx( rZero, rZero )
+         em(2) = dcmplx( rZero, rZero )
+         em(3) = dcmplx( rOne , rZero )
+         em(4) = dcmplx( rZero, rZero )
+      else if ( nhel.eq.4 ) then
+         em(1) = dcmplx( rZero, rZero )
+         em(2) = dcmplx( rZero, rZero )
+         em(3) = dcmplx( rZero, rZero )
+         em(4) = dcmplx( rOne , rZero )
+      end if
+
+      do j = 1,4
+         do i = 1,4
+            tc(i,j) = ep(i)*em(j)
+         end do
+      end do
+c
+      return
+      end

=== added file 'HELAS/txxxxx.f'
--- HELAS/txxxxx.f	1970-01-01 00:00:00 +0000
+++ HELAS/txxxxx.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,168 @@
+      subroutine txxxxx(p,tmass,nhel,nst , tc)
+c
+c This subroutine computes a TENSOR wavefunction.
+c
+c input:
+c       real    p(0:3)         : four-momentum of tensor boson
+c       real    tmass          : mass          of tensor boson
+c       integer nhel           : helicity      of tensor boson
+c                = -2,-1,0,1,2 : (0 is forbidden if tmass=0.0)
+c       integer nst  = -1 or 1 : +1 for final, -1 for initial
+c
+c output:
+c       complex tc(18)         : tensor wavefunction    epsilon^mu^nu(t)
+c     
+      implicit none
+      double precision p(0:3), tmass
+      integer nhel, nst
+      double complex tc(18)
+
+      double complex ft(6,4), ep(4), em(4), e0(4)
+      double precision pt, pt2, pp, pzpt, emp, sqh, sqs
+      integer i, j
+
+      double precision rZero, rHalf, rOne, rTwo
+      parameter( rZero = 0.0d0, rHalf = 0.5d0 )
+      parameter( rOne = 1.0d0, rTwo = 2.0d0 )
+
+      integer stdo
+      parameter( stdo = 6 )
+
+      sqh = sqrt(rHalf)
+      sqs = sqrt(rHalf/3.d0)
+
+      pt2 = p(1)**2 + p(2)**2
+      pp = min(p(0),sqrt(pt2+p(3)**2))
+      pt = min(pp,sqrt(pt2))
+
+      ft(5,1) = dcmplx(p(0),p(3))*nst
+      ft(6,1) = dcmplx(p(1),p(2))*nst
+
+      if ( nhel.ge.0 ) then 
+c construct eps+
+         if ( pp.eq.rZero ) then
+            ep(1) = dcmplx( rZero )
+            ep(2) = dcmplx( -sqh )
+            ep(3) = dcmplx( rZero , nst*sqh )
+            ep(4) = dcmplx( rZero )
+         else
+            ep(1) = dcmplx( rZero )
+            ep(4) = dcmplx( pt/pp*sqh )
+            if ( pt.ne.rZero ) then
+               pzpt = p(3)/(pp*pt)*sqh
+               ep(2) = dcmplx( -p(1)*pzpt , -nst*p(2)/pt*sqh )
+               ep(3) = dcmplx( -p(2)*pzpt ,  nst*p(1)/pt*sqh )
+            else
+               ep(2) = dcmplx( -sqh )
+               ep(3) = dcmplx( rZero , nst*sign(sqh,p(3)) )
+            endif
+         endif
+      end if
+
+      if ( nhel.le.0 ) then 
+c construct eps-
+         if ( pp.eq.rZero ) then
+            em(1) = dcmplx( rZero )
+            em(2) = dcmplx( sqh )
+            em(3) = dcmplx( rZero , nst*sqh )
+            em(4) = dcmplx( rZero )
+         else
+            em(1) = dcmplx( rZero )
+            em(4) = dcmplx( -pt/pp*sqh )
+            if ( pt.ne.rZero ) then
+               pzpt = -p(3)/(pp*pt)*sqh
+               em(2) = dcmplx( -p(1)*pzpt , -nst*p(2)/pt*sqh )
+               em(3) = dcmplx( -p(2)*pzpt ,  nst*p(1)/pt*sqh )
+            else
+               em(2) = dcmplx( sqh )
+               em(3) = dcmplx( rZero , nst*sign(sqh,p(3)) )
+            endif
+         endif
+      end if
+
+      if ( abs(nhel).le.1 ) then  
+c construct eps0
+         if ( pp.eq.rZero ) then
+            e0(1) = dcmplx( rZero )
+            e0(2) = dcmplx( rZero )
+            e0(3) = dcmplx( rZero )
+            e0(4) = dcmplx( rOne )
+         else
+            emp = p(0)/(tmass*pp)
+            e0(1) = dcmplx( pp/tmass )
+            e0(4) = dcmplx( p(3)*emp )
+            if ( pt.ne.rZero ) then
+               e0(2) = dcmplx( p(1)*emp )
+               e0(3) = dcmplx( p(2)*emp )
+            else
+               e0(2) = dcmplx( rZero )
+               e0(3) = dcmplx( rZero )
+            endif
+         end if
+      end if
+
+      if ( nhel.eq.2 ) then
+         do j = 1,4
+            do i = 1,4
+               ft(i,j) = ep(i)*ep(j)
+            end do
+         end do
+      else if ( nhel.eq.-2 ) then
+         do j = 1,4
+            do i = 1,4
+               ft(i,j) = em(i)*em(j)
+            end do
+         end do
+      else if (tmass.eq.0) then
+         do j = 1,4
+            do i = 1,4
+               ft(i,j) = 0
+            end do
+         end do
+      else if (tmass.ne.0) then
+        if  ( nhel.eq.1 ) then
+           do j = 1,4
+              do i = 1,4
+                 ft(i,j) = sqh*( ep(i)*e0(j) + e0(i)*ep(j) )
+              end do
+           end do
+        else if ( nhel.eq.0 ) then
+           do j = 1,4
+              do i = 1,4
+                 ft(i,j) = sqs*( ep(i)*em(j) + em(i)*ep(j)
+     &                                + rTwo*e0(i)*e0(j) )
+              end do
+           end do
+        else if ( nhel.eq.-1 ) then
+           do j = 1,4
+              do i = 1,4
+                 ft(i,j) = sqh*( em(i)*e0(j) + e0(i)*em(j) )
+              end do
+           end do
+        else
+           write(stdo,*) 'invalid helicity in TXXXXX'
+           stop
+        end if
+      end if
+
+      tc(1) = ft(1,1)
+      tc(2) = ft(1,2)
+      tc(3) = ft(1,3)
+      tc(4) = ft(1,4)
+      tc(5) = ft(2,1)
+      tc(6) = ft(2,2)
+      tc(7) = ft(2,3)
+      tc(8) = ft(2,4)
+      tc(9) = ft(3,1)
+      tc(10) = ft(3,2)
+      tc(11) = ft(3,3)
+      tc(12) = ft(3,4)
+      tc(13) = ft(4,1)
+      tc(14) = ft(4,2)
+      tc(15) = ft(4,3)
+      tc(16) = ft(4,4)
+      tc(17) = ft(5,1)
+      tc(18) = ft(6,1)
+
+      return
+      end

=== added file 'HELAS/uggggx.F'
--- HELAS/uggggx.F	1970-01-01 00:00:00 +0000
+++ HELAS/uggggx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,177 @@
+      subroutine uggggx(va,vb,vc,vd,gc,gt,tmass,twidth , ugggg)
+c
+c This subroutine computes an off-shell tensor boson 
+c current from the 4 gluons-tensor boson coupling, 
+c corresponding to the color structure f^{a,b,e} f{c,d,e}. 
+c
+c To obtain the complete amplitude, this subroutine must be called three
+c times (once for each color structure) with the following permutations:
+c     call uggggx(ga,gb,gc,gd,g,gt,tmass,twidth , ugggg1)
+c     call uggggx(ga,gc,gd,gb,g,gt,tmass,twidth , ugggg2)
+c     call uggggx(ga,gd,gb,gv,g,gt,tmass,twidth , ugggg3)
+c corresponding to 
+c	f^{a,b,e} f^{c,d,e}
+c	f^{a,c,e} f^{d,b,e}
+c	f^{a,d,e} f^{b,c,e}
+c
+c input:
+c       complex va(6)          : boson with adjoint color index a     va
+c       complex vb(6)          : boson with adjoint color index b     vb
+c       complex vc(6)          : boson with adjoint color index c     vc
+c       complex vd(6)          : boson with adjoint color index d     vd
+c       real    gc             : coupling constant                    gs
+c       complex gt             : coupling constant         gtv=-1/Lambda
+c       real    tmass          : mass  of output tensor T
+c       real    twidth         : width of output tensor T
+c
+c output:
+c       complex ugggg(18)      : tensor current   j^mu^nu(T:va,vb,vc,vd)
+c     
+c- by Q.Li - JAN. 2008
+c
+      implicit none
+      double complex va(6), vb(6), vc(6), vd(6), gt, ugggg(18)
+      double precision gc, tmass, twidth
+
+      double complex tc(6,4)
+      double complex E1E3,E1E4,E2E3,E2E4,E1PT,E2PT,E3PT,E4PT
+
+      integer a,b,i,j
+
+      double precision pa(4), pb(4),pc(4),pd(4),pT(4)
+      double precision MET(4,4)
+      double complex cZero, d
+      double precision rZero, rTwo,PT2,r3
+      parameter( rZero = 0.0d0, rTwo = 2.0d0, r3=3.0d0)
+      parameter(cZero=(0.0d0,0.0d0))
+
+      
+      tc(5,1) = va(5)+vb(5)+vc(5)+vd(5)
+      tc(6,1) = va(6)+vb(6)+vc(6)+vd(6)
+
+      pa(1) = dreal(va(5))
+      pa(2) = dreal(va(6))
+      pa(3) = dimag(va(6))
+      pa(4) = dimag(va(5))
+
+      pb(1) = dreal(vb(5))
+      pb(2) = dreal(vb(6))
+      pb(3) = dimag(vb(6))
+      pb(4) = dimag(vb(5))
+
+      pc(1) = dreal(vc(5))
+      pc(2) = dreal(vc(6))
+      pc(3) = dimag(vc(6))
+      pc(4) = dimag(vc(5))
+
+      pd(1) = dreal(vd(5))
+      pd(2) = dreal(vd(6))
+      pd(3) = dimag(vd(6))
+      pd(4) = dimag(vd(5))
+
+     
+      pT(1) = dreal(tc(5,1))
+      pT(2) = dreal(tc(6,1))
+      pT(3) = dimag(tc(6,1))
+      pT(4) = dimag(tc(5,1))
+
+      do i=1,4
+         do j=1,4
+            MET(i,j) = 0.0d0
+         enddo 
+      enddo
+      MET(1,1) =  1.0d0
+      MET(2,2) = -1.0d0
+      MET(3,3) = -1.0d0
+      MET(4,4) = -1.0d0
+
+      PT2 = pT(1)**2-pT(2)**2-pT(3)**2-pT(4)**2
+      
+      E1PT = pT(1)*va(1)-pT(2)*va(2)-pT(3)*va(3)-pT(4)*va(4)
+      E2PT = pT(1)*vb(1)-pT(2)*vb(2)-pT(3)*vb(3)-pT(4)*vb(4)
+      E3PT = pT(1)*vc(1)-pT(2)*vc(2)-pT(3)*vc(3)-pT(4)*vc(4)
+      E4PT = pT(1)*vd(1)-pT(2)*vd(2)-pT(3)*vd(3)-pT(4)*vd(4)
+      
+      E1E3 = va(1)*vc(1)-va(2)*vc(2)-va(3)*vc(3)-va(4)*vc(4)
+      E1E4 = va(1)*vd(1)-va(2)*vd(2)-va(3)*vd(3)-va(4)*vd(4)
+      E2E3 = vb(1)*vc(1)-vb(2)*vc(2)-vb(3)*vc(3)-vb(4)*vc(4)
+      E2E4 = vb(1)*vd(1)-vb(2)*vd(2)-vb(3)*vd(3)-vb(4)*vd(4)
+   
+      if ( tmass.gt.rZero ) then
+         d = - 1.0d0/dcmplx( PT2-tmass**2, tmass*twidth )
+      else
+         d = - 1.0d0/dcmplx( PT2, rZero )
+      end if
+      
+	    
+      do a = 1,4
+         do b=1,4
+            
+            tc(a,b) = -2*E2E4*va(b)*vc(a) + 2*E1E4*vb(b)*vc(a)
+     &- 2*E2E4*va(a)*vc(b) + 2*E1E4*vb(a)*vc(b) + 2*E2E3*va(b)*vd(a)
+     & - 2*E1E3*vb(b)*vd(a) + 2*E2E3*va(a)*vd(b) - 
+     &  2*E1E3*vb(a)*vd(b) - 2*E1E4*E2E3*MET(a,b) + 2*E1E3*E2E4*MET(a,b) 
+     &- (2*E1PT*E2E4*E3PT*rtwo*MET(a,b))/(r3*tmass**2) + 
+     &  (2*E1E4*E2PT*E3PT*rtwo*MET(a,b))/(r3*tmass**2) 
+     &+ (2*E1PT*E2E3*E4PT*rtwo*MET(a,b))/(r3*tmass**2)
+     & - (2*E1E3*E2PT*E4PT*rtwo*MET(a,b))/(r3*tmass**2) - 
+     &  (E1E4*E2E3*PT2*rtwo*MET(a,b))/(r3*tmass**2) 
+     &+ (E1E3*E2E4*PT2*rtwo*MET(a,b))/(r3*tmass**2)
+     & + (2*E2E4*E3PT*va(b)*PT(a))/tmass**2 - 
+     &  (2*E2E3*E4PT*va(b)*PT(a))/tmass**2
+     & - (2*E1E4*E3PT*vb(b)*PT(a))/tmass**2
+     & + (2*E1E3*E4PT*vb(b)*PT(a))/tmass**2
+     & + (2*E1PT*E2E4*vc(b)*PT(a))/tmass**2 - 
+     &  (2*E1E4*E2PT*vc(b)*PT(a))/tmass**2
+     & - (2*E1PT*E2E3*vd(b)*PT(a))/tmass**2
+     & + (2*E1E3*E2PT*vd(b)*PT(a))/tmass**2
+     & + (2*E2E4*E3PT*va(a)*PT(b))/tmass**2 - 
+     &  (2*E2E3*E4PT*va(a)*PT(b))/tmass**2 
+     &- (2*E1E4*E3PT*vb(a)*PT(b))/tmass**2
+     & + (2*E1E3*E4PT*vb(a)*PT(b))/tmass**2 
+     &+ (2*E1PT*E2E4*vc(a)*PT(b))/tmass**2 - 
+     &  (2*E1E4*E2PT*vc(a)*PT(b))/tmass**2 
+     &- (2*E1PT*E2E3*vd(a)*PT(b))/tmass**2 
+     &+ (2*E1E3*E2PT*vd(a)*PT(b))/tmass**2
+     & - (4*E1PT*E2E4*E3PT*PT(a)*PT(b))/tmass**4 + 
+     &  (4*E1E4*E2PT*E3PT*PT(a)*PT(b))/tmass**4 
+     &+ (4*E1PT*E2E3*E4PT*PT(a)*PT(b))/tmass**4
+     & - (4*E1E3*E2PT*E4PT*PT(a)*PT(b))/tmass**4 - 
+     &  (2*E1E4*E2E3*PT2*PT(a)*PT(b))/tmass**4
+     & + (2*E1E3*E2E4*PT2*PT(a)*PT(b))/tmass**4
+     & + (2*E1PT*E2E4*E3PT*rtwo*PT(a)*PT(b))/(r3*tmass**4) - 
+     &  (2*E1E4*E2PT*E3PT*rtwo*PT(a)*PT(b))/(r3*tmass**4)
+     & - (2*E1PT*E2E3*E4PT*rtwo*PT(a)*PT(b))/(r3*tmass**4)
+     & + (2*E1E3*E2PT*E4PT*rtwo*PT(a)*PT(b))/(r3*tmass**4) + 
+     &  (E1E4*E2E3*PT2*rtwo*PT(a)*PT(b))/(r3*tmass**4)
+     & - (E1E3*E2E4*PT2*rtwo*PT(a)*PT(b))/(r3*tmass**4) 
+     &+ (4*E1E4*E2E3*PT(a)*PT(b))/tmass**2 - 
+     &  (4*E1E3*E2E4*PT(a)*PT(b))/tmass**2
+
+            tc(a,b) = -tc(a,b)*d/2.0d0*gc*gc*gt
+c     2.0 factor from propagator convention
+
+         enddo
+      enddo
+
+      ugggg(1) = tc(1,1)
+      ugggg(2) = tc(1,2)
+      ugggg(3) = tc(1,3)
+      ugggg(4) = tc(1,4)
+      ugggg(5) = tc(2,1)
+      ugggg(6) = tc(2,2)
+      ugggg(7) = tc(2,3)
+      ugggg(8) = tc(2,4)
+      ugggg(9) = tc(3,1)
+      ugggg(10) = tc(3,2)
+      ugggg(11) = tc(3,3)
+      ugggg(12) = tc(3,4)
+      ugggg(13) = tc(4,1)
+      ugggg(14) = tc(4,2)
+      ugggg(15) = tc(4,3)
+      ugggg(16) = tc(4,4)
+      ugggg(17) = tc(5,1)
+      ugggg(18) = tc(6,1)
+
+      return
+      end

=== added file 'HELAS/uiovxx.F'
--- HELAS/uiovxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/uiovxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,345 @@
+      subroutine uiovxx(fi,fo,vc,gc,gt,tmass,twidth , uiov)
+c
+c This subroutine computes an off-shell tensor boson 
+c wavefunction from a flowing-out fermion, a flowing-in fermion and 
+c a gauge vector boson.
+c
+c input:
+c       complex fi(6)          : flow-in  fermion                   |fi>
+c       complex fo(6)          : flow-out fermion                   <fo|
+c       complex vc(6)          : input    vector                       v
+c       complex gc(2)          : coupling constants                  gvf
+c       complex gt             : coupling constant      gtfv=-1/Lambda/2
+c       real    tmass          : mass  of output tensor T
+c       real    twidth         : width of output tensor T
+c
+c output:
+c       complex uiov(18)       : tensor boson       j^mu^nu(<fo|v,T|fi>)
+c
+c- by Q.Li - OCT. 2006
+c- Added massless tensor - P. de Aquino - Oct. 2009 
+c
+      implicit none
+      double complex fi(6), fo(6), vc(6), gc(2), gt, uiov(18)
+      double precision  tmass, twidth
+
+      double complex yiov(6,4)
+      double complex d
+      double precision pt(4), pt2, KTVC
+      double precision MET(4,4)
+      integer i,j
+      
+      double precision rZero, rTwo,r4,r8,r3
+      parameter(rZero=0.0d0, rTwo=2.0d0, r4=4.0d0, r8=8.0d0, r3=3.0d0)
+      double complex cone
+      parameter( cone = ( 0.0d0, 1.0d0 ))
+
+
+      yiov(5,1) = fo(5) + vc(5) -fi(5)
+      yiov(6,1) = fo(6) + vc(6) -fi(6)
+
+      pt(1) = dreal(yiov(5,1))
+      pt(2) = dreal(yiov(6,1))
+      pt(3) = dimag(yiov(6,1))
+      pt(4) = dimag(yiov(5,1))
+      
+      pt2 = pt(1)**2-pt(2)**2-pt(3)**2-pt(4)**2
+      KTVC = pt(1)*vc(1)-pt(2)*vc(2)-pt(3)*vc(3)-pt(4)*vc(4)
+      
+      do i=1,4
+         do j=1,4
+            MET(i,j) = 0.0d0
+         enddo 
+      enddo
+      MET(1,1) =  1.0d0
+      MET(2,2) = -1.0d0
+      MET(3,3) = -1.0d0
+      MET(4,4) = -1.0d0
+      
+      if ( tmass.eq.rZero ) then
+         d =  -1.0d0/dcmplx( pt2, rZero )
+
+         do i = 1,4
+	    do j=1,4
+            yiov(i,j) = fi(4)*gc(2)*(fo(1)*MET(i,j)*(vc(2) - cone*vc(3)) 
+     &+ fo(2)*MET(i,j)*(-vc(1) - vc(4))) 
+     &+ fi(1)*gc(1)*(fo(4)*MET(i,j)*(-vc(2) 
+     &- cone*vc(3)) + fo(3)*MET(i,j)*(-vc(1) - vc(4))) 
+     &+ fi(3)*gc(2)*(fo(2)*MET(i,j)*(vc(2) 
+     &+ cone*vc(3)) + fo(1)*MET(i,j)*(-vc(1) + vc(4))) 
+     &+ fi(2)*gc(1)*(fo(3)*MET(i,j)*(-vc(2) + cone*vc(3)) 
+     &+ fo(4)*MET(i,j)*(-vc(1) + vc(4)))
+   
+         end do
+        end do 
+   
+         yiov(1,1) = yiov(1,1)
+     &- 2*fi(1)*fo(3)*gc(1)*vc(1) 
+     &- 2*fi(2)*fo(4)*gc(1)*vc(1) 
+     &- 2*fi(3)*fo(1)*gc(2)*vc(1) 
+     &- 2*fi(4)*fo(2)*gc(2)*vc(1)
+   
+         yiov(2,2) = yiov(2,2)
+     &+	2*fi(2)*fo(3)*gc(1)*vc(2) 
+     &+ 2*fi(1)*fo(4)*gc(1)*vc(2) 
+     &- 2*fi(4)*fo(1)*gc(2)*vc(2) 
+     &- 2*fi(3)*fo(2)*gc(2)*vc(2)
+   
+         yiov(3,3) = yiov(3,3)
+     &- 2*cone*fi(2)*fo(3)*gc(1)*vc(3) 
+     &+ 2*cone*fi(1)*fo(4)*gc(1)*vc(3) 
+     &+ 2*cone*fi(4)*fo(1)*gc(2)*vc(3) 
+     &- 2*cone*fi(3)*fo(2)*gc(2)*vc(3)
+   
+         yiov(4,4) = yiov(4,4)
+     &+ 2*fi(1)*fo(3)*gc(1)*vc(4) 
+     &- 2*fi(2)*fo(4)*gc(1)*vc(4) 
+     &- 2*fi(3)*fo(1)*gc(2)*vc(4) 
+     &+ 2*fi(4)*fo(2)*gc(2)*vc(4)
+   
+         yiov(1,2) = yiov(1,2)
+     &+ fi(3)*gc(2)*(-(fo(2)*vc(1)) - fo(1)*vc(2)) 
+     &+ fi(4)*gc(2)*(-(fo(1)*vc(1)) - fo(2)*vc(2)) 
+     &+ fi(1)*gc(1)*(fo(4)*vc(1) - fo(3)*vc(2)) 
+     &+ fi(2)*gc(1)*(fo(3)*vc(1) - fo(4)*vc(2))
+     
+         yiov(1,3) = yiov(1,3)
+     &+	fi(3)*gc(2)*(-(cone*fo(2)*vc(1)) - fo(1)*vc(3)) 
+     &+ fi(4)*gc(2)*(cone*fo(1)*vc(1) - fo(2)*vc(3)) 
+     &+ fi(1)*gc(1)*(cone*fo(4)*vc(1) - fo(3)*vc(3)) 
+     &+ fi(2)*gc(1)*(-(cone*fo(3)*vc(1)) - fo(4)*vc(3))
+     
+         yiov(1,4) = yiov(1,4)
+     &+ fi(2)*fo(4)*gc(1)*(-vc(1) - vc(4)) 
+     &+ fi(3)*fo(1)*gc(2)*(-vc(1) - vc(4)) 
+     &+ fi(1)*fo(3)*gc(1)*(vc(1) - vc(4)) 
+     &+ fi(4)*fo(2)*gc(2)*(vc(1) - vc(4))
+   
+         yiov(2,3) = yiov(2,3)
+     &+ fi(3)*fo(2)*gc(2)*(-(cone*vc(2)) - vc(3)) 
+     &+ fi(4)*fo(1)*gc(2)*(cone*vc(2) - vc(3)) 
+     &+ fi(2)*fo(3)*gc(1)*(-(cone*vc(2)) + vc(3)) 
+     &+ fi(1)*fo(4)*gc(1)*(cone*vc(2) + vc(3))
+   
+         yiov(2,4) = yiov(2,4)
+     &+ fi(4)*gc(2)*(fo(2)*vc(2) - fo(1)*vc(4)) 
+     &+ fi(3)*gc(2)*(-(fo(1)*vc(2)) - fo(2)*vc(4)) 
+     &+ fi(2)*gc(1)*(-(fo(4)*vc(2)) + fo(3)*vc(4)) 
+     &+ fi(1)*gc(1)*(fo(3)*vc(2) + fo(4)*vc(4))
+
+         yiov(3,4) = yiov(3,4)
+     &+fi(4)*gc(2)*(fo(2)*vc(3) + cone*fo(1)*vc(4)) 
+     &+ fi(3)*gc(2)*(-(fo(1)*vc(3)) - cone*fo(2)*vc(4)) 
+     &+ fi(2)*gc(1)*(-(fo(4)*vc(3)) - cone*fo(3)*vc(4)) 
+     &+ fi(1)*gc(1)*(fo(3)*vc(3) + cone*fo(4)*vc(4))
+   
+         yiov(2,1) = yiov(1,2)
+         yiov(3,1) = yiov(1,3)
+         yiov(4,1) = yiov(1,4)
+         yiov(3,2) = yiov(2,3)
+         yiov(4,2) = yiov(2,4)
+         yiov(4,3) = yiov(3,4)
+   			
+         do i = 1,4
+   	    do j=1,4
+            yiov(i,j) = -yiov(i,j)*d*gt
+         end do
+        end do
+      
+      else
+         if ( tmass.gt.rZero ) then
+            d =  -1.0d0/dcmplx( pt2-tmass**2, tmass*twidth )
+   
+   
+            do i = 1,4
+   	       do j=1,4
+                  yiov(i,j) = fi(3)*gc(2)*(fo(2)*(-((KTVC*r4*MET(i,j)*
+     &      (-pt(2) - cone*pt(3)))/(r3*Tmass**2)) - 
+     &      (KTVC*r8*(-pt(2) - cone*pt(3))*pt(i)*pt(j))/(r3*Tmass**4) +
+     &          (pt2*r4*MET(i,j)*(-vc(2) - cone*vc(3)))/(r3*Tmass**2) + 
+     &          (pt2*r8*pt(i)*pt(j)*(-vc(2) - cone*vc(3)))/(r3*Tmass**4)
+     & - (r4*pt(i)*pt(j)*(-vc(2) - cone*vc(3)))/Tmass**2 + 
+     &    (rtwo*(-pt(2) - cone*pt(3))*(pt(j)*vc(i) + pt(i)*vc(j)))
+     &/Tmass**2) + 
+     &       fo(1)*(-((KTVC*r4*MET(i,j)*(pt(1) - pt(4)))/(r3*Tmass**2))
+     & - (KTVC*r8*(pt(1) - pt(4))*pt(i)*pt(j))/(r3*Tmass**4) + 
+     &          (pt2*r4*MET(i,j)*(vc(1) - vc(4)))/(r3*Tmass**2)
+     & + (pt2*r8*pt(i)*pt(j)*(vc(1) - vc(4)))/(r3*Tmass**4) - 
+     &          (r4*pt(i)*pt(j)*(vc(1) - vc(4)))/Tmass**2
+     & + (rtwo*(pt(1) - pt(4))*(pt(j)*vc(i) + pt(i)*vc(j)))/Tmass**2))  
+     &   + fi(2)*gc(1)*(fo(3)*(-((KTVC*r4*MET(i,j)*(pt(2) 
+     &- cone*pt(3)))/(r3*Tmass**2)) - 
+     &     (KTVC*r8*(pt(2) - cone*pt(3))*pt(i)*pt(j))/(r3*Tmass**4) + 
+     &          (pt2*r4*MET(i,j)*(vc(2) - cone*vc(3)))/(r3*Tmass**2) + 
+     &          (pt2*r8*pt(i)*pt(j)*(vc(2) - cone*vc(3)))/(r3*Tmass**4)
+     & - (r4*pt(i)*pt(j)*(vc(2) - cone*vc(3)))/Tmass**2 + 
+     &    (rtwo*(pt(2) - cone*pt(3))*(pt(j)*vc(i) 
+     &+ pt(i)*vc(j)))/Tmass**2) + 
+     &       fo(4)*(-((KTVC*r4*MET(i,j)*(pt(1) - pt(4)))/(r3*Tmass**2)) 
+     &- (KTVC*r8*(pt(1) - pt(4))*pt(i)*pt(j))/(r3*Tmass**4) + 
+     &          (pt2*r4*MET(i,j)*(vc(1) - vc(4)))/(r3*Tmass**2) 
+     &+ (pt2*r8*pt(i)*pt(j)*(vc(1) - vc(4)))/(r3*Tmass**4) - 
+     &          (r4*pt(i)*pt(j)*(vc(1) - vc(4)))/Tmass**2 
+     &+ (rtwo*(pt(1) - pt(4))*(pt(j)*vc(i) + pt(i)*vc(j)))/Tmass**2)) + 
+     &    fi(4)*gc(2)*(fo(1)*(-((KTVC*r4*MET(i,j)*(-pt(2) + cone*pt(3)))
+     &/(r3*Tmass**2)) - 
+     &      (KTVC*r8*(-pt(2) + cone*pt(3))*pt(i)*pt(j))/(r3*Tmass**4) + 
+     &          (pt2*r4*MET(i,j)*(-vc(2) + cone*vc(3)))/(r3*Tmass**2) + 
+     &          (pt2*r8*pt(i)*pt(j)*(-vc(2) + cone*vc(3)))/(r3*Tmass**4) 
+     &- (r4*pt(i)*pt(j)*(-vc(2) + cone*vc(3)))/Tmass**2 + 
+     &          (rtwo*(-pt(2) + cone*pt(3))*(pt(j)*vc(i) 
+     &+ pt(i)*vc(j)))/Tmass**2) + 
+     &       fo(2)*(-((KTVC*r4*MET(i,j)*(pt(1) + pt(4)))/(r3*Tmass**2))
+     & - (KTVC*r8*(pt(1) + pt(4))*pt(i)*pt(j))/(r3*Tmass**4) + 
+     &          (pt2*r4*MET(i,j)*(vc(1) + vc(4)))/(r3*Tmass**2)
+     & + (pt2*r8*pt(i)*pt(j)*(vc(1) + vc(4)))/(r3*Tmass**4) - 
+     &          (r4*pt(i)*pt(j)*(vc(1) + vc(4)))/Tmass**2
+     & + (rtwo*(pt(1) + pt(4))*(pt(j)*vc(i) + pt(i)*vc(j)))/Tmass**2)) + 
+     &    fi(1)*gc(1)*(fo(4)*(-((KTVC*r4*MET(i,j)*(pt(2) + cone*pt(3)))
+     &/(r3*Tmass**2)) - 
+     &     (KTVC*r8*(pt(2) + cone*pt(3))*pt(i)*pt(j))/(r3*Tmass**4) + 
+     &          (pt2*r4*MET(i,j)*(vc(2) + cone*vc(3)))/(r3*Tmass**2) + 
+     &          (pt2*r8*pt(i)*pt(j)*(vc(2) + cone*vc(3)))/(r3*Tmass**4)
+     & - (r4*pt(i)*pt(j)*(vc(2) + cone*vc(3)))/Tmass**2 + 
+     &          (rtwo*(pt(2) + cone*pt(3))*(pt(j)*vc(i)
+     & + pt(i)*vc(j)))/Tmass**2) + 
+     &       fo(3)*(-((KTVC*r4*MET(i,j)*(pt(1) + pt(4)))/(r3*Tmass**2))
+     & - (KTVC*r8*(pt(1) + pt(4))*pt(i)*pt(j))/(r3*Tmass**4) + 
+     &          (pt2*r4*MET(i,j)*(vc(1) + vc(4)))/(r3*Tmass**2) 
+     &+ (pt2*r8*pt(i)*pt(j)*(vc(1) + vc(4)))/(r3*Tmass**4) - 
+     &          (r4*pt(i)*pt(j)*(vc(1) + vc(4)))/Tmass**2 
+     &+ (rtwo*(pt(1) + pt(4))*(pt(j)*vc(i) + pt(i)*vc(j)))/Tmass**2))
+   
+               end do
+            end do 
+   
+            yiov(1,1) = yiov(1,1)
+     & +fi(1)*fo(3)*gc(1)*((4*KTVC*pt(1))/Tmass**2 - 2*rtwo*vc(1)) + 
+     &  fi(2)*fo(4)*gc(1)*((4*KTVC*pt(1))/Tmass**2 - 2*rtwo*vc(1)) + 
+     &  fi(3)*fo(1)*gc(2)*((4*KTVC*pt(1))/Tmass**2 - 2*rtwo*vc(1)) 
+     &+ fi(4)*fo(2)*gc(2)*((4*KTVC*pt(1))/Tmass**2 - 2*rtwo*vc(1))
+   
+            yiov(2,2) = yiov(2,2)
+     &	+fi(4)*fo(1)*gc(2)*((4*KTVC*pt(2))/Tmass**2 - 2*rtwo*vc(2)) + 
+     &    fi(3)*fo(2)*gc(2)*((4*KTVC*pt(2))/Tmass**2 - 2*rtwo*vc(2)) + 
+     &    fi(2)*fo(3)*gc(1)*((-4*KTVC*pt(2))/Tmass**2 + 2*rtwo*vc(2)) + 
+     &    fi(1)*fo(4)*gc(1)*((-4*KTVC*pt(2))/Tmass**2 + 2*rtwo*vc(2))
+
+            yiov(3,3) = yiov(3,3)
+     &+fi(2)*fo(3)*gc(1)*((4*cone*KTVC*pt(3))/Tmass**2
+     & - 2*cone*rtwo*vc(3)) + 
+     &    fi(3)*fo(2)*gc(2)*((4*cone*KTVC*pt(3))/Tmass**2 
+     &- 2*cone*rtwo*vc(3)) + 
+     &    fi(1)*fo(4)*gc(1)*((-4*cone*KTVC*pt(3))/Tmass**2
+     & + 2*cone*rtwo*vc(3)) + 
+     &    fi(4)*fo(1)*gc(2)*((-4*cone*KTVC*pt(3))/Tmass**2
+     & + 2*cone*rtwo*vc(3))
+   
+            yiov(4,4) = yiov(4,4)
+     &+fi(2)*fo(4)*gc(1)*((4*KTVC*pt(4))/Tmass**2 - 2*rtwo*vc(4)) + 
+     &    fi(3)*fo(1)*gc(2)*((4*KTVC*pt(4))/Tmass**2 - 2*rtwo*vc(4)) + 
+     &    fi(1)*fo(3)*gc(1)*((-4*KTVC*pt(4))/Tmass**2 + 2*rtwo*vc(4)) + 
+     &    fi(4)*fo(2)*gc(2)*((-4*KTVC*pt(4))/Tmass**2 + 2*rtwo*vc(4))
+   
+            yiov(1,2) = yiov(1,2)
+     &	+fi(3)*gc(2)*(fo(2)*((2*KTVC*pt(1))/Tmass**2 - rtwo*vc(1))
+     & + fo(1)*((2*KTVC*pt(2))/Tmass**2 - rtwo*vc(2))) + 
+     &    fi(4)*gc(2)*(fo(1)*((2*KTVC*pt(1))/Tmass**2 - rtwo*vc(1)) 
+     &+ fo(2)*((2*KTVC*pt(2))/Tmass**2 - rtwo*vc(2))) + 
+     &    fi(1)*gc(1)*(fo(4)*((-2*KTVC*pt(1))/Tmass**2 + rtwo*vc(1))
+     & + fo(3)*((2*KTVC*pt(2))/Tmass**2 - rtwo*vc(2))) + 
+     &    fi(2)*gc(1)*(fo(3)*((-2*KTVC*pt(1))/Tmass**2 + rtwo*vc(1))
+     & + fo(4)*((2*KTVC*pt(2))/Tmass**2 - rtwo*vc(2)))
+   
+            yiov(1,3) = yiov(1,3)
+     &	+fi(3)*gc(2)*(fo(2)*((2*cone*KTVC*pt(1))/Tmass**2 
+     &- cone*rtwo*vc(1)) + 
+     &       fo(1)*((2*KTVC*pt(3))/Tmass**2 - rtwo*vc(3))) + 
+     &    fi(4)*gc(2)*(fo(1)*((-2*cone*KTVC*pt(1))/Tmass**2 
+     &+ cone*rtwo*vc(1)) + fo(2)*((2*KTVC*pt(3))/Tmass**2 
+     &- rtwo*vc(3))) + 
+     &    fi(1)*gc(1)*(fo(4)*((-2*cone*KTVC*pt(1))/Tmass**2
+     & + cone*rtwo*vc(1)) + fo(3)*((2*KTVC*pt(3))/Tmass**2 
+     &- rtwo*vc(3))) + 
+     &    fi(2)*gc(1)*(fo(3)*((2*cone*KTVC*pt(1))/Tmass**2
+     & -cone*rtwo*vc(1))+ fo(4)*((2*KTVC*pt(3))/Tmass**2 - rtwo*vc(3)))
+   
+            yiov(1,4) = yiov(1,4)
+     &+fi(1)*fo(3)*gc(1)*((2*KTVC*(-pt(1) + pt(4)))/Tmass**2
+     & - rtwo*(-vc(1) + vc(4))) + 
+     &     fi(4)*fo(2)*gc(2)*((2*KTVC*(-pt(1) + pt(4)))/Tmass**2
+     & - rtwo*(-vc(1) + vc(4))) + 
+     &    fi(2)*fo(4)*gc(1)*((2*KTVC*(pt(1) + pt(4)))/Tmass**2 
+     &- rtwo*(vc(1) + vc(4))) + 
+     &    fi(3)*fo(1)*gc(2)*((2*KTVC*(pt(1) + pt(4)))/Tmass**2 
+     &- rtwo*(vc(1) + vc(4)))
+   
+            yiov(2,3) = yiov(2,3)
+     &+fi(1)*fo(4)*gc(1)*((2*KTVC*(-(cone*pt(2)) - pt(3)))/Tmass**2
+     & - rtwo*(-(cone*vc(2)) - vc(3))) + 
+     &    fi(2)*fo(3)*gc(1)*((2*KTVC*(cone*pt(2) - pt(3)))/Tmass**2
+     & - rtwo*(cone*vc(2) - vc(3))) + 
+     &    fi(4)*fo(1)*gc(2)*((2*KTVC*(-(cone*pt(2)) + pt(3)))/Tmass**2
+     & - rtwo*(-(cone*vc(2)) + vc(3))) + 
+     &    fi(3)*fo(2)*gc(2)*((2*KTVC*(cone*pt(2) + pt(3)))/Tmass**2 
+     &- rtwo*(cone*vc(2) + vc(3)))
+   
+            yiov(2,4) = yiov(2,4)
+     &+fi(4)*gc(2)*(fo(2)*((-2*KTVC*pt(2))/Tmass**2 + rtwo*vc(2))
+     & + fo(1)*((2*KTVC*pt(4))/Tmass**2 - rtwo*vc(4))) + 
+     &    fi(3)*gc(2)*(fo(1)*((2*KTVC*pt(2))/Tmass**2 - rtwo*vc(2))
+     & + fo(2)*((2*KTVC*pt(4))/Tmass**2 - rtwo*vc(4))) + 
+     &    fi(2)*gc(1)*(fo(4)*((2*KTVC*pt(2))/Tmass**2 - rtwo*vc(2)) 
+     &+ fo(3)*((-2*KTVC*pt(4))/Tmass**2 + rtwo*vc(4))) + 
+     &    fi(1)*gc(1)*(fo(3)*((-2*KTVC*pt(2))/Tmass**2 + rtwo*vc(2))
+     & + fo(4)*((-2*KTVC*pt(4))/Tmass**2 + rtwo*vc(4)))
+
+            yiov(3,4) = yiov(3,4)
+     &	+fi(3)*gc(2)*(fo(1)*((2*KTVC*pt(3))/Tmass**2 - rtwo*vc(3)) + 
+     &       fo(2)*((2*cone*KTVC*pt(4))/Tmass**2 - cone*rtwo*vc(4))) + 
+     &    fi(2)*gc(1)*(fo(4)*((2*KTVC*pt(3))/Tmass**2 - rtwo*vc(3)) 
+     &+ fo(3)*((2*cone*KTVC*pt(4))/Tmass**2 - cone*rtwo*vc(4))) + 
+     &    fi(4)*gc(2)*(fo(2)*((-2*KTVC*pt(3))/Tmass**2 + rtwo*vc(3)) + 
+     &       fo(1)*((-2*cone*KTVC*pt(4))/Tmass**2 + cone*rtwo*vc(4))) + 
+     &    fi(1)*gc(1)*(fo(3)*((-2*KTVC*pt(3))/Tmass**2 + rtwo*vc(3)) 
+     &+ fo(4)*((-2*cone*KTVC*pt(4))/Tmass**2 + cone*rtwo*vc(4)))
+
+            yiov(2,1) = yiov(1,2)
+            yiov(3,1) = yiov(1,3)
+            yiov(4,1) = yiov(1,4)
+            yiov(3,2) = yiov(2,3)
+            yiov(4,2) = yiov(2,4)
+            yiov(4,3) = yiov(3,4)
+			
+             do i = 1,4
+            do j=1,4
+               yiov(i,j) = -yiov(i,j)*d/2.0d0*gt
+             end do
+            end do
+         
+         else
+            write(*,*) 'invalid tensor mass'
+         end if
+      end if
+  
+      uiov(1) = yiov(1,1)
+      uiov(2) = yiov(1,2)
+      uiov(3) = yiov(1,3)
+      uiov(4) = yiov(1,4)
+      uiov(5) = yiov(2,1)
+      uiov(6) = yiov(2,2)
+      uiov(7) = yiov(2,3)
+      uiov(8) = yiov(2,4)
+      uiov(9) = yiov(3,1)
+      uiov(10) = yiov(3,2)
+      uiov(11) = yiov(3,3)
+      uiov(12) = yiov(3,4)
+      uiov(13) = yiov(4,1)
+      uiov(14) = yiov(4,2)
+      uiov(15) = yiov(4,3)
+      uiov(16) = yiov(4,4)
+      uiov(17) = yiov(5,1)
+      uiov(18) = yiov(6,1)
+
+      return
+      end

=== added file 'HELAS/uioxxx.F'
--- HELAS/uioxxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/uioxxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,384 @@
+      subroutine uioxxx(fi,fo,gt,fmass,tmass,twidth , uio)
+c
+c This subroutine computes an off-shell tensor current from
+c the fermion-anti-fermion-tensor boson coupling.
+c
+c input:
+c       complex fi(6)          : flow-in  fermion                   |fi>
+c       complex fo(6)          : flow-out fermion                   <fo|
+c       complex gt             : coupling constant       gtf=-1/Lambda/4
+c       real    fmass          : mass  of input fermion
+c       real    tmass          : mass  of output tensor T
+c       real    twidth         : width of output tensor T
+c
+c output:
+c       complex uio(18)        : tensor current       j^mu^nu(<fo|T|fi>)
+c
+c- by Q.Li - OCT. 2006
+c- Added massless tensor - P. de Aquino - Oct. 2009 
+c
+      implicit none
+      double complex fi(6), fo(6), gt, uio(18)
+      double precision fmass, tmass, twidth
+
+      double complex yio(6,4)
+      integer i,j
+      double precision pi(4),po(4),km(4),kp(4)
+      double precision MET(4,4)
+      double complex cone,cZero, d, tt1,tt2,tt3
+      double precision rZero, rTwo
+      double precision KT2,K1KT,K2KT
+      parameter( rZero = 0.0d0, rTwo = 2.0d0 )
+      parameter( cZero = ( 0.0d0, 0.0d0 ), cone=(0.0d0,1.0d0) )
+
+      
+      yio(5,1) = -fi(5)+fo(5)
+      yio(6,1) = -fi(6)+fo(6)
+      
+      pi(1) = dreal(fi(5))
+      pi(2) = dreal(fi(6))
+      pi(3) = dimag(fi(6))
+      pi(4) = dimag(fi(5))
+      
+      po(1) = dreal(fo(5))
+      po(2) = dreal(fo(6))
+      po(3) = dimag(fo(6))
+      po(4) = dimag(fo(5))
+      
+      km(1) = dreal(yio(5,1))
+      km(2) = dreal(yio(6,1))
+      km(3) = dimag(yio(6,1))
+      km(4) = dimag(yio(5,1))
+
+      kp(1) = po(1)+pi(1)
+      kp(2) = po(2)+pi(2)
+      kp(3) = po(3)+pi(3)
+      kp(4) = po(4)+pi(4)
+      
+      do i=1,4
+         do j=1,4
+            MET(i,j) = 0.0d0
+         enddo 
+      enddo
+      MET(1,1) =  1.0d0
+      MET(2,2) = -1.0d0
+      MET(3,3) = -1.0d0
+      MET(4,4) = -1.0d0
+      
+      K1KT = pi(1)*km(1)-pi(2)*km(2)-pi(3)*km(3)-pi(4)*km(4)
+      K2KT = po(1)*km(1)-po(2)*km(2)-po(3)*km(3)-po(4)*km(4)
+      KT2 = km(1)**2-km(2)**2-km(3)**2-km(4)**2
+      
+      if ( tmass.eq.rZero ) then
+         d = - gt/dcmplx( KT2, rZero )
+
+         tt1 = fi(3)*(-4*fmass*fo(3) + fo(2)*(-kp(2) - cone*kp(3)) 
+     &+ fo(1)*(kp(1) - kp(4)))  
+     &+ fi(2)*(-4*fmass*fo(2) + fo(3)*(kp(2) - cone*kp(3)) 
+     &+ fo(4)*(kp(1) - kp(4)))  
+     &+ fi(4)*(-4*fmass*fo(4) + fo(1)*(-kp(2) + cone*kp(3)) 
+     &+ fo(2)*(kp(1) + kp(4)))  
+     &+ fi(1)*(-4*fmass*fo(1) + fo(4)*(kp(2) + cone*kp(3)) 
+     &+ fo(3)*(kp(1) + kp(4)))
+      
+         do i = 1,4
+            do j=1,4
+               yio(i,j) = tt1*MET(i,j)
+            end do
+         enddo
+	
+         yio(1,1) = yio(1,1)
+     &+ 2*fi(3)*fo(1)*kp(1) + 2*fi(4)*fo(2)*kp(1)  
+     &+ 2*fi(1)*fo(3)*kp(1) + 2*fi(2)*fo(4)*kp(1)
+	
+         yio(2,2) = yio(2,2)
+     &+ 2*fi(4)*fo(1)*kp(2) + 2*fi(3)*fo(2)*kp(2)  
+     &- 2*fi(2)*fo(3)*kp(2) - 2*fi(1)*fo(4)*kp(2)
+   
+         yio(3,3) = yio(3,3)
+     &- 2*cone*fi(4)*fo(1)*kp(3) + 2*cone*fi(3)*fo(2)*kp(3) 
+     &+ 2*cone*fi(2)*fo(3)*kp(3) - 2*cone*fi(1)*fo(4)*kp(3)
+        
+         yio(4,4) = yio(4,4)
+     &+ 2*fi(3)*fo(1)*kp(4) - 2*fi(4)*fo(2)*kp(4) 
+     &- 2*fi(1)*fo(3)*kp(4) + 2*fi(2)*fo(4)*kp(4)	
+   
+         yio(1,2) = yio(1,2)
+     &+ fi(3)*(fo(2)*kp(1) + fo(1)*kp(2)) 
+     &+ fi(4)*(fo(1)*kp(1) + fo(2)*kp(2)) 
+     &+ fi(1)*(-(fo(4)*kp(1))+ fo(3)*kp(2)) 
+     &+ fi(2)*(-(fo(3)*kp(1)) + fo(4)*kp(2))
+   
+         yio(1,3) = yio(1,3)
+     &+ fi(3)*(cone*fo(2)*kp(1) + fo(1)*kp(3)) 
+     &+ fi(4)*(-(cone*fo(1)*kp(1)) + fo(2)*kp(3)) 
+     &+ fi(1)*(-(cone*fo(4)*kp(1)) + fo(3)*kp(3)) 
+     &+ fi(2)*(cone*fo(3)*kp(1) + fo(4)*kp(3))
+     
+         yio(1,4) = yio(1,4)
+     &+ fi(4)*fo(2)*(-kp(1) + kp(4)) 
+     &+ fi(1)*fo(3)*(-kp(1) + kp(4)) 
+     &+ fi(3)*fo(1)*(kp(1) + kp(4))
+     &+ fi(2)*fo(4)*(kp(1) + kp(4))
+     
+         yio(2,3) = yio(2,3)
+     &+ fi(1)*fo(4)*(-(cone*kp(2)) - kp(3)) 
+     &+ fi(2)*fo(3)*(cone*kp(2) - kp(3))  
+     &+ fi(4)*fo(1)*(-(cone*kp(2)) + kp(3)) 
+     &+ fi(3)*fo(2)*(cone*kp(2) + kp(3))
+   
+         yio(2,4) = yio(2,4)
+     &+ fi(4)*(-(fo(2)*kp(2)) + fo(1)*kp(4)) 
+     &+ fi(3)*(fo(1)*kp(2) + fo(2)*kp(4))  
+     &+ fi(2)*(fo(4)*kp(2) - fo(3)*kp(4)) 
+     &+ fi(1)*(-(fo(3)*kp(2)) - fo(4)*kp(4))
+     
+         yio(3,4) = yio(3,4)
+     &+ fi(4)*(-(fo(2)*kp(3)) - cone*fo(1)*kp(4)) 
+     &+ fi(3)*(fo(1)*kp(3) + cone*fo(2)*kp(4)) 
+     &+ fi(2)*(fo(4)*kp(3) + cone*fo(3)*kp(4)) 
+     &+ fi(1)*(-(fo(3)*kp(3)) - cone*fo(4)*kp(4))
+   
+         yio(2,1) = yio(1,2)
+         yio(3,1) = yio(1,3)
+         yio(4,1) = yio(1,4)         
+         yio(3,2) = yio(2,3)
+         yio(4,2) = yio(2,4)
+         yio(4,3) = yio(3,4)
+        
+         do i = 1,4
+            do j=1,4
+               yio(i,j) = yio(i,j)*d
+            end do
+         enddo
+   
+      else if (tmass.gt.rZero) then
+           d = - gt/dcmplx( KT2-tmass**2, tmass*twidth )
+            
+           tt1 = fi(3)*(((-8.0d0*fmass)/3.d0 
+     &	+ (8.0d0*fmass*KT2)/(3.d0*tmass**2))*fo(3)
+     & +  fo(2)*((4.0d0*(K1KT + K2KT)
+     &            *(-km(2) - cone*km(3)))/(3.d0*tmass**2)
+     & - (4.0d0*KT2*(-kp(2) - cone*kp(3)))/(3.d0*tmass**2)) + 
+     &    fo(1)*((4.0d0*(K1KT + K2KT)*(km(1) - km(4)))/(3.d0*tmass**2) 
+     & - (4.0d0*KT2*(kp(1) - kp(4)))/(3.d0*tmass**2))) + 
+     &    fi(2)*(((-8.0d0*fmass)/3.d0 
+     &        + (8.0d0*fmass*KT2)/(3.d0*tmass**2))*fo(2)  
+     & +  fo(3)*((4.0d0*(K1KT + K2KT)*(km(2) 
+     &          - cone*km(3)))/(3.d0*tmass**2) 
+     &- (4.0d0*KT2*(kp(2) - cone*kp(3)))/(3.d0*tmass**2)) + 
+     &    fo(4)*((4.0d0*(K1KT + K2KT)*(km(1) - km(4)))/(3.d0*tmass**2)
+     & - (4.0d0*KT2*(kp(1) - kp(4)))/(3.d0*tmass**2))) + 
+     &    fi(4)*(((-8.0d0*fmass)/3.d0 
+     &+ (8.0d0*fmass*KT2)/(3.d0*tmass**2))*fo(4)  
+     & +  fo(1)*((4.0d0*(K1KT + K2KT)
+     &       *(-km(2) + cone*km(3)))/(3.d0*tmass**2)
+     & - (4.0d0*KT2*(-kp(2) + cone*kp(3)))/(3.d0*tmass**2)) + 
+     &    fo(2)*((4.0d0*(K1KT + K2KT)*(km(1) + km(4)))/(3.d0*tmass**2)
+     & - (4.0d0*KT2*(kp(1) + kp(4)))/(3.d0*tmass**2))) + 
+     &    fi(1)*(((-8.0d0*fmass)/3.d0 
+     &+ (8.0d0*fmass*KT2)/(3.d0*tmass**2))*fo(1) 
+     & +  fo(4)*((4.0d0*(K1KT + K2KT)*(km(2)
+     &      + cone*km(3)))/(3.d0*tmass**2) 
+     &- (4.0d0*KT2*(kp(2) + cone*kp(3)))/(3.d0*tmass**2)) + 
+     &    fo(3)*((4.0d0*(K1KT + K2KT)
+     &*(km(1) + km(4)))/(3.d0*tmass**2)
+     & - (4.0d0*KT2*(kp(1) + kp(4)))/(3.d0*tmass**2)))
+ 
+      
+           tt2 = (fi(3)*(((-16.0d0*KT2*fmass)/(3.0D0*tmass**4)
+     &	 - (16.d0*fmass)/(3.d0*tmass**2))*fo(3) + 
+     &       fo(2)*((8.d0*(K1KT + K2KT)*(-km(2)
+     & - cone*km(3)))/(3.d0*tmass**4) 
+     &+ (8.d0*KT2*(-kp(2) - cone*kp(3)))/(3.0D0*tmass**4) + 
+     &          (4.d0*(-kp(2) - cone*kp(3)))/tmass**2) + 
+     &       fo(1)*((8.d0*(K1KT + K2KT)*(km(1)
+     & - km(4)))/(3.d0*tmass**4) 
+     &+ (8.d0*KT2*(kp(1) - kp(4)))/(3.d0*tmass**4) + 
+     &          (4.d0*(kp(1) - kp(4)))/tmass**2)) + fi(2)*
+     &     (((-16.d0*KT2*fmass)/(3.d0*tmass**4) 
+     &- (16.d0*fmass)/(3.d0*tmass**2))*fo(2) + 
+     &       fo(3)*((8.d0*(K1KT + K2KT)*(km(2)
+     & - cone*km(3)))/(3.d0*tmass**4) 
+     &+ (8.d0*KT2*(kp(2) - cone*kp(3)))/(3.d0*tmass**4) + 
+     &          (4.d0*(kp(2) - cone*kp(3)))/tmass**2) + 
+     &       fo(4)*((8.d0*(K1KT + K2KT)*(km(1) - km(4)))/(3.d0*tmass**4)
+     & + (8.d0*KT2*(kp(1) - kp(4)))/(3.d0*tmass**4) + 
+     &          (4.d0*(kp(1) - kp(4)))/tmass**2)) + fi(4)*
+     &     (((-16.d0*KT2*fmass)/(3.d0*tmass**4) 
+     &- (16.d0*fmass)/(3.d0*tmass**2))*fo(4) + 
+     &       fo(1)*((8.d0*(K1KT + K2KT)*(-km(2) 
+     &+ cone*km(3)))/(3.d0*tmass**4)
+     & + (8.d0*KT2*(-kp(2) + cone*kp(3)))/(3.d0*tmass**4) + 
+     &          (4.d0*(-kp(2) + cone*kp(3)))/tmass**2) + 
+     &       fo(2)*((8.d0*(K1KT + K2KT)*(km(1) 
+     &+ km(4)))/(3.d0*tmass**4)
+     & + (8.d0*KT2*(kp(1) + kp(4)))/(3.d0*tmass**4) + 
+     &          (4.d0*(kp(1) + kp(4)))/tmass**2)) + fi(1)*
+     &     (((-16.d0*KT2*fmass)/(3.d0*tmass**4) 
+     &- (16.d0*fmass)/(3.d0*tmass**2))*fo(1) + 
+     &       fo(4)*((8.d0*(K1KT + K2KT)*(km(2)
+     & + cone*km(3)))/(3.d0*tmass**4)
+     & + (8.d0*KT2*(kp(2) + cone*kp(3)))/(3.d0*tmass**4) + 
+     &          (4.d0*(kp(2) + cone*kp(3)))/tmass**2) + 
+     &       fo(3)*((8.d0*(K1KT + K2KT)
+     &*(km(1) + km(4)))/(3.d0*tmass**4)
+     & + (8.d0*KT2*(kp(1) + kp(4)))/(3.d0*tmass**4) + 
+     &          (4.d0*(kp(1) + kp(4)))/tmass**2)))
+   
+           tt3 = fi(3)*((-2.0d0*fo(2)*(-km(2) - cone*km(3)))/tmass**2
+     &	 - (2.0d0*fo(1)*(km(1) - km(4)))/tmass**2) + 
+     &    fi(2)*((-2.0d0*fo(3)*(km(2) - cone*km(3)))/tmass**2 
+     &- (2.0d0*fo(4)*(km(1) - km(4)))/tmass**2) + 
+     &    fi(4)*((-2.0d0*fo(1)*(-km(2) + cone*km(3)))/tmass**2
+     & - (2.0d0*fo(2)*(km(1) + km(4)))/tmass**2) + 
+     &    fi(1)*((-2.0d0*fo(4)*(km(2) + cone*km(3)))/tmass**2 
+     &- (2.0d0*fo(3)*(km(1) + km(4)))/tmass**2) 
+         
+           do i = 1,4
+              do j=1,4
+                 yio(i,j) = tt1*MET(i,j)+tt2*km(i)*km(j)
+     &+tt3*(km(i)*kp(j)+km(j)*kp(i))
+              end do
+           enddo
+   	
+           yio(1,1) = yio(1,1)
+     &+fi(3)*fo(1)*((-4.0d0*(K1KT + K2KT)*km(1))/tmass**2 + 4.0d0*kp(1))  
+     & +fi(4)*fo(2)*((-4.d0*(K1KT + K2KT)*km(1))/tmass**2 + 4.0d0*kp(1)) 
+     & +fi(1)*fo(3)*((-4.0d0*(K1KT + K2KT)*km(1))/tmass**2+ 4.0d0*kp(1)) 
+     &+ fi(2)*fo(4)*((-4.0d0*(K1KT + K2KT)*km(1))/tmass**2+ 4.0d0*kp(1))
+   	
+           yio(2,2) = yio(2,2)
+     &+fi(2)*fo(3)*((4.0d0*(K1KT + K2KT)*km(2))/tmass**2 - 4.d0*kp(2))
+     &+fi(1)*fo(4)*((4.0d0*(K1KT + K2KT)*km(2))/tmass**2 - 4.d0*kp(2))  
+     &+fi(4)*fo(1)*((-4.d0*(K1KT + K2KT)*km(2))/tmass**2 + 4.d0*kp(2))
+     &+fi(3)*fo(2)*((-4.d0*(K1KT + K2KT)*km(2))/tmass**2 + 4.d0*kp(2))
+      
+           yio(3,3) = yio(3,3)
+     &+fi(4)*fo(1)*((4.0d0*cone*(K1KT + K2KT)*km(3))/tmass**2
+     & - 4.0d0*cone*kp(3)) + 
+     &    fi(1)*fo(4)*((4.0d0*cone*(K1KT + K2KT)*km(3))/tmass**2
+     & - 4.0d0*cone*kp(3)) + 
+     &    fi(3)*fo(2)*((-4.0d0*cone*(K1KT + K2KT)*km(3))/tmass**2
+     & + 4.d0*cone*kp(3)) + 
+     &    fi(2)*fo(3)*((-4.d0*cone*(K1KT + K2KT)*km(3))/tmass**2
+     & + 4.d0*cone*kp(3))	
+      	
+           yio(4,4) = yio(4,4)
+     &+fi(4)*fo(2)*((4.d0*(K1KT + K2KT)*km(4))/tmass**2 - 4.d0*kp(4)) 
+     &+fi(1)*fo(3)*((4.d0*(K1KT + K2KT)*km(4))/tmass**2 - 4.d0*kp(4)) 
+     &+fi(3)*fo(1)*((-4.d0*(K1KT + K2KT)*km(4))/tmass**2+ 4.d0*kp(4))
+     &+fi(2)*fo(4)*((-4.d0*(K1KT + K2KT)*km(4))/tmass**2+ 4.d0*kp(4))	
+         
+           yio(1,2) = yio(1,2)
+     &+fi(3)*(fo(2)*((-2.d0*(K1KT + K2KT)*km(1))/tmass**2 + 2.d0*kp(1)) 
+     &+ fo(1)*((-2.d0*(K1KT + K2KT)*km(2))/tmass**2 + 2.d0*kp(2))) + 
+     &  fi(4)*(fo(1)*((-2.d0*(K1KT + K2KT)*km(1))/tmass**2 + 2.d0*kp(1))
+     & + fo(2)*((-2.d0*(K1KT + K2KT)*km(2))/tmass**2 + 2.d0*kp(2))) + 
+     &  fi(1)*(fo(4)*((2.d0*(K1KT + K2KT)*km(1))/tmass**2 - 2.d0*kp(1))
+     & + fo(3)*((-2.d0*(K1KT + K2KT)*km(2))/tmass**2 + 2.d0*kp(2))) + 
+     & fi(2)*(fo(3)*((2.d0*(K1KT + K2KT)*km(1))/tmass**2 - 2.d0*kp(1))
+     & + fo(4)*((-2.d0*(K1KT + K2KT)*km(2))/tmass**2 + 2.d0*kp(2)))
+      
+           yio(1,3) = yio(1,3)
+     &+fi(3)*(fo(2)*((-2.0d0*cone*(K1KT + K2KT)*km(1))/tmass**2
+     & + 2.d0*cone*kp(1)) + 
+     &    fo(1)*((-2.d0*(K1KT + K2KT)*km(3))/tmass**2 +2.d0*kp(3))) + 
+     &    fi(4)*(fo(1)*((2.d0*cone*(K1KT + K2KT)*km(1))/tmass**2
+     & - 2.d0*cone*kp(1)) + 
+     &    fo(2)*((-2.d0*(K1KT + K2KT)*km(3))/tmass**2 +2.d0*kp(3))) + 
+     &    fi(1)*(fo(4)*((2.d0*cone*(K1KT + K2KT)*km(1))/tmass**2 
+     &- 2.d0*cone*kp(1)) + 
+     &    fo(3)*((-2.d0*(K1KT + K2KT)*km(3))/tmass**2 +2.d0*kp(3))) + 
+     &    fi(2)*(fo(3)*((-2.d0*cone*(K1KT + K2KT)*km(1))/tmass**2 
+     &+ 2.d0*cone*kp(1)) + 
+     &    fo(4)*((-2.d0*(K1KT + K2KT)*km(3))/tmass**2 + 2.d0*kp(3)))
+        
+           yio(1,4) = yio(1,4)
+     &+fi(4)*fo(2)*((-2.d0*(K1KT + K2KT)*(-km(1) + km(4)))/tmass**2
+     & - 2.d0*kp(1) + 2.d0*kp(4)) + 
+     & fi(1)*fo(3)*((-2.d0*(K1KT + K2KT)*(-km(1) + km(4)))/tmass**2
+     & - 2.d0*kp(1) + 2.d0*kp(4)) + 
+     & fi(3)*fo(1)*((-2.d0*(K1KT + K2KT)*(km(1) + km(4)))/tmass**2 
+     &+ 2.d0*kp(1) + 2.d0*kp(4)) + 
+     & fi(2)*fo(4)*((-2.d0*(K1KT + K2KT)*(km(1) + km(4)))/tmass**2
+     & + 2.d0*kp(1) + 2.d0*kp(4))
+      
+           yio(2,3) = yio(2,3)
+     &+fi(1)*fo(4)*((-2.0d0*(K1KT + K2KT)*(-(cone*km(2))
+     & - km(3)))/tmass**2 - 2.0d0*cone*kp(2) - 2.d0*kp(3)) + 
+     &    fi(2)*fo(3)*((-2.d0*(K1KT + K2KT)*(cone*km(2)
+     & - km(3)))/tmass**2 + 2.d0*cone*kp(2) - 2.d0*kp(3)) + 
+     &    fi(4)*fo(1)*((-2.d0*(K1KT + K2KT)*(-(cone*km(2))
+     & + km(3)))/tmass**2 - 2.d0*cone*kp(2) + 2.d0*kp(3)) + 
+     &    fi(3)*fo(2)*((-2.d0*(K1KT + K2KT)*(cone*km(2)
+     & + km(3)))/tmass**2 + 2.d0*cone*kp(2) + 2.d0*kp(3))
+      
+      
+           yio(2,4) = yio(2,4)
+     &+fi(2)*(fo(4)*((-2.d0*(K1KT + K2KT)*km(2))/tmass**2+2.d0*kp(2)) + 
+     &       fo(3)*((2.d0*(K1KT + K2KT)*km(4))/tmass**2 - 2.d0*kp(4))) + 
+     &  fi(1)*(fo(3)*((2.d0*(K1KT + K2KT)*km(2))/tmass**2 - 2.d0*kp(2))
+     & + fo(4)*((2.d0*(K1KT + K2KT)*km(4))/tmass**2 - 2.d0*kp(4))) + 
+     &  fi(4)*(fo(2)*((2.d0*(K1KT + K2KT)*km(2))/tmass**2 - 2.d0*kp(2))
+     & + fo(1)*((-2.d0*(K1KT + K2KT)*km(4))/tmass**2 + 2.d0*kp(4))) + 
+     & fi(3)*(fo(1)*((-2.d0*(K1KT + K2KT)*km(2))/tmass**2 + 2.d0*kp(2))
+     & + fo(2)*((-2.d0*(K1KT + K2KT)*km(4))/tmass**2 + 2.d0*kp(4)))
+         
+           yio(3,4) = yio(3,4)
+     &+fi(4)*(fo(2)*((2.d0*(K1KT + K2KT)*km(3))/tmass**2- 2.d0*kp(3)) + 
+     &       fo(1)*((2.d0*cone*(K1KT + K2KT)*km(4))/tmass**2
+     & - 2.d0*cone*kp(4))) + 
+     &    fi(1)*(fo(3)*((2.d0*(K1KT + K2KT)*km(3))/tmass**2
+     & - 2.d0*kp(3)) + 
+     &       fo(4)*((2.d0*cone*(K1KT + K2KT)*km(4))/tmass**2
+     & - 2.d0*cone*kp(4))) + 
+     &    fi(3)*(fo(1)*((-2.d0*(K1KT + K2KT)*km(3))/tmass**2
+     & + 2.d0*kp(3)) + 
+     &       fo(2)*((-2.d0*cone*(K1KT + K2KT)*km(4))/tmass**2
+     & + 2.d0*cone*kp(4))) + 
+     &    fi(2)*(fo(4)*((-2.d0*(K1KT + K2KT)*km(3))/tmass**2
+     & + 2.d0*kp(3)) + 
+     &       fo(3)*((-2.d0*cone*(K1KT + K2KT)*km(4))/tmass**2
+     &+ 2.d0*cone*kp(4)))
+      
+           yio(2,1) = yio(1,2)
+           yio(3,1) = yio(1,3)
+           yio(4,1) = yio(1,4)
+            
+           yio(3,2) = yio(2,3)
+           yio(4,2) = yio(2,4)
+           yio(4,3) = yio(3,4)
+           
+           do i = 1,4
+              do j=1,4
+                 yio(i,j) = yio(i,j)*d/2.0d0
+              end do
+           enddo            
+                        
+         else 
+            write(*,*) 'invalid tensor mass'
+            stop
+      end if
+
+      uio(1) = yio(1,1)
+      uio(2) = yio(1,2)
+      uio(3) = yio(1,3)
+      uio(4) = yio(1,4)
+      uio(5) = yio(2,1)
+      uio(6) = yio(2,2)
+      uio(7) = yio(2,3)
+      uio(8) = yio(2,4)
+      uio(9) = yio(3,1)
+      uio(10) = yio(3,2)
+      uio(11) = yio(3,3)
+      uio(12) = yio(3,4)
+      uio(13) = yio(4,1)
+      uio(14) = yio(4,2)
+      uio(15) = yio(4,3)
+      uio(16) = yio(4,4)
+      uio(17) = yio(5,1)
+      uio(18) = yio(6,1)
+
+      return
+      end

=== added file 'HELAS/upsxxx.F'
--- HELAS/upsxxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/upsxxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,85 @@
+      subroutine upsxxx(t2,sc,gt, xm,xw,t1)
+
+c  Subroutines for graviton phase space integration
+c  KEK 2009.11
+c
+      implicit none
+      double complex t1(18), t2(18), sc(3), vertex, tc2(18)
+      double complex gt(2)
+      double precision xm,xw,xmass
+
+      double complex ft(6,4),ft2(6,4)
+      double precision ps1(4), pt2(4),PT(4),PTT2,PG(0:3)
+      integer i
+      double complex cZero
+      double precision rZero, rTwo,Pi
+      parameter( rZero = 0.0d0, rTwo = 2.0d0 )
+      parameter( cZero = ( 0.0d0, 0.0d0 ) )
+      double precision PADD
+      double precision L_ADD,NADD,MGLOW,MGUP
+      external txxxxx
+
+      Pi=dacos(-1.0d0)
+      L_ADD=dimag(gt(1))
+      NADD=dreal(gt(1))
+      MGUP=dimag(gt(2))
+      MGLOW=dreal(gt(2))
+
+
+      ps1(1) = dreal(sc(2))
+      ps1(2) = dreal(sc(3))
+      ps1(3) = dimag(sc(3))
+      ps1(4) = dimag(sc(2))
+
+      pt2(1) = -dreal(t2(17))
+      pt2(2) = -dreal(t2(18))
+      pt2(3) = -dimag(t2(18))
+      pt2(4) = -dimag(t2(17))
+
+      PG(0)=ps1(1)-pt2(1)
+      PG(1)=ps1(2)-pt2(2)
+      PG(2)=ps1(3)-pt2(3)
+      PG(3)=ps1(4)-pt2(4)
+
+      PTT2=PG(0)**2-PG(1)**2-PG(2)**2-PG(3)**2
+      xmass=dsqrt(PTT2)
+
+       t1(17) = dcmplx(PG(0),PG(3))
+       t1(18) = dcmplx(PG(1), PG(2))
+
+      if(xmass.lt.MGLOW.or.xmass.gt.MGUP) then
+      do i=1,16
+      t1(i)=dcmplx(0.0d0,0.0d0)
+      enddo
+      return
+      endif
+
+      CALL txxxxx(PG,xmass,INT(t2(1)),+1 , t1)
+
+
+       if(INT(NADD).eq.2) then
+         PADD=2.0d0*Pi
+        elseif(INT(NADD).eq.3) then
+         PADD=4.0d0*Pi
+        elseif(INT(NADD).eq.4) then
+         PADD=2.0d0*Pi**2
+        elseif(INT(NADD).eq.5) then
+          PADD=8.0d0/3.0d0*Pi**2
+        elseif(INT(NADD).eq.6) then
+           PADD=Pi**3
+        else
+        print *, "OUT CASE"
+        stop
+        endif 
+
+ 
+        do i=1,16
+        t1(i)=-1.0d0*t1(i)*
+     & dsqrt( 
+     & 2.0d0*Pi*8.0d0*Pi  ! to compensate the decay phase factor
+     &* PADD/L_ADD**NADD*xmass**(NADD-1)  ! density factor for d=4 case
+     &/2.0d0/xmass)   ! dm=dm^2/2/m    
+        enddo
+
+      return
+      end

=== added file 'HELAS/usslxx.F'
--- HELAS/usslxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/usslxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,33 @@
+      subroutine usslxx(s1,s2,gc,xm,xw , uss)
+c- by RF - Mar. 2006
+c
+c This subroutine computes an internal particle current from the three-
+c scalar coupling.
+c
+c input:
+c       complex s1(3)          : first  scalar                        s1
+c       complex s2(3)          : second scalar                        s2
+c       complex gc             : coupling constant                  ghhh
+c
+c output:
+c       complex uss(3)         : internal particle current (scalar)
+c    
+c not used:
+c       xm,xw
+c
+
+      implicit none
+      include "dimension.inc"
+      double complex s1(DIM),s2(DIM),uss(DIM)
+      double precision xm,xw,gc
+
+      uss(2) = s1(2)+s2(2)
+      uss(3) = s1(3)+s2(3)
+
+c the internal particle does not propagate, so no multiplication
+c with a propagator necessary.
+
+      uss(1) = - gc*s1(1)*s2(1)
+c
+      return
+      end

=== added file 'HELAS/ussxxx.F'
--- HELAS/ussxxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/ussxxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,114 @@
+      subroutine ussxxx(s1,s2,gt,smass,tmass,twidth , uss)
+c
+c This subroutine computes an off-shell tensor current 
+c from the scalar-scalar-tensor boson coupling.
+c
+c input:
+c       complex s1(3)          : first  scalar                        s1
+c       complex s2(3)          : second scalar                        s2
+c       complex gt             : coupling constant         gts=-1/Lambda
+c       real    smass          : scalar mass                         m_s
+c       real    tmass          : mass  of output tensor T 
+c       real    twidth         : width of output tensor T
+c
+c output:
+c       complex uss(18)        : tensor current         j^mu^nu(T:s1,s2)
+c     
+c- by Q.Li - OCT. 2006
+c
+      implicit none
+      double complex s1(3), s2(3), gt, uss(18)
+      double precision smass, tmass, twidth
+
+      integer i,j
+      double complex yss(6,4)
+      double precision ps1(4), ps2(4), pT(4)
+      double precision MET(4,4)
+      double complex cZero, d
+      double precision rZero, rTwo
+      double precision p1p2,pT2,p1pT,p2pT
+      parameter( rZero = 0.0d0, rTwo = 2.0d0 )
+      parameter( cZero = ( 0.0d0, 0.0d0 ) )
+
+
+      yss(5,1) = s1(2)+s2(2)
+      yss(6,1) = s1(3)+s2(3)
+      
+      ps1(1) = dreal(s1(2))
+      ps1(2) = dreal(s1(3))
+      ps1(3) = dimag(s1(3))
+      ps1(4) = dimag(s1(2))
+      
+      ps2(1) = -dreal(s2(2))
+      ps2(2) = -dreal(s2(3))
+      ps2(3) = -dimag(s2(3))
+      ps2(4) = -dimag(s2(2))
+      
+      pT(1) = dreal(yss(5,1))
+      pT(2) = dreal(yss(6,1))
+      pT(3) = dimag(yss(6,1))
+      pT(4) = dimag(yss(5,1))
+      
+      do i=1,4
+         do j=1,4
+            MET(i,j) = 0.0d0
+         enddo 
+      enddo
+      MET(1,1) =  1.0d0
+      MET(2,2) = -1.0d0
+      MET(3,3) = -1.0d0
+      MET(4,4) = -1.0d0
+      
+      p1p2 = ps1(1)*ps2(1)-ps1(2)*ps2(2)-ps1(3)*ps2(3)-ps1(4)*ps2(4)
+      p1pT = ps1(1)*pT(1)-ps1(2)*pT(2)-ps1(3)*pT(3)-ps1(4)*pT(4)
+      p2pT = pT(1)*ps2(1)-pT(2)*ps2(2)-pT(3)*ps2(3)-pT(4)*ps2(4)
+      pT2  = pT(1)**2-pT(2)**2-pT(3)**2-pT(4)**2
+      
+      if ( tmass.gt.rZero ) then
+         d = - gt/dcmplx( pT2-tmass**2, tmass*twidth )
+      else
+         d = - gt/dcmplx( pT2, rZero )
+      end if
+    
+      do i = 1,4
+         do j=1,4
+            yss(i,j) = -2.0d0/3.0d0*MET(i,j)*smass**2
+     &	-4.0d0/3.0d0*smass**2/tmass**2*pT(i)*pT(j)
+     &    +2.0d0/3.0d0*smass**2/tmass**2*PT2*MET(i,j)
+     &    +4.0d0/3.0d0*smass**2/tmass**4*PT2*pT(i)*pT(j)
+     &    +2.0d0*(ps1(i)*ps2(j)+ps1(j)*ps2(i))
+     &    -2.0d0/tmass**2*p1pT*(ps2(i)*pT(j)+ps2(j)*pT(i)) 
+     &    -2.0d0/tmass**2*p2pT*(ps1(i)*pT(j)+ps1(j)*pT(i)) 
+     &    +4.0d0/3.0d0/tmass**2*MET(i,j)*p1pT*p2pT
+     &    +8.0d0/3.0d0/tmass**4*p1pT*p2pT*pT(i)*pT(j)
+     &    -2.0d0/3.0d0*p1p2*MET(i,j)
+     &    +8.0d0/3.0d0/tmass**2*p1p2*pT(i)*pT(j)
+     &    -2.0d0/3.0d0/tmass**2*p1p2*pT2*MET(i,j)
+     &    -4.0d0/3.0d0/tmass**4*PT2*p1p2*pT(i)*pT(j)
+
+            yss(i,j) = yss(i,j)*d*s1(1)*s2(1)/2.0d0
+
+         end do
+      enddo
+
+      uss(1) = yss(1,1)
+      uss(2) = yss(1,2)
+      uss(3) = yss(1,3)
+      uss(4) = yss(1,4)
+      uss(5) = yss(2,1)
+      uss(6) = yss(2,2)
+      uss(7) = yss(2,3)
+      uss(8) = yss(2,4)
+      uss(9) = yss(3,1)
+      uss(10) = yss(3,2)
+      uss(11) = yss(3,3)
+      uss(12) = yss(3,4)
+      uss(13) = yss(4,1)
+      uss(14) = yss(4,2)
+      uss(15) = yss(4,3)
+      uss(16) = yss(4,4)
+      uss(17) = yss(5,1)
+      uss(18) = yss(6,1)
+
+      return
+      end

=== added file 'HELAS/utsaxx.F'
--- HELAS/utsaxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/utsaxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,81 @@
+      subroutine utsaxx(tc1,sc,gt,xm,xw,jts)
+c
+c- by RF - Feb. 2006 
+c
+c This subroutine computes an off-shell tensor current from the tts coupling.
+c
+c     input:
+c          complex tc1(18)           : Incoming tensor particle
+c          complex sc(3)             : Incoming scalar particle
+c          complex gt(2)             : coupling constant: gt(1) scalar
+c                                                         gt(2) not used
+c
+c     output:
+c          complex jts               : off-shell tensor current
+c
+c     not used:
+c          xm, xw
+c
+
+      implicit none
+c--   dimension of the current set to arbitrary length
+c      INTEGER DIM
+c      PARAMETER(DIM=18)
+      include "dimension.inc"
+      double complex tc1(DIM),jts(DIM),sc(DIM), gt(2)
+      double precision xm, xw
+
+c The outgoing tensor current is the same as the incoming multiplied by the
+c coupling constant and the scalar particle. Note that the diagonal tensor
+c terms are always zero because the tensor particle is anti-symmetric. The 
+c tensor particle does not propagate, thus no multiplication with the tensor 
+c propagator.
+
+      jts(17) = sc(2) + tc1(17)
+      jts(18) = sc(3) + tc1(18)
+
+ 
+      if (gt(1).NE.(0D0,0D0)) then
+
+         jts( 1) = (0D0,0D0)        !-gt(1) * sc(1) * tc1( 1)
+         jts( 2) =  -gt(1) * sc(1) * tc1( 2)
+         jts( 3) =  -gt(1) * sc(1) * tc1( 3)
+         jts( 4) =  -gt(1) * sc(1) * tc1( 4)
+
+         jts( 5) =  -gt(1) * sc(1) * tc1( 5)
+         jts( 6) = (0D0,0D0)        !-gt(1) * sc(1) * tc1( 6)
+         jts( 7) =  -gt(1) * sc(1) * tc1( 7)
+         jts( 8) =  -gt(1) * sc(1) * tc1( 8)
+
+         jts( 9) =  -gt(1) * sc(1) * tc1( 9)
+         jts(10) =  -gt(1) * sc(1) * tc1(10)
+         jts(11) = (0D0,0D0)        !-gt(1) * sc(1) * tc1(11)
+         jts(12) =  -gt(1) * sc(1) * tc1(12)
+         
+         jts(13) =  -gt(1) * sc(1) * tc1(13)
+         jts(14) =  -gt(1) * sc(1) * tc1(14)
+         jts(15) =  -gt(1) * sc(1) * tc1(15)
+         jts(16) = (0D0,0D0)        !-gt(1) * sc(1) * tc1(16)
+
+      else
+         jts( 1)=(0D0,0D0)
+         jts( 2)=(0D0,0D0)
+         jts( 3)=(0D0,0D0)
+         jts( 4)=(0D0,0D0)
+         jts( 5)=(0D0,0D0)
+         jts( 6)=(0D0,0D0)
+         jts( 7)=(0D0,0D0)
+         jts( 8)=(0D0,0D0)
+         jts( 9)=(0D0,0D0)
+         jts(10)=(0D0,0D0)
+         jts(11)=(0D0,0D0)
+         jts(12)=(0D0,0D0)
+         jts(13)=(0D0,0D0)
+         jts(14)=(0D0,0D0)
+         jts(15)=(0D0,0D0)
+         jts(16)=(0D0,0D0)
+      endif
+
+
+      return
+      end

=== added file 'HELAS/utscxx.F'
--- HELAS/utscxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/utscxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,140 @@
+      subroutine utscxx(tc1,sc,gt,xm,xw,jts)
+c
+c- by RF - Feb. 2006 
+c  CP3  Modified Nov. 2009 
+c
+c This subroutine computes an off-shell tensor current from the tts coupling.
+c
+c     input:
+c          complex tc1(18)           : Incoming tensor particle
+c          complex sc(3)             : Incoming scalar particle
+c          complex gt(2)             : coupling constant: gt(1) scalar
+c                                                         gt(2) not used
+c
+c     output:
+c          complex jts               : off-shell tensor current
+c
+c     not used:
+c          xm, xw
+c
+
+      implicit none
+c--   dimension of the current set to arbitrary length
+c      INTEGER DIM
+c      PARAMETER(DIM=18)
+      include "dimension.inc"
+      double complex tc1(DIM),jts(DIM),sc(DIM), gt(2),t1(6,4),t2(6,4)
+      double precision xm, xw
+      integer m1,m3  
+      double precision MT(4,4)
+
+c The outgoing tensor current is the same as the incoming multiplied by the
+c coupling constant and the scalar particle. Note that the diagonal tensor
+c terms are always zero because the tensor particle is anti-symmetric. The 
+c tensor particle does not propagate, thus no multiplication with the tensor 
+c propagator.
+
+      jts(17) = sc(2) + tc1(17)
+      jts(18) = sc(3) + tc1(18)
+
+      T2(1,1) = tc1(1)
+      T2(1,2) = tc1(2)
+      T2(1,3) = tc1(3)
+      T2(1,4) = tc1(4)
+      T2(2,1) = tc1(5)
+      T2(2,2) = tc1(6)
+      T2(2,3) = tc1(7)
+      T2(2,4) = tc1(8)
+      T2(3,1) = tc1(9)
+      T2(3,2) = tc1(10)
+      T2(3,3) = tc1(11)
+      T2(3,4) = tc1(12)
+      T2(4,1) = tc1(13)
+      T2(4,2) = tc1(14)
+      T2(4,3) = tc1(15)
+      T2(4,4) = tc1(16)
+      T2(5,1) = tc1(17)
+      T2(6,1) = tc1(18)
+
+      do m1=1,4
+         do m3=1,4
+            MT(m1,m3) = 0.0d0
+         enddo 
+      enddo
+      MT(1,1) =  1.0d0
+      MT(2,2) = -1.0d0
+      MT(3,3) = -1.0d0
+      MT(4,4) = -1.0d0
+
+ 
+      if (gt(1).NE.(0D0,0D0)) then
+
+       do  m1=1,4
+         do m3=1,4
+        T1(m1,m3)=gt(1)*(-(MT(1,m3)*MT(2,m1)*SC(1)*T2(1,2)) + 
+     -  MT(1,m1)*MT(2,m3)*SC(1)*T2(1,2) - 
+     -  MT(1,m3)*MT(3,m1)*SC(1)*T2(1,3) + 
+     -  MT(1,m1)*MT(3,m3)*SC(1)*T2(1,3) - 
+     -  MT(1,m3)*MT(4,m1)*SC(1)*T2(1,4) + 
+     -  MT(1,m1)*MT(4,m3)*SC(1)*T2(1,4) + 
+     -  MT(1,m3)*MT(2,m1)*SC(1)*T2(2,1) - 
+     -  MT(1,m1)*MT(2,m3)*SC(1)*T2(2,1) + 
+     -  MT(2,m3)*MT(3,m1)*SC(1)*T2(2,3) - 
+     -  MT(2,m1)*MT(3,m3)*SC(1)*T2(2,3) + 
+     -  MT(2,m3)*MT(4,m1)*SC(1)*T2(2,4) - 
+     -  MT(2,m1)*MT(4,m3)*SC(1)*T2(2,4) + 
+     -  MT(1,m3)*MT(3,m1)*SC(1)*T2(3,1) - 
+     -  MT(1,m1)*MT(3,m3)*SC(1)*T2(3,1) - 
+     -  MT(2,m3)*MT(3,m1)*SC(1)*T2(3,2) + 
+     -  MT(2,m1)*MT(3,m3)*SC(1)*T2(3,2) + 
+     -  MT(3,m3)*MT(4,m1)*SC(1)*T2(3,4) - 
+     -  MT(3,m1)*MT(4,m3)*SC(1)*T2(3,4) + 
+     -  MT(1,m3)*MT(4,m1)*SC(1)*T2(4,1) - 
+     -  MT(1,m1)*MT(4,m3)*SC(1)*T2(4,1) - 
+     -  MT(2,m3)*MT(4,m1)*SC(1)*T2(4,2) + 
+     -  MT(2,m1)*MT(4,m3)*SC(1)*T2(4,2) - 
+     -  MT(3,m3)*MT(4,m1)*SC(1)*T2(4,3) + 
+     -  MT(3,m1)*MT(4,m3)*SC(1)*T2(4,3))
+       enddo
+       enddo  
+
+       jts(1) = T1(1,1)
+       jts(2) = T1(1,2)
+       jts(3) = T1(1,3)
+       jts(4) = T1(1,4)
+       jts(5) = T1(2,1)
+       jts(6) = T1(2,2)
+       jts(7) = T1(2,3)
+       jts(8) = T1(2,4)
+       jts(9) = T1(3,1)
+       jts(10) = T1(3,2)
+       jts(11) = T1(3,3)
+       jts(12) = T1(3,4)
+       jts(13) = T1(4,1)
+       jts(14) = T1(4,2)
+       jts(15) = T1(4,3)
+       jts(16) = T1(4,4)
+
+
+      else
+         jts( 1)=(0D0,0D0)
+         jts( 2)=(0D0,0D0)
+         jts( 3)=(0D0,0D0)
+         jts( 4)=(0D0,0D0)
+         jts( 5)=(0D0,0D0)
+         jts( 6)=(0D0,0D0)
+         jts( 7)=(0D0,0D0)
+         jts( 8)=(0D0,0D0)
+         jts( 9)=(0D0,0D0)
+         jts(10)=(0D0,0D0)
+         jts(11)=(0D0,0D0)
+         jts(12)=(0D0,0D0)
+         jts(13)=(0D0,0D0)
+         jts(14)=(0D0,0D0)
+         jts(15)=(0D0,0D0)
+         jts(16)=(0D0,0D0)
+      endif
+
+
+      return
+      end

=== added file 'HELAS/utssxx.F'
--- HELAS/utssxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/utssxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,82 @@
+      subroutine utssxx(tc1,sc1,sc2,g1,g2,xm,xw,jts)
+c
+c- by RF - Mar. 2006 
+c
+c This subroutine computes an off-shell tensor current from the ttss coupling.
+c
+c     input:
+c          complex tc1(18)           : Incoming tensor particle
+c          complex sc1(3)            : Incoming scalar particle (Higgs)
+c          complex sc2(3)            : second incoming scalar particle (Higgs)
+c          complex g1(2)             : coupling constant (Higgs effc. theor)
+c          real    g2                : coupling constant (include extra Higgs)
+c
+c     output:
+c          complex jts               : off-shell tensor current
+c
+c     not used:
+c          xm, xw
+c
+
+      implicit none
+c--   dimension of the current set to arbitrary length
+c      INTEGER DIM
+c      PARAMETER(DIM=18)
+      include "dimension.inc"
+      double complex tc1(DIM),jts(DIM),sc1(DIM),sc2(DIM),g1(2)
+      double precision g2, xm, xw
+
+c The outgoing tensor current is the same as the incoming multiplied by the
+c coupling constants and the scalar particles.
+c Note that the diagonal tensor terms are always zero because
+c the tensor particle is anti-symmetric.
+
+
+      jts(17) = sc1(2) + sc2(2) + tc1(17)
+      jts(18) = sc1(3) + sc2(3) + tc1(18)
+
+ 
+      if (g1(1).NE.(0D0,0D0)) then
+
+         jts( 1) = (0D0,0D0)   ! g1(1)* g2 * sc1(1) * sc2(1) * tc1( 1)
+         jts( 2) =  g1(1)* g2 * sc1(1) * sc2(1) * tc1( 2)
+         jts( 3) =  g1(1)* g2 * sc1(1) * sc2(1) * tc1( 3)
+         jts( 4) =  g1(1)* g2 * sc1(1) * sc2(1) * tc1( 4)
+
+         jts( 5) =  g1(1)* g2 * sc1(1) * sc2(1) * tc1( 5)
+         jts( 6) = (0D0,0D0)   ! g1(1)* g2 * sc1(1) * sc2(1) * tc1( 6)
+         jts( 7) =  g1(1)* g2 * sc1(1) * sc2(1) * tc1( 7)
+         jts( 8) =  g1(1)* g2 * sc1(1) * sc2(1) * tc1( 8)
+
+         jts( 9) =  g1(1)* g2 * sc1(1) * sc2(1) * tc1( 9)
+         jts(10) =  g1(1)* g2 * sc1(1) * sc2(1) * tc1(10)
+         jts(11) = (0D0,0D0)   ! g1(1)* g2 * sc1(1) * sc2(1) * tc1(11)
+         jts(12) =  g1(1)* g2 * sc1(1) * sc2(1) * tc1(12)
+         
+         jts(13) =  g1(1)* g2 * sc1(1) * sc2(1) * tc1(13)
+         jts(14) =  g1(1)* g2 * sc1(1) * sc2(1) * tc1(14)
+         jts(15) =  g1(1)* g2 * sc1(1) * sc2(1) * tc1(15)
+         jts(16) = (0D0,0D0)   ! g1(1)* g2 * sc1(1) * sc2(1) * tc1(16)
+
+      else
+         jts( 1)=(0D0,0D0)
+         jts( 2)=(0D0,0D0)
+         jts( 3)=(0D0,0D0)
+         jts( 4)=(0D0,0D0)
+         jts( 5)=(0D0,0D0)
+         jts( 6)=(0D0,0D0)
+         jts( 7)=(0D0,0D0)
+         jts( 8)=(0D0,0D0)
+         jts( 9)=(0D0,0D0)
+         jts(10)=(0D0,0D0)
+         jts(11)=(0D0,0D0)
+         jts(12)=(0D0,0D0)
+         jts(13)=(0D0,0D0)
+         jts(14)=(0D0,0D0)
+         jts(15)=(0D0,0D0)
+         jts(16)=(0D0,0D0)
+      endif
+
+
+      return
+      end

=== added file 'HELAS/utsxxx.F'
--- HELAS/utsxxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/utsxxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,81 @@
+      subroutine utsxxx(tc1,sc,gt,xm,xw,jts)
+c
+c- by RF - Feb. 2006 
+c
+c This subroutine computes an off-shell tensor current from the tts coupling.
+c
+c     input:
+c          complex tc1(18)           : Incoming tensor particle
+c          complex sc(3)             : Incoming scalar particle
+c          complex gt(2)             : coupling constant: gt(1) scalar
+c                                                         gt(2) not used
+c
+c     output:
+c          complex jts               : off-shell tensor current
+c
+c     not used:
+c          xm, xw
+c
+
+      implicit none
+c--   dimension of the current set to arbitrary length
+c      INTEGER DIM
+c      PARAMETER(DIM=18)
+      include "dimension.inc"
+      double complex tc1(DIM),jts(DIM),sc(DIM), gt(2)
+      double precision xm, xw
+
+c The outgoing tensor current is the same as the incoming multiplied by the
+c coupling constant and the scalar particle. Note that the diagonal tensor
+c terms are always zero because the tensor particle is anti-symmetric. The 
+c tensor particle does not propagate, thus no multiplication with the tensor 
+c propagator.
+
+      jts(17) = sc(2) + tc1(17)
+      jts(18) = sc(3) + tc1(18)
+
+ 
+      if (gt(1).NE.(0D0,0D0)) then
+
+         jts( 1) = (0D0,0D0)        !-gt(1) * sc(1) * tc1( 1)
+         jts( 2) =  -gt(1) * sc(1) * tc1( 2)
+         jts( 3) =  -gt(1) * sc(1) * tc1( 3)
+         jts( 4) =  -gt(1) * sc(1) * tc1( 4)
+
+         jts( 5) =  -gt(1) * sc(1) * tc1( 5)
+         jts( 6) = (0D0,0D0)        !-gt(1) * sc(1) * tc1( 6)
+         jts( 7) =  -gt(1) * sc(1) * tc1( 7)
+         jts( 8) =  -gt(1) * sc(1) * tc1( 8)
+
+         jts( 9) =  -gt(1) * sc(1) * tc1( 9)
+         jts(10) =  -gt(1) * sc(1) * tc1(10)
+         jts(11) = (0D0,0D0)        !-gt(1) * sc(1) * tc1(11)
+         jts(12) =  -gt(1) * sc(1) * tc1(12)
+         
+         jts(13) =  -gt(1) * sc(1) * tc1(13)
+         jts(14) =  -gt(1) * sc(1) * tc1(14)
+         jts(15) =  -gt(1) * sc(1) * tc1(15)
+         jts(16) = (0D0,0D0)        !-gt(1) * sc(1) * tc1(16)
+
+      else
+         jts( 1)=(0D0,0D0)
+         jts( 2)=(0D0,0D0)
+         jts( 3)=(0D0,0D0)
+         jts( 4)=(0D0,0D0)
+         jts( 5)=(0D0,0D0)
+         jts( 6)=(0D0,0D0)
+         jts( 7)=(0D0,0D0)
+         jts( 8)=(0D0,0D0)
+         jts( 9)=(0D0,0D0)
+         jts(10)=(0D0,0D0)
+         jts(11)=(0D0,0D0)
+         jts(12)=(0D0,0D0)
+         jts(13)=(0D0,0D0)
+         jts(14)=(0D0,0D0)
+         jts(15)=(0D0,0D0)
+         jts(16)=(0D0,0D0)
+      endif
+
+
+      return
+      end

=== added file 'HELAS/uttAxx.F'
--- HELAS/uttAxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/uttAxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,400 @@
+      subroutine uttaxx(wt,wt1,gt,wt2)
+c-------------------CP3  2009.10-----------------
+c
+c This subroutine computes an off-shell non-propagating tensor current from 
+c the coupling of TTT
+c
+c input:
+c       complex wt(18)           : input tensor                                                       t
+c       complex wt1(18)         : input non-propagating tensor                          T
+c       complex gt             : coupling constant         gt=-1/Lambda
+c output:
+c       complex wt2(18)         : non-propagating tensor current  
+
+      implicit none
+      double complex wt(18), wt1(18), gt, wt2(18)
+
+      double complex T(6,4),T1(6,4),T2(6,4)
+      double precision MT(4,4)
+      integer i, j,s,d
+      double complex cZero
+      double precision rZero, rTwo
+      parameter( rZero = 0.0d0, rTwo = 2.0d0 )
+      parameter( cZero = ( 0.0d0, 0.0d0 ) )
+
+
+      T(1,1) = wt(1)
+      T(1,2) = wt(2)
+      T(1,3) = wt(3)
+      T(1,4) = wt(4)
+      T(2,1) = wt(5)
+      T(2,2) = wt(6)
+      T(2,3) = wt(7)
+      T(2,4) = wt(8)
+      T(3,1) = wt(9)
+      T(3,2) = wt(10)
+      T(3,3) = wt(11)
+      T(3,4) = wt(12)
+      T(4,1) = wt(13)
+      T(4,2) = wt(14)
+      T(4,3) = wt(15)
+      T(4,4) = wt(16)
+      T(5,1) = wt(17)
+      T(6,1) = wt(18)
+ 
+      T1(1,1) = wt1(1)
+      T1(1,2) = wt1(2)
+      T1(1,3) = wt1(3)
+      T1(1,4) = wt1(4)
+      T1(2,1) = wt1(5)
+      T1(2,2) = wt1(6)
+      T1(2,3) = wt1(7)
+      T1(2,4) = wt1(8)
+      T1(3,1) = wt1(9)
+      T1(3,2) = wt1(10)
+      T1(3,3) = wt1(11)
+      T1(3,4) = wt1(12)
+      T1(4,1) = wt1(13)
+      T1(4,2) = wt1(14)
+      T1(4,3) = wt1(15)
+      T1(4,4) = wt1(16)
+      T1(5,1) = wt1(17)
+      T1(6,1) = wt1(18)
+
+      T2(5,1) = T(5,1)+T1(5,1)
+      T2(6,1) = T(6,1)+T1(6,1)
+
+
+      do i=1,4
+         do j=1,4
+            MT(i,j) = 0.0d0
+         enddo 
+      enddo
+      MT(1,1) =  1.0d0
+      MT(2,2) = -1.0d0
+      MT(3,3) = -1.0d0
+      MT(4,4) = -1.0d0
+      
+    
+	
+         do s=1,4
+           do d=1,4
+          T2(s,d)=MT(1,s)*MT(2,d)*T(1,1)*T1(1,2) - 
+     -  MT(1,d)*MT(2,s)*T(1,1)*T1(1,2) + 
+     -  MT(2,s)*MT(3,d)*T(1,3)*T1(1,2) - 
+     -  MT(2,d)*MT(3,s)*T(1,3)*T1(1,2) + 
+     -  MT(2,s)*MT(4,d)*T(1,4)*T1(1,2) - 
+     -  MT(2,d)*MT(4,s)*T(1,4)*T1(1,2) - 
+     -  MT(1,s)*MT(2,d)*T(2,2)*T1(1,2) + 
+     -  MT(1,d)*MT(2,s)*T(2,2)*T1(1,2) - 
+     -  MT(1,s)*MT(3,d)*T(2,3)*T1(1,2) + 
+     -  MT(1,d)*MT(3,s)*T(2,3)*T1(1,2) - 
+     -  MT(1,s)*MT(4,d)*T(2,4)*T1(1,2) + 
+     -  MT(1,d)*MT(4,s)*T(2,4)*T1(1,2) + 
+     -  MT(2,s)*MT(3,d)*T(3,1)*T1(1,2) - 
+     -  MT(2,d)*MT(3,s)*T(3,1)*T1(1,2) - 
+     -  MT(1,s)*MT(3,d)*T(3,2)*T1(1,2) + 
+     -  MT(1,d)*MT(3,s)*T(3,2)*T1(1,2) + 
+     -  MT(1,s)*MT(2,d)*T(3,3)*T1(1,2) - 
+     -  MT(1,d)*MT(2,s)*T(3,3)*T1(1,2) + 
+     -  MT(2,s)*MT(4,d)*T(4,1)*T1(1,2) - 
+     -  MT(2,d)*MT(4,s)*T(4,1)*T1(1,2) - 
+     -  MT(1,s)*MT(4,d)*T(4,2)*T1(1,2) + 
+     -  MT(1,d)*MT(4,s)*T(4,2)*T1(1,2) + 
+     -  MT(1,s)*MT(2,d)*T(4,4)*T1(1,2) - 
+     -  MT(1,d)*MT(2,s)*T(4,4)*T1(1,2) + 
+     -  MT(1,s)*MT(3,d)*T(1,1)*T1(1,3) - 
+     -  MT(1,d)*MT(3,s)*T(1,1)*T1(1,3) - 
+     -  MT(2,s)*MT(3,d)*T(1,2)*T1(1,3) + 
+     -  MT(2,d)*MT(3,s)*T(1,2)*T1(1,3) + 
+     -  MT(3,s)*MT(4,d)*T(1,4)*T1(1,3) - 
+     -  MT(3,d)*MT(4,s)*T(1,4)*T1(1,3) - 
+     -  MT(2,s)*MT(3,d)*T(2,1)*T1(1,3) + 
+     -  MT(2,d)*MT(3,s)*T(2,1)*T1(1,3) + 
+     -  MT(1,s)*MT(3,d)*T(2,2)*T1(1,3) - 
+     -  MT(1,d)*MT(3,s)*T(2,2)*T1(1,3) - 
+     -  MT(1,s)*MT(2,d)*T(2,3)*T1(1,3) + 
+     -  MT(1,d)*MT(2,s)*T(2,3)*T1(1,3) - 
+     -  MT(1,s)*MT(2,d)*T(3,2)*T1(1,3) + 
+     -  MT(1,d)*MT(2,s)*T(3,2)*T1(1,3) - 
+     -  MT(1,s)*MT(3,d)*T(3,3)*T1(1,3) + 
+     -  MT(1,d)*MT(3,s)*T(3,3)*T1(1,3) - 
+     -  MT(1,s)*MT(4,d)*T(3,4)*T1(1,3) + 
+     -  MT(1,d)*MT(4,s)*T(3,4)*T1(1,3) + 
+     -  MT(3,s)*MT(4,d)*T(4,1)*T1(1,3) - 
+     -  MT(3,d)*MT(4,s)*T(4,1)*T1(1,3) - 
+     -  MT(1,s)*MT(4,d)*T(4,3)*T1(1,3) + 
+     -  MT(1,d)*MT(4,s)*T(4,3)*T1(1,3) + 
+     -  MT(1,s)*MT(3,d)*T(4,4)*T1(1,3) - 
+     -  MT(1,d)*MT(3,s)*T(4,4)*T1(1,3) + 
+     -  MT(1,s)*MT(4,d)*T(1,1)*T1(1,4) - 
+     -  MT(1,d)*MT(4,s)*T(1,1)*T1(1,4) - 
+     -  MT(2,s)*MT(4,d)*T(1,2)*T1(1,4) + 
+     -  MT(2,d)*MT(4,s)*T(1,2)*T1(1,4) - 
+     -  MT(3,s)*MT(4,d)*T(1,3)*T1(1,4) + 
+     -  MT(3,d)*MT(4,s)*T(1,3)*T1(1,4) - 
+     -  MT(2,s)*MT(4,d)*T(2,1)*T1(1,4) + 
+     -  MT(2,d)*MT(4,s)*T(2,1)*T1(1,4) + 
+     -  MT(1,s)*MT(4,d)*T(2,2)*T1(1,4) - 
+     -  MT(1,d)*MT(4,s)*T(2,2)*T1(1,4) - 
+     -  MT(1,s)*MT(2,d)*T(2,4)*T1(1,4) + 
+     -  MT(1,d)*MT(2,s)*T(2,4)*T1(1,4) - 
+     -  MT(3,s)*MT(4,d)*T(3,1)*T1(1,4) + 
+     -  MT(3,d)*MT(4,s)*T(3,1)*T1(1,4) + 
+     -  MT(1,s)*MT(4,d)*T(3,3)*T1(1,4) - 
+     -  MT(1,d)*MT(4,s)*T(3,3)*T1(1,4) - 
+     -  MT(1,s)*MT(3,d)*T(3,4)*T1(1,4) + 
+     -  MT(1,d)*MT(3,s)*T(3,4)*T1(1,4) - 
+     -  MT(1,s)*MT(2,d)*T(4,2)*T1(1,4) + 
+     -  MT(1,d)*MT(2,s)*T(4,2)*T1(1,4) - 
+     -  MT(1,s)*MT(3,d)*T(4,3)*T1(1,4) + 
+     -  MT(1,d)*MT(3,s)*T(4,3)*T1(1,4) - 
+     -  MT(1,s)*MT(4,d)*T(4,4)*T1(1,4) + 
+     -  MT(1,d)*MT(4,s)*T(4,4)*T1(1,4) - 
+     -  MT(1,s)*MT(2,d)*T(1,1)*T1(2,1) + 
+     -  MT(1,d)*MT(2,s)*T(1,1)*T1(2,1) - 
+     -  MT(2,s)*MT(3,d)*T(1,3)*T1(2,1) + 
+     -  MT(2,d)*MT(3,s)*T(1,3)*T1(2,1) - 
+     -  MT(2,s)*MT(4,d)*T(1,4)*T1(2,1) + 
+     -  MT(2,d)*MT(4,s)*T(1,4)*T1(2,1) + 
+     -  MT(1,s)*MT(2,d)*T(2,2)*T1(2,1) - 
+     -  MT(1,d)*MT(2,s)*T(2,2)*T1(2,1) + 
+     -  MT(1,s)*MT(3,d)*T(2,3)*T1(2,1) - 
+     -  MT(1,d)*MT(3,s)*T(2,3)*T1(2,1) + 
+     -  MT(1,s)*MT(4,d)*T(2,4)*T1(2,1) - 
+     -  MT(1,d)*MT(4,s)*T(2,4)*T1(2,1) - 
+     -  MT(2,s)*MT(3,d)*T(3,1)*T1(2,1) + 
+     -  MT(2,d)*MT(3,s)*T(3,1)*T1(2,1) + 
+     -  MT(1,s)*MT(3,d)*T(3,2)*T1(2,1) - 
+     -  MT(1,d)*MT(3,s)*T(3,2)*T1(2,1) - 
+     -  MT(1,s)*MT(2,d)*T(3,3)*T1(2,1) + 
+     -  MT(1,d)*MT(2,s)*T(3,3)*T1(2,1) - 
+     -  MT(2,s)*MT(4,d)*T(4,1)*T1(2,1) + 
+     -  MT(2,d)*MT(4,s)*T(4,1)*T1(2,1) + 
+     -  MT(1,s)*MT(4,d)*T(4,2)*T1(2,1) - 
+     -  MT(1,d)*MT(4,s)*T(4,2)*T1(2,1) - 
+     -  MT(1,s)*MT(2,d)*T(4,4)*T1(2,1) + 
+     -  MT(1,d)*MT(2,s)*T(4,4)*T1(2,1) + 
+     -  MT(2,s)*MT(3,d)*T(1,1)*T1(2,3) - 
+     -  MT(2,d)*MT(3,s)*T(1,1)*T1(2,3) - 
+     -  MT(1,s)*MT(3,d)*T(1,2)*T1(2,3) + 
+     -  MT(1,d)*MT(3,s)*T(1,2)*T1(2,3) + 
+     -  MT(1,s)*MT(2,d)*T(1,3)*T1(2,3) - 
+     -  MT(1,d)*MT(2,s)*T(1,3)*T1(2,3) - 
+     -  MT(1,s)*MT(3,d)*T(2,1)*T1(2,3) + 
+     -  MT(1,d)*MT(3,s)*T(2,1)*T1(2,3) + 
+     -  MT(2,s)*MT(3,d)*T(2,2)*T1(2,3) - 
+     -  MT(2,d)*MT(3,s)*T(2,2)*T1(2,3) - 
+     -  MT(3,s)*MT(4,d)*T(2,4)*T1(2,3) + 
+     -  MT(3,d)*MT(4,s)*T(2,4)*T1(2,3) + 
+     -  MT(1,s)*MT(2,d)*T(3,1)*T1(2,3) - 
+     -  MT(1,d)*MT(2,s)*T(3,1)*T1(2,3) + 
+     -  MT(2,s)*MT(3,d)*T(3,3)*T1(2,3) - 
+     -  MT(2,d)*MT(3,s)*T(3,3)*T1(2,3) + 
+     -  MT(2,s)*MT(4,d)*T(3,4)*T1(2,3) - 
+     -  MT(2,d)*MT(4,s)*T(3,4)*T1(2,3) - 
+     -  MT(3,s)*MT(4,d)*T(4,2)*T1(2,3) + 
+     -  MT(3,d)*MT(4,s)*T(4,2)*T1(2,3) + 
+     -  MT(2,s)*MT(4,d)*T(4,3)*T1(2,3) - 
+     -  MT(2,d)*MT(4,s)*T(4,3)*T1(2,3) - 
+     -  MT(2,s)*MT(3,d)*T(4,4)*T1(2,3) + 
+     -  MT(2,d)*MT(3,s)*T(4,4)*T1(2,3) + 
+     -  MT(2,s)*MT(4,d)*T(1,1)*T1(2,4) - 
+     -  MT(2,d)*MT(4,s)*T(1,1)*T1(2,4) - 
+     -  MT(1,s)*MT(4,d)*T(1,2)*T1(2,4) + 
+     -  MT(1,d)*MT(4,s)*T(1,2)*T1(2,4) + 
+     -  MT(1,s)*MT(2,d)*T(1,4)*T1(2,4) - 
+     -  MT(1,d)*MT(2,s)*T(1,4)*T1(2,4) - 
+     -  MT(1,s)*MT(4,d)*T(2,1)*T1(2,4) + 
+     -  MT(1,d)*MT(4,s)*T(2,1)*T1(2,4) + 
+     -  MT(2,s)*MT(4,d)*T(2,2)*T1(2,4) - 
+     -  MT(2,d)*MT(4,s)*T(2,2)*T1(2,4) + 
+     -  MT(3,s)*MT(4,d)*T(2,3)*T1(2,4) - 
+     -  MT(3,d)*MT(4,s)*T(2,3)*T1(2,4) + 
+     -  MT(3,s)*MT(4,d)*T(3,2)*T1(2,4) - 
+     -  MT(3,d)*MT(4,s)*T(3,2)*T1(2,4) - 
+     -  MT(2,s)*MT(4,d)*T(3,3)*T1(2,4) + 
+     -  MT(2,d)*MT(4,s)*T(3,3)*T1(2,4) + 
+     -  MT(2,s)*MT(3,d)*T(3,4)*T1(2,4) - 
+     -  MT(2,d)*MT(3,s)*T(3,4)*T1(2,4) + 
+     -  MT(1,s)*MT(2,d)*T(4,1)*T1(2,4) - 
+     -  MT(1,d)*MT(2,s)*T(4,1)*T1(2,4) + 
+     -  MT(2,s)*MT(3,d)*T(4,3)*T1(2,4) - 
+     -  MT(2,d)*MT(3,s)*T(4,3)*T1(2,4) + 
+     -  MT(2,s)*MT(4,d)*T(4,4)*T1(2,4) - 
+     -  MT(2,d)*MT(4,s)*T(4,4)*T1(2,4) - 
+     -  MT(1,s)*MT(3,d)*T(1,1)*T1(3,1) + 
+     -  MT(1,d)*MT(3,s)*T(1,1)*T1(3,1) + 
+     -  MT(2,s)*MT(3,d)*T(1,2)*T1(3,1) - 
+     -  MT(2,d)*MT(3,s)*T(1,2)*T1(3,1) - 
+     -  MT(3,s)*MT(4,d)*T(1,4)*T1(3,1) + 
+     -  MT(3,d)*MT(4,s)*T(1,4)*T1(3,1) + 
+     -  MT(2,s)*MT(3,d)*T(2,1)*T1(3,1) - 
+     -  MT(2,d)*MT(3,s)*T(2,1)*T1(3,1) - 
+     -  MT(1,s)*MT(3,d)*T(2,2)*T1(3,1) + 
+     -  MT(1,d)*MT(3,s)*T(2,2)*T1(3,1) + 
+     -  MT(1,s)*MT(2,d)*T(2,3)*T1(3,1) - 
+     -  MT(1,d)*MT(2,s)*T(2,3)*T1(3,1) + 
+     -  MT(1,s)*MT(2,d)*T(3,2)*T1(3,1) - 
+     -  MT(1,d)*MT(2,s)*T(3,2)*T1(3,1) + 
+     -  MT(1,s)*MT(3,d)*T(3,3)*T1(3,1) - 
+     -  MT(1,d)*MT(3,s)*T(3,3)*T1(3,1) + 
+     -  MT(1,s)*MT(4,d)*T(3,4)*T1(3,1) - 
+     -  MT(1,d)*MT(4,s)*T(3,4)*T1(3,1) - 
+     -  MT(3,s)*MT(4,d)*T(4,1)*T1(3,1) + 
+     -  MT(3,d)*MT(4,s)*T(4,1)*T1(3,1) + 
+     -  MT(1,s)*MT(4,d)*T(4,3)*T1(3,1) - 
+     -  MT(1,d)*MT(4,s)*T(4,3)*T1(3,1) - 
+     -  MT(1,s)*MT(3,d)*T(4,4)*T1(3,1) + 
+     -  MT(1,d)*MT(3,s)*T(4,4)*T1(3,1) - 
+     -  MT(2,s)*MT(3,d)*T(1,1)*T1(3,2) + 
+     -  MT(2,d)*MT(3,s)*T(1,1)*T1(3,2) + 
+     -  MT(1,s)*MT(3,d)*T(1,2)*T1(3,2) - 
+     -  MT(1,d)*MT(3,s)*T(1,2)*T1(3,2) - 
+     -  MT(1,s)*MT(2,d)*T(1,3)*T1(3,2) + 
+     -  MT(1,d)*MT(2,s)*T(1,3)*T1(3,2) + 
+     -  MT(1,s)*MT(3,d)*T(2,1)*T1(3,2) - 
+     -  MT(1,d)*MT(3,s)*T(2,1)*T1(3,2) - 
+     -  MT(2,s)*MT(3,d)*T(2,2)*T1(3,2) + 
+     -  MT(2,d)*MT(3,s)*T(2,2)*T1(3,2) + 
+     -  MT(3,s)*MT(4,d)*T(2,4)*T1(3,2) - 
+     -  MT(3,d)*MT(4,s)*T(2,4)*T1(3,2) - 
+     -  MT(1,s)*MT(2,d)*T(3,1)*T1(3,2) + 
+     -  MT(1,d)*MT(2,s)*T(3,1)*T1(3,2) - 
+     -  MT(2,s)*MT(3,d)*T(3,3)*T1(3,2) + 
+     -  MT(2,d)*MT(3,s)*T(3,3)*T1(3,2) - 
+     -  MT(2,s)*MT(4,d)*T(3,4)*T1(3,2) + 
+     -  MT(2,d)*MT(4,s)*T(3,4)*T1(3,2) + 
+     -  MT(3,s)*MT(4,d)*T(4,2)*T1(3,2) - 
+     -  MT(3,d)*MT(4,s)*T(4,2)*T1(3,2) - 
+     -  MT(2,s)*MT(4,d)*T(4,3)*T1(3,2) + 
+     -  MT(2,d)*MT(4,s)*T(4,3)*T1(3,2) + 
+     -  MT(2,s)*MT(3,d)*T(4,4)*T1(3,2) - 
+     -  MT(2,d)*MT(3,s)*T(4,4)*T1(3,2) + 
+     -  MT(3,s)*MT(4,d)*T(1,1)*T1(3,4) - 
+     -  MT(3,d)*MT(4,s)*T(1,1)*T1(3,4) - 
+     -  MT(1,s)*MT(4,d)*T(1,3)*T1(3,4) + 
+     -  MT(1,d)*MT(4,s)*T(1,3)*T1(3,4) + 
+     -  MT(1,s)*MT(3,d)*T(1,4)*T1(3,4) - 
+     -  MT(1,d)*MT(3,s)*T(1,4)*T1(3,4) - 
+     -  MT(3,s)*MT(4,d)*T(2,2)*T1(3,4) + 
+     -  MT(3,d)*MT(4,s)*T(2,2)*T1(3,4) + 
+     -  MT(2,s)*MT(4,d)*T(2,3)*T1(3,4) - 
+     -  MT(2,d)*MT(4,s)*T(2,3)*T1(3,4) - 
+     -  MT(2,s)*MT(3,d)*T(2,4)*T1(3,4) + 
+     -  MT(2,d)*MT(3,s)*T(2,4)*T1(3,4) - 
+     -  MT(1,s)*MT(4,d)*T(3,1)*T1(3,4) + 
+     -  MT(1,d)*MT(4,s)*T(3,1)*T1(3,4) + 
+     -  MT(2,s)*MT(4,d)*T(3,2)*T1(3,4) - 
+     -  MT(2,d)*MT(4,s)*T(3,2)*T1(3,4) + 
+     -  MT(3,s)*MT(4,d)*T(3,3)*T1(3,4) - 
+     -  MT(3,d)*MT(4,s)*T(3,3)*T1(3,4) + 
+     -  MT(1,s)*MT(3,d)*T(4,1)*T1(3,4) - 
+     -  MT(1,d)*MT(3,s)*T(4,1)*T1(3,4) - 
+     -  MT(2,s)*MT(3,d)*T(4,2)*T1(3,4) + 
+     -  MT(2,d)*MT(3,s)*T(4,2)*T1(3,4) + 
+     -  MT(3,s)*MT(4,d)*T(4,4)*T1(3,4) - 
+     -  MT(3,d)*MT(4,s)*T(4,4)*T1(3,4) - 
+     -  MT(1,s)*MT(4,d)*T(1,1)*T1(4,1) + 
+     -  MT(1,d)*MT(4,s)*T(1,1)*T1(4,1) + 
+     -  MT(2,s)*MT(4,d)*T(1,2)*T1(4,1) - 
+     -  MT(2,d)*MT(4,s)*T(1,2)*T1(4,1) + 
+     -  MT(3,s)*MT(4,d)*T(1,3)*T1(4,1) - 
+     -  MT(3,d)*MT(4,s)*T(1,3)*T1(4,1) + 
+     -  MT(2,s)*MT(4,d)*T(2,1)*T1(4,1) - 
+     -  MT(2,d)*MT(4,s)*T(2,1)*T1(4,1) - 
+     -  MT(1,s)*MT(4,d)*T(2,2)*T1(4,1) + 
+     -  MT(1,d)*MT(4,s)*T(2,2)*T1(4,1) + 
+     -  MT(1,s)*MT(2,d)*T(2,4)*T1(4,1) - 
+     -  MT(1,d)*MT(2,s)*T(2,4)*T1(4,1) + 
+     -  MT(3,s)*MT(4,d)*T(3,1)*T1(4,1) - 
+     -  MT(3,d)*MT(4,s)*T(3,1)*T1(4,1) - 
+     -  MT(1,s)*MT(4,d)*T(3,3)*T1(4,1) + 
+     -  MT(1,d)*MT(4,s)*T(3,3)*T1(4,1) + 
+     -  MT(1,s)*MT(3,d)*T(3,4)*T1(4,1) - 
+     -  MT(1,d)*MT(3,s)*T(3,4)*T1(4,1) + 
+     -  MT(1,s)*MT(2,d)*T(4,2)*T1(4,1) - 
+     -  MT(1,d)*MT(2,s)*T(4,2)*T1(4,1) + 
+     -  MT(1,s)*MT(3,d)*T(4,3)*T1(4,1) - 
+     -  MT(1,d)*MT(3,s)*T(4,3)*T1(4,1) + 
+     -  MT(1,s)*MT(4,d)*T(4,4)*T1(4,1) - 
+     -  MT(1,d)*MT(4,s)*T(4,4)*T1(4,1) - 
+     -  MT(2,s)*MT(4,d)*T(1,1)*T1(4,2) + 
+     -  MT(2,d)*MT(4,s)*T(1,1)*T1(4,2) + 
+     -  MT(1,s)*MT(4,d)*T(1,2)*T1(4,2) - 
+     -  MT(1,d)*MT(4,s)*T(1,2)*T1(4,2) - 
+     -  MT(1,s)*MT(2,d)*T(1,4)*T1(4,2) + 
+     -  MT(1,d)*MT(2,s)*T(1,4)*T1(4,2) + 
+     -  MT(1,s)*MT(4,d)*T(2,1)*T1(4,2) - 
+     -  MT(1,d)*MT(4,s)*T(2,1)*T1(4,2) - 
+     -  MT(2,s)*MT(4,d)*T(2,2)*T1(4,2) + 
+     -  MT(2,d)*MT(4,s)*T(2,2)*T1(4,2) - 
+     -  MT(3,s)*MT(4,d)*T(2,3)*T1(4,2) + 
+     -  MT(3,d)*MT(4,s)*T(2,3)*T1(4,2) - 
+     -  MT(3,s)*MT(4,d)*T(3,2)*T1(4,2) + 
+     -  MT(3,d)*MT(4,s)*T(3,2)*T1(4,2) + 
+     -  MT(2,s)*MT(4,d)*T(3,3)*T1(4,2) - 
+     -  MT(2,d)*MT(4,s)*T(3,3)*T1(4,2) - 
+     -  MT(2,s)*MT(3,d)*T(3,4)*T1(4,2) + 
+     -  MT(2,d)*MT(3,s)*T(3,4)*T1(4,2) - 
+     -  MT(1,s)*MT(2,d)*T(4,1)*T1(4,2) + 
+     -  MT(1,d)*MT(2,s)*T(4,1)*T1(4,2) - 
+     -  MT(2,s)*MT(3,d)*T(4,3)*T1(4,2) + 
+     -  MT(2,d)*MT(3,s)*T(4,3)*T1(4,2) - 
+     -  MT(2,s)*MT(4,d)*T(4,4)*T1(4,2) + 
+     -  MT(2,d)*MT(4,s)*T(4,4)*T1(4,2) - 
+     -  MT(3,s)*MT(4,d)*T(1,1)*T1(4,3) + 
+     -  MT(3,d)*MT(4,s)*T(1,1)*T1(4,3) + 
+     -  MT(1,s)*MT(4,d)*T(1,3)*T1(4,3) - 
+     -  MT(1,d)*MT(4,s)*T(1,3)*T1(4,3) - 
+     -  MT(1,s)*MT(3,d)*T(1,4)*T1(4,3) + 
+     -  MT(1,d)*MT(3,s)*T(1,4)*T1(4,3) + 
+     -  MT(3,s)*MT(4,d)*T(2,2)*T1(4,3) - 
+     -  MT(3,d)*MT(4,s)*T(2,2)*T1(4,3) - 
+     -  MT(2,s)*MT(4,d)*T(2,3)*T1(4,3) + 
+     -  MT(2,d)*MT(4,s)*T(2,3)*T1(4,3) + 
+     -  MT(2,s)*MT(3,d)*T(2,4)*T1(4,3) - 
+     -  MT(2,d)*MT(3,s)*T(2,4)*T1(4,3) + 
+     -  MT(1,s)*MT(4,d)*T(3,1)*T1(4,3) - 
+     -  MT(1,d)*MT(4,s)*T(3,1)*T1(4,3) - 
+     -  MT(2,s)*MT(4,d)*T(3,2)*T1(4,3) + 
+     -  MT(2,d)*MT(4,s)*T(3,2)*T1(4,3) - 
+     -  MT(3,s)*MT(4,d)*T(3,3)*T1(4,3) + 
+     -  MT(3,d)*MT(4,s)*T(3,3)*T1(4,3) - 
+     -  MT(1,s)*MT(3,d)*T(4,1)*T1(4,3) + 
+     -  MT(1,d)*MT(3,s)*T(4,1)*T1(4,3) + 
+     -  MT(2,s)*MT(3,d)*T(4,2)*T1(4,3) - 
+     -  MT(2,d)*MT(3,s)*T(4,2)*T1(4,3) - 
+     -  MT(3,s)*MT(4,d)*T(4,4)*T1(4,3) + 
+     -  MT(3,d)*MT(4,s)*T(4,4)*T1(4,3)
+           enddo
+         enddo
+       
+
+         do s=1,4
+           do d=1,4
+          T2(s,d)=-T2(s,d)*gt
+           enddo
+         enddo
+         
+      wt2(1) = T2(1,1)
+      wt2(2) = T2(1,2)
+      wt2(3) = T2(1,3)
+      wt2(4) = T2(1,4)
+      wt2(5) = T2(2,1)
+      wt2(6) = T2(2,2)
+      wt2(7) = T2(2,3)
+      wt2(8) = T2(2,4)
+      wt2(9) = T2(3,1)
+      wt2(10) = T2(3,2)
+      wt2(11) = T2(3,3)
+      wt2(12) = T2(3,4)
+      wt2(13) = T2(4,1)
+      wt2(14) = T2(4,2)
+      wt2(15) = T2(4,3)
+      wt2(16) = T2(4,4)
+      wt2(17) = T2(5,1)
+      wt2(18) = T2(6,1)
+
+      return
+      end

=== added file 'HELAS/uttBxx.F'
--- HELAS/uttBxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/uttBxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,834 @@
+      subroutine uttbxx(wt1,wt2,gt,tmass,twidth,wt)
+c-------------------CP3  2009.10-----------------
+c
+c This subroutine computes an off-shell tensor current from 
+c the coupling of two non-propagating tensor bosons.
+c
+c input:
+c       complex wt1(18)           : input non-propagating tensor                                                       t
+c       complex wt2(18)         :  input non-propagating tensor                      T
+c       complex gt             : coupling constant         gt=-1/Lambda
+c output:
+c       complex wt(18)         :  tensor 
+
+      implicit none
+      double complex wt(18), wt1(18), gt, wt2(18)
+      double precision pT(4),pT2,tmass,twidth
+      double complex T(6,4),T1(6,4),T2(6,4),d
+      double precision MT(4,4)
+      integer i, j,m,n
+      double complex cZero
+      double precision rZero, rTwo
+      parameter( rZero = 0.0d0, rTwo = 2.0d0 )
+      parameter( cZero = ( 0.0d0, 0.0d0 ) )
+
+
+      T2(1,1) = wt2(1)
+      T2(1,2) = wt2(2)
+      T2(1,3) = wt2(3)
+      T2(1,4) = wt2(4)
+      T2(2,1) = wt2(5)
+      T2(2,2) = wt2(6)
+      T2(2,3) = wt2(7)
+      T2(2,4) = wt2(8)
+      T2(3,1) = wt2(9)
+      T2(3,2) = wt2(10)
+      T2(3,3) = wt2(11)
+      T2(3,4) = wt2(12)
+      T2(4,1) = wt2(13)
+      T2(4,2) = wt2(14)
+      T2(4,3) = wt2(15)
+      T2(4,4) = wt2(16)
+      T2(5,1) = wt2(17)
+      T2(6,1) = wt2(18)
+ 
+      T1(1,1) = wt1(1)
+      T1(1,2) = wt1(2)
+      T1(1,3) = wt1(3)
+      T1(1,4) = wt1(4)
+      T1(2,1) = wt1(5)
+      T1(2,2) = wt1(6)
+      T1(2,3) = wt1(7)
+      T1(2,4) = wt1(8)
+      T1(3,1) = wt1(9)
+      T1(3,2) = wt1(10)
+      T1(3,3) = wt1(11)
+      T1(3,4) = wt1(12)
+      T1(4,1) = wt1(13)
+      T1(4,2) = wt1(14)
+      T1(4,3) = wt1(15)
+      T1(4,4) = wt1(16)
+      T1(5,1) = wt1(17)
+      T1(6,1) = wt1(18)
+
+      T(5,1) = T2(5,1)+T1(5,1)
+      T(6,1) = T2(6,1)+T1(6,1)
+
+
+      do i=1,4
+         do j=1,4
+            MT(i,j) = 0.0d0
+         enddo 
+      enddo
+      MT(1,1) =  1.0d0
+      MT(2,2) = -1.0d0
+      MT(3,3) = -1.0d0
+      MT(4,4) = -1.0d0
+      
+    
+	
+         do m=1,4
+           do n=1,4
+
+          T(m,n)= -((2*MT(1,m)*MT(1,n)
+     -   - (2*MT(m,n))/3.)*T1(1,2)*T2(1,2)) + 
+     -  (2*MT(2,m)*MT(2,n) + (2*MT(m,n))/3.)*T1(1,2)*T2(1,2) - 
+     -  (2*MT(3,m)*MT(3,n) + (2*MT(m,n))/3.)*T1(1,2)*T2(1,2) - 
+     -  (2*MT(4,m)*MT(4,n) + (2*MT(m,n))/3.)*T1(1,2)*T2(1,2) + 
+     -  2*(MT(2,n)*MT(3,m) + MT(2,m)*MT(3,n))*T1(1,3)*T2(1,2) + 
+     -  2*(MT(2,n)*MT(4,m) + MT(2,m)*MT(4,n))*T1(1,4)*T2(1,2) + 
+     -  (2*MT(1,m)*MT(1,n) - (2*MT(m,n))/3.)*T1(2,1)*T2(1,2) - 
+     -  (2*MT(2,m)*MT(2,n) + (2*MT(m,n))/3.)*T1(2,1)*T2(1,2) + 
+     -  (2*MT(3,m)*MT(3,n) + (2*MT(m,n))/3.)*T1(2,1)*T2(1,2) + 
+     -  (2*MT(4,m)*MT(4,n) + (2*MT(m,n))/3.)*T1(2,1)*T2(1,2) - 
+     -  2*(MT(1,n)*MT(3,m) + MT(1,m)*MT(3,n))*T1(2,3)*T2(1,2) - 
+     -  2*(MT(1,n)*MT(4,m) + MT(1,m)*MT(4,n))*T1(2,4)*T2(1,2) - 
+     -  2*(MT(2,n)*MT(3,m) + MT(2,m)*MT(3,n))*T1(3,1)*T2(1,2) + 
+     -  2*(MT(1,n)*MT(3,m) + MT(1,m)*MT(3,n))*T1(3,2)*T2(1,2) - 
+     -  2*(MT(2,n)*MT(4,m) + MT(2,m)*MT(4,n))*T1(4,1)*T2(1,2) + 
+     -  2*(MT(1,n)*MT(4,m) + MT(1,m)*MT(4,n))*T1(4,2)*T2(1,2) + 
+     -  2*(MT(2,n)*MT(3,m) + MT(2,m)*MT(3,n))*T1(1,2)*T2(1,3) - 
+     -  (2*MT(1,m)*MT(1,n) - (2*MT(m,n))/3.)*T1(1,3)*T2(1,3) - 
+     -  (2*MT(2,m)*MT(2,n) + (2*MT(m,n))/3.)*T1(1,3)*T2(1,3) + 
+     -  (2*MT(3,m)*MT(3,n) + (2*MT(m,n))/3.)*T1(1,3)*T2(1,3) - 
+     -  (2*MT(4,m)*MT(4,n) + (2*MT(m,n))/3.)*T1(1,3)*T2(1,3) + 
+     -  2*(MT(3,n)*MT(4,m) + MT(3,m)*MT(4,n))*T1(1,4)*T2(1,3) - 
+     -  2*(MT(2,n)*MT(3,m) + MT(2,m)*MT(3,n))*T1(2,1)*T2(1,3) + 
+     -  2*(MT(1,n)*MT(2,m) + MT(1,m)*MT(2,n))*T1(2,3)*T2(1,3) + 
+     -  (2*MT(1,m)*MT(1,n) - (2*MT(m,n))/3.)*T1(3,1)*T2(1,3) + 
+     -  (2*MT(2,m)*MT(2,n) + (2*MT(m,n))/3.)*T1(3,1)*T2(1,3) - 
+     -  (2*MT(3,m)*MT(3,n) + (2*MT(m,n))/3.)*T1(3,1)*T2(1,3) + 
+     -  (2*MT(4,m)*MT(4,n) + (2*MT(m,n))/3.)*T1(3,1)*T2(1,3) - 
+     -  2*(MT(1,n)*MT(2,m) + MT(1,m)*MT(2,n))*T1(3,2)*T2(1,3) - 
+     -  2*(MT(1,n)*MT(4,m) + MT(1,m)*MT(4,n))*T1(3,4)*T2(1,3) - 
+     -  2*(MT(3,n)*MT(4,m) + MT(3,m)*MT(4,n))*T1(4,1)*T2(1,3) + 
+     -  2*(MT(1,n)*MT(4,m) + MT(1,m)*MT(4,n))*T1(4,3)*T2(1,3) + 
+     -  2*(MT(2,n)*MT(4,m) + MT(2,m)*MT(4,n))*T1(1,2)*T2(1,4) + 
+     -  2*(MT(3,n)*MT(4,m) + MT(3,m)*MT(4,n))*T1(1,3)*T2(1,4) - 
+     -  (2*MT(1,m)*MT(1,n) - (2*MT(m,n))/3.)*T1(1,4)*T2(1,4) - 
+     -  (2*MT(2,m)*MT(2,n) + (2*MT(m,n))/3.)*T1(1,4)*T2(1,4) - 
+     -  (2*MT(3,m)*MT(3,n) + (2*MT(m,n))/3.)*T1(1,4)*T2(1,4) + 
+     -  (2*MT(4,m)*MT(4,n) + (2*MT(m,n))/3.)*T1(1,4)*T2(1,4) - 
+     -  2*(MT(2,n)*MT(4,m) + MT(2,m)*MT(4,n))*T1(2,1)*T2(1,4) + 
+     -  2*(MT(1,n)*MT(2,m) + MT(1,m)*MT(2,n))*T1(2,4)*T2(1,4) - 
+     -  2*(MT(3,n)*MT(4,m) + MT(3,m)*MT(4,n))*T1(3,1)*T2(1,4) + 
+     -  2*(MT(1,n)*MT(3,m) + MT(1,m)*MT(3,n))*T1(3,4)*T2(1,4) + 
+     -  (2*MT(1,m)*MT(1,n) - (2*MT(m,n))/3.)*T1(4,1)*T2(1,4) + 
+     -  (2*MT(2,m)*MT(2,n) + (2*MT(m,n))/3.)*T1(4,1)*T2(1,4) + 
+     -  (2*MT(3,m)*MT(3,n) + (2*MT(m,n))/3.)*T1(4,1)*T2(1,4) - 
+     -  (2*MT(4,m)*MT(4,n) + (2*MT(m,n))/3.)*T1(4,1)*T2(1,4) - 
+     -  2*(MT(1,n)*MT(2,m) + MT(1,m)*MT(2,n))*T1(4,2)*T2(1,4) - 
+     -  2*(MT(1,n)*MT(3,m) + MT(1,m)*MT(3,n))*T1(4,3)*T2(1,4) + 
+     -  (2*MT(1,m)*MT(1,n) - (2*MT(m,n))/3.)*T1(1,2)*T2(2,1) - 
+     -  (2*MT(2,m)*MT(2,n) + (2*MT(m,n))/3.)*T1(1,2)*T2(2,1) + 
+     -  (2*MT(3,m)*MT(3,n) + (2*MT(m,n))/3.)*T1(1,2)*T2(2,1) + 
+     -  (2*MT(4,m)*MT(4,n) + (2*MT(m,n))/3.)*T1(1,2)*T2(2,1) - 
+     -  2*(MT(2,n)*MT(3,m) + MT(2,m)*MT(3,n))*T1(1,3)*T2(2,1) - 
+     -  2*(MT(2,n)*MT(4,m) + MT(2,m)*MT(4,n))*T1(1,4)*T2(2,1) - 
+     -  (2*MT(1,m)*MT(1,n) - (2*MT(m,n))/3.)*T1(2,1)*T2(2,1) + 
+     -  (2*MT(2,m)*MT(2,n) + (2*MT(m,n))/3.)*T1(2,1)*T2(2,1) - 
+     -  (2*MT(3,m)*MT(3,n) + (2*MT(m,n))/3.)*T1(2,1)*T2(2,1) - 
+     -  (2*MT(4,m)*MT(4,n) + (2*MT(m,n))/3.)*T1(2,1)*T2(2,1) + 
+     -  2*(MT(1,n)*MT(3,m) + MT(1,m)*MT(3,n))*T1(2,3)*T2(2,1) + 
+     -  2*(MT(1,n)*MT(4,m) + MT(1,m)*MT(4,n))*T1(2,4)*T2(2,1) + 
+     -  2*(MT(2,n)*MT(3,m) + MT(2,m)*MT(3,n))*T1(3,1)*T2(2,1) - 
+     -  2*(MT(1,n)*MT(3,m) + MT(1,m)*MT(3,n))*T1(3,2)*T2(2,1) + 
+     -  2*(MT(2,n)*MT(4,m) + MT(2,m)*MT(4,n))*T1(4,1)*T2(2,1) - 
+     -  2*(MT(1,n)*MT(4,m) + MT(1,m)*MT(4,n))*T1(4,2)*T2(2,1) - 
+     -  2*(MT(1,n)*MT(3,m) + MT(1,m)*MT(3,n))*T1(1,2)*T2(2,3) + 
+     -  2*(MT(1,n)*MT(2,m) + MT(1,m)*MT(2,n))*T1(1,3)*T2(2,3) + 
+     -  2*(MT(1,n)*MT(3,m) + MT(1,m)*MT(3,n))*T1(2,1)*T2(2,3) - 
+     -  (2*MT(1,m)*MT(1,n) - (2*MT(m,n))/3.)*T1(2,3)*T2(2,3) - 
+     -  (2*MT(2,m)*MT(2,n) + (2*MT(m,n))/3.)*T1(2,3)*T2(2,3) - 
+     -  (2*MT(3,m)*MT(3,n) + (2*MT(m,n))/3.)*T1(2,3)*T2(2,3) + 
+     -  (2*MT(4,m)*MT(4,n) + (2*MT(m,n))/3.)*T1(2,3)*T2(2,3) - 
+     -  2*(MT(3,n)*MT(4,m) + MT(3,m)*MT(4,n))*T1(2,4)*T2(2,3) - 
+     -  2*(MT(1,n)*MT(2,m) + MT(1,m)*MT(2,n))*T1(3,1)*T2(2,3) + 
+     -  (2*MT(1,m)*MT(1,n) - (2*MT(m,n))/3.)*T1(3,2)*T2(2,3) + 
+     -  (2*MT(2,m)*MT(2,n) + (2*MT(m,n))/3.)*T1(3,2)*T2(2,3) + 
+     -  (2*MT(3,m)*MT(3,n) + (2*MT(m,n))/3.)*T1(3,2)*T2(2,3) - 
+     -  (2*MT(4,m)*MT(4,n) + (2*MT(m,n))/3.)*T1(3,2)*T2(2,3) + 
+     -  2*(MT(2,n)*MT(4,m) + MT(2,m)*MT(4,n))*T1(3,4)*T2(2,3) + 
+     -  2*(MT(3,n)*MT(4,m) + MT(3,m)*MT(4,n))*T1(4,2)*T2(2,3) - 
+     -  2*(MT(2,n)*MT(4,m) + MT(2,m)*MT(4,n))*T1(4,3)*T2(2,3) - 
+     -  2*(MT(1,n)*MT(4,m) + MT(1,m)*MT(4,n))*T1(1,2)*T2(2,4) + 
+     -  2*(MT(1,n)*MT(2,m) + MT(1,m)*MT(2,n))*T1(1,4)*T2(2,4) + 
+     -  2*(MT(1,n)*MT(4,m) + MT(1,m)*MT(4,n))*T1(2,1)*T2(2,4) - 
+     -  2*(MT(3,n)*MT(4,m) + MT(3,m)*MT(4,n))*T1(2,3)*T2(2,4) - 
+     -  (2*MT(1,m)*MT(1,n) - (2*MT(m,n))/3.)*T1(2,4)*T2(2,4) - 
+     -  (2*MT(2,m)*MT(2,n) + (2*MT(m,n))/3.)*T1(2,4)*T2(2,4) + 
+     -  (2*MT(3,m)*MT(3,n) + (2*MT(m,n))/3.)*T1(2,4)*T2(2,4) - 
+     -  (2*MT(4,m)*MT(4,n) + (2*MT(m,n))/3.)*T1(2,4)*T2(2,4) + 
+     -  2*(MT(3,n)*MT(4,m) + MT(3,m)*MT(4,n))*T1(3,2)*T2(2,4) - 
+     -  2*(MT(2,n)*MT(3,m) + MT(2,m)*MT(3,n))*T1(3,4)*T2(2,4) - 
+     -  2*(MT(1,n)*MT(2,m) + MT(1,m)*MT(2,n))*T1(4,1)*T2(2,4) + 
+     -  (2*MT(1,m)*MT(1,n) - (2*MT(m,n))/3.)*T1(4,2)*T2(2,4) + 
+     -  (2*MT(2,m)*MT(2,n) + (2*MT(m,n))/3.)*T1(4,2)*T2(2,4) - 
+     -  (2*MT(3,m)*MT(3,n) + (2*MT(m,n))/3.)*T1(4,2)*T2(2,4) + 
+     -  (2*MT(4,m)*MT(4,n) + (2*MT(m,n))/3.)*T1(4,2)*T2(2,4) + 
+     -  2*(MT(2,n)*MT(3,m) + MT(2,m)*MT(3,n))*T1(4,3)*T2(2,4) - 
+     -  2*(MT(2,n)*MT(3,m) + MT(2,m)*MT(3,n))*T1(1,2)*T2(3,1) + 
+     -  (2*MT(1,m)*MT(1,n) - (2*MT(m,n))/3.)*T1(1,3)*T2(3,1) + 
+     -  (2*MT(2,m)*MT(2,n) + (2*MT(m,n))/3.)*T1(1,3)*T2(3,1) - 
+     -  (2*MT(3,m)*MT(3,n) + (2*MT(m,n))/3.)*T1(1,3)*T2(3,1) + 
+     -  (2*MT(4,m)*MT(4,n) + (2*MT(m,n))/3.)*T1(1,3)*T2(3,1) - 
+     -  2*(MT(3,n)*MT(4,m) + MT(3,m)*MT(4,n))*T1(1,4)*T2(3,1) + 
+     -  2*(MT(2,n)*MT(3,m) + MT(2,m)*MT(3,n))*T1(2,1)*T2(3,1) - 
+     -  2*(MT(1,n)*MT(2,m) + MT(1,m)*MT(2,n))*T1(2,3)*T2(3,1) - 
+     -  (2*MT(1,m)*MT(1,n) - (2*MT(m,n))/3.)*T1(3,1)*T2(3,1) - 
+     -  (2*MT(2,m)*MT(2,n) + (2*MT(m,n))/3.)*T1(3,1)*T2(3,1) + 
+     -  (2*MT(3,m)*MT(3,n) + (2*MT(m,n))/3.)*T1(3,1)*T2(3,1) - 
+     -  (2*MT(4,m)*MT(4,n) + (2*MT(m,n))/3.)*T1(3,1)*T2(3,1) + 
+     -  2*(MT(1,n)*MT(2,m) + MT(1,m)*MT(2,n))*T1(3,2)*T2(3,1) + 
+     -  2*(MT(1,n)*MT(4,m) + MT(1,m)*MT(4,n))*T1(3,4)*T2(3,1) + 
+     -  2*(MT(3,n)*MT(4,m) + MT(3,m)*MT(4,n))*T1(4,1)*T2(3,1) - 
+     -  2*(MT(1,n)*MT(4,m) + MT(1,m)*MT(4,n))*T1(4,3)*T2(3,1) + 
+     -  2*(MT(1,n)*MT(3,m) + MT(1,m)*MT(3,n))*T1(1,2)*T2(3,2) - 
+     -  2*(MT(1,n)*MT(2,m) + MT(1,m)*MT(2,n))*T1(1,3)*T2(3,2) - 
+     -  2*(MT(1,n)*MT(3,m) + MT(1,m)*MT(3,n))*T1(2,1)*T2(3,2) + 
+     -  (2*MT(1,m)*MT(1,n) - (2*MT(m,n))/3.)*T1(2,3)*T2(3,2) + 
+     -  (2*MT(2,m)*MT(2,n) + (2*MT(m,n))/3.)*T1(2,3)*T2(3,2) + 
+     -  (2*MT(3,m)*MT(3,n) + (2*MT(m,n))/3.)*T1(2,3)*T2(3,2) - 
+     -  (2*MT(4,m)*MT(4,n) + (2*MT(m,n))/3.)*T1(2,3)*T2(3,2) + 
+     -  2*(MT(3,n)*MT(4,m) + MT(3,m)*MT(4,n))*T1(2,4)*T2(3,2) + 
+     -  2*(MT(1,n)*MT(2,m) + MT(1,m)*MT(2,n))*T1(3,1)*T2(3,2) - 
+     -  (2*MT(1,m)*MT(1,n) - (2*MT(m,n))/3.)*T1(3,2)*T2(3,2) - 
+     -  (2*MT(2,m)*MT(2,n) + (2*MT(m,n))/3.)*T1(3,2)*T2(3,2) - 
+     -  (2*MT(3,m)*MT(3,n) + (2*MT(m,n))/3.)*T1(3,2)*T2(3,2) + 
+     -  (2*MT(4,m)*MT(4,n) + (2*MT(m,n))/3.)*T1(3,2)*T2(3,2) - 
+     -  2*(MT(2,n)*MT(4,m) + MT(2,m)*MT(4,n))*T1(3,4)*T2(3,2) - 
+     -  2*(MT(3,n)*MT(4,m) + MT(3,m)*MT(4,n))*T1(4,2)*T2(3,2) + 
+     -  2*(MT(2,n)*MT(4,m) + MT(2,m)*MT(4,n))*T1(4,3)*T2(3,2) - 
+     -  2*(MT(1,n)*MT(4,m) + MT(1,m)*MT(4,n))*T1(1,3)*T2(3,4) + 
+     -  2*(MT(1,n)*MT(3,m) + MT(1,m)*MT(3,n))*T1(1,4)*T2(3,4) + 
+     -  2*(MT(2,n)*MT(4,m) + MT(2,m)*MT(4,n))*T1(2,3)*T2(3,4) - 
+     -  2*(MT(2,n)*MT(3,m) + MT(2,m)*MT(3,n))*T1(2,4)*T2(3,4) + 
+     -  2*(MT(1,n)*MT(4,m) + MT(1,m)*MT(4,n))*T1(3,1)*T2(3,4) - 
+     -  2*(MT(2,n)*MT(4,m) + MT(2,m)*MT(4,n))*T1(3,2)*T2(3,4) - 
+     -  (2*MT(1,m)*MT(1,n) - (2*MT(m,n))/3.)*T1(3,4)*T2(3,4) + 
+     -  (2*MT(2,m)*MT(2,n) + (2*MT(m,n))/3.)*T1(3,4)*T2(3,4) - 
+     -  (2*MT(3,m)*MT(3,n) + (2*MT(m,n))/3.)*T1(3,4)*T2(3,4) - 
+     -  (2*MT(4,m)*MT(4,n) + (2*MT(m,n))/3.)*T1(3,4)*T2(3,4) - 
+     -  2*(MT(1,n)*MT(3,m) + MT(1,m)*MT(3,n))*T1(4,1)*T2(3,4) + 
+     -  2*(MT(2,n)*MT(3,m) + MT(2,m)*MT(3,n))*T1(4,2)*T2(3,4) + 
+     -  (2*MT(1,m)*MT(1,n) - (2*MT(m,n))/3.)*T1(4,3)*T2(3,4) - 
+     -  (2*MT(2,m)*MT(2,n) + (2*MT(m,n))/3.)*T1(4,3)*T2(3,4) + 
+     -  (2*MT(3,m)*MT(3,n) + (2*MT(m,n))/3.)*T1(4,3)*T2(3,4) + 
+     -  (2*MT(4,m)*MT(4,n) + (2*MT(m,n))/3.)*T1(4,3)*T2(3,4) - 
+     -  2*(MT(2,n)*MT(4,m) + MT(2,m)*MT(4,n))*T1(1,2)*T2(4,1) - 
+     -  2*(MT(3,n)*MT(4,m) + MT(3,m)*MT(4,n))*T1(1,3)*T2(4,1) + 
+     -  (2*MT(1,m)*MT(1,n) - (2*MT(m,n))/3.)*T1(1,4)*T2(4,1) + 
+     -  (2*MT(2,m)*MT(2,n) + (2*MT(m,n))/3.)*T1(1,4)*T2(4,1) + 
+     -  (2*MT(3,m)*MT(3,n) + (2*MT(m,n))/3.)*T1(1,4)*T2(4,1) - 
+     -  (2*MT(4,m)*MT(4,n) + (2*MT(m,n))/3.)*T1(1,4)*T2(4,1) + 
+     -  2*(MT(2,n)*MT(4,m) + MT(2,m)*MT(4,n))*T1(2,1)*T2(4,1) - 
+     -  2*(MT(1,n)*MT(2,m) + MT(1,m)*MT(2,n))*T1(2,4)*T2(4,1) + 
+     -  2*(MT(3,n)*MT(4,m) + MT(3,m)*MT(4,n))*T1(3,1)*T2(4,1) - 
+     -  2*(MT(1,n)*MT(3,m) + MT(1,m)*MT(3,n))*T1(3,4)*T2(4,1) - 
+     -  (2*MT(1,m)*MT(1,n) - (2*MT(m,n))/3.)*T1(4,1)*T2(4,1) - 
+     -  (2*MT(2,m)*MT(2,n) + (2*MT(m,n))/3.)*T1(4,1)*T2(4,1) - 
+     -  (2*MT(3,m)*MT(3,n) + (2*MT(m,n))/3.)*T1(4,1)*T2(4,1) + 
+     -  (2*MT(4,m)*MT(4,n) + (2*MT(m,n))/3.)*T1(4,1)*T2(4,1) + 
+     -  2*(MT(1,n)*MT(2,m) + MT(1,m)*MT(2,n))*T1(4,2)*T2(4,1) + 
+     -  2*(MT(1,n)*MT(3,m) + MT(1,m)*MT(3,n))*T1(4,3)*T2(4,1) + 
+     -  2*(MT(1,n)*MT(4,m) + MT(1,m)*MT(4,n))*T1(1,2)*T2(4,2) - 
+     -  2*(MT(1,n)*MT(2,m) + MT(1,m)*MT(2,n))*T1(1,4)*T2(4,2) - 
+     -  2*(MT(1,n)*MT(4,m) + MT(1,m)*MT(4,n))*T1(2,1)*T2(4,2) + 
+     -  2*(MT(3,n)*MT(4,m) + MT(3,m)*MT(4,n))*T1(2,3)*T2(4,2) + 
+     -  (2*MT(1,m)*MT(1,n) - (2*MT(m,n))/3.)*T1(2,4)*T2(4,2) + 
+     -  (2*MT(2,m)*MT(2,n) + (2*MT(m,n))/3.)*T1(2,4)*T2(4,2) - 
+     -  (2*MT(3,m)*MT(3,n) + (2*MT(m,n))/3.)*T1(2,4)*T2(4,2) + 
+     -  (2*MT(4,m)*MT(4,n) + (2*MT(m,n))/3.)*T1(2,4)*T2(4,2) - 
+     -  2*(MT(3,n)*MT(4,m) + MT(3,m)*MT(4,n))*T1(3,2)*T2(4,2) + 
+     -  2*(MT(2,n)*MT(3,m) + MT(2,m)*MT(3,n))*T1(3,4)*T2(4,2) + 
+     -  2*(MT(1,n)*MT(2,m) + MT(1,m)*MT(2,n))*T1(4,1)*T2(4,2) - 
+     -  (2*MT(1,m)*MT(1,n) - (2*MT(m,n))/3.)*T1(4,2)*T2(4,2) - 
+     -  (2*MT(2,m)*MT(2,n) + (2*MT(m,n))/3.)*T1(4,2)*T2(4,2) + 
+     -  (2*MT(3,m)*MT(3,n) + (2*MT(m,n))/3.)*T1(4,2)*T2(4,2) - 
+     -  (2*MT(4,m)*MT(4,n) + (2*MT(m,n))/3.)*T1(4,2)*T2(4,2) - 
+     -  2*(MT(2,n)*MT(3,m) + MT(2,m)*MT(3,n))*T1(4,3)*T2(4,2) + 
+     -  2*(MT(1,n)*MT(4,m) + MT(1,m)*MT(4,n))*T1(1,3)*T2(4,3) - 
+     -  2*(MT(1,n)*MT(3,m) + MT(1,m)*MT(3,n))*T1(1,4)*T2(4,3) - 
+     -  2*(MT(2,n)*MT(4,m) + MT(2,m)*MT(4,n))*T1(2,3)*T2(4,3) + 
+     -  2*(MT(2,n)*MT(3,m) + MT(2,m)*MT(3,n))*T1(2,4)*T2(4,3) - 
+     -  2*(MT(1,n)*MT(4,m) + MT(1,m)*MT(4,n))*T1(3,1)*T2(4,3) + 
+     -  2*(MT(2,n)*MT(4,m) + MT(2,m)*MT(4,n))*T1(3,2)*T2(4,3) + 
+     -  (2*MT(1,m)*MT(1,n) - (2*MT(m,n))/3.)*T1(3,4)*T2(4,3) - 
+     -  (2*MT(2,m)*MT(2,n) + (2*MT(m,n))/3.)*T1(3,4)*T2(4,3) + 
+     -  (2*MT(3,m)*MT(3,n) + (2*MT(m,n))/3.)*T1(3,4)*T2(4,3) + 
+     -  (2*MT(4,m)*MT(4,n) + (2*MT(m,n))/3.)*T1(3,4)*T2(4,3) + 
+     -  2*(MT(1,n)*MT(3,m) + MT(1,m)*MT(3,n))*T1(4,1)*T2(4,3) - 
+     -  2*(MT(2,n)*MT(3,m) + MT(2,m)*MT(3,n))*T1(4,2)*T2(4,3) - 
+     -  (2*MT(1,m)*MT(1,n) - (2*MT(m,n))/3.)*T1(4,3)*T2(4,3) + 
+     -  (2*MT(2,m)*MT(2,n) + (2*MT(m,n))/3.)*T1(4,3)*T2(4,3) - 
+     -  (2*MT(3,m)*MT(3,n) + (2*MT(m,n))/3.)*T1(4,3)*T2(4,3) - 
+     -  (2*MT(4,m)*MT(4,n) + (2*MT(m,n))/3.)*T1(4,3)*T2(4,3)
+           enddo
+         enddo
+       
+       pT(1) = dreal(T(5,1))
+       pT(2) = dreal(T(6,1))
+       pT(3) = dimag(T(6,1))
+       pT(4) = dimag(T(5,1))
+       pT2 = pT(1)**2-pT(2)**2-pT(3)**2-pT(4)**2
+
+
+         do m=1,4
+           do n=1,4
+          T(m,n)=T(m,n)
+     - +((-2*(-(pT(1)*pT(n)*MT(1,m)) - pT(1)*pT(m)*MT(1,n)) + 
+     -     (2*(-(pT(m)*pT(n)) - pT(1)**2*MT(m,n)))/3.)*T1(1,2)*
+     -   T2(1,2) + (2*(-(pT(2)*pT(n)*MT(2,m)) - 
+     -        pT(2)*pT(m)*MT(2,n)) - 
+     -     (2*(pT(m)*pT(n) - pT(2)**2*MT(m,n)))/3.)*T1(1,2)*T2(1,2)
+     -   + (-2*(-(pT(3)*pT(n)*MT(3,m)) - pT(3)*pT(m)*MT(3,n)) + 
+     -     (2*(pT(m)*pT(n) - pT(3)**2*MT(m,n)))/3.)*T1(1,2)*T2(1,2)
+     -   + (-2*(-(pT(4)*pT(n)*MT(4,m)) - pT(4)*pT(m)*MT(4,n)) + 
+     -     (2*(pT(m)*pT(n) - pT(4)**2*MT(m,n)))/3.)*T1(1,2)*T2(1,2)
+     -   + 2*(-(pT(3)*pT(n)*MT(2,m)) - pT(3)*pT(m)*MT(2,n) - 
+     -     pT(2)*pT(n)*MT(3,m) - pT(2)*pT(m)*MT(3,n) + 
+     -     (2*pT(2)*pT(3)*MT(m,n))/3.)*T1(1,3)*T2(1,2) + 
+     -  2*(-(pT(4)*pT(n)*MT(2,m)) - pT(4)*pT(m)*MT(2,n) - 
+     -     pT(2)*pT(n)*MT(4,m) - pT(2)*pT(m)*MT(4,n) + 
+     -     (2*pT(2)*pT(4)*MT(m,n))/3.)*T1(1,4)*T2(1,2) + 
+     -  (2*(-(pT(1)*pT(n)*MT(1,m)) - pT(1)*pT(m)*MT(1,n)) - 
+     -     (2*(-(pT(m)*pT(n)) - pT(1)**2*MT(m,n)))/3.)*T1(2,1)*
+     -   T2(1,2) + (-2*(-(pT(2)*pT(n)*MT(2,m)) - 
+     -        pT(2)*pT(m)*MT(2,n)) + 
+     -     (2*(pT(m)*pT(n) - pT(2)**2*MT(m,n)))/3.)*T1(2,1)*T2(1,2)
+     -   + (2*(-(pT(3)*pT(n)*MT(3,m)) - pT(3)*pT(m)*MT(3,n)) - 
+     -     (2*(pT(m)*pT(n) - pT(3)**2*MT(m,n)))/3.)*T1(2,1)*T2(1,2)
+     -   + (2*(-(pT(4)*pT(n)*MT(4,m)) - pT(4)*pT(m)*MT(4,n)) - 
+     -     (2*(pT(m)*pT(n) - pT(4)**2*MT(m,n)))/3.)*T1(2,1)*T2(1,2)
+     -   - 2*(-(pT(3)*pT(n)*MT(1,m)) - pT(3)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(3,m) - pT(1)*pT(m)*MT(3,n) + 
+     -     (2*pT(1)*pT(3)*MT(m,n))/3.)*T1(2,3)*T2(1,2) - 
+     -  2*(-(pT(4)*pT(n)*MT(1,m)) - pT(4)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(4,m) - pT(1)*pT(m)*MT(4,n) + 
+     -     (2*pT(1)*pT(4)*MT(m,n))/3.)*T1(2,4)*T2(1,2) - 
+     -  2*(-(pT(3)*pT(n)*MT(2,m)) - pT(3)*pT(m)*MT(2,n) - 
+     -     pT(2)*pT(n)*MT(3,m) - pT(2)*pT(m)*MT(3,n) + 
+     -     (2*pT(2)*pT(3)*MT(m,n))/3.)*T1(3,1)*T2(1,2) + 
+     -  2*(-(pT(3)*pT(n)*MT(1,m)) - pT(3)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(3,m) - pT(1)*pT(m)*MT(3,n) + 
+     -     (2*pT(1)*pT(3)*MT(m,n))/3.)*T1(3,2)*T2(1,2) - 
+     -  2*(-(pT(4)*pT(n)*MT(2,m)) - pT(4)*pT(m)*MT(2,n) - 
+     -     pT(2)*pT(n)*MT(4,m) - pT(2)*pT(m)*MT(4,n) + 
+     -     (2*pT(2)*pT(4)*MT(m,n))/3.)*T1(4,1)*T2(1,2) + 
+     -  2*(-(pT(4)*pT(n)*MT(1,m)) - pT(4)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(4,m) - pT(1)*pT(m)*MT(4,n) + 
+     -     (2*pT(1)*pT(4)*MT(m,n))/3.)*T1(4,2)*T2(1,2) + 
+     -  2*(-(pT(3)*pT(n)*MT(2,m)) - pT(3)*pT(m)*MT(2,n) - 
+     -     pT(2)*pT(n)*MT(3,m) - pT(2)*pT(m)*MT(3,n) + 
+     -     (2*pT(2)*pT(3)*MT(m,n))/3.)*T1(1,2)*T2(1,3) + 
+     -  (-2*(-(pT(1)*pT(n)*MT(1,m)) - pT(1)*pT(m)*MT(1,n)) + 
+     -     (2*(-(pT(m)*pT(n)) - pT(1)**2*MT(m,n)))/3.)*T1(1,3)*
+     -   T2(1,3) + (-2*(-(pT(2)*pT(n)*MT(2,m)) - 
+     -        pT(2)*pT(m)*MT(2,n)) + 
+     -     (2*(pT(m)*pT(n) - pT(2)**2*MT(m,n)))/3.)*T1(1,3)*T2(1,3)
+     -   + (2*(-(pT(3)*pT(n)*MT(3,m)) - pT(3)*pT(m)*MT(3,n)) - 
+     -     (2*(pT(m)*pT(n) - pT(3)**2*MT(m,n)))/3.)*T1(1,3)*T2(1,3)
+     -   + (-2*(-(pT(4)*pT(n)*MT(4,m)) - pT(4)*pT(m)*MT(4,n)) + 
+     -     (2*(pT(m)*pT(n) - pT(4)**2*MT(m,n)))/3.)*T1(1,3)*T2(1,3)
+     -   + 2*(-(pT(4)*pT(n)*MT(3,m)) - pT(4)*pT(m)*MT(3,n) - 
+     -     pT(3)*pT(n)*MT(4,m) - pT(3)*pT(m)*MT(4,n) + 
+     -     (2*pT(3)*pT(4)*MT(m,n))/3.)*T1(1,4)*T2(1,3) - 
+     -  2*(-(pT(3)*pT(n)*MT(2,m)) - pT(3)*pT(m)*MT(2,n) - 
+     -     pT(2)*pT(n)*MT(3,m) - pT(2)*pT(m)*MT(3,n) + 
+     -     (2*pT(2)*pT(3)*MT(m,n))/3.)*T1(2,1)*T2(1,3) + 
+     -  2*(-(pT(2)*pT(n)*MT(1,m)) - pT(2)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(2,m) - pT(1)*pT(m)*MT(2,n) + 
+     -     (2*pT(1)*pT(2)*MT(m,n))/3.)*T1(2,3)*T2(1,3) + 
+     -  (2*(-(pT(1)*pT(n)*MT(1,m)) - pT(1)*pT(m)*MT(1,n)) - 
+     -     (2*(-(pT(m)*pT(n)) - pT(1)**2*MT(m,n)))/3.)*T1(3,1)*
+     -   T2(1,3) + (2*(-(pT(2)*pT(n)*MT(2,m)) - 
+     -        pT(2)*pT(m)*MT(2,n)) - 
+     -     (2*(pT(m)*pT(n) - pT(2)**2*MT(m,n)))/3.)*T1(3,1)*T2(1,3)
+     -   + (-2*(-(pT(3)*pT(n)*MT(3,m)) - pT(3)*pT(m)*MT(3,n)) + 
+     -     (2*(pT(m)*pT(n) - pT(3)**2*MT(m,n)))/3.)*T1(3,1)*T2(1,3)
+     -   + (2*(-(pT(4)*pT(n)*MT(4,m)) - pT(4)*pT(m)*MT(4,n)) - 
+     -     (2*(pT(m)*pT(n) - pT(4)**2*MT(m,n)))/3.)*T1(3,1)*T2(1,3)
+     -   - 2*(-(pT(2)*pT(n)*MT(1,m)) - pT(2)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(2,m) - pT(1)*pT(m)*MT(2,n) + 
+     -     (2*pT(1)*pT(2)*MT(m,n))/3.)*T1(3,2)*T2(1,3) - 
+     -  2*(-(pT(4)*pT(n)*MT(1,m)) - pT(4)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(4,m) - pT(1)*pT(m)*MT(4,n) + 
+     -     (2*pT(1)*pT(4)*MT(m,n))/3.)*T1(3,4)*T2(1,3) - 
+     -  2*(-(pT(4)*pT(n)*MT(3,m)) - pT(4)*pT(m)*MT(3,n) - 
+     -     pT(3)*pT(n)*MT(4,m) - pT(3)*pT(m)*MT(4,n) + 
+     -     (2*pT(3)*pT(4)*MT(m,n))/3.)*T1(4,1)*T2(1,3) + 
+     -  2*(-(pT(4)*pT(n)*MT(1,m)) - pT(4)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(4,m) - pT(1)*pT(m)*MT(4,n) + 
+     -     (2*pT(1)*pT(4)*MT(m,n))/3.)*T1(4,3)*T2(1,3) + 
+     -  2*(-(pT(4)*pT(n)*MT(2,m)) - pT(4)*pT(m)*MT(2,n) - 
+     -     pT(2)*pT(n)*MT(4,m) - pT(2)*pT(m)*MT(4,n) + 
+     -     (2*pT(2)*pT(4)*MT(m,n))/3.)*T1(1,2)*T2(1,4) + 
+     -  2*(-(pT(4)*pT(n)*MT(3,m)) - pT(4)*pT(m)*MT(3,n) - 
+     -     pT(3)*pT(n)*MT(4,m) - pT(3)*pT(m)*MT(4,n) + 
+     -     (2*pT(3)*pT(4)*MT(m,n))/3.)*T1(1,3)*T2(1,4) + 
+     -  (-2*(-(pT(1)*pT(n)*MT(1,m)) - pT(1)*pT(m)*MT(1,n)) + 
+     -     (2*(-(pT(m)*pT(n)) - pT(1)**2*MT(m,n)))/3.)*T1(1,4)*
+     -   T2(1,4) + (-2*(-(pT(2)*pT(n)*MT(2,m)) - 
+     -        pT(2)*pT(m)*MT(2,n)) + 
+     -     (2*(pT(m)*pT(n) - pT(2)**2*MT(m,n)))/3.)*T1(1,4)*T2(1,4)
+     -   + (-2*(-(pT(3)*pT(n)*MT(3,m)) - pT(3)*pT(m)*MT(3,n)) + 
+     -     (2*(pT(m)*pT(n) - pT(3)**2*MT(m,n)))/3.)*T1(1,4)*T2(1,4)
+     -   + (2*(-(pT(4)*pT(n)*MT(4,m)) - pT(4)*pT(m)*MT(4,n)) - 
+     -     (2*(pT(m)*pT(n) - pT(4)**2*MT(m,n)))/3.)*T1(1,4)*T2(1,4)
+     -   - 2*(-(pT(4)*pT(n)*MT(2,m)) - pT(4)*pT(m)*MT(2,n) - 
+     -     pT(2)*pT(n)*MT(4,m) - pT(2)*pT(m)*MT(4,n) + 
+     -     (2*pT(2)*pT(4)*MT(m,n))/3.)*T1(2,1)*T2(1,4) + 
+     -  2*(-(pT(2)*pT(n)*MT(1,m)) - pT(2)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(2,m) - pT(1)*pT(m)*MT(2,n) + 
+     -     (2*pT(1)*pT(2)*MT(m,n))/3.)*T1(2,4)*T2(1,4) - 
+     -  2*(-(pT(4)*pT(n)*MT(3,m)) - pT(4)*pT(m)*MT(3,n) - 
+     -     pT(3)*pT(n)*MT(4,m) - pT(3)*pT(m)*MT(4,n) + 
+     -     (2*pT(3)*pT(4)*MT(m,n))/3.)*T1(3,1)*T2(1,4) + 
+     -  2*(-(pT(3)*pT(n)*MT(1,m)) - pT(3)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(3,m) - pT(1)*pT(m)*MT(3,n) + 
+     -     (2*pT(1)*pT(3)*MT(m,n))/3.)*T1(3,4)*T2(1,4) + 
+     -  (2*(-(pT(1)*pT(n)*MT(1,m)) - pT(1)*pT(m)*MT(1,n)) - 
+     -     (2*(-(pT(m)*pT(n)) - pT(1)**2*MT(m,n)))/3.)*T1(4,1)*
+     -   T2(1,4) + (2*(-(pT(2)*pT(n)*MT(2,m)) - 
+     -        pT(2)*pT(m)*MT(2,n)) - 
+     -     (2*(pT(m)*pT(n) - pT(2)**2*MT(m,n)))/3.)*T1(4,1)*T2(1,4)
+     -   + (2*(-(pT(3)*pT(n)*MT(3,m)) - pT(3)*pT(m)*MT(3,n)) - 
+     -     (2*(pT(m)*pT(n) - pT(3)**2*MT(m,n)))/3.)*T1(4,1)*T2(1,4)
+     -   + (-2*(-(pT(4)*pT(n)*MT(4,m)) - pT(4)*pT(m)*MT(4,n)) + 
+     -     (2*(pT(m)*pT(n) - pT(4)**2*MT(m,n)))/3.)*T1(4,1)*T2(1,4)
+     -   - 2*(-(pT(2)*pT(n)*MT(1,m)) - pT(2)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(2,m) - pT(1)*pT(m)*MT(2,n) + 
+     -     (2*pT(1)*pT(2)*MT(m,n))/3.)*T1(4,2)*T2(1,4) - 
+     -  2*(-(pT(3)*pT(n)*MT(1,m)) - pT(3)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(3,m) - pT(1)*pT(m)*MT(3,n) + 
+     -     (2*pT(1)*pT(3)*MT(m,n))/3.)*T1(4,3)*T2(1,4) + 
+     -  (2*(-(pT(1)*pT(n)*MT(1,m)) - pT(1)*pT(m)*MT(1,n)) - 
+     -     (2*(-(pT(m)*pT(n)) - pT(1)**2*MT(m,n)))/3.)*T1(1,2)*
+     -   T2(2,1) + (-2*(-(pT(2)*pT(n)*MT(2,m)) - 
+     -        pT(2)*pT(m)*MT(2,n)) + 
+     -     (2*(pT(m)*pT(n) - pT(2)**2*MT(m,n)))/3.)*T1(1,2)*T2(2,1)
+     -   + (2*(-(pT(3)*pT(n)*MT(3,m)) - pT(3)*pT(m)*MT(3,n)) - 
+     -     (2*(pT(m)*pT(n) - pT(3)**2*MT(m,n)))/3.)*T1(1,2)*T2(2,1)
+     -   + (2*(-(pT(4)*pT(n)*MT(4,m)) - pT(4)*pT(m)*MT(4,n)) - 
+     -     (2*(pT(m)*pT(n) - pT(4)**2*MT(m,n)))/3.)*T1(1,2)*T2(2,1)
+     -   - 2*(-(pT(3)*pT(n)*MT(2,m)) - pT(3)*pT(m)*MT(2,n) - 
+     -     pT(2)*pT(n)*MT(3,m) - pT(2)*pT(m)*MT(3,n) + 
+     -     (2*pT(2)*pT(3)*MT(m,n))/3.)*T1(1,3)*T2(2,1) - 
+     -  2*(-(pT(4)*pT(n)*MT(2,m)) - pT(4)*pT(m)*MT(2,n) - 
+     -     pT(2)*pT(n)*MT(4,m) - pT(2)*pT(m)*MT(4,n) + 
+     -     (2*pT(2)*pT(4)*MT(m,n))/3.)*T1(1,4)*T2(2,1) + 
+     -  (-2*(-(pT(1)*pT(n)*MT(1,m)) - pT(1)*pT(m)*MT(1,n)) + 
+     -     (2*(-(pT(m)*pT(n)) - pT(1)**2*MT(m,n)))/3.)*T1(2,1)*
+     -   T2(2,1) + (2*(-(pT(2)*pT(n)*MT(2,m)) - 
+     -        pT(2)*pT(m)*MT(2,n)) - 
+     -     (2*(pT(m)*pT(n) - pT(2)**2*MT(m,n)))/3.)*T1(2,1)*T2(2,1)
+     -   + (-2*(-(pT(3)*pT(n)*MT(3,m)) - pT(3)*pT(m)*MT(3,n)) + 
+     -     (2*(pT(m)*pT(n) - pT(3)**2*MT(m,n)))/3.)*T1(2,1)*T2(2,1)
+     -   + (-2*(-(pT(4)*pT(n)*MT(4,m)) - pT(4)*pT(m)*MT(4,n)) + 
+     -     (2*(pT(m)*pT(n) - pT(4)**2*MT(m,n)))/3.)*T1(2,1)*T2(2,1)
+     -   + 2*(-(pT(3)*pT(n)*MT(1,m)) - pT(3)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(3,m) - pT(1)*pT(m)*MT(3,n) + 
+     -     (2*pT(1)*pT(3)*MT(m,n))/3.)*T1(2,3)*T2(2,1) + 
+     -  2*(-(pT(4)*pT(n)*MT(1,m)) - pT(4)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(4,m) - pT(1)*pT(m)*MT(4,n) + 
+     -     (2*pT(1)*pT(4)*MT(m,n))/3.)*T1(2,4)*T2(2,1) + 
+     -  2*(-(pT(3)*pT(n)*MT(2,m)) - pT(3)*pT(m)*MT(2,n) - 
+     -     pT(2)*pT(n)*MT(3,m) - pT(2)*pT(m)*MT(3,n) + 
+     -     (2*pT(2)*pT(3)*MT(m,n))/3.)*T1(3,1)*T2(2,1) - 
+     -  2*(-(pT(3)*pT(n)*MT(1,m)) - pT(3)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(3,m) - pT(1)*pT(m)*MT(3,n) + 
+     -     (2*pT(1)*pT(3)*MT(m,n))/3.)*T1(3,2)*T2(2,1) + 
+     -  2*(-(pT(4)*pT(n)*MT(2,m)) - pT(4)*pT(m)*MT(2,n) - 
+     -     pT(2)*pT(n)*MT(4,m) - pT(2)*pT(m)*MT(4,n) + 
+     -     (2*pT(2)*pT(4)*MT(m,n))/3.)*T1(4,1)*T2(2,1) - 
+     -  2*(-(pT(4)*pT(n)*MT(1,m)) - pT(4)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(4,m) - pT(1)*pT(m)*MT(4,n) + 
+     -     (2*pT(1)*pT(4)*MT(m,n))/3.)*T1(4,2)*T2(2,1) - 
+     -  2*(-(pT(3)*pT(n)*MT(1,m)) - pT(3)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(3,m) - pT(1)*pT(m)*MT(3,n) + 
+     -     (2*pT(1)*pT(3)*MT(m,n))/3.)*T1(1,2)*T2(2,3) + 
+     -  2*(-(pT(2)*pT(n)*MT(1,m)) - pT(2)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(2,m) - pT(1)*pT(m)*MT(2,n) + 
+     -     (2*pT(1)*pT(2)*MT(m,n))/3.)*T1(1,3)*T2(2,3) + 
+     -  2*(-(pT(3)*pT(n)*MT(1,m)) - pT(3)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(3,m) - pT(1)*pT(m)*MT(3,n) + 
+     -     (2*pT(1)*pT(3)*MT(m,n))/3.)*T1(2,1)*T2(2,3) + 
+     -  (-2*(-(pT(1)*pT(n)*MT(1,m)) - pT(1)*pT(m)*MT(1,n)) + 
+     -     (2*(-(pT(m)*pT(n)) - pT(1)**2*MT(m,n)))/3.)*T1(2,3)*
+     -   T2(2,3) + (-2*(-(pT(2)*pT(n)*MT(2,m)) - 
+     -        pT(2)*pT(m)*MT(2,n)) + 
+     -     (2*(pT(m)*pT(n) - pT(2)**2*MT(m,n)))/3.)*T1(2,3)*T2(2,3)
+     -   + (-2*(-(pT(3)*pT(n)*MT(3,m)) - pT(3)*pT(m)*MT(3,n)) + 
+     -     (2*(pT(m)*pT(n) - pT(3)**2*MT(m,n)))/3.)*T1(2,3)*T2(2,3)
+     -   + (2*(-(pT(4)*pT(n)*MT(4,m)) - pT(4)*pT(m)*MT(4,n)) - 
+     -     (2*(pT(m)*pT(n) - pT(4)**2*MT(m,n)))/3.)*T1(2,3)*T2(2,3)
+     -   - 2*(-(pT(4)*pT(n)*MT(3,m)) - pT(4)*pT(m)*MT(3,n) - 
+     -     pT(3)*pT(n)*MT(4,m) - pT(3)*pT(m)*MT(4,n) + 
+     -     (2*pT(3)*pT(4)*MT(m,n))/3.)*T1(2,4)*T2(2,3) - 
+     -  2*(-(pT(2)*pT(n)*MT(1,m)) - pT(2)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(2,m) - pT(1)*pT(m)*MT(2,n) + 
+     -     (2*pT(1)*pT(2)*MT(m,n))/3.)*T1(3,1)*T2(2,3) + 
+     -  (2*(-(pT(1)*pT(n)*MT(1,m)) - pT(1)*pT(m)*MT(1,n)) - 
+     -     (2*(-(pT(m)*pT(n)) - pT(1)**2*MT(m,n)))/3.)*T1(3,2)*
+     -   T2(2,3) + (2*(-(pT(2)*pT(n)*MT(2,m)) - 
+     -        pT(2)*pT(m)*MT(2,n)) - 
+     -     (2*(pT(m)*pT(n) - pT(2)**2*MT(m,n)))/3.)*T1(3,2)*T2(2,3)
+     -   + (2*(-(pT(3)*pT(n)*MT(3,m)) - pT(3)*pT(m)*MT(3,n)) - 
+     -     (2*(pT(m)*pT(n) - pT(3)**2*MT(m,n)))/3.)*T1(3,2)*T2(2,3)
+     -   + (-2*(-(pT(4)*pT(n)*MT(4,m)) - pT(4)*pT(m)*MT(4,n)) + 
+     -     (2*(pT(m)*pT(n) - pT(4)**2*MT(m,n)))/3.)*T1(3,2)*T2(2,3)
+     -   + 2*(-(pT(4)*pT(n)*MT(2,m)) - pT(4)*pT(m)*MT(2,n) - 
+     -     pT(2)*pT(n)*MT(4,m) - pT(2)*pT(m)*MT(4,n) + 
+     -     (2*pT(2)*pT(4)*MT(m,n))/3.)*T1(3,4)*T2(2,3) + 
+     -  2*(-(pT(4)*pT(n)*MT(3,m)) - pT(4)*pT(m)*MT(3,n) - 
+     -     pT(3)*pT(n)*MT(4,m) - pT(3)*pT(m)*MT(4,n) + 
+     -     (2*pT(3)*pT(4)*MT(m,n))/3.)*T1(4,2)*T2(2,3) - 
+     -  2*(-(pT(4)*pT(n)*MT(2,m)) - pT(4)*pT(m)*MT(2,n) - 
+     -     pT(2)*pT(n)*MT(4,m) - pT(2)*pT(m)*MT(4,n) + 
+     -     (2*pT(2)*pT(4)*MT(m,n))/3.)*T1(4,3)*T2(2,3) - 
+     -  2*(-(pT(4)*pT(n)*MT(1,m)) - pT(4)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(4,m) - pT(1)*pT(m)*MT(4,n) + 
+     -     (2*pT(1)*pT(4)*MT(m,n))/3.)*T1(1,2)*T2(2,4) + 
+     -  2*(-(pT(2)*pT(n)*MT(1,m)) - pT(2)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(2,m) - pT(1)*pT(m)*MT(2,n) + 
+     -     (2*pT(1)*pT(2)*MT(m,n))/3.)*T1(1,4)*T2(2,4) + 
+     -  2*(-(pT(4)*pT(n)*MT(1,m)) - pT(4)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(4,m) - pT(1)*pT(m)*MT(4,n) + 
+     -     (2*pT(1)*pT(4)*MT(m,n))/3.)*T1(2,1)*T2(2,4) - 
+     -  2*(-(pT(4)*pT(n)*MT(3,m)) - pT(4)*pT(m)*MT(3,n) - 
+     -     pT(3)*pT(n)*MT(4,m) - pT(3)*pT(m)*MT(4,n) + 
+     -     (2*pT(3)*pT(4)*MT(m,n))/3.)*T1(2,3)*T2(2,4) + 
+     -  (-2*(-(pT(1)*pT(n)*MT(1,m)) - pT(1)*pT(m)*MT(1,n)) + 
+     -     (2*(-(pT(m)*pT(n)) - pT(1)**2*MT(m,n)))/3.)*T1(2,4)*
+     -   T2(2,4) + (-2*(-(pT(2)*pT(n)*MT(2,m)) - 
+     -        pT(2)*pT(m)*MT(2,n)) + 
+     -     (2*(pT(m)*pT(n) - pT(2)**2*MT(m,n)))/3.)*T1(2,4)*T2(2,4)
+     -   + (2*(-(pT(3)*pT(n)*MT(3,m)) - pT(3)*pT(m)*MT(3,n)) - 
+     -     (2*(pT(m)*pT(n) - pT(3)**2*MT(m,n)))/3.)*T1(2,4)*T2(2,4)
+     -   + (-2*(-(pT(4)*pT(n)*MT(4,m)) - pT(4)*pT(m)*MT(4,n)) + 
+     -     (2*(pT(m)*pT(n) - pT(4)**2*MT(m,n)))/3.)*T1(2,4)*T2(2,4)
+     -   + 2*(-(pT(4)*pT(n)*MT(3,m)) - pT(4)*pT(m)*MT(3,n) - 
+     -     pT(3)*pT(n)*MT(4,m) - pT(3)*pT(m)*MT(4,n) + 
+     -     (2*pT(3)*pT(4)*MT(m,n))/3.)*T1(3,2)*T2(2,4) - 
+     -  2*(-(pT(3)*pT(n)*MT(2,m)) - pT(3)*pT(m)*MT(2,n) - 
+     -     pT(2)*pT(n)*MT(3,m) - pT(2)*pT(m)*MT(3,n) + 
+     -     (2*pT(2)*pT(3)*MT(m,n))/3.)*T1(3,4)*T2(2,4) - 
+     -  2*(-(pT(2)*pT(n)*MT(1,m)) - pT(2)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(2,m) - pT(1)*pT(m)*MT(2,n) + 
+     -     (2*pT(1)*pT(2)*MT(m,n))/3.)*T1(4,1)*T2(2,4) + 
+     -  (2*(-(pT(1)*pT(n)*MT(1,m)) - pT(1)*pT(m)*MT(1,n)) - 
+     -     (2*(-(pT(m)*pT(n)) - pT(1)**2*MT(m,n)))/3.)*T1(4,2)*
+     -   T2(2,4) + (2*(-(pT(2)*pT(n)*MT(2,m)) - 
+     -        pT(2)*pT(m)*MT(2,n)) - 
+     -     (2*(pT(m)*pT(n) - pT(2)**2*MT(m,n)))/3.)*T1(4,2)*T2(2,4)
+     -   + (-2*(-(pT(3)*pT(n)*MT(3,m)) - pT(3)*pT(m)*MT(3,n)) + 
+     -     (2*(pT(m)*pT(n) - pT(3)**2*MT(m,n)))/3.)*T1(4,2)*T2(2,4)
+     -   + (2*(-(pT(4)*pT(n)*MT(4,m)) - pT(4)*pT(m)*MT(4,n)) - 
+     -     (2*(pT(m)*pT(n) - pT(4)**2*MT(m,n)))/3.)*T1(4,2)*T2(2,4)
+     -   + 2*(-(pT(3)*pT(n)*MT(2,m)) - pT(3)*pT(m)*MT(2,n) - 
+     -     pT(2)*pT(n)*MT(3,m) - pT(2)*pT(m)*MT(3,n) + 
+     -     (2*pT(2)*pT(3)*MT(m,n))/3.)*T1(4,3)*T2(2,4) - 
+     -  2*(-(pT(3)*pT(n)*MT(2,m)) - pT(3)*pT(m)*MT(2,n) - 
+     -     pT(2)*pT(n)*MT(3,m) - pT(2)*pT(m)*MT(3,n) + 
+     -     (2*pT(2)*pT(3)*MT(m,n))/3.)*T1(1,2)*T2(3,1) + 
+     -  (2*(-(pT(1)*pT(n)*MT(1,m)) - pT(1)*pT(m)*MT(1,n)) - 
+     -     (2*(-(pT(m)*pT(n)) - pT(1)**2*MT(m,n)))/3.)*T1(1,3)*
+     -   T2(3,1) + (2*(-(pT(2)*pT(n)*MT(2,m)) - 
+     -        pT(2)*pT(m)*MT(2,n)) - 
+     -     (2*(pT(m)*pT(n) - pT(2)**2*MT(m,n)))/3.)*T1(1,3)*T2(3,1)
+     -   + (-2*(-(pT(3)*pT(n)*MT(3,m)) - pT(3)*pT(m)*MT(3,n)) + 
+     -     (2*(pT(m)*pT(n) - pT(3)**2*MT(m,n)))/3.)*T1(1,3)*T2(3,1)
+     -   + (2*(-(pT(4)*pT(n)*MT(4,m)) - pT(4)*pT(m)*MT(4,n)) - 
+     -     (2*(pT(m)*pT(n) - pT(4)**2*MT(m,n)))/3.)*T1(1,3)*T2(3,1)
+     -   - 2*(-(pT(4)*pT(n)*MT(3,m)) - pT(4)*pT(m)*MT(3,n) - 
+     -     pT(3)*pT(n)*MT(4,m) - pT(3)*pT(m)*MT(4,n) + 
+     -     (2*pT(3)*pT(4)*MT(m,n))/3.)*T1(1,4)*T2(3,1) + 
+     -  2*(-(pT(3)*pT(n)*MT(2,m)) - pT(3)*pT(m)*MT(2,n) - 
+     -     pT(2)*pT(n)*MT(3,m) - pT(2)*pT(m)*MT(3,n) + 
+     -     (2*pT(2)*pT(3)*MT(m,n))/3.)*T1(2,1)*T2(3,1) - 
+     -  2*(-(pT(2)*pT(n)*MT(1,m)) - pT(2)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(2,m) - pT(1)*pT(m)*MT(2,n) + 
+     -     (2*pT(1)*pT(2)*MT(m,n))/3.)*T1(2,3)*T2(3,1) + 
+     -  (-2*(-(pT(1)*pT(n)*MT(1,m)) - pT(1)*pT(m)*MT(1,n)) + 
+     -     (2*(-(pT(m)*pT(n)) - pT(1)**2*MT(m,n)))/3.)*T1(3,1)*
+     -   T2(3,1) + (-2*(-(pT(2)*pT(n)*MT(2,m)) - 
+     -        pT(2)*pT(m)*MT(2,n)) + 
+     -     (2*(pT(m)*pT(n) - pT(2)**2*MT(m,n)))/3.)*T1(3,1)*T2(3,1)
+     -   + (2*(-(pT(3)*pT(n)*MT(3,m)) - pT(3)*pT(m)*MT(3,n)) - 
+     -     (2*(pT(m)*pT(n) - pT(3)**2*MT(m,n)))/3.)*T1(3,1)*T2(3,1)
+     -   + (-2*(-(pT(4)*pT(n)*MT(4,m)) - pT(4)*pT(m)*MT(4,n)) + 
+     -     (2*(pT(m)*pT(n) - pT(4)**2*MT(m,n)))/3.)*T1(3,1)*T2(3,1)
+     -   + 2*(-(pT(2)*pT(n)*MT(1,m)) - pT(2)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(2,m) - pT(1)*pT(m)*MT(2,n) + 
+     -     (2*pT(1)*pT(2)*MT(m,n))/3.)*T1(3,2)*T2(3,1) + 
+     -  2*(-(pT(4)*pT(n)*MT(1,m)) - pT(4)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(4,m) - pT(1)*pT(m)*MT(4,n) + 
+     -     (2*pT(1)*pT(4)*MT(m,n))/3.)*T1(3,4)*T2(3,1) + 
+     -  2*(-(pT(4)*pT(n)*MT(3,m)) - pT(4)*pT(m)*MT(3,n) - 
+     -     pT(3)*pT(n)*MT(4,m) - pT(3)*pT(m)*MT(4,n) + 
+     -     (2*pT(3)*pT(4)*MT(m,n))/3.)*T1(4,1)*T2(3,1) - 
+     -  2*(-(pT(4)*pT(n)*MT(1,m)) - pT(4)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(4,m) - pT(1)*pT(m)*MT(4,n) + 
+     -     (2*pT(1)*pT(4)*MT(m,n))/3.)*T1(4,3)*T2(3,1) + 
+     -  2*(-(pT(3)*pT(n)*MT(1,m)) - pT(3)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(3,m) - pT(1)*pT(m)*MT(3,n) + 
+     -     (2*pT(1)*pT(3)*MT(m,n))/3.)*T1(1,2)*T2(3,2) - 
+     -  2*(-(pT(2)*pT(n)*MT(1,m)) - pT(2)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(2,m) - pT(1)*pT(m)*MT(2,n) + 
+     -     (2*pT(1)*pT(2)*MT(m,n))/3.)*T1(1,3)*T2(3,2) - 
+     -  2*(-(pT(3)*pT(n)*MT(1,m)) - pT(3)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(3,m) - pT(1)*pT(m)*MT(3,n) + 
+     -     (2*pT(1)*pT(3)*MT(m,n))/3.)*T1(2,1)*T2(3,2) + 
+     -  (2*(-(pT(1)*pT(n)*MT(1,m)) - pT(1)*pT(m)*MT(1,n)) - 
+     -     (2*(-(pT(m)*pT(n)) - pT(1)**2*MT(m,n)))/3.)*T1(2,3)*
+     -   T2(3,2) + (2*(-(pT(2)*pT(n)*MT(2,m)) - 
+     -        pT(2)*pT(m)*MT(2,n)) - 
+     -     (2*(pT(m)*pT(n) - pT(2)**2*MT(m,n)))/3.)*T1(2,3)*T2(3,2)
+     -   + (2*(-(pT(3)*pT(n)*MT(3,m)) - pT(3)*pT(m)*MT(3,n)) - 
+     -     (2*(pT(m)*pT(n) - pT(3)**2*MT(m,n)))/3.)*T1(2,3)*T2(3,2)
+     -   + (-2*(-(pT(4)*pT(n)*MT(4,m)) - pT(4)*pT(m)*MT(4,n)) + 
+     -     (2*(pT(m)*pT(n) - pT(4)**2*MT(m,n)))/3.)*T1(2,3)*T2(3,2)
+     -   + 2*(-(pT(4)*pT(n)*MT(3,m)) - pT(4)*pT(m)*MT(3,n) - 
+     -     pT(3)*pT(n)*MT(4,m) - pT(3)*pT(m)*MT(4,n) + 
+     -     (2*pT(3)*pT(4)*MT(m,n))/3.)*T1(2,4)*T2(3,2) + 
+     -  2*(-(pT(2)*pT(n)*MT(1,m)) - pT(2)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(2,m) - pT(1)*pT(m)*MT(2,n) + 
+     -     (2*pT(1)*pT(2)*MT(m,n))/3.)*T1(3,1)*T2(3,2) + 
+     -  (-2*(-(pT(1)*pT(n)*MT(1,m)) - pT(1)*pT(m)*MT(1,n)) + 
+     -     (2*(-(pT(m)*pT(n)) - pT(1)**2*MT(m,n)))/3.)*T1(3,2)*
+     -   T2(3,2) + (-2*(-(pT(2)*pT(n)*MT(2,m)) - 
+     -        pT(2)*pT(m)*MT(2,n)) + 
+     -     (2*(pT(m)*pT(n) - pT(2)**2*MT(m,n)))/3.)*T1(3,2)*T2(3,2)
+     -   + (-2*(-(pT(3)*pT(n)*MT(3,m)) - pT(3)*pT(m)*MT(3,n)) + 
+     -     (2*(pT(m)*pT(n) - pT(3)**2*MT(m,n)))/3.)*T1(3,2)*T2(3,2)
+     -   + (2*(-(pT(4)*pT(n)*MT(4,m)) - pT(4)*pT(m)*MT(4,n)) - 
+     -     (2*(pT(m)*pT(n) - pT(4)**2*MT(m,n)))/3.)*T1(3,2)*T2(3,2)
+     -   - 2*(-(pT(4)*pT(n)*MT(2,m)) - pT(4)*pT(m)*MT(2,n) - 
+     -     pT(2)*pT(n)*MT(4,m) - pT(2)*pT(m)*MT(4,n) + 
+     -     (2*pT(2)*pT(4)*MT(m,n))/3.)*T1(3,4)*T2(3,2) - 
+     -  2*(-(pT(4)*pT(n)*MT(3,m)) - pT(4)*pT(m)*MT(3,n) - 
+     -     pT(3)*pT(n)*MT(4,m) - pT(3)*pT(m)*MT(4,n) + 
+     -     (2*pT(3)*pT(4)*MT(m,n))/3.)*T1(4,2)*T2(3,2) + 
+     -  2*(-(pT(4)*pT(n)*MT(2,m)) - pT(4)*pT(m)*MT(2,n) - 
+     -     pT(2)*pT(n)*MT(4,m) - pT(2)*pT(m)*MT(4,n) + 
+     -     (2*pT(2)*pT(4)*MT(m,n))/3.)*T1(4,3)*T2(3,2) - 
+     -  2*(-(pT(4)*pT(n)*MT(1,m)) - pT(4)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(4,m) - pT(1)*pT(m)*MT(4,n) + 
+     -     (2*pT(1)*pT(4)*MT(m,n))/3.)*T1(1,3)*T2(3,4) + 
+     -  2*(-(pT(3)*pT(n)*MT(1,m)) - pT(3)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(3,m) - pT(1)*pT(m)*MT(3,n) + 
+     -     (2*pT(1)*pT(3)*MT(m,n))/3.)*T1(1,4)*T2(3,4) + 
+     -  2*(-(pT(4)*pT(n)*MT(2,m)) - pT(4)*pT(m)*MT(2,n) - 
+     -     pT(2)*pT(n)*MT(4,m) - pT(2)*pT(m)*MT(4,n) + 
+     -     (2*pT(2)*pT(4)*MT(m,n))/3.)*T1(2,3)*T2(3,4) - 
+     -  2*(-(pT(3)*pT(n)*MT(2,m)) - pT(3)*pT(m)*MT(2,n) - 
+     -     pT(2)*pT(n)*MT(3,m) - pT(2)*pT(m)*MT(3,n) + 
+     -     (2*pT(2)*pT(3)*MT(m,n))/3.)*T1(2,4)*T2(3,4) + 
+     -  2*(-(pT(4)*pT(n)*MT(1,m)) - pT(4)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(4,m) - pT(1)*pT(m)*MT(4,n) + 
+     -     (2*pT(1)*pT(4)*MT(m,n))/3.)*T1(3,1)*T2(3,4) - 
+     -  2*(-(pT(4)*pT(n)*MT(2,m)) - pT(4)*pT(m)*MT(2,n) - 
+     -     pT(2)*pT(n)*MT(4,m) - pT(2)*pT(m)*MT(4,n) + 
+     -     (2*pT(2)*pT(4)*MT(m,n))/3.)*T1(3,2)*T2(3,4) + 
+     -  (-2*(-(pT(1)*pT(n)*MT(1,m)) - pT(1)*pT(m)*MT(1,n)) + 
+     -     (2*(-(pT(m)*pT(n)) - pT(1)**2*MT(m,n)))/3.)*T1(3,4)*
+     -   T2(3,4) + (2*(-(pT(2)*pT(n)*MT(2,m)) - 
+     -        pT(2)*pT(m)*MT(2,n)) - 
+     -     (2*(pT(m)*pT(n) - pT(2)**2*MT(m,n)))/3.)*T1(3,4)*T2(3,4)
+     -   + (-2*(-(pT(3)*pT(n)*MT(3,m)) - pT(3)*pT(m)*MT(3,n)) + 
+     -     (2*(pT(m)*pT(n) - pT(3)**2*MT(m,n)))/3.)*T1(3,4)*T2(3,4)
+     -   + (-2*(-(pT(4)*pT(n)*MT(4,m)) - pT(4)*pT(m)*MT(4,n)) + 
+     -     (2*(pT(m)*pT(n) - pT(4)**2*MT(m,n)))/3.)*T1(3,4)*T2(3,4)
+     -   - 2*(-(pT(3)*pT(n)*MT(1,m)) - pT(3)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(3,m) - pT(1)*pT(m)*MT(3,n) + 
+     -     (2*pT(1)*pT(3)*MT(m,n))/3.)*T1(4,1)*T2(3,4) + 
+     -  2*(-(pT(3)*pT(n)*MT(2,m)) - pT(3)*pT(m)*MT(2,n) - 
+     -     pT(2)*pT(n)*MT(3,m) - pT(2)*pT(m)*MT(3,n) + 
+     -     (2*pT(2)*pT(3)*MT(m,n))/3.)*T1(4,2)*T2(3,4) + 
+     -  (2*(-(pT(1)*pT(n)*MT(1,m)) - pT(1)*pT(m)*MT(1,n)) - 
+     -     (2*(-(pT(m)*pT(n)) - pT(1)**2*MT(m,n)))/3.)*T1(4,3)*
+     -   T2(3,4) + (-2*(-(pT(2)*pT(n)*MT(2,m)) - 
+     -        pT(2)*pT(m)*MT(2,n)) + 
+     -     (2*(pT(m)*pT(n) - pT(2)**2*MT(m,n)))/3.)*T1(4,3)*T2(3,4)
+     -   + (2*(-(pT(3)*pT(n)*MT(3,m)) - pT(3)*pT(m)*MT(3,n)) - 
+     -     (2*(pT(m)*pT(n) - pT(3)**2*MT(m,n)))/3.)*T1(4,3)*T2(3,4)
+     -   + (2*(-(pT(4)*pT(n)*MT(4,m)) - pT(4)*pT(m)*MT(4,n)) - 
+     -     (2*(pT(m)*pT(n) - pT(4)**2*MT(m,n)))/3.)*T1(4,3)*T2(3,4)
+     -   - 2*(-(pT(4)*pT(n)*MT(2,m)) - pT(4)*pT(m)*MT(2,n) - 
+     -     pT(2)*pT(n)*MT(4,m) - pT(2)*pT(m)*MT(4,n) + 
+     -     (2*pT(2)*pT(4)*MT(m,n))/3.)*T1(1,2)*T2(4,1) - 
+     -  2*(-(pT(4)*pT(n)*MT(3,m)) - pT(4)*pT(m)*MT(3,n) - 
+     -     pT(3)*pT(n)*MT(4,m) - pT(3)*pT(m)*MT(4,n) + 
+     -     (2*pT(3)*pT(4)*MT(m,n))/3.)*T1(1,3)*T2(4,1) + 
+     -  (2*(-(pT(1)*pT(n)*MT(1,m)) - pT(1)*pT(m)*MT(1,n)) - 
+     -     (2*(-(pT(m)*pT(n)) - pT(1)**2*MT(m,n)))/3.)*T1(1,4)*
+     -   T2(4,1) + (2*(-(pT(2)*pT(n)*MT(2,m)) - 
+     -        pT(2)*pT(m)*MT(2,n)) - 
+     -     (2*(pT(m)*pT(n) - pT(2)**2*MT(m,n)))/3.)*T1(1,4)*T2(4,1)
+     -   + (2*(-(pT(3)*pT(n)*MT(3,m)) - pT(3)*pT(m)*MT(3,n)) - 
+     -     (2*(pT(m)*pT(n) - pT(3)**2*MT(m,n)))/3.)*T1(1,4)*T2(4,1)
+     -   + (-2*(-(pT(4)*pT(n)*MT(4,m)) - pT(4)*pT(m)*MT(4,n)) + 
+     -     (2*(pT(m)*pT(n) - pT(4)**2*MT(m,n)))/3.)*T1(1,4)*T2(4,1)
+     -   + 2*(-(pT(4)*pT(n)*MT(2,m)) - pT(4)*pT(m)*MT(2,n) - 
+     -     pT(2)*pT(n)*MT(4,m) - pT(2)*pT(m)*MT(4,n) + 
+     -     (2*pT(2)*pT(4)*MT(m,n))/3.)*T1(2,1)*T2(4,1) - 
+     -  2*(-(pT(2)*pT(n)*MT(1,m)) - pT(2)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(2,m) - pT(1)*pT(m)*MT(2,n) + 
+     -     (2*pT(1)*pT(2)*MT(m,n))/3.)*T1(2,4)*T2(4,1) + 
+     -  2*(-(pT(4)*pT(n)*MT(3,m)) - pT(4)*pT(m)*MT(3,n) - 
+     -     pT(3)*pT(n)*MT(4,m) - pT(3)*pT(m)*MT(4,n) + 
+     -     (2*pT(3)*pT(4)*MT(m,n))/3.)*T1(3,1)*T2(4,1) - 
+     -  2*(-(pT(3)*pT(n)*MT(1,m)) - pT(3)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(3,m) - pT(1)*pT(m)*MT(3,n) + 
+     -     (2*pT(1)*pT(3)*MT(m,n))/3.)*T1(3,4)*T2(4,1) + 
+     -  (-2*(-(pT(1)*pT(n)*MT(1,m)) - pT(1)*pT(m)*MT(1,n)) + 
+     -     (2*(-(pT(m)*pT(n)) - pT(1)**2*MT(m,n)))/3.)*T1(4,1)*
+     -   T2(4,1) + (-2*(-(pT(2)*pT(n)*MT(2,m)) - 
+     -        pT(2)*pT(m)*MT(2,n)) + 
+     -     (2*(pT(m)*pT(n) - pT(2)**2*MT(m,n)))/3.)*T1(4,1)*T2(4,1)
+     -   + (-2*(-(pT(3)*pT(n)*MT(3,m)) - pT(3)*pT(m)*MT(3,n)) + 
+     -     (2*(pT(m)*pT(n) - pT(3)**2*MT(m,n)))/3.)*T1(4,1)*T2(4,1)
+     -   + (2*(-(pT(4)*pT(n)*MT(4,m)) - pT(4)*pT(m)*MT(4,n)) - 
+     -     (2*(pT(m)*pT(n) - pT(4)**2*MT(m,n)))/3.)*T1(4,1)*T2(4,1)
+     -   + 2*(-(pT(2)*pT(n)*MT(1,m)) - pT(2)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(2,m) - pT(1)*pT(m)*MT(2,n) + 
+     -     (2*pT(1)*pT(2)*MT(m,n))/3.)*T1(4,2)*T2(4,1) + 
+     -  2*(-(pT(3)*pT(n)*MT(1,m)) - pT(3)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(3,m) - pT(1)*pT(m)*MT(3,n) + 
+     -     (2*pT(1)*pT(3)*MT(m,n))/3.)*T1(4,3)*T2(4,1) + 
+     -  2*(-(pT(4)*pT(n)*MT(1,m)) - pT(4)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(4,m) - pT(1)*pT(m)*MT(4,n) + 
+     -     (2*pT(1)*pT(4)*MT(m,n))/3.)*T1(1,2)*T2(4,2) - 
+     -  2*(-(pT(2)*pT(n)*MT(1,m)) - pT(2)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(2,m) - pT(1)*pT(m)*MT(2,n) + 
+     -     (2*pT(1)*pT(2)*MT(m,n))/3.)*T1(1,4)*T2(4,2) - 
+     -  2*(-(pT(4)*pT(n)*MT(1,m)) - pT(4)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(4,m) - pT(1)*pT(m)*MT(4,n) + 
+     -     (2*pT(1)*pT(4)*MT(m,n))/3.)*T1(2,1)*T2(4,2) + 
+     -  2*(-(pT(4)*pT(n)*MT(3,m)) - pT(4)*pT(m)*MT(3,n) - 
+     -     pT(3)*pT(n)*MT(4,m) - pT(3)*pT(m)*MT(4,n) + 
+     -     (2*pT(3)*pT(4)*MT(m,n))/3.)*T1(2,3)*T2(4,2) + 
+     -  (2*(-(pT(1)*pT(n)*MT(1,m)) - pT(1)*pT(m)*MT(1,n)) - 
+     -     (2*(-(pT(m)*pT(n)) - pT(1)**2*MT(m,n)))/3.)*T1(2,4)*
+     -   T2(4,2) + (2*(-(pT(2)*pT(n)*MT(2,m)) - 
+     -        pT(2)*pT(m)*MT(2,n)) - 
+     -     (2*(pT(m)*pT(n) - pT(2)**2*MT(m,n)))/3.)*T1(2,4)*T2(4,2)
+     -   + (-2*(-(pT(3)*pT(n)*MT(3,m)) - pT(3)*pT(m)*MT(3,n)) + 
+     -     (2*(pT(m)*pT(n) - pT(3)**2*MT(m,n)))/3.)*T1(2,4)*T2(4,2)
+     -   + (2*(-(pT(4)*pT(n)*MT(4,m)) - pT(4)*pT(m)*MT(4,n)) - 
+     -     (2*(pT(m)*pT(n) - pT(4)**2*MT(m,n)))/3.)*T1(2,4)*T2(4,2)
+     -   - 2*(-(pT(4)*pT(n)*MT(3,m)) - pT(4)*pT(m)*MT(3,n) - 
+     -     pT(3)*pT(n)*MT(4,m) - pT(3)*pT(m)*MT(4,n) + 
+     -     (2*pT(3)*pT(4)*MT(m,n))/3.)*T1(3,2)*T2(4,2) + 
+     -  2*(-(pT(3)*pT(n)*MT(2,m)) - pT(3)*pT(m)*MT(2,n) - 
+     -     pT(2)*pT(n)*MT(3,m) - pT(2)*pT(m)*MT(3,n) + 
+     -     (2*pT(2)*pT(3)*MT(m,n))/3.)*T1(3,4)*T2(4,2) + 
+     -  2*(-(pT(2)*pT(n)*MT(1,m)) - pT(2)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(2,m) - pT(1)*pT(m)*MT(2,n) + 
+     -     (2*pT(1)*pT(2)*MT(m,n))/3.)*T1(4,1)*T2(4,2) + 
+     -  (-2*(-(pT(1)*pT(n)*MT(1,m)) - pT(1)*pT(m)*MT(1,n)) + 
+     -     (2*(-(pT(m)*pT(n)) - pT(1)**2*MT(m,n)))/3.)*T1(4,2)*
+     -   T2(4,2) + (-2*(-(pT(2)*pT(n)*MT(2,m)) - 
+     -        pT(2)*pT(m)*MT(2,n)) + 
+     -     (2*(pT(m)*pT(n) - pT(2)**2*MT(m,n)))/3.)*T1(4,2)*T2(4,2)
+     -   + (2*(-(pT(3)*pT(n)*MT(3,m)) - pT(3)*pT(m)*MT(3,n)) - 
+     -     (2*(pT(m)*pT(n) - pT(3)**2*MT(m,n)))/3.)*T1(4,2)*T2(4,2)
+     -   + (-2*(-(pT(4)*pT(n)*MT(4,m)) - pT(4)*pT(m)*MT(4,n)) + 
+     -     (2*(pT(m)*pT(n) - pT(4)**2*MT(m,n)))/3.)*T1(4,2)*T2(4,2)
+     -   - 2*(-(pT(3)*pT(n)*MT(2,m)) - pT(3)*pT(m)*MT(2,n) - 
+     -     pT(2)*pT(n)*MT(3,m) - pT(2)*pT(m)*MT(3,n) + 
+     -     (2*pT(2)*pT(3)*MT(m,n))/3.)*T1(4,3)*T2(4,2) + 
+     -  2*(-(pT(4)*pT(n)*MT(1,m)) - pT(4)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(4,m) - pT(1)*pT(m)*MT(4,n) + 
+     -     (2*pT(1)*pT(4)*MT(m,n))/3.)*T1(1,3)*T2(4,3) - 
+     -  2*(-(pT(3)*pT(n)*MT(1,m)) - pT(3)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(3,m) - pT(1)*pT(m)*MT(3,n) + 
+     -     (2*pT(1)*pT(3)*MT(m,n))/3.)*T1(1,4)*T2(4,3) - 
+     -  2*(-(pT(4)*pT(n)*MT(2,m)) - pT(4)*pT(m)*MT(2,n) - 
+     -     pT(2)*pT(n)*MT(4,m) - pT(2)*pT(m)*MT(4,n) + 
+     -     (2*pT(2)*pT(4)*MT(m,n))/3.)*T1(2,3)*T2(4,3) + 
+     -  2*(-(pT(3)*pT(n)*MT(2,m)) - pT(3)*pT(m)*MT(2,n) - 
+     -     pT(2)*pT(n)*MT(3,m) - pT(2)*pT(m)*MT(3,n) + 
+     -     (2*pT(2)*pT(3)*MT(m,n))/3.)*T1(2,4)*T2(4,3) - 
+     -  2*(-(pT(4)*pT(n)*MT(1,m)) - pT(4)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(4,m) - pT(1)*pT(m)*MT(4,n) + 
+     -     (2*pT(1)*pT(4)*MT(m,n))/3.)*T1(3,1)*T2(4,3) + 
+     -  2*(-(pT(4)*pT(n)*MT(2,m)) - pT(4)*pT(m)*MT(2,n) - 
+     -     pT(2)*pT(n)*MT(4,m) - pT(2)*pT(m)*MT(4,n) + 
+     -     (2*pT(2)*pT(4)*MT(m,n))/3.)*T1(3,2)*T2(4,3) + 
+     -  (2*(-(pT(1)*pT(n)*MT(1,m)) - pT(1)*pT(m)*MT(1,n)) - 
+     -     (2*(-(pT(m)*pT(n)) - pT(1)**2*MT(m,n)))/3.)*T1(3,4)*
+     -   T2(4,3) + (-2*(-(pT(2)*pT(n)*MT(2,m)) - 
+     -        pT(2)*pT(m)*MT(2,n)) + 
+     -     (2*(pT(m)*pT(n) - pT(2)**2*MT(m,n)))/3.)*T1(3,4)*T2(4,3)
+     -   + (2*(-(pT(3)*pT(n)*MT(3,m)) - pT(3)*pT(m)*MT(3,n)) - 
+     -     (2*(pT(m)*pT(n) - pT(3)**2*MT(m,n)))/3.)*T1(3,4)*T2(4,3)
+     -   + (2*(-(pT(4)*pT(n)*MT(4,m)) - pT(4)*pT(m)*MT(4,n)) - 
+     -     (2*(pT(m)*pT(n) - pT(4)**2*MT(m,n)))/3.)*T1(3,4)*T2(4,3)
+     -   + 2*(-(pT(3)*pT(n)*MT(1,m)) - pT(3)*pT(m)*MT(1,n) - 
+     -     pT(1)*pT(n)*MT(3,m) - pT(1)*pT(m)*MT(3,n) + 
+     -     (2*pT(1)*pT(3)*MT(m,n))/3.)*T1(4,1)*T2(4,3) - 
+     -  2*(-(pT(3)*pT(n)*MT(2,m)) - pT(3)*pT(m)*MT(2,n) - 
+     -     pT(2)*pT(n)*MT(3,m) - pT(2)*pT(m)*MT(3,n) + 
+     -     (2*pT(2)*pT(3)*MT(m,n))/3.)*T1(4,2)*T2(4,3) + 
+     -  (-2*(-(pT(1)*pT(n)*MT(1,m)) - pT(1)*pT(m)*MT(1,n)) + 
+     -     (2*(-(pT(m)*pT(n)) - pT(1)**2*MT(m,n)))/3.)*T1(4,3)*
+     -   T2(4,3) + (2*(-(pT(2)*pT(n)*MT(2,m)) - 
+     -        pT(2)*pT(m)*MT(2,n)) - 
+     -     (2*(pT(m)*pT(n) - pT(2)**2*MT(m,n)))/3.)*T1(4,3)*T2(4,3)
+     -   + (-2*(-(pT(3)*pT(n)*MT(3,m)) - pT(3)*pT(m)*MT(3,n)) + 
+     -     (2*(pT(m)*pT(n) - pT(3)**2*MT(m,n)))/3.)*T1(4,3)*T2(4,3)
+     -   + (-2*(-(pT(4)*pT(n)*MT(4,m)) - pT(4)*pT(m)*MT(4,n)) + 
+     -     (2*(pT(m)*pT(n) - pT(4)**2*MT(m,n)))/3.)
+     -    *T1(4,3)*T2(4,3))/tmass*2
+
+           enddo
+         enddo
+
+
+
+        if ( tmass.gt.rZero ) then
+         d = - 1.0d0/dcmplx( pT2-tmass**2, tmass*twidth )
+        else
+         d = - 1.0d0/dcmplx( pT2, rZero )
+        end if
+
+         do m=1,4
+           do n=1,4
+          T(m,n)=T(m,n)*gt*d/2.0d0
+           enddo
+         enddo
+c     2.0 factor from propagator convention
+
+         
+      wt(1) = T(1,1)
+      wt(2) = T(1,2)
+      wt(3) = T(1,3)
+      wt(4) = T(1,4)
+      wt(5) = T(2,1)
+      wt(6) = T(2,2)
+      wt(7) = T(2,3)
+      wt(8) = T(2,4)
+      wt(9) = T(3,1)
+      wt(10) = T(3,2)
+      wt(11) = T(3,3)
+      wt(12) = T(3,4)
+      wt(13) = T(4,1)
+      wt(14) = T(4,2)
+      wt(15) = T(4,3)
+      wt(16) = T(4,4)
+      wt(17) = T(5,1)
+      wt(18) = T(6,1)
+
+      return
+      end

=== added file 'HELAS/uvvaxx.F'
--- HELAS/uvvaxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/uvvaxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,59 @@
+      subroutine uvvaxx(w1,w2,g,xm1,xm2,xw,jt)
+c
+c- by RF - Feb. 2006
+c
+c This subroutine computes the portion of the off-shell current
+c for the color-octect tensor jt in terms of w1 and w2 
+c
+c input:
+c       complex w1(6)          : first  vector                        w1
+c       complex w2(6)          : second vector                        w2
+c       real    g              : first  coupling constant
+c       real    xm2            : not used
+c       real    xm1            : not used
+c       real    xw             : not used
+c
+c output:
+c       complex jt(18)        : tensor current  j^(mu,nu)(w':w1,w2,w3)
+c
+      implicit none
+
+c dimension of the current set to arbitrary length
+c      integer DIM
+c      parameter (DIM=18)
+      include "dimension.inc"
+      double complex w1(DIM),w2(DIM),jt(DIM)
+      double precision xm1,xm2,xw,g,s2g
+      double precision sqrTwo
+      parameter( sqrTwo = 1.41421356237309514547462185873882845044d0 )
+
+
+c the tensor particle does not propagate, so no propagator needed.
+
+      s2g = g / sqrTwo
+      
+      jt( 1) = (0D0,0D0) ! s2g * (w1(1)*w2(1)-w1(1)*w2(1))
+      jt( 2) =  s2g * (w1(1)*w2(2)-w1(2)*w2(1))
+      jt( 3) =  s2g * (w1(1)*w2(3)-w1(3)*w2(1))
+      jt( 4) =  s2g * (w1(1)*w2(4)-w1(4)*w2(1))
+
+      jt( 5) =  s2g * (w1(2)*w2(1)-w1(1)*w2(2))
+      jt( 6) = (0D0,0D0) ! s2g * (w1(2)*w2(2)-w1(2)*w2(2))
+      jt( 7) =  s2g * (w1(2)*w2(3)-w1(3)*w2(2))
+      jt( 8) =  s2g * (w1(2)*w2(4)-w1(4)*w2(2))
+
+      jt( 9) =  s2g * (w1(3)*w2(1)-w1(1)*w2(3))
+      jt(10) =  s2g * (w1(3)*w2(2)-w1(2)*w2(3))
+      jt(11) = (0D0,0D0) ! s2g * (w1(3)*w2(3)-w1(3)*w2(3))
+      jt(12) =  s2g * (w1(3)*w2(4)-w1(4)*w2(3))
+
+      jt(13) =  s2g * (w1(4)*w2(1)-w1(1)*w2(4))
+      jt(14) =  s2g * (w1(4)*w2(2)-w1(2)*w2(4))
+      jt(15) =  s2g * (w1(4)*w2(3)-w1(3)*w2(4))
+      jt(16) = (0D0,0D0) ! s2g * (w1(4)*w2(4)-w1(4)*w2(4))
+
+      jt(17) = w1(5) + w2(5)
+      jt(18) = w1(6) + w2(6)
+
+      return
+      end

=== added file 'HELAS/uvvcxx.F'
--- HELAS/uvvcxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/uvvcxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,57 @@
+      subroutine uvvcxx(v1,v2,gt,vmass,tmass,twidth , uvvh)
+c
+c This subroutine computes an off-shell tensor current from 
+c the two gauge bosons-pseudo tensor boson coupling.
+c
+c input:
+c       complex v1(3)          : first  vector                        v1
+c       complex v2(3)          : second vector                        v2
+c       real    gt             : coupling constant                gtv= gs
+c       real    vmass          : vector boson mass                   m_v
+c       real    tmass          : mass  of output tensor T
+c       real    twidth         : width of output tensor T
+c
+c output:
+c       complex uvv(18)        : tensor current         j^mu^nu(T:v1,v2)
+c
+      implicit none
+      double complex v1(6), v2(6), uvvh(18)
+      double precision vmass, tmass, twidth,gt
+      integer i,j
+      double complex yvv(6,4)
+      double complex cZero
+      double precision rZero, rTwo
+      parameter( rZero = 0.0d0, rTwo = 2.0d0 )
+      parameter( cZero = ( 0.0d0, 0.0d0 ) )
+
+      
+      yvv(5,1) = v1(5)+v2(5)
+      yvv(6,1) = v1(6)+v2(6)
+
+      do i=1,4
+      do j=1,4
+      yvv(i,j)=gt*v1(i)*v2(j)
+      enddo
+      enddo
+
+      uvvh(1) = yvv(1,1)
+      uvvh(2) = yvv(1,2)
+      uvvh(3) = yvv(1,3)
+      uvvh(4) = yvv(1,4)
+      uvvh(5) = yvv(2,1)
+      uvvh(6) = yvv(2,2)
+      uvvh(7) = yvv(2,3)
+      uvvh(8) = yvv(2,4)
+      uvvh(9) = yvv(3,1)
+      uvvh(10) = yvv(3,2)
+      uvvh(11) = yvv(3,3)
+      uvvh(12) = yvv(3,4)
+      uvvh(13) = yvv(4,1)
+      uvvh(14) = yvv(4,2)
+      uvvh(15) = yvv(4,3)
+      uvvh(16) = yvv(4,4)
+      uvvh(17) = yvv(5,1)
+      uvvh(18) = yvv(6,1)
+
+      return
+      end

=== added file 'HELAS/uvvvlx.F'
--- HELAS/uvvvlx.F	1970-01-01 00:00:00 +0000
+++ HELAS/uvvvlx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,101 @@
+      subroutine uvvvlx(ga,gb,gc,g1,g2,xm,xw,jhvvv)
+c
+c- by RF - Mar. 2006
+c
+c This subroutine computes an off-shell (non-propagating) scalar particle
+c from three incoming vector bosons of the coupling of three gauge bosons.
+c
+c input:
+c       complex ga(6)          : first  incoming vector
+c       complex gb(6)          : second incoming vector
+c       complex gc(6)          : third  incoming vector
+c       real    g1             : coupling constant     (QCD)
+c       complex g2(2)          : coupling constant     (Higgs Effct. Thr.)
+c
+c output:
+c       complex jhvvv(3)       : output scalar
+c
+c not used:
+c       xm,xw
+c
+
+      implicit none
+
+c--   dimension of the current set to arbitrary length
+c      INTEGER DIM
+c      PARAMETER(DIM=18)
+      include "dimension.inc"
+      double complex ga(DIM),gb(DIM),gc(DIM),jhvvv(DIM),g2(2)
+
+      double complex dvertx, vertex, vertex1, vertex2
+      double complex vab, vbc, vca, v123, v124, v134, v234
+      double complex pgagb, pgagc, pgbga, pgbgc, pgcga, pgcgb
+      double precision pga(0:3),pgb(0:3),pgc(0:3),pabc(4)
+      double precision g1,xm,xw, q2, q(4)
+
+      pga(0) = dble( ga(5))
+      pga(1) = dble( ga(6))
+      pga(2) = dimag(ga(6))
+      pga(3) = dimag(ga(5))
+
+      pgb(0) = dble( gb(5))
+      pgb(1) = dble( gb(6))
+      pgb(2) = dimag(gb(6))
+      pgb(3) = dimag(gb(5))
+
+      pgc(0) = dble( gc(5))
+      pgc(1) = dble( gc(6))
+      pgc(2) = dimag(gc(6))
+      pgc(3) = dimag(gc(5))
+
+      vertex1 = (0D0,0D0)
+      vertex2 = (0D0,0D0)
+
+
+      jhvvv(2) = ga(5) + gb(5) + gc(5)
+      jhvvv(3) = ga(6) + gb(6) + gc(6)
+
+
+c The internal particle does not propagate, so no multiplication
+c with a propagator.
+
+      if (g2(1).NE.(0D0,0D0)) then
+      vab = ga(1)*gb(1)-ga(2)*gb(2)-ga(3)*gb(3)-ga(4)*gb(4)
+      vbc = gb(1)*gc(1)-gb(2)*gc(2)-gb(3)*gc(3)-gb(4)*gc(4)
+      vca = gc(1)*ga(1)-gc(2)*ga(2)-gc(3)*ga(3)-gc(4)*ga(4)
+
+      pgagb = pga(0)*gb(1) - pga(1)*gb(2) - pga(2)*gb(3) - pga(3)*gb(4)
+      pgagc = pga(0)*gc(1) - pga(1)*gc(2) - pga(2)*gc(3) - pga(3)*gc(4)
+      pgbga = pgb(0)*ga(1) - pgb(1)*ga(2) - pgb(2)*ga(3) - pgb(3)*ga(4)
+      pgbgc = pgb(0)*gc(1) - pgb(1)*gc(2) - pgb(2)*gc(3) - pgb(3)*gc(4)
+      pgcga = pgc(0)*ga(1) - pgc(1)*ga(2) - pgc(2)*ga(3) - pgc(3)*ga(4)
+      pgcgb = pgc(0)*gb(1) - pgc(1)*gb(2) - pgc(2)*gb(3) - pgc(3)*gb(4)
+
+      dvertx = vab*(pgagc-pgbgc) + vbc*(pgbga-pgcga) + vca*(pgcgb-pgagb)
+      vertex1= dvertx * g2(1)
+      endif
+
+      if (g2(2).NE.(0D0,0D0)) then
+      pabc(1) = pga(0) + pgb(0) + pgc(0)
+      pabc(2) = pga(1) + pgb(1) + pgc(1)
+      pabc(3) = pga(2) + pgb(2) + pgc(2)
+      pabc(4) = pga(3) + pgb(3) + pgc(3)
+
+      v123 =   ga(1)*gb(2)*gc(3) - ga(1)*gb(3)*gc(2) - ga(2)*gb(1)*gc(3)
+     &       + ga(2)*gb(3)*gc(1) + ga(3)*gb(1)*gc(2) - ga(3)*gb(2)*gc(1)
+      v124 = - ga(1)*gb(2)*gc(4) + ga(1)*gb(4)*gc(2) + ga(2)*gb(1)*gc(4)
+     &       - ga(2)*gb(4)*gc(1) - ga(4)*gb(1)*gc(2) + ga(4)*gb(2)*gc(1)
+      v134 =   ga(1)*gb(3)*gc(4) - ga(1)*gb(4)*gc(3) - ga(3)*gb(1)*gc(4)
+     &       + ga(3)*gb(4)*gc(1) + ga(4)*gb(1)*gc(3) - ga(4)*gb(3)*gc(1)
+      v234 = - ga(2)*gb(3)*gc(4) + ga(2)*gb(4)*gc(3) + ga(3)*gb(2)*gc(4)
+     &       - ga(3)*gb(4)*gc(2) - ga(4)*gb(2)*gc(3) + ga(4)*gb(3)*gc(2)
+
+
+      vertex2= g2(2) * (  v123*pabc(4) + v124*pabc(3)
+     &                  + v134*pabc(2) + v234*pabc(1) )
+      endif
+
+      jhvvv(1) = g1 * (vertex1 + vertex2)
+
+      return
+      end

=== added file 'HELAS/uvvvxx.F'
--- HELAS/uvvvxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/uvvvxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,227 @@
+      subroutine uvvvxx(va,vb,vc,gc,gt,tmass,twidth , uvvv)
+c
+c This subroutine computes an off-shell tensor current 
+c from the four-point coupling of three gauge bosons and a tensor boson.
+c
+c input:
+c       complex va(6)          : first  vector                        va
+c       complex vb(6)          : second vector                        vb
+c       complex vc(6)          : third  vector                        vc      
+c       real gc                : coupling constant       gs (for gluons)
+c       complex gt             : coupling constant         gtv=-1/Lambda
+c       real tmass             : mass  of output tensor T
+c       real twidth            : width of output tensor T 
+c
+c output:
+c       complex uvvv(18)       : tensor current      j^mu^nu(T:va,vb,vc)
+c
+c- by Q.Li - OCT. 2006
+c- Added massless tensor - P. de Aquino - Oct. 2009 
+c     
+      implicit none
+      double complex va(6), vb(6), vc(6), gt, uvvv(18)
+      double precision gc, tmass, twidth
+
+      double complex yvvv(6,4)
+      double precision MET(4,4)
+      double complex d
+      double complex V1V2,V1V3,V2V3,KTV1,KTV2,KTV3,
+     &K12V3,K23V1,K31V2
+      double precision KTK12,KTK31,KTK23 
+
+      double precision pva(4), pvb(4), pvc(4),pt(4),
+     &pt2,p31(4),p23(4),p12(4)
+
+      integer i, j
+
+      double complex cZero
+      double precision rZero, r2, r3,r4
+      parameter( rZero = 0.0d0, r2 = 2.0d0, r3=3.d0,r4=4.d0 )
+      parameter( cZero = ( 0.0d0, 0.0d0 ) )
+
+
+      yvvv(5,1) = va(5)+vb(5)+vc(5)
+      yvvv(6,1) = va(6)+vb(6)+vc(6)
+
+      pva(1) = dreal(va(5))
+      pva(2) = dreal(va(6))
+      pva(3) = dimag(va(6))
+      pva(4) = dimag(va(5))
+
+      pvb(1) = dreal(vb(5))
+      pvb(2) = dreal(vb(6))
+      pvb(3) = dimag(vb(6))
+      pvb(4) = dimag(vb(5))
+
+      pvc(1) = dreal(vc(5))
+      pvc(2) = dreal(vc(6))
+      pvc(3) = dimag(vc(6))
+      pvc(4) = dimag(vc(5))
+
+      pt(1) = dreal(yvvv(5,1))
+      pt(2) = dreal(yvvv(6,1))
+      pt(3) = dimag(yvvv(6,1))
+      pt(4) = dimag(yvvv(5,1))
+	
+      pt2=pt(1)**2-pt(2)**2-pt(3)**2-pt(4)**2
+      
+      do i=1,4
+         do j=1,4
+            MET(i,j) = 0.0d0
+         enddo 
+      enddo
+      MET(1,1) =  1.0d0
+      MET(2,2) = -1.0d0
+      MET(3,3) = -1.0d0
+      MET(4,4) = -1.0d0
+      
+      p31(1) = pvc(1)-pva(1)
+      p31(2) = pvc(2)-pva(2)
+      p31(3) = pvc(3)-pva(3)
+      p31(4) = pvc(4)-pva(4)
+      
+      p12(1) = pva(1)-pvb(1)
+      p12(2) = pva(2)-pvb(2)
+      p12(3) = pva(3)-pvb(3)
+      p12(4) = pva(4)-pvb(4)
+      
+      p23(1) = pvb(1)-pvc(1)
+      p23(2) = pvb(2)-pvc(2)
+      p23(3) = pvb(3)-pvc(3)
+      p23(4) = pvb(4)-pvc(4)
+      
+	
+      V1V2 =  va(1)*vb(1) -  va(2)*vb(2) -  va(3)*vb(3) -  va(4)*vb(4)
+      V1V3 =  va(1)*vc(1) -  va(2)*vc(2) -  va(3)*vc(3) -  va(4)*vc(4)
+      V2V3 =  vc(1)*vb(1) -  vc(2)*vb(2) -  vc(3)*vb(3) -  vc(4)*vb(4)
+      K31V2 = p31(1)*vb(1) - p31(2)*vb(2) - p31(3)*vb(3) - p31(4)*vb(4)
+      K12V3 = p12(1)*vc(1) - p12(2)*vc(2) - p12(3)*vc(3) - p12(4)*vc(4)
+      K23V1 = p23(1)*va(1) - p23(2)*va(2) - p23(3)*va(3) - p23(4)*va(4)
+      
+      KTV1 = pt(1)*va(1) - pt(2)*va(2) - pt(3)*va(3) - pt(4)*va(4)
+      KTV2 = pt(1)*vb(1) - pt(2)*vb(2) - pt(3)*vb(3) - pt(4)*vb(4)
+      KTV3 = pt(1)*vc(1) - pt(2)*vc(2) - pt(3)*vc(3) - pt(4)*vc(4)
+      
+      KTK12 =pt(1)*p12(1)-pt(2)*p12(2)-pt(3)*p12(3)-pt(4)*p12(4)
+      KTK31 =pt(1)*p31(1)-pt(2)*p31(2)-pt(3)*p31(3)-pt(4)*p31(4)
+      KTK23 =pt(1)*p23(1)-pt(2)*p23(2)-pt(3)*p23(3)-pt(4)*p23(4)
+      
+      if ( tmass.eq.rZero ) then
+         d =  -gc/dcmplx( pt2, rZero )  
+      
+      do i=1,4
+         do j=1,4
+
+            yvvv(i,j) =  -(K12V3*V1V2*MET(i,j)) 
+     &- K31V2*V1V3*MET(i,j) - K23V1*V2V3*MET(i,j)  
+     &+ V2V3*p23(j)*va(i) + V2V3*p23(i)*va(j) 
+     &+ V1V3*p31(j)*vb(i) + K12V3*va(j)*vb(i)  
+     &+ V1V3*p31(i)*vb(j) + K12V3*va(i)*vb(j) 
+     &+ V1V2*p12(j)*vc(i) + K31V2*va(j)*vc(i)  
+     &+ K23V1*vb(j)*vc(i) + V1V2*p12(i)*vc(j) 
+     &+ K31V2*va(i)*vc(j) + K23V1*vb(i)*vc(j)
+	
+            yvvv(i,j) = -yvvv(i,j)*d*gt
+	
+         enddo
+      enddo
+
+      else
+         if ( tmass.gt.rZero ) then
+            d =  -gc/dcmplx( pt2-tmass**2, tmass*twidth )
+
+         do i=1,4
+            do j=1,4
+
+              yvvv(i,j) = (r2*K12V3*KTV1*KTV2*r2*MET(i,j))/(r3*tmass**2)
+     &	 + (r2*K31V2*KTV1*KTV3*r2*MET(i,j))/(r3*tmass**2) + 
+     &  (r2*K23V1*KTV2*KTV3*r2*MET(i,j))/(r3*tmass**2) 
+     &- r2*K12V3*V1V2*MET(i,j) + 
+     &  (r2*KTK12*KTV3*r2*V1V2*MET(i,j))/(r3*tmass**2) 
+     &- (K12V3*pt2*r2*V1V2*MET(i,j))/(r3*tmass**2) - 
+     &  r2*K31V2*V1V3*MET(i,j)
+     & + (r2*KTK31*KTV2*r2*V1V3*MET(i,j))/(r3*tmass**2) - 
+     &  (K31V2*pt2*r2*V1V3*MET(i,j))/(r3*tmass**2) 
+     &- r2*K23V1*V2V3*MET(i,j) + 
+     &  (r2*KTK23*KTV1*r2*V2V3*MET(i,j))/(r3*tmass**2)
+     & - (K23V1*pt2*r2*V2V3*MET(i,j))/(r3*tmass**2) - 
+     &  (r2*KTV3*V1V2*p12(j)*pt(i))/tmass**2 
+     &- (r2*KTV1*V2V3*p23(j)*pt(i))/tmass**2 
+     &- (r2*KTV2*V1V3*p31(j)*pt(i))/tmass**2 - 
+     &  (r2*KTV3*V1V2*p12(i)*pt(j))/tmass**2
+     & - (r2*KTV1*V2V3*p23(i)*pt(j))/tmass**2 
+     &- (r2*KTV2*V1V3*p31(i)*pt(j))/tmass**2 + 
+     &  (r4*K12V3*KTV1*KTV2*pt(i)*pt(j))/tmass**4
+     & + (r4*K31V2*KTV1*KTV3*pt(i)*pt(j))/tmass**4 + 
+     &  (r4*K23V1*KTV2*KTV3*pt(i)*pt(j))/tmass**4 
+     &- (r2*K12V3*KTV1*KTV2*r2*pt(i)*pt(j))/(r3*tmass**4) - 
+     &  (r2*K31V2*KTV1*KTV3*r2*pt(i)*pt(j))/(r3*tmass**4)
+     & - (r2*K23V1*KTV2*KTV3*r2*pt(i)*pt(j))/(r3*tmass**4) + 
+     &  (r4*KTK12*KTV3*V1V2*pt(i)*pt(j))/tmass**4 
+     &- (r2*K12V3*pt2*V1V2*pt(i)*pt(j))/tmass**4 - 
+     &  (r2*KTK12*KTV3*r2*V1V2*pt(i)*pt(j))/(r3*tmass**4)
+     & + (K12V3*pt2*r2*V1V2*pt(i)*pt(j))/(r3*tmass**4) + 
+     &  (r4*K12V3*V1V2*pt(i)*pt(j))/tmass**2 
+     &+ (r4*KTK31*KTV2*V1V3*pt(i)*pt(j))/tmass**4 - 
+     &  (r2*K31V2*pt2*V1V3*pt(i)*pt(j))/tmass**4
+     & - (r2*KTK31*KTV2*r2*V1V3*pt(i)*pt(j))/(r3*tmass**4) + 
+     &  (K31V2*pt2*r2*V1V3*pt(i)*pt(j))/(r3*tmass**4)
+     & + (r4*K31V2*V1V3*pt(i)*pt(j))/tmass**2 + 
+     &  (r4*KTK23*KTV1*V2V3*pt(i)*pt(j))/tmass**4
+     & - (r2*K23V1*pt2*V2V3*pt(i)*pt(j))/tmass**4 - 
+     &  (r2*KTK23*KTV1*r2*V2V3*pt(i)*pt(j))/(r3*tmass**4)
+     & + (K23V1*pt2*r2*V2V3*pt(i)*pt(j))/(r3*tmass**4) + 
+     &  (r4*K23V1*V2V3*pt(i)*pt(j))/tmass**2 
+     &+ r2*V2V3*p23(j)*va(i) - (r2*K12V3*KTV2*pt(j)*va(i))/tmass**2 - 
+     &  (r2*K31V2*KTV3*pt(j)*va(i))/tmass**2 
+     &- (r2*KTK23*V2V3*pt(j)*va(i))/tmass**2 + 2*V2V3*p23(i)*va(j) - 
+     &  (r2*K12V3*KTV2*pt(i)*va(j))/tmass**2 
+     &- (r2*K31V2*KTV3*pt(i)*va(j))/tmass**2 
+     &- (r2*KTK23*V2V3*pt(i)*va(j))/tmass**2 + 
+     &  r2*V1V3*p31(j)*vb(i) - (r2*K12V3*KTV1*pt(j)*vb(i))/tmass**2 
+     &- (r2*K23V1*KTV3*pt(j)*vb(i))/tmass**2 - 
+     &  (r2*KTK31*V1V3*pt(j)*vb(i))/tmass**2 
+     &+ r2*K12V3*va(j)*vb(i) + r2*V1V3*p31(i)*vb(j)
+     & - (r2*K12V3*KTV1*pt(i)*vb(j))/tmass**2 - 
+     &  (r2*K23V1*KTV3*pt(i)*vb(j))/tmass**2 
+     &- (r2*KTK31*V1V3*pt(i)*vb(j))/tmass**2 
+     &+ r2*K12V3*va(i)*vb(j) + r2*V1V2*p12(j)*vc(i) - 
+     &  (r2*K31V2*KTV1*pt(j)*vc(i))/tmass**2 
+     &- (r2*K23V1*KTV2*pt(j)*vc(i))/tmass**2 
+     &- (r2*KTK12*V1V2*pt(j)*vc(i))/tmass**2 + 
+     &  r2*K31V2*va(j)*vc(i) + r2*K23V1*vb(j)*vc(i) 
+     &+ r2*V1V2*p12(i)*vc(j) - (r2*K31V2*KTV1*pt(i)*vc(j))/tmass**2 - 
+     &  (r2*K23V1*KTV2*pt(i)*vc(j))/tmass**2
+     & - (r2*KTK12*V1V2*pt(i)*vc(j))/tmass**2
+     & + r2*K31V2*va(i)*vc(j) + r2*K23V1*vb(i)*vc(j)
+	
+              yvvv(i,j) = -yvvv(i,j)*d/2.0d0*gt
+	
+            enddo
+         enddo
+         else
+            write(*,*) 'nvalid tensor mass'
+         end if
+      end if
+      
+      uvvv(1) = yvvv(1,1)
+      uvvv(2) = yvvv(1,2)
+      uvvv(3) = yvvv(1,3)
+      uvvv(4) = yvvv(1,4)
+      uvvv(5) = yvvv(2,1)
+      uvvv(6) = yvvv(2,2)
+      uvvv(7) = yvvv(2,3)
+      uvvv(8) = yvvv(2,4)
+      uvvv(9) = yvvv(3,1)
+      uvvv(10) = yvvv(3,2)
+      uvvv(11) = yvvv(3,3)
+      uvvv(12) = yvvv(3,4)
+      uvvv(13) = yvvv(4,1)
+      uvvv(14) = yvvv(4,2)
+      uvvv(15) = yvvv(4,3)
+      uvvv(16) = yvvv(4,4)
+      uvvv(17) = yvvv(5,1)
+      uvvv(18) = yvvv(6,1)
+
+      return
+      end

=== added file 'HELAS/uvvxxx.F'
--- HELAS/uvvxxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/uvvxxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,209 @@
+      subroutine uvvxxx(v1,v2,gt,vmass,tmass,twidth , uvv)
+c
+c This subroutine computes an off-shell tensor current from 
+c the two gauge bosons-tensor boson coupling.
+c
+c input:
+c       complex v1(3)          : first  vector                        v1
+c       complex v2(3)          : second vector                        v2
+c       complex gt             : coupling constant         gtv=-1/Lambda
+c       real    vmass          : vector boson mass                   m_v
+c       real    tmass          : mass  of output tensor T
+c       real    twidth         : width of output tensor T
+c
+c output:
+c       complex uvv(18)        : tensor current         j^mu^nu(T:v1,v2)
+c
+c- by Q.Li - OCT. 2006
+c- Added massless tensor - P. de Aquino - Oct. 2009 
+c
+      implicit none
+      double complex v1(6), v2(6), gt, uvv(18)
+      double precision vmass, tmass, twidth
+
+      double complex yvv(6,4)
+      double complex KTE1,KTE2,K2E1,K1E2,K1E1,K2E2,E1E2
+      integer i,j
+      double precision pv1(4), pv2(4), pT(4)
+      double precision MET(4,4)
+      double complex cZero, d
+      double precision rZero, rTwo
+      double precision K1K2,KT2,K1KT,K2KT
+      parameter( rZero = 0.0d0, rTwo = 2.0d0 )
+      parameter( cZero = ( 0.0d0, 0.0d0 ) )
+
+      
+      yvv(5,1) = v1(5)+v2(5)
+      yvv(6,1) = v1(6)+v2(6)
+      
+      pv1(1) = dreal(v1(5))
+      pv1(2) = dreal(v1(6))
+      pv1(3) = dimag(v1(6))
+      pv1(4) = dimag(v1(5))
+      
+      pv2(1) = dreal(v2(5))
+      pv2(2) = dreal(v2(6))
+      pv2(3) = dimag(v2(6))
+      pv2(4) = dimag(v2(5))
+      
+      pT(1) = dreal(yvv(5,1))
+      pT(2) = dreal(yvv(6,1))
+      pT(3) = dimag(yvv(6,1))
+      pT(4) = dimag(yvv(5,1))
+      
+      do i=1,4
+         do j=1,4
+            MET(i,j) = 0.0d0
+         enddo 
+      enddo
+      
+      MET(1,1) =  1.0d0
+      MET(2,2) = -1.0d0
+      MET(3,3) = -1.0d0
+      MET(4,4) = -1.0d0
+      
+      K1K2 = pv1(1)*pv2(1)-pv1(2)*pv2(2)-pv1(3)*pv2(3)-pv1(4)*pv2(4)
+      K1KT = pv1(1)*pT(1)-pv1(2)*pT(2)-pv1(3)*pT(3)-pv1(4)*pT(4)
+      K2KT = pT(1)*pv2(1)-pT(2)*pv2(2)-pT(3)*pv2(3)-pT(4)*pv2(4)
+      KT2 = pT(1)**2-pT(2)**2-pT(3)**2-pT(4)**2
+      
+      KTE1 = pT(1)*v1(1)-pT(2)*v1(2)-pT(3)*v1(3)-pT(4)*v1(4)
+      KTE2 = pT(1)*v2(1)-pT(2)*v2(2)-pT(3)*v2(3)-pT(4)*v2(4)
+      K1E1 = pv1(1)*v1(1)-pv1(2)*v1(2)-pv1(3)*v1(3)-pv1(4)*v1(4)
+      K1E2 = pv1(1)*v2(1)-pv1(2)*v2(2)-pv1(3)*v2(3)-pv1(4)*v2(4)
+      K2E1 = pv2(1)*v1(1)-pv2(2)*v1(2)-pv2(3)*v1(3)-pv2(4)*v1(4)
+      K2E2 = pv2(1)*v2(1)-pv2(2)*v2(2)-pv2(3)*v2(3)-pv2(4)*v2(4)
+      E1E2 = v2(1)*v1(1)-v2(2)*v1(2)-v2(3)*v1(3)-v2(4)*v1(4)
+      
+      if ( tmass.eq.rZero ) then
+         d = - gt/dcmplx( KT2, rZero )
+    
+         do i = 1,4
+            do j=1,4
+               yvv(i,j) = -(E1E2*K1K2*MET(i,j)) + K1E2*K2E1*MET(i,j)  
+     &+  E1E2*pv1(j)*pv2(i) + E1E2*pv1(i)*pv2(j)  
+     &-  K1E2*pv2(j)*v1(i) - K1E2*pv2(i)*v1(j)  
+     &-  K2E1*pv1(j)*v2(i) + k1k2*v1(j)*v2(i)  
+     &-  K2E1*pv1(i)*v2(j) + k1k2*v1(i)*v2(j) 
+               
+            
+               if ( vmass.ne.rZero ) then
+                  yvv(i,j) = yvv(i,j)
+     &              + vmass**2*v1(j)*v2(i) + vmass**2*v1(i)*v2(j)
+               else
+c     gauge fixing term for zero mass photon/gluon
+                  yvv(i,j) =  yvv(i,j)
+     &             -(K1E1*K2E2*MET(i,j)) - K2E2*pv2(j)*v1(i) - 
+     &  K2E2*pv2(i)*v1(j) - K1E1*pv1(j)*v2(i) - 
+     &  K1E1*pv1(i)*v2(j)
+               endif
+               yvv(i,j) = yvv(i,j)*d
+            end do
+         enddo
+      
+      else if ( tmass.gt.rZero ) then
+            d = - gt/dcmplx( KT2-tmass**2, tmass*twidth )
+    
+            do i = 1,4
+               do j=1,4
+                  yvv(i,j) = 2.0d0*K1K2*(v1(i)*v2(j)+v1(j)*v2(i))
+     &-2.0d0*K1K2*KTE2/tmass**2*(PT(i)*v1(j)+PT(j)*v1(i))
+     &-2.0d0*K1E2*(pv2(i)*v1(j)+pv2(j)*v1(i))
+     &+2.0d0*K1E2*K2KT/tmass**2*(PT(i)*v1(j)+PT(j)*v1(i))
+     &-2.0d0/3.0d0*E1E2*K1K2*MET(i,j)
+     &+8.0d0/3.0d0*K1K2*E1E2/tmass**2*PT(i)*PT(j)
+     &+2.0d0*E1E2*(pv1(i)*pv2(j)+pv1(j)*pv2(i)) 
+     &-2.0d0*K1K2*KTE1/tmass**2*(PT(i)*v2(j)+PT(j)*v2(i))
+     &-2.0d0*K2E1*(pv1(i)*v2(j)+pv1(j)*v2(i))
+     &+4.0d0*K1K2*KTE1*KTE2/3.0d0/tmass**2*MET(i,j)
+     &+8.0d0*K1K2*KTE1*KTE2/3.0d0/tmass**4*PT(i)*PT(j)
+     &+2.0d0*K2E1*KTE2/tmass**2*(pv1(i)*PT(j)+pv1(j)*PT(i))
+     &+2.0d0*KTE1*K1E2/tmass**2*(pv2(i)*PT(j)+pv2(j)*PT(i))
+     &+2.0d0*K2E1*K1E2*MET(i,j)
+     &-4.0d0*K2E1*K1E2/tmass**2*PT(i)*PT(j)
+     &-2.0d0/3.0d0/tmass**2*KT2*E1E2*K1K2*MET(i,j)
+     &-4.0d0/3.0d0/tmass**4*KT2*E1E2*K1K2*PT(i)*PT(j)
+     &+2.0d0/3.0d0/tmass**2*K2E1*K1E2*KT2*MET(i,j)
+     &+4.0d0/3.0d0/tmass**4*K2E1*K1E2*KT2*PT(i)*PT(j)
+     &-2.0d0/tmass**2*E1E2*K1KT*(pv2(i)*PT(j)+pv2(j)*PT(i))
+     &+2.0d0/tmass**2*K2E1*K1KT*(PT(i)*v2(j)+PT(j)*v2(i))
+     &-4.0d0/3.0d0/tmass**2*K2E1*KTE2*K1KT*MET(i,j)
+     &-8.0d0/3.0d0/tmass**4*K2E1*KTE2*K1KT*PT(i)*PT(j)
+     &-2.0d0/tmass**2*E1E2*K2KT*(PT(i)*pv1(j)+PT(j)*pv1(i))
+     &-4.0d0/3.0d0/tmass**2*KTE1*K1E2*K2KT*MET(i,j)
+     &-8.0d0/3.0d0/tmass**4*KTE1*K1E2*K2KT*PT(i)*PT(j)
+     &+4.0d0/3.0d0/tmass**2*E1E2*K2KT*K1KT*MET(i,j)
+     &+8.0d0/3.0d0/tmass**4*E1E2*K2KT*K1KT*PT(i)*PT(j)
+     &-4.0d0/3.0d0*E1E2*K1K2*MET(i,j)
+     &+4.0d0/3.0d0/tmass**2*E1E2*K1K2
+     &*PT(i)*PT(j)
+            
+                  if ( vmass.ne.rZero ) then
+                     yvv(i,j) = 
+     &                 yvv(i,j)+2*vmass**2*(v1(i)*v2(j)+v1(j)*v2(i))
+     &-2.0d0/3.0d0*vmass**2*E1E2*MET(i,j)
+     &+8.0d0/3.0d0/tmass**2*vmass**2*E1E2*PT(i)*PT(j)
+     &-2.0d0/tmass**2*vmass**2*KTE1*(PT(i)*v2(j)+PT(j)*v2(i)) 
+     &-2.0d0/tmass**2*vmass**2*KTE2*(PT(i)*v1(j)+PT(j)*v1(i)) 
+     &+4.0d0/3.0d0/tmass**2*vmass**2*KTE1*KTE2*MET(i,j)
+     &+8.0d0/3.0d0/tmass**4*vmass**2*KTE1*KTE2*PT(i)*PT(j)
+     &-2.0d0/3.0d0/tmass**2*vmass**2*KT2*E1E2*MET(i,j)
+     &-4.0d0/3.0d0/tmass**4*vmass**2*KT2*E1E2*PT(i)*PT(j)
+                  else
+c     gauge fixing term for zero mass photon/gluon
+                     yvv(i,j) = 
+     &                yvv(i,j)-2.0d0*K1E1*(pv1(i)*v2(j)+pv1(j)*v2(i))
+     &+2.0d0/tmass**2*KTE2*K1E1*(PT(i)*pv1(j)+PT(j)*pv1(i))
+     &+2.0d0/3.0d0*K1E2*K1E1*MET(i,j)
+     &-8.0d0/3.0d0/tmass**2*K1E2*K1E1*PT(i)*PT(j)
+     &-2.0d0/3.0d0*K2E2*K1E1*MET(i,j)
+     &-4.0d0/3.0d0/tmass**2*K2E2*K1E1*PT(i)*PT(j)
+     &+2.0d0/3.0d0/tmass**2*K1E2*KT2*K1E1*MET(i,j)
+     &+4.0d0/3.0d0/tmass**4*K1E2*KT2*K1E1*PT(i)*PT(j)
+     &+2.0d0/3.0d0/tmass**2*K2E2*KT2*K1E1*MET(i,j)
+     &+4.0d0/3.0d0/tmass**4*K2E2*KT2*K1E1*PT(i)*PT(j)
+     &+2.0d0/tmass**2*K1KT*K1E1*(PT(i)*v2(j)+PT(j)*v2(i))
+     &-4.0d0/3.0d0/tmass**2*K1KT*KTE2*K1E1*MET(i,j)
+     &-8.0d0/3.0d0/tmass**4*K1KT*KTE2*K1E1*PT(i)*PT(j)
+     &-2.0d0*K2E2*(pv2(i)*v1(j)+pv2(j)*v1(i))
+     &+2.0d0/tmass**2*K2E2*KTE1*(pv2(i)*PT(j)+pv2(j)*PT(i))
+     &+2.0d0/3.0d0*K2E1*K2E2*MET(i,j)
+     &-8.0d0/3.0d0/tmass**2*K2E1*K2E2*PT(i)*PT(j)
+     &+2.0d0/3.0d0/tmass**2*KT2*K2E2*K2E1*MET(i,j)
+     &+4.0d0/3.0d0/tmass**4*KT2*K2E2*K2E1*PT(i)*PT(j)
+     &+2.0d0/tmass**2*K2E2*K2KT*(PT(i)*v1(j)+PT(j)*v1(i))
+     &-4.0d0/3.0d0/tmass**2*K2E2*K2KT*KTE1*MET(i,j)
+     &-8.0d0/3.0d0/tmass**4*K2E2*K2KT*KTE1
+     &*PT(i)*PT(j)
+                  endif
+
+                  yvv(i,j) = yvv(i,j)*d/2.0d0
+
+               end do
+            enddo
+         else
+            write(*,*) 'invalid tensor mass'
+            stop
+      end if
+      
+      uvv(1) = yvv(1,1)
+      uvv(2) = yvv(1,2)
+      uvv(3) = yvv(1,3)
+      uvv(4) = yvv(1,4)
+      uvv(5) = yvv(2,1)
+      uvv(6) = yvv(2,2)
+      uvv(7) = yvv(2,3)
+      uvv(8) = yvv(2,4)
+      uvv(9) = yvv(3,1)
+      uvv(10) = yvv(3,2)
+      uvv(11) = yvv(3,3)
+      uvv(12) = yvv(3,4)
+      uvv(13) = yvv(4,1)
+      uvv(14) = yvv(4,2)
+      uvv(15) = yvv(4,3)
+      uvv(16) = yvv(4,4)
+      uvv(17) = yvv(5,1)
+      uvv(18) = yvv(6,1)
+
+      return
+      end

=== added file 'HELAS/v2xxxx.f'
--- HELAS/v2xxxx.f	1970-01-01 00:00:00 +0000
+++ HELAS/v2xxxx.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,40 @@
+      subroutine v2xxxx(p,vmass,nhel,nsv , vc)
+c
+c This subroutine computes a VECTOR wavefunction.
+c
+c input:
+c       real    p(0:3)         : four-momentum of vector boson
+c       real    vmass          : mass          of vector boson
+c       integer nhel = -1, 0, 1: helicity      of vector boson
+c                                (0 is forbidden if vmass=0.0)
+c       integer nsv  = -1 or 1 : +1 for final, -1 for initial
+c
+c output:
+c       complex vc(6)          : vector wavefunction       epsilon^mu(v)
+c     
+      implicit none
+      double complex vc(6)
+      double precision p(0:3),vmass,hel,hel0,pt,pt2,pp,pzpt,emp,sqh
+      integer nhel,nsv,nsvahl
+
+      double precision rZero, rHalf, rOne, rTwo
+      parameter( rZero = 0.0d0, rHalf = 0.5d0 )
+      parameter( rOne = 1.0d0, rTwo = 2.0d0 )
+      
+      
+      vc(5) = dcmplx(p(0),p(3))*nsv
+      vc(6) = dcmplx(p(1),p(2))*nsv
+
+      if( vmass.eq.rZero ) then
+            vc(1) = rOne
+            vc(2) = p(1)/p(0)
+            vc(3) = p(2)/p(0)
+            vc(4) = p(3)/p(0)
+         else
+            vc(1) = p(0)/vmass
+            vc(2) = p(1)/vmass
+            vc(3) = p(2)/vmass
+            vc(4) = p(3)/vmass
+         endif
+      return
+      end

=== added file 'HELAS/vssxxx.F'
--- HELAS/vssxxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/vssxxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,102 @@
+      subroutine vssxxx(vc,s1,s2,gc , vertex)
+c
+c This subroutine computes an amplitude from the vector-scalar-scalar
+c coupling.  The coupling is absent in the minimal SM in unitary gauge.
+c
+c       complex vc(6)          : input  vector                        v
+c       complex s1(3)          : first  scalar                        s1
+c       complex s2(3)          : second scalar                        s2
+c       complex gc             : coupling constant (s1 charge)
+c
+c examples of the coupling constant gc for SUSY particles are as follows:
+c   -----------------------------------------------------------
+c   |    s1    | (q,i3) of s1  ||   v=a   |   v=z   |   v=w   |
+c   -----------------------------------------------------------
+c   | nu~_l    | (  0  , +1/2) ||   ---   |  gzn(1) |  gwf(1) |
+c   | e~_l     | ( -1  , -1/2) ||  gal(1) |  gzl(1) |  gwf(1) |
+c   | u~_l     | (+2/3 , +1/2) ||  gau(1) |  gzu(1) |  gwf(1) |
+c   | d~_l     | (-1/3 , -1/2) ||  gad(1) |  gzd(1) |  gwf(1) |
+c   -----------------------------------------------------------
+c   | e~_r-bar | ( +1  ,  0  ) || -gal(2) | -gzl(2) | -gwf(2) |
+c   | u~_r-bar | (-2/3 ,  0  ) || -gau(2) | -gzu(2) | -gwf(2) |
+c   | d~_r-bar | (+1/3 ,  0  ) || -gad(2) | -gzd(2) | -gwf(2) |
+c   -----------------------------------------------------------
+c where the s1 charge is defined by the flowing-OUT quantum number.
+c
+c output:
+c       complex vertex         : amplitude                gamma(v,s1,s2)
+c     
+      implicit none
+      double complex vc(6),s1(3),s2(3),gc,vertex
+      double precision p(0:3)
+
+#ifdef HELAS_CHECK
+      double precision p0,p1,p2,p3,q0,q1,q2,q3,r0,r1,r2,r3,pm
+      double precision epsi
+      parameter( epsi = 4.0d-5 )
+      double precision rZero
+      parameter( rZero = 0.0d0 )
+      double complex cZero
+      parameter( cZero = ( 0.0d0, 0.0d0 ) )
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+#ifdef HELAS_CHECK
+      p0 = dble( s1(2))
+      p1 = dble( s1(3))
+      p2 = dimag(s1(3))
+      p3 = dimag(s1(2))
+      q0 = dble( s2(2))
+      q1 = dble( s2(3))
+      q2 = dimag(s2(3))
+      q3 = dimag(s2(2))
+      r0 = dble( vc(5))
+      r1 = dble( vc(6))
+      r2 = dimag(vc(6))
+      r3 = dimag(vc(5))
+      if ( abs(vc(1))+abs(vc(2))+abs(vc(3))+abs(vc(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : vc in vssxxx is zero vector'
+      endif
+      if ( abs(vc(5))+abs(vc(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : vc in vssxxx has zero momentum'
+      endif
+      if ( s1(1).eq.cZero ) then
+         write(stdo,*) ' helas-warn  : s1 in vssxxx is zero scalar'
+      endif
+      if ( abs(s1(2))+abs(s1(3)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : s1 in vssxxx has zero momentum'
+      endif
+      if ( s2(1).eq.cZero ) then
+         write(stdo,*) ' helas-warn  : s2 in vssxxx is zero scalar'
+      endif
+      if ( abs(s2(2))+abs(s2(3)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : s2 in vssxxx has zero momentum'
+      endif
+      pm = max( abs(p0),abs(q0),abs(r0),abs(p1),abs(q1),abs(r1),
+     &          abs(p2),abs(q2),abs(r2),abs(p3),abs(q3),abs(r3) )
+      if ( abs(vc(5)+s1(2)+s2(2))+abs(vc(6)+s1(3)+s2(3))
+     &                                              .ge.pm*epsi ) then
+         write(stdo,*)
+     &        ' helas-error : vc,s1,s2 in vssxxx'
+         write(stdo,*)
+     &        '             : have not balanced momenta'
+      endif
+      if ( gc.eq.cZero ) then
+         write(stdo,*) ' helas-error : g in vssxxx is zero coupling'
+      endif
+#endif
+
+      p(0) = dble( s1(2)-s2(2))
+      p(1) = dble( s1(3)-s2(3))
+      p(2) = dimag(s1(3)-s2(3))
+      p(3) = dimag(s1(2)-s2(2))
+
+      vertex = gc*s1(1)*s2(1)
+     &        *(vc(1)*p(0)-vc(2)*p(1)-vc(3)*p(2)-vc(4)*p(3))
+c
+      return
+      end

=== added file 'HELAS/vvshxx.F'
--- HELAS/vvshxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/vvshxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,76 @@
+      subroutine vvshxx(v1,v2,sc,gc , vertex)
+c
+c- by RF - Mar. 2006
+c
+c
+c This subroutine computes an amplitude of the vector-vector-
+c (pseudo-)scalar effective coupling.
+c
+c input:
+c       complex v1(6)          : first  vector
+c       complex v2(6)          : second vector
+c       complex sc(3)          : input  scalar
+c       complex gc(2)          : coupling constant: gc(1) scalar
+c                                                   gc(2) pseudo-scalar
+c
+c output:
+c       complex vertex         : amplitude
+c     
+      implicit none
+c--   dimension of the current set to arbitrary length
+c     INTEGER DIM
+c      PARAMETER(DIM=18)
+      include "dimension.inc"
+      double complex v1(DIM),v2(DIM),sc(DIM),vertex,vertex1,vertex2
+      double complex v12,p2v1,p1v2,v13,v14,v23,v24,v34
+      double precision p12,p13,p14,p23,p24,p34
+      double precision p1(0:3),p2(0:3)
+      double complex gc(2)
+
+
+      p1(0) = dble( v1(5))
+      p1(1) = dble( v1(6))
+      p1(2) = dimag(v1(6))
+      p1(3) = dimag(v1(5))
+
+      p2(0) = dble( v2(5))
+      p2(1) = dble( v2(6))
+      p2(2) = dimag(v2(6))
+      p2(3) = dimag(v2(5))
+
+      vertex1 = (0D0,0D0)
+      vertex2 = (0D0,0D0)
+
+      if (gc(1).NE.(0D0,0D0)) then
+
+         v12  = v1(1)*v2(1) - v1(2)*v2(2) - v1(3)*v2(3) - v1(4)*v2(4)
+         p12  = p1(0)*p2(0) - p1(1)*p2(1) - p1(2)*p2(2) - p1(3)*p2(3)
+         p2v1 = v1(1)*p2(0) - v1(2)*p2(1) - v1(3)*p2(2) - v1(4)*p2(3)
+         p1v2 = p1(0)*v2(1) - p1(1)*v2(2) - p1(2)*v2(3) - p1(3)*v2(4)	
+
+         vertex1 = - gc(1)*(v12*p12 - p2v1*p1v2)
+      endif
+
+      if (gc(2).NE.(0D0,0D0)) then
+          p12 = p1(0)*p2(1) - p1(1)*p2(0)
+          p13 = p1(0)*p2(2) - p1(2)*p2(0)
+          p14 = p1(0)*p2(3) - p1(3)*p2(0)
+          p23 = p1(1)*p2(2) - p1(2)*p2(1)
+          p24 = p1(1)*p2(3) - p1(3)*p2(1)
+          p34 = p1(2)*p2(3) - p1(3)*p2(2)
+
+          v12 = v1(1)*v2(2) - v1(2)*v2(1)
+          v13 = v1(1)*v2(3) - v1(3)*v2(1)
+          v14 = v1(1)*v2(4) - v1(4)*v2(1)
+          v23 = v1(2)*v2(3) - v1(3)*v2(2)
+          v24 = v1(2)*v2(4) - v1(4)*v2(2)
+          v34 = v1(3)*v2(4) - v1(4)*v2(3)
+
+          vertex2 = gc(2)*( v12*p34 - v13*p24 + v14*p23
+     &                     +v23*p14 - v24*p13 + v34*p12 )
+      endif
+       
+      vertex = sc(1)*(vertex1 + vertex2)
+
+      return
+      end

=== added file 'HELAS/vvsshx.F'
--- HELAS/vvsshx.F	1970-01-01 00:00:00 +0000
+++ HELAS/vvsshx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,76 @@
+      subroutine vvsshx(v1,v2,sc1,sc2,g1, vertex)
+c
+c- by RF - Mar. 2006
+c
+c
+c This subroutine computes an amplitude of the vector-vector-Higgs-Higgs 
+c effective coupling.
+c
+c input:
+c       complex v1(6)          : first  vector                        
+c       complex v2(6)          : second vector                        
+c       complex sc1(3)         : first  scalar                        
+c       complex sc2(3)         : second scalar
+c       complex g1(2)          : first coupling constant                 
+c
+c output:
+c       complex vertex         : amplitude                gamma(v1,v2,s,s)
+c     
+      implicit none
+c--   dimension of the current set to arbitrary length
+c      INTEGER DIM
+c      PARAMETER(DIM=18)
+      include "dimension.inc"
+      double complex v1(DIM),v2(DIM),sc1(DIM),sc2(DIM),vertex
+      double complex vertex1,vertex2,g1(2)
+      double complex v12,p2v1,p1v2,v13,v14,v23,v24,v34
+      double precision p12,p13,p14,p23,p24,p34
+      double precision p1(0:3),p2(0:3)
+
+
+      p1(0) = dble( v1(5))
+      p1(1) = dble( v1(6))
+      p1(2) = dimag(v1(6))
+      p1(3) = dimag(v1(5))
+
+      p2(0) = dble( v2(5))
+      p2(1) = dble( v2(6))
+      p2(2) = dimag(v2(6))
+      p2(3) = dimag(v2(5))
+
+      vertex1 = (0D0,0D0)
+      vertex2 = (0D0,0D0)
+
+      if (g1(1).NE.(0D0,0D0)) then
+
+         v12  = v1(1)*v2(1) - v1(2)*v2(2) - v1(3)*v2(3) - v1(4)*v2(4)
+         p12  = p1(0)*p2(0) - p1(1)*p2(1) - p1(2)*p2(2) - p1(3)*p2(3)
+         p2v1 = v1(1)*p2(0) - v1(2)*p2(1) - v1(3)*p2(2) - v1(4)*p2(3)
+         p1v2 = p1(0)*v2(1) - p1(1)*v2(2) - p1(2)*v2(3) - p1(3)*v2(4)	
+
+         vertex1 = g1(1) *(v12*p12 - p2v1*p1v2)
+      endif
+
+      if (g1(2).NE.(0D0,0D0)) then
+          p12 = p1(0)*p2(1) - p1(1)*p2(0)
+          p13 = p1(0)*p2(2) - p1(2)*p2(0)
+          p14 = p1(0)*p2(3) - p1(3)*p2(0)
+          p23 = p1(1)*p2(2) - p1(2)*p2(1)
+          p24 = p1(1)*p2(3) - p1(3)*p2(1)
+          p34 = p1(2)*p2(3) - p1(3)*p2(2)
+
+          v12 = v1(1)*v2(2) - v1(2)*v2(1)
+          v13 = v1(1)*v2(3) - v1(3)*v2(1)
+          v14 = v1(1)*v2(4) - v1(4)*v2(1)
+          v23 = v1(2)*v2(3) - v1(3)*v2(2)
+          v24 = v1(2)*v2(4) - v1(4)*v2(2)
+          v34 = v1(3)*v2(4) - v1(4)*v2(3)
+
+          vertex2 = - g1(2)*( v12*p34 - v13*p24 + v14*p23
+     &                       +v23*p14 - v24*p13 + v34*p12 )
+      endif
+       
+      vertex = sc1(1)*sc2(1)*(vertex1 + vertex2)
+
+      return
+      end

=== added file 'HELAS/vvssxx.F'
--- HELAS/vvssxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/vvssxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,97 @@
+      subroutine vvssxx(v1,v2,s1,s2,gc , vertex)
+c
+c This subroutine computes an amplitude of the vector-vector-scalar-
+c scalar coupling.
+c
+c input:
+c       complex v1(6)          : first  vector                        v1
+c       complex v2(6)          : second vector                        v2
+c       complex s1(3)          : first  scalar                        s1
+c       complex s2(3)          : second scalar                        s2
+c       complex gc             : coupling constant                 gvvhh
+c
+c output:
+c       complex vertex         : amplitude            gamma(v1,v2,s1,s2)
+c     
+      implicit none
+      double complex v1(6),v2(6),s1(3),s2(3),gc,vertex
+
+#ifdef HELAS_CHECK
+      double precision p0,p1,p2,p3,q0,q1,q2,q3,r0,r1,r2,r3
+      double precision o0,o1,o2,o3,pm
+      double precision epsi
+      parameter( epsi = 4.0d-5 )
+      double precision rZero
+      parameter( rZero = 0.0d0 )
+      double complex cZero
+      parameter( cZero = ( 0.0d0, 0.0d0 ) )
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+#ifdef HELAS_CHECK
+      p0 = dble( v1(2))
+      p1 = dble( v1(3))
+      p2 = dimag(v1(3))
+      p3 = dimag(v1(2))
+      q0 = dble( v2(2))
+      q1 = dble( v2(3))
+      q2 = dimag(v2(3))
+      q3 = dimag(v2(2))
+      r0 = dble( s1(2))
+      r1 = dble( s1(3))
+      r2 = dimag(s1(3))
+      r3 = dimag(s1(2))
+      o0 = dble( s2(2))
+      o1 = dble( s2(3))
+      o2 = dimag(s2(3))
+      o3 = dimag(s2(2))
+      if ( abs(v1(1))+abs(v1(2))+abs(v1(3))+abs(v1(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : v1 in vvssxx is zero vector'
+      endif
+      if ( abs(v1(5))+abs(v1(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : v1 in vvssxx has zero momentum'
+      endif
+      if ( abs(v2(1))+abs(v2(2))+abs(v2(3))+abs(v2(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : v2 in vvssxx is zero vector'
+      endif
+      if ( abs(v2(5))+abs(v2(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : v2 in vvssxx has zero momentum'
+      endif
+      if ( abs(s1(1)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : s1 in vvssxx is zero scalar'
+      endif
+      if ( abs(s1(2))+abs(s1(3)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : s1 in vvssxx has zero momentum'
+      endif
+      if ( abs(s2(1)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : s2 in vvssxx is zero scalar'
+      endif
+      if ( abs(s2(2))+abs(s2(3)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : s2 in vvssxx has zero momentum'
+      endif
+      pm = max( abs(p0),abs(q0),abs(r0),abs(o0),
+     &          abs(p1),abs(q1),abs(r1),abs(o1),
+     &          abs(p2),abs(q2),abs(r2),abs(o2),
+     &          abs(p3),abs(q3),abs(r3),abs(o3) )
+      if (  abs(v1(5)+v2(5)+s1(2)+s2(2))
+     &     +abs(v1(6)+v2(6)+s1(3)+s2(3)).ge.pm*epsi ) then
+         write(stdo,*)
+     &        ' helas-error : v1,v2,s1,s2 in vvssxx'
+         write(stdo,*) 
+     &        '             : have not balanced momenta'
+       endif
+       if ( gc.eq.cZero ) then
+          write(stdo,*) ' helas-error : gc in vvssxx is zero coupling'
+       endif
+#endif
+
+      vertex = gc*s1(1)*s2(1)
+     &        *(v1(1)*v2(1)-v1(2)*v2(2)-v1(3)*v2(3)-v1(4)*v2(4))
+c
+      return
+      end

=== added file 'HELAS/vvstxx.F'
--- HELAS/vvstxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/vvstxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,59 @@
+      subroutine vvstxx(ga,gb,tc,g, vertex)
+c
+c- by RF - Feb. 2006
+c
+c This subroutine computes the portion of the amplitude of the four-point 
+c coupling of 2 massless color octet gauge bosons (gluons) 
+C with an effective color octect antisymmetric tensor.
+c                                                                       
+c input:
+c     complex ga(6)                       : first vector  (gluon)
+c     complex gb(6)                       : second vector (gluon)
+c     complex tc(18)                      : tensor current
+c     real    g                           : coupling constant
+c 
+c output:
+c     complex vertex                      : amplitude
+c
+
+      implicit none
+
+c dimension of the current set to arbitrary length
+      integer DIM
+      parameter (DIM=18)
+c      include "dimension.inc"
+      double complex ga(DIM),gb(DIM),tc(DIM)
+
+      double precision xm,xw,g
+
+      double precision sqrTwo
+      parameter( sqrTwo=1.41421356237309514547462185873882845044d0 )
+
+      double complex dvertx, vertex
+
+
+      dvertx = ! + tc( 1)*( ga(1)*gb(1) - ga(1)*gb(1) )  Always zero
+     &          - tc( 2)*( ga(1)*gb(2) - ga(2)*gb(1) ) 
+     &          - tc( 3)*( ga(1)*gb(3) - ga(3)*gb(1) ) 
+     &          - tc( 4)*( ga(1)*gb(4) - ga(4)*gb(1) ) 
+     
+     &          - tc( 5)*( ga(2)*gb(1) - ga(1)*gb(2) ) 
+     &         ! + tc( 6)*( ga(2)*gb(2) - ga(2)*gb(2) )  Always zero
+     &          + tc( 7)*( ga(2)*gb(3) - ga(3)*gb(2) ) 
+     &          + tc( 8)*( ga(2)*gb(4) - ga(4)*gb(2) ) 
+     
+     &          - tc( 9)*( ga(3)*gb(1) - ga(1)*gb(3) ) 
+     &          + tc(10)*( ga(3)*gb(2) - ga(2)*gb(3) ) 
+     &         ! + tc(11)*( ga(3)*gb(3) - ga(3)*gb(3) )  Always zero
+     &          + tc(12)*( ga(3)*gb(4) - ga(4)*gb(3) ) 
+     
+     &          - tc(13)*( ga(4)*gb(1) - ga(1)*gb(4) ) 
+     &          + tc(14)*( ga(4)*gb(2) - ga(2)*gb(4) ) 
+     &          + tc(15)*( ga(4)*gb(3) - ga(3)*gb(4) ) 
+     &         ! + tc(16)*( ga(4)*gb(4) - ga(4)*gb(4) )  Always zero
+
+      vertex = g * dvertx /sqrTwo
+
+
+      return
+      end

=== added file 'HELAS/vvsxxx.F'
--- HELAS/vvsxxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/vvsxxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,82 @@
+      subroutine vvsxxx(v1,v2,sc,gc , vertex)
+c
+c This subroutine computes an amplitude of the vector-vector-scalar
+c coupling.
+c
+c input:
+c       complex v1(6)          : first  vector                        v1
+c       complex v2(6)          : second vector                        v2
+c       complex sc(3)          : input  scalar                        s
+c       complex gc             : coupling constant                  gvvh
+c
+c output:
+c       complex vertex         : amplitude                gamma(v1,v2,s)
+c     
+      implicit none
+      double complex v1(6),v2(6),sc(3),gc,vertex
+
+#ifdef HELAS_CHECK
+      double precision p10,p11,p12,p13,p20,p21,p22,p23,q0,q1,q2,q3,pm
+      double precision epsi
+      parameter( epsi = 4.0d-5 )
+      double precision rZero
+      parameter( rZero = 0.0d0 )
+      double complex cZero
+      parameter( cZero = ( 0.0d0, 0.0d0 ) )
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+#ifdef HELAS_CHECK
+      p10 = dble( v1(5))
+      p11 = dble( v1(6))
+      p12 = dimag(v1(6))
+      p13 = dimag(v1(5))
+      p20 = dble( v2(5))
+      p21 = dble( v2(6))
+      p22 = dimag(v2(6))
+      p23 = dimag(v2(5))
+      q0  = dble( sc(2))
+      q1  = dble( sc(3))
+      q2  = dimag(sc(3))
+      q3  = dimag(sc(2))
+      if ( abs(v1(1))+abs(v1(2))+abs(v1(3))+abs(v1(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : v1 in vvsxxx is zero vector'
+      endif
+      if ( abs(v1(5))+abs(v1(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : v1 in vvsxxx has zero momentum'
+      endif
+      if ( abs(v2(1))+abs(v2(2))+abs(v2(3))+abs(v2(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : v2 in vvsxxx is zero vector'
+      endif
+      if ( abs(v2(5))+abs(v2(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : v2 in vvsxxx has zero momentum'
+      endif
+      if ( abs(sc(1)).eq.rZero) then
+         write(stdo,*) ' helas-warn  : sc in vvsxxx is zero scalar'
+      endif
+      if ( abs(sc(2))+abs(sc(3)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : sc in vvsxxx has zero momentum'
+      endif
+      pm = max( abs(p10),abs(p20),abs(q0),abs(p11),abs(p21),abs(q1),
+     &          abs(p12),abs(p22),abs(q2),abs(p13),abs(p23),abs(q3) )
+      if ( abs(v1(5)+v2(5)+sc(2))+abs(v1(6)+v2(6)+sc(3))
+     &                                                  .ge.pm*epsi ) then
+         write(stdo,*)
+     &        ' helas-error : v1,v2,sc in vvsxxx'
+         write(stdo,*)
+     &        '             : have not balanced momenta'
+      endif
+      if (gc.eq.cZero) then
+         write(stdo,*) ' helas-error : gc in vvsxxx is zero coupling'
+      endif
+#endif
+
+      vertex = gc*sc(1)
+     &        *(v1(1)*v2(1)-v1(2)*v2(2)-v1(3)*v2(3)-v1(4)*v2(4))
+c
+      return
+      end

=== added file 'HELAS/vvtaxx.F'
--- HELAS/vvtaxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/vvtaxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,57 @@
+      subroutine vvtaxx(ga,gb,tc,g,xm, vertex)
+c
+c- by RF - Feb. 2006
+c
+c This subroutine computes the portion of the amplitude of the four-point 
+c coupling of 2 massless color octet gauge bosons
+C with an effective color octect antisymmetric tensor.
+c                                                                       
+c input:
+c     complex ga(6)                       : first vector  (gluon)
+c     complex gb(6)                       : second vector (gluon)
+c     complex tc(18)                      : tensor current
+c     real    g                           : coupling constant
+c 
+c output:
+c     complex vertex                      : amplitude
+c
+
+      implicit none
+
+c dimension of the current set to arbitrary length
+c      integer DIM
+c      parameter (DIM=18)
+      include "dimension.inc"
+      double complex ga(DIM),gb(DIM),tc(DIM)
+      double precision xm,xw,g
+      double precision sqrTwo
+      parameter( sqrTwo=1.41421356237309514547462185873882845044d0 )
+
+      double complex dvertx, vertex
+
+
+      dvertx = ! + tc( 1)*( ga(1)*gb(1) - ga(1)*gb(1) )  Always zero
+     &          - tc( 2)*( ga(1)*gb(2) - ga(2)*gb(1) ) 
+     &          - tc( 3)*( ga(1)*gb(3) - ga(3)*gb(1) ) 
+     &          - tc( 4)*( ga(1)*gb(4) - ga(4)*gb(1) ) 
+     
+     &          - tc( 5)*( ga(2)*gb(1) - ga(1)*gb(2) ) 
+     &         ! + tc( 6)*( ga(2)*gb(2) - ga(2)*gb(2) )  Always zero
+     &          + tc( 7)*( ga(2)*gb(3) - ga(3)*gb(2) ) 
+     &          + tc( 8)*( ga(2)*gb(4) - ga(4)*gb(2) ) 
+     
+     &          - tc( 9)*( ga(3)*gb(1) - ga(1)*gb(3) ) 
+     &          + tc(10)*( ga(3)*gb(2) - ga(2)*gb(3) ) 
+     &         ! + tc(11)*( ga(3)*gb(3) - ga(3)*gb(3) )  Always zero
+     &          + tc(12)*( ga(3)*gb(4) - ga(4)*gb(3) ) 
+     
+     &          - tc(13)*( ga(4)*gb(1) - ga(1)*gb(4) ) 
+     &          + tc(14)*( ga(4)*gb(2) - ga(2)*gb(4) ) 
+     &          + tc(15)*( ga(4)*gb(3) - ga(3)*gb(4) ) 
+     &         ! + tc(16)*( ga(4)*gb(4) - ga(4)*gb(4) )  Always zero
+
+      vertex = g * dvertx /sqrTwo
+
+
+      return
+      end

=== added file 'HELAS/vvtcxx.F'
--- HELAS/vvtcxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/vvtcxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,63 @@
+      subroutine vvtcxx(v1,v2,tc,gt,vmass , vertex)
+c-------------------CP3  2009.10-----------------
+c This subroutine computes an amplitude of the three-point coupling of
+c two gauge bosons and a non-propagating tensor boson.
+c
+c input:
+c       complex v1(6)          : first  vector                            v1
+c       complex v2(6)          : second vector                        v2
+c       complex tc(18)         : input  tensor                           T
+c       complex gt             : coupling constant                   gt=gs
+c       real    vmass          : vector boson mass                   m_v
+c
+c output:
+c       complex vertex         : amplitude                gamma(v1,v2,T)
+c
+c     
+      implicit none
+      double complex v1(6), v2(6), tc(18), vertex
+      double precision vmass, gt
+
+      double complex ft(6,4)
+      double complex  dum
+
+      integer i, j
+
+      double complex cZero
+      double precision rZero, rTwo
+      parameter( rZero = 0.0d0, rTwo = 2.0d0 )
+      parameter( cZero = ( 0.0d0, 0.0d0 ) )
+
+      
+      ft(1,1) = tc(1)
+      ft(1,2) = tc(2)
+      ft(1,3) = tc(3)
+      ft(1,4) = tc(4)
+      ft(2,1) = tc(5)
+      ft(2,2) = tc(6)
+      ft(2,3) = tc(7)
+      ft(2,4) = tc(8)
+      ft(3,1) = tc(9)
+      ft(3,2) = tc(10)
+      ft(3,3) = tc(11)
+      ft(3,4) = tc(12)
+      ft(4,1) = tc(13)
+      ft(4,2) = tc(14)
+      ft(4,3) = tc(15)
+      ft(4,4) = tc(16)
+      ft(5,1) = tc(17)
+      ft(6,1) = tc(18)
+
+        vertex=ft(1,1)*v1(1)*v2(1) -ft(2,1)*v1(2)*v2(1) - 
+     -  ft(3,1)*v1(3)*v2(1) - ft(4,1)*v1(4)*v2(1) - 
+     -  ft(1,2)*v1(1)*v2(2) + ft(2,2)*v1(2)*v2(2) + 
+     -  ft(3,2)*v1(3)*v2(2) + ft(4,2)*v1(4)*v2(2) - 
+     -  ft(1,3)*v1(1)*v2(3) + ft(2,3)*v1(2)*v2(3) + 
+     -  ft(3,3)*v1(3)*v2(3) + ft(4,3)*v1(4)*v2(3) - 
+     -  ft(1,4)*v1(1)*v2(4) + ft(2,4)*v1(2)*v2(4) + 
+     -  ft(3,4)*v1(3)*v2(4) + ft(4,4)*v1(4)*v2(4)
+
+      vertex = vertex * gt
+
+      return
+      end

=== added file 'HELAS/vvtxkk.F'
--- HELAS/vvtxkk.F	1970-01-01 00:00:00 +0000
+++ HELAS/vvtxkk.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,112 @@
+      subroutine vvtxkk(wm,wp,tc,g,vmass , vertex)
+c
+c This subroutine computes an amplitude of the three-point coupling of
+c two gauge bosons and a Kaluza-Klein tensor boson.
+c
+c input:
+c       complex wm(6)          : vector               flow-in  V
+c       complex wp(6)          : vector               flow-out V~
+c       complex tc(6,4)        : tensor               KK mode T
+c       real    g              : coupling constant    -kappa/2
+c       real    vmass          : V boson mass          m_V
+c
+c output:
+c       complex vertex         : amplitude            gamma(wm,wp,tc)
+c     
+      implicit none
+      double complex wm(6), wp(6), tc(6,4), vertex
+      double precision g, vmass
+
+      double complex T12, T13, T14, T23, T24, T34
+      double complex V1V2, k1V2, k2V1
+      double complex Tkk, TVV, Tk1V2, Tk2V1, dum
+      double precision pwm(4), pwp(4), F
+
+      integer i, j
+
+      double complex cZero
+      double precision rZero, rTwo
+      parameter( rZero = 0.0d0, rTwo = 2.0d0 )
+      parameter( cZero = ( 0.0d0, 0.0d0 ) )
+c
+      pwm(1) = dreal(wm(5))
+      pwm(2) = dreal(wm(6))
+      pwm(3) = dimag(wm(6))
+      pwm(4) = dimag(wm(5))
+      pwp(1) = dreal(wp(5))
+      pwp(2) = dreal(wp(6))
+      pwp(3) = dimag(wp(6))
+      pwp(4) = dimag(wp(5))
+
+      T12 = tc(1,2) + tc(2,1)
+      T13 = tc(1,3) + tc(3,1)
+      T14 = tc(1,4) + tc(4,1)
+      T23 = tc(2,3) + tc(3,2)
+      T24 = tc(2,4) + tc(4,2)
+      T34 = tc(3,4) + tc(4,3)
+
+      V1V2 =  wm(1)*wp(1) -  wm(2)*wp(2) -  wm(3)*wp(3) -  wm(4)*wp(4)
+      k1V2 = pwm(1)*wp(1) - pwm(2)*wp(2) - pwm(3)*wp(3) - pwm(4)*wp(4)
+      k2V1 = pwp(1)*wm(1) - pwp(2)*wm(2) - pwp(3)*wm(3) - pwp(4)*wm(4)
+
+      F = pwm(1)*pwp(1) - pwm(2)*pwp(2) - pwm(3)*pwp(3) - pwm(4)*pwp(4)
+      if ( vmass.ne.rZero ) then
+         F = F + vmass**2
+      end if
+
+      Tkk   = cZero
+      TVV   = cZero
+      Tk1V2 = cZero
+      Tk2V1 = cZero
+
+      do i = 1,4
+         dum   = tc(i,i)*pwm(i)
+         Tkk   = Tkk   + dum*pwp(i)
+         Tk1V2 = Tk1V2 + dum*wp(i)
+         dum   = tc(i,i)*wm(i)
+         TVV   = TVV   + dum*wp(i)
+         Tk2V1 = Tk2V1 + dum*pwp(i)
+      end do
+
+      Tkk   = rTwo*Tkk
+      TVV   = rTwo*TVV
+      Tk1V2 = rTwo*Tk1V2
+      Tk2V1 = rTwo*Tk2V1
+
+      Tkk = Tkk - T12*(pwm(1)*pwp(2) + pwm(2)*pwp(1))
+     &          - T13*(pwm(1)*pwp(3) + pwm(3)*pwp(1))
+     &          - T14*(pwm(1)*pwp(4) + pwm(4)*pwp(1))
+     &          + T23*(pwm(2)*pwp(3) + pwm(3)*pwp(2))
+     &          + T24*(pwm(2)*pwp(4) + pwm(4)*pwp(2))
+     &          + T34*(pwm(3)*pwp(4) + pwm(4)*pwp(3))
+
+      Tk1V2 = Tk1V2 - T12*(pwm(1)*wp(2) + pwm(2)*wp(1))
+     &              - T13*(pwm(1)*wp(3) + pwm(3)*wp(1))
+     &              - T14*(pwm(1)*wp(4) + pwm(4)*wp(1))
+     &              + T23*(pwm(2)*wp(3) + pwm(3)*wp(2))
+     &              + T24*(pwm(2)*wp(4) + pwm(4)*wp(2))
+     &              + T34*(pwm(3)*wp(4) + pwm(4)*wp(3))
+
+      TVV = TVV - T12*(wm(1)*wp(2) + wm(2)*wp(1))
+     &          - T13*(wm(1)*wp(3) + wm(3)*wp(1))
+     &          - T14*(wm(1)*wp(4) + wm(4)*wp(1))
+     &          + T23*(wm(2)*wp(3) + wm(3)*wp(2))
+     &          + T24*(wm(2)*wp(4) + wm(4)*wp(2))
+     &          + T34*(wm(3)*wp(4) + wm(4)*wp(3))
+
+      Tk2V1 = Tk2V1 - T12*(wm(1)*pwp(2) + wm(2)*pwp(1))
+     &              - T13*(wm(1)*pwp(3) + wm(3)*pwp(1))
+     &              - T14*(wm(1)*pwp(4) + wm(4)*pwp(1))
+     &              + T23*(wm(2)*pwp(3) + wm(3)*pwp(2))
+     &              + T24*(wm(2)*pwp(4) + wm(4)*pwp(2))
+     &              + T34*(wm(3)*pwp(4) + wm(4)*pwp(3))
+
+      vertex =  (tc(1,1)-tc(2,2)-tc(3,3)-tc(4,4))*( k1V2*k2V1 - V1V2*F )
+     &        + F*TVV + V1V2*Tkk - k2V1*Tk1V2 - k1V2*Tk2V1
+
+C      vertex = F*TVV + V1V2*Tkk - k2V1*Tk1V2 - k1V2*Tk2V1
+
+      vertex = vertex * g
+c
+      return
+      end

=== added file 'HELAS/vvtxxx.F'
--- HELAS/vvtxxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/vvtxxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,150 @@
+      subroutine vvtxxx(v1,v2,tc,gt,vmass , vertex)
+c
+c This subroutine computes an amplitude of the three-point coupling of
+c two gauge bosons and a tensor boson.
+c
+c input:
+c       complex v1(6)          : first  vector                        v1
+c       complex v2(6)          : second vector                        v2
+c       complex tc(18)         : input  tensor                         T
+c       complex gt             : coupling constant         gtv=-1/Lambda
+c       real    vmass          : vector boson mass                   m_v
+c
+c output:
+c       complex vertex         : amplitude                gamma(v1,v2,T)
+c
+c- by Q.Li - OCT. 2006
+c     
+      implicit none
+      double complex v1(6), v2(6), tc(18), gt, vertex
+      double precision vmass
+
+      double complex ft(6,4)
+      double complex T12, T13, T14, T23, T24, T34
+      double complex V1V2, K1V2, K2V1
+c     new
+     &,K1V1,K2V2
+c     new
+      double complex TKK, TVV, TK1V2, TK2V1, dum
+      double precision pv1(4), pv2(4), F
+
+      integer i, j
+
+      double complex cZero
+      double precision rZero, rTwo
+      parameter( rZero = 0.0d0, rTwo = 2.0d0 )
+      parameter( cZero = ( 0.0d0, 0.0d0 ) )
+
+      
+      ft(1,1) = tc(1)
+      ft(1,2) = tc(2)
+      ft(1,3) = tc(3)
+      ft(1,4) = tc(4)
+      ft(2,1) = tc(5)
+      ft(2,2) = tc(6)
+      ft(2,3) = tc(7)
+      ft(2,4) = tc(8)
+      ft(3,1) = tc(9)
+      ft(3,2) = tc(10)
+      ft(3,3) = tc(11)
+      ft(3,4) = tc(12)
+      ft(4,1) = tc(13)
+      ft(4,2) = tc(14)
+      ft(4,3) = tc(15)
+      ft(4,4) = tc(16)
+      ft(5,1) = tc(17)
+      ft(6,1) = tc(18)
+
+      pv1(1) = dreal(v1(5))
+      pv1(2) = dreal(v1(6))
+      pv1(3) = dimag(v1(6))
+      pv1(4) = dimag(v1(5))
+      pv2(1) = dreal(v2(5))
+      pv2(2) = dreal(v2(6))
+      pv2(3) = dimag(v2(6))
+      pv2(4) = dimag(v2(5))
+
+      T12 = ft(1,2) + ft(2,1)
+      T13 = ft(1,3) + ft(3,1)
+      T14 = ft(1,4) + ft(4,1)
+      T23 = ft(2,3) + ft(3,2)
+      T24 = ft(2,4) + ft(4,2)
+      T34 = ft(3,4) + ft(4,3)
+
+      V1V2 =  v1(1)*v2(1) -  v1(2)*v2(2) -  v1(3)*v2(3) -  v1(4)*v2(4)
+      K1V2 = pv1(1)*v2(1) - pv1(2)*v2(2) - pv1(3)*v2(3) - pv1(4)*v2(4)
+      K2V1 = pv2(1)*v1(1) - pv2(2)*v1(2) - pv2(3)*v1(3) - pv2(4)*v1(4)
+c     new
+      K1V1 = pv1(1)*v1(1) - pv1(2)*v1(2) - pv1(3)*v1(3) - pv1(4)*v1(4)
+      K2V2 = pv2(1)*v2(1) - pv2(2)*v2(2) - pv2(3)*v2(3) - pv2(4)*v2(4)
+c     new
+
+      F = pv1(1)*pv2(1) - pv1(2)*pv2(2) - pv1(3)*pv2(3) - pv1(4)*pv2(4)
+      if ( vmass.ne.rZero ) then
+         F = F + vmass**2
+      end if
+
+      TKK   = cZero
+      TVV   = cZero
+      TK1V2 = cZero
+      TK2V1 = cZero
+
+      do i = 1,4
+         dum   = ft(i,i)*pv1(i)
+         TKK   = TKK   + dum*pv2(i)
+         TK1V2 = TK1V2 + dum*v2(i)
+         dum   = ft(i,i)*v1(i)
+         TVV   = TVV   + dum*v2(i)
+         TK2V1 = TK2V1 + dum*pv2(i)
+      end do
+
+      TKK   = rTwo*TKK
+      TVV   = rTwo*TVV
+      TK1V2 = rTwo*TK1V2
+      TK2V1 = rTwo*TK2V1
+
+      TKK = TKK - T12*(pv1(1)*pv2(2) + pv1(2)*pv2(1))
+     &          - T13*(pv1(1)*pv2(3) + pv1(3)*pv2(1))
+     &          - T14*(pv1(1)*pv2(4) + pv1(4)*pv2(1))
+     &          + T23*(pv1(2)*pv2(3) + pv1(3)*pv2(2))
+     &          + T24*(pv1(2)*pv2(4) + pv1(4)*pv2(2))
+     &          + T34*(pv1(3)*pv2(4) + pv1(4)*pv2(3))
+
+      TK1V2 = TK1V2 - T12*(pv1(1)*v2(2) + pv1(2)*v2(1))
+     &              - T13*(pv1(1)*v2(3) + pv1(3)*v2(1))
+     &              - T14*(pv1(1)*v2(4) + pv1(4)*v2(1))
+     &              + T23*(pv1(2)*v2(3) + pv1(3)*v2(2))
+     &              + T24*(pv1(2)*v2(4) + pv1(4)*v2(2))
+     &              + T34*(pv1(3)*v2(4) + pv1(4)*v2(3))
+
+      TVV = TVV - T12*(v1(1)*v2(2) + v1(2)*v2(1))
+     &          - T13*(v1(1)*v2(3) + v1(3)*v2(1))
+     &          - T14*(v1(1)*v2(4) + v1(4)*v2(1))
+     &          + T23*(v1(2)*v2(3) + v1(3)*v2(2))
+     &          + T24*(v1(2)*v2(4) + v1(4)*v2(2))
+     &          + T34*(v1(3)*v2(4) + v1(4)*v2(3))
+
+      TK2V1 = TK2V1 - T12*(v1(1)*pv2(2) + v1(2)*pv2(1))
+     &              - T13*(v1(1)*pv2(3) + v1(3)*pv2(1))
+     &              - T14*(v1(1)*pv2(4) + v1(4)*pv2(1))
+     &              + T23*(v1(2)*pv2(3) + v1(3)*pv2(2))
+     &              + T24*(v1(2)*pv2(4) + v1(4)*pv2(2))
+     &              + T34*(v1(3)*pv2(4) + v1(4)*pv2(3))
+
+      vertex =  (ft(1,1)-ft(2,2)-ft(3,3)-ft(4,4))*( K1V2*K2V1 - V1V2*F )
+     &        + F*TVV + V1V2*TKK - K2V1*TK1V2 - K1V2*TK2V1
+
+C      vertex = F*TVV + V1V2*TKK - K2V1*TK1V2 - K1V2*TK2V1
+
+c     new, additonal gauge fixing term in Feyman gauge
+      if ( vmass.eq.rZero ) then
+         vertex = vertex 
+     &+(ft(1,1)-ft(2,2)-ft(3,3)-ft(4,4))*(K1V1*K1V2+K2V1*K2V2+K1V1*K2V2)
+     &-K1V1*TK1V2-K2V2*TK2V1	   
+      endif	
+c     new    
+
+      vertex = vertex * gt
+
+      return
+      end

=== added file 'HELAS/vvvkxx.F'
--- HELAS/vvvkxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/vvvkxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,113 @@
+      subroutine vvvkxx(wm,wp,tc,g, vertex)
+c
+c This subroutine computes an amplitude of the three-point coupling of
+c two gauge bosons and a Kaluza-Klein tensor boson.
+c
+c input:
+c       complex wm(6)          : vector               flow-in  V
+c       complex wp(6)          : vector               flow-out V~
+c       complex tc(6,4)        : tensor               KK mode T
+c       complex g(1)           : coupling constant    -kappa/2
+c       real    g(2)           : V boson mass          m_V
+c
+c output:
+c       complex vertex         : amplitude            gamma(wm,wp,tc)
+c     
+      implicit none
+      double complex wm(18), wp(18), tc(18), vertex,g(2)
+      double precision vmass
+
+      double complex T12, T13, T14, T23, T24, T34
+      double complex V1V2, k1V2, k2V1
+      double complex Tkk, TVV, Tk1V2, Tk2V1, dum
+      double precision pwm(4), pwp(4), F
+
+      integer i, j
+
+      double complex cZero
+      double precision rZero, rTwo
+      parameter( rZero = 0.0d0, rTwo = 2.0d0 )
+      parameter( cZero = ( 0.0d0, 0.0d0 ) )
+c
+      vmass = dreal(g(2))
+      pwm(1) = dreal(wm(5))
+      pwm(2) = dreal(wm(6))
+      pwm(3) = dimag(wm(6))
+      pwm(4) = dimag(wm(5))
+      pwp(1) = dreal(wp(5))
+      pwp(2) = dreal(wp(6))
+      pwp(3) = dimag(wp(6))
+      pwp(4) = dimag(wp(5))
+
+      T12 = tc( 2) + tc( 5)
+      T13 = tc( 3) + tc( 9)
+      T14 = tc( 4) + tc(13)
+      T23 = tc( 7) + tc(10)
+      T24 = tc( 8) + tc(14)
+      T34 = tc(12) + tc(15)
+
+      V1V2 =  wm(1)*wp(1) -  wm(2)*wp(2) -  wm(3)*wp(3) -  wm(4)*wp(4)
+      k1V2 = pwm(1)*wp(1) - pwm(2)*wp(2) - pwm(3)*wp(3) - pwm(4)*wp(4)
+      k2V1 = pwp(1)*wm(1) - pwp(2)*wm(2) - pwp(3)*wm(3) - pwp(4)*wm(4)
+
+      F = pwm(1)*pwp(1) - pwm(2)*pwp(2) - pwm(3)*pwp(3) - pwm(4)*pwp(4)
+      if ( vmass.ne.rZero ) then
+         F = F + vmass**2
+      end if
+
+      Tkk   = cZero
+      TVV   = cZero
+      Tk1V2 = cZero
+      Tk2V1 = cZero
+
+      do i = 1,4
+         dum   = tc(i+4*(i-1))*pwm(i)
+         Tkk   = Tkk   + dum*pwp(i)
+         Tk1V2 = Tk1V2 + dum*wp(i)
+         dum   = tc(i+4*(i-1))*wm(i)
+         TVV   = TVV   + dum*wp(i)
+         Tk2V1 = Tk2V1 + dum*pwp(i)
+      end do
+
+      Tkk   = rTwo*Tkk
+      TVV   = rTwo*TVV
+      Tk1V2 = rTwo*Tk1V2
+      Tk2V1 = rTwo*Tk2V1
+
+      Tkk = Tkk - T12*(pwm(1)*pwp(2) + pwm(2)*pwp(1))
+     &          - T13*(pwm(1)*pwp(3) + pwm(3)*pwp(1))
+     &          - T14*(pwm(1)*pwp(4) + pwm(4)*pwp(1))
+     &          + T23*(pwm(2)*pwp(3) + pwm(3)*pwp(2))
+     &          + T24*(pwm(2)*pwp(4) + pwm(4)*pwp(2))
+     &          + T34*(pwm(3)*pwp(4) + pwm(4)*pwp(3))
+
+      Tk1V2 = Tk1V2 - T12*(pwm(1)*wp(2) + pwm(2)*wp(1))
+     &              - T13*(pwm(1)*wp(3) + pwm(3)*wp(1))
+     &              - T14*(pwm(1)*wp(4) + pwm(4)*wp(1))
+     &              + T23*(pwm(2)*wp(3) + pwm(3)*wp(2))
+     &              + T24*(pwm(2)*wp(4) + pwm(4)*wp(2))
+     &              + T34*(pwm(3)*wp(4) + pwm(4)*wp(3))
+
+      TVV = TVV - T12*(wm(1)*wp(2) + wm(2)*wp(1))
+     &          - T13*(wm(1)*wp(3) + wm(3)*wp(1))
+     &          - T14*(wm(1)*wp(4) + wm(4)*wp(1))
+     &          + T23*(wm(2)*wp(3) + wm(3)*wp(2))
+     &          + T24*(wm(2)*wp(4) + wm(4)*wp(2))
+     &          + T34*(wm(3)*wp(4) + wm(4)*wp(3))
+
+      Tk2V1 = Tk2V1 - T12*(wm(1)*pwp(2) + wm(2)*pwp(1))
+     &              - T13*(wm(1)*pwp(3) + wm(3)*pwp(1))
+     &              - T14*(wm(1)*pwp(4) + wm(4)*pwp(1))
+     &              + T23*(wm(2)*pwp(3) + wm(3)*pwp(2))
+     &              + T24*(wm(2)*pwp(4) + wm(4)*pwp(2))
+     &              + T34*(wm(3)*pwp(4) + wm(4)*pwp(3))
+
+      vertex =  (tc(1)-tc(6)-tc(11)-tc(16))*( k1V2*k2V1 - V1V2*F )
+     &        + F*TVV + V1V2*Tkk - k2V1*Tk1V2 - k1V2*Tk2V1
+
+C      vertex = F*TVV + V1V2*Tkk - k2V1*Tk1V2 - k1V2*Tk2V1
+
+      vertex = vertex * g(1)
+c
+      return
+      end

=== added file 'HELAS/vvvsxx.F'
--- HELAS/vvvsxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/vvvsxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,93 @@
+      subroutine vvvsxx(ga,gb,gc,sc,g1,g2,vertex)
+c
+c- by RF - Mar. 2006
+c
+c This subroutine computes an amplitude of the coupling of three gauge bosons
+c and a scalar particle
+c
+c input:
+c       complex ga(6)          : first  incoming vector   (gluon)
+c       complex gb(6)          : second incoming vector   (gluon)
+c       complex gc(6)          : third  incoming vector   (gluon)
+c       complex sc(3)          : incoming scalar particle (Higgs)
+c       real    g1             : coupling constant        (QCD)
+c       complex g2(2)          : coupling constant: gc(1) scalar
+c                                                   gc(2) pseudo-scalar
+c
+c output:
+c       complex vertex         : amplitude  
+c
+
+      implicit none
+
+c--   dimension of the current set to arbitrary length
+c      INTEGER DIM
+c      PARAMETER(DIM=18)
+      include "dimension.inc"
+      double complex ga(DIM),gb(DIM),gc(DIM),sc(DIM)
+
+      double complex dvertx, vertex, vertex1, vertex2
+      double complex vab, vbc, vca, v123, v124, v134, v234
+      double complex pgagb, pgagc, pgbga, pgbgc, pgcga, pgcgb
+      double precision pga(0:3),pgb(0:3),pgc(0:3),pabc(4)
+      double precision g1
+      double complex g2(2)
+
+      pga(0) = dble( ga(5))
+      pga(1) = dble( ga(6))
+      pga(2) = dimag(ga(6))
+      pga(3) = dimag(ga(5))
+
+      pgb(0) = dble( gb(5))
+      pgb(1) = dble( gb(6))
+      pgb(2) = dimag(gb(6))
+      pgb(3) = dimag(gb(5))
+
+      pgc(0) = dble( gc(5))
+      pgc(1) = dble( gc(6))
+      pgc(2) = dimag(gc(6))
+      pgc(3) = dimag(gc(5))
+
+      vertex1 = (0D0,0D0)
+      vertex2 = (0D0,0D0)
+
+      if (g2(1).NE.(0D0,0D0)) then
+      vab = ga(1)*gb(1)-ga(2)*gb(2)-ga(3)*gb(3)-ga(4)*gb(4)
+      vbc = gb(1)*gc(1)-gb(2)*gc(2)-gb(3)*gc(3)-gb(4)*gc(4)
+      vca = gc(1)*ga(1)-gc(2)*ga(2)-gc(3)*ga(3)-gc(4)*ga(4)
+
+      pgagb = pga(0)*gb(1) - pga(1)*gb(2) - pga(2)*gb(3) - pga(3)*gb(4)
+      pgagc = pga(0)*gc(1) - pga(1)*gc(2) - pga(2)*gc(3) - pga(3)*gc(4)
+      pgbga = pgb(0)*ga(1) - pgb(1)*ga(2) - pgb(2)*ga(3) - pgb(3)*ga(4)
+      pgbgc = pgb(0)*gc(1) - pgb(1)*gc(2) - pgb(2)*gc(3) - pgb(3)*gc(4)
+      pgcga = pgc(0)*ga(1) - pgc(1)*ga(2) - pgc(2)*ga(3) - pgc(3)*ga(4)
+      pgcgb = pgc(0)*gb(1) - pgc(1)*gb(2) - pgc(2)*gb(3) - pgc(3)*gb(4)
+
+      dvertx = vab*(pgagc-pgbgc) + vbc*(pgbga-pgcga) + vca*(pgcgb-pgagb)
+      vertex1= dvertx * g2(1)
+      endif
+
+      if (g2(2).NE.(0D0,0D0)) then
+      pabc(1) = pga(0) + pgb(0) + pgc(0)
+      pabc(2) = pga(1) + pgb(1) + pgc(1)
+      pabc(3) = pga(2) + pgb(2) + pgc(2)
+      pabc(4) = pga(3) + pgb(3) + pgc(3)
+
+      v123 =   ga(1)*gb(2)*gc(3) - ga(1)*gb(3)*gc(2) - ga(2)*gb(1)*gc(3)
+     &       + ga(2)*gb(3)*gc(1) + ga(3)*gb(1)*gc(2) - ga(3)*gb(2)*gc(1)
+      v124 = - ga(1)*gb(2)*gc(4) + ga(1)*gb(4)*gc(2) + ga(2)*gb(1)*gc(4)
+     &       - ga(2)*gb(4)*gc(1) - ga(4)*gb(1)*gc(2) + ga(4)*gb(2)*gc(1)
+      v134 =   ga(1)*gb(3)*gc(4) - ga(1)*gb(4)*gc(3) - ga(3)*gb(1)*gc(4)
+     &       + ga(3)*gb(4)*gc(1) + ga(4)*gb(1)*gc(3) - ga(4)*gb(3)*gc(1)
+      v234 = - ga(2)*gb(3)*gc(4) + ga(2)*gb(4)*gc(3) + ga(3)*gb(2)*gc(4)
+     &       - ga(3)*gb(4)*gc(2) - ga(4)*gb(2)*gc(3) + ga(4)*gb(3)*gc(2)
+
+
+      vertex2= g2(2) * (  v123*pabc(4) + v124*pabc(3)
+     &                  + v134*pabc(2) + v234*pabc(1) )
+      endif
+
+      vertex = g1*sc(1) * (vertex1 + vertex2)
+
+      return
+      end

=== added file 'HELAS/vvvtlx.F'
--- HELAS/vvvtlx.F	1970-01-01 00:00:00 +0000
+++ HELAS/vvvtlx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,91 @@
+      subroutine vvvtlx(ga,gb,gc,sc,g1,g2,vertex)
+c
+c- by RF - Feb. 2006
+c
+c This subroutine computes an amplitude of the coupling of three gauge bosons
+c and a scalar particle
+c
+c input:
+c       complex ga(6)          : first  incoming vector   (gluon)
+c       complex gb(6)          : second incoming vector   (gluon)
+c       complex gc(6)          : third  incoming vector   (gluon)
+c       complex sc(3)          : incoming scalar particle (Higgs)
+c       real    g1             : coupling constant        (QCD)
+c       complex g2(2)          : coupling constant        (Higgs Effct. Thr.)
+c
+c output:
+c       complex vertex         : amplitude  
+c
+
+      implicit none
+
+c--   dimension of the current set to arbitrary length
+c      INTEGER DIM
+c      PARAMETER(DIM=18)
+      include "dimension.inc"
+      double complex ga(DIM),gb(DIM),gc(DIM),sc(DIM)
+      double complex dvertx, vertex, vertex1, vertex2
+      double complex vab, vbc, vca, v123, v124, v134, v234
+      double complex pgagb, pgagc, pgbga, pgbgc, pgcga, pgcgb
+      double precision pga(0:3),pgb(0:3),pgc(0:3),pabc(4)
+      double precision g1
+      double complex   g2(2)
+
+      pga(0) = dble( ga(5))
+      pga(1) = dble( ga(6))
+      pga(2) = dimag(ga(6))
+      pga(3) = dimag(ga(5))
+
+      pgb(0) = dble( gb(5))
+      pgb(1) = dble( gb(6))
+      pgb(2) = dimag(gb(6))
+      pgb(3) = dimag(gb(5))
+
+      pgc(0) = dble( gc(5))
+      pgc(1) = dble( gc(6))
+      pgc(2) = dimag(gc(6))
+      pgc(3) = dimag(gc(5))
+
+      vertex1 = (0D0,0D0)
+      vertex2 = (0D0,0D0)
+
+      if (g2(1).NE.(0D0,0D0)) then
+      vab = ga(1)*gb(1)-ga(2)*gb(2)-ga(3)*gb(3)-ga(4)*gb(4)
+      vbc = gb(1)*gc(1)-gb(2)*gc(2)-gb(3)*gc(3)-gb(4)*gc(4)
+      vca = gc(1)*ga(1)-gc(2)*ga(2)-gc(3)*ga(3)-gc(4)*ga(4)
+
+      pgagb = pga(0)*gb(1) - pga(1)*gb(2) - pga(2)*gb(3) - pga(3)*gb(4)
+      pgagc = pga(0)*gc(1) - pga(1)*gc(2) - pga(2)*gc(3) - pga(3)*gc(4)
+      pgbga = pgb(0)*ga(1) - pgb(1)*ga(2) - pgb(2)*ga(3) - pgb(3)*ga(4)
+      pgbgc = pgb(0)*gc(1) - pgb(1)*gc(2) - pgb(2)*gc(3) - pgb(3)*gc(4)
+      pgcga = pgc(0)*ga(1) - pgc(1)*ga(2) - pgc(2)*ga(3) - pgc(3)*ga(4)
+      pgcgb = pgc(0)*gb(1) - pgc(1)*gb(2) - pgc(2)*gb(3) - pgc(3)*gb(4)
+
+      dvertx = vab*(pgagc-pgbgc) + vbc*(pgbga-pgcga) + vca*(pgcgb-pgagb)
+      vertex1= dvertx * g2(1)
+      endif
+
+      if (g2(2).NE.(0D0,0D0)) then
+      pabc(1) = pga(0) + pgb(0) + pgc(0)
+      pabc(2) = pga(1) + pgb(1) + pgc(1)
+      pabc(3) = pga(2) + pgb(2) + pgc(2)
+      pabc(4) = pga(3) + pgb(3) + pgc(3)
+
+      v123 =   ga(1)*gb(2)*gc(3) - ga(1)*gb(3)*gc(2) - ga(2)*gb(1)*gc(3)
+     &       + ga(2)*gb(3)*gc(1) + ga(3)*gb(1)*gc(2) - ga(3)*gb(2)*gc(1)
+      v124 = - ga(1)*gb(2)*gc(4) + ga(1)*gb(4)*gc(2) + ga(2)*gb(1)*gc(4)
+     &       - ga(2)*gb(4)*gc(1) - ga(4)*gb(1)*gc(2) + ga(4)*gb(2)*gc(1)
+      v134 =   ga(1)*gb(3)*gc(4) - ga(1)*gb(4)*gc(3) - ga(3)*gb(1)*gc(4)
+     &       + ga(3)*gb(4)*gc(1) + ga(4)*gb(1)*gc(3) - ga(4)*gb(3)*gc(1)
+      v234 = - ga(2)*gb(3)*gc(4) + ga(2)*gb(4)*gc(3) + ga(3)*gb(2)*gc(4)
+     &       - ga(3)*gb(4)*gc(2) - ga(4)*gb(2)*gc(3) + ga(4)*gb(3)*gc(2)
+
+
+      vertex2= g2(2) * (  v123*pabc(4) + v124*pabc(3)
+     &                    + v134*pabc(2) + v234*pabc(1) )
+      endif
+
+      vertex = g1*sc(1) * (vertex1 + vertex2)
+
+      return
+      end

=== added file 'HELAS/vvvtxx.F'
--- HELAS/vvvtxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/vvvtxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,184 @@
+      subroutine vvvtxx(va,vb,vc,tc,gc,gt , vertex)
+c
+c This subroutine computes an amplitude of the four-point coupling of
+c three gauge bosons and a tensor boson.
+c
+c input:
+c       complex va(6)          : first  vector                        va
+c       complex vb(6)          : second vector                        vb
+c       complex vc(6)          : third  vector                        vc
+c       complex tc(18)         : input  tensor                         T
+c       real    gc             : coupling constant       gs (for gluons)
+c       complex gt             : coupling constant         gtv=-1/Lambda
+c
+c output:
+c       complex vertex         : amplitude             gamma(va,vb,vc,T)
+c
+c- by Q.Li - OCT. 2006
+c     
+      implicit none
+      double complex va(6), vb(6), vc(6),  tc(18), gt, vertex
+      double precision gc
+ 
+      double complex ft(6,4)
+      double complex T00, T12, T13, T14, T23, T24, T34
+      double complex V1V2,V1V3,V2V3, K1V2, K1V3, K2V1
+     &,K2V3,K3V1,K3V2
+
+      double complex TV12,TV13,TV23,TKV1,TKV2,TKV3, dum
+      double precision pva(4), pvb(4), pvc(4),p31(4),p23(4),p12(4)
+
+      integer i, j
+
+      double complex cZero
+      double precision rZero, rTwo
+      parameter( rZero = 0.0d0, rTwo = 2.0d0 )
+      parameter( cZero = ( 0.0d0, 0.0d0 ) )
+
+      
+      ft(1,1) = tc(1)
+      ft(1,2) = tc(2)
+      ft(1,3) = tc(3)
+      ft(1,4) = tc(4)
+      ft(2,1) = tc(5)
+      ft(2,2) = tc(6)
+      ft(2,3) = tc(7)
+      ft(2,4) = tc(8)
+      ft(3,1) = tc(9)
+      ft(3,2) = tc(10)
+      ft(3,3) = tc(11)
+      ft(3,4) = tc(12)
+      ft(4,1) = tc(13)
+      ft(4,2) = tc(14)
+      ft(4,3) = tc(15)
+      ft(4,4) = tc(16)
+      ft(5,1) = tc(17)
+      ft(6,1) = tc(18)
+
+      pva(1) = dreal(va(5))
+      pva(2) = dreal(va(6))
+      pva(3) = dimag(va(6))
+      pva(4) = dimag(va(5))
+
+      pvb(1) = dreal(vb(5))
+      pvb(2) = dreal(vb(6))
+      pvb(3) = dimag(vb(6))
+      pvb(4) = dimag(vb(5))
+
+      pvc(1) = dreal(vc(5))
+      pvc(2) = dreal(vc(6))
+      pvc(3) = dimag(vc(6))
+      pvc(4) = dimag(vc(5))
+
+      p31(1) = pvc(1)-pva(1)
+      p31(2) = pvc(2)-pva(2)
+      p31(3) = pvc(3)-pva(3)
+      p31(4) = pvc(4)-pva(4)
+      
+      p12(1) = pva(1)-pvb(1)
+      p12(2) = pva(2)-pvb(2)
+      p12(3) = pva(3)-pvb(3)
+      p12(4) = pva(4)-pvb(4)
+      
+      p23(1) = pvb(1)-pvc(1)
+      p23(2) = pvb(2)-pvc(2)
+      p23(3) = pvb(3)-pvc(3)
+      p23(4) = pvb(4)-pvc(4)
+      
+      T00 = ft(1,1)-ft(2,2)-ft(3,3)-ft(4,4)
+      T12 = ft(1,2) + ft(2,1)
+      T13 = ft(1,3) + ft(3,1)
+      T14 = ft(1,4) + ft(4,1)
+      T23 = ft(2,3) + ft(3,2)
+      T24 = ft(2,4) + ft(4,2)
+      T34 = ft(3,4) + ft(4,3)
+
+      V1V2 =  va(1)*vb(1) -  va(2)*vb(2) -  va(3)*vb(3) -  va(4)*vb(4)
+      V1V3 =  va(1)*vc(1) -  va(2)*vc(2) -  va(3)*vc(3) -  va(4)*vc(4)
+      V2V3 =  vc(1)*vb(1) -  vc(2)*vb(2) -  vc(3)*vb(3) -  vc(4)*vb(4)
+      K1V2 = pva(1)*vb(1) - pva(2)*vb(2) - pva(3)*vb(3) - pva(4)*vb(4)
+      K1V3 = pva(1)*vc(1) - pva(2)*vc(2) - pva(3)*vc(3) - pva(4)*vc(4)
+      K2V1 = pvb(1)*va(1) - pvb(2)*va(2) - pvb(3)*va(3) - pvb(4)*va(4)
+      K2V3 = pvb(1)*vc(1) - pvb(2)*vc(2) - pvb(3)*vc(3) - pvb(4)*vc(4)
+      K3V1 = pvc(1)*va(1) - pvc(2)*va(2) - pvc(3)*va(3) - pvc(4)*va(4)
+      K3V2 = pvc(1)*vb(1) - pvc(2)*vb(2) - pvc(3)*vb(3) - pvc(4)*vb(4)
+
+
+      TV12   = cZero
+      TV13   = cZero
+      TV23   = cZero
+      TKV1   = cZero
+      TKV2   = cZero
+      TKV3   = cZero
+
+      TV12 = rtwo*(ft(1,1)*va(1)*vb(1)+ft(2,2)*va(2)*vb(2)
+     &+ft(3,3)*va(3)*vb(3)+ft(4,4)*va(4)*vb(4))
+
+      TV13 = rtwo*(ft(1,1)*va(1)*vc(1)+ft(2,2)*va(2)*vc(2)
+     &+ft(3,3)*va(3)*vc(3)+ft(4,4)*va(4)*vc(4))
+
+      TV23 = rtwo*(ft(1,1)*vb(1)*vc(1)+ft(2,2)*vb(2)*vc(2)
+     &+ft(3,3)*vb(3)*vc(3)+ft(4,4)*vb(4)*vc(4))
+
+      TKV1 = rtwo*(ft(1,1)*p23(1)*va(1)+ft(2,2)*p23(2)*va(2)
+     &+ft(3,3)*p23(3)*va(3)+ft(4,4)*p23(4)*va(4))
+
+      TKV2 = rtwo*(ft(1,1)*p31(1)*vb(1)+ft(2,2)*p31(2)*vb(2)
+     &+ft(3,3)*p31(3)*vb(3)+ft(4,4)*p31(4)*vb(4))
+     
+      TKV3 = rtwo*(ft(1,1)*p12(1)*vc(1)+ft(2,2)*p12(2)*vc(2)
+     &+ft(3,3)*p12(3)*vc(3)+ft(4,4)*p12(4)*vc(4))	
+
+
+      TV12 = TV12 - T12*(va(1)*vb(2) + va(2)*vb(1))
+     &            - T13*(va(1)*vb(3) + va(3)*vb(1))
+     &            - T14*(va(1)*vb(4) + va(4)*vb(1))
+     &            + T23*(va(2)*vb(3) + va(3)*vb(2))
+     &            + T24*(va(2)*vb(4) + va(4)*vb(2))
+     &            + T34*(va(3)*vb(4) + va(4)*vb(3))
+
+      TV13 = TV13 - T12*(va(1)*vc(2) + va(2)*vc(1))
+     &            - T13*(va(1)*vc(3) + va(3)*vc(1))
+     &            - T14*(va(1)*vc(4) + va(4)*vc(1))
+     &            + T23*(va(2)*vc(3) + va(3)*vc(2))
+     &            + T24*(va(2)*vc(4) + va(4)*vc(2))
+     &            + T34*(va(3)*vc(4) + va(4)*vc(3))
+
+      TV23 = TV23 - T12*(vb(1)*vc(2) + vb(2)*vc(1))
+     &            - T13*(vb(1)*vc(3) + vb(3)*vc(1))
+     &            - T14*(vb(1)*vc(4) + vb(4)*vc(1))
+     &            + T23*(vb(2)*vc(3) + vb(3)*vc(2))
+     &            + T24*(vb(2)*vc(4) + vb(4)*vc(2))
+     &            + T34*(vb(3)*vc(4) + vb(4)*vc(3))
+
+
+      TKV1 = TKV1 - T12*(p23(1)*va(2) + p23(2)*va(1))
+     &            - T13*(p23(1)*va(3) + p23(3)*va(1))
+     &            - T14*(p23(1)*va(4) + p23(4)*va(1))
+     &            + T23*(p23(2)*va(3) + p23(3)*va(2))
+     &            + T24*(p23(2)*va(4) + p23(4)*va(2))
+     &            + T34*(p23(3)*va(4) + p23(4)*va(3))
+
+      TKV2 = TKV2 - T12*(p31(1)*vb(2) + p31(2)*vb(1))
+     &            - T13*(p31(1)*vb(3) + p31(3)*vb(1))
+     &            - T14*(p31(1)*vb(4) + p31(4)*vb(1))
+     &            + T23*(p31(2)*vb(3) + p31(3)*vb(2))
+     &            + T24*(p31(2)*vb(4) + p31(4)*vb(2))
+     &            + T34*(p31(3)*vb(4) + p31(4)*vb(3))
+
+      TKV3 = TKV3 - T12*(p12(1)*vc(2) + p12(2)*vc(1))
+     &            - T13*(p12(1)*vc(3) + p12(3)*vc(1))
+     &            - T14*(p12(1)*vc(4) + p12(4)*vc(1))
+     &            + T23*(p12(2)*vc(3) + p12(3)*vc(2))
+     &            + T24*(p12(2)*vc(4) + p12(4)*vc(2))
+     &            + T34*(p12(3)*vc(4) + p12(4)*vc(3))
+
+
+      vertex = TKV3*V1V2-T00*K1V3*V1V2+T00*K2V3*V1V2+TKV2*V1V3
+     &+TV23*(K2V1-K3V1)+TKV1*V2V3-T00*K2V1*V2V3+T00*K3V1*V2V3
+     &-TV13*(K1V2-K3V2)+T00*K1V2*V1V3-T00*V1V3*K3V2+TV12*(K1V3-K2V3)
+
+      vertex= -vertex * gc*gt
+
+      return
+      end

=== added file 'HELAS/vvvxxx.F'
--- HELAS/vvvxxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/vvvxxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,126 @@
+      subroutine vvvxxx(wm,wp,w3,g , vertex)
+c
+c This subroutine computes an amplitude of the three-point coupling of
+c the gauge bosons.
+c
+c input:
+c       complex wm(6)          : vector               flow-out W-
+c       complex wp(6)          : vector               flow-out W+
+c       complex w3(6)          : vector               j3 or A    or Z
+c       real    g              : coupling constant    gw or gwwa or gwwz
+c
+c output:
+c       complex vertex         : amplitude               gamma(wm,wp,w3)
+c     
+      implicit none
+      double complex wm(6),wp(6),w3(6),vertex,
+     &     xv1,xv2,xv3,v12,v23,v31,p12,p13,p21,p23,p31,p32
+      double precision pwm(0:3),pwp(0:3),pw3(0:3),g
+
+      double precision rZero, rTenth
+      parameter( rZero = 0.0d0, rTenth = 0.1d0 )
+
+#ifdef HELAS_CHECK
+      double precision pm
+      double precision epsi
+      parameter( epsi = 4.0d-5 )
+      double complex cZero
+      parameter( cZero = ( 0.0d0, 0.0d0 ) )
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+      pwm(0) = dble( wm(5))
+      pwm(1) = dble( wm(6))
+      pwm(2) = dimag(wm(6))
+      pwm(3) = dimag(wm(5))
+      pwp(0) = dble( wp(5))
+      pwp(1) = dble( wp(6))
+      pwp(2) = dimag(wp(6))
+      pwp(3) = dimag(wp(5))
+      pw3(0) = dble( w3(5))
+      pw3(1) = dble( w3(6))
+      pw3(2) = dimag(w3(6))
+      pw3(3) = dimag(w3(5))
+
+#ifdef HELAS_CHECK
+      if (  abs(wm(1))+abs(wm(2))
+     &     +abs(wm(3))+abs(wm(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : wm in vvvxxx is zero vector'
+      endif
+      if ( abs(wm(5))+abs(wm(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : wm in vvvxxx has zero momentum'
+      endif
+      if (  abs(wp(1))+abs(wp(2))
+     &     +abs(wp(3))+abs(wp(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : wp in vvvxxx is zero vector'
+      endif
+      if ( abs(wp(5))+abs(wp(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : wp in vvvxxx has zero momentum'
+      endif
+      if (  abs(w3(1))+abs(w3(2))
+     &     +abs(w3(3))+abs(w3(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : w3 in vvvxxx is zero vector'
+      endif
+      if ( abs(w3(5))+abs(w3(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : w3 in vvvxxx has zero momentum'
+      endif
+      pm = max( abs(pwm(0)),abs(pwp(0)),abs(pw3(0)),
+     &          abs(pwm(1)),abs(pwp(1)),abs(pw3(1)),
+     &          abs(pwm(2)),abs(pwp(2)),abs(pw3(2)),
+     &          abs(pwm(3)),abs(pwp(3)),abs(pw3(3)) )
+      if ( abs(wm(5)+wp(5)+w3(5))+abs(wm(6)+wp(6)+w3(6))
+     &                                       .ge.pm*epsi ) then
+         write(stdo,*)
+     &        ' helas-error : wm,wp,w3 in vvvxxx'
+         write(stdo,*)
+     &        '             : have not balanced momenta'
+      endif
+      if ( g.eq.rZero ) then
+         write(stdo,*) ' helas-error : g in vvvxxx is zero coupling'
+      endif
+#endif
+
+      v12 = wm(1)*wp(1)-wm(2)*wp(2)-wm(3)*wp(3)-wm(4)*wp(4)
+      v23 = wp(1)*w3(1)-wp(2)*w3(2)-wp(3)*w3(3)-wp(4)*w3(4)
+      v31 = w3(1)*wm(1)-w3(2)*wm(2)-w3(3)*wm(3)-w3(4)*wm(4)
+      xv1 = rZero
+      xv2 = rZero
+      xv3 = rZero
+
+      if ( abs(wm(1)).ne.rZero ) then
+         if ( abs(wm(1)).ge.max(abs(wm(2)),abs(wm(3)),abs(wm(4)))
+     &        *rTenth )
+     &      xv1 = pwm(0)/wm(1)
+      endif
+      if ( abs(wp(1)).ne.rZero) then
+         if ( abs(wp(1)).ge.max(abs(wp(2)),abs(wp(3)),abs(wp(4)))
+     &        *rTenth )
+     &      xv2 = pwp(0)/wp(1)
+      endif
+      if ( abs(w3(1)).ne.rZero) then
+         if ( abs(w3(1)).ge.max(abs(w3(2)),abs(w3(3)),abs(w3(4)))
+     &        *rTenth )
+     &      xv3 = pw3(0)/w3(1)
+      endif
+
+      p12 = (pwm(0)-xv1*wm(1))*wp(1)-(pwm(1)-xv1*wm(2))*wp(2)
+     &     -(pwm(2)-xv1*wm(3))*wp(3)-(pwm(3)-xv1*wm(4))*wp(4)
+      p13 = (pwm(0)-xv1*wm(1))*w3(1)-(pwm(1)-xv1*wm(2))*w3(2)
+     &     -(pwm(2)-xv1*wm(3))*w3(3)-(pwm(3)-xv1*wm(4))*w3(4)
+      p21 = (pwp(0)-xv2*wp(1))*wm(1)-(pwp(1)-xv2*wp(2))*wm(2)
+     &     -(pwp(2)-xv2*wp(3))*wm(3)-(pwp(3)-xv2*wp(4))*wm(4)
+      p23 = (pwp(0)-xv2*wp(1))*w3(1)-(pwp(1)-xv2*wp(2))*w3(2)
+     &     -(pwp(2)-xv2*wp(3))*w3(3)-(pwp(3)-xv2*wp(4))*w3(4)
+      p31 = (pw3(0)-xv3*w3(1))*wm(1)-(pw3(1)-xv3*w3(2))*wm(2)
+     &     -(pw3(2)-xv3*w3(3))*wm(3)-(pw3(3)-xv3*w3(4))*wm(4)
+      p32 = (pw3(0)-xv3*w3(1))*wp(1)-(pw3(1)-xv3*w3(2))*wp(2)
+     &     -(pw3(2)-xv3*w3(3))*wp(3)-(pw3(3)-xv3*w3(4))*wp(4)
+
+      vertex = -(v12*(p13-p23)+v23*(p21-p31)+v31*(p32-p12))*g
+c
+      return
+      end

=== added file 'HELAS/vxxxxx.F'
--- HELAS/vxxxxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/vxxxxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,143 @@
+      subroutine vxxxxx(p,vmass,nhel,nsv , vc)
+c
+c This subroutine computes a VECTOR wavefunction.
+c
+c input:
+c       real    p(0:3)         : four-momentum of vector boson
+c       real    vmass          : mass          of vector boson
+c       integer nhel = -1, 0, 1: helicity      of vector boson
+c                                (0 is forbidden if vmass=0.0)
+c       integer nsv  = -1 or 1 : +1 for final, -1 for initial
+c
+c output:
+c       complex vc(6)          : vector wavefunction       epsilon^mu(v)
+c     
+      implicit none
+      double complex vc(6)
+      double precision p(0:3),vmass,hel,hel0,pt,pt2,pp,pzpt,emp,sqh
+      integer nhel,nsv,nsvahl
+
+      double precision rZero, rHalf, rOne, rTwo
+      parameter( rZero = 0.0d0, rHalf = 0.5d0 )
+      parameter( rOne = 1.0d0, rTwo = 2.0d0 )
+      
+#ifdef HELAS_CHECK
+      double precision p2
+      double precision epsi
+      parameter( epsi = 2.0d-5 )
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+#ifdef HELAS_CHECK
+      pp = sqrt(p(1)**2+p(2)**2+p(3)**2)
+      if ( abs(p(0))+pp.eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : p(0:3) in vxxxxx is zero momentum'
+      endif
+      if ( p(0).le.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : p(0:3) in vxxxxx has non-positive energy'
+         write(stdo,*) 
+     &        '             : p(0) = ',p(0)
+      endif
+      p2 = (p(0)+pp)*(p(0)-pp)
+      if ( abs(p2-vmass**2).gt.p(0)**2*2.e-5 ) then
+         write(stdo,*)
+     &        ' helas-error : p(0:3) in vxxxxx has inappropriate mass'
+         write(stdo,*)
+     &        '             : p**2 = ',p2,' : vmass**2 = ',vmass**2
+      endif
+      if ( vmass.ne.rZero ) then
+         if ( abs(nhel).gt.1 ) then
+            write(stdo,*) ' helas-error : nhel in vxxxxx is not -1,0,1'
+            write(stdo,*) '             : nhel = ',nhel
+         endif
+      else
+         if ( abs(nhel).ne.1 ) then
+            write(stdo,*) ' helas-error : nhel in vxxxxx is not -1,1'
+            write(stdo,*) '             : nhel = ',nhel
+         endif
+      endif
+      if ( abs(nsv).ne.1 ) then
+         write(stdo,*) ' helas-error : nsv in vmxxxx is not -1,1'
+         write(stdo,*) '             : nsv = ',nsv
+      endif
+#endif
+
+      sqh = dsqrt(rHalf)
+      hel = dble(nhel)
+      nsvahl = nsv*dabs(hel)
+      pt2 = p(1)**2+p(2)**2
+      pp = min(p(0),dsqrt(pt2+p(3)**2))
+      pt = min(pp,dsqrt(pt2))
+
+      vc(5) = dcmplx(p(0),p(3))*nsv
+      vc(6) = dcmplx(p(1),p(2))*nsv
+
+#ifdef HELAS_CHECK
+c nhel=4 option for scalar polarization
+      if( nhel.eq.4 ) then
+         if( vmass.eq.rZero ) then
+            vc(1) = rOne
+            vc(2) = p(1)/p(0)
+            vc(3) = p(2)/p(0)
+            vc(4) = p(3)/p(0)
+         else
+            vc(1) = p(0)/vmass
+            vc(2) = p(1)/vmass
+            vc(3) = p(2)/vmass
+            vc(4) = p(3)/vmass
+         endif
+         return
+      endif
+#endif
+
+      if ( vmass.ne.rZero ) then
+
+         hel0 = rOne-dabs(hel)
+
+         if ( pp.eq.rZero ) then
+
+            vc(1) = dcmplx( rZero )
+            vc(2) = dcmplx(-hel*sqh )
+            vc(3) = dcmplx( rZero , nsvahl*sqh )
+            vc(4) = dcmplx( hel0 )
+
+         else
+
+            emp = p(0)/(vmass*pp)
+            vc(1) = dcmplx( hel0*pp/vmass )
+            vc(4) = dcmplx( hel0*p(3)*emp+hel*pt/pp*sqh )
+            if ( pt.ne.rZero ) then
+               pzpt = p(3)/(pp*pt)*sqh*hel
+               vc(2) = dcmplx( hel0*p(1)*emp-p(1)*pzpt , 
+     &                         -nsvahl*p(2)/pt*sqh       )
+               vc(3) = dcmplx( hel0*p(2)*emp-p(2)*pzpt ,  
+     &                          nsvahl*p(1)/pt*sqh       )
+            else
+               vc(2) = dcmplx( -hel*sqh )
+               vc(3) = dcmplx( rZero , nsvahl*sign(sqh,p(3)) )
+            endif
+
+         endif
+
+      else
+
+         pp = p(0)
+         pt = sqrt(p(1)**2+p(2)**2)
+         vc(1) = dcmplx( rZero )
+         vc(4) = dcmplx( hel*pt/pp*sqh )
+         if ( pt.ne.rZero ) then
+            pzpt = p(3)/(pp*pt)*sqh*hel
+            vc(2) = dcmplx( -p(1)*pzpt , -nsv*p(2)/pt*sqh )
+            vc(3) = dcmplx( -p(2)*pzpt ,  nsv*p(1)/pt*sqh )
+         else
+            vc(2) = dcmplx( -hel*sqh )
+            vc(3) = dcmplx( rZero , nsv*sign(sqh,p(3)) )
+         endif
+
+      endif
+c
+      return
+      end

=== added file 'HELAS/w3w3nx.F'
--- HELAS/w3w3nx.F	1970-01-01 00:00:00 +0000
+++ HELAS/w3w3nx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,182 @@
+      subroutine w3w3nx(wm,w31,wp,w32,g31,g32, vertex)
+c
+c This subroutine computes an amplitude of the four-point coupling of
+c the W-, W+ and two W3/Z/A.
+c If one sets wmass=0.0, then the gggg vertex is given
+c (see sect 2.9.1 of the manual).
+c
+c input:
+c       complex wm(0:3)        : flow-out W-                         wm
+c       complex w31(0:3)       : first    W3/Z/A                     w31
+c       complex wp(0:3)        : flow-out W+                         wp
+c       complex w32(0:3)       : second   W3/Z/A                     w32
+c       real    g31            : coupling of w31 with W-/W+
+c       real    g32            : coupling of w32 with W-/W+
+c                                                  (see the table below)
+c       real    wmass          : mass  of W
+c       real    wwidth         : width of W
+c
+c the possible sets of the inputs are as follows:
+c   -------------------------------------------
+c   |  wm  |  w31 |  wp  |  w32 |  g31 |  g32 |
+c   -------------------------------------------
+c   |  W-  |  W3  |  W+  |  W3  |  gw  |  gw  |
+c   |  W-  |  W3  |  W+  |  Z   |  gw  | gwwz |
+c   |  W-  |  W3  |  W+  |  A   |  gw  | gwwa |
+c   |  W-  |  Z   |  W+  |  Z   | gwwz | gwwz |
+c   |  W-  |  Z   |  W+  |  A   | gwwz | gwwa |
+c   |  W-  |  A   |  W+  |  A   | gwwa | gwwa |
+c   -------------------------------------------
+c where all the bosons are defined by the flowing-OUT quantum number.
+c
+c output:
+c       complex vertex         : amplitude          gamma(wm,w31,wp,w32)
+c     
+      implicit none
+      double complex wm(6),w31(6),wp(6),w32(6),vertex
+      double complex dv1(0:3),dv2(0:3),dv3(0:3),dv4(0:3),dvertx
+      double complex v12,v13,v14,v23,v24,v34
+      double precision pwm(0:3),pw31(0:3),pwp(0:3),pw32(0:3)
+      double precision g31,g32,gtemp
+
+      double precision rZero, rOne, rTwo
+      parameter( rZero = 0.0d0, rOne = 1.0d0, rTwo = 2.0d0 )
+
+#ifdef HELAS_CHECK
+      double precision pm
+      double precision epsi
+      parameter( epsi = 4.0d-5 )
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+
+
+c Benj's modif in order to have FR running
+      gtemp=rZero
+      if(g31.eq.rzero) gtemp=g32
+      if(g32.eq.rzero) gtemp=g31
+c End of Benj'S modif
+
+
+      pwm(0) = dble( wm(5))
+      pwm(1) = dble( wm(6))
+      pwm(2) = dimag(wm(6))
+      pwm(3) = dimag(wm(5))
+      pwp(0) = dble( wp(5))
+      pwp(1) = dble( wp(6))
+      pwp(2) = dimag(wp(6))
+      pwp(3) = dimag(wp(5))
+      pw31(0) = dble( w31(5))
+      pw31(1) = dble( w31(6))
+      pw31(2) = dimag(w31(6))
+      pw31(3) = dimag(w31(5))
+      pw32(0) = dble( w32(5))
+      pw32(1) = dble( w32(6))
+      pw32(2) = dimag(w32(6))
+      pw32(3) = dimag(w32(5))
+
+#ifdef HELAS_CHECK
+      if (  abs(wm(1))+abs(wm(2))
+     &     +abs(wm(3))+abs(wm(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : wm in w3w3xx is zero vector'
+      endif
+      if ( abs(wm(5))+abs(wm(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : wm in w3w3xx has zero momentum'
+      endif
+      if (  abs(w31(1))+abs(w31(2))
+     &     +abs(w31(3))+abs(w31(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : w31 in w3w3xx is zero vector'
+      endif
+      if ( abs(w31(5))+abs(w31(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : w31 in w3w3xx has zero momentum'
+      endif
+      if (  abs(wp(1))+abs(wp(2))
+     &     +abs(wp(3))+abs(wp(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : wp in w3w3xx is zero vector'
+      endif
+      if ( abs(wp(5))+abs(wp(5)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : wp in w3w3xx has zero momentum'
+      endif
+      if (  abs(w32(1))+abs(w32(2))
+     &     +abs(w32(3))+abs(w32(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : w32 in w3w3xx is zero vector'
+      endif
+      if ( abs(w32(5))+abs(w32(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : w32 in w3w3xx has zero momentum'
+      endif
+      pm = max( abs(pwm(0)),abs(pw31(0)),abs(pwp(0)),abs(pw32(0)),
+     &          abs(pwm(1)),abs(pw31(1)),abs(pwp(1)),abs(pw32(1)),
+     &          abs(pwm(2)),abs(pw31(2)),abs(pwp(2)),abs(pw32(2)),
+     &          abs(pwm(3)),abs(pw31(3)),abs(pwp(3)),abs(pw32(3)) )
+      if (  abs(wm(5)+w31(5)+wp(5)+w32(5))
+     &     +abs(wm(6)+w31(6)+wp(6)+w32(6)).ge.pm*epsi ) then
+         write(stdo,*)
+     &        ' helas-error : wm,w31,wp,w32 in w3w3xx'
+         write(stdo,*)
+     &        '             : have not balanced momenta'
+      endif
+c     Neil edited this file to allow 3-site couplings.
+c      if ( g31.eq.rZero ) then
+c         write(stdo,*) ' helas-error : g31 in w3w3xx is zero coupling'
+c      endif
+c      if ( g32.eq.rZero ) then
+c         write(stdo,*) ' helas-error : g32 in w3w3xx is zero coupling'
+c      endif
+c      if ( g31.lt.rZero ) then
+c         write(stdo,*)
+c     &        ' helas-warn  : g31 in w3w3xx is non-standard coupling'
+c         write(stdo,*) 
+c     &        '             : g31 = ',g31
+c      endif
+c      if ( g32.lt.rZero ) then
+c         write(stdo,*)
+c     &        ' helas-warn  : g32 in w3w3xx is non-standard coupling'
+c         write(stdo,*)
+c     &        '             : g32 = ',g32
+c      endif
+c     End Neil's edit.
+#endif
+
+      dv1(0) = dcmplx(wm(1))
+      dv1(1) = dcmplx(wm(2))
+      dv1(2) = dcmplx(wm(3))
+      dv1(3) = dcmplx(wm(4))
+      dv2(0) = dcmplx(w31(1))
+      dv2(1) = dcmplx(w31(2))
+      dv2(2) = dcmplx(w31(3))
+      dv2(3) = dcmplx(w31(4))
+      dv3(0) = dcmplx(wp(1))
+      dv3(1) = dcmplx(wp(2))
+      dv3(2) = dcmplx(wp(3))
+      dv3(3) = dcmplx(wp(4))
+      dv4(0) = dcmplx(w32(1))
+      dv4(1) = dcmplx(w32(2))
+      dv4(2) = dcmplx(w32(3))
+      dv4(3) = dcmplx(w32(4))
+
+      v12 = dv1(0)*dv2(0)-dv1(1)*dv2(1)-dv1(2)*dv2(2)-dv1(3)*dv2(3)
+      v13 = dv1(0)*dv3(0)-dv1(1)*dv3(1)-dv1(2)*dv3(2)-dv1(3)*dv3(3)
+      v14 = dv1(0)*dv4(0)-dv1(1)*dv4(1)-dv1(2)*dv4(2)-dv1(3)*dv4(3)
+      v23 = dv2(0)*dv3(0)-dv2(1)*dv3(1)-dv2(2)*dv3(2)-dv2(3)*dv3(3)
+      v24 = dv2(0)*dv4(0)-dv2(1)*dv4(1)-dv2(2)*dv4(2)-dv2(3)*dv4(3)
+      v34 = dv3(0)*dv4(0)-dv3(1)*dv4(1)-dv3(2)*dv4(2)-dv3(3)*dv4(3)
+
+      dvertx = v12*v34 + v14*v23 - rTwo*v13*v24
+
+c     Neil edited this to allow 3 site coupling.
+c     Now only g31 is important.  g32 does nothing.
+c      vertex = dcmplx( dvertx ) * (g31*g32)
+c      vertex = dcmplx( dvertx ) * (g31)
+c     End Neil's edit
+c
+
+c Start of Benj's modif to have FR running
+      vertex = dcmplx( dvertx ) * (gtemp)
+c End of Benj's modif
+      return
+      end

=== added file 'HELAS/w3w3xx.F'
--- HELAS/w3w3xx.F	1970-01-01 00:00:00 +0000
+++ HELAS/w3w3xx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,163 @@
+      subroutine w3w3xx(wm,w31,wp,w32,g31,g32, vertex)
+c
+c This subroutine computes an amplitude of the four-point coupling of
+c the W-, W+ and two W3/Z/A.
+c If one sets wmass=0.0, then the gggg vertex is given
+c (see sect 2.9.1 of the manual).
+c
+c input:
+c       complex wm(0:3)        : flow-out W-                         wm
+c       complex w31(0:3)       : first    W3/Z/A                     w31
+c       complex wp(0:3)        : flow-out W+                         wp
+c       complex w32(0:3)       : second   W3/Z/A                     w32
+c       real    g31            : coupling of w31 with W-/W+
+c       real    g32            : coupling of w32 with W-/W+
+c                                                  (see the table below)
+c       real    wmass          : mass  of W
+c       real    wwidth         : width of W
+c
+c the possible sets of the inputs are as follows:
+c   -------------------------------------------
+c   |  wm  |  w31 |  wp  |  w32 |  g31 |  g32 |
+c   -------------------------------------------
+c   |  W-  |  W3  |  W+  |  W3  |  gw  |  gw  |
+c   |  W-  |  W3  |  W+  |  Z   |  gw  | gwwz |
+c   |  W-  |  W3  |  W+  |  A   |  gw  | gwwa |
+c   |  W-  |  Z   |  W+  |  Z   | gwwz | gwwz |
+c   |  W-  |  Z   |  W+  |  A   | gwwz | gwwa |
+c   |  W-  |  A   |  W+  |  A   | gwwa | gwwa |
+c   -------------------------------------------
+c where all the bosons are defined by the flowing-OUT quantum number.
+c
+c output:
+c       complex vertex         : amplitude          gamma(wm,w31,wp,w32)
+c     
+      implicit none
+      double complex wm(6),w31(6),wp(6),w32(6),vertex
+      double complex dv1(0:3),dv2(0:3),dv3(0:3),dv4(0:3),dvertx
+      double complex v12,v13,v14,v23,v24,v34
+      double precision pwm(0:3),pw31(0:3),pwp(0:3),pw32(0:3)
+      double precision g31,g32
+
+      double precision rZero, rOne, rTwo
+      parameter( rZero = 0.0d0, rOne = 1.0d0, rTwo = 2.0d0 )
+
+#ifdef HELAS_CHECK
+      double precision pm
+      double precision epsi
+      parameter( epsi = 4.0d-5 )
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+      pwm(0) = dble( wm(5))
+      pwm(1) = dble( wm(6))
+      pwm(2) = dimag(wm(6))
+      pwm(3) = dimag(wm(5))
+      pwp(0) = dble( wp(5))
+      pwp(1) = dble( wp(6))
+      pwp(2) = dimag(wp(6))
+      pwp(3) = dimag(wp(5))
+      pw31(0) = dble( w31(5))
+      pw31(1) = dble( w31(6))
+      pw31(2) = dimag(w31(6))
+      pw31(3) = dimag(w31(5))
+      pw32(0) = dble( w32(5))
+      pw32(1) = dble( w32(6))
+      pw32(2) = dimag(w32(6))
+      pw32(3) = dimag(w32(5))
+
+#ifdef HELAS_CHECK
+      if (  abs(wm(1))+abs(wm(2))
+     &     +abs(wm(3))+abs(wm(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : wm in w3w3xx is zero vector'
+      endif
+      if ( abs(wm(5))+abs(wm(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : wm in w3w3xx has zero momentum'
+      endif
+      if (  abs(w31(1))+abs(w31(2))
+     &     +abs(w31(3))+abs(w31(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : w31 in w3w3xx is zero vector'
+      endif
+      if ( abs(w31(5))+abs(w31(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : w31 in w3w3xx has zero momentum'
+      endif
+      if (  abs(wp(1))+abs(wp(2))
+     &     +abs(wp(3))+abs(wp(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : wp in w3w3xx is zero vector'
+      endif
+      if ( abs(wp(5))+abs(wp(5)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : wp in w3w3xx has zero momentum'
+      endif
+      if (  abs(w32(1))+abs(w32(2))
+     &     +abs(w32(3))+abs(w32(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : w32 in w3w3xx is zero vector'
+      endif
+      if ( abs(w32(5))+abs(w32(6)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : w32 in w3w3xx has zero momentum'
+      endif
+      pm = max( abs(pwm(0)),abs(pw31(0)),abs(pwp(0)),abs(pw32(0)),
+     &          abs(pwm(1)),abs(pw31(1)),abs(pwp(1)),abs(pw32(1)),
+     &          abs(pwm(2)),abs(pw31(2)),abs(pwp(2)),abs(pw32(2)),
+     &          abs(pwm(3)),abs(pw31(3)),abs(pwp(3)),abs(pw32(3)) )
+      if (  abs(wm(5)+w31(5)+wp(5)+w32(5))
+     &     +abs(wm(6)+w31(6)+wp(6)+w32(6)).ge.pm*epsi ) then
+         write(stdo,*)
+     &        ' helas-error : wm,w31,wp,w32 in w3w3xx'
+         write(stdo,*)
+     &        '             : have not balanced momenta'
+      endif
+      if ( g31.eq.rZero ) then
+         write(stdo,*) ' helas-error : g31 in w3w3xx is zero coupling'
+      endif
+      if ( g32.eq.rZero ) then
+         write(stdo,*) ' helas-error : g32 in w3w3xx is zero coupling'
+      endif
+      if ( g31.lt.rZero ) then
+         write(stdo,*)
+     &        ' helas-warn  : g31 in w3w3xx is non-standard coupling'
+         write(stdo,*) 
+     &        '             : g31 = ',g31
+      endif
+      if ( g32.lt.rZero ) then
+         write(stdo,*)
+     &        ' helas-warn  : g32 in w3w3xx is non-standard coupling'
+         write(stdo,*)
+     &        '             : g32 = ',g32
+      endif
+#endif
+
+      dv1(0) = dcmplx(wm(1))
+      dv1(1) = dcmplx(wm(2))
+      dv1(2) = dcmplx(wm(3))
+      dv1(3) = dcmplx(wm(4))
+      dv2(0) = dcmplx(w31(1))
+      dv2(1) = dcmplx(w31(2))
+      dv2(2) = dcmplx(w31(3))
+      dv2(3) = dcmplx(w31(4))
+      dv3(0) = dcmplx(wp(1))
+      dv3(1) = dcmplx(wp(2))
+      dv3(2) = dcmplx(wp(3))
+      dv3(3) = dcmplx(wp(4))
+      dv4(0) = dcmplx(w32(1))
+      dv4(1) = dcmplx(w32(2))
+      dv4(2) = dcmplx(w32(3))
+      dv4(3) = dcmplx(w32(4))
+
+      v12 = dv1(0)*dv2(0)-dv1(1)*dv2(1)-dv1(2)*dv2(2)-dv1(3)*dv2(3)
+      v13 = dv1(0)*dv3(0)-dv1(1)*dv3(1)-dv1(2)*dv3(2)-dv1(3)*dv3(3)
+      v14 = dv1(0)*dv4(0)-dv1(1)*dv4(1)-dv1(2)*dv4(2)-dv1(3)*dv4(3)
+      v23 = dv2(0)*dv3(0)-dv2(1)*dv3(1)-dv2(2)*dv3(2)-dv2(3)*dv3(3)
+      v24 = dv2(0)*dv4(0)-dv2(1)*dv4(1)-dv2(2)*dv4(2)-dv2(3)*dv4(3)
+      v34 = dv3(0)*dv4(0)-dv3(1)*dv4(1)-dv3(2)*dv4(2)-dv3(3)*dv4(3)
+
+      dvertx = v12*v34 + v14*v23 - rTwo*v13*v24
+      
+      vertex = dcmplx( dvertx ) * (g31*g32)
+c
+      return
+      end

=== added file 'HELAS/wwwwnx.F'
--- HELAS/wwwwnx.F	1970-01-01 00:00:00 +0000
+++ HELAS/wwwwnx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,163 @@
+      subroutine wwwwnx(wm1,wp1,wm2,wp2,gwwz,gwwa , vertex)
+
+c
+c This subroutine computes an amplitude of the four-point W-/W+ coupling.
+c
+c input:
+c       complex wm1(0:3)       : first  flow-out W-                  wm1
+c       complex wp1(0:3)       : first  flow-out W+                  wp1
+c       complex wm2(0:3)       : second flow-out W-                  wm2
+c       complex wp2(0:3)       : second flow-out W+                  wp2
+c       real    gwwa           : coupling constant of W and A       gwwa
+c       real    gwwz           : coupling constant of W and Z       gwwz
+c       real    zmass          : mass  of Z
+c       real    zwidth         : width of Z
+c
+c output:
+c       complex vertex         : amplitude        gamma(wm1,wp1,wm2,wp2)
+c     
+      implicit none
+      double complex wm1(6),wp1(6),wm2(6),wp2(6),vertex
+      double complex dv1(0:3),dv2(0:3),dv3(0:3),dv4(0:3),dvertx
+      double complex v12,v13,v14,v23,v24,v34
+      double precision pwm1(0:3),pwp1(0:3),pwm2(0:3),pwp2(0:3)
+      double precision gwwa,gwwz,gtemp
+
+      double precision rZero, rOne, rTwo
+      parameter( rZero = 0.0d0, rOne = 1.0d0, rTwo = 2.0d0 )
+
+#ifdef HELAS_CHECK
+      double precision pm
+      double precision epsi
+      parameter( epsi = 2.0d-5 )
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+
+c Benj's modif in order to have FR running
+      gtemp=rZero
+      if(gwwa.eq.rZero) gtemp=gwwz
+      if(gwwz.eq.rZero) gtemp=gwwa
+c End of Benj'S modif
+
+
+      pwm1(0) = dble( wm1(5))
+      pwm1(1) = dble( wm1(6))
+      pwm1(2) = dimag(wm1(6))
+      pwm1(3) = dimag(wm1(5))
+      pwp1(0) = dble( wp1(5))
+      pwp1(1) = dble( wp1(6))
+      pwp1(2) = dimag(wp1(6))
+      pwp1(3) = dimag(wp1(5))
+      pwm2(0) = dble( wm2(5))
+      pwm2(1) = dble( wm2(6))
+      pwm2(2) = dimag(wm2(6))
+      pwm2(3) = dimag(wm2(5))
+      pwp2(0) = dble( wp2(5))
+      pwp2(1) = dble( wp2(6))
+      pwp2(2) = dimag(wp2(6))
+      pwp2(3) = dimag(wp2(5))
+
+#ifdef HELAS_CHECK
+      if (  abs(wm1(1))+abs(wm1(2))
+     &     +abs(wm1(3))+abs(wm1(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : wm1 in wwwwxx is zero vector'
+      endif
+      if ( abs(wm1(5))+abs(wm1(5)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : wm1 in wwwwxx has zero momentum'
+      endif
+      if (  abs(wp1(1))+abs(wp1(2))
+     &     +abs(wp1(3))+abs(wp1(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : wp1 in wwwwxx is zero vector'
+      endif
+      if ( abs(wp1(5))+abs(wp1(5)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : wp1 in wwwwxx has zero momentum'
+      endif
+      if (  abs(wm2(1))+abs(wm2(2))
+     &     +abs(wm2(3))+abs(wm2(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : wm2 in wwwwxx is zero vector'
+      endif
+      if ( abs(wm2(5))+abs(wm2(5)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : wm2 in wwwwxx has zero momentum'
+      endif
+      if (  abs(wp2(1))+abs(wp2(2))
+     &     +abs(wp2(3))+abs(wp2(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : wp2 in wwwwxx is zero vector'
+      endif
+      if ( abs(wp2(5))+abs(wp2(5)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : wp2 in wwwwxx has zero momentum'
+      endif
+      pm = max( abs(pwm1(0)),abs(pwp1(0)),abs(pwm2(0)),abs(pwp2(0)),
+     &          abs(pwm1(1)),abs(pwp1(1)),abs(pwm2(1)),abs(pwp2(1)),
+     &          abs(pwm1(2)),abs(pwp1(2)),abs(pwm2(2)),abs(pwp2(2)),
+     &          abs(pwm1(3)),abs(pwp1(3)),abs(pwm2(3)),abs(pwp2(3)) )
+      if (  abs(wm1(5)+wp1(5)+wm2(5)+wp2(5))
+     &     +abs(wm1(6)+wp1(6)+wm2(6)+wp2(6)).ge.pm*epsi ) then
+         write(stdo,*)
+     &        ' helas-error : wm1,wp1,wm2,wp2 in wwwwxx'
+         write(stdo,*)
+     &        '             : have not balanced momenta'
+      endif
+
+c     Neil edited the following to allow 3-site couplings.
+c      if ( gwwa.eq.rZero ) then
+c         write(stdo,*) ' helas-error : gwwa in wwwwxx is zero coupling'
+c      endif
+c      if ( gwwz.eq.rZero ) then
+c         write(stdo,*)
+c     &        ' helas-error : gwwz in wwwwxx is zero coupling'
+c      endif
+c      if ( gwwa.lt.rZero .or. gwwa.ge.gwwz ) then
+c         write(stdo,*)
+c     &  ' helas-warn  : gwwa/gwwz in wwwwxx are non-standard couplings'
+c         write(stdo,*) 
+c     &  '             : gwwa = ',gwwa,'  gwwz = ',gwwz
+c      endif
+c     End Neil's edit.
+#endif
+
+      dv1(0) = dcmplx(wm1(1))
+      dv1(1) = dcmplx(wm1(2))
+      dv1(2) = dcmplx(wm1(3))
+      dv1(3) = dcmplx(wm1(4))
+      dv2(0) = dcmplx(wp1(1))
+      dv2(1) = dcmplx(wp1(2))
+      dv2(2) = dcmplx(wp1(3))
+      dv2(3) = dcmplx(wp1(4))
+      dv3(0) = dcmplx(wm2(1))
+      dv3(1) = dcmplx(wm2(2))
+      dv3(2) = dcmplx(wm2(3))
+      dv3(3) = dcmplx(wm2(4))
+      dv4(0) = dcmplx(wp2(1))
+      dv4(1) = dcmplx(wp2(2))
+      dv4(2) = dcmplx(wp2(3))
+      dv4(3) = dcmplx(wp2(4))
+
+      v12 = dv1(0)*dv2(0)-dv1(1)*dv2(1)-dv1(2)*dv2(2)-dv1(3)*dv2(3)
+      v13 = dv1(0)*dv3(0)-dv1(1)*dv3(1)-dv1(2)*dv3(2)-dv1(3)*dv3(3)
+      v14 = dv1(0)*dv4(0)-dv1(1)*dv4(1)-dv1(2)*dv4(2)-dv1(3)*dv4(3)
+      v23 = dv2(0)*dv3(0)-dv2(1)*dv3(1)-dv2(2)*dv3(2)-dv2(3)*dv3(3)
+      v24 = dv2(0)*dv4(0)-dv2(1)*dv4(1)-dv2(2)*dv4(2)-dv2(3)*dv4(3)
+      v34 = dv3(0)*dv4(0)-dv3(1)*dv4(1)-dv3(2)*dv4(2)-dv3(3)*dv4(3)
+
+c      dvertx = (v12*v34 + v14*v23 - rTwo*v13*v24)*(gwwa**2+gwwz**2)
+c     Neil edited this vertex to allow implementation of 3-site model.
+c     Now, the coupling gwwa is the full coupling squared of this vertex.
+c      dvertx = (v12*v34 + v14*v23 - rTwo*v13*v24)*(gwwa)
+c     End Neil's edit
+
+c Start of Benj'S modif
+      dvertx = (v12*v34 + v14*v23 - rTwo*v13*v24)*(gtemp)
+c End of Benj'S modif
+
+c Start of Claude'S modif (Removed minus sign)
+      vertex = dcmplx( dvertx )
+c End of Claude'S modif
+c
+      return
+      end

=== added file 'HELAS/wwwwxx.F'
--- HELAS/wwwwxx.F	1970-01-01 00:00:00 +0000
+++ HELAS/wwwwxx.F	2010-10-30 03:26:37 +0000
@@ -0,0 +1,141 @@
+      subroutine wwwwxx(wm1,wp1,wm2,wp2,gwwa,gwwz , vertex)
+c
+c This subroutine computes an amplitude of the four-point W-/W+ coupling.
+c
+c input:
+c       complex wm1(0:3)       : first  flow-out W-                  wm1
+c       complex wp1(0:3)       : first  flow-out W+                  wp1
+c       complex wm2(0:3)       : second flow-out W-                  wm2
+c       complex wp2(0:3)       : second flow-out W+                  wp2
+c       real    gwwa           : coupling constant of W and A       gwwa
+c       real    gwwz           : coupling constant of W and Z       gwwz
+c       real    zmass          : mass  of Z
+c       real    zwidth         : width of Z
+c
+c output:
+c       complex vertex         : amplitude        gamma(wm1,wp1,wm2,wp2)
+c     
+      implicit none
+      double complex wm1(6),wp1(6),wm2(6),wp2(6),vertex
+      double complex dv1(0:3),dv2(0:3),dv3(0:3),dv4(0:3),dvertx
+      double complex v12,v13,v14,v23,v24,v34
+      double precision pwm1(0:3),pwp1(0:3),pwm2(0:3),pwp2(0:3)
+      double precision gwwa,gwwz
+
+      double precision rZero, rOne, rTwo
+      parameter( rZero = 0.0d0, rOne = 1.0d0, rTwo = 2.0d0 )
+
+#ifdef HELAS_CHECK
+      double precision pm
+      double precision epsi
+      parameter( epsi = 2.0d-5 )
+      integer stdo
+      parameter( stdo = 6 )
+#endif
+c
+      pwm1(0) = dble( wm1(5))
+      pwm1(1) = dble( wm1(6))
+      pwm1(2) = dimag(wm1(6))
+      pwm1(3) = dimag(wm1(5))
+      pwp1(0) = dble( wp1(5))
+      pwp1(1) = dble( wp1(6))
+      pwp1(2) = dimag(wp1(6))
+      pwp1(3) = dimag(wp1(5))
+      pwm2(0) = dble( wm2(5))
+      pwm2(1) = dble( wm2(6))
+      pwm2(2) = dimag(wm2(6))
+      pwm2(3) = dimag(wm2(5))
+      pwp2(0) = dble( wp2(5))
+      pwp2(1) = dble( wp2(6))
+      pwp2(2) = dimag(wp2(6))
+      pwp2(3) = dimag(wp2(5))
+
+#ifdef HELAS_CHECK
+      if (  abs(wm1(1))+abs(wm1(2))
+     &     +abs(wm1(3))+abs(wm1(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : wm1 in wwwwxx is zero vector'
+      endif
+      if ( abs(wm1(5))+abs(wm1(5)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : wm1 in wwwwxx has zero momentum'
+      endif
+      if (  abs(wp1(1))+abs(wp1(2))
+     &     +abs(wp1(3))+abs(wp1(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : wp1 in wwwwxx is zero vector'
+      endif
+      if ( abs(wp1(5))+abs(wp1(5)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : wp1 in wwwwxx has zero momentum'
+      endif
+      if (  abs(wm2(1))+abs(wm2(2))
+     &     +abs(wm2(3))+abs(wm2(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : wm2 in wwwwxx is zero vector'
+      endif
+      if ( abs(wm2(5))+abs(wm2(5)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : wm2 in wwwwxx has zero momentum'
+      endif
+      if (  abs(wp2(1))+abs(wp2(2))
+     &     +abs(wp2(3))+abs(wp2(4)).eq.rZero ) then
+         write(stdo,*) ' helas-warn  : wp2 in wwwwxx is zero vector'
+      endif
+      if ( abs(wp2(5))+abs(wp2(5)).eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : wp2 in wwwwxx has zero momentum'
+      endif
+      pm = max( abs(pwm1(0)),abs(pwp1(0)),abs(pwm2(0)),abs(pwp2(0)),
+     &          abs(pwm1(1)),abs(pwp1(1)),abs(pwm2(1)),abs(pwp2(1)),
+     &          abs(pwm1(2)),abs(pwp1(2)),abs(pwm2(2)),abs(pwp2(2)),
+     &          abs(pwm1(3)),abs(pwp1(3)),abs(pwm2(3)),abs(pwp2(3)) )
+      if (  abs(wm1(5)+wp1(5)+wm2(5)+wp2(5))
+     &     +abs(wm1(6)+wp1(6)+wm2(6)+wp2(6)).ge.pm*epsi ) then
+         write(stdo,*)
+     &        ' helas-error : wm1,wp1,wm2,wp2 in wwwwxx'
+         write(stdo,*)
+     &        '             : have not balanced momenta'
+      endif
+      if ( gwwa.eq.rZero ) then
+         write(stdo,*) ' helas-error : gwwa in wwwwxx is zero coupling'
+      endif
+      if ( gwwz.eq.rZero ) then
+         write(stdo,*)
+     &        ' helas-error : gwwz in wwwwxx is zero coupling'
+      endif
+      if ( gwwa.lt.rZero .or. gwwa.ge.gwwz ) then
+         write(stdo,*)
+     &  ' helas-warn  : gwwa/gwwz in wwwwxx are non-standard couplings'
+         write(stdo,*) 
+     &  '             : gwwa = ',gwwa,'  gwwz = ',gwwz
+      endif
+#endif
+
+      dv1(0) = dcmplx(wm1(1))
+      dv1(1) = dcmplx(wm1(2))
+      dv1(2) = dcmplx(wm1(3))
+      dv1(3) = dcmplx(wm1(4))
+      dv2(0) = dcmplx(wp1(1))
+      dv2(1) = dcmplx(wp1(2))
+      dv2(2) = dcmplx(wp1(3))
+      dv2(3) = dcmplx(wp1(4))
+      dv3(0) = dcmplx(wm2(1))
+      dv3(1) = dcmplx(wm2(2))
+      dv3(2) = dcmplx(wm2(3))
+      dv3(3) = dcmplx(wm2(4))
+      dv4(0) = dcmplx(wp2(1))
+      dv4(1) = dcmplx(wp2(2))
+      dv4(2) = dcmplx(wp2(3))
+      dv4(3) = dcmplx(wp2(4))
+
+      v12 = dv1(0)*dv2(0)-dv1(1)*dv2(1)-dv1(2)*dv2(2)-dv1(3)*dv2(3)
+      v13 = dv1(0)*dv3(0)-dv1(1)*dv3(1)-dv1(2)*dv3(2)-dv1(3)*dv3(3)
+      v14 = dv1(0)*dv4(0)-dv1(1)*dv4(1)-dv1(2)*dv4(2)-dv1(3)*dv4(3)
+      v23 = dv2(0)*dv3(0)-dv2(1)*dv3(1)-dv2(2)*dv3(2)-dv2(3)*dv3(3)
+      v24 = dv2(0)*dv4(0)-dv2(1)*dv4(1)-dv2(2)*dv4(2)-dv2(3)*dv4(3)
+      v34 = dv3(0)*dv4(0)-dv3(1)*dv4(1)-dv3(2)*dv4(2)-dv3(3)*dv4(3)
+
+      dvertx = (v12*v34 + v14*v23 - rTwo*v13*v24)*(gwwa**2+gwwz**2)
+
+      vertex = -dcmplx( dvertx )
+c
+      return
+      end

=== added directory 'Template'
=== added directory 'Template/Cards'
=== added file 'Template/Cards/README'
--- Template/Cards/README	1970-01-01 00:00:00 +0000
+++ Template/Cards/README	2010-10-30 03:26:37 +0000
@@ -0,0 +1,13 @@
+This directory contains samples for all the cards which are used by
+MadGraph/MadEvent during the various stages of code operation.
+
+  Card: proc_card.dat        
+  Use : This is the process generation card which is used by
+        MadGraph to generate the code corresponding the user 
+        request. It can be used by all user's levels.
+        It now supports multi-processes to be requested at the same
+        time. In this case the events produced are in the right relative
+        ratio also for the different procs. Inclusive samples, like W+jets,
+        are produced starting from this option.
+
+

=== added file 'Template/Cards/delphes_card_ATLAS.dat'
--- Template/Cards/delphes_card_ATLAS.dat	1970-01-01 00:00:00 +0000
+++ Template/Cards/delphes_card_ATLAS.dat	2010-10-30 03:26:37 +0000
@@ -0,0 +1,135 @@
+DETECTOR CARD      # DO NOT REMOVE THIS IS A TAG!
+
+# Detector extension, in pseudorapidity units
+CEN_max_tracker    2.5                // Maximum tracker coverage          
+CEN_max_calo_cen   3.2                // central calorimeter coverage
+CEN_max_calo_fwd   4.9                // forward calorimeter pseudorapidity coverage
+CEN_max_mu         2.7                // muon chambers pseudorapidity coverage
+  
+# Energy resolution for electron/photon
+# \sigma/E = C + N/E + S/\sqrt{E}, E in GeV
+ELG_Scen          0.10                // S term for central ECAL  #http://arxiv.org/pdf/physics/0608012v1
+ELG_Ncen          0.0                 // N term for central ECAL  #http://arxiv.org/pdf/physics/0608012v1
+ELG_Ccen          0.0017              // C term for central ECAL  #http://arxiv.org/pdf/physics/0608012v1
+ELG_Sfwd          0.30407             // S term for forward FCAL  #http://villaolmo.mib.infn.it/ICATPP9th_2005/Calorimetry/Schram.p.pdf
+ELG_Nfwd          1.1533              // N term for central FCAL  #http://villaolmo.mib.infn.it/ICATPP9th_2005/Calorimetry/Schram.p.pdf
+ELG_Cfwd          0.0313              // C term for forward FCAL  #http://villaolmo.mib.infn.it/ICATPP9th_2005/Calorimetry/Schram.p.pdf
+ELG_Szdc          0.70              // S term for ZDC
+ELG_Nzdc          0.0               // N term for ZDC
+ELG_Czdc          0.08              // C term for ZDC
+
+
+# Energy resolution for hadrons in ecal/hcal/hf
+# \sigma/E = C + N/E + S/\sqrt{E}, E in GeV
+HAD_Shcal         0.58               // S term for central HCAL    #http://arxiv.org/pdf/hep-ex/0004009v1
+HAD_Nhcal         1.7                // N term for central HCAL    #http://arxiv.org/pdf/hep-ex/0004009v1
+HAD_Chcal         0.025              // C term for central HCAL    #http://arxiv.org/pdf/hep-ex/0004009v1
+HAD_Shf           0.9681             // S term for FCAL            #http://villaolmo.mib.infn.it/ICATPP9th_2005/Calorimetry/Schram.p.pdf
+HAD_Nhf           0.                 // N term for FCAL            #http://villaolmo.mib.infn.it/ICATPP9th_2005/Calorimetry/Schram.p.pdf
+HAD_Chf           0.0524             // C term for FCAL            #http://villaolmo.mib.infn.it/ICATPP9th_2005/Calorimetry/Schram.p.pdf
+HAD_Szdc          1.38              // S term for ZDC
+HAD_Nzdc          0.                // N term for ZDC
+HAD_Czdc          0.13              // C term for ZDC
+
+# Time resolution for ZDC/RP220/RP420
+ZDC_T_resolution   0                // in s
+RP220_T_resolution 0                // in s
+RP420_T_resolution 0                // in s
+
+# Muon smearing
+MU_SmearPt        0.01		    // transverse momentum Pt in GeV
+
+# Tracking efficiencies
+TRACK_ptmin       0.9               // minimal pt needed to reach the calorimeter in GeV
+TRACK_eff          90               // efficiency associated to the tracking (%)
+
+# Calorimetric towers
+TOWER_number         38
+TOWER_eta_edges 0.0 0.10 0.20 0.30 0.40 0.50 0.60 0.70 0.80 0.90 1.00 1.10 1.20 1.30 1.40 1.50 1.60 1.70 1.80 1.90 2.0 2.10 2.20 2.30 2.40 2.50 2.60 2.80 3.00 3.20 3.30 3.50 3.70 3.90 4.10 4.30 4.50 4.70 4.90 
+## list of the edges of each tower in eta for eta>0 assuming a symmetric detector in eta<0
+### the list starts with the lower edge of the most central tower
+### the list ends with the higher edged of the most forward tower
+### there should be NTOWER+1 values
+TOWER_dphi  10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 20 20 20 10 20 20 20 20 20 20 20 20
+### list of the tower size in phi (in degrees), assuming that all towers are similar in phi for a given eta value
+### the list starts with the phi-size of the most central tower (eta=0)
+### the list ends with the phi-size of the most forward tower
+### there should be NTOWER values
+##
+#
+
+# Thresholds for reconstructed objetcs, Pt in GeV
+PTCUT_elec       10.0
+PTCUT_muon       10.0
+PTCUT_jet        20.0
+PTCUT_gamma      10.0
+PTCUT_taujet     10.0
+
+# Thresholds for reconstructed objects in ZDC, E in GeV
+ZDC_gamma_E      20
+ZDC_n_E          50
+
+# Charged lepton isolation. Pt and Et in GeV
+ISOL_PT          2.0      //minimal pt of tracks for isolation criteria
+ISOL_Cone        0.5      //Cone  for isolation criteria
+ISOL_Calo_ET     1E99     //minimal tower transverse energy for isolation criteria. 1E99 means "off"
+ISOL_Calo_Cone   0.4      //Cone for calorimetric isolation
+ISOL_Calo_Grid   3        //Grid size (N x N) for calorimetric isolation
+
+# General jet variable
+JET_coneradius   0.7            // generic jet radius ; not for tau's !!!
+JET_jetalgo      1              // 1 for Cone algorithm, 2 for MidPoint algorithm, 3 for SIScone algorithm, 4 for kt algorithm
+JET_seed         1.0            // minimum seed to start jet reconstruction, in GeV
+JET_Eflow        0              // Perfect energy assumed in the tracker coverage
+
+# Tagging definition
+BTAG_b           50		// b-tag efficiency (%)
+BTAG_mistag_c    10		// mistagging (%)
+BTAG_mistag_l    1		// mistagging (%)
+
+# FLAGS
+FLAG_bfield      1                       // 1 to run the bfield propagation else 0
+FLAG_vfd         1                       // 1 to run the very forward detectors else 0
+FLAG_RP          1                       // 1 to run the very forward detectors else 0
+FLAG_trigger     1                       // 1 to run the trigger selection else 0
+FLAG_frog        0                       // 1 to run the FROG event display
+FLAG_lhco        0                       //1 to run the LHCO
+
+# In case BField propagation allowed
+TRACK_radius      115                   // radius of the BField coverage, in cm #chapter 1 you gave me
+TRACK_length      351                   // length of the BField coverage, in cm #also
+TRACK_bfield_x    0                     // X component of the BField, in T
+TRACK_bfield_y    0                     // Y component of the BField, in T
+TRACK_bfield_z    2.0                   // Z component of the BField, in T #also
+
+# Very forward detector extension, in pseudorapidity
+# if allowed (WARNING: not expected for ATLAS!)
+VFD_min_calo_vfd  5.2                   // very forward calorimeter (if any) like CASTOR
+VFD_max_calo_vfd  6.6
+VFD_min_zdc       8.3			// zero-degree neutral calorimeter
+VFD_s_zdc         140                   // distance of the Zero Degree Calorimeter, from the IP, in [m]
+
+RP_220_s          220                   // distance of the RP to the IP, in meters
+RP_220_x          0.002                 // distance of the RP to the beam, in meters
+RP_420_s          420                   // distance of the RP to the IP, in meters
+RP_420_x          0.004                 // distance of the RP to the beam, in meters
+RP_beam1Card      DELPHESDIR/data/LHCB1IR1.tfs
+RP_beam2Card      DELPHESDIR/data/LHCB2IR1.tfs
+RP_IP_name        IP1
+RP_offsetEl_x     0.097                 // horizontal separation between both beam, in meters
+RP_offsetEl_y     0                     // vertical separation between both beam, in meters
+RP_offsetEl_s     120                   // distance of beam separation point, from IP
+RP_cross_x        0                     // IP offset in horizontal plane, in micrometers
+RP_cross_y        +500                  // IP offset in vertical plane, in micrometers
+RP_cross_ang_x    142.5                 // half-crossing angle in horizontal plane, in microrad
+RP_cross_ang_y    0                     // half-crossing angle in vertical plane, in microrad
+
+
+# In case FROG event display allowed
+NEvents_Frog      100
+# Number of events to process
+NEvents           -1                    // -1 means 'all'
+
+# input PDG tables
+PdgTableFilename  DELPHESDIR/data/particle.tbl     // table with particle pid,mass,charge,...
+

=== added file 'Template/Cards/delphes_card_CMS.dat'
--- Template/Cards/delphes_card_CMS.dat	1970-01-01 00:00:00 +0000
+++ Template/Cards/delphes_card_CMS.dat	2010-10-30 03:26:37 +0000
@@ -0,0 +1,135 @@
+DETECTOR CARD      # DO NOT REMOVE THIS IS A TAG!
+
+# Detector extension, in pseudorapidity units
+CEN_max_tracker    2.5                // Maximum tracker coverage          
+CEN_max_calo_cen   3.0                // central calorimeter coverage
+CEN_max_calo_fwd   5.0                // forward calorimeter pseudorapidity coverage
+CEN_max_mu         2.4                // muon chambers pseudorapidity coverage
+  
+# Energy resolution for electron/photon
+# \sigma/E = C + N/E + S/\sqrt{E}, E in GeV
+ELG_Scen          0.05              // S term for central ECAL
+ELG_Ncen          0.25              // N term for central ECAL
+ELG_Ccen          0.005             // C term for central ECAL
+ELG_Sfwd          2.084             // S term for FCAL
+ELG_Nfwd          0.0               // N term for FCAL
+ELG_Cfwd          0.107             // C term for FCAL
+ELG_Szdc          0.70              // S term for ZDC
+ELG_Nzdc          0.0               // N term for ZDC
+ELG_Czdc          0.08              // C term for ZDC
+
+
+# Energy resolution for hadrons in ecal/hcal/hf
+# \sigma/E = C + N/E + S/\sqrt{E}, E in GeV
+HAD_Shcal         1.5               // S term for central HCAL 
+HAD_Nhcal         0.                // N term for central HCAL
+HAD_Chcal         0.05              // C term for central HCAL
+HAD_Shf           2.7               // S term for FCAL
+HAD_Nhf           0.                // N term for FCAL
+HAD_Chf           0.13              // C term for FCAL
+HAD_Szdc          1.38              // S term for ZDC
+HAD_Nzdc          0.                // N term for ZDC
+HAD_Czdc          0.13              // C term for ZDC
+
+# Time resolution for ZDC/RP220/RP420
+ZDC_T_resolution   0                // in s
+RP220_T_resolution 0                // in s
+RP420_T_resolution 0                // in s
+
+# Muon smearing
+MU_SmearPt        0.01		    // transverse momentum Pt in GeV
+
+# Tracking efficiencies
+TRACK_ptmin       0.9               // minimal pt needed to reach the calorimeter in GeV
+TRACK_eff          90               // efficiency associated to the tracking (%)
+
+# Calorimetric towers
+TOWER_number         40
+TOWER_eta_edges 0. 0.087 0.174 0.261 0.348 0.435 0.522 0.609 0.696 0.783 0.870 0.957 1.044 1.131 1.218 1.305 1.392 1.479 1.566 1.653 1.740 1.830 1.930 2.043 2.172 2.322 2.500 2.650 2.868 2.950 3.125 3.300 3.475 3.650 3.825 4.000 4.175 4.350 4.525 4.700 5.000
+## list of the edges of each tower in eta for eta>0 assuming a symmetric detector in eta<0
+### the list starts with the lower edge of the most central tower
+### the list ends with the higher edged of the most forward tower
+### there should be NTOWER+1 values
+TOWER_dphi 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 20 20
+### list of the tower size in phi (in degrees), assuming that all towers are similar in phi for a given eta value
+### the list starts with the phi-size of the most central tower (eta=0)
+### the list ends with the phi-size of the most forward tower
+### there should be NTOWER values
+##
+#
+
+# Thresholds for reconstructed objetcs, Pt in GeV
+PTCUT_elec       10.0
+PTCUT_muon       10.0
+PTCUT_jet        20.0
+PTCUT_gamma      10.0
+PTCUT_taujet     10.0
+
+# Thresholds for reconstructed objects in ZDC, E in GeV
+ZDC_gamma_E      20
+ZDC_n_E          50
+
+# Charged lepton isolation. Pt and Et in GeV
+ISOL_PT          2.0      //minimal pt of tracks for isolation criteria
+ISOL_Cone        0.5      //Cone  for isolation criteria
+ISOL_Calo_ET     1E99     //minimal tower transverse energy for isolation criteria. 1E99 means "off"
+ISOL_Calo_Cone   0.4      //Cone for calorimetric isolation
+ISOL_Calo_Grid   3        //Grid size (N x N) for calorimetric isolation
+
+# General jet variable
+JET_coneradius   0.7            // generic jet radius ; not for tau's !!!
+JET_jetalgo      1              // 1 for Cone algorithm, 2 for MidPoint algorithm, 3 for SIScone algorithm, 4 for kt algorithm
+JET_seed         1.0            // minimum seed to start jet reconstruction, in GeV
+JET_Eflow        0              // Perfect energy assumed in the tracker coverage
+
+# Tagging definition
+BTAG_b           40		// b-tag efficiency (%)
+BTAG_mistag_c    10		// mistagging (%)
+BTAG_mistag_l    1		// mistagging (%)
+
+# FLAGS
+FLAG_bfield      1                       //1 to run the bfield propagation else 0
+FLAG_vfd         1                       //1 to run the very forward detectors else 0
+FLAG_RP          1                       //1 to run the very forward detectors else 0
+FLAG_trigger     1                       //1 to run the trigger selection else 0
+FLAG_frog        0                       //1 to run the FROG event display
+FLAG_lhco        0                       //1 to run the LHCO
+
+# In case BField propagation allowed
+TRACK_radius      129                   //radius of the BField coverage, in cm
+TRACK_length      300                   //length of the BField coverage, in cm
+TRACK_bfield_x    0                     //X component of the BField, in T
+TRACK_bfield_y    0                     //Y component of the BField, in T
+TRACK_bfield_z    3.8                   //Z component of the BField, in T
+
+# Very forward detector extension, in pseudorapidity
+# if allowed
+VFD_min_calo_vfd  5.2                   // very forward calorimeter (if any) like CASTOR
+VFD_max_calo_vfd  6.6
+VFD_min_zdc       8.3			// zero-degree neutral calorimeter
+VFD_s_zdc         140                   // distance of the Zero Degree Calorimeter, from the IP, in [m]
+
+RP_220_s          220                   // distance of the RP to the IP, in meters
+RP_220_x          0.002                 // distance of the RP to the beam, in meters
+RP_420_s          420                   // distance of the RP to the IP, in meters
+RP_420_x          0.004                 // distance of the RP to the beam, in meters
+RP_beam1Card      DELPHESDIR/data/LHCB1IR5_v6.500.tfs
+RP_beam2Card      DELPHESDIR/data/LHCB2IR5_v6.500.tfs
+RP_IP_name        IP5
+RP_offsetEl_x     0.097                 // horizontal separation between both beam, in meters
+RP_offsetEl_y     0                     // vertical separation between both beam, in meters
+RP_offsetEl_s     120                   // distance of beam separation point, from IP
+RP_cross_x        -500                  // IP offset in horizontal plane, in micrometers
+RP_cross_y        0                     // IP offset in vertical plane, in micrometers
+RP_cross_ang_x    142.5                 // half-crossing angle in horizontal plane, in microrad
+RP_cross_ang_y    0                     // half-crossing angle in vertical plane, in microrad
+
+
+# In case FROG event display allowed
+NEvents_Frog      100
+# Number of events to process
+NEvents           -1                    // -1 means 'all'
+
+# input PDG tables
+PdgTableFilename  DELPHESDIR/data/particle.tbl     // table with particle pid,mass,charge,...
+

=== added file 'Template/Cards/delphes_card_default.dat'
--- Template/Cards/delphes_card_default.dat	1970-01-01 00:00:00 +0000
+++ Template/Cards/delphes_card_default.dat	2010-10-30 03:26:37 +0000
@@ -0,0 +1,135 @@
+DETECTOR CARD      # DO NOT REMOVE THIS IS A TAG!
+
+# Detector extension, in pseudorapidity units
+CEN_max_tracker    2.5                // Maximum tracker coverage          
+CEN_max_calo_cen   3.0                // central calorimeter coverage
+CEN_max_calo_fwd   5.0                // forward calorimeter pseudorapidity coverage
+CEN_max_mu         2.4                // muon chambers pseudorapidity coverage
+  
+# Energy resolution for electron/photon
+# \sigma/E = C + N/E + S/\sqrt{E}, E in GeV
+ELG_Scen          0.05              // S term for central ECAL
+ELG_Ncen          0.25              // N term for central ECAL
+ELG_Ccen          0.005             // C term for central ECAL
+ELG_Sfwd          2.084             // S term for FCAL
+ELG_Nfwd          0.0               // N term for FCAL
+ELG_Cfwd          0.107             // C term for FCAL
+ELG_Szdc          0.70              // S term for ZDC
+ELG_Nzdc          0.0               // N term for ZDC
+ELG_Czdc          0.08              // C term for ZDC
+
+
+# Energy resolution for hadrons in ecal/hcal/hf
+# \sigma/E = C + N/E + S/\sqrt{E}, E in GeV
+HAD_Shcal         1.5               // S term for central HCAL 
+HAD_Nhcal         0.                // N term for central HCAL
+HAD_Chcal         0.05              // C term for central HCAL
+HAD_Shf           2.7               // S term for FCAL
+HAD_Nhf           0.                // N term for FCAL
+HAD_Chf           0.13              // C term for FCAL
+HAD_Szdc          1.38              // S term for ZDC
+HAD_Nzdc          0.                // N term for ZDC
+HAD_Czdc          0.13              // C term for ZDC
+
+# Time resolution for ZDC/RP220/RP420
+ZDC_T_resolution   0                // in s
+RP220_T_resolution 0                // in s
+RP420_T_resolution 0                // in s
+
+# Muon smearing
+MU_SmearPt        0.01		    // transverse momentum Pt in GeV
+
+# Tracking efficiencies
+TRACK_ptmin       0.9               // minimal pt needed to reach the calorimeter in GeV
+TRACK_eff          90               // efficiency associated to the tracking (%)
+
+# Calorimetric towers
+TOWER_number         40
+TOWER_eta_edges 0. 0.087 0.174 0.261 0.348 0.435 0.522 0.609 0.696 0.783 0.870 0.957 1.044 1.131 1.218 1.305 1.392 1.479 1.566 1.653 1.740 1.830 1.930 2.043 2.172 2.322 2.500 2.650 2.868 2.950 3.125 3.300 3.475 3.650 3.825 4.000 4.175 4.350 4.525 4.700 5.000
+## list of the edges of each tower in eta for eta>0 assuming a symmetric detector in eta<0
+### the list starts with the lower edge of the most central tower
+### the list ends with the higher edged of the most forward tower
+### there should be NTOWER+1 values
+TOWER_dphi 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 20 20
+### list of the tower size in phi (in degrees), assuming that all towers are similar in phi for a given eta value
+### the list starts with the phi-size of the most central tower (eta=0)
+### the list ends with the phi-size of the most forward tower
+### there should be NTOWER values
+##
+#
+
+# Thresholds for reconstructed objetcs, Pt in GeV
+PTCUT_elec       10.0
+PTCUT_muon       10.0
+PTCUT_jet        20.0
+PTCUT_gamma      10.0
+PTCUT_taujet     10.0
+
+# Thresholds for reconstructed objects in ZDC, E in GeV
+ZDC_gamma_E      20
+ZDC_n_E          50
+
+# Charged lepton isolation. Pt and Et in GeV
+ISOL_PT          2.0      //minimal pt of tracks for isolation criteria
+ISOL_Cone        0.5      //Cone  for isolation criteria
+ISOL_Calo_ET     1E99     //minimal tower transverse energy for isolation criteria. 1E99 means "off"
+ISOL_Calo_Cone   0.4      //Cone for calorimetric isolation
+ISOL_Calo_Grid   3        //Grid size (N x N) for calorimetric isolation
+
+# General jet variable
+JET_coneradius   0.7            // generic jet radius ; not for tau's !!!
+JET_jetalgo      1              // 1 for Cone algorithm, 2 for MidPoint algorithm, 3 for SIScone algorithm, 4 for kt algorithm
+JET_seed         1.0            // minimum seed to start jet reconstruction, in GeV
+JET_Eflow        0              // Perfect energy assumed in the tracker coverage
+
+# Tagging definition
+BTAG_b           40		// b-tag efficiency (%)
+BTAG_mistag_c    10		// mistagging (%)
+BTAG_mistag_l    1		// mistagging (%)
+
+# FLAGS
+FLAG_bfield      1                       //1 to run the bfield propagation else 0
+FLAG_vfd         1                       //1 to run the very forward detectors else 0
+FLAG_RP          1                       //1 to run the very forward detectors else 0
+FLAG_trigger     1                       //1 to run the trigger selection else 0
+FLAG_frog        0                       //1 to run the FROG event display
+FLAG_lhco        0                       //1 to run the LHCO
+
+# In case BField propagation allowed
+TRACK_radius      129                   //radius of the BField coverage, in cm
+TRACK_length      300                   //length of the BField coverage, in cm
+TRACK_bfield_x    0                     //X component of the BField, in T
+TRACK_bfield_y    0                     //Y component of the BField, in T
+TRACK_bfield_z    3.8                   //Z component of the BField, in T
+
+# Very forward detector extension, in pseudorapidity
+# if allowed
+VFD_min_calo_vfd  5.2                   // very forward calorimeter (if any) like CASTOR
+VFD_max_calo_vfd  6.6
+VFD_min_zdc       8.3			// zero-degree neutral calorimeter
+VFD_s_zdc         140                   // distance of the Zero Degree Calorimeter, from the IP, in [m]
+
+RP_220_s          220                   // distance of the RP to the IP, in meters
+RP_220_x          0.002                 // distance of the RP to the beam, in meters
+RP_420_s          420                   // distance of the RP to the IP, in meters
+RP_420_x          0.004                 // distance of the RP to the beam, in meters
+RP_beam1Card      DELPHESDIR/data/LHCB1IR5_v6.500.tfs
+RP_beam2Card      DELPHESDIR/data/LHCB2IR5_v6.500.tfs
+RP_IP_name        IP5
+RP_offsetEl_x     0.097                 // horizontal separation between both beam, in meters
+RP_offsetEl_y     0                     // vertical separation between both beam, in meters
+RP_offsetEl_s     120                   // distance of beam separation point, from IP
+RP_cross_x        -500                  // IP offset in horizontal plane, in micrometers
+RP_cross_y        0                     // IP offset in vertical plane, in micrometers
+RP_cross_ang_x    142.5                 // half-crossing angle in horizontal plane, in microrad
+RP_cross_ang_y    0                     // half-crossing angle in vertical plane, in microrad
+
+
+# In case FROG event display allowed
+NEvents_Frog      100
+# Number of events to process
+NEvents           -1                    // -1 means 'all'
+
+# input PDG tables
+PdgTableFilename  DELPHESDIR/data/particle.tbl     // table with particle pid,mass,charge,...
+

=== added file 'Template/Cards/delphes_trigger.dat'
--- Template/Cards/delphes_trigger.dat	1970-01-01 00:00:00 +0000
+++ Template/Cards/delphes_trigger.dat	2010-10-30 03:26:37 +0000
@@ -0,0 +1,20 @@
+#TRIGGER CARD      # DO NOT REMOVE THIS IS A TAG!
+
+# list of trigger algorithms
+# trigger_name	>> algorithm                   #comments
+Inclusive electron  >> ELEC1_PT:   '29'                            
+di-electron         >> ELEC1_PT:   '17'   &&   ELEC2_PT:   '17'    
+Inclusive Photon    >> GAMMA1_PT:  '80'                            
+di-Photon           >> GAMMA1_PT:  '40'   &&   GAMMA2_PT:  '25'    
+Inclusive muon      >> MUON1_PT:   '19'                            
+di-muon             >> MUON1_PT:   '7'    &&   MUON2_PT:   '7'    
+Taujet and ETmis    >> TAU1_PT:    '86'   &&   ETMIS_PT:   '65'
+di-Taujets          >> TAU1_PT:    '59'   &&   TAU2_PT:    '59' 
+Jet and ETmis       >> JET1_PT:    '180'  &&   ETMIS_PT:   '123'
+Taujet and electron >> TAU1_PT:    '45'   &&   ELEC1_PT:   '19'
+Taujet and muon     >> TAU1_PT:    '40'   &&   ELEC1_PT:   '15'
+Inclusive b-jet     >> Bjet1_PT:   '237'                            
+Inclusive 1 jet     >> JET1_PT:    '657'
+Inclusive 3 jets    >> JET1_PT:    '247'  &&   JET2_PT:    '247'    &&     JET3_PT:    '247' 
+Inclusive 4 jets    >> JET1_PT:    '113'  &&   JET2_PT:    '113'    &&     JET3_PT:    '113'   &&     JET4_PT:    '113'
+

=== added file 'Template/Cards/delphes_trigger_ATLAS.dat'
--- Template/Cards/delphes_trigger_ATLAS.dat	1970-01-01 00:00:00 +0000
+++ Template/Cards/delphes_trigger_ATLAS.dat	2010-10-30 03:26:37 +0000
@@ -0,0 +1,16 @@
+#TRIGGER CARD      # DO NOT REMOVE THIS IS A TAG!
+
+# list of trigger algorithms
+# trigger_name	>> algorithm                   #comments
+Inclusive Isol electron  >> IElec1_PT:  '25'                            
+di-electron Isol         >> IELEC1_PT:  '15'   &&   IELEC2_PT:   '15'    
+Inclusive Photon         >> GAMMA1_PT:  '60'                            
+di-Photon                >> GAMMA1_PT:  '20'   &&   GAMMA2_PT:   '20'    
+Inclusive Isol muon      >> IMuon1_PT:  '20'                            
+di-muon                  >> MUON1_PT:   '10'   &&   MUON2_PT:    '10'    
+Taujet and ETmis         >> TAU1_PT:    '35'   &&   ETMIS_PT:    '45'
+Jet and ETmis            >> JET1_PT:    '70'   &&   ETMIS_PT:    '70'
+Inclusive 1 jet          >> JET1_PT:    '400'
+Inclusive 3 jets         >> JET1_PT:    '165'  &&   JET2_PT:     '165'    &&     JET3_PT:    '165'
+Inclusive 4 jets         >> JET1_PT:    '110'  &&   JET2_PT:     '110'    &&     JET3_PT:    '110'   &&     JET4_PT:    '110'
+

=== added file 'Template/Cards/delphes_trigger_CMS.dat'
--- Template/Cards/delphes_trigger_CMS.dat	1970-01-01 00:00:00 +0000
+++ Template/Cards/delphes_trigger_CMS.dat	2010-10-30 03:26:37 +0000
@@ -0,0 +1,20 @@
+#TRIGGER CARD      # DO NOT REMOVE THIS IS A TAG!
+
+# list of trigger algorithms
+# trigger_name	>> algorithm                   #comments
+Inclusive electron  >> ELEC1_PT:   '29'                            
+di-electron         >> ELEC1_PT:   '17'   &&   ELEC2_PT:   '17'    
+Inclusive Photon    >> GAMMA1_PT:  '80'                            
+di-Photon           >> GAMMA1_PT:  '40'   &&   GAMMA2_PT:  '25'    
+Inclusive muon      >> MUON1_PT:   '19'                            
+di-muon             >> MUON1_PT:   '7'    &&   MUON2_PT:   '7'    
+Taujet and ETmis    >> TAU1_PT:    '86'   &&   ETMIS_PT:   '65'
+di-Taujets          >> TAU1_PT:    '59'   &&   TAU2_PT:    '59' 
+Jet and ETmis       >> JET1_PT:    '180'  &&   ETMIS_PT:   '123'
+Taujet and electron >> TAU1_PT:    '45'   &&   ELEC1_PT:   '19'
+Taujet and muon     >> TAU1_PT:    '40'   &&   ELEC1_PT:   '15'
+Inclusive b-jet     >> Bjet1_PT:   '237'                            
+Inclusive 1 jet     >> JET1_PT:    '657'
+Inclusive 3 jets    >> JET1_PT:    '247'  &&   JET2_PT:    '247'    &&     JET3_PT:    '247' 
+Inclusive 4 jets    >> JET1_PT:    '113'  &&   JET2_PT:    '113'    &&     JET3_PT:    '113'   &&     JET4_PT:    '113'
+

=== added file 'Template/Cards/grid_card.dat'
--- Template/Cards/grid_card.dat	1970-01-01 00:00:00 +0000
+++ Template/Cards/grid_card.dat	2010-10-30 03:26:37 +0000
@@ -0,0 +1,32 @@
+#*********************************************************************
+#                       MadGraph/MadEvent                            *
+#                  http://madgraph.hep.uiuc.edu                      *
+#                                                                    *
+#                        grid_card.dat                               *
+#                                                                    *
+#  This file is used to set the parameters of the run.               *
+#                                                                    *
+#  Some notation/conventions:                                        *
+#                                                                    *
+#   Lines starting with a '# ' are info or comments                  *
+#                                                                    *
+#   mind the format:   value    = variable     ! comment             *
+#*********************************************************************
+#
+#*******************                                                 
+# Running parameters
+#*******************                                                 
+#
+#*********************************************************************
+#  Tell if this is a grid run or not, false during warm-up on the    *
+#  cluster, automatically set to true after warm-up and the gridpack *
+#  is ready. The user should not change this.                        *
+#*********************************************************************
+  .false.   = GridRun   !True = Runs in the grid mode
+#*********************************************************************
+# Number of events and rnd seed                                      *
+#*********************************************************************
+  2500       = gevents ! Number of unweighted events requested 
+     1       = gseed   ! rnd seed
+    -1       = ngran   ! Granularity (minimum # events per channel)
+#*********************************************************************

=== added file 'Template/Cards/grid_card_default.dat'
--- Template/Cards/grid_card_default.dat	1970-01-01 00:00:00 +0000
+++ Template/Cards/grid_card_default.dat	2010-10-30 03:26:37 +0000
@@ -0,0 +1,32 @@
+#*********************************************************************
+#                       MadGraph/MadEvent                            *
+#                  http://madgraph.hep.uiuc.edu                      *
+#                                                                    *
+#                        grid_card.dat                               *
+#                                                                    *
+#  This file is used to set the parameters of the run.               *
+#                                                                    *
+#  Some notation/conventions:                                        *
+#                                                                    *
+#   Lines starting with a '# ' are info or comments                  *
+#                                                                    *
+#   mind the format:   value    = variable     ! comment             *
+#*********************************************************************
+#
+#*******************                                                 
+# Running parameters
+#*******************                                                 
+#
+#*********************************************************************
+#  Tell if this is a grid run or not, false during warm-up on the    *
+#  cluster, automatically set to true after warm-up and the gridpack *
+#  is ready. The user should not change this.                        *
+#*********************************************************************
+  .false.   = GridRun   !True = Runs in the grid mode
+#*********************************************************************
+# Number of events and rnd seed                                      *
+#*********************************************************************
+  2500       = gevents ! Number of unweighted events requested 
+     1       = gseed   ! rnd seed
+    -1       = ngran   ! Granularity (minimum # events per channel)
+#*********************************************************************

=== added file 'Template/Cards/param_card.dat'
--- Template/Cards/param_card.dat	1970-01-01 00:00:00 +0000
+++ Template/Cards/param_card.dat	2010-10-30 03:26:37 +0000
@@ -0,0 +1,63 @@
+#******************************************************************
+#                      MadGraph/MadEvent                          *
+#******************************************************************
+#   Les Houches friendly file for the SM parameters of MadGraph   *
+#        Spectrum and decay widths produced by SMCalc             *
+#******************************************************************
+#*Please note the following IMPORTANT issues:                     *
+#                                                                 *
+#0. REFRAIN from editing this file by hand! Some of the parame-   *
+#   ters are not independent                                      *
+#   (such as G_Fermi, alpha_em, sin(theta_W),MZ,MW) and serious   *
+#   problems might be encountered (such as violation of unitarity *
+#   or gauge invariance).  Always use a calculator.               *
+#                                                                 *
+#1. alpha_S(MZ) has been used in the calculation of the parameters*
+#   but, for consistency, it will be reset by madgraph to the     *
+#   value expected IF the pdfs for collisions with hadrons are    *
+#   used. This value is KEPT by madgraph when no pdf are used     *
+#   lpp(i)=0 .                                                    *
+#                                                                 *
+#2. Values of the charm and bottom kinematic (pole) masses are    *
+#   those used in the matrix elements and phase space UNLESS they *
+#   are set to ZERO from the start in the model (particles.dat)   *
+#   This happens, for example,  when using 5-flavor QCD where     *
+#   charm and bottom are treated as partons in the initial state  *
+#   and a zero mass might be hardwired in the model definition.   *
+#                                                                 *
+#******************************************************************
+Block SMINPUTS      # Standard Model inputs
+     1         1.32506980E+02   # alpha_em(MZ)(-1) SM MSbar
+     2         1.16639000E-05   # G_Fermi
+     3         1.18000000E-01   # alpha_s(MZ) SM MSbar
+     4         9.11880000E+01   # Z mass (as input parameter)
+Block MGYUKAWA     # Yukawa masses m/v=y/sqrt(2)
+#    PDG          YMASS
+     5         4.20000000E+00   # mbottom for the Yukawa  y_b
+     4         1.42000000E+00   # mcharm  for the Yukawa  y_c
+     6         1.64500000E+02   # mtop    for the Yukawa  y_t
+    15         1.77700000E+00   # mtau    for the Yukawa  y_ta
+Block MGCKM     # CKM elements for MadGraph
+     1   1     9.75000000E-01   # Vud for Cabibbo matrix
+Block MASS      #  Mass spectrum (kinematic masses)
+#       PDG       Mass
+         5     4.70000000E+00   # bottom   pole mass
+         6     1.74300000E+02   # top      pole mass
+        15     1.77700000E+00   # tau      mass
+        23     9.11880000E+01   # Z        mass
+        24     8.04190000E+01   # W        mass
+        25     1.20000000E+02   # H        mass
+#            PDG       Width
+DECAY         6     1.50833649E+00   # top width
+DECAY        23     2.44140351E+00   # Z   width
+DECAY        24     2.04759951E+00   # W   width
+DECAY        25     5.75308848E-03   # H   width
+#        BR           NDA        ID1       ID2
+     8.27451012E-02    2           4        -4   # BR( H -> c  cbar  )
+     7.17809696E-01    2           5        -5   # BR( H -> b  bbar  )
+     0.00000000E+00    2           6        -6   # BR( H -> t  tbar  )
+     4.31720144E-02    2          15       -15   # BR( H -> tau- tau+)
+     6.90597075E-03    2          23        23   # BR( H -> Z   Z^(*))
+     7.45906395E-02    2          24       -24   # BR( H -> W   W^(*))
+     3.01765558E-02    2          21        21   # BR( H -> g   g    )
+     1.42800773E-03    2          22        22   # BR( H -> A   A    )

=== added file 'Template/Cards/param_card_default.dat'
--- Template/Cards/param_card_default.dat	1970-01-01 00:00:00 +0000
+++ Template/Cards/param_card_default.dat	2010-10-30 03:26:37 +0000
@@ -0,0 +1,71 @@
+#*********************************************************************
+#                        MadGraph/MadEvent                           *
+#                   http://madgraph.hep.uiuc.edu                     *
+#                                                                    *
+#                         param_card.dat                             *
+#                                                                    *
+#   Les Houches friendly file for the SM parameters of MadGraph      *
+#        Spectrum and decay widths produced by SMCalc                *
+#                                                                    *
+#  Please note the following IMPORTANT issues:                       *
+#                                                                    *
+# 0. REFRAIN from editing this file by hand! Some of the parame-     *
+#    ters are not independent                                        *
+#    (such as G_Fermi, alpha_em, sin(theta_W),MZ,MW) and serious     *
+#    problems might be encountered (such as violation of unitarity   *
+#    or gauge invariance).  Always use a calculator.                 *
+#                                                                    *
+# 1. alpha_S(MZ) has been used in the calculation of the parameters  *
+#    but, for consistency, it will be reset by madgraph to the       *
+#    value expected IF the pdfs for collisions with hadrons are      *
+#    used. This value is KEPT by madgraph when no pdf are used       *
+#    lpp(i)=0 .                                                      *
+#                                                                    *
+#  2. Values of the charm and bottom kinematic (pole) masses are     *
+#     those used in the matrix elements and phase space UNLESS they  *
+#     are set to ZERO from the start in the model (particles.dat)    *
+#     This happens, for example,  when using 5-flavor QCD where      *
+#     charm and bottom are treated as partons in the initial state   *
+#     and a zero mass might be hardwired in the model definition.    *
+#                                                                    *
+##********************************************************************
+Block MODSEL # Select Model
+     0   1   #  0 1 = SM
+Block SMINPUTS      # Standard Model inputs
+     1         1.27900000E+02   # alpha_em(MZ)(-1) SM MSbar
+     2         1.16600000E-05   # G_Fermi
+     3         1.18000000E-01   # alpha_s(MZ) SM MSbar
+     4         9.15445065E+01   # Z mass (as input parameter)
+Block MGSMPARAM      # Standard Model parameters for MadGraph
+     1         2.31200000E-01   # sin(theta_W)^2
+     2         8.02673592E+01   # W mass (as input parameter)
+Block MGYUKAWA     # Yukawa masses m/v=y/sqrt(2)
+#    PDG          YMASS
+     5         4.20000000E+00   # mbottom for the Yukawa  y_b
+     4         1.25000000E+00   # mcharm  for the Yukawa  y_c
+     6         1.74300000E+02   # mtop    for the Yukawa  y_t
+    15         1.77700000E+00   # mtau    for the Yukawa  y_ta
+Block MGCKM     # CKM elements for MadGraph
+     1   1     9.75000000E-01   # Vud for Cabibbo matrix
+Block MASS      #  Mass spectrum (kinematic masses)
+#       PDG       Mass
+         4     1.40000000E+00   # charm    pole mass
+         5     4.20000000E+00   # bottom   pole mass
+         6     1.74300000E+02   # top      pole mass
+        15     1.77700000E+00   # tau      mass
+        23     9.15445065E+01   # Z        mass
+        24     8.02673592E+01   # W        mass
+        25     1.00000000E+02   # H        mass
+#            PDG       Width
+DECAY         6     1.51013490E+00   # top width
+DECAY        23     2.44639985E+00   # Z   width
+DECAY        24     2.03535570E+00   # W   width
+DECAY        25     4.27608700E-03   # H   width
+#        BR           NDA        ID1       ID2
+     7.18385415E-02    2           4        -4   # BR( H -> c  cbar  )
+     8.03404251E-01    2           5        -5   # BR( H -> b  bbar  )
+     0.00000000E+00    2           6        -6   # BR( H -> t  tbar  )
+     4.83591503E-02    2          15       -15   # BR( H -> tau- tau+)
+     2.69892403E-05    2          23        23   # BR( H -> Z   Z^(*))
+     3.67605190E-03    2          24       -24   # BR( H -> W   W^(*))
+     2.43358656E-02    2          21        21   # BR( H -> g   g    )

=== added file 'Template/Cards/pgs_card_ATLAS.dat'
--- Template/Cards/pgs_card_ATLAS.dat	1970-01-01 00:00:00 +0000
+++ Template/Cards/pgs_card_ATLAS.dat	2010-10-30 03:26:37 +0000
@@ -0,0 +1,23 @@
+ATLAS               ! parameter set name
+81                  ! eta cells in calorimeter  
+63                  ! phi cells in calorimeter
+0.1                 ! eta width of calorimeter cells  |eta| < 5
+0.099733101         ! phi width of calorimeter cells
+0.01                ! electromagnetic calorimeter resolution  const
+0.1                 ! electromagnetic calorimeter resolution * sqrt(E)
+0.8                 ! hadronic calolrimeter resolution * sqrt(E)
+0.2                 ! MET resolution
+0.00                ! calorimeter cell edge crack fraction
+cone                ! jet finding algorithm (cone or ktjet)
+3.0                 ! calorimeter trigger cluster finding seed threshold (GeV)
+0.5                 ! calorimeter trigger cluster finding shoulder threshold (GeV)
+0.70                ! calorimeter kt cluster finder cone size (delta R)
+1.0                 ! outer radius of tracker (m)
+2.0                 ! magnetic field (T)
+0.000005            ! sagitta resolution (m)
+0.98                ! track finding efficiency
+0.30                ! minimum track pt (GeV/c)
+2.5                 ! tracking eta coverage
+3.0                 ! e/gamma eta coverage
+2.4                 ! muon eta coverage
+2.0                 ! tau eta coverage

=== added file 'Template/Cards/pgs_card_CMS.dat'
--- Template/Cards/pgs_card_CMS.dat	1970-01-01 00:00:00 +0000
+++ Template/Cards/pgs_card_CMS.dat	2010-10-30 03:26:37 +0000
@@ -0,0 +1,23 @@
+CMS                 ! parameter set name
+70                  ! eta cells in calorimeter  
+70                  ! phi cells in calorimeter
+0.087               ! eta width of calorimeter cells  |eta| < 3
+0.0897597901        ! phi width of calorimeter cells
+0.01                ! electromagnetic calorimeter resolution  const
+0.03                ! electromagnetic calorimeter resolution * sqrt(E)
+1.25                ! hadronic calolrimeter resolution * sqrt(E)
+0.2                 ! MET resolution
+0.00                ! calorimeter cell edge crack fraction
+cone                ! jet finding algorithm (cone or ktjet)
+0.5                 ! calorimeter trigger cluster finding seed threshold (GeV)
+0.5                 ! calorimeter trigger cluster finding shoulder threshold (GeV)
+0.5                 ! calorimeter kt cluster finder cone size (delta R)
+1.1                 ! outer radius of tracker (m)
+4.0                 ! magnetic field (T)
+0.000020            ! sagitta resolution (m)
+0.98                ! track finding efficiency
+0.90                ! minimum track pt (GeV/c)
+2.4                 ! tracking eta coverage
+3.0                 ! e/gamma eta coverage
+2.4                 ! muon eta coverage
+2.0                 ! tau eta coverage

=== added file 'Template/Cards/pgs_card_LHC.dat'
--- Template/Cards/pgs_card_LHC.dat	1970-01-01 00:00:00 +0000
+++ Template/Cards/pgs_card_LHC.dat	2010-10-30 03:26:37 +0000
@@ -0,0 +1,23 @@
+LHC                 ! parameter set name
+320                 ! eta cells in calorimeter  
+200                 ! phi cells in calorimeter
+0.0314159           ! eta width of calorimeter cells  |eta| < 5
+0.0314159           ! phi width of calorimeter cells
+0.01                ! electromagnetic calorimeter resolution  const
+0.2                 ! electromagnetic calorimeter resolution * sqrt(E)
+0.8                 ! hadronic calolrimeter resolution * sqrt(E)
+0.2                 ! MET resolution
+0.01                ! calorimeter cell edge crack fraction
+cone                ! jet finding algorithm (cone or ktjet)
+5.0                 ! calorimeter trigger cluster finding seed threshold (GeV)
+1.0                 ! calorimeter trigger cluster finding shoulder threshold (GeV)
+0.5                 ! calorimeter kt cluster finder cone size (delta R)
+2.0                 ! outer radius of tracker (m)
+4.0                 ! magnetic field (T)
+0.000013            ! sagitta resolution (m)
+0.98                ! track finding efficiency
+1.00                ! minimum track pt (GeV/c)
+3.0                 ! tracking eta coverage
+3.0                 ! e/gamma eta coverage
+2.4                 ! muon eta coverage
+2.0                 ! tau eta coverage

=== added file 'Template/Cards/pgs_card_TEV.dat'
--- Template/Cards/pgs_card_TEV.dat	1970-01-01 00:00:00 +0000
+++ Template/Cards/pgs_card_TEV.dat	2010-10-30 03:26:37 +0000
@@ -0,0 +1,23 @@
+CDF                 ! parameter set name
+80                  ! eta cells in calorimeter
+24                  ! phi cells in calorimeter
+0.1                 ! eta width of calorimeter cells
+0.261799388         ! phi width of calorimeter cells
+0.01                ! electromagnetic calorimeter resolution  const
+0.2                 ! electromagnetic calorimeter resolution * sqrt(E)
+0.8                 ! hadronic calolrimeter resolution * sqrt(E)
+0.2                 ! MET resolution
+0.05                ! calorimeter cell edge crack fraction
+cone                ! jet finding algorithm (cone or ktjet)
+3.0                 ! calorimeter cluster finding seed threshold (GeV)
+0.5                 ! calorimeter cluster finding shoulder threshold (GeV)
+0.4                 ! calorimeter cluster finder cone size (delta R)
+1.0                 ! outer radius of tracker (m)
+1.4                 ! magnetic field (T)
+0.000040            ! sagitta resolution (m)
+0.98                ! track finding efficiency
+0.30                ! minimum track pt (GeV/c)
+2.0                 ! tracking eta coverage
+2.0                 ! e/gamma eta coverage
+2.0                 ! muon eta coverage
+2.0                 ! tau eta coverage

=== added file 'Template/Cards/pgs_card_default.dat'
--- Template/Cards/pgs_card_default.dat	1970-01-01 00:00:00 +0000
+++ Template/Cards/pgs_card_default.dat	2010-10-30 03:26:37 +0000
@@ -0,0 +1,23 @@
+LHC                 ! parameter set name
+320                 ! eta cells in calorimeter  
+200                 ! phi cells in calorimeter
+0.0314159           ! eta width of calorimeter cells  |eta| < 5
+0.0314159           ! phi width of calorimeter cells
+0.01                ! electromagnetic calorimeter resolution  const
+0.2                 ! electromagnetic calorimeter resolution * sqrt(E)
+0.8                 ! hadronic calolrimeter resolution * sqrt(E)
+0.2                 ! MET resolution
+0.01                ! calorimeter cell edge crack fraction
+cone                ! jet finding algorithm (cone or ktjet)
+5.0                 ! calorimeter trigger cluster finding seed threshold (GeV)
+1.0                 ! calorimeter trigger cluster finding shoulder threshold (GeV)
+0.5                 ! calorimeter kt cluster finder cone size (delta R)
+2.0                 ! outer radius of tracker (m)
+4.0                 ! magnetic field (T)
+0.000013            ! sagitta resolution (m)
+0.98                ! track finding efficiency
+1.00                ! minimum track pt (GeV/c)
+3.0                 ! tracking eta coverage
+3.0                 ! e/gamma eta coverage
+2.4                 ! muon eta coverage
+2.0                 ! tau eta coverage

=== added file 'Template/Cards/plot_card.dat'
--- Template/Cards/plot_card.dat	1970-01-01 00:00:00 +0000
+++ Template/Cards/plot_card.dat	2010-10-30 03:26:37 +0000
@@ -0,0 +1,203 @@
+#**************************************************************************
+#                      Card for MadAnalysis                               *
+#                                                                         *
+# This file is used to set the classes and options for                    *
+# the MadAnalysis program.                                                *
+#                                                                         *
+#                                                                         *
+# Some comments about the classes                                         *
+# 1. Plots are for classes of particles.                                  *
+# 2. Each particle is identified by its PDG code.                         *
+# 3. Classes names are arbitrary (4 symbols max, no spaces allowed).      *
+# 4. Particles in the same class will be ordered with the 'ordering       *
+#    function' in the file in_func.f.                                     *
+# 5. Classes can be added/edited/removed at will, and given a name        *
+#    that will then appear in the plots.                                  *
+# 6. A particle can be put in one class only. Putting a particle in       *
+#    two or more classes can lead to double counting of events.           *
+# 7. The class name mET is missing Energy and its name is reserved.       *
+#    If used, it must be put last in the classes list below.              *
+# 8. If events contain particles not belonging to an existing class,      *
+#    a new class will automatically be generated.                         *
+# 9. For LHCO events the PDG code 21 is assigned to a jet (not            *
+#    b-tagged), 5 to a b-tagged jet and 12 to missing ET.                 *
+#                                                                         *
+#                                                                         *
+# Some comments about the cuts                                            *
+# 1. In the file kin_func.f the functions on which cuts can be applied    *
+#    are given.                                                           *
+# 2. The syntax is as follows.                                            *
+#      etmin 1 3 30d0                                                     *
+#     means that from the first class the Et of the first three particles *
+#     has to be greater than 30 GeV.                                      *
+#                                                                         *
+#      etmissmin 20d0                                                     *
+#     means that there must be at least 20 GeV of missing Et              *
+#                                                                         *
+#      dRmin 2 1 4 3 3d0                                                  *
+#     means that the distance between the first particle in the second    *
+#     class and the first three particles in the fourth class has to be   *
+#     greater than 3.                                                     *
+#                                                                         *
+#      ptmax 1 3 10d0                                                     *
+#      ptmax 1 2 15d0                                                     *
+#     means that the maximum pt of the third particle in the first class  *
+#     has to smaller than 10 GeV, and the first two particles of this     *
+#     class has to be smaller than 15 GeV                                 *
+# 3. The ordering of the particles within a class can be set with the     *
+#    'ordering function' in the file kin_func.f.                          *
+# 4. For all the 'min' cuts, an event will be thrown away if the particle *
+#    does not exist. On the other hand, for all the 'max' cuts the cut    *
+#    will be ignored if the particle does not exist                       *
+#    (Only dRij is an exception, for which it is the other way around)    *
+#                                                                         *
+#                                                                         *
+#                                                                         *
+# Some comments about the plotting options                                *
+# 1. In the file kin_func.f the functions can be found that can be        *
+#    plotted. (only for off-line usage)                                   *
+# 2. With the plotting options one can set the number of plots for each   *
+#    of these functions.                                                  *
+# 3. One has to specify for each variable which particles from which      *
+#    class are used to set the plots. Syntax:                             *
+#    	et  2 4                                                           *
+#    means that the transverse energy of the first four particles in the  *
+#    second class will be plotted.                                        *
+#       mij 1 3                                                           *
+#	mij 2 2                                                           *
+#    means that for the invariant mass plots the first three particles    *
+#    from the first class and the first two from the second class will be *
+#    used to plot the invariant mass of two particles. (10 plots)         *
+# 4. The ordering of the particles in a class can be set with the         *
+#    'ordering_function'. pt, e and et are valid functions. (For off-line *
+#    users X1, X2 and X3 can also be used, if defined in kin_func.f.)     *
+# 5. Max number of plots is 200.                                          *
+#                                                                         *
+#                                                                         *
+#**************************************************************************
+# Put here your list of classes
+#**************************************************************************
+# Do NOT put spaces before class names!
+# Begin Classes # This is TAG. Do not modify this line
+jet  1 -1 2 -2 3 -3 4 -4 21   # Class number 1
+b    5 -5                     # Class number 2
+mET  12 -12 14 -14 16 -16 1000022    # Missing ET class, name is reserved
+# End Classes # This is TAG. Do not modify this line
+#**************************************************************************
+ordering_function pt  # orders particles in classes according to their pt
+normalization xsec    # histogram normalization, xsec or number (e.g. 1)
+#**************************************************************************
+# Put here list of minimum pt for the classes
+#**************************************************************************
+# Begin Minpts # This is TAG. Do not modify this line
+#1  30
+#2  40
+#3  10
+# End Minpts # This is TAG. Do not modify this line
+#**************************************************************************
+# Cuts on plotted events
+#**************************************************************************
+# Modify the cuts and remove the pounds/hashes to apply those cuts
+# Do NOT put spaces at the beginning of the following lines!
+# Begin Cuts # This is TAG. Do not modify this line
+#etmin     2 2 40d0
+#etmin     2 1 80d0
+#etmin     1 3 20d0
+#etmax     2 1 200d0
+#ptmin     3 1 0d0
+#etmissmin 20d0
+#etmissmax 80d0
+#etamax    1 1 1d0
+#etamax    2 1 2d0
+#etamin    2 2 1.5d0
+#etamin    2 1 2d0
+#mijmax    2 1 2 2 200d0
+#mijmin    2 1 2 2 100d0
+#X1min     2 1 40d0
+#X1max     2 2 50d0
+#dRijmin     2 1 2 2 0.7d0
+#dRijmax     1 3 2 2 0.7d0
+#XY1min    2 2 2 2 20d0
+#XYZA2max  2 2 2 2 4 1 5 1 40d0
+# End Cuts # This is TAG. Do not modify this line
+#**************************************************************************
+# Put here the required plots
+#**************************************************************************
+# Do NOT put spaces at the beginning of the following lines!
+# Begin PlotDefs # This is TAG. Do not modify this line
+pt   1 4   # plot pt for the first four particles in class 1
+pt   2 4   # plot pt for the first four particles in class 2
+pt   3 4   # plot pt for the first four particles in class 3
+pt   4 4   # plot pt for the first four particles in class 4
+pt   5 4   # etc.
+pt   6 4
+pt   7 4
+#e    2 2
+y    1 4   # plot rapidity for the first four particles in class 1
+y    2 4
+y    3 4   
+y    4 4   
+y    5 4   
+y    6 4   
+y    7 4   
+#eta  2 2   # plot pseudo-rapidity for the first two part in the 2nd class
+#mom  4 1
+#costh 5 1
+#phi   2 2
+#delta_eta 2 2 
+#delta_eta 4 1
+mij  1 4   # use the first four particles in the 1st class to plot inv. mass
+mij  2 2   # use the first two particles from the second class as well
+mij  3 1   # etc.
+mij  4 1   
+mij  5 1   
+mij  6 1   
+mij  7 1   
+#cosij  1 2
+#cosij  2 2
+#cosij  3 1
+#cosij  4 1
+dRij 1 4   
+dRij 2 2   
+dRij 3 1   
+dRij 4 1   
+dRij 5 1   
+dRij 6 1   
+dRij 7 1   
+#delta_phi 2 2
+#delta_phi 4 1
+#delta_phi 5 1 
+#X1       2 2  # plot X1 (defined in kin_func.f)
+#XYZA1   2 2
+#XYZA1   4 1
+#XYZA1   5 1
+# End PlotDefs # This is TAG. Do not modify this line
+#**************************************************************************
+#**************************************************************************
+# Put here the plot ranges
+#**************************************************************************
+# Do NOT put spaces at the beginning of the following lines!
+# Begin PlotRange # This is TAG. Do not modify this line
+pt        10    0  500   # bin size, min value, max value
+et        10    0  500   # bin size, min value, max value
+etmiss    10    0  500   # bin size, min value, max value
+ht        20    0 1500
+y         0.2 -5  5     # etc.
+mij       20   0  1500
+dRij      0.1  0  5
+#delta_phi 0.1  0  3.1
+#X1        1    0  100
+#XYZA1     1    0  100
+# End PlotRange # This is TAG. Do not modify this line
+#**************************************************************************
+#**************************************************************************
+# Output for plots
+#**************************************************************************
+# Do NOT put spaces at the beginning of the following lines!
+# Begin PlotOutput # This is TAG. Do not modify this line
+output        topdrawer  # set to topdrawer or gnuplot
+plot_decayed  no         # plot (and cut) dec. res.? (Only for LHE events)
+# End PlotOutput # This is TAG. Do not modify this line
+#**************************************************************************
+#
+#

=== added file 'Template/Cards/plot_card_default.dat'
--- Template/Cards/plot_card_default.dat	1970-01-01 00:00:00 +0000
+++ Template/Cards/plot_card_default.dat	2010-10-30 03:26:37 +0000
@@ -0,0 +1,192 @@
+#**************************************************************************
+#                      Card for MadAnalysis                               *
+#                                                                         *
+# This file is used to set the classes and options for                    *
+# the MadAnalysis program.                                                *
+#                                                                         *
+#                                                                         *
+# Some comments about the classes                                         *
+# 1. Plots are for classes of particles.                                  *
+# 2. Each particle is identified by its PDG code.                         *
+# 3. Classes names are arbitrary (4 symbols max, no spaces allowed).      *
+# 4. Particles in the same class will be ordered with the 'ordering       *
+#    function' in the file in_func.f.                                     *
+# 5. Classes can be added/edited/removed at will, and given a name        *
+#    that will then appear in the plots.                                  *
+# 6. A particle can be put in one class only. Putting a particle in       *
+#    two or more classes can lead to double counting of events.           *
+# 7. The class name mET is missing Energy and its name is reserved.       *
+#    If used, it must be put last in the classes list below.              *
+# 8. If events contain particles not belonging to an existing class,      *
+#    a new class will automatically be generated.                         *
+# 9. For LHCO events the PDG code 21 is assigned to a jet (not            *
+#    b-tagged), 5 to a b-tagged jet and 12 to missing ET.                 *
+#                                                                         *
+#                                                                         *
+# Some comments about the cuts                                            *
+# 1. In the file kin_func.f the functions on which cuts can be applied    *
+#    are given.                                                           *
+# 2. The syntax is as follows.                                            *
+#      etmin 1 3 30d0                                                     *
+#     means that from the first class the Et of the first three particles *
+#     has to be greater than 30 GeV.                                      *
+#                                                                         *
+#      etmissmin 20d0                                                     *
+#     means that there must be at least 20 GeV of missing Et              *
+#                                                                         *
+#      dRmin 2 1 4 3 3d0                                                  *
+#     means that the distance between the first particle in the second    *
+#     class and the first three particles in the fourth class has to be   *
+#     greater than 3.                                                     *
+#                                                                         *
+#      ptmax 1 3 10d0                                                     *
+#      ptmax 1 2 15d0                                                     *
+#     means that the maximum pt of the third particle in the first class  *
+#     has to smaller than 10 GeV, and the first two particles of this     *
+#     class has to be smaller than 15 GeV                                 *
+# 3. The ordering of the particles within a class can be set with the     *
+#    'ordering function' in the file kin_func.f.                          *
+# 4. For all the 'min' cuts, an event will be thrown away if the particle *
+#    does not exist. On the other hand, for all the 'max' cuts the cut    *
+#    will be ignored if the particle does not exist                       *
+#    (Only dRij is an exception, for which it is the other way around)    *
+#                                                                         *
+#                                                                         *
+#                                                                         *
+# Some comments about the plotting options                                *
+# 1. In the file kin_func.f the functions can be found that can be        *
+#    plotted. (only for off-line usage)                                   *
+# 2. With the plotting options one can set the number of plots for each   *
+#    of these functions.                                                  *
+# 3. One has to specify for each variable which particles from which      *
+#    class are used to set the plots. Syntax:                             *
+#    	et  2 4                                                           *
+#    means that the transverse energy of the first four particles in the  *
+#    second class will be plotted.                                        *
+#       mij 1 3                                                           *
+#	mij 2 2                                                           *
+#    means that for the invariant mass plots the first three particles    *
+#    from the first class and the first two from the second class will be *
+#    used to plot the invariant mass of two particles. (10 plots)         *
+# 4. The ordering of the particles in a class can be set with the         *
+#    'ordering_function'. pt, e and et are valid functions. (For off-line *
+#    users X1, X2 and X3 can also be used, if defined in kin_func.f.)     *
+# 5. Max number of plots is 200.                                          *
+#                                                                         *
+#                                                                         *
+#**************************************************************************
+# Put here your list of classes
+#**************************************************************************
+# Do NOT put spaces before class names!
+# Begin Classes # This is TAG. Do not modify this line
+jet  1 -1 2 -2 3 -3 4 -4 21   # Class number 1
+b    5 -5                     # Class number 2
+mET  12 -12 14 -14 16 -16     # Missing ET class, name is reserved
+# End Classes # This is TAG. Do not modify this line
+#**************************************************************************
+ordering_function pt  # orders particles in classes according to their pt
+#**************************************************************************
+# Cuts on plotted events
+#**************************************************************************
+# Modify the cuts and remove the pounds/hashes to apply those cuts
+# Do NOT put spaces at the beginning of the following lines!
+# Begin Cuts # This is TAG. Do not modify this line
+#etmin     2 2 40d0
+#etmin     2 1 80d0
+#etmin     1 3 20d0
+#etmax     2 1 200d0
+#ptmin     3 1 0d0
+#etmissmin 20d0
+#etmissmax 80d0
+#etamax    1 1 1d0
+#etamax    2 1 2d0
+#etamin    2 2 1.5d0
+#etamin    2 1 2d0
+#mijmax    2 1 2 2 200d0
+#mijmin    2 1 2 2 100d0
+#X1min     2 1 40d0
+#X1max     2 2 50d0
+#dRijmin     2 1 2 2 0.7d0
+#dRijmax     1 3 2 2 0.7d0
+#XY1min    2 2 2 2 20d0
+#XYZA2max  2 2 2 2 4 1 5 1 40d0
+# End Cuts # This is TAG. Do not modify this line
+#**************************************************************************
+# Put here the required plots
+#**************************************************************************
+# Do NOT put spaces at the beginning of the following lines!
+# Begin PlotDefs # This is TAG. Do not modify this line
+pt   1 4   # plot pt for the first four particles in class 1
+pt   2 4   # plot pt for the first four particles in class 2
+pt   3 4   # plot pt for the first four particles in class 3
+pt   4 4   # plot pt for the first four particles in class 4
+pt   5 4   # etc.
+pt   6 4
+pt   7 4
+#e    2 2
+y    1 4   # plot rapidity for the first four particles in class 1
+y    2 4
+y    3 4   
+y    4 4   
+y    5 4   
+y    6 4   
+y    7 4   
+#eta  2 2   # plot pseudo-rapidity for the first two part in the 2nd class
+#mom  4 1
+#costh 5 1
+#phi   2 2
+#delta_eta 2 2 
+#delta_eta 4 1
+mij  1 4   # use the first four particles in the 1st class to plot inv. mass
+mij  2 2   # use the first two particles from the second class as well
+mij  3 1   # etc.
+mij  4 1   
+mij  5 1   
+mij  6 1   
+mij  7 1   
+cosij 1 2
+cosij 2 2   
+cosij 3 1   
+cosij 4 1   
+dRij 1 4   
+dRij 2 2   
+dRij 3 1   
+dRij 4 1   
+dRij 5 1   
+dRij 6 1   
+dRij 7 1   
+#delta_phi 2 2
+#delta_phi 4 1
+#delta_phi 5 1 
+#X1       2 2  # plot X1 (defined in kin_func.f)
+#XYZA1   2 2
+#XYZA1   4 1
+#XYZA1   5 1
+# End PlotDefs # This is TAG. Do not modify this line
+#**************************************************************************
+#**************************************************************************
+# Put here the plot ranges
+#**************************************************************************
+# Do NOT put spaces at the beginning of the following lines!
+# Begin PlotRange # This is TAG. Do not modify this line
+pt        4    0  200   # bin size, min value, max value
+et        4    0  200   # bin size, min value, max value
+y         0.2 -5  5     # etc.
+mij       10   0  500
+dRij      0.1  0  5
+#delta_phi 0.1  0  3.1
+#X1        1    0  100
+#XYZA1     1    0  100
+# End PlotRange # This is TAG. Do not modify this line
+#**************************************************************************
+#**************************************************************************
+# Output for plots
+#**************************************************************************
+# Do NOT put spaces at the beginning of the following lines!
+# Begin PlotOutput # This is TAG. Do not modify this line
+output        topdrawer  # set to topdrawer or gnuplot
+plot_decayed  no         # plot (and cut) dec. res.? (Only for LHE events)
+# End PlotOutput # This is TAG. Do not modify this line
+#**************************************************************************
+#
+#

=== added file 'Template/Cards/proc_card.dat'
--- Template/Cards/proc_card.dat	1970-01-01 00:00:00 +0000
+++ Template/Cards/proc_card.dat	2010-10-30 03:26:37 +0000
@@ -0,0 +1,69 @@
+#*********************************************************************
+#                        MadGraph/MadEvent                           *
+#                   http://madgraph.hep.uiuc.edu                     *
+#                                                                    *
+#                          proc_card.dat                             *
+#                                                                    *
+# This file is used to generate the code for a specific process.     *
+# Some notation/conventions:                                         *
+#                                                                    *
+# 0. Do not modify the TAGS and their order.                         *
+# 1. hash/pound is a comment.                                        *
+# 2. The number after the @ is used as an identifier for the class   *
+#    of processes. It can be any positive integer.                   *
+# 3. The number of lines for the max couplings depends on how many   *
+#    different classes of couplings are present in the model         *
+#    In the SM these are just two: QED (which include EW) and QCD    *
+# 4. Write "end_coup" after  the couplings list,                     *
+#    to tell MG that the couplings input is over.                    *
+# 5. Write "done" after the proc list to                             *
+#    to tell MG that the proc input is over.                         *
+# 6. Some model names available at present are:                      *
+#    sm     =  Standard Model                                        *
+#    smckm =  Standard Model with Cabibbo matrix                     *
+#    mssm   =  Minimal Supersymmetric Standard Model                 *
+#    2hdm   =  Generic Two Higgs Doublet model                       *
+#    heft   =  Higgs EFT (+Standard Model)                           *
+#    usrmod =  User Model                                            *
+# 7. Don't leave spaces between the particles name in the            *
+#    definition of the multiparticles.                               *
+#*********************************************************************
+#*********************************************************************
+# Process(es) requested : mg2 input                                  *
+#*********************************************************************
+# Begin PROCESS # This is TAG. Do not modify this line
+
+pp>e-ve~  @1       # First Process
+QCD=99             # Max QCD couplings
+QED=2              # Max QED couplings
+end_coup           # End the couplings input
+
+pp>e-ve~j @2       # Second Process
+QCD=99             # Max QCD couplings
+QED=2              # Max QED couplings
+end_coup           # End the couplings input
+
+pp>tt~    @3       # Third Process
+QCD=99             # Max QCD couplings
+end_coup           # End the couplings input
+
+done               # this tells MG there are no more procs
+
+# End PROCESS  # This is TAG. Do not modify this line
+#*********************************************************************
+# Model information                                                  *
+#*********************************************************************
+# Begin MODEL  # This is TAG. Do not modify this line
+sm           
+# End   MODEL  # This is TAG. Do not modify this line
+#*********************************************************************
+# Start multiparticle definitions                                    *
+#*********************************************************************
+# Begin MULTIPARTICLES # This is TAG. Do not modify this line
+P uu~cc~dd~ss~g
+J uu~cc~dd~ss~g
+L+ e+mu+
+L- e-mu-
+vl vevm
+vl~ ve~vm~
+# End  MULTIPARTICLES # This is TAG. Do not modify this line

=== added file 'Template/Cards/pythia_card_default.dat'
--- Template/Cards/pythia_card_default.dat	1970-01-01 00:00:00 +0000
+++ Template/Cards/pythia_card_default.dat	2010-10-30 03:26:37 +0000
@@ -0,0 +1,12 @@
+!...Parton showering on or off  
+      MSTP(61)=1
+      MSTP(71)=1
+ 
+!...Fragmentation/hadronization on or off 
+      MSTJ(1)=1
+ 
+!...Multiple interactions on or off 
+      MSTP(81)=20 
+
+!...Don't stop execution after 10 errors
+      MSTU(21)=1

=== added file 'Template/Cards/replace_card1.dat'
--- Template/Cards/replace_card1.dat	1970-01-01 00:00:00 +0000
+++ Template/Cards/replace_card1.dat	2010-10-30 03:26:37 +0000
@@ -0,0 +1,4 @@
+# Enter here any particles you want replaced in the event file after ME run
+# In the syntax PID : PID1 PID2 PID3 ...
+# End with "done" or <newline>
+

=== added file 'Template/Cards/run_card.dat'
--- Template/Cards/run_card.dat	1970-01-01 00:00:00 +0000
+++ Template/Cards/run_card.dat	2010-10-30 03:26:37 +0000
@@ -0,0 +1,198 @@
+#*********************************************************************
+#                       MadGraph/MadEvent                            *
+#                  http://madgraph.hep.uiuc.edu                      *
+#                                                                    *
+#                        run_card.dat                                *
+#                                                                    *
+#  This file is used to set the parameters of the run.               *
+#                                                                    *
+#  Some notation/conventions:                                        *
+#                                                                    *
+#   Lines starting with a '# ' are info or comments                  *
+#                                                                    *
+#   mind the format:   value    = variable     ! comment             *
+#*********************************************************************
+#
+#*******************                                                 
+# Running parameters
+#*******************                                                 
+#                                                                    
+#*********************************************************************
+# Tag name for the run (one word)                                    *
+#*********************************************************************
+  'fermi'     = run_tag ! name of the run 
+#*********************************************************************
+# Run to generate the grid pack                                      *
+#*********************************************************************
+  .false.     = gridpack  !True = setting up the grid pack
+#*********************************************************************
+# Number of events and rnd seed                                      *
+#*********************************************************************
+  10000       = nevents ! Number of unweighted events requested 
+      0       = iseed   ! rnd seed (0=assigned automatically=default))
+#*********************************************************************
+# Collider type and energy                                           *
+#*********************************************************************
+        1     = lpp1  ! beam 1 type (0=NO PDF)
+        1     = lpp2  ! beam 2 type (0=NO PDF)
+     7000     = ebeam1  ! beam 1 energy in GeV
+     7000     = ebeam2  ! beam 2 energy in GeV
+#*********************************************************************
+# Beam polarization from -100 (left-handed) to 100 (right-handed)    *
+#*********************************************************************
+        0     = polbeam1 ! beam polarization for beam 1
+        0     = polbeam2 ! beam polarization for beam 2
+#*********************************************************************
+# PDF CHOICE: this automatically fixes also alpha_s and its evol.    *
+#*********************************************************************
+ 'cteq6l1'    = pdlabel     ! PDF set                                     
+#*********************************************************************
+# Renormalization and factorization scales                           *
+#*********************************************************************
+ F        = fixed_ren_scale  ! if .true. use fixed ren scale
+ F        = fixed_fac_scale  ! if .true. use fixed fac scale
+ 91.1880  = scale            ! fixed ren scale
+ 91.1880  = dsqrt_q2fact1    ! fixed fact scale for pdf1
+ 91.1880  = dsqrt_q2fact2    ! fixed fact scale for pdf2
+ 1        = scalefact        ! scale factor for event-by-event scales
+#*********************************************************************
+# Matching - Warning! ickkw > 1 is still beta
+#*********************************************************************
+ 0        = ickkw            ! 0 no matching, 1 MLM, 2 CKKW matching
+ 1        = highestmult      ! for ickkw=2, highest mult group
+ 1        = ktscheme         ! for ickkw=1, 1 Durham kT, 2 Pythia pTE
+ 1        = alpsfact         ! scale factor for QCD emission vx
+ F        = chcluster        ! cluster only according to channel diag
+ F        = pdfwgt           ! for ickkw=1, perform pdf reweighting
+#*********************************************************************
+#                                                                    
+#**********************************
+# BW cutoff (M+/-bwcutoff*Gamma)
+#**********************************
+  15  = bwcutoff
+#*******************                                                 
+# Standard Cuts
+#*******************                                                 
+#                                                                    
+#*********************************************************************
+# Minimum and maximum pt's                                           *
+#*********************************************************************
+ 20  = ptj       ! minimum pt for the jets 
+  0  = ptb       ! minimum pt for the b 
+ 10  = pta       ! minimum pt for the photons 
+ 10  = ptl       ! minimum pt for the charged leptons 
+  0  = misset    ! minimum missing Et (sum of neutrino's momenta)
+  0  = ptheavy   ! minimum pt for one heavy final state
+ 1.0 = ptonium   ! minimum pt for the quarkonium states
+ 1d5 = ptjmax    ! maximum pt for the jets
+ 1d5 = ptbmax    ! maximum pt for the b
+ 1d5 = ptamax    ! maximum pt for the photons
+ 1d5 = ptlmax    ! maximum pt for the charged leptons
+ 1d5 = missetmax ! maximum missing Et (sum of neutrino's momenta)
+#*********************************************************************
+# Minimum and maximum E's (in the lab frame)                         *
+#*********************************************************************
+  0  = ej     ! minimum E for the jets 
+  0  = eb     ! minimum E for the b 
+  0  = ea     ! minimum E for the photons 
+  0  = el     ! minimum E for the charged leptons 
+ 1d5  = ejmax ! maximum E for the jets
+ 1d5  = ebmax ! maximum E for the b
+ 1d5  = eamax ! maximum E for the photons
+ 1d5  = elmax ! maximum E for the charged leptons
+#*********************************************************************
+# Maximum and minimum rapidity                                       *
+#*********************************************************************
+   5  = etaj    ! max rap for the jets 
+ 1d2  = etab    ! max rap for the b 
+ 2.5  = etaa    ! max rap for the photons 
+ 2.5  = etal    ! max rap for the charged leptons 
+ 0.6  = etaonium ! max rap for the quarkonium states
+ 0d0  = etajmin ! min rap for the jets
+ 0d0  = etabmin ! min rap for the b
+ 0d0  = etaamin ! min rap for the photons
+ 0d0  = etalmin ! main rap for the charged leptons
+#*********************************************************************
+# Minimum and maximum DeltaR distance                                *
+#*********************************************************************
+ 0.4 = drjj    ! min distance between jets 
+ 0   = drbb    ! min distance between b's 
+ 0.4 = drll    ! min distance between leptons 
+ 0.4 = draa    ! min distance between gammas 
+ 0   = drbj    ! min distance between b and jet 
+ 0.4 = draj    ! min distance between gamma and jet 
+ 0.4 = drjl    ! min distance between jet and lepton 
+ 0   = drab    ! min distance between gamma and b 
+ 0   = drbl    ! min distance between b and lepton 
+ 0.4 = dral    ! min distance between gamma and lepton 
+ 1d2 = drjjmax ! max distance between jets
+ 1d2 = drbbmax ! max distance between b's
+ 1d2 = drllmax ! max distance between leptons
+ 1d2 = draamax ! max distance between gammas
+ 1d2 = drbjmax ! max distance between b and jet
+ 1d2 = drajmax ! max distance between gamma and jet
+ 1d2 = drjlmax ! max distance between jet and lepton
+ 1d2 = drabmax ! max distance between gamma and b
+ 1d2 = drblmax ! max distance between b and lepton
+ 1d2 = dralmax ! maxdistance between gamma and lepton
+#*********************************************************************
+# Minimum and maximum invariant mass for pairs                       *
+#*********************************************************************
+ 0   = mmjj    ! min invariant mass of a jet pair 
+ 0   = mmbb    ! min invariant mass of a b pair 
+ 0   = mmaa    ! min invariant mass of gamma gamma pair
+ 0   = mmll    ! min invariant mass of l+l- (same flavour) lepton pair
+ 1d5 = mmjjmax ! max invariant mass of a jet pair
+ 1d5 = mmbbmax ! max invariant mass of a b pair
+ 1d5 = mmaamax ! max invariant mass of gamma gamma pair
+ 1d5 = mmllmax ! max invariant mass of l+l- (same flavour) lepton pair
+#*********************************************************************
+# Minimum and maximum invariant mass for all letpons                 *
+#*********************************************************************
+ 0   = mmnl    ! min invariant mass for all letpons (l+- and vl) 
+ 1d5 = mmnlmax ! max invariant mass for all letpons (l+- and vl) 
+#*********************************************************************
+# Inclusive cuts                                                     *
+#*********************************************************************
+ 0  = xptj ! minimum pt for at least one jet  
+ 0  = xptb ! minimum pt for at least one b 
+ 0  = xpta ! minimum pt for at least one photon 
+ 0  = xptl ! minimum pt for at least one charged lepton 
+#*********************************************************************
+# Control the pt's of the jets sorted by pt                          *
+#*********************************************************************
+ 0   = ptj1min ! minimum pt for the leading jet in pt
+ 0   = ptj2min ! minimum pt for the second jet in pt
+ 0   = ptj3min ! minimum pt for the third jet in pt
+ 0   = ptj4min ! minimum pt for the fourth jet in pt
+ 1d5 = ptj1max ! maximum pt for the leading jet in pt 
+ 1d5 = ptj2max ! maximum pt for the second jet in pt
+ 1d5 = ptj3max ! maximum pt for the third jet in pt
+ 1d5 = ptj4max ! maximum pt for the fourth jet in pt
+ 0   = cutuse  ! reject event if fails any (0) / all (1) jet pt cuts
+#*********************************************************************
+# Control the Ht(k)=Sum of k leading jets                            *
+#*********************************************************************
+ 0   = htjmin ! minimum jet HT=Sum(jet pt)
+ 1d5 = htjmax ! maximum jet HT=Sum(jet pt)
+ 0   = ht2min ! minimum Ht for the two leading jets
+ 0   = ht3min ! minimum Ht for the three leading jets
+ 0   = ht4min ! minimum Ht for the four leading jets
+ 1d5 = ht2max ! maximum Ht for the two leading jets
+ 1d5 = ht3max ! maximum Ht for the three leading jets
+ 1d5 = ht4max ! maximum Ht for the four leading jets
+#*********************************************************************
+# WBF cuts                                                           *
+#*********************************************************************
+ 0   = xetamin ! minimum rapidity for two jets in the WBF case  
+ 0   = deltaeta ! minimum rapidity for two jets in the WBF case 
+#*********************************************************************
+# maximal pdg code for quark to be considered as a jet               *
+# otherwise b cuts are applied                                       *
+#*********************************************************************
+ 4 = maxjetflavor
+#*********************************************************************
+# Jet measure cuts                                                   *
+#*********************************************************************
+ 0   = xqcut   ! minimum kt jet measure between partons
+#*********************************************************************

=== added file 'Template/Cards/run_card_default.dat'
--- Template/Cards/run_card_default.dat	1970-01-01 00:00:00 +0000
+++ Template/Cards/run_card_default.dat	2010-10-30 03:26:37 +0000
@@ -0,0 +1,198 @@
+#*********************************************************************
+#                       MadGraph/MadEvent                            *
+#                  http://madgraph.hep.uiuc.edu                      *
+#                                                                    *
+#                        run_card.dat                                *
+#                                                                    *
+#  This file is used to set the parameters of the run.               *
+#                                                                    *
+#  Some notation/conventions:                                        *
+#                                                                    *
+#   Lines starting with a '# ' are info or comments                  *
+#                                                                    *
+#   mind the format:   value    = variable     ! comment             *
+#*********************************************************************
+#
+#*******************                                                 
+# Running parameters
+#*******************                                                 
+#                                                                    
+#*********************************************************************
+# Tag name for the run (one word)                                    *
+#*********************************************************************
+  'fermi'     = run_tag ! name of the run 
+#*********************************************************************
+# Run to generate the grid pack                                      *
+#*********************************************************************
+  .false.     = gridpack  !True = setting up the grid pack
+#*********************************************************************
+# Number of events and rnd seed                                      *
+#*********************************************************************
+  10000       = nevents ! Number of unweighted events requested 
+      0       = iseed   ! rnd seed (0=assigned automatically=default))
+#*********************************************************************
+# Collider type and energy                                           *
+#*********************************************************************
+        1     = lpp1  ! beam 1 type (0=NO PDF)
+        1     = lpp2  ! beam 2 type (0=NO PDF)
+     7000     = ebeam1  ! beam 1 energy in GeV
+     7000     = ebeam2  ! beam 2 energy in GeV
+#*********************************************************************
+# Beam polarization from -100 (left-handed) to 100 (right-handed)    *
+#*********************************************************************
+        0     = polbeam1 ! beam polarization for beam 1
+        0     = polbeam2 ! beam polarization for beam 2
+#*********************************************************************
+# PDF CHOICE: this automatically fixes also alpha_s and its evol.    *
+#*********************************************************************
+ 'cteq6l1'    = pdlabel     ! PDF set                                     
+#*********************************************************************
+# Renormalization and factorization scales                           *
+#*********************************************************************
+ F        = fixed_ren_scale  ! if .true. use fixed ren scale
+ F        = fixed_fac_scale  ! if .true. use fixed fac scale
+ 91.1880  = scale            ! fixed ren scale
+ 91.1880  = dsqrt_q2fact1    ! fixed fact scale for pdf1
+ 91.1880  = dsqrt_q2fact2    ! fixed fact scale for pdf2
+ 1        = scalefact        ! scale factor for event-by-event scales
+#*********************************************************************
+# Matching - Warning! ickkw > 1 is still beta
+#*********************************************************************
+ 0        = ickkw            ! 0 no matching, 1 MLM, 2 CKKW matching
+ 1        = highestmult      ! for ickkw=2, highest mult group
+ 1        = ktscheme         ! for ickkw=1, 1 Durham kT, 2 Pythia pTE
+ 1        = alpsfact         ! scale factor for QCD emission vx
+ F        = chcluster        ! cluster only according to channel diag
+ F        = pdfwgt           ! for ickkw=1, perform pdf reweighting
+#*********************************************************************
+#                                                                    
+#**********************************
+# BW cutoff (M+/-bwcutoff*Gamma)
+#**********************************
+  15  = bwcutoff
+#*******************                                                 
+# Standard Cuts
+#*******************                                                 
+#                                                                    
+#*********************************************************************
+# Minimum and maximum pt's                                           *
+#*********************************************************************
+ 20  = ptj       ! minimum pt for the jets 
+  0  = ptb       ! minimum pt for the b 
+ 10  = pta       ! minimum pt for the photons 
+ 10  = ptl       ! minimum pt for the charged leptons 
+  0  = misset    ! minimum missing Et (sum of neutrino's momenta)
+  0  = ptheavy   ! minimum pt for one heavy final state
+ 1.0 = ptonium   ! minimum pt for the quarkonium states
+ 1d5 = ptjmax    ! maximum pt for the jets
+ 1d5 = ptbmax    ! maximum pt for the b
+ 1d5 = ptamax    ! maximum pt for the photons
+ 1d5 = ptlmax    ! maximum pt for the charged leptons
+ 1d5 = missetmax ! maximum missing Et (sum of neutrino's momenta)
+#*********************************************************************
+# Minimum and maximum E's (in the lab frame)                         *
+#*********************************************************************
+  0  = ej     ! minimum E for the jets 
+  0  = eb     ! minimum E for the b 
+  0  = ea     ! minimum E for the photons 
+  0  = el     ! minimum E for the charged leptons 
+ 1d5  = ejmax ! maximum E for the jets
+ 1d5  = ebmax ! maximum E for the b
+ 1d5  = eamax ! maximum E for the photons
+ 1d5  = elmax ! maximum E for the charged leptons
+#*********************************************************************
+# Maximum and minimum rapidity                                       *
+#*********************************************************************
+   5  = etaj    ! max rap for the jets 
+ 1d2  = etab    ! max rap for the b 
+ 2.5  = etaa    ! max rap for the photons 
+ 2.5  = etal    ! max rap for the charged leptons 
+ 0.6  = etaonium ! max rap for the quarkonium states
+ 0d0  = etajmin ! min rap for the jets
+ 0d0  = etabmin ! min rap for the b
+ 0d0  = etaamin ! min rap for the photons
+ 0d0  = etalmin ! main rap for the charged leptons
+#*********************************************************************
+# Minimum and maximum DeltaR distance                                *
+#*********************************************************************
+ 0.4 = drjj    ! min distance between jets 
+ 0   = drbb    ! min distance between b's 
+ 0.4 = drll    ! min distance between leptons 
+ 0.4 = draa    ! min distance between gammas 
+ 0   = drbj    ! min distance between b and jet 
+ 0.4 = draj    ! min distance between gamma and jet 
+ 0.4 = drjl    ! min distance between jet and lepton 
+ 0   = drab    ! min distance between gamma and b 
+ 0   = drbl    ! min distance between b and lepton 
+ 0.4 = dral    ! min distance between gamma and lepton 
+ 1d2 = drjjmax ! max distance between jets
+ 1d2 = drbbmax ! max distance between b's
+ 1d2 = drllmax ! max distance between leptons
+ 1d2 = draamax ! max distance between gammas
+ 1d2 = drbjmax ! max distance between b and jet
+ 1d2 = drajmax ! max distance between gamma and jet
+ 1d2 = drjlmax ! max distance between jet and lepton
+ 1d2 = drabmax ! max distance between gamma and b
+ 1d2 = drblmax ! max distance between b and lepton
+ 1d2 = dralmax ! maxdistance between gamma and lepton
+#*********************************************************************
+# Minimum and maximum invariant mass for pairs                       *
+#*********************************************************************
+ 0   = mmjj    ! min invariant mass of a jet pair 
+ 0   = mmbb    ! min invariant mass of a b pair 
+ 0   = mmaa    ! min invariant mass of gamma gamma pair
+ 0   = mmll    ! min invariant mass of l+l- (same flavour) lepton pair
+ 1d5 = mmjjmax ! max invariant mass of a jet pair
+ 1d5 = mmbbmax ! max invariant mass of a b pair
+ 1d5 = mmaamax ! max invariant mass of gamma gamma pair
+ 1d5 = mmllmax ! max invariant mass of l+l- (same flavour) lepton pair
+#*********************************************************************
+# Minimum and maximum invariant mass for all letpons                 *
+#*********************************************************************
+ 0   = mmnl    ! min invariant mass for all letpons (l+- and vl) 
+ 1d5 = mmnlmax ! max invariant mass for all letpons (l+- and vl) 
+#*********************************************************************
+# Inclusive cuts                                                     *
+#*********************************************************************
+ 0  = xptj ! minimum pt for at least one jet  
+ 0  = xptb ! minimum pt for at least one b 
+ 0  = xpta ! minimum pt for at least one photon 
+ 0  = xptl ! minimum pt for at least one charged lepton 
+#*********************************************************************
+# Control the pt's of the jets sorted by pt                          *
+#*********************************************************************
+ 0   = ptj1min ! minimum pt for the leading jet in pt
+ 0   = ptj2min ! minimum pt for the second jet in pt
+ 0   = ptj3min ! minimum pt for the third jet in pt
+ 0   = ptj4min ! minimum pt for the fourth jet in pt
+ 1d5 = ptj1max ! maximum pt for the leading jet in pt 
+ 1d5 = ptj2max ! maximum pt for the second jet in pt
+ 1d5 = ptj3max ! maximum pt for the third jet in pt
+ 1d5 = ptj4max ! maximum pt for the fourth jet in pt
+ 0   = cutuse  ! reject event if fails any (0) / all (1) jet pt cuts
+#*********************************************************************
+# Control the Ht(k)=Sum of k leading jets                            *
+#*********************************************************************
+ 0   = htjmin ! minimum jet HT=Sum(jet pt)
+ 1d5 = htjmax ! maximum jet HT=Sum(jet pt)
+ 0   = ht2min ! minimum Ht for the two leading jets
+ 0   = ht3min ! minimum Ht for the three leading jets
+ 0   = ht4min ! minimum Ht for the four leading jets
+ 1d5 = ht2max ! maximum Ht for the two leading jets
+ 1d5 = ht3max ! maximum Ht for the three leading jets
+ 1d5 = ht4max ! maximum Ht for the four leading jets
+#*********************************************************************
+# WBF cuts                                                           *
+#*********************************************************************
+ 0   = xetamin ! minimum rapidity for two jets in the WBF case  
+ 0   = deltaeta ! minimum rapidity for two jets in the WBF case 
+#*********************************************************************
+# maximal pdg code for quark to be considered as a jet               *
+# otherwise b cuts are applied                                       *
+#*********************************************************************
+ 4 = maxjetflavor
+#*********************************************************************
+# Jet measure cuts                                                   *
+#*********************************************************************
+ 0   = xqcut   ! minimum kt jet measure between partons
+#*********************************************************************

=== added directory 'Template/Events'
=== added file 'Template/Events/banner_header.txt'
--- Template/Events/banner_header.txt	1970-01-01 00:00:00 +0000
+++ Template/Events/banner_header.txt	2010-10-30 03:26:37 +0000
@@ -0,0 +1,31 @@
+<LesHouchesEvents version="1.0">
+<header>
+<!--
+#*********************************************************************
+#                                                                    *
+#                       MadGraph/MadEvent                            *
+#                                                                    *
+#                      The new web generation                        *
+#                                                                    *
+#                   http://madgraph.hep.uiuc.edu                     *
+#                   http://madgraph.phys.ucl.ac.be                   *
+#                   http://madgraph.roma2.infn.it                    *
+#                                                                    *
+#            CP3 team                      Tim Stelzer               *
+#      Universite de Louvain          University of Illinois         *
+#                                                                    *
+#....................................................................*
+#                                                                    *
+# This file contains all the information necessary to reproduce      *
+# the events generated:                                              *
+#                                                                    *
+# 1. software version                                                *
+# 2. proc_card.dat      : code generation info including model       *
+# 3. param_card.dat     : model primary parameters in the LH format  *
+# 4. run_card.dat       : running parameters (collider and cuts)     *
+# 5. pythia_card.dat    : present only in the pythia event file      *
+# 6. pgs_card.dat       : present only in the pgs event file         *
+#                                                                    *
+#                                                                    *
+#*********************************************************************
+-->

=== added directory 'Template/HTML'
=== added file 'Template/HTML/TemplateVersion.txt'
--- Template/HTML/TemplateVersion.txt	1970-01-01 00:00:00 +0000
+++ Template/HTML/TemplateVersion.txt	2010-10-30 03:26:37 +0000
@@ -0,0 +1,1 @@
+template_v1.0

=== added file 'Template/HTML/card.jpg'
Binary files Template/HTML/card.jpg and Template/HTML/card.jpg differ
=== added file 'Template/HTML/crossx.html'
--- Template/HTML/crossx.html	1970-01-01 00:00:00 +0000
+++ Template/HTML/crossx.html	2010-10-30 03:26:37 +0000
@@ -0,0 +1,13 @@
+<HTML> <HEAD> 
+<META HTTP-EQUIV="EXPIRES" CONTENT="20" > 
+ <TITLE>Online Event Generation</TITLE></HEAD> 
+ <BODY><H2 align=center> Results for ap>tt~ @1     in the sm           </H2> <HR><BR>
+<HTML> 
+<HEAD> 
+</HEAD> 
+<BODY> 
+<P> <H2 align="center"> Available Results </H2><TABLE BORDER=2 align="center" >  
+<TR align="center"><TH>Links</TH> <TH>Events</TH> <TH NOWRAP> Tag </TH><TH NOWRAP> Run </TH> 
+<TH>Collider</TH> <TH> Cross section (pb) </TH> <TH> Events  </TH> </TR> 
+</TR> </table><P><H3 align=center><A HREF="../index.html"> Main Page </A></BODY> 
+</HTML> 

=== added file 'Template/HTML/info-default.html'
--- Template/HTML/info-default.html	1970-01-01 00:00:00 +0000
+++ Template/HTML/info-default.html	2010-10-30 03:26:37 +0000
@@ -0,0 +1,13 @@
+<HTML> 
+<HEAD> 
+<TITLE>Info file</TITLE> 
+<META HTTP-EQUIV="EXPIRES" CONTENT="20" ></HEAD> 
+<BODY> 
+<P> <H2 ALIGN=CENTER> SubProcesses and Feynman diagrams </H2>
+<P> <H4 ALIGN=CENTER> Information not available yet: </H4>
+<P> <H4 ALIGN=CENTER> Process might still be generated or has failed.</H4>
+<P> <H4 ALIGN=CENTER> Please check the <a href="../proc_log.txt">process generation log</a> and the process information status on the 
+<a href="../index.html">main page</a>.</H4>
+<P> <H4 ALIGN=CENTER> If generation failed, please check the <a href="../Cards/proc_card.dat">process card</a> for mistakes in syntax.</H4>
+<H4 align=center> <A  HREF="card.html"> Main Page </A> </h4>
+</HTML> 

=== added file 'Template/HTML/info.html'
--- Template/HTML/info.html	1970-01-01 00:00:00 +0000
+++ Template/HTML/info.html	2010-10-30 03:26:37 +0000
@@ -0,0 +1,18 @@
+<HTML> 
+<HEAD> 
+<TITLE>  </TITLE> 
+<META HTTP-EQUIV="EXPIRES" CONTENT="20" ></HEAD> 
+<BODY> 
+<P> <H2 ALIGN=CENTER> SubProcesses and Feynman diagrams </H2><TABLE BORDER=2 ALIGN=CENTER> 
+<TR><TH>Directory</TH> <TH NOWRAP># Diagrams </TH><TH NOWRAP># Subprocesses </TH> 
+<TH COLSPAN=2>FEYNMAN DIAGRAMS</TH> <TH COLSPAN=4> SUBPROCESS </TH></TR> 
+</TR><TR> <TD> P1ag_ttx </TD> 
+<TD>    2 </TD> 
+<TD> 1 </TD> 
+<TD> <A HREF="../SubProcesses/P1ag_ttx/diagrams.html" > html </A> </TD> 
+<TD> <A HREF="../SubProcesses/P1ag_ttx/matrix.ps" > postscript </A> </TD> 
+<TD NOWRAP>  a g -> t t~                                
+ </TD> 
+ </TR></TABLE><BR> 
+<TABLE ALIGN=CENTER><TR> <TD ALIGN=CENTER> <A HREF="../proc_log.txt">proc_log.txt</A> <TD> Log file from MadGraph code generation. <TR> <TD ALIGN=CENTER> <A HREF="../Cards/proc_card.dat">proc_card.dat</A> <TD> Input file used for code generation.<TR> <TD ALIGN=CENTER> <A HREF="../Source/MODEL/particles.dat">particles.dat</A> <TD> Particles file used for code generation.<TR> <TD ALIGN=CENTER> <A HREF="../Source/MODEL/interactions.dat">interactions.dat</A> <TD> Interactions file used for code generation.</TABLE><P><H3 align=center><A HREF="../index.html"> Main Page </A></BODY> 
+</HTML> 

=== added file 'Template/HTML/stop.jpg'
Binary files Template/HTML/stop.jpg and Template/HTML/stop.jpg differ
=== added file 'Template/HTML/thinking.gif'
Binary files Template/HTML/thinking.gif and Template/HTML/thinking.gif differ
=== added file 'Template/README'
--- Template/README	1970-01-01 00:00:00 +0000
+++ Template/README	2010-10-30 03:26:37 +0000
@@ -0,0 +1,69 @@
+MadGraph/MadEvent 4.0
+By Fabio Maltoni, Tim Stelzer and the CP3 development team
+
+http://madgraph.phys.ucl.ac.be/
+http://madgraph.hep.uiuc.edu/
+http://madgraph.roma2.infn.it/
+
+Information on the process to be generated is found in the file
+index.html in this directory, which should be viewed using your web
+browser. If the file index.html is missing, you need to generate a
+process. Please refer to the README file one directory above this
+(MG_ME_V?.?.?/) for instructions on how to generate a process.
+
+
+To generate events:
+-------------------
+
+1) Specify the model parameters. The model parameters include masses
+and widths for the particles and coupling constants. They are given by
+the file param_card.dat in the Cards directory. Although it is
+possible to edit this file manually, this is not recommended since
+there are dependencies among the parameters which need to be taken
+into account. Instead the param_card.dat should be generated using one
+of the Calculators found on the MG/ME homepages (stated above).  Click
+Calculators, choose model and follow the instructions. Place the
+resulting param_card.dat in the Cards directory.
+
+2) Specify the run parameters. The run parameters includes collider
+type and energy, choice of parton distribution functions and scales.
+They are given by the file run_card.dat in the Cards directory. This
+file should be edited manually, following the syntax given in the
+example file.
+**Warning!** For several reasons, avoid running more than 100,000
+events per run. Instead perform several runs to reach the luminosity
+you need. Subsequent runs automatically update the random seed, so the
+results from different runs are statistically independent.
+
+3) Run bin/generate_events to generate the events and calculate the
+cross-section.
+
+4) Follow the generation and look at the results in the file
+HTML/crossx.html, using your web browser.
+
+5) If you want to run Pythia and/or PGS/Delphes on the events,
+download the Pythia/PGS package (and Delphes) and untar one directory
+above this (the MG_ME directory) and run make. Make sure the cards
+pythia_card.dat and pgs_card.dat are present in the Cards/ directory.
+If this is the case, Pythia and PGS will automatically be run by
+generate_events, or, for an existing run, use bin/run_pythia and
+bin/run_pgs.
+
+
+To use LHAPDF with MadGraph/MadEvent
+------------------------------------
+
+Please follow the steps below to run MadEvent with LHAPDF support:
+
+1) Download and compile LHAPDF
+
+2) Link (or copy) the following files from the LHAPDF directory to the lib/ directory:
+- libLHAPDF.a
+- libLHAPDF.so and libLHAPDF.so.0 (if you are running dynamic compilation for a grid pack)
+- PDFsets
+
+3) Set the pdlabel and define the LHA pdf number you want to use in your run_card.dat
+ 'lhapdf'    = pdlabel     ! PDF set
+ 10042       = lhaid       ! PDF number used ONLY for LHAPDF
+
+4) Run generate_events (or run.sh/...) as usual

=== added directory 'Template/Source'
=== added directory 'Template/Source/CERNLIB'
=== added file 'Template/Source/CERNLIB/abend.f'
--- Template/Source/CERNLIB/abend.f	1970-01-01 00:00:00 +0000
+++ Template/Source/CERNLIB/abend.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,19 @@
+*
+* $Id: abend.f,v 1.1 2009/07/30 22:46:16 madgraph Exp $
+*
+* $Log: abend.f,v $
+* Revision 1.1  2009/07/30 22:46:16  madgraph
+* JA: Implemented CKKW-style matching with Pythia pT-ordered showers
+*
+* Revision 1.1.1.1  1996/02/15 17:50:37  mclareni
+* Kernlib
+*
+*
+      SUBROUTINE ABEND
+C
+C CERN PROGLIB# Z035    ABEND           .VERSION KERNFOR  4.31  911111
+C ORIG.  8/02/88  JZ
+C
+
+      STOP  7
+      END

=== added file 'Template/Source/CERNLIB/dlsqp2.f'
--- Template/Source/CERNLIB/dlsqp2.f	1970-01-01 00:00:00 +0000
+++ Template/Source/CERNLIB/dlsqp2.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,69 @@
+*
+* $Id: dlsqp2.f,v 1.1 2009/07/30 22:46:16 madgraph Exp $
+*
+* $Log: dlsqp2.f,v $
+* Revision 1.1  2009/07/30 22:46:16  madgraph
+* JA: Implemented CKKW-style matching with Pythia pT-ordered showers
+*
+* Revision 1.1.1.1  1996/04/01 15:02:24  mclareni
+* Mathlib gen
+*
+*
+      SUBROUTINE DLSQP2(N,X,Y,A0,A1,A2,SD,IFAIL)
+      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
+ 
+      DIMENSION X(*),Y(*)
+ 
+      PARAMETER (R0 = 0)
+ 
+      A0=0
+      A1=0
+      A2=0
+      SD=0
+      IF(N .LE. 2) THEN
+       IFAIL=1
+      ELSE
+       FN=N
+       XM=0
+       DO 1 K = 1,N
+       XM=XM+X(K)
+    1  CONTINUE
+       XM=XM/FN
+       SX=0
+       SXX=0
+       SXXX=0
+       SXXXX=0
+       SY=0
+       SYY=0
+       SXY=0
+       SXXY=0
+       DO 2 K = 1,N
+       XK=X(K)-XM
+       YK=Y(K)
+       XK2=XK**2
+       SX=SX+XK
+       SXX=SXX+XK2
+       SXXX=SXXX+XK2*XK
+       SXXXX=SXXXX+XK2**2
+       SY=SY+YK
+       SYY=SYY+YK**2
+       SXY=SXY+XK*YK
+       SXXY=SXXY+XK2*YK
+    2  CONTINUE
+       DET=(FN*SXXXX-SXX**2)*SXX-FN*SXXX**2
+       IF(DET .GT. 0) THEN
+        A2=(SXX*(FN*SXXY-SXX*SY)-FN*SXXX*SXY)/DET
+        A1=(SXY-SXXX*A2)/SXX
+        A0=(SY-SXX*A2)/FN
+        IFAIL=0
+       ELSE
+        IFAIL=-1
+       ENDIF
+      ENDIF
+      IF(IFAIL .EQ. 0 .AND. N .GT. 3)
+     1   SD=SQRT(MAX(R0,SYY-A0*SY-A1*SXY-A2*SXXY)/(N-3))
+      A0=A0+XM*(XM*A2-A1)
+      A1=A1-2*XM*A2
+      RETURN
+      END
+

=== added file 'Template/Source/CERNLIB/lenocc.f'
--- Template/Source/CERNLIB/lenocc.f	1970-01-01 00:00:00 +0000
+++ Template/Source/CERNLIB/lenocc.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,30 @@
+*
+* $Id: lenocc.f,v 1.1 2009/07/30 22:46:16 madgraph Exp $
+*
+* $Log: lenocc.f,v $
+* Revision 1.1  2009/07/30 22:46:16  madgraph
+* JA: Implemented CKKW-style matching with Pythia pT-ordered showers
+*
+* Revision 1.1.1.1  1996/02/15 17:49:49  mclareni
+* Kernlib
+*
+*
+      FUNCTION LENOCC (CHV)
+C
+C CERN PROGLIB# M507    LENOCC          .VERSION KERNFOR  4.21  890323
+C ORIG. March 85, A.Petrilli, re-write 21/02/89, JZ
+C
+C-    Find last non-blank character in CHV
+
+      CHARACTER    CHV*(*)
+
+      N = LEN(CHV)
+
+      DO 17  JJ= N,1,-1
+      IF (CHV(JJ:JJ).NE.' ') GO TO 99
+   17 CONTINUE
+      JJ = 0
+
+   99 LENOCC = JJ
+      RETURN
+      END

=== added file 'Template/Source/CERNLIB/makefile'
--- Template/Source/CERNLIB/makefile	1970-01-01 00:00:00 +0000
+++ Template/Source/CERNLIB/makefile	2010-10-30 03:26:37 +0000
@@ -0,0 +1,16 @@
+# Note that optimization doesn't work on all machines
+F77     = f77
+FFLAGS  = 
+LIBRARY	= libcernlib.a
+LIBDIR  = ../../lib/
+SOURCES = abend.o dlsqp2.o lenocc.o mtlprt.o mtlset.o radmul.o
+
+all: $(LIBDIR)$(LIBRARY)
+
+%.o : %.f makefile
+	$(F77) $(FFLAGS) -c $<
+
+$(LIBDIR)$(LIBRARY): $(SOURCES)
+	ar cru $(LIBRARY) $^
+	ranlib $(LIBRARY)
+	mv $(LIBRARY) $(LIBDIR)

=== added file 'Template/Source/CERNLIB/makefile_dynamic'
--- Template/Source/CERNLIB/makefile_dynamic	1970-01-01 00:00:00 +0000
+++ Template/Source/CERNLIB/makefile_dynamic	2010-10-30 03:26:37 +0000
@@ -0,0 +1,15 @@
+# Note that optimization doesn't work on all machines
+F77           = f77
+FFLAGS        = -fPIC
+LIBRARY	= libcernlib.so
+LIBDIR  = ../../lib/
+SOURCES = abend.o dlsqp2.o lenocc.o mtlprt.o mtlset.o radmul.o
+
+all: $(LIBDIR)$(LIBRARY)
+
+%.o : %.f makefile
+	$(F77) $(FFLAGS) -c $<
+
+$(LIBDIR)$(LIBRARY): $(SOURCES)
+	g77 -shared -o $(LIBRARY) $^
+	mv $(LIBRARY) $(LIBDIR)
\ No newline at end of file

=== added file 'Template/Source/CERNLIB/mtlprt.f'
--- Template/Source/CERNLIB/mtlprt.f	1970-01-01 00:00:00 +0000
+++ Template/Source/CERNLIB/mtlprt.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,30 @@
+*
+* $Id: mtlprt.f,v 1.1 2009/07/30 22:46:16 madgraph Exp $
+*
+* $Log: mtlprt.f,v $
+* Revision 1.1  2009/07/30 22:46:16  madgraph
+* JA: Implemented CKKW-style matching with Pythia pT-ordered showers
+*
+* Revision 1.1.1.1  1996/04/01 15:02:52  mclareni
+* Mathlib gen
+*
+*
+      SUBROUTINE MTLPRT(NAME,ERC,TEXT)
+      CHARACTER*(*) NAME,ERC,TEXT
+      LOGICAL LMF,LRF
+
+      IF(ERC(5:6).NE.'.0') THEN
+        CALL MTLMTR(ERC,MLG,LMF,LRF)
+      ELSE
+        LMF=.TRUE.
+        LRF=.FALSE.
+      ENDIF
+      IF(LMF) THEN
+        LT=LENOCC(TEXT)
+        IF(MLG .LT. 1) WRITE(  *,100) ERC(1:4),NAME,ERC,TEXT(1:LT)
+        IF(MLG .GE. 1) WRITE(MLG,100) ERC(1:4),NAME,ERC,TEXT(1:LT)
+      ENDIF
+      IF(.NOT.LRF) CALL ABEND
+      RETURN
+100   FORMAT(7X,'***** CERN ',A,1X,A,' ERROR ',A,': ',A)
+      END

=== added file 'Template/Source/CERNLIB/mtlset.f'
--- Template/Source/CERNLIB/mtlset.f	1970-01-01 00:00:00 +0000
+++ Template/Source/CERNLIB/mtlset.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,197 @@
+*
+* $Id: mtlset.f,v 1.1 2009/07/30 22:46:16 madgraph Exp $
+*
+* $Log: mtlset.f,v $
+* Revision 1.1  2009/07/30 22:46:16  madgraph
+* JA: Implemented CKKW-style matching with Pythia pT-ordered showers
+*
+* Revision 1.1.1.1  1996/04/01 15:02:53  mclareni
+* Mathlib gen
+*
+*
+      SUBROUTINE MTLSET(ERC,NLG,MXM,MXR)
+
+      PARAMETER (KTE = 132)
+      CHARACTER*6 ERC,CODE(KTE)
+      LOGICAL LMF,LRF
+      DIMENSION KNTM(KTE),KNTR(KTE)
+
+      DATA ILG /0/
+
+C     renumber the data statements after putting new codes in Unix with:
+C     awk -F'[()]' '{ printf"%s(%s)%s(%s)%s(%s)%s\n",$1,NR,$3,NR,$5,NR,$7 }'
+C     and modify KTE to the number of lines below
+
+      DATA CODE(1),KNTM(1),KNTR(1) / 'B100.1', 255, 255 /
+      DATA CODE(2),KNTM(2),KNTR(2) / 'B300.1', 255, 255 /
+      DATA CODE(3),KNTM(3),KNTR(3) / 'B300.2', 255, 255 /
+      DATA CODE(4),KNTM(4),KNTR(4) / 'C200.0', 255, 255 /
+      DATA CODE(5),KNTM(5),KNTR(5) / 'C200.1', 255, 255 /
+      DATA CODE(6),KNTM(6),KNTR(6) / 'C200.2', 255, 255 /
+      DATA CODE(7),KNTM(7),KNTR(7) / 'C200.3', 255, 255 /
+      DATA CODE(8),KNTM(8),KNTR(8) / 'C201.0', 255, 255 /
+      DATA CODE(9),KNTM(9),KNTR(9) / 'C202.0', 255, 255 /
+      DATA CODE(10),KNTM(10),KNTR(10) / 'C202.1', 255, 255 /
+      DATA CODE(11),KNTM(11),KNTR(11) / 'C202.2', 255, 255 /
+      DATA CODE(12),KNTM(12),KNTR(12) / 'C205.1', 255, 255 /
+      DATA CODE(13),KNTM(13),KNTR(13) / 'C205.2', 255, 255 /
+      DATA CODE(14),KNTM(14),KNTR(14) / 'C207.0', 255, 255 /
+      DATA CODE(15),KNTM(15),KNTR(15) / 'C208.0', 255, 255 /
+      DATA CODE(16),KNTM(16),KNTR(16) / 'C209.0', 255, 255 /
+      DATA CODE(17),KNTM(17),KNTR(17) / 'C209.1', 255, 255 /
+      DATA CODE(18),KNTM(18),KNTR(18) / 'C209.2', 255, 255 /
+      DATA CODE(19),KNTM(19),KNTR(19) / 'C209.3', 255, 255 /
+      DATA CODE(20),KNTM(20),KNTR(20) / 'C210.1', 255, 255 /
+      DATA CODE(21),KNTM(21),KNTR(21) / 'C302.1', 255, 255 /
+      DATA CODE(22),KNTM(22),KNTR(22) / 'C303.1', 255, 255 /
+      DATA CODE(23),KNTM(23),KNTR(23) / 'C304.1', 255, 255 /
+      DATA CODE(24),KNTM(24),KNTR(24) / 'C305.1', 255, 255 /
+      DATA CODE(25),KNTM(25),KNTR(25) / 'C306.1', 255, 255 /
+      DATA CODE(26),KNTM(26),KNTR(26) / 'C307.1', 255, 255 /
+      DATA CODE(27),KNTM(27),KNTR(27) / 'C312.1', 255, 255 /
+      DATA CODE(28),KNTM(28),KNTR(28) / 'C313.1', 255, 255 /
+      DATA CODE(29),KNTM(29),KNTR(29) / 'C315.1', 255, 255 /
+      DATA CODE(30),KNTM(30),KNTR(30) / 'C316.1', 255, 255 /
+      DATA CODE(31),KNTM(31),KNTR(31) / 'C316.2', 255, 255 /
+      DATA CODE(32),KNTM(32),KNTR(32) / 'C320.1', 255, 255 /
+      DATA CODE(33),KNTM(33),KNTR(33) / 'C321.1', 255, 255 /
+      DATA CODE(34),KNTM(34),KNTR(34) / 'C323.1', 255, 255 /
+      DATA CODE(35),KNTM(35),KNTR(35) / 'C327.1', 255, 255 /
+      DATA CODE(36),KNTM(36),KNTR(36) / 'C328.1', 255, 255 /
+      DATA CODE(37),KNTM(37),KNTR(37) / 'C328.2', 255, 255 /
+      DATA CODE(38),KNTM(38),KNTR(38) / 'C328.3', 255, 255 /
+      DATA CODE(39),KNTM(39),KNTR(39) / 'C330.1', 255, 255 /
+      DATA CODE(40),KNTM(40),KNTR(40) / 'C330.2', 255, 255 /
+      DATA CODE(41),KNTM(41),KNTR(41) / 'C330.3', 255, 255 /
+      DATA CODE(42),KNTM(42),KNTR(42) / 'C331.1', 255, 255 /
+      DATA CODE(43),KNTM(43),KNTR(43) / 'C331.2', 255, 255 /
+      DATA CODE(44),KNTM(44),KNTR(44) / 'C334.1', 255, 255 /
+      DATA CODE(45),KNTM(45),KNTR(45) / 'C334.2', 255, 255 /
+      DATA CODE(46),KNTM(46),KNTR(46) / 'C334.3', 255, 255 /
+      DATA CODE(47),KNTM(47),KNTR(47) / 'C334.4', 255, 255 /
+      DATA CODE(48),KNTM(48),KNTR(48) / 'C334.5', 255, 255 /
+      DATA CODE(49),KNTM(49),KNTR(49) / 'C334.6', 255, 255 /
+      DATA CODE(50),KNTM(50),KNTR(50) / 'C336.1', 255, 255 /
+      DATA CODE(51),KNTM(51),KNTR(51) / 'C337.1', 255, 255 /
+      DATA CODE(52),KNTM(52),KNTR(52) / 'C338.1', 255, 255 /
+      DATA CODE(53),KNTM(53),KNTR(53) / 'C340.1', 255, 255 /
+      DATA CODE(54),KNTM(54),KNTR(54) / 'C343.1', 255, 255 /
+      DATA CODE(55),KNTM(55),KNTR(55) / 'C343.2', 255, 255 /
+      DATA CODE(56),KNTM(56),KNTR(56) / 'C343.3', 255, 255 /
+      DATA CODE(57),KNTM(57),KNTR(57) / 'C343.4', 255, 255 /
+      DATA CODE(58),KNTM(58),KNTR(58) / 'C344.1', 255, 255 /
+      DATA CODE(59),KNTM(59),KNTR(59) / 'C344.2', 255, 255 /
+      DATA CODE(60),KNTM(60),KNTR(60) / 'C344.3', 255, 255 /
+      DATA CODE(61),KNTM(61),KNTR(61) / 'C344.4', 255, 255 /
+      DATA CODE(62),KNTM(62),KNTR(62) / 'C345.1', 255, 255 /
+      DATA CODE(63),KNTM(63),KNTR(63) / 'C346.1', 255, 255 /
+      DATA CODE(64),KNTM(64),KNTR(64) / 'C346.2', 255, 255 /
+      DATA CODE(65),KNTM(65),KNTR(65) / 'C346.3', 255, 255 /
+      DATA CODE(66),KNTM(66),KNTR(66) / 'C347.1', 255, 255 /
+      DATA CODE(67),KNTM(67),KNTR(67) / 'C347.2', 255, 255 /
+      DATA CODE(68),KNTM(68),KNTR(68) / 'C347.3', 255, 255 /
+      DATA CODE(69),KNTM(69),KNTR(69) / 'C347.4', 255, 255 /
+      DATA CODE(70),KNTM(70),KNTR(70) / 'C347.5', 255, 255 /
+      DATA CODE(71),KNTM(71),KNTR(71) / 'C347.6', 255, 255 /
+      DATA CODE(72),KNTM(72),KNTR(72) / 'C348.1', 255, 255 /
+      DATA CODE(73),KNTM(73),KNTR(73) / 'C349.1', 255, 255 /
+      DATA CODE(74),KNTM(74),KNTR(74) / 'C349.2', 255, 255 /
+      DATA CODE(75),KNTM(75),KNTR(75) / 'C349.3', 255, 255 /
+      DATA CODE(76),KNTM(76),KNTR(76) / 'D101.1', 255, 255 /
+      DATA CODE(77),KNTM(77),KNTR(77) / 'D103.1', 255, 255 /
+      DATA CODE(78),KNTM(78),KNTR(78) / 'D104.1', 255, 255 /
+      DATA CODE(79),KNTM(79),KNTR(79) / 'D104.2', 255, 255 /
+      DATA CODE(80),KNTM(80),KNTR(80) / 'D105.1', 255, 255 /
+      DATA CODE(81),KNTM(81),KNTR(81) / 'D105.2', 255, 255 /
+      DATA CODE(82),KNTM(82),KNTR(82) / 'D107.1', 255, 255 /
+      DATA CODE(83),KNTM(83),KNTR(83) / 'D110.0', 255, 255 /
+      DATA CODE(84),KNTM(84),KNTR(84) / 'D110.1', 255, 255 /
+      DATA CODE(85),KNTM(85),KNTR(85) / 'D110.2', 255, 255 /
+      DATA CODE(86),KNTM(86),KNTR(86) / 'D110.3', 255, 255 /
+      DATA CODE(87),KNTM(87),KNTR(87) / 'D110.4', 255, 255 /
+      DATA CODE(88),KNTM(88),KNTR(88) / 'D110.5', 255, 255 /
+      DATA CODE(89),KNTM(89),KNTR(89) / 'D110.6', 255, 255 /
+      DATA CODE(90),KNTM(90),KNTR(90) / 'D113.1', 255, 255 /
+      DATA CODE(91),KNTM(91),KNTR(91) / 'D201.1', 255, 255 /
+      DATA CODE(92),KNTM(92),KNTR(92) / 'D202.1', 255, 255 /
+      DATA CODE(93),KNTM(93),KNTR(93) / 'D401.1', 255, 255 /
+      DATA CODE(94),KNTM(94),KNTR(94) / 'D601.1', 255, 255 /
+      DATA CODE(95),KNTM(95),KNTR(95) / 'E210.1', 255, 255 /
+      DATA CODE(96),KNTM(96),KNTR(96) / 'E210.2', 255, 255 /
+      DATA CODE(97),KNTM(97),KNTR(97) / 'E210.3', 255, 255 /
+      DATA CODE(98),KNTM(98),KNTR(98) / 'E210.4', 255, 255 /
+      DATA CODE(99),KNTM(99),KNTR(99) / 'E210.5', 255, 255 /
+      DATA CODE(100),KNTM(100),KNTR(100) / 'E210.6', 255, 255 /
+      DATA CODE(101),KNTM(101),KNTR(101) / 'E210.7', 255, 255 /
+      DATA CODE(102),KNTM(102),KNTR(102) / 'E211.0', 255, 255 /
+      DATA CODE(103),KNTM(103),KNTR(103) / 'E211.1', 255, 255 /
+      DATA CODE(104),KNTM(104),KNTR(104) / 'E211.2', 255, 255 /
+      DATA CODE(105),KNTM(105),KNTR(105) / 'E211.3', 255, 255 /
+      DATA CODE(106),KNTM(106),KNTR(106) / 'E211.4', 255, 255 /
+      DATA CODE(107),KNTM(107),KNTR(107) / 'E406.0', 255, 255 /
+      DATA CODE(108),KNTM(108),KNTR(108) / 'E406.1', 255, 255 /
+      DATA CODE(109),KNTM(109),KNTR(109) / 'E407.0', 255, 255 /
+      DATA CODE(110),KNTM(110),KNTR(110) / 'E408.0', 255, 255 /
+      DATA CODE(111),KNTM(111),KNTR(111) / 'E408.1', 255, 255 /
+      DATA CODE(112),KNTM(112),KNTR(112) / 'F500.0', 255, 255 /
+      DATA CODE(113),KNTM(113),KNTR(113) / 'F500.1', 255, 255 /
+      DATA CODE(114),KNTM(114),KNTR(114) / 'F500.2', 255, 255 /
+      DATA CODE(115),KNTM(115),KNTR(115) / 'F500.3', 255, 255 /
+      DATA CODE(116),KNTM(116),KNTR(116) / 'G100.1', 255, 255 /
+      DATA CODE(117),KNTM(117),KNTR(117) / 'G100.2', 255, 255 /
+      DATA CODE(118),KNTM(118),KNTR(118) / 'G101.1', 255, 255 /
+      DATA CODE(119),KNTM(119),KNTR(119) / 'G101.2', 255, 255 /
+      DATA CODE(120),KNTM(120),KNTR(120) / 'G105.1', 255, 255 /
+      DATA CODE(121),KNTM(121),KNTR(121) / 'G106.1', 255, 255 /
+      DATA CODE(122),KNTM(122),KNTR(122) / 'G106.2', 255, 255 /
+      DATA CODE(123),KNTM(123),KNTR(123) / 'G116.1', 255, 255 /
+      DATA CODE(124),KNTM(124),KNTR(124) / 'G116.2', 255, 255 /
+      DATA CODE(125),KNTM(125),KNTR(125) / 'H101.0', 255, 255 /
+      DATA CODE(126),KNTM(126),KNTR(126) / 'H101.1', 255, 255 /
+      DATA CODE(127),KNTM(127),KNTR(127) / 'H101.2', 255, 255 /
+      DATA CODE(128),KNTM(128),KNTR(128) / 'H301.1', 255, 255 /
+      DATA CODE(129),KNTM(129),KNTR(129) / 'U501.1', 255, 255 /
+      DATA CODE(130),KNTM(130),KNTR(130) / 'V202.1', 255, 255 /
+      DATA CODE(131),KNTM(131),KNTR(131) / 'V202.2', 255, 255 /
+      DATA CODE(132),KNTM(132),KNTR(132) / 'V202.3', 255, 255 /
+
+      ILG=NLG
+      L=0
+      IF(ERC .NE. ' ') THEN
+       DO 10 L = 1,6
+       IF(ERC(1:L) .EQ. ERC) GOTO 12
+   10  CONTINUE
+   12  CONTINUE
+      ENDIF
+      DO 14 I = 1,KTE
+      IF(L .EQ. 0 .OR. CODE(I)(1:L) .EQ. ERC(1:L)) THEN
+       IF(MXM .GE. 0) KNTM(I)=MXM
+       IF(MXR .GE. 0) KNTR(I)=MXR
+      ENDIF
+   14 CONTINUE
+      RETURN
+
+      ENTRY MTLMTR(ERC,MLG,LMF,LRF)
+
+      MLG=ILG
+      DO 20 I = 1,KTE
+      IF(ERC .EQ. CODE(I))  GOTO 21
+   20 CONTINUE
+      WRITE(*,100) ERC
+      CALL ABEND
+      RETURN
+
+   21 LMF=KNTM(I) .GE. 1
+      LRF=KNTR(I) .GE. 1
+      IF(LMF .AND. KNTM(I) .LT. 255)  KNTM(I)=KNTM(I)-1
+      IF(LRF .AND. KNTR(I) .LT. 255)  KNTR(I)=KNTR(I)-1
+      IF(.NOT.LRF) THEN
+       IF(ILG .LT. 1) WRITE(  *,101) CODE(I)
+       IF(ILG .GE. 1) WRITE(ILG,101) CODE(I)
+      ENDIF
+      RETURN
+  100 FORMAT(7X,'***** CERN N002 MTLSET ... ERROR N002: ',
+     1'ERROR CODE ',A6,' NOT RECOGNIZED BY ERROR MONITOR. RUN ABORTED.')
+  101 FORMAT(7X,'***** CERN N002 MTLSET ... ERROR NOO2.1: ',
+     1'RUN TERMINATED BY LIBRARY ERROR CONDITION ',A6)
+      END

=== added file 'Template/Source/CERNLIB/radmul.f'
--- Template/Source/CERNLIB/radmul.f	1970-01-01 00:00:00 +0000
+++ Template/Source/CERNLIB/radmul.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,207 @@
+*
+* $Id
+*
+* $Log
+*
+      SUBROUTINE RADMUL
+     1 (F,N,A,B,MINPTS,MAXPTS,EPS,WK,IWK,RESULT,RELERR,NFNEVL,IFAIL)
+      CHARACTER NAME*(*)
+      PARAMETER (NAME = 'RADMUL')
+      CALL MTLPRT(NAME,'D120',
+     +'not available on this machine - see documentation')
+      RETURN
+      END
+
+      SUBROUTINE DADMUL
+     1 (F,N,A,B,MINPTS,MAXPTS,EPS,WK,IWK,RESULT,RELERR,NFNEVL,IFAIL)
+      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
+ 
+      LOGICAL LDV
+ 
+      DIMENSION A(*),B(*),WK(*)
+      DIMENSION CTR(15),WTH(15),WTHL(15),Z(15)
+      DIMENSION W(2:15,5),WP(2:15,3)
+ 
+      PARAMETER (R1 = 1, HF = R1/2)
+ 
+      PARAMETER (XL2 =  0.35856 85828 00318 073D0)
+      PARAMETER (XL4 =  0.94868 32980 50513 796D0)
+      PARAMETER (XL5 =  0.68824 72016 11685 289D0)
+ 
+      PARAMETER (W2 =  980*R1/6561, W4 = 200*R1/19683)
+      PARAMETER (WP2 =  245*R1/486, WP4 = 25*R1/729)
+ 
+      DATA (W(N,1),W(N,3),N=2,15)
+     1/-0.193872885230909911D+00,  0.518213686937966768D-01,
+     2 -0.555606360818980835D+00,  0.314992633236803330D-01,
+     3 -0.876695625666819078D+00,  0.111771579535639891D-01,
+     4 -0.115714067977442459D+01, -0.914494741655235473D-02,
+     5 -0.139694152314179743D+01, -0.294670527866686986D-01,
+     6 -0.159609815576893754D+01, -0.497891581567850424D-01,
+     7 -0.175461057765584494D+01, -0.701112635269013768D-01,
+     8 -0.187247878880251983D+01, -0.904333688970177241D-01,
+     9 -0.194970278920896201D+01, -0.110755474267134071D+00,
+     A -0.198628257887517146D+01, -0.131077579637250419D+00,
+     B -0.198221815780114818D+01, -0.151399685007366752D+00,
+     C -0.193750952598689219D+01, -0.171721790377483099D+00,
+     D -0.185215668343240347D+01, -0.192043895747599447D+00,
+     E -0.172615963013768225D+01, -0.212366001117715794D+00/
+ 
+      DATA (W(N,5),W(N+1,5),N=2,14,2)
+     1/ 0.871183254585174982D-01,  0.435591627292587508D-01,
+     2  0.217795813646293754D-01,  0.108897906823146873D-01,
+     3  0.544489534115734364D-02,  0.272244767057867193D-02,
+     4  0.136122383528933596D-02,  0.680611917644667955D-03,
+     5  0.340305958822333977D-03,  0.170152979411166995D-03,
+     6  0.850764897055834977D-04,  0.425382448527917472D-04,
+     7  0.212691224263958736D-04,  0.106345612131979372D-04/
+ 
+      DATA (WP(N,1),WP(N,3),N=2,15)
+     1/-0.133196159122085045D+01,  0.445816186556927292D-01,
+     2 -0.229218106995884763D+01, -0.240054869684499309D-01,
+     3 -0.311522633744855959D+01, -0.925925925925925875D-01,
+     4 -0.380109739368998611D+01, -0.161179698216735251D+00,
+     5 -0.434979423868312742D+01, -0.229766803840877915D+00,
+     6 -0.476131687242798352D+01, -0.298353909465020564D+00,
+     7 -0.503566529492455417D+01, -0.366941015089163228D+00,
+     8 -0.517283950617283939D+01, -0.435528120713305891D+00,
+     9 -0.517283950617283939D+01, -0.504115226337448555D+00,
+     A -0.503566529492455417D+01, -0.572702331961591218D+00,
+     B -0.476131687242798352D+01, -0.641289437585733882D+00,
+     C -0.434979423868312742D+01, -0.709876543209876532D+00,
+     D -0.380109739368998611D+01, -0.778463648834019195D+00,
+     E -0.311522633744855959D+01, -0.847050754458161859D+00/
+ 
+      RESULT=0
+      ABSERR=0
+      IFAIL=3
+      IF(N .LT. 2 .OR. N .GT. 15) RETURN
+      IF(MINPTS .GT. MAXPTS) RETURN
+ 
+      IFNCLS=0
+      LDV=.FALSE.
+      TWONDM=2**N
+      IRGNST=2*N+3
+      IRLCLS=2**N+2*N*(N+1)+1
+      ISBRGN=IRGNST
+      ISBRGS=IRGNST
+      IF(MAXPTS .LT. IRLCLS) RETURN
+      DO 10 J = 1,N
+      CTR(J)=(B(J)+A(J))*HF
+   10 WTH(J)=(B(J)-A(J))*HF
+ 
+   20 RGNVOL=TWONDM
+      DO 30 J = 1,N
+      RGNVOL=RGNVOL*WTH(J)
+   30 Z(J)=CTR(J)
+      SUM1=F(N,Z)
+ 
+      DIFMAX=0
+      SUM2=0
+      SUM3=0
+      DO 40 J = 1,N
+      Z(J)=CTR(J)-XL2*WTH(J)
+      F2=F(N,Z)
+      Z(J)=CTR(J)+XL2*WTH(J)
+      F2=F2+F(N,Z)
+      WTHL(J)=XL4*WTH(J)
+      Z(J)=CTR(J)-WTHL(J)
+      F3=F(N,Z)
+      Z(J)=CTR(J)+WTHL(J)
+      F3=F3+F(N,Z)
+      SUM2=SUM2+F2
+      SUM3=SUM3+F3
+      DIF=ABS(7*F2-F3-12*SUM1)
+      DIFMAX=MAX(DIF,DIFMAX)
+      IF(DIFMAX .EQ. DIF) IDVAXN=J
+   40 Z(J)=CTR(J)
+ 
+      SUM4=0
+      DO 70 J = 2,N
+      J1=J-1
+      DO 60 K = J,N
+      DO 50 L = 1,2
+      WTHL(J1)=-WTHL(J1)
+      Z(J1)=CTR(J1)+WTHL(J1)
+      DO 50 M = 1,2
+      WTHL(K)=-WTHL(K)
+      Z(K)=CTR(K)+WTHL(K)
+   50 SUM4=SUM4+F(N,Z)
+   60 Z(K)=CTR(K)
+   70 Z(J1)=CTR(J1)
+ 
+      SUM5=0
+      DO 80 J = 1,N
+      WTHL(J)=-XL5*WTH(J)
+   80 Z(J)=CTR(J)+WTHL(J)
+   90 SUM5=SUM5+F(N,Z)
+      DO 100 J = 1,N
+      WTHL(J)=-WTHL(J)
+      Z(J)=CTR(J)+WTHL(J)
+      IF(WTHL(J) .GT. 0) GO TO 90
+  100 CONTINUE
+ 
+      RGNCMP=RGNVOL*(WP(N,1)*SUM1+WP2*SUM2+WP(N,3)*SUM3+WP4*SUM4)
+      RGNVAL=W(N,1)*SUM1+W2*SUM2+W(N,3)*SUM3+W4*SUM4+W(N,5)*SUM5
+      RGNVAL=RGNVOL*RGNVAL
+      RGNERR=ABS(RGNVAL-RGNCMP)
+      RESULT=RESULT+RGNVAL
+      ABSERR=ABSERR+RGNERR
+      IFNCLS=IFNCLS+IRLCLS
+ 
+      IF(LDV) THEN
+  110  ISBTMP=2*ISBRGN
+       IF(ISBTMP .GT. ISBRGS) GO TO 160
+       IF(ISBTMP .LT. ISBRGS) THEN
+        ISBTPP=ISBTMP+IRGNST
+        IF(WK(ISBTMP) .LT. WK(ISBTPP)) ISBTMP=ISBTPP
+       ENDIF
+       IF(RGNERR .GE. WK(ISBTMP)) GO TO 160
+       DO 130 K = 0,IRGNST-1
+  130  WK(ISBRGN-K)=WK(ISBTMP-K)
+       ISBRGN=ISBTMP
+       GO TO 110
+      ENDIF
+  140 ISBTMP=(ISBRGN/(2*IRGNST))*IRGNST
+      IF(ISBTMP .GE. IRGNST .AND. RGNERR .GT. WK(ISBTMP)) THEN
+       DO 150 K = 0,IRGNST-1
+  150  WK(ISBRGN-K)=WK(ISBTMP-K)
+       ISBRGN=ISBTMP
+       GO TO 140
+      ENDIF
+ 
+  160 WK(ISBRGN)=RGNERR
+      WK(ISBRGN-1)=RGNVAL
+      WK(ISBRGN-2)=IDVAXN
+      DO 170 J = 1,N
+      ISBTMP=ISBRGN-2*J-2
+      WK(ISBTMP+1)=CTR(J)
+  170 WK(ISBTMP)=WTH(J)
+      IF(LDV) THEN
+       LDV=.FALSE.
+       CTR(IDVAX0)=CTR(IDVAX0)+2*WTH(IDVAX0)
+       ISBRGS=ISBRGS+IRGNST
+       ISBRGN=ISBRGS
+       GO TO 20
+      ENDIF
+      RELERR=ABSERR/ABS(RESULT)
+      IF(ISBRGS+IRGNST .GT. IWK) IFAIL=2
+      IF(IFNCLS+2*IRLCLS .GT. MAXPTS) IFAIL=1
+      IF(RELERR .LT. EPS .AND. IFNCLS .GE. MINPTS) IFAIL=0
+      IF(IFAIL .EQ. 3) THEN
+       LDV=.TRUE.
+       ISBRGN=IRGNST
+       ABSERR=ABSERR-WK(ISBRGN)
+       RESULT=RESULT-WK(ISBRGN-1)
+       IDVAX0=WK(ISBRGN-2)
+       DO 190 J = 1,N
+       ISBTMP=ISBRGN-2*J-2
+       CTR(J)=WK(ISBTMP+1)
+  190  WTH(J)=WK(ISBTMP)
+       WTH(IDVAX0)=HF*WTH(IDVAX0)
+       CTR(IDVAX0)=CTR(IDVAX0)-WTH(IDVAX0)
+       GO TO 20
+      ENDIF
+      NFNEVL=IFNCLS
+      RETURN
+      END

=== added directory 'Template/Source/DHELAS'
=== added file 'Template/Source/DHELAS/.keepthisdir'
=== added file 'Template/Source/DHELAS/Makefile_dynamic'
--- Template/Source/DHELAS/Makefile_dynamic	1970-01-01 00:00:00 +0000
+++ Template/Source/DHELAS/Makefile_dynamic	2010-10-30 03:26:37 +0000
@@ -0,0 +1,115 @@
+# ----------------------------------------------------------------------------
+#
+# Makefile for DHELAS 3.0 library
+# Feb. 28, 2001
+#
+# ----------------------------------------------------------------------------
+#
+# Use a TAB to precede shell commands (e.g., f90, ar, etc).
+# Note: this Makefile uses features that *may not*
+# be supported by make utilities other than GNU make.
+#
+# ----------------------------------------------------------------------------
+# coupsm.F and coupsm.inc are not to be included if HELAS is used with 
+# the 2003 version of MadEvent
+# ----------------------------------------------------------------------------
+
+FC            = f77
+
+FFLAGS        = -O -fPIC -I.
+
+LD	      = ld
+
+DEST	      = ../
+
+EXTHDRS	      =
+
+HDRS	      =
+
+INSTALL	      = /etc/install
+
+LIBRARY	      = ../libdhelas3.so
+
+MAKEFILE      = Makefile
+
+OBJS	      =	httsxx.o hstlxx.o hvvshx.o \
+		vvvtlx.o jvvtlx.o uvvvlx.o sstlxx.o usslxx.o \
+		hvvhxx.o hvvvxx.o httxxx.o \
+		vvsshx.o jvsshx.o ttssxx.o utssxx.o \
+		ttsxxx.o jvvsxx.o vvvsxx.o jvshxx.o utsxxx.o \
+		vvshxx.o jvtxxx.o vvtxxx.o uvvxxx.o \
+		momntx.o mom2cx.o boostx.o rotxxx.o \
+		ixxxxx.o oxxxxx.o vxxxxx.o sxxxxx.o \
+		iovxxx.o fvixxx.o fvoxxx.o jioxxx.o j3xxxx.o \
+		iosxxx.o fsixxx.o fsoxxx.o hioxxx.o \
+		vvvxxx.o jvvxxx.o gggxxx.o jggxxx.o \
+		vvsxxx.o jvsxxx.o hvvxxx.o \
+		vssxxx.o jssxxx.o hvsxxx.o \
+		sssxxx.o hssxxx.o \
+		wwwwxx.o jwwwxx.o w3w3xx.o jw3wxx.o \
+		ggggxx.o jgggxx.o \
+		vvssxx.o jvssxx.o hvvsxx.o \
+		ssssxx.o hsssxx.o \
+		eaixxx.o eaoxxx.o jeexxx.o \
+		ioscxx.o fsicxx.o fsocxx.o hiocxx.o \
+		iovcxx.o fvicxx.o fvocxx.o jiocxx.o \
+		iovdmx.o fvidmx.o fvodmx.o jiodmx.o \
+		iosgld.o fsigld.o fsogld.o hiogld.o \
+		iovgld.o fvigld.o fvogld.o jiogld.o \
+		txxxxx.o txxxx2.o \
+		iotxkk.o iovtkk.o vvtxkk.o ftixkk.o ftoxkk.o \
+                iovkxx.o vvvkxx.o jiokxx.o jvvkxx.o
+
+PRINT	      = pr
+
+SHELL	      = /bin/sh
+
+SYSHDRS	      =
+
+MFLAGS        = -e
+
+#.F.o:
+%.o : %.F
+	$(FC) $(FFLAGS) -c $<
+
+%.o : %.f
+	$(FC) $(FFLAGS) -c $<
+
+all:		$(LIBRARY)
+
+helas:
+		-rm -f *.o
+		export FFLAGS='-O -fPIC +cpp' && \
+		export LIBRARY=libdhelas3.so && \
+		$(MAKE) $(MFLAGS)
+
+helas_check:
+		-rm -f *.o
+		export FFLAGS='-O -fPIC +cpp -DHELAS_CHECK' && \
+		export LIBRARY=libdhelas3_check.so && \
+		$(MAKE) $(MFLAGS)
+
+install-helas:
+		export LIBRARY=libdhelas3.so && \
+		$(MAKE) $(MFLAGS) install	
+
+install-helas_check:
+		export LIBRARY=libdhelas3.so && \
+		$(MAKE) $(MFLAGS) install	
+
+$(LIBRARY):	$(OBJS)
+		@echo  "Loading $(LIBRARY) ... "
+		@g77 -shared -o $(LIBRARY) $(OBJS)
+		@echo "done"
+
+clean:;		@rm -f $(OBJS) core
+
+clobber:;	@rm -f $(OBJS) $(LIBRARY) core tags
+
+install:	$(LIBRARY)
+	        @echo Installing $(LIBRARY) in $(DEST)
+	        @if [ $(DEST) != . ]; then \
+	        (rm -f $(DEST)/$(LIBRARY); $(INSTALL) -f $(DEST) $(LIBRARY)); fi
+
+$(DEST)/$(LIBRARY): $(SRCS) $(HDRS) $(EXTHDRS)
+	        @$(MAKE) -f $(MAKEFILE) ROOT=$(ROOT) DEST=$(DEST) install

=== added directory 'Template/Source/MODEL'
=== added file 'Template/Source/MODEL/.keepme'
=== added file 'Template/Source/MODEL/makefile'
--- Template/Source/MODEL/makefile	1970-01-01 00:00:00 +0000
+++ Template/Source/MODEL/makefile	2010-10-30 03:26:37 +0000
@@ -0,0 +1,25 @@
+# ----------------------------------------------------------------------------
+#
+# Makefile for MODEL directory
+# Jan 25 2006
+#
+# ----------------------------------------------------------------------------
+
+
+F77           = f77
+FFLAGS        = -O -ffixed-line-length-132
+LIBRARY	      = ../libmodel.a
+LIBDIR        = ../../lib/
+MODEL         = printout.o couplings.o
+
+.f.o: ; $(F77) $(FFLAGS) -c $*.f
+
+all: $(LIBDIR)libmodel.a
+
+$(LIBDIR)libmodel.a: $(MODEL)
+	ar cru libmodel.a $(MODEL)
+	ranlib libmodel.a
+	mv libmodel.a  $(LIBDIR)
+
+smcalc: 
+	$(F77) $(FFLAGS) SMCalc.f -o smcalc 

=== added file 'Template/Source/MODEL/makefile_dynamic'
--- Template/Source/MODEL/makefile_dynamic	1970-01-01 00:00:00 +0000
+++ Template/Source/MODEL/makefile_dynamic	2010-10-30 03:26:37 +0000
@@ -0,0 +1,24 @@
+# ----------------------------------------------------------------------------
+#
+# Makefile for MODEL directory
+# Jan 25 2006
+#
+# ----------------------------------------------------------------------------
+
+
+F77           = f77
+FFLAGS        = -O -fPIC -ffixed-line-length-132
+LIBRARY	      = ../libmodel.so
+LIBDIR        = ../../lib/
+MODEL         = printout.o couplings.o
+
+.f.o: ; $(F77) $(FFLAGS) -c $*.f
+
+all: $(LIBDIR)libmodel.so
+
+$(LIBDIR)libmodel.so: $(MODEL)
+	g77 -shared -o libmodel.so $(MODEL)
+	mv libmodel.so  $(LIBDIR)
+
+smcalc: 
+	$(F77) $(FFLAGS) SMCalc.f -o smcalc 

=== added directory 'Template/Source/PDF'
=== added file 'Template/Source/PDF/Ctq4Fn.f'
--- Template/Source/PDF/Ctq4Fn.f	1970-01-01 00:00:00 +0000
+++ Template/Source/PDF/Ctq4Fn.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,122 @@
+C*****Butchered by RKE to remove polint and readtbl which are common to
+C*****Ctq4Fn and Ctq5Pdf
+
+C============================================================================
+C                CTEQ Parton Distribution Functions: Version 4
+C                          June 21, 1996
+C
+C   By: H.L. Lai, J. Huston, S. Kuhlmann, F. Olness, J. Owens, D. Soper
+C       W.K. Tung, H. Weerts
+C   Ref: MSUHEP-60426, CTEQ-604, e-Print Archive: hep-ph/9606399
+C
+C   This package contains 9 sets of CTEQ4 PDF's. Details are:
+C ---------------------------------------------------------------------------
+C   Iset   PDF      Description             Alpha_s(Mz)  Q0(GeV)  Table_File
+C ---------------------------------------------------------------------------
+C   1      CTEQ4M   Standard MSbar scheme   0.116        1.6      cteq4m.tbl
+C   2      CTEQ4D   Standard DIS scheme     0.116        1.6      cteq4d.tbl
+C   3      CTEQ4L   Leading Order           0.116        1.6      cteq4l.tbl
+C   4      CTEQ4A1  Alpha_s series          0.110        1.6      cteq4a1.tbl
+C   5      CTEQ4A2  Alpha_s series          0.113        1.6      cteq4a2.tbl
+C   6      CTEQ4A3  same as CTEQ4M          0.116        1.6      cteq4m.tbl
+C   7      CTEQ4A4  Alpha_s series          0.119        1.6      cteq4a4.tbl
+C   8      CTEQ4A5  Alpha_s series          0.122        1.6      cteq4a5.tbl
+C   9      CTEQ4HJ  High Jet                0.116        1.6      cteq4hj.tbl
+C   10     CTEQ4LQ  Low Q0                  0.114        0.7      cteq4lq.tbl
+C ---------------------------------------------------------------------------
+C   
+C   The available applied range is 10^-5 < x < 1 and 1.6 < Q < 10,000 (GeV) 
+C   except CTEQ4LQ for which Q starts at a lower value of 0.7 GeV.  
+C   The Table_Files are assumed to be in the working directory.
+C   
+C   The function Ctq4Fn (Iset, Iparton, X, Q)
+C   returns the parton distribution inside the proton for parton [Iparton] 
+C   at [X] Bjorken_X and scale [Q] (GeV) in PDF set [Iset].
+C   Iparton  is the parton label (5, 4, 3, 2, 1, 0, -1, ......, -5)
+C                            for (b, c, s, d, u, g, u_bar, ..., b_bar)
+C   
+C   For detailed information on the parameters used, e.q. quark masses, 
+C   QCD Lambda, ... etc.,  see info lines at the beginning of the 
+C   Table_Files.
+
+C   These programs, as provided, are in double precision.  By removing the
+C   "Implicit Double Precision" lines, they can also be run in single 
+C   precision.
+C   
+C   If you have detailed questions concerning these CTEQ4 distributions, 
+C   or if you find problems/bugs using this package, direct inquires to 
+C   Hung-Liang Lai(Lai_H@pa.msu.edu) or Wu-Ki Tung(Tung@pa.msu.edu).
+C   
+C===========================================================================
+
+      Function Ctq4Fn (Iset, Iparton, X, Q)
+      Implicit Double Precision (A-H,O-Z)
+      Character Flnm(10)*11,TableFile*40
+	
+      Common
+     > / CtqPar2 / Nx, Nt, NfMx
+     > / QCDtable /  Alambda, Nfl, Iorder
+      Data (Flnm(I), I=1,10)
+     > / 'cteq4m.tbl ', 'cteq4d.tbl ', 'cteq4l.tbl '
+     > , 'cteq4a1.tbl', 'cteq4a2.tbl', 'cteq4m.tbl ', 'cteq4a4.tbl'
+     > , 'cteq4a5.tbl', 'cteq4hj.tbl', 'cteq4lq.tbl' /
+      Data Isetold, Isetmin, Isetmax / -987, 1, 10 /
+      save
+
+C             If data file not initialized, do so.
+      If(Iset.ne.Isetold) then
+         If (Iset.lt.Isetmin .or. Iset.gt.Isetmax) Then
+	    Print *, 'Invalid Iset number in Ctq4Fn :', Iset
+	    Stop
+	 Endif
+	 IU= NextUt()
+c         Open(IU, File='Pdfdata/'//Flnm(Iset), Status='OLD', Err=100)
+	 TableFile=Flnm(Iset)
+            call OpenData(TableFile)
+c	write (*,*) TableFile
+c	write(*,*) 'iu',iu
+         Call ReadTbl (IU)
+         Close (IU)
+	 Isetold=Iset
+      Endif
+
+      If (X .lt. 0D0 .or. X .gt. 1D0) Then
+	Print *, 'X out of range in Ctq4Fn: ', X
+	Stop
+      Endif
+      If (Q .lt. Alambda) Then
+	Print *, 'Q out of range in Ctq4Fn: ', Q
+	Stop
+      Endif
+      If (Iparton .lt. -NfMx .or. Iparton .gt. NfMx) Then
+	Print *, 'Iparton out of range in Ctq4Fn: ', Iparton
+	Stop
+      Endif
+
+      Ctq4Fn = PartonX (Iparton, X, Q)
+      if(Ctq4Fn.lt.0.D0)  Ctq4Fn = 0.D0
+
+      Return
+
+ 100  Print *, ' Data file ', Flnm(Iset), ' cannot be opened '
+     >//'in Ctq4Fn!!'
+      Stop
+C                             ********************
+      End
+
+      Function NextUt()
+C                                 Returns an unallocated FORTRAN i/o unit.
+      Logical EX
+C
+      Do 10 N = 10, 300
+         INQUIRE (UNIT=N, OPENED=EX)
+         If (.NOT. EX) then
+            NextUt = N
+            Return
+         Endif
+ 10   Continue
+      Stop ' There is no available I/O unit. '
+C               *************************
+      End
+C
+

=== added file 'Template/Source/PDF/Ctq5Par.f'
--- Template/Source/PDF/Ctq5Par.f	1970-01-01 00:00:00 +0000
+++ Template/Source/PDF/Ctq5Par.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,711 @@
+C   CTEQ5M1 and CTEQ5L Parton Distribution Functions in Parametrized Form
+C                             
+C               September 15, 1999
+C
+C   Ref: "GLOBAL QCD ANALYSIS OF PARTON STRUCTURE OF THE NUCLEON:
+C         CTEQ5 PPARTON DISTRIBUTIONS"
+C   hep-ph/9903282
+C
+C   The CTEQ5M1 set given here is an updated version of the original CTEQ5M
+C     set posted, in the table version, on the Web page of CTEQ.
+C     The differences between CTEQ5M and CTEQ5M1 are insignificant for almost
+C     all applications. 
+C   The improvement is in the QCD evolution which is now more accurate, and
+C   which agrees completely with the benchmark work of the HERA 96/97 Workshop.
+
+C   The differences between the parametrized and the corresponding table ver-
+C sions (on which it is based) are of similar order as between the two version.
+C    
+C!! Because accurate parametrizations over a wide range of (x,Q) is hard to
+C   obtain, only the most widely used sets CTEQ5M and CTEQ5L are available 
+C   in parametrized form for now. 
+
+C   These parametrizations were obtained by Jon Pumplin.
+C
+C                    ******************************
+C  Iset   PDF        Description                 Alpha_s(Mz)  Lam4  Lam5
+C ---------------------------------------------------------------------------
+C   1    CTEQ5M1  Standard NLO MSbar scheme         0.118     326   226
+C   3    CTEQ5L   Leading Order                     0.127     192   146
+C ---------------------------------------------------------------------------
+C   Note the Qcd-lambda values given for CTEQ5L is for the leading order
+C     form of Alpha_s!!  Alpha_s(Mz) gives the absolute calibration.
+
+C  The two Iset value are adopted to agree with the standard table versions.
+
+C   The following user-callable routines are provided:
+C 
+C     FUNCTION Ctq5Pd (Iset, Iprtn, X, Q, Irt) 
+C         returns the PROBABILITY density for a GIVEN flavor;
+C
+C     FUNCTION Ctq5df (Iset, Iprtn, X, Q, Irt)
+C         returns the MOMENTUM density of a GIVEN valence or sea distribution.
+C
+C     SUBROUTINE Ctq5Pds(Iset, Pdf, X, Q, Irt)
+C         returns an array of MOMENTUM densities for ALL flavors;
+C****************************************************************************
+C     Added by Tim Stelzer    
+c               subroutine pftopdg(x,Q,pdf)
+c               subroutine pdfset(parm,val)
+c
+c
+C
+C   The arguments of these routines are as follows: 
+C
+C   Iset is the set number:  1 for CTEQ5M1 or 3 for CTEQ5L  
+C
+C   Iprtn  is the parton label (6, 5, 4, 3, 2, 1, 0, -1, ......, -6)
+C                          for (t, b, c, s, d, u, g, u_bar, ..., t_bar)
+C  *** WARNING: We use the parton label 2 as D-quark and 1 as U-quark, 
+C               which might be different from your labels.
+C
+C   X, Q are the usual x, Q; 
+C
+C   Irt is an error code: 0 if there was no error; 1 or more if (x,q) was 
+C   outside the range of validity of the parametrization.
+C       
+C  Range of validity:
+C  
+C     The range of (x, Q) covered by this parametrization of the QCD evolved
+C     parton distributions is 1E-6 < x < 1 ; 1.1 GeV < Q < 10 TeV.  Of course,
+C     the PDF's are constrained by data only in a subset of that region; and 
+C     the assumed DGLAP evolution is unlikely to be valid for all of it either.
+C
+C     The range of (x, Q) used in the CTEQ5 round of global analysis is 
+C     approximately 0.01 < x < 0.75 ; and 4 GeV^2 < Q^2 < 400 GeV^2 for 
+C     fixed target experiments; 0.0001 < x < 0.3 from HERA data; and   
+C     Q^2 up to 40,000 GeV^2 from Tevatron inclusive Jet data.
+C
+C   DOUBLE PRECISION is used throughout in these routines, but conversion to 
+C   SINGLE PRECISION is possible by removing the Implicit Double Precision statements. 
+C
+C **************************************************************************
+
+
+C ********************************************************
+      FUNCTION CTQ5PD(ISET, IPARTON, X, Q, IRT)
+C ********************************************************
+      IMPLICIT DOUBLE PRECISION (A-H, O-Z)
+
+c if called at a point (x,q) that is outside the region that was 
+c actually parametrized, return a value of 0, and set the error code IRT=1.  
+c The user can remove the following IF statement to receive instead an 
+c extrapolated value, which may be wildly unphysical.
+      if((x .lt. 1.e-6). or. (x .gt. 1.) 
+     &	 .or. (q .lt. .99) .or. (q .gt. 10000.)) then
+         ctq5pd = 0.d0
+         irt = 1
+         return
+      endif
+
+      irt = 0
+      if(iset .eq. 3) then
+         ctq5pd = ctq5L(iparton,x,q)
+      elseif(iset .eq. 1) then
+         ctq5pd = ctq5Mi(iparton,x,q)
+      else
+         print *,'iset=',iset,' has not been parametrized.' 
+	   print '(/A)', 'Use the interpolation-table version instead.'
+         stop
+      endif
+
+      return
+      end
+
+C ********************************************************
+      FUNCTION CTQ5DF(ISET, IFL, X, Q, IRT)
+C ********************************************************
+      IMPLICIT DOUBLE PRECISION (A-H, O-Z)
+
+      CTQ5DF = X * CTQ5PD(ISET, IPARTON, X, Q, IRT)
+        
+      RETURN
+      END
+
+C ********************************************************
+      SUBROUTINE CTQ5PDS(ISET, PDF, X, Q, IRT)
+C ********************************************************
+      IMPLICIT DOUBLE PRECISION (A-H, O-Z)
+      DIMENSION PDF (-6:6)
+
+      IRT = 0
+
+      DO IFL= -6,2
+         PDF(IFL) = CTQ5PD(ISET,IFL,X,Q,IRT1)
+         IRT = IRT + IRT1
+
+         IF (IFL .LE. -3) THEN
+            PDF(-IFL) = PDF(IFL)
+         ENDIF
+
+      ENDDO
+
+      RETURN
+      END
+
+c --------------------------------------------------------------------------
+	double precision function ctq5MI(ifl,x,q)
+c Parametrization of cteq5MI parton distribution functions (J. Pumplin 9/99).
+c ifl: 1=u,2=d,3=s,4=c,5=b;0=gluon;-1=ubar,-2=dbar,-3=sbar,-4=cbar,-5=bbar.
+c --------------------------------------------------------------------------
+	implicit double precision (a-h,o-z)
+	integer ifl
+
+	ii = ifl
+	if(ii .gt. 2) then
+	   ii = -ii
+	endif
+
+	if(ii .eq. -1) then
+	   sum = faux5MI(-1,x,q)
+	   ratio = faux5MI(-2,x,q)
+	   ctq5MI = sum/(1.d0 + ratio)
+
+	elseif(ii .eq. -2) then
+	   sum = faux5MI(-1,x,q)
+	   ratio = faux5MI(-2,x,q)
+	   ctq5MI = sum*ratio/(1.d0 + ratio)
+
+	elseif(ii .ge. -5) then
+	   ctq5MI = faux5MI(ii,x,q)
+
+	else
+	   ctq5MI = 0.d0 
+
+	endif
+
+	return
+	end
+
+c ---------------------------------------------------------------------
+      double precision function faux5MI(ifl,x,q)
+c auxiliary function for parametrization of CTEQ5MI (J. Pumplin 9/99).
+c ---------------------------------------------------------------------
+      implicit double precision (a-h,o-z)
+      integer ifl
+
+      parameter (nex=8, nlf=2)
+      dimension am(0:nex,0:nlf,-5:2)
+      dimension alfvec(-5:2), qmavec(-5:2)
+      dimension mexvec(-5:2), mlfvec(-5:2)
+      dimension ut1vec(-5:2), ut2vec(-5:2)
+      dimension af(0:nex)
+
+      data mexvec( 2) / 8 /
+      data mlfvec( 2) / 2 /
+      data ut1vec( 2) /  0.5141718E+01 /
+      data ut2vec( 2) / -0.1346944E+01 /
+      data alfvec( 2) /  0.5260555E+00 /
+      data qmavec( 2) /  0.0000000E+00 /
+      data (am( 0,k, 2),k=0, 2)
+     & /  0.4289071E+01, -0.2536870E+01, -0.1259948E+01 /
+      data (am( 1,k, 2),k=0, 2)
+     & /  0.9839410E+00,  0.4168426E-01, -0.5018952E-01 /
+      data (am( 2,k, 2),k=0, 2)
+     & / -0.1651961E+02,  0.9246261E+01,  0.5996400E+01 /
+      data (am( 3,k, 2),k=0, 2)
+     & / -0.2077936E+02,  0.9786469E+01,  0.7656465E+01 /
+      data (am( 4,k, 2),k=0, 2)
+     & /  0.3054926E+02,  0.1889536E+01,  0.1380541E+01 /
+      data (am( 5,k, 2),k=0, 2)
+     & /  0.3084695E+02, -0.1212303E+02, -0.1053551E+02 /
+      data (am( 6,k, 2),k=0, 2)
+     & / -0.1426778E+02,  0.6239537E+01,  0.5254819E+01 /
+      data (am( 7,k, 2),k=0, 2)
+     & / -0.1909811E+02,  0.3695678E+01,  0.5495729E+01 /
+      data (am( 8,k, 2),k=0, 2)
+     & /  0.1889751E-01,  0.5027193E-02,  0.6624896E-03 /
+
+      data mexvec( 1) / 8 /
+      data mlfvec( 1) / 2 /
+      data ut1vec( 1) /  0.4138426E+01 /
+      data ut2vec( 1) / -0.3221374E+01 /
+      data alfvec( 1) /  0.4960962E+00 /
+      data qmavec( 1) /  0.0000000E+00 /
+      data (am( 0,k, 1),k=0, 2)
+     & /  0.1332497E+01, -0.3703718E+00,  0.1288638E+00 /
+      data (am( 1,k, 1),k=0, 2)
+     & /  0.7544687E+00,  0.3255075E-01, -0.4706680E-01 /
+      data (am( 2,k, 1),k=0, 2)
+     & / -0.7638814E+00,  0.5008313E+00, -0.9237374E-01 /
+      data (am( 3,k, 1),k=0, 2)
+     & / -0.3689889E+00, -0.1055098E+01, -0.4645065E+00 /
+      data (am( 4,k, 1),k=0, 2)
+     & /  0.3991610E+02,  0.1979881E+01,  0.1775814E+01 /
+      data (am( 5,k, 1),k=0, 2)
+     & /  0.6201080E+01,  0.2046288E+01,  0.3804571E+00 /
+      data (am( 6,k, 1),k=0, 2)
+     & / -0.8027900E+00, -0.7011688E+00, -0.8049612E+00 /
+      data (am( 7,k, 1),k=0, 2)
+     & / -0.8631305E+01, -0.3981200E+01,  0.6970153E+00 /
+      data (am( 8,k, 1),k=0, 2)
+     & /  0.2371230E-01,  0.5372683E-02,  0.1118701E-02 /
+
+      data mexvec( 0) / 8 /
+      data mlfvec( 0) / 2 /
+      data ut1vec( 0) / -0.1026789E+01 /
+      data ut2vec( 0) / -0.9051707E+01 /
+      data alfvec( 0) /  0.9462977E+00 /
+      data qmavec( 0) /  0.0000000E+00 /
+      data (am( 0,k, 0),k=0, 2)
+     & /  0.1191990E+03, -0.8548739E+00, -0.1963040E+01 /
+      data (am( 1,k, 0),k=0, 2)
+     & / -0.9449972E+02,  0.1074771E+01,  0.2056055E+01 /
+      data (am( 2,k, 0),k=0, 2)
+     & /  0.3701064E+01, -0.1167947E-02,  0.1933573E+00 /
+      data (am( 3,k, 0),k=0, 2)
+     & /  0.1171345E+03, -0.1064540E+01, -0.1875312E+01 /
+      data (am( 4,k, 0),k=0, 2)
+     & / -0.1014453E+03, -0.5707427E+00,  0.4511242E-01 /
+      data (am( 5,k, 0),k=0, 2)
+     & /  0.6365168E+01,  0.1275354E+01, -0.4964081E+00 /
+      data (am( 6,k, 0),k=0, 2)
+     & / -0.3370693E+01, -0.1122020E+01,  0.5947751E-01 /
+      data (am( 7,k, 0),k=0, 2)
+     & / -0.5327270E+01, -0.9293556E+00,  0.6629940E+00 /
+      data (am( 8,k, 0),k=0, 2)
+     & /  0.2437513E-01,  0.1600939E-02,  0.6855336E-03 /
+
+      data mexvec(-1) / 8 /
+      data mlfvec(-1) / 2 /
+      data ut1vec(-1) /  0.5243571E+01 /
+      data ut2vec(-1) / -0.2870513E+01 /
+      data alfvec(-1) /  0.6701448E+00 /
+      data qmavec(-1) /  0.0000000E+00 /
+      data (am( 0,k,-1),k=0, 2)
+     & /  0.2428863E+02,  0.1907035E+01, -0.4606457E+00 /
+      data (am( 1,k,-1),k=0, 2)
+     & /  0.2006810E+01, -0.1265915E+00,  0.7153556E-02 /
+      data (am( 2,k,-1),k=0, 2)
+     & / -0.1884546E+02, -0.2339471E+01,  0.5740679E+01 /
+      data (am( 3,k,-1),k=0, 2)
+     & / -0.2527892E+02, -0.2044124E+01,  0.1280470E+02 /
+      data (am( 4,k,-1),k=0, 2)
+     & / -0.1013824E+03, -0.1594199E+01,  0.2216401E+00 /
+      data (am( 5,k,-1),k=0, 2)
+     & /  0.8070930E+02,  0.1792072E+01, -0.2164364E+02 /
+      data (am( 6,k,-1),k=0, 2)
+     & / -0.4641050E+02,  0.1977338E+00,  0.1273014E+02 /
+      data (am( 7,k,-1),k=0, 2)
+     & / -0.3910568E+02,  0.1719632E+01,  0.1086525E+02 /
+      data (am( 8,k,-1),k=0, 2)
+     & / -0.1185496E+01, -0.1905847E+00, -0.8744118E-03 /
+
+      data mexvec(-2) / 7 /
+      data mlfvec(-2) / 2 /
+      data ut1vec(-2) /  0.4782210E+01 /
+      data ut2vec(-2) / -0.1976856E+02 /
+      data alfvec(-2) /  0.7558374E+00 /
+      data qmavec(-2) /  0.0000000E+00 /
+      data (am( 0,k,-2),k=0, 2)
+     & / -0.6216935E+00,  0.2369963E+00, -0.7909949E-02 /
+      data (am( 1,k,-2),k=0, 2)
+     & /  0.1245440E+01, -0.1031510E+00,  0.4916523E-02 /
+      data (am( 2,k,-2),k=0, 2)
+     & / -0.7060824E+01, -0.3875283E-01,  0.1784981E+00 /
+      data (am( 3,k,-2),k=0, 2)
+     & / -0.7430595E+01,  0.1964572E+00, -0.1284999E+00 /
+      data (am( 4,k,-2),k=0, 2)
+     & / -0.6897810E+01,  0.2620543E+01,  0.8012553E-02 /
+      data (am( 5,k,-2),k=0, 2)
+     & /  0.1507713E+02,  0.2340307E-01,  0.2482535E+01 /
+      data (am( 6,k,-2),k=0, 2)
+     & / -0.1815341E+01, -0.1538698E+01, -0.2014208E+01 /
+      data (am( 7,k,-2),k=0, 2)
+     & / -0.2571932E+02,  0.2903941E+00, -0.2848206E+01 /
+
+      data mexvec(-3) / 7 /
+      data mlfvec(-3) / 2 /
+      data ut1vec(-3) /  0.4518239E+01 /
+      data ut2vec(-3) / -0.2690590E+01 /
+      data alfvec(-3) /  0.6124079E+00 /
+      data qmavec(-3) /  0.0000000E+00 /
+      data (am( 0,k,-3),k=0, 2)
+     & / -0.2734458E+01, -0.7245673E+00, -0.6351374E+00 /
+      data (am( 1,k,-3),k=0, 2)
+     & /  0.2927174E+01,  0.4822709E+00, -0.1088787E-01 /
+      data (am( 2,k,-3),k=0, 2)
+     & / -0.1771017E+02, -0.1416635E+01,  0.8467622E+01 /
+      data (am( 3,k,-3),k=0, 2)
+     & / -0.4972782E+02, -0.3348547E+01,  0.1767061E+02 /
+      data (am( 4,k,-3),k=0, 2)
+     & / -0.7102770E+01, -0.3205337E+01,  0.4101704E+00 /
+      data (am( 5,k,-3),k=0, 2)
+     & /  0.7169698E+02, -0.2205985E+01, -0.2463931E+02 /
+      data (am( 6,k,-3),k=0, 2)
+     & / -0.4090347E+02,  0.2103486E+01,  0.1416507E+02 /
+      data (am( 7,k,-3),k=0, 2)
+     & / -0.2952639E+02,  0.5376136E+01,  0.7825585E+01 /
+
+      data mexvec(-4) / 7 /
+      data mlfvec(-4) / 2 /
+      data ut1vec(-4) /  0.2783230E+01 /
+      data ut2vec(-4) / -0.1746328E+01 /
+      data alfvec(-4) /  0.1115653E+01 /
+      data qmavec(-4) /  0.1300000E+01 /
+      data (am( 0,k,-4),k=0, 2)
+     & / -0.1743872E+01, -0.1128921E+01, -0.2841969E+00 /
+      data (am( 1,k,-4),k=0, 2)
+     & /  0.3345755E+01,  0.3187765E+00,  0.1378124E+00 /
+      data (am( 2,k,-4),k=0, 2)
+     & / -0.2037615E+02,  0.4121687E+01,  0.2236520E+00 /
+      data (am( 3,k,-4),k=0, 2)
+     & / -0.4703104E+02,  0.5353087E+01, -0.1455347E+01 /
+      data (am( 4,k,-4),k=0, 2)
+     & / -0.1060230E+02, -0.1551122E+01, -0.1078863E+01 /
+      data (am( 5,k,-4),k=0, 2)
+     & /  0.5088892E+02, -0.8197304E+01,  0.8083451E+01 /
+      data (am( 6,k,-4),k=0, 2)
+     & / -0.2819070E+02,  0.4554086E+01, -0.5890995E+01 /
+      data (am( 7,k,-4),k=0, 2)
+     & / -0.1098238E+02,  0.2590096E+01, -0.8062879E+01 /
+
+      data mexvec(-5) / 6 /
+      data mlfvec(-5) / 2 /
+      data ut1vec(-5) /  0.1619654E+02 /
+      data ut2vec(-5) / -0.3367346E+01 /
+      data alfvec(-5) /  0.5109891E-02 /
+      data qmavec(-5) /  0.4500000E+01 /
+      data (am( 0,k,-5),k=0, 2)
+     & / -0.6800138E+01,  0.2493627E+01, -0.1075724E+01 /
+      data (am( 1,k,-5),k=0, 2)
+     & /  0.3036555E+01,  0.3324733E+00,  0.2008298E+00 /
+      data (am( 2,k,-5),k=0, 2)
+     & / -0.5203879E+01, -0.8493476E+01, -0.4523208E+01 /
+      data (am( 3,k,-5),k=0, 2)
+     & / -0.1524239E+01, -0.3411912E+01, -0.1771867E+02 /
+      data (am( 4,k,-5),k=0, 2)
+     & / -0.1099444E+02,  0.1320930E+01, -0.2353831E+01 /
+      data (am( 5,k,-5),k=0, 2)
+     & /  0.1699299E+02, -0.3565802E+02,  0.3566872E+02 /
+      data (am( 6,k,-5),k=0, 2)
+     & / -0.1465793E+02,  0.2703365E+02, -0.2176372E+02 /
+
+      if(q .le. qmavec(ifl)) then
+         faux5MI = 0.d0
+         return
+      endif
+
+      if(x .ge. 1.d0) then
+         faux5MI = 0.d0
+         return
+      endif
+
+      tmp = log(q/alfvec(ifl))
+      if(tmp .le. 0.d0) then
+         faux5MI = 0.d0
+         return
+      endif
+
+      sb = log(tmp)
+      sb1 = sb - 1.2d0
+      sb2 = sb1*sb1
+
+      do i = 0, nex
+         af(i) = 0.d0
+         sbx = 1.d0
+         do k = 0, mlfvec(ifl)
+            af(i) = af(i) + sbx*am(i,k,ifl)
+            sbx = sb1*sbx
+         enddo
+      enddo
+
+      y = -log(x)
+      u = log(x/0.00001d0)
+
+      part1 = af(1)*y**(1.d0+0.01d0*af(4))*(1.d0+ af(8)*u)
+      part2 = af(0)*(1.d0 - x) + af(3)*x 
+      part3 = x*(1.d0-x)*(af(5)+af(6)*(1.d0-x)+af(7)*x*(1.d0-x))
+      part4 = ut1vec(ifl)*log(1.d0-x) + 
+     &	      AF(2)*log(1.d0+exp(ut2vec(ifl))-x)
+
+      faux5MI = exp(log(x) + part1 + part2 + part3 + part4)
+
+c include threshold factor...
+      faux5MI = faux5MI * (1.d0 - qmavec(ifl)/q)
+
+      return
+      end
+c --------------------------------------------------------------------------
+	double precision function ctq5L(ifl,x,q)
+c Parametrization of cteq5L parton distribution functions (J. Pumplin 9/99).
+c ifl: 1=u,2=d,3=s,4=c,5=b;0=gluon;-1=ubar,-2=dbar,-3=sbar,-4=cbar,-5=bbar.
+c --------------------------------------------------------------------------
+	implicit double precision (a-h,o-z)
+	integer ifl
+
+	ii = ifl
+	if(ii .gt. 2) then
+	   ii = -ii
+	endif
+
+	if(ii .eq. -1) then
+	   sum = faux5L(-1,x,q)
+	   ratio = faux5L(-2,x,q)
+	   ctq5L = sum/(1.d0 + ratio)
+
+	elseif(ii .eq. -2) then
+	   sum = faux5L(-1,x,q)
+	   ratio = faux5L(-2,x,q)
+	   ctq5L = sum*ratio/(1.d0 + ratio)
+
+	elseif(ii .ge. -5) then
+	   ctq5L = faux5L(ii,x,q)
+
+	else
+	   ctq5L = 0.d0 
+
+	endif
+
+	return
+	end
+
+c ---------------------------------------------------------------------
+      double precision function faux5L(ifl,x,q)
+c auxiliary function for parametrization of CTEQ5L (J. Pumplin 9/99).
+c ---------------------------------------------------------------------
+      implicit double precision (a-h,o-z)
+      integer ifl
+
+      parameter (nex=8, nlf=2)
+      dimension am(0:nex,0:nlf,-5:2)
+      dimension alfvec(-5:2), qmavec(-5:2)
+      dimension mexvec(-5:2), mlfvec(-5:2)
+      dimension ut1vec(-5:2), ut2vec(-5:2)
+      dimension af(0:nex)
+
+      data mexvec( 2) / 8 /
+      data mlfvec( 2) / 2 /
+      data ut1vec( 2) /  0.4971265E+01 /
+      data ut2vec( 2) / -0.1105128E+01 /
+      data alfvec( 2) /  0.2987216E+00 /
+      data qmavec( 2) /  0.0000000E+00 /
+      data (am( 0,k, 2),k=0, 2)
+     & /  0.5292616E+01, -0.2751910E+01, -0.2488990E+01 /
+      data (am( 1,k, 2),k=0, 2)
+     & /  0.9714424E+00,  0.1011827E-01, -0.1023660E-01 /
+      data (am( 2,k, 2),k=0, 2)
+     & / -0.1651006E+02,  0.7959721E+01,  0.8810563E+01 /
+      data (am( 3,k, 2),k=0, 2)
+     & / -0.1643394E+02,  0.5892854E+01,  0.9348874E+01 /
+      data (am( 4,k, 2),k=0, 2)
+     & /  0.3067422E+02,  0.4235796E+01, -0.5112136E+00 /
+      data (am( 5,k, 2),k=0, 2)
+     & /  0.2352526E+02, -0.5305168E+01, -0.1169174E+02 /
+      data (am( 6,k, 2),k=0, 2)
+     & / -0.1095451E+02,  0.3006577E+01,  0.5638136E+01 /
+      data (am( 7,k, 2),k=0, 2)
+     & / -0.1172251E+02, -0.2183624E+01,  0.4955794E+01 /
+      data (am( 8,k, 2),k=0, 2)
+     & /  0.1662533E-01,  0.7622870E-02, -0.4895887E-03 /
+
+      data mexvec( 1) / 8 /
+      data mlfvec( 1) / 2 /
+      data ut1vec( 1) /  0.2612618E+01 /
+      data ut2vec( 1) / -0.1258304E+06 /
+      data alfvec( 1) /  0.3407552E+00 /
+      data qmavec( 1) /  0.0000000E+00 /
+      data (am( 0,k, 1),k=0, 2)
+     & /  0.9905300E+00, -0.4502235E+00,  0.1624441E+00 /
+      data (am( 1,k, 1),k=0, 2)
+     & /  0.8867534E+00,  0.1630829E-01, -0.4049085E-01 /
+      data (am( 2,k, 1),k=0, 2)
+     & /  0.8547974E+00,  0.3336301E+00,  0.1371388E+00 /
+      data (am( 3,k, 1),k=0, 2)
+     & /  0.2941113E+00, -0.1527905E+01,  0.2331879E+00 /
+      data (am( 4,k, 1),k=0, 2)
+     & /  0.3384235E+02,  0.3715315E+01,  0.8276930E+00 /
+      data (am( 5,k, 1),k=0, 2)
+     & /  0.6230115E+01,  0.3134639E+01, -0.1729099E+01 /
+      data (am( 6,k, 1),k=0, 2)
+     & / -0.1186928E+01, -0.3282460E+00,  0.1052020E+00 /
+      data (am( 7,k, 1),k=0, 2)
+     & / -0.8545702E+01, -0.6247947E+01,  0.3692561E+01 /
+      data (am( 8,k, 1),k=0, 2)
+     & /  0.1724598E-01,  0.7120465E-02,  0.4003646E-04 /
+
+      data mexvec( 0) / 8 /
+      data mlfvec( 0) / 2 /
+      data ut1vec( 0) / -0.4656819E+00 /
+      data ut2vec( 0) / -0.2742390E+03 /
+      data alfvec( 0) /  0.4491863E+00 /
+      data qmavec( 0) /  0.0000000E+00 /
+      data (am( 0,k, 0),k=0, 2)
+     & /  0.1193572E+03, -0.3886845E+01, -0.1133965E+01 /
+      data (am( 1,k, 0),k=0, 2)
+     & / -0.9421449E+02,  0.3995885E+01,  0.1607363E+01 /
+      data (am( 2,k, 0),k=0, 2)
+     & /  0.4206383E+01,  0.2485954E+00,  0.2497468E+00 /
+      data (am( 3,k, 0),k=0, 2)
+     & /  0.1210557E+03, -0.3015765E+01, -0.1423651E+01 /
+      data (am( 4,k, 0),k=0, 2)
+     & / -0.1013897E+03, -0.7113478E+00,  0.2621865E+00 /
+      data (am( 5,k, 0),k=0, 2)
+     & / -0.1312404E+01, -0.9297691E+00, -0.1562531E+00 /
+      data (am( 6,k, 0),k=0, 2)
+     & /  0.1627137E+01,  0.4954111E+00, -0.6387009E+00 /
+      data (am( 7,k, 0),k=0, 2)
+     & /  0.1537698E+00, -0.2487878E+00,  0.8305947E+00 /
+      data (am( 8,k, 0),k=0, 2)
+     & /  0.2496448E-01,  0.2457823E-02,  0.8234276E-03 /
+
+      data mexvec(-1) / 8 /
+      data mlfvec(-1) / 2 /
+      data ut1vec(-1) /  0.3862583E+01 /
+      data ut2vec(-1) / -0.1265969E+01 /
+      data alfvec(-1) /  0.2457668E+00 /
+      data qmavec(-1) /  0.0000000E+00 /
+      data (am( 0,k,-1),k=0, 2)
+     & /  0.2647441E+02,  0.1059277E+02, -0.9176654E+00 /
+      data (am( 1,k,-1),k=0, 2)
+     & /  0.1990636E+01,  0.8558918E-01,  0.4248667E-01 /
+      data (am( 2,k,-1),k=0, 2)
+     & / -0.1476095E+02, -0.3276255E+02,  0.1558110E+01 /
+      data (am( 3,k,-1),k=0, 2)
+     & / -0.2966889E+01, -0.3649037E+02,  0.1195914E+01 /
+      data (am( 4,k,-1),k=0, 2)
+     & / -0.1000519E+03, -0.2464635E+01,  0.1964849E+00 /
+      data (am( 5,k,-1),k=0, 2)
+     & /  0.3718331E+02,  0.4700389E+02, -0.2772142E+01 /
+      data (am( 6,k,-1),k=0, 2)
+     & / -0.1872722E+02, -0.2291189E+02,  0.1089052E+01 /
+      data (am( 7,k,-1),k=0, 2)
+     & / -0.1628146E+02, -0.1823993E+02,  0.2537369E+01 /
+      data (am( 8,k,-1),k=0, 2)
+     & / -0.1156300E+01, -0.1280495E+00,  0.5153245E-01 /
+
+      data mexvec(-2) / 7 /
+      data mlfvec(-2) / 2 /
+      data ut1vec(-2) /  0.1895615E+00 /
+      data ut2vec(-2) / -0.3069097E+01 /
+      data alfvec(-2) /  0.5293999E+00 /
+      data qmavec(-2) /  0.0000000E+00 /
+      data (am( 0,k,-2),k=0, 2)
+     & / -0.6556775E+00,  0.2490190E+00,  0.3966485E-01 /
+      data (am( 1,k,-2),k=0, 2)
+     & /  0.1305102E+01, -0.1188925E+00, -0.4600870E-02 /
+      data (am( 2,k,-2),k=0, 2)
+     & / -0.2371436E+01,  0.3566814E+00, -0.2834683E+00 /
+      data (am( 3,k,-2),k=0, 2)
+     & / -0.6152826E+01,  0.8339877E+00, -0.7233230E+00 /
+      data (am( 4,k,-2),k=0, 2)
+     & / -0.8346558E+01,  0.2892168E+01,  0.2137099E+00 /
+      data (am( 5,k,-2),k=0, 2)
+     & /  0.1279530E+02,  0.1021114E+00,  0.5787439E+00 /
+      data (am( 6,k,-2),k=0, 2)
+     & /  0.5858816E+00, -0.1940375E+01, -0.4029269E+00 /
+      data (am( 7,k,-2),k=0, 2)
+     & / -0.2795725E+02, -0.5263392E+00,  0.1290229E+01 /
+
+      data mexvec(-3) / 7 /
+      data mlfvec(-3) / 2 /
+      data ut1vec(-3) /  0.3753257E+01 /
+      data ut2vec(-3) / -0.1113085E+01 /
+      data alfvec(-3) /  0.3713141E+00 /
+      data qmavec(-3) /  0.0000000E+00 /
+      data (am( 0,k,-3),k=0, 2)
+     & /  0.1580931E+01, -0.2273826E+01, -0.1822245E+01 /
+      data (am( 1,k,-3),k=0, 2)
+     & /  0.2702644E+01,  0.6763243E+00,  0.7231586E-02 /
+      data (am( 2,k,-3),k=0, 2)
+     & / -0.1857924E+02,  0.3907500E+01,  0.5850109E+01 /
+      data (am( 3,k,-3),k=0, 2)
+     & / -0.3044793E+02,  0.2639332E+01,  0.5566644E+01 /
+      data (am( 4,k,-3),k=0, 2)
+     & / -0.4258011E+01, -0.5429244E+01,  0.4418946E+00 /
+      data (am( 5,k,-3),k=0, 2)
+     & /  0.3465259E+02, -0.5532604E+01, -0.4904153E+01 /
+      data (am( 6,k,-3),k=0, 2)
+     & / -0.1658858E+02,  0.2923275E+01,  0.2266286E+01 /
+      data (am( 7,k,-3),k=0, 2)
+     & / -0.1149263E+02,  0.2877475E+01, -0.7999105E+00 /
+
+      data mexvec(-4) / 7 /
+      data mlfvec(-4) / 2 /
+      data ut1vec(-4) /  0.4400772E+01 /
+      data ut2vec(-4) / -0.1356116E+01 /
+      data alfvec(-4) /  0.3712017E-01 /
+      data qmavec(-4) /  0.1300000E+01 /
+      data (am( 0,k,-4),k=0, 2)
+     & / -0.8293661E+00, -0.3982375E+01, -0.6494283E-01 /
+      data (am( 1,k,-4),k=0, 2)
+     & /  0.2754618E+01,  0.8338636E+00, -0.6885160E-01 /
+      data (am( 2,k,-4),k=0, 2)
+     & / -0.1657987E+02,  0.1439143E+02, -0.6887240E+00 /
+      data (am( 3,k,-4),k=0, 2)
+     & / -0.2800703E+02,  0.1535966E+02, -0.7377693E+00 /
+      data (am( 4,k,-4),k=0, 2)
+     & / -0.6460216E+01, -0.4783019E+01,  0.4913297E+00 /
+      data (am( 5,k,-4),k=0, 2)
+     & /  0.3141830E+02, -0.3178031E+02,  0.7136013E+01 /
+      data (am( 6,k,-4),k=0, 2)
+     & / -0.1802509E+02,  0.1862163E+02, -0.4632843E+01 /
+      data (am( 7,k,-4),k=0, 2)
+     & / -0.1240412E+02,  0.2565386E+02, -0.1066570E+02 /
+
+      data mexvec(-5) / 6 /
+      data mlfvec(-5) / 2 /
+      data ut1vec(-5) /  0.5562568E+01 /
+      data ut2vec(-5) / -0.1801317E+01 /
+      data alfvec(-5) /  0.4952010E-02 /
+      data qmavec(-5) /  0.4500000E+01 /
+      data (am( 0,k,-5),k=0, 2)
+     & / -0.6031237E+01,  0.1992727E+01, -0.1076331E+01 /
+      data (am( 1,k,-5),k=0, 2)
+     & /  0.2933912E+01,  0.5839674E+00,  0.7509435E-01 /
+      data (am( 2,k,-5),k=0, 2)
+     & / -0.8284919E+01,  0.1488593E+01, -0.8251678E+00 /
+      data (am( 3,k,-5),k=0, 2)
+     & / -0.1925986E+02,  0.2805753E+01, -0.3015446E+01 /
+      data (am( 4,k,-5),k=0, 2)
+     & / -0.9480483E+01, -0.9767837E+00, -0.1165544E+01 /
+      data (am( 5,k,-5),k=0, 2)
+     & /  0.2193195E+02, -0.1788518E+02,  0.9460908E+01 /
+      data (am( 6,k,-5),k=0, 2)
+     & / -0.1327377E+02,  0.1201754E+02, -0.6277844E+01 /
+
+      if(q .le. qmavec(ifl)) then
+         faux5L = 0.d0
+         return
+      endif
+
+      if(x .ge. 1.d0) then
+         faux5L = 0.d0
+         return
+      endif
+
+      tmp = log(q/alfvec(ifl))
+      if(tmp .le. 0.d0) then
+         faux5L = 0.d0
+         return
+      endif
+
+      sb = log(tmp)
+      sb1 = sb - 1.2d0
+      sb2 = sb1*sb1
+
+      do i = 0, nex
+         af(i) = 0.d0
+         sbx = 1.d0
+         do k = 0, mlfvec(ifl)
+            af(i) = af(i) + sbx*am(i,k,ifl)
+            sbx = sb1*sbx
+         enddo
+      enddo
+
+      y = -log(x)
+      u = log(x/0.00001d0)
+
+      part1 = af(1)*y**(1.d0+0.01d0*af(4))*(1.d0+ af(8)*u)
+      part2 = af(0)*(1.d0 - x) + af(3)*x 
+      part3 = x*(1.d0-x)*(af(5)+af(6)*(1.d0-x)+af(7)*x*(1.d0-x))
+      part4 = ut1vec(ifl)*log(1.d0-x) + 
+     &	      AF(2)*log(1.d0+exp(ut2vec(ifl))-x)
+
+      faux5L = exp(log(x) + part1 + part2 + part3 + part4)
+
+c include threshold factor...
+      faux5L = faux5L * (1.d0 - qmavec(ifl)/q)
+
+      return
+      end

=== added file 'Template/Source/PDF/Ctq5Pdf.f'
--- Template/Source/PDF/Ctq5Pdf.f	1970-01-01 00:00:00 +0000
+++ Template/Source/PDF/Ctq5Pdf.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,344 @@
+C============================================================================
+C                CTEQ Parton Distribution Functions: Version 5.0
+C                             Nov. 1, 1999
+C
+C   Ref: "GLOBAL QCD ANALYSIS OF PARTON STRUCTURE OF THE NUCLEON:
+C         CTEQ5 PPARTON DISTRIBUTIONS"
+C
+C  hep-ph/9903282; to be published in Eur. Phys. J. C 1999.
+C
+C  These PDF's use quadratic interpolation of attached tables. A parametrized 
+C  version of the same PDF's without external tables is under construction.  
+C  They will become available later.
+C
+C   This package contains 7 sets of CTEQ5 PDF's; plus two updated ones.
+C   The undated CTEQ5M1 and CTEQHQ1 use an improved evolution code.
+C   Both the original and the updated ones fit current data with comparable
+C   accuracy.  The CTEQHQ1 set also involve a different choice of scale,
+C   hence differs from CTEQHQ slightly more.  It is preferred over CTEQ5HQ.
+
+C   Details are:
+C ---------------------------------------------------------------------------
+C  Iset   PDF        Description       Alpha_s(Mz)  Lam4  Lam5   Table_File
+C ---------------------------------------------------------------------------
+C   1    CTEQ5M   Standard MSbar scheme   0.118     326   226    cteq5m.tbl
+C   2    CTEQ5D   Standard DIS scheme     0.118     326   226    cteq5d.tbl
+C   3    CTEQ5L   Leading Order           0.127     192   146    cteq5l.tbl
+C   4    CTEQ5HJ  Large-x gluon enhanced  0.118     326   226    cteq5hj.tbl
+C   5    CTEQ5HQ  Heavy Quark             0.118     326   226    cteq5hq.tbl
+C   6    CTEQ5F3  Nf=3 FixedFlavorNumber  0.106     (Lam3=395)   cteq5f3.tbl
+C   7    CTEQ5F4  Nf=4 FixedFlavorNumber  0.112     309   XXX    cteq5f4.tbl
+C         --------------------------------------------------------
+C   8    CTEQ5M1  Improved CTEQ5M         0.118     326   226    cteq5m1.tbl
+C   9    CTEQ5HQ1 Improved CTEQ5HQ        0.118     326   226    ctq5hq1.tbl
+C ---------------------------------------------------------------------------
+C   
+C  The available applied range is 10^-5 << x << 1 and 1.0 << Q << 10,000 (GeV).
+C   Lam5 (Lam4, Lam3) represents Lambda value (in MeV) for 5 (4,3) flavors. 
+C   The matching alpha_s between 4 and 5 flavors takes place at Q=4.5 GeV,  
+C   which is defined as the bottom quark mass, whenever it can be applied.
+C
+C   The Table_Files are assumed to be in the working directory.
+C   
+C   Before using the PDF, it is necessary to do the initialization by
+C       Call SetCtq5(Iset) 
+C   where Iset is the desired PDF specified in the above table.
+C   
+C   The function Ctq5Pdf (Iparton, X, Q)
+C   returns the parton distribution inside the proton for parton [Iparton] 
+C   at [X] Bjorken_X and scale [Q] (GeV) in PDF set [Iset].
+C   Iparton  is the parton label (5, 4, 3, 2, 1, 0, -1, ......, -5)
+C                            for (b, c, s, d, u, g, u_bar, ..., b_bar),
+C      whereas CTEQ5F3 has, by definition, only 3 flavors and gluon;
+C              CTEQ5F4 has only 4 flavors and gluon.
+C   
+C   For detailed information on the parameters used, e.q. quark masses, 
+C   QCD Lambda, ... etc.,  see info lines at the beginning of the 
+C   Table_Files.
+C
+C   These programs, as provided, are in double precision.  By removing the
+C   "Implicit Double Precision" lines, they can also be run in single 
+C   precision.
+C   
+C   If you have detailed questions concerning these CTEQ5 distributions, 
+C   or if you find problems/bugs using this package, direct inquires to 
+C   Hung-Liang Lai(lai@phys.nthu.edu.tw) or Wu-Ki Tung(Tung@pa.msu.edu).
+C   
+C===========================================================================
+
+      Function Ctq5Pdf (Iparton, X, Q)
+      Implicit Double Precision (A-H,O-Z)
+      Logical Warn
+      Common
+     > / CtqPar2 / Nx, Nt, NfMx
+     > / QCDtable /  Alambda, Nfl, Iorder
+
+      Data Warn /.true./
+      save Warn
+
+      If (X .lt. 0D0 .or. X .gt. 1D0) Then
+	Print *, 'X out of range in Ctq5Pdf: ', X
+	Stop
+      Endif
+      If (Q .lt. Alambda) Then
+	Print *, 'Q out of range in Ctq5Pdf: ', Q
+	Stop
+      Endif
+      If ((Iparton .lt. -NfMx .or. Iparton .gt. NfMx)) Then
+         If (Warn) Then
+C        put a warning for calling extra flavor.
+	     Warn = .false.
+	     Print *, 'Warning: Iparton out of range in Ctq5Pdf: '
+     >              , Iparton
+         Endif
+         Ctq5Pdf = 0D0
+         Return
+      Endif
+
+      Ctq5Pdf = PartonX (Iparton, X, Q)
+      if(Ctq5Pdf.lt.0.D0)  Ctq5Pdf = 0.D0
+
+      Return
+
+C                             ********************
+      End
+
+      FUNCTION PartonX_orig (IPRTN, X, Q)
+C
+C   Given the parton distribution function in the array Upd in
+C   COMMON / CtqPar1 / , this routine fetches u(fl, x, q) at any value of
+C   x and q using Mth-order polynomial interpolation for x and Ln(Q/Lambda).
+C
+      IMPLICIT DOUBLE PRECISION (A-H, O-Z)
+C
+      PARAMETER (MXX = 105, MXQ = 25, MXF = 6)
+      PARAMETER (MXPQX = (MXF *2 +2) * MXQ * MXX)
+      PARAMETER (M= 2, M1 = M + 1)
+C
+      Logical First
+      Common 
+     > / CtqPar1 / Al, XV(0:MXX), QL(0:MXQ), UPD(MXPQX)
+     > / CtqPar2 / Nx, Nt, NfMx
+     > / XQrange / Qini, Qmax, Xmin
+C
+      Dimension Fq(M1), Df(M1)
+
+      Data First /.true./
+      save First
+C                                                 Work with Log (Q)
+      QG  = LOG (Q/AL)
+
+C                           Find lower end of interval containing X
+      JL = -1
+      JU = Nx+1
+ 11   If (JU-JL .GT. 1) Then
+         JM = (JU+JL) / 2
+         If (X .GT. XV(JM)) Then
+            JL = JM
+         Else
+            JU = JM
+         Endif
+         Goto 11
+      Endif
+
+      Jx = JL - (M-1)/2
+      If (X .lt. Xmin .and. First ) Then
+         First = .false.
+         Print '(A, 2(1pE12.4))', 
+     >     ' WARNING: X << Xmin, extrapolation used; X, Xmin =', X, Xmin
+         If (Jx .LT. 0) Jx = 0
+      Elseif (Jx .GT. Nx-M) Then
+         Jx = Nx - M
+      Endif
+C                                    Find the interval where Q lies
+      JL = -1
+      JU = NT+1
+ 12   If (JU-JL .GT. 1) Then
+         JM = (JU+JL) / 2
+         If (QG .GT. QL(JM)) Then
+            JL = JM
+         Else
+            JU = JM
+         Endif
+         Goto 12
+      Endif
+
+      Jq = JL - (M-1)/2
+      If (Jq .LT. 0) Then
+         Jq = 0
+         If (Q .lt. Qini)  Print '(A, 2(1pE12.4))', 
+     >     ' WARNING: Q << Qini, extrapolation used; Q, Qini =', Q, Qini
+      Elseif (Jq .GT. Nt-M) Then
+         Jq = Nt - M
+         If (Q .gt. Qmax)  Print '(A, 2(1pE12.4))', 
+     >     ' WARNING: Q > Qmax, extrapolation used; Q, Qmax =', Q, Qmax
+      Endif
+
+      If (Iprtn .GE. 3) Then
+         Ip = - Iprtn
+      Else
+         Ip = Iprtn
+      EndIf
+C                             Find the off-set in the linear array Upd
+      JFL = Ip + NfMx
+      J0  = (JFL * (NT+1) + Jq) * (NX+1) + Jx
+C
+C                                           Now interpolate in x for M1 Q's
+      Do 21 Iq = 1, M1
+         J1 = J0 + (Nx+1)*(Iq-1) + 1
+         Call Polint (XV(Jx), Upd(J1), M1, X, Fq(Iq), Df(Iq))
+ 21   Continue
+C                                          Finish off by interpolating in Q
+      Call Polint (QL(Jq), Fq(1), M1, QG, Ftmp, Ddf)
+
+      PartonX_orig = Ftmp
+C
+      RETURN
+C                        ****************************
+      END
+
+      Subroutine SetCtq5 (Iset)
+      Implicit Double Precision (A-H,O-Z)
+      Parameter (Isetmax=9)
+      Character Flnm(Isetmax)*12, Tablefile*40
+      Data (Flnm(I), I=1,Isetmax)
+     > / 'cteq5m.tbl', 'cteq5d.tbl', 'cteq5l.tbl', 'cteq5hj.tbl'
+     > , 'cteq5hq.tbl', 'cteq5f3.tbl', 'cteq5f4.tbl'
+     > , 'cteq5m1.tbl', 'ctq5hq1.tbl'  /
+      Data Tablefile / 'test.tbl' /
+      Data Isetold, Isetmin, Isettest / -987, 1, 911 /
+      save
+
+C             If data file not initialized, do so.
+      If(Iset.ne.Isetold) then
+	 IU= NextUn()
+         If (Iset .eq. Isettest) then
+            Print* ,'Opening ', Tablefile
+ 21         Open(IU, File=Tablefile, Status='OLD', Err=101)
+            GoTo 22
+ 101        Print*, Tablefile, ' cannot be opened '
+            Print*, 'Please input the .tbl file:'
+            Read (*,'(A)') Tablefile
+            Goto 21
+ 22         Continue
+         ElseIf (Iset.lt.Isetmin .or. Iset.gt.Isetmax) Then
+	    Print *, 'Invalid Iset number in SetCtq5 :', Iset
+	    Stop
+         Else
+            Tablefile=Flnm(Iset)
+c            Open(IU, File='Pdfdata/'//Tablefile, Status='OLD', Err=100)
+            call OpenData(TableFile)
+	 Endif
+         Call ReadTbl (IU)
+         Close (IU)
+	 Isetold=Iset
+      Endif
+      Return
+
+ 100  Print *, ' Data file ', Tablefile, ' cannot be opened '
+     >//'in SetCtq5!!'
+      Stop
+C                             ********************
+      End
+
+      Subroutine ReadTbl (Nu)
+      Implicit Double Precision (A-H,O-Z)
+      Character Line*80
+      PARAMETER (MXX = 105, MXQ = 25, MXF = 6)
+      PARAMETER (MXPQX = (MXF *2 +2) * MXQ * MXX)
+      Common 
+     > / CtqPar1 / Al, XV(0:MXX), QL(0:MXQ), UPD(MXPQX)
+     > / CtqPar2 / Nx, Nt, NfMx
+     > / XQrange / Qini, Qmax, Xmin
+     > / QCDtable /  Alambda, Nfl, Iorder
+     > / Masstbl / Amass(6)
+      
+      Read  (Nu, '(A)') Line     
+      Read  (Nu, '(A)') Line
+      Read  (Nu, *) Dr, Fl, Al, (Amass(I),I=1,6)
+      Iorder = Nint(Dr)
+      Nfl = Nint(Fl)
+      Alambda = Al
+
+      Read  (Nu, '(A)') Line 
+      Read  (Nu, *) NX,  NT, NfMx
+
+      Read  (Nu, '(A)') Line
+      Read  (Nu, *) QINI, QMAX, (QL(I), I =0, NT)
+
+      Read  (Nu, '(A)') Line
+      Read  (Nu, *) XMIN, (XV(I), I =0, NX)
+
+      Do 11 Iq = 0, NT
+         QL(Iq) = Log (QL(Iq) /Al)
+   11 Continue
+C
+C                  Since quark = anti-quark for nfl>2 at this stage, 
+C                  we Read  out only the non-redundent data points
+C     No of flavors = NfMx (sea) + 1 (gluon) + 2 (valence) 
+
+      Nblk = (NX+1) * (NT+1)
+      Npts =  Nblk  * (NfMx+3)
+      Read  (Nu, '(A)') Line
+      Read  (Nu, *, IOSTAT=IRET) (UPD(I), I=1,Npts)
+
+      Return
+C                        ****************************
+      End
+
+      Function NextUn()
+C                                 Returns an unallocated FORTRAN i/o unit.
+      Logical EX
+C
+      Do 10 N = 10, 300
+         INQUIRE (UNIT=N, OPENED=EX)
+         If (.NOT. EX) then
+            NextUn = N
+            Return
+         Endif
+ 10   Continue
+      Stop ' There is no available I/O unit. '
+C               *************************
+      End
+C
+
+      SUBROUTINE POLINT (XA,YA,N,X,Y,DY)
+ 
+      IMPLICIT DOUBLE PRECISION (A-H, O-Z)
+C                                        Adapted from "Numerical Recipes" 
+      PARAMETER (NMAX=10)
+      DIMENSION XA(N),YA(N),C(NMAX),D(NMAX)
+      NS=1
+      DIF=ABS(X-XA(1))
+      DO 11 I=1,N
+        DIFT=ABS(X-XA(I))
+        IF (DIFT.LT.DIF) THEN
+          NS=I
+          DIF=DIFT
+        ENDIF
+        C(I)=YA(I)
+        D(I)=YA(I)
+11    CONTINUE
+      Y=YA(NS)
+      NS=NS-1
+      DO 13 M=1,N-1
+        DO 12 I=1,N-M
+          HO=XA(I)-X
+          HP=XA(I+M)-X
+          W=C(I+1)-D(I)
+          DEN=HO-HP
+          IF(DEN.EQ.0.) STOP
+          DEN=W/DEN
+          D(I)=HP*DEN
+          C(I)=HO*DEN
+12      CONTINUE
+        IF (2*NS.LT.N-M)THEN
+          DY=C(NS+1)
+        ELSE
+          DY=D(NS)
+          NS=NS-1
+        ENDIF
+        Y=Y+DY
+13    CONTINUE
+      RETURN
+      END

=== added file 'Template/Source/PDF/Ctq6Pdf.f'
--- Template/Source/PDF/Ctq6Pdf.f	1970-01-01 00:00:00 +0000
+++ Template/Source/PDF/Ctq6Pdf.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,480 @@
+C============================================================================
+C                CTEQ Parton Distribution Functions: Version 6
+C                             January 24, 2002, v6.0
+C                             April 10, 2002, v6.1
+C
+C   Ref: "New Generation of Parton Distributions with
+C         Uncertainties from Global QCD Analysis"
+C   By: J. Pumplin, D.R. Stump, J.Huston, H.L. Lai, P. Nadolsky, W.K. Tung
+C       hep-ph/0201195
+C
+C   This package contains 3 standard sets of CTEQ6 PDF's and 40 up/down sets
+C   with respect to CTEQ6M PDF's. Details are:
+C ---------------------------------------------------------------------------
+C  Iset   PDF        Description       Alpha_s(Mz)**Lam4  Lam5   Table_File
+C ---------------------------------------------------------------------------
+C   1    CTEQ6M   Standard MSbar scheme   0.118     326   226    cteq6m.tbl
+C   2    CTEQ6D   Standard DIS scheme     0.118     326   226    cteq6d.tbl
+C   3    CTEQ6L   Leading Order           0.118**   326** 226    cteq6l.tbl
+C   4    CTEQ6L1  Leading Order           0.130     215   165    cteq6l1.tbl
+C     ------------------------------
+C   1xx  CTEQ6M1xx  +/- w.r.t. CTEQ6M     0.118     326   226    cteq6m1xx.tbl
+C    (where xx=01--40)
+C ---------------------------------------------------------------------------
+C   ** ALL fits are obtained by using the same coupling strength 
+C   \alpha_s(Mz)=0.118 and the NLO running \alpha_s formula, except CTEQ6L1 
+C   which uses the LO running \alpha_s and its value determined from the fit.
+C   For the LO fits, the evolution of the PDF and the hard cross sections are
+C   calculated at LO.  More detailed discussions are given in hep-ph/0201195.
+C
+C   The table grids are generated for 10^-6 < x < 1 and 1.3 < Q < 10,000 (GeV).
+C   PDF values outside of the above range are returned using extrapolation.
+C   Lam5 (Lam4) represents Lambda value (in MeV) for 5 (4) flavors.
+C   The matching alpha_s between 4 and 5 flavors takes place at Q=4.5 GeV,
+C   which is defined as the bottom quark mass, whenever it can be applied.
+C
+C   The Table_Files are assumed to be in the working directory.
+C
+C   Before using the PDF, it is necessary to do the initialization by
+C       Call SetCtq6(Iset)
+C   where Iset is the desired PDF specified in the above table.
+C
+C   The function Ctq6Pdf (Iparton, X, Q)
+C   returns the parton distribution inside the proton for parton [Iparton]
+C   at [X] Bjorken_X and scale [Q] (GeV) in PDF set [Iset].
+C   Iparton  is the parton label (5, 4, 3, 2, 1, 0, -1, ......, -5)
+C                            for (b, c, s, d, u, g, u_bar, ..., b_bar),
+C
+C   For detailed information on the parameters used, e.q. quark masses,
+C   QCD Lambda, ... etc.,  see info lines at the beginning of the
+C   Table_Files.
+C
+C   These programs, as provided, are in double precision.  By removing the
+C   "Implicit Double Precision" lines, they can also be run in single
+C   precision.
+C
+C   If you have detailed questions concerning these CTEQ6 distributions,
+C   or if you find problems/bugs using this package, direct inquires to
+C   Pumplin@pa.msu.edu or Tung@pa.msu.edu.
+C
+C===========================================================================
+
+      Function Ctq6Pdf (Iparton, X, Q)
+      Implicit Double Precision (A-H,O-Z)
+      Logical Warn
+      Common
+     > / CtqPar2 / Nx, Nt, NfMx
+     > / QCDtable /  Alambda, Nfl, Iorder
+
+      Data Warn /.true./
+      save Warn
+
+      If (X .lt. 0D0 .or. X .gt. 1D0) Then
+        Print *, 'X out of range in Ctq6Pdf: ', X
+        Stop
+      Endif
+      If (Q .lt. Alambda) Then
+        Print *, 'Q out of range in Ctq6Pdf: ', Q
+        Stop
+      Endif
+      If ((Iparton .lt. -NfMx .or. Iparton .gt. NfMx)) Then
+         If (Warn) Then
+C        put a warning for calling extra flavor.
+             Warn = .false.
+             Print *, 'Warning: Iparton out of range in Ctq6Pdf: '
+     >              , Iparton
+         Endif
+         Ctq6Pdf = 0D0
+         Return
+      Endif
+
+      Ctq6Pdf = PartonX6 (Iparton, X, Q)
+      if(Ctq6Pdf.lt.0.D0)  Ctq6Pdf = 0.D0
+
+      Return
+
+C                             ********************
+      End
+
+      Subroutine SetCtq6 (Iset)
+      Implicit Double Precision (A-H,O-Z)
+      Parameter (Isetmax0=4)
+      Character Flnm(Isetmax0)*6, nn*3, Tablefile*40
+      Data (Flnm(I), I=1,Isetmax0)
+     > / 'cteq6m', 'cteq6d', 'cteq6l', 'cteq6l'/
+      Data Isetold, Isetmin0, Isetmin1, Isetmax1 /-987,1,101,140/
+      save
+
+C             If data file not initialized, do so.
+      If(Iset.ne.Isetold) then
+         IU= NextUn6()
+         If (Iset.ge.Isetmin0 .and. Iset.le.3) Then
+            Tablefile=Flnm(Iset)//'.tbl'
+         Elseif (Iset.eq.Isetmax0) Then
+            Tablefile=Flnm(Iset)//'1.tbl'
+         Elseif (Iset.ge.Isetmin1 .and. Iset.le.Isetmax1) Then
+            write(nn,'(I3)') Iset
+            Tablefile=Flnm(1)//nn//'.tbl'
+         Else
+            Print *, 'Invalid Iset number in SetCtq6 :', Iset
+            Stop
+         Endif
+c     Open(IU, File='Pdfdata/'//Tablefile, Status='OLD', Err=100)
+            call OpenData(TableFile)
+ 21      Call ReadTbl6 (IU)
+         Close (IU)
+         Isetold=Iset
+      Endif
+      Return
+
+ 100  Print *, ' Data file ', Tablefile, ' cannot be opened '
+     >//'in SetCtq6!!'
+      Stop
+C                             ********************
+      End
+
+      Subroutine ReadTbl6 (Nu)
+      Implicit Double Precision (A-H,O-Z)
+      Character Line*80
+      PARAMETER (MXX = 96, MXQ = 20, MXF = 5)
+      PARAMETER (MXPQX = (MXF + 3) * MXQ * MXX)
+      Common
+     > / CtqPar1 / Al, XV(0:MXX), TV(0:MXQ), UPD(MXPQX)
+     > / CtqPar2 / Nx, Nt, NfMx
+     > / XQrange / Qini, Qmax, Xmin
+     > / QCDtable /  Alambda, Nfl, Iorder
+     > / Masstbl / Amass(6)
+
+      Read  (Nu, '(A)') Line
+      Read  (Nu, '(A)') Line
+      Read  (Nu, *) Dr, Fl, Al, (Amass(I),I=1,6)
+      Iorder = Nint(Dr)
+      Nfl = Nint(Fl)
+      Alambda = Al
+
+      Read  (Nu, '(A)') Line
+      Read  (Nu, *) NX,  NT, NfMx
+
+      Read  (Nu, '(A)') Line
+      Read  (Nu, *) QINI, QMAX, (TV(I), I =0, NT)
+
+      Read  (Nu, '(A)') Line
+      Read  (Nu, *) XMIN, (XV(I), I =0, NX)
+
+      Do 11 Iq = 0, NT
+         TV(Iq) = Log(Log (TV(Iq) /Al))
+   11 Continue
+C
+C                  Since quark = anti-quark for nfl>2 at this stage,
+C                  we Read  out only the non-redundent data points
+C     No of flavors = NfMx (sea) + 1 (gluon) + 2 (valence)
+
+      Nblk = (NX+1) * (NT+1)
+      Npts =  Nblk  * (NfMx+3)
+      Read  (Nu, '(A)') Line
+      Read  (Nu, *, IOSTAT=IRET) (UPD(I), I=1,Npts)
+
+      Return
+C                        ****************************
+      End
+
+      Function NextUn6()
+C                                 Returns an unallocated FORTRAN i/o unit.
+      Logical EX
+C
+      Do 10 N = 10, 300
+         INQUIRE (UNIT=N, OPENED=EX)
+         If (.NOT. EX) then
+            NextUn6 = N
+            Return
+         Endif
+ 10   Continue
+      Stop ' There is no available I/O unit. '
+C               *************************
+      End
+C
+
+      SUBROUTINE POLINT6 (XA,YA,N,X,Y,DY)
+
+      IMPLICIT DOUBLE PRECISION (A-H, O-Z)
+C                                        Adapted from "Numerical Recipes"
+      PARAMETER (NMAX=10)
+      DIMENSION XA(N),YA(N),C(NMAX),D(NMAX)
+      NS=1
+      DIF=ABS(X-XA(1))
+      DO 11 I=1,N
+        DIFT=ABS(X-XA(I))
+        IF (DIFT.LT.DIF) THEN
+          NS=I
+          DIF=DIFT
+        ENDIF
+        C(I)=YA(I)
+        D(I)=YA(I)
+11    CONTINUE
+      Y=YA(NS)
+      NS=NS-1
+      DO 13 M=1,N-1
+        DO 12 I=1,N-M
+          HO=XA(I)-X
+          HP=XA(I+M)-X
+          W=C(I+1)-D(I)
+          DEN=HO-HP
+          IF(DEN.EQ.0.) stop
+          DEN=W/DEN
+          D(I)=HP*DEN
+          C(I)=HO*DEN
+12      CONTINUE
+        IF (2*NS.LT.N-M)THEN
+          DY=C(NS+1)
+        ELSE
+          DY=D(NS)
+          NS=NS-1
+        ENDIF
+        Y=Y+DY
+13    CONTINUE
+      RETURN
+      END
+
+      Function PartonX6 (IPRTN, XX, QQ)
+
+c  Given the parton distribution function in the array U in
+c  COMMON / PEVLDT / , this routine interpolates to find
+c  the parton distribution at an arbitray point in x and q.
+c
+      Implicit Double Precision (A-H,O-Z)
+
+      Parameter (MXX = 96, MXQ = 20, MXF = 5)
+      Parameter (MXQX= MXQ * MXX,   MXPQX = MXQX * (MXF+3))
+
+      Common
+     > / CtqPar1 / Al, XV(0:MXX), TV(0:MXQ), UPD(MXPQX)
+     > / CtqPar2 / Nx, Nt, NfMx
+     > / XQrange / Qini, Qmax, Xmin
+
+      Dimension fvec(4), fij(4)
+      Dimension xvpow(0:mxx)
+      Data OneP / 1.00001 /
+      Data xpow / 0.3d0 /       !**** choice of interpolation variable
+      Data nqvec / 4 /
+      Data ientry / 0 /
+      Save ientry,xvpow
+
+c store the powers used for interpolation on first call...
+      if(ientry .eq. 0) then
+         ientry = 1
+
+         xvpow(0) = 0D0
+         do i = 1, nx
+            xvpow(i) = xv(i)**xpow
+         enddo
+      endif
+
+      X = XX
+      Q = QQ
+      tt = log(log(Q/Al))
+
+c      -------------    find lower end of interval containing x, i.e.,
+c                       get jx such that xv(jx) .le. x .le. xv(jx+1)...
+      JLx = -1
+      JU = Nx+1
+ 11   If (JU-JLx .GT. 1) Then
+         JM = (JU+JLx) / 2
+         If (X .Ge. XV(JM)) Then
+            JLx = JM
+         Else
+            JU = JM
+         Endif
+         Goto 11
+      Endif
+C                     Ix    0   1   2      Jx  JLx         Nx-2     Nx
+C                           |---|---|---|...|---|-x-|---|...|---|---|
+C                     x     0  Xmin               x                 1
+C
+      If     (JLx .LE. -1) Then
+        Print '(A,1pE12.4)', 'Severe error: x <= 0 in PartonX6! x = ', x
+        Stop
+      ElseIf (JLx .Eq. 0) Then
+         Jx = 0
+      Elseif (JLx .LE. Nx-2) Then
+
+C                For interrior points, keep x in the middle, as shown above
+         Jx = JLx - 1
+      Elseif (JLx.Eq.Nx-1 .or. x.LT.OneP) Then
+
+C                  We tolerate a slight over-shoot of one (OneP=1.00001),
+C              perhaps due to roundoff or whatever, but not more than that.
+C                                      Keep at least 4 points >= Jx
+         Jx = JLx - 2
+      Else
+        Print '(A,1pE12.4)', 'Severe error: x > 1 in PartonX6! x = ', x
+        Stop
+      Endif
+C          ---------- Note: JLx uniquely identifies the x-bin; Jx does not.
+
+C                       This is the variable to be interpolated in
+      ss = x**xpow
+
+      If (JLx.Ge.2 .and. JLx.Le.Nx-2) Then
+
+c     initiation work for "interior bins": store the lattice points in s...
+      svec1 = xvpow(jx)
+      svec2 = xvpow(jx+1)
+      svec3 = xvpow(jx+2)
+      svec4 = xvpow(jx+3)
+
+      s12 = svec1 - svec2
+      s13 = svec1 - svec3
+      s23 = svec2 - svec3
+      s24 = svec2 - svec4
+      s34 = svec3 - svec4
+
+      sy2 = ss - svec2
+      sy3 = ss - svec3
+
+c constants needed for interpolating in s at fixed t lattice points...
+      const1 = s13/s23
+      const2 = s12/s23
+      const3 = s34/s23
+      const4 = s24/s23
+      s1213 = s12 + s13
+      s2434 = s24 + s34
+      sdet = s12*s34 - s1213*s2434
+      tmp = sy2*sy3/sdet
+      const5 = (s34*sy2-s2434*sy3)*tmp/s12
+      const6 = (s1213*sy2-s12*sy3)*tmp/s34
+
+      EndIf
+
+c         --------------Now find lower end of interval containing Q, i.e.,
+c                          get jq such that qv(jq) .le. q .le. qv(jq+1)...
+      JLq = -1
+      JU = NT+1
+ 12   If (JU-JLq .GT. 1) Then
+         JM = (JU+JLq) / 2
+         If (tt .GE. TV(JM)) Then
+            JLq = JM
+         Else
+            JU = JM
+         Endif
+         Goto 12
+       Endif
+
+      If     (JLq .LE. 0) Then
+         Jq = 0
+      Elseif (JLq .LE. Nt-2) Then
+C                                  keep q in the middle, as shown above
+         Jq = JLq - 1
+      Else
+C                         JLq .GE. Nt-1 case:  Keep at least 4 points >= Jq.
+        Jq = Nt - 3
+
+      Endif
+C                                   This is the interpolation variable in Q
+
+      If (JLq.GE.1 .and. JLq.LE.Nt-2) Then
+c                                        store the lattice points in t...
+      tvec1 = Tv(jq)
+      tvec2 = Tv(jq+1)
+      tvec3 = Tv(jq+2)
+      tvec4 = Tv(jq+3)
+
+      t12 = tvec1 - tvec2
+      t13 = tvec1 - tvec3
+      t23 = tvec2 - tvec3
+      t24 = tvec2 - tvec4
+      t34 = tvec3 - tvec4
+
+      ty2 = tt - tvec2
+      ty3 = tt - tvec3
+
+      tmp1 = t12 + t13
+      tmp2 = t24 + t34
+
+      tdet = t12*t34 - tmp1*tmp2
+
+      EndIf
+
+
+c get the pdf function values at the lattice points...
+
+      If (Iprtn .GE. 3) Then
+         Ip = - Iprtn
+      Else
+         Ip = Iprtn
+      EndIf
+      jtmp = ((Ip + NfMx)*(NT+1)+(jq-1))*(NX+1)+jx+1
+
+      Do it = 1, nqvec
+
+         J1  = jtmp + it*(NX+1)
+
+       If (Jx .Eq. 0) Then
+C                          For the first 4 x points, interpolate x^2*f(x,Q)
+C                           This applies to the two lowest bins JLx = 0, 1
+C            We can not put the JLx.eq.1 bin into the "interrior" section
+C                           (as we do for q), since Upd(J1) is undefined.
+         fij(1) = 0
+         fij(2) = Upd(J1+1) * XV(1)**2
+         fij(3) = Upd(J1+2) * XV(2)**2
+         fij(4) = Upd(J1+3) * XV(3)**2
+C
+C                 Use Polint6 which allows x to be anywhere w.r.t. the grid
+
+         Call Polint6 (XVpow(0), Fij(1), 4, ss, Fx, Dfx)
+
+         If (x .GT. 0D0)  Fvec(it) =  Fx / x**2
+C                                              Pdf is undefined for x.eq.0
+       ElseIf  (JLx .Eq. Nx-1) Then
+C                                                This is the highest x bin:
+
+        Call Polint6 (XVpow(Nx-3), Upd(J1), 4, ss, Fx, Dfx)
+
+        Fvec(it) = Fx
+
+       Else
+C                       for all interior points, use Jon's in-line function
+C                              This applied to (JLx.Ge.2 .and. JLx.Le.Nx-2)
+         sf2 = Upd(J1+1)
+         sf3 = Upd(J1+2)
+
+         g1 =  sf2*const1 - sf3*const2
+         g4 = -sf2*const3 + sf3*const4
+
+         Fvec(it) = (const5*(Upd(J1)-g1)
+     &               + const6*(Upd(J1+3)-g4)
+     &               + sf2*sy3 - sf3*sy2) / s23
+
+       Endif
+
+      enddo
+C                                   We now have the four values Fvec(1:4)
+c     interpolate in t...
+
+      If (JLq .LE. 0) Then
+C                         1st Q-bin, as well as extrapolation to lower Q
+        Call Polint6 (TV(0), Fvec(1), 4, tt, ff, Dfq)
+
+      ElseIf (JLq .GE. Nt-1) Then
+C                         Last Q-bin, as well as extrapolation to higher Q
+        Call Polint6 (TV(Nt-3), Fvec(1), 4, tt, ff, Dfq)
+      Else
+C                         Interrior bins : (JLq.GE.1 .and. JLq.LE.Nt-2)
+C       which include JLq.Eq.1 and JLq.Eq.Nt-2, since Upd is defined for
+C                         the full range QV(0:Nt)  (in contrast to XV)
+        tf2 = fvec(2)
+        tf3 = fvec(3)
+
+        g1 = ( tf2*t13 - tf3*t12) / t23
+        g4 = (-tf2*t34 + tf3*t24) / t23
+
+        h00 = ((t34*ty2-tmp2*ty3)*(fvec(1)-g1)/t12
+     &    +  (tmp1*ty2-t12*ty3)*(fvec(4)-g4)/t34)
+
+        ff = (h00*ty2*ty3/tdet + tf2*ty3 - tf3*ty2) / t23
+      EndIf
+
+      PartonX6 = ff
+
+      Return
+C                                       ********************
+      End

=== added file 'Template/Source/PDF/Partonx5.f'
--- Template/Source/PDF/Partonx5.f	1970-01-01 00:00:00 +0000
+++ Template/Source/PDF/Partonx5.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,94 @@
+      FUNCTION PartonX (IPRTN, X, Q)
+C
+C   Given the parton distribution function in the array Upd in
+C   COMMON / CtqPar1 / , this routine fetches u(fl, x, q) at any value of
+C   x and q using Mth-order polynomial interpolation for x and Ln(Q/Lambda).
+C
+      IMPLICIT DOUBLE PRECISION (A-H, O-Z)
+C
+      PARAMETER (MXX = 105, MXQ = 25, MXF = 6)
+      PARAMETER (MXPQX = (MXF *2 +2) * MXQ * MXX)
+      PARAMETER (M= 2, M1 = M + 1)
+C
+      Logical First
+      Common 
+     > / CtqPar1 / Al, XV(0:MXX), QL(0:MXQ), UPD(MXPQX)
+     > / CtqPar2 / Nx, Nt, NfMx
+     > / XQrange / Qini, Qmax, Xmin
+C
+      Dimension Fq(M1), Df(M1)
+
+      Data First /.true./
+      save First
+C                                                 Work with Log (Q)
+      QG  = LOG (Q/AL)
+
+C                           Find lower end of interval containing X
+      JL = -1
+      JU = Nx+1
+ 11   If (JU-JL .GT. 1) Then
+         JM = (JU+JL) / 2
+         If (X .GT. XV(JM)) Then
+            JL = JM
+         Else
+            JU = JM
+         Endif
+         Goto 11
+      Endif
+
+      Jx = JL - (M-1)/2
+      If (X .lt. Xmin .and. First ) Then
+         First = .false.
+         Print '(A, 2(1pE12.4))', 
+     >     ' WARNING: X < Xmin, extrapolation used; X, Xmin =', X, Xmin
+         If (Jx .LT. 0) Jx = 0
+      Elseif (Jx .GT. Nx-M) Then
+         Jx = Nx - M
+      Endif
+C                                    Find the interval where Q lies
+      JL = -1
+      JU = NT+1
+ 12   If (JU-JL .GT. 1) Then
+         JM = (JU+JL) / 2
+         If (QG .GT. QL(JM)) Then
+            JL = JM
+         Else
+            JU = JM
+         Endif
+         Goto 12
+      Endif
+
+      Jq = JL - (M-1)/2
+      If (Jq .LT. 0) Then
+         Jq = 0
+         If (Q .lt. Qini)  Print '(A, 2(1pE12.4))', 
+     >     ' WARNING: Q < Qini, extrapolation used; Q, Qini =', Q, Qini
+      Elseif (Jq .GT. Nt-M) Then
+         Jq = Nt - M
+         If (Q .gt. Qmax)  Print '(A, 2(1pE12.4))', 
+     >     ' WARNING: Q > Qmax, extrapolation used; Q, Qmax =', Q, Qmax
+      Endif
+
+      If (Iprtn .GE. 3) Then
+         Ip = - Iprtn
+      Else
+         Ip = Iprtn
+      EndIf
+C                             Find the off-set in the linear array Upd
+      JFL = Ip + NfMx
+      J0  = (JFL * (NT+1) + Jq) * (NX+1) + Jx
+C
+C                                           Now interpolate in x for M1 Q's
+      Do 21 Iq = 1, M1
+         J1 = J0 + (Nx+1)*(Iq-1) + 1
+         Call Polint (XV(Jx), Upd(J1), M1, X, Fq(Iq), Df(Iq))
+ 21   Continue
+C                                          Finish off by interpolating in Q
+      Call Polint (QL(Jq), Fq(1), M1, QG, Ftmp, Ddf)
+
+      PartonX = Ftmp
+C
+      RETURN
+C                        ****************************
+      END
+

=== added file 'Template/Source/PDF/PhotonFlux.f'
--- Template/Source/PDF/PhotonFlux.f	1970-01-01 00:00:00 +0000
+++ Template/Source/PDF/PhotonFlux.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,87 @@
+c/* ********************************************************* */
+c/*  Equivalent photon approximation structure function.   * */
+c/*     Improved Weizsaecker-Williams formula              * */
+c/*   V.M.Budnev et al., Phys.Rep. 15C (1975) 181          * */
+c/* ********************************************************* */
+c   provided by Tomasz Pierzchala - UCL
+
+      real*8 function epa_electron(x,q2max)
+      integer i
+      real*8 x,phi_f
+      real*8 xin
+      real*8 alpha
+      real*8 f, q2min,q2max
+      real*8 PI
+      data PI/3.14159265358979323846/
+
+      data xin/0.511d-3/ !electron mass in GeV
+
+      alpha = .0072992701
+
+C     // x = omega/E = (E-E')/E
+      if (x.lt.1) then
+         q2min= xin*xin*x*x/(1-x)
+         if(q2min.lt.q2max) then 
+            f = alpha/2d0/PI*
+     &           (2d0*xin*xin*x*(-1/q2min+1/q2max)+
+     &           (2-2d0*x+x*x)/x*dlog(q2max/q2min))
+            
+         else
+           f = 0. 
+         endif
+      else
+         f= 0.
+      endif
+c      write (*,*) x,dsqrt(q2min),dsqrt(q2max),f
+      if (f .lt. 0) f = 0
+      epa_electron= f
+
+      end
+
+      real*8 function epa_proton(x,q2max)
+      integer i
+      real*8 x,phi_f
+      real*8 xin
+      real*8 alpha,qz
+      real*8 f, qmi,qma, q2max
+      real*8 PI
+      data PI/3.14159265358979323846/
+
+      data xin/0.938/ ! proton mass in GeV
+
+      alpha = .0072992701
+      qz = 0.71
+    
+C     // x = omega/E = (E-E')/E
+      if (x.lt.1) then
+         qmi= xin*xin*x*x/(1-x)
+         if(qmi.lt.q2max) then          
+            f = alpha/PI*(phi_f(x,q2max/qz)-phi_f(x,qmi/qz))*(1-x)/x
+         else
+            f=0.
+         endif
+      else
+         f= 0.
+      endif
+      if (f .lt. 0) f = 0
+      epa_proton= f
+      end
+
+      real*8 function phi_f(x,qq)
+      real*8 x, qq
+      real*8 y,qq1,f
+      real*8 a,b,c
+
+       a = 7.16
+       b = -3.96
+       c = .028
+
+      qq1=1+qq
+      y= x*x/(1-x)
+      f=(1+a*y)*(-log(qq1/qq)+1/qq1+1/(2*qq1*qq1)+1/(3*qq1*qq1*qq1))
+      f=f + (1-b)*y/(4*qq*qq1*qq1*qq1);
+      f=f+ c*(1+y/4)*(log((qq1-b)/qq1)+b/qq1+b*b/(2*qq1*qq1)+
+     $b*b*b/(3*qq1*qq1*qq1))
+      phi_f= f
+      end
+  

=== added file 'Template/Source/PDF/cteq3.f'
--- Template/Source/PDF/cteq3.f	1970-01-01 00:00:00 +0000
+++ Template/Source/PDF/cteq3.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,498 @@
+C     Version 3 CTEQ distribution function in a parametrized form.
+
+C   By: H.L. Lai, J. Botts, J. Huston, J.G. Morfin, J.F. Owens, J. Qiu,
+C       W.K. Tung & H. Weerts;  Preprint MSU-HEP/41024, CTEQ 404 
+
+C   This file contains three versions of the same CTEQ3 parton distributions: 
+C 
+C Two "front-end" subprograms:    
+C     FUNCTION Ctq3Pd (Iset, Iparton, X, Q, Irt) 
+C         returns the PROBABILITY density for a GIVEN flavor;
+C     SUBROUTINE Ctq3Pds(Iset, Pdf, XX, QQ, Irt)
+C         returns an array of MOMENTUM densities for ALL flavors;
+C One lower-level subprogram:
+C     FUNCTION Ctq3df (Iset, Iprtn, XX, QQ, Irt)
+C         returns the MOMENTUM density of a GIVEN valence or sea distribution.
+
+C      One supplementary function to return the QCD lambda parameter 
+C      concerning these distributions is also included (see below). 
+
+C     Although DOUBLE PRECISION is used, conversion to SINGLE PRECISION
+C     is straightforward by removing the 
+C     Implicit Double Precision statements. 
+
+C     Since this is an initial distribution of version 3, it is
+C     useful for the authors to maintain a record of the distribution
+C     list in case there are revisions or corrections.
+C     In the interest of maintaining the integrity of this package,
+C     please do not freely distribute this program package; instead, refer
+C     any interested colleagues to direct their request for a copy to:
+C     Lai@cteq11.pa.msu.edu or Tung@msupa.pa.msu.edu.
+
+C   If you have detailed questions concerning these CTEQ3 distributions, 
+C   or if you find problems/bugs using this initial distribution, direct 
+C   inquires to Hung-Liang Lai or Wu-Ki Tung.
+
+C     -------------------------------------------
+C     Detailed instructions follow.
+
+C     Name convention for CTEQ distributions:  CTEQnSx  where
+C        n : version number                      (currently n = 3)
+C        S : factorization scheme label: = [M L D] for [MS-bar LO DIS] 
+c               resp.
+C        x : special characteristics, if any
+C        (e.g. S(F) for singular (flat) small-x, L for "LEP lambda value")
+C        (not applicable to CTEQ3 since only three standard sets are given.)
+
+C    Explanation of functional arguments:
+
+C    Iset is the set label; in this version, Iset = 1, 2, 3 
+C                           correspond to the following CTEQ global fits:
+
+C          cteq3M  : best fit in the MS-bar scheme 
+C          cteq3L  : best fit in Leading order QCD
+C          cteq3D  : best fit in the DIS scheme
+
+C   Iprtn  is the parton label (6, 5, 4, 3, 2, 1, 0, -1, ......, -6)
+C                          for (t, b, c, s, d, u, g, u_bar, ..., t_bar)
+C  *** WARNING: We use the parton label 2 as D-quark, and 1 as U-quark which 
+C               might be different with your labels.
+
+C   X, Q are the usual x, Q; 
+C   Irt is a return error code (see individual modules for explanation).
+C       
+C     ---------------------------------------------
+
+C  Since the QCD Lambda value for the various sets are needed more often than
+C  the other parameters in most applications, a special function
+C     Wlamd3 (Iset, Iorder, Neff)                    is provided
+C  which returns the lambda value for Neff = 4,5,6 effective flavors as well as
+C  the order these values pertain to.
+
+C     ----------------------------------------------
+C     The range of (x, Q) used in this round of global analysis is, approxi-
+C     mately,  0.01 < x < 0.75 ; and 4 GeV^2 < Q^2 < 400 GeV^2 for fixed target
+C     experiments and 0.0001 < x < 0.1 from HERA data.
+
+C    The range of (x, Q) used in the reparametrization of the QCD evolved
+C    parton distributions is 10E-6 < x < 1 ; 1.6 GeV < Q < 10 TeV.  The 
+C    functional form of this parametrization is:
+
+C      A0 * x^A1 * (1-x)^A2 * (1 + A3 * x^A4) * [log(1+1/x)]^A5
+
+C   with the A'coefficients being smooth functions of Q.  For heavy quarks,
+C   a threshold factor is applied to A0 which simulates the proper Q-dependence
+C   of the QCD evolution in that region according to the renormalization
+C   scheme defined in Collins-Tung, Nucl. Phys. B278, 934 (1986).
+
+C   Since this function is positive definite and smooth, it provides sensible
+C   extrapolations of the parton distributions if they are called beyond
+C   the original range in an application. There is no artificial boundaries
+C   or sharp cutoff's.
+C    ------------------------------------------------
+
+      FUNCTION Ctq3Pd (Iset, Iparton, X, Q, Irt)
+
+C   This function returns the CTEQ parton distributions f^Iset_Iprtn/proton
+C   --- the PROBABILITY density
+
+C   (Iset, Iparton, X, Q): explained above;
+
+C    Irt : return error code: see module Ctq3df for explanation.
+
+      IMPLICIT DOUBLE PRECISION (A-H, O-Z)
+
+      Ifl = Iparton
+      JFL = ABS(Ifl)
+C                                                             Valence
+      IF (Ifl.Eq.1 .or. Ifl.Eq.2) THEN
+        VL = Ctq3df(Iset, Ifl, X, Q, Irt)
+      ELSE
+        VL = 0.
+      ENDIF
+C                                                             Sea
+      SEA = Ctq3df (Iset, -JFL, X, Q, Irt)
+C                                              Full (probability) Distribution
+      Ctq3pd = (VL + SEA) / X
+      
+      Return
+C                         *************************
+      END
+C
+C
+      SUBROUTINE Ctq3Pds(Iset, Pdf, X, Q, Irt)
+
+C   This function returns the CTEQ parton distributions xf^Iset_Iprtn/proton
+C   --- the Momentum density in array form
+c
+C    (Iset, X, Q): explained in header comment lines;
+
+C     Irt : return error code -- cumulated over flavors: 
+C           see module Ctq3df for explanation on individual flavors.
+C     Pdf (Iparton);  
+C         Iparton = -6, -5, ...0, 1, 2 ... 6
+C               has the same meaning as explained in the header comment lines.
+    
+      Implicit Double Precision (A-H, O-Z)
+      Dimension Pdf (-6:6)
+
+      Irt=0
+      do 10 I=-6,2
+         if(I.le.0) then
+            Pdf(I) = Ctq3df(Iset,I,X,Q,Irt1)
+            Pdf(-I)= Pdf(I)
+         else
+            Pdf(I) = Ctq3df(Iset,I,X,Q,Irt1) + Pdf(-I)
+         endif
+         Irt=Irt+Irt1
+  10  Continue
+
+      Return
+C                         *************************
+      End
+
+      FUNCTION Ctq3df (Iset, Iprtn, XX, QQ, Irt)
+
+C            Returns xf(x,Q) -- the momentum fraction distribution !!
+C            Returns valence and sea rather than combined flavor distr.
+
+C            Iset : PDF set label
+
+C            Iprtn  : Parton label:   2, 1 = d_ and u_ valence
+C                                     0 = gluon
+C                            -1, ... -6 = u, d, s, c, b, t sea quarks
+
+C            XX  : Bjorken-x
+C            QQ  : scale parameter "Q"
+C      Irt : Return code
+C      0 : no error
+C      1 : parametrization is slightly negative; reset to 0.0.
+C          (This condition happens rarely -- only for large x where the 
+C          absolute value of the parton distribution is extremely small.) 
+
+      IMPLICIT DOUBLE PRECISION (A-H, O-Z)
+
+      PARAMETER (D0=0D0, D1=1D0, D2=2D0, D3=3D0, D4=4D0, D10=1D1)
+      Parameter (Nst = 3)
+
+      DIMENSION
+     >   Iord(Nst), Isch(Nst), Nqrk(Nst),Alm(Nst)
+     > , Vlm(4:6,Nst), Qms(4:6, Nst)
+     > , Xmn(Nst), Qmn(Nst), Qmx(Nst)
+
+c                                          --------- CTEQ3M
+c
+      DATA 
+     >  Isch(1), Iord(1), Nqrk(1), Alm(1) /  1,  2,  6, .239  / 
+     >  (Vlm(I,1), I=4,6) / .239,    .158,     .063   /
+     >  (Qms(I,1), I=4,6) / 1.60,   5.00,  180.0 /
+     >  Xmn(1), Qmn(1), Qmx(1) /  1.E-6,  1.60,  1.E4  /
+
+c                                          --------- CTEQ3L
+c
+      DATA 
+     >  Isch(2), Iord(2), Nqrk(2), Alm(2) /  1,  1,  6, .177  / 
+     >  (Vlm(I,2), I=4,6) / .177,    .132,     .066   /
+     >  (Qms(I,2), I=4,6) / 1.60,   5.00,  180.0 /
+     >  Xmn(2), Qmn(2), Qmx(2) /  1.E-6,  1.60,  1.E4  /
+
+c                                          --------- CTEQ3D
+c
+      DATA 
+     >  Isch(3), Iord(3), Nqrk(3), Alm(3) /  1,  2,  6, .247  / 
+     >  (Vlm(I,3), I=4,6) / .247,    .164,     .066   /
+     >  (Qms(I,3), I=4,6) / 1.60,   5.00,  180.0 /
+     >  Xmn(3), Qmn(3), Qmx(3) /  1.E-6,  1.60,  1.E4  /
+
+
+      Data Ist, Lp, Qsto / 0, -10, 1.2345 /
+
+      save Ist, Lp, Qsto
+      save SB, SB2, SB3
+
+      X  = XX
+      Irt = 0
+      if(Iset.eq.Ist .and. Qsto.eq.QQ) then
+C                                             if only change is in x:
+        if (Iprtn.eq.Lp) goto 100
+C                         if change in flv is within "light" partons:
+        if (Iprtn.ge.-3 .and. Lp.ge.-3) goto 501
+      endif
+
+      Ip = abs(Iprtn)
+C                                                  Set up Qi for SB
+      If (Ip .GE. 4) then
+         If (QQ .LE. Qms(Ip, Iset)) Then
+           Ctq3df = 0.0
+           Return
+         Endif
+         Qi = Qms(ip, Iset)
+      Else
+         Qi = Qmn(Iset)
+      Endif
+C                   Use "standard lambda" of parametrization program
+      Alam = Alm (Iset)
+
+      SBL = LOG(QQ/Alam) / LOG(Qi/Alam)
+      SB = LOG (SBL)
+      SB2 = SB*SB
+      SB3 = SB2*SB
+
+ 501  Iflv = 3 - Iprtn
+
+      Goto (1,2,3, 311) Iset
+
+ 1    Goto(11,12,13,14,15,16,17,18,19)Iflv    
+c   Ifl =   2
+  11  A0=Exp(-0.7266E+00-0.1584E+01*SB +0.1259E+01*SB2-0.4305E-01*SB3)
+      A1= 0.5285E+00-0.3721E+00*SB +0.5150E+00*SB2-0.1697E+00*SB3 
+      A2= 0.4075E+01+0.8282E+00*SB -0.4496E+00*SB2+0.2107E+00*SB3 
+      A3= 0.3279E+01+0.5066E+01*SB -0.9134E+01*SB2+0.2897E+01*SB3 
+      A4= 0.4399E+00-0.5888E+00*SB +0.4802E+00*SB2-0.1664E+00*SB3 
+      A5= 0.3678E+00-0.8929E+00*SB +0.1592E+01*SB2-0.5713E+00*SB3 
+      goto 100
+c   Ifl =   1
+  12  A0=Exp( 0.2259E+00+0.1237E+00*SB +0.3035E+00*SB2-0.2935E+00*SB3)
+      A1= 0.5085E+00+0.1651E-01*SB -0.3592E-01*SB2+0.2782E-01*SB3 
+      A2= 0.3732E+01+0.4901E+00*SB +0.2218E+00*SB2-0.1116E+00*SB3 
+      A3= 0.7011E+01-0.6620E+01*SB +0.2557E+01*SB2-0.1360E+00*SB3 
+      A4= 0.8969E+00-0.2429E+00*SB +0.1811E+00*SB2-0.6888E-01*SB3 
+      A5= 0.8636E-01+0.2558E+00*SB -0.3082E+00*SB2+0.2535E+00*SB3 
+      goto 100
+c   Ifl =   0
+  13  A0=Exp(-0.2318E+00-0.9779E+00*SB -0.3783E+00*SB2+0.1037E-01*SB3)
+      A1=-0.2916E+00+0.1754E+00*SB -0.1884E+00*SB2+0.6116E-01*SB3 
+      A2= 0.5349E+01+0.7460E+00*SB +0.2319E+00*SB2-0.2622E+00*SB3 
+      A3= 0.6920E+01-0.3454E+01*SB +0.2027E+01*SB2-0.7626E+00*SB3 
+      A4= 0.1013E+01+0.1423E+00*SB -0.1798E+00*SB2+0.1872E-01*SB3 
+      A5=-0.5465E-01+0.2303E+01*SB -0.9584E+00*SB2+0.3098E+00*SB3 
+      goto 100
+c   Ifl =  -1
+  14  A0=Exp(-0.2906E+01-0.1069E+00*SB -0.1055E+01*SB2+0.2496E+00*SB3)
+      A1=-0.2875E+00+0.6571E-01*SB -0.1987E-01*SB2-0.1800E-02*SB3 
+      A2= 0.9854E+01-0.2715E+00*SB -0.7407E+00*SB2+0.2888E+00*SB3 
+      A3= 0.1583E+02-0.7687E+01*SB +0.3428E+01*SB2-0.3327E+00*SB3 
+      A4= 0.9763E+00+0.7599E-01*SB -0.2128E+00*SB2+0.6852E-01*SB3 
+      A5=-0.8444E-02+0.9434E+00*SB +0.4152E+00*SB2-0.1481E+00*SB3 
+      goto 100
+c   Ifl =  -2
+  15  A0=Exp(-0.2328E+01-0.3061E+01*SB +0.3620E+01*SB2-0.1602E+01*SB3)
+      A1=-0.3358E+00+0.3198E+00*SB -0.4210E+00*SB2+0.1571E+00*SB3 
+      A2= 0.8478E+01-0.3112E+01*SB +0.5243E+01*SB2-0.2255E+01*SB3 
+      A3= 0.1971E+02+0.3389E+00*SB -0.5268E+01*SB2+0.2099E+01*SB3 
+      A4= 0.1128E+01-0.4701E+00*SB +0.7779E+00*SB2-0.3506E+00*SB3 
+      A5=-0.4708E+00+0.3341E+01*SB -0.3375E+01*SB2+0.1353E+01*SB3 
+      goto 100
+c   Ifl =  -3
+  16  A0=Exp(-0.3780E+01+0.2499E+01*SB -0.4962E+01*SB2+0.1936E+01*SB3)
+      A1=-0.2639E+00-0.1575E+00*SB +0.3584E+00*SB2-0.1646E+00*SB3 
+      A2= 0.8082E+01+0.2794E+01*SB -0.5438E+01*SB2+0.2321E+01*SB3 
+      A3= 0.1811E+02-0.2000E+02*SB +0.1951E+02*SB2-0.6904E+01*SB3 
+      A4= 0.9822E+00+0.4972E+00*SB -0.8690E+00*SB2+0.3415E+00*SB3 
+      A5= 0.1772E+00-0.6078E+00*SB +0.3341E+01*SB2-0.1473E+01*SB3 
+      goto 100
+c   Ifl =  -4
+  17  A0=SB** 0.1122E+01*Exp(-0.4232E+01-0.1808E+01*SB +0.5348E+00*SB2)
+      A1=-0.2824E+00+0.5846E+00*SB -0.7230E+00*SB2+0.2419E+00*SB3 
+      A2= 0.5683E+01-0.2948E+01*SB +0.5916E+01*SB2-0.2560E+01*SB3 
+      A3= 0.2051E+01+0.4795E+01*SB -0.4271E+01*SB2+0.4174E+00*SB3 
+      A4= 0.1737E+00+0.1717E+01*SB -0.1978E+01*SB2+0.6643E+00*SB3 
+      A5= 0.8689E+00+0.3500E+01*SB -0.3283E+01*SB2+0.1026E+01*SB3 
+      goto 100
+c   Ifl =  -5
+  18  A0=SB** 0.9906E+00*Exp(-0.1496E+01-0.6576E+01*SB +0.1569E+01*SB2)
+      A1=-0.2140E+00-0.6419E-01*SB -0.2741E-02*SB2+0.3185E-02*SB3 
+      A2= 0.5781E+01+0.1049E+00*SB -0.3930E+00*SB2+0.5174E+00*SB3 
+      A3=-0.9420E+00+0.5511E+00*SB +0.8817E+00*SB2+0.1903E+01*SB3 
+      A4= 0.2418E-01+0.4232E-01*SB -0.1244E-01*SB2-0.2365E-01*SB3 
+      A5= 0.7664E+00+0.1794E+01*SB -0.4917E+00*SB2-0.1284E+00*SB3 
+      goto 100
+c   Ifl =  -6
+  19  A0=SB** 0.1000E+01*Exp(-0.8460E+01+0.1154E+01*SB +0.8838E+01*SB2)
+      A1=-0.4316E-01-0.2976E+00*SB +0.3174E+00*SB2-0.1429E+01*SB3 
+      A2= 0.4910E+01+0.2273E+01*SB +0.5631E+01*SB2-0.1994E+02*SB3 
+      A3= 0.1190E+02-0.2000E+02*SB -0.2000E+02*SB2+0.1292E+02*SB3 
+      A4= 0.5771E+00-0.2552E+00*SB +0.7510E+00*SB2+0.6923E+00*SB3 
+      A5= 0.4402E+01-0.1627E+01*SB -0.2085E+01*SB2-0.6737E+01*SB3 
+      goto 100
+
+ 2    Goto(21,22,23,24,25,26,27,28,29)Iflv    
+c   Ifl =   2
+  21  A0=Exp( 0.1141E+00+0.4764E+00*SB -0.1745E+01*SB2+0.7728E+00*SB3)
+      A1= 0.4275E+00-0.1290E+00*SB +0.3609E+00*SB2-0.1689E+00*SB3 
+      A2= 0.3000E+01+0.2946E+01*SB -0.4117E+01*SB2+0.1989E+01*SB3 
+      A3=-0.1302E+01+0.2322E+01*SB -0.4258E+01*SB2+0.2109E+01*SB3 
+      A4= 0.2586E+01-0.1920E+00*SB -0.3754E+00*SB2+0.2731E+00*SB3 
+      A5=-0.2251E+00-0.5374E+00*SB +0.2245E+01*SB2-0.1034E+01*SB3 
+      goto 100
+c   Ifl =   1
+  22  A0=Exp( 0.1907E+00+0.4205E-01*SB +0.2752E+00*SB2-0.3171E+00*SB3)
+      A1= 0.4611E+00+0.2331E-01*SB -0.3403E-01*SB2+0.3174E-01*SB3 
+      A2= 0.3504E+01+0.5739E+00*SB +0.2676E+00*SB2-0.1553E+00*SB3 
+      A3= 0.7452E+01-0.6742E+01*SB +0.2849E+01*SB2-0.1964E+00*SB3 
+      A4= 0.1116E+01-0.3435E+00*SB +0.2865E+00*SB2-0.1288E+00*SB3 
+      A5= 0.6659E-01+0.2714E+00*SB -0.2688E+00*SB2+0.2763E+00*SB3 
+      goto 100
+c   Ifl =   0
+  23  A0=Exp(-0.7631E+00-0.7241E+00*SB -0.1170E+01*SB2+0.5343E+00*SB3)
+      A1=-0.3573E+00+0.3469E+00*SB -0.3396E+00*SB2+0.9188E-01*SB3 
+      A2= 0.5604E+01+0.7458E+00*SB -0.5082E+00*SB2+0.1844E+00*SB3 
+      A3= 0.1549E+02-0.1809E+02*SB +0.1162E+02*SB2-0.3483E+01*SB3 
+      A4= 0.9881E+00+0.1364E+00*SB -0.4421E+00*SB2+0.2051E+00*SB3 
+      A5=-0.9505E-01+0.3259E+01*SB -0.1547E+01*SB2+0.2918E+00*SB3 
+      goto 100
+c   Ifl =  -1
+  24  A0=Exp(-0.2740E+01-0.7987E-01*SB -0.9015E+00*SB2-0.9872E-01*SB3)
+      A1=-0.3909E+00+0.1244E+00*SB -0.4487E-01*SB2+0.1277E-01*SB3 
+      A2= 0.9163E+01+0.2823E+00*SB -0.7720E+00*SB2-0.9360E-02*SB3 
+      A3= 0.1080E+02-0.3915E+01*SB -0.1153E+01*SB2+0.2649E+01*SB3 
+      A4= 0.9894E+00-0.1647E+00*SB -0.9426E-02*SB2+0.2945E-02*SB3 
+      A5=-0.3395E+00+0.6998E+00*SB +0.7000E+00*SB2-0.6730E-01*SB3 
+      goto 100
+c   Ifl =  -2
+  25  A0=Exp(-0.2449E+01-0.3513E+01*SB +0.4529E+01*SB2-0.2031E+01*SB3)
+      A1=-0.4050E+00+0.3411E+00*SB -0.3669E+00*SB2+0.1109E+00*SB3 
+      A2= 0.7470E+01-0.2982E+01*SB +0.5503E+01*SB2-0.2419E+01*SB3 
+      A3= 0.1503E+02+0.1638E+01*SB -0.8772E+01*SB2+0.3852E+01*SB3 
+      A4= 0.1137E+01-0.1006E+01*SB +0.1485E+01*SB2-0.6389E+00*SB3 
+      A5=-0.5299E+00+0.3160E+01*SB -0.3104E+01*SB2+0.1219E+01*SB3 
+      goto 100
+c   Ifl =  -3
+  26  A0=Exp(-0.3640E+01+0.1250E+01*SB -0.2914E+01*SB2+0.8390E+00*SB3)
+      A1=-0.3595E+00-0.5259E-01*SB +0.3122E+00*SB2-0.1642E+00*SB3 
+      A2= 0.7305E+01+0.9727E+00*SB -0.9788E+00*SB2-0.5193E-01*SB3 
+      A3= 0.1198E+02-0.1799E+02*SB +0.2614E+02*SB2-0.1091E+02*SB3 
+      A4= 0.9882E+00-0.6101E+00*SB +0.9737E+00*SB2-0.4935E+00*SB3 
+      A5=-0.1186E+00-0.3231E+00*SB +0.3074E+01*SB2-0.1274E+01*SB3 
+      goto 100
+c   Ifl =  -4
+  27  A0=SB** 0.1122E+01*Exp(-0.3718E+01-0.1335E+01*SB +0.1651E-01*SB2)
+      A1=-0.4719E+00+0.7509E+00*SB -0.8420E+00*SB2+0.2901E+00*SB3 
+      A2= 0.6194E+01-0.1641E+01*SB +0.4907E+01*SB2-0.2523E+01*SB3 
+      A3= 0.4426E+01-0.4270E+01*SB +0.6581E+01*SB2-0.3474E+01*SB3 
+      A4= 0.2683E+00+0.9876E+00*SB -0.7612E+00*SB2+0.1780E+00*SB3 
+      A5=-0.4547E+00+0.4410E+01*SB -0.3712E+01*SB2+0.1245E+01*SB3 
+      goto 100
+c   Ifl =  -5
+  28  A0=SB** 0.9838E+00*Exp(-0.2548E+01-0.7660E+01*SB +0.3702E+01*SB2)
+      A1=-0.3122E+00-0.2120E+00*SB +0.5716E+00*SB2-0.3773E+00*SB3 
+      A2= 0.6257E+01-0.8214E-01*SB -0.2537E+01*SB2+0.2981E+01*SB3 
+      A3=-0.6723E+00+0.2131E+01*SB +0.9599E+01*SB2-0.7910E+01*SB3 
+      A4= 0.9169E-01+0.4295E-01*SB -0.5017E+00*SB2+0.3811E+00*SB3 
+      A5= 0.2402E+00+0.2656E+01*SB -0.1586E+01*SB2+0.2880E+00*SB3 
+      goto 100
+c   Ifl =  -6
+  29  A0=SB** 0.1001E+01*Exp(-0.6934E+01+0.3050E+01*SB -0.6943E+00*SB2)
+      A1=-0.1713E+00-0.5167E+00*SB +0.1241E+01*SB2-0.1703E+01*SB3 
+      A2= 0.6169E+01+0.3023E+01*SB -0.1972E+02*SB2+0.1069E+02*SB3 
+      A3= 0.4439E+01-0.1746E+02*SB +0.1225E+02*SB2+0.8350E+00*SB3 
+      A4= 0.5458E+00-0.4586E+00*SB +0.9089E+00*SB2-0.4049E+00*SB3 
+      A5= 0.3207E+01-0.3362E+01*SB +0.5877E+01*SB2-0.7659E+01*SB3 
+      goto 100
+
+ 3    Goto(31,32,33,34,35,36,37,38,39)Iflv    
+c   Ifl =   2
+  31  A0=Exp( 0.3961E+00+0.4914E+00*SB -0.1728E+01*SB2+0.7257E+00*SB3)
+      A1= 0.4162E+00-0.1419E+00*SB +0.3680E+00*SB2-0.1618E+00*SB3 
+      A2= 0.3248E+01+0.3028E+01*SB -0.4307E+01*SB2+0.1920E+01*SB3 
+      A3=-0.1100E+01+0.2184E+01*SB -0.3820E+01*SB2+0.1717E+01*SB3 
+      A4= 0.2082E+01-0.2756E+00*SB +0.3043E+00*SB2-0.1260E+00*SB3 
+      A5=-0.4822E+00-0.5706E+00*SB +0.2243E+01*SB2-0.9760E+00*SB3 
+      goto 100
+c   Ifl =   1
+  32  A0=Exp( 0.2148E+00+0.5814E-01*SB +0.2734E+00*SB2-0.2902E+00*SB3)
+      A1= 0.4810E+00+0.1657E-01*SB -0.3800E-01*SB2+0.3125E-01*SB3 
+      A2= 0.3509E+01+0.3923E+00*SB +0.4010E+00*SB2-0.1932E+00*SB3 
+      A3= 0.7055E+01-0.6552E+01*SB +0.3466E+01*SB2-0.5657E+00*SB3 
+      A4= 0.1061E+01-0.3453E+00*SB +0.4089E+00*SB2-0.1817E+00*SB3 
+      A5= 0.8687E-01+0.2548E+00*SB -0.2967E+00*SB2+0.2647E+00*SB3 
+      goto 100
+c   Ifl =   0
+  33  A0=Exp(-0.4665E+00-0.7554E+00*SB -0.3323E+00*SB2-0.2734E-04*SB3)
+      A1=-0.3359E+00+0.2395E+00*SB -0.2377E+00*SB2+0.7059E-01*SB3 
+      A2= 0.5451E+01+0.6086E+00*SB +0.8606E-01*SB2-0.1425E+00*SB3 
+      A3= 0.1026E+02-0.9352E+01*SB +0.4879E+01*SB2-0.1150E+01*SB3 
+      A4= 0.9935E+00-0.5017E-01*SB -0.1707E-01*SB2-0.1464E-02*SB3 
+      A5=-0.4160E-01+0.2305E+01*SB -0.1063E+01*SB2+0.3211E+00*SB3 
+      goto 100
+c   Ifl =  -1
+  34  A0=Exp(-0.3323E+01+0.2296E+00*SB -0.1109E+01*SB2+0.2223E+00*SB3)
+      A1=-0.3410E+00+0.8847E-01*SB -0.1111E-01*SB2-0.5927E-02*SB3 
+      A2= 0.9753E+01-0.5182E+00*SB -0.4670E+00*SB2+0.1921E+00*SB3 
+      A3= 0.1977E+02-0.1600E+02*SB +0.9481E+01*SB2-0.1864E+01*SB3 
+      A4= 0.9818E+00+0.2839E-02*SB -0.1188E+00*SB2+0.3584E-01*SB3 
+      A5=-0.7934E-01+0.1004E+01*SB +0.3704E+00*SB2-0.1220E+00*SB3 
+      goto 100
+c   Ifl =  -2
+  35  A0=Exp(-0.2714E+01-0.2868E+01*SB +0.3700E+01*SB2-0.1671E+01*SB3)
+      A1=-0.3893E+00+0.3341E+00*SB -0.3897E+00*SB2+0.1420E+00*SB3 
+      A2= 0.8359E+01-0.3267E+01*SB +0.5327E+01*SB2-0.2245E+01*SB3 
+      A3= 0.2359E+02-0.5669E+01*SB -0.4602E+01*SB2+0.3153E+01*SB3 
+      A4= 0.1106E+01-0.4745E+00*SB +0.7739E+00*SB2-0.3417E+00*SB3 
+      A5=-0.5557E+00+0.3433E+01*SB -0.3390E+01*SB2+0.1354E+01*SB3 
+      goto 100
+c   Ifl =  -3
+  36  A0=Exp(-0.3985E+01+0.2855E+01*SB -0.5208E+01*SB2+0.1937E+01*SB3)
+      A1=-0.3337E+00-0.1150E+00*SB +0.3691E+00*SB2-0.1709E+00*SB3 
+      A2= 0.7968E+01+0.3641E+01*SB -0.6599E+01*SB2+0.2642E+01*SB3 
+      A3= 0.1873E+02-0.1999E+02*SB +0.1734E+02*SB2-0.5813E+01*SB3 
+      A4= 0.9731E+00+0.5082E+00*SB -0.8780E+00*SB2+0.3231E+00*SB3 
+      A5=-0.5542E-01-0.4189E+00*SB +0.3309E+01*SB2-0.1439E+01*SB3 
+      goto 100
+c   Ifl =  -4
+  37  A0=SB** 0.1105E+01*Exp(-0.3952E+01-0.1901E+01*SB +0.5137E+00*SB2)
+      A1=-0.3543E+00+0.6055E+00*SB -0.6941E+00*SB2+0.2278E+00*SB3 
+      A2= 0.5955E+01-0.2629E+01*SB +0.5337E+01*SB2-0.2300E+01*SB3 
+      A3= 0.1933E+01+0.4882E+01*SB -0.3810E+01*SB2+0.2290E+00*SB3 
+      A4= 0.1806E+00+0.1655E+01*SB -0.1893E+01*SB2+0.6395E+00*SB3 
+      A5= 0.4790E+00+0.3612E+01*SB -0.3152E+01*SB2+0.9684E+00*SB3 
+      goto 100
+c   Ifl =  -5
+  38  A0=SB** 0.9818E+00*Exp(-0.1825E+01-0.7464E+01*SB +0.2143E+01*SB2)
+      A1=-0.2604E+00-0.1400E+00*SB +0.1702E+00*SB2-0.8476E-01*SB3 
+      A2= 0.6005E+01+0.6275E+00*SB -0.2535E+01*SB2+0.2219E+01*SB3 
+      A3=-0.9067E+00+0.1149E+01*SB +0.1974E+01*SB2+0.4716E+01*SB3 
+      A4= 0.3915E-01+0.5945E-01*SB -0.9844E-01*SB2+0.2783E-01*SB3 
+      A5= 0.5500E+00+0.1994E+01*SB -0.6727E+00*SB2-0.1510E+00*SB3 
+      goto 100
+c   Ifl =  -6
+  39  A0=SB** 0.1002E+01*Exp(-0.8553E+01+0.3793E+00*SB +0.9998E+01*SB2)
+      A1=-0.5870E-01-0.2792E+00*SB +0.6526E+00*SB2-0.1984E+01*SB3 
+      A2= 0.4716E+01+0.4473E+00*SB +0.1128E+02*SB2-0.1937E+02*SB3 
+      A3= 0.1289E+02-0.1742E+02*SB -0.1983E+02*SB2-0.9274E+00*SB3 
+      A4= 0.5647E+00-0.2732E+00*SB +0.1074E+01*SB2+0.5981E+00*SB3 
+      A5= 0.4390E+01-0.1262E+01*SB -0.9026E+00*SB2-0.9394E+01*SB3 
+      goto 100
+
+ 311  stop 'This option is not currently supported.'
+
+ 100  Ctq3df = A0 *(x**A1) *((D1-x)**A2) *(D1+A3*(x**A4))
+     $            *(log(D1+D1/x))**A5
+
+      if(Ctq3df.lt.D0) then
+        Ctq3df = D0
+        Irt=1
+      endif
+
+      Ist = Iset
+
+      Lp  = Iprtn
+      Qsto = QQ
+
+      Return
+C                                  -----------------------
+      ENTRY Wlamd3 (Iset, Iorder, Neff)
+
+C     Returns the EFFECTIVE QCD lambda values for order=Iorder and
+C     effective # of flavors = Neff for each of the PDF sets.
+
+      Iorder = Iord (Iset)
+      Wlamd3 = VLM  (Neff, Iset)
+
+      RETURN
+
+C                         *************************
+      END
+
+
+

=== added file 'Template/Source/PDF/jeppe02.f'
--- Template/Source/PDF/jeppe02.f	1970-01-01 00:00:00 +0000
+++ Template/Source/PDF/jeppe02.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,160 @@
+      subroutine jeppe1(nx,my,xx,yy,ff,cc)
+      implicit real*8(a-h,o-z)
+      parameter(nnx=49,mmy=37)
+      dimension xx(nx),yy(my),ff(nnx,mmy),ff1(nnx,mmy),ff2(nnx,mmy),
+     xff12(nnx,mmy),yy0(4),yy1(4),yy2(4),yy12(4),z(16),wt(16,16),
+     xcl(16),cc(nx,my,4,4),iwt(16,16)
+
+      data iwt/1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
+     x		  0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,
+     x		  -3,0,0,3,0,0,0,0,-2,0,0,-1,0,0,0,0,
+     x		  2,0,0,-2,0,0,0,0,1,0,0,1,0,0,0,0,
+     x		  0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,
+     x		  0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,
+     x		  0,0,0,0,-3,0,0,3,0,0,0,0,-2,0,0,-1,
+     x		  0,0,0,0,2,0,0,-2,0,0,0,0,1,0,0,1,
+     x		  -3,3,0,0,-2,-1,0,0,0,0,0,0,0,0,0,0,
+     x		  0,0,0,0,0,0,0,0,-3,3,0,0,-2,-1,0,0,
+     x		  9,-9,9,-9,6,3,-3,-6,6,-6,-3,3,4,2,1,2,
+     x		  -6,6,-6,6,-4,-2,2,4,-3,3,3,-3,-2,-1,-1,-2,
+     x		  2,-2,0,0,1,1,0,0,0,0,0,0,0,0,0,0,
+     x		  0,0,0,0,0,0,0,0,2,-2,0,0,1,1,0,0,
+     x		  -6,6,-6,6,-3,-3,3,3,-4,4,2,-2,-2,-2,-1,-1,
+     x		  4,-4,4,-4,2,2,-2,-2,2,-2,-2,2,1,1,1,1/
+
+
+      do 42 m=1,my
+      dx=xx(2)-xx(1)
+      ff1(1,m)=(ff(2,m)-ff(1,m))/dx
+      dx=xx(nx)-xx(nx-1)
+      ff1(nx,m)=(ff(nx,m)-ff(nx-1,m))/dx
+      do 41 n=2,nx-1
+      ff1(n,m)=polderiv(xx(n-1),xx(n),xx(n+1),ff(n-1,m),ff(n,m),
+     xff(n+1,m))
+   41 continue
+   42 continue
+
+      do 44 n=1,nx
+      dy=yy(2)-yy(1)
+      ff2(n,1)=(ff(n,2)-ff(n,1))/dy
+      dy=yy(my)-yy(my-1)
+      ff2(n,my)=(ff(n,my)-ff(n,my-1))/dy
+      do 43 m=2,my-1
+      ff2(n,m)=polderiv(yy(m-1),yy(m),yy(m+1),ff(n,m-1),ff(n,m),
+     xff(n,m+1))
+   43 continue
+   44 continue
+
+      do 46 m=1,my
+      dx=xx(2)-xx(1)
+      ff12(1,m)=(ff2(2,m)-ff2(1,m))/dx
+      dx=xx(nx)-xx(nx-1)
+      ff12(nx,m)=(ff2(nx,m)-ff2(nx-1,m))/dx
+      do 45 n=2,nx-1
+      ff12(n,m)=polderiv(xx(n-1),xx(n),xx(n+1),ff2(n-1,m),ff2(n,m),
+     xff2(n+1,m))
+   45 continue
+   46 continue
+
+      do 53 n=1,nx-1
+      do 52 m=1,my-1
+      d1=xx(n+1)-xx(n)
+      d2=yy(m+1)-yy(m)
+      d1d2=d1*d2
+
+      yy0(1)=ff(n,m)
+      yy0(2)=ff(n+1,m)
+      yy0(3)=ff(n+1,m+1)
+      yy0(4)=ff(n,m+1)
+
+      yy1(1)=ff1(n,m)
+      yy1(2)=ff1(n+1,m)
+      yy1(3)=ff1(n+1,m+1)
+      yy1(4)=ff1(n,m+1)
+
+      yy2(1)=ff2(n,m)
+      yy2(2)=ff2(n+1,m)
+      yy2(3)=ff2(n+1,m+1)
+      yy2(4)=ff2(n,m+1)
+
+      yy12(1)=ff12(n,m)
+      yy12(2)=ff12(n+1,m)
+      yy12(3)=ff12(n+1,m+1)
+      yy12(4)=ff12(n,m+1)
+
+      do 47 k=1,4
+      z(k)=yy0(k)
+      z(k+4)=yy1(k)*d1
+      z(k+8)=yy2(k)*d2
+      z(k+12)=yy12(k)*d1d2
+   47 continue
+
+      do 49 l=1,16
+      xxd=0.
+      do 48 k=1,16
+      xxd=xxd+iwt(k,l)*z(k)
+   48 continue
+      cl(l)=xxd
+   49 continue
+      l=0
+      do 51 k=1,4
+      do 50 j=1,4
+      l=l+1
+      cc(n,m,k,j)=cl(l)
+   50 continue
+   51 continue
+   52 continue
+   53 continue
+      return
+      end
+
+      subroutine jeppe2(x,y,nx,my,xx,yy,cc,z)
+      implicit real*8(a-h,o-z)
+      dimension xx(nx),yy(my),cc(nx,my,4,4)      
+
+      n=locx(xx,nx,x)
+      m=locx(yy,my,y)
+
+      t=(x-xx(n))/(xx(n+1)-xx(n))
+      u=(y-yy(m))/(yy(m+1)-yy(m))
+
+      z=0.
+      do 1 l=4,1,-1
+      z=t*z+((cc(n,m,l,4)*u+cc(n,m,l,3))*u
+     .       +cc(n,m,l,2))*u+cc(n,m,l,1)
+    1 continue
+      return
+      end
+
+      integer function locx(xx,nx,x)
+      implicit real*8(a-h,o-z)
+      dimension xx(nx)
+      if(x.le.xx(1)) then
+      locx=1
+      return
+      endif
+      if(x.ge.xx(nx)) then 
+      locx=nx-1  
+      return
+      endif
+      ju=nx+1
+      jl=0
+    1 if((ju-jl).le.1) go to 2
+      jm=(ju+jl)/2
+      if(x.ge.xx(jm)) then
+      jl=jm
+      else
+      ju=jm
+      endif
+      go to 1
+    2 locx=jl
+      return
+      end
+
+
+      real*8 function  polderiv(x1,x2,x3,y1,y2,y3)
+      implicit real*8(a-h,o-z)
+      polderiv=(x3*x3*(y1-y2)-2.0*x2*(x3*(y1-y2)+x1*
+     .(y2-y3))+x2*x2*(y1-y3)+x1*x1*(y2-y3))/((x1-x2)*(x1-x3)*(x2-x3))
+      return
+      end

=== added file 'Template/Source/PDF/makefile'
--- Template/Source/PDF/makefile	1970-01-01 00:00:00 +0000
+++ Template/Source/PDF/makefile	2010-10-30 03:26:37 +0000
@@ -0,0 +1,24 @@
+# ----------------------------------------------------------------------------
+#
+# Makefile for PDF library
+# Apr. 25 2003
+#
+# ----------------------------------------------------------------------------
+
+
+F77           = f77
+FFLAGS        = -O
+LIBRARY	      = ../libpdf.a
+LIBDIR        = ../../lib/
+PDF           = Ctq4Fn.o Ctq5Par.o Ctq5Pdf.o Partonx5.o Ctq6Pdf.o cteq3.o \
+                mrs98.o mrs98lo.o mrs98ht.o mrs99.o mrst2001.o mrst2002.o jeppe02.o \
+                pdfwrap.o opendata.o pdf.o PhotonFlux.o pdg2pdf.o
+
+.f.o: ; $(F77) $(FFLAGS) -c $*.f
+
+all: $(LIBDIR)libpdf.a
+
+$(LIBDIR)libpdf.a: $(PDF)
+	ar cru libpdf.a $(PDF)
+	ranlib libpdf.a
+	mv libpdf.a  $(LIBDIR)

=== added file 'Template/Source/PDF/makefile_dlhapdf'
--- Template/Source/PDF/makefile_dlhapdf	1970-01-01 00:00:00 +0000
+++ Template/Source/PDF/makefile_dlhapdf	2010-10-30 03:26:37 +0000
@@ -0,0 +1,21 @@
+# ----------------------------------------------------------------------------
+#
+# Makefile for PDF library
+# Apr. 25 2003
+#
+# ----------------------------------------------------------------------------
+
+
+F77           = gfortran
+FFLAGS        = -O -fPIC
+LIBRARY	      = ../libpdf.so
+LIBDIR        = ../../lib/
+PDF           = pdfwrap_lhapdf.o pdf_lhapdf.o pdg2pdf_lhapdf.o opendata.o
+
+.f.o: ; $(F77) $(FFLAGS) -c $*.f
+
+all: $(LIBDIR)libpdf.so
+
+$(LIBDIR)libpdf.so: $(PDF)
+	g77 -shared -o libpdf.so $(PDF)
+	mv libpdf.so  $(LIBDIR)

=== added file 'Template/Source/PDF/makefile_dynamic'
--- Template/Source/PDF/makefile_dynamic	1970-01-01 00:00:00 +0000
+++ Template/Source/PDF/makefile_dynamic	2010-10-30 03:26:37 +0000
@@ -0,0 +1,23 @@
+# ----------------------------------------------------------------------------
+#
+# Makefile for PDF library
+# Apr. 25 2003
+#
+# ----------------------------------------------------------------------------
+
+
+F77           = f77
+FFLAGS        = -O -fPIC
+LIBRARY	      = ../libpdf.so
+LIBDIR        = ../../lib/
+PDF           = Ctq4Fn.o Ctq5Par.o Ctq5Pdf.o Partonx5.o Ctq6Pdf.o cteq3.o \
+                mrs98.o mrs98lo.o mrs98ht.o mrs99.o mrst2001.o mrst2002.o jeppe02.o \
+                pdfwrap.o opendata.o pdf.o PhotonFlux.o pdg2pdf.o
+
+.f.o: ; $(F77) $(FFLAGS) -c $*.f
+
+all: $(LIBDIR)libpdf.so
+
+$(LIBDIR)libpdf.so: $(PDF)
+	g77 -shared -o libpdf.so $(PDF)
+	mv libpdf.so  $(LIBDIR)

=== added file 'Template/Source/PDF/makefile_lhapdf'
--- Template/Source/PDF/makefile_lhapdf	1970-01-01 00:00:00 +0000
+++ Template/Source/PDF/makefile_lhapdf	2010-10-30 03:26:37 +0000
@@ -0,0 +1,22 @@
+# ----------------------------------------------------------------------------
+#
+# Makefile for PDF library
+# Apr. 25 2003
+#
+# ----------------------------------------------------------------------------
+
+
+F77           = gfortran
+FFLAGS        = -O
+LIBRARY       = ../libpdf.a
+LIBDIR        = ../../lib/
+PDF           = pdfwrap_lhapdf.o pdf_lhapdf.o pdg2pdf_lhapdf.o opendata.o
+
+.f.o: ; $(F77) $(FFLAGS) -c $*.f
+
+all: $(LIBDIR)libpdf.a
+
+$(LIBDIR)libpdf.a: $(PDF)
+	ar cru libpdf.a $(PDF) 
+	ranlib libpdf.a
+	mv libpdf.a  $(LIBDIR)

=== added file 'Template/Source/PDF/mrs98.f'
--- Template/Source/PDF/mrs98.f	1970-01-01 00:00:00 +0000
+++ Template/Source/PDF/mrs98.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,506 @@
+      subroutine mrs98(x,q,mode,upv,dnv,usea,dsea,str,chm,bot,glu)
+C****************************************************************C
+C								 C
+C     This is a package for the new MRS 1998 parton              C
+C     distributions. The format is similar to the previous       C
+C     (1996) MRS-R series.                                       C
+C								 C
+C     As before, x times the parton distribution is returned,    C
+C     q is the scale in GeV, MSbar factorization is assumed,     C
+C     and Lambda(MSbar,nf=4) is given below for each set.        C
+C								 C
+C     TEMPORARY NAMING SCHEME:                                   C
+C						                 C
+C  mode  set    comment             L(4)/MeV  a_s(M_Z)  grid#1   C
+C  ----  ---    -------             --------  -------   ------   C
+C								 C
+C  1     FT08A  central gluon, a_s    300      0.1175   0.00561  C
+C  2     FT09A  higher gluon          300      0.1175   0.00510  C
+C  3     FT11A  lower gluon           300      0.1175   0.00408  C
+C  4     FT24A  lower a_s             229      0.1125   0.00586  C
+C  5     FT23A  higher a_s            383      0.1225   0.00410  C
+C						                 C
+C						                 C
+C      The corresponding grid files are called ft08a.dat etc.    C
+C							  	 C
+C      The reference is:                                         C
+C      A.D. Martin, R.G. Roberts, W.J. Stirling, R.S Thorne      C
+C      Univ. Durham preprint DTP/98/??, hep-ph/??????? (1998)    C
+C                                                                C
+C      Comments to : W.J.Stirling@durham.ac.uk                   C
+C                                                                C
+C								 C
+C****************************************************************C
+      implicit double precision(a-h,o-z)
+      data xmin,xmax,qsqmin,qsqmax/1d-5,1d0,1.25d0,1d7/
+      q2=q*q
+      if(q2.lt.qsqmin.or.q2.gt.qsqmax) print 99
+      if(x.lt.xmin.or.x.gt.xmax)       print 98
+          if(mode.eq.1) then
+        call mrs981(x,q2,upv,dnv,usea,dsea,str,chm,bot,glu) 
+      elseif(mode.eq.2) then
+        call mrs982(x,q2,upv,dnv,usea,dsea,str,chm,bot,glu) 
+      elseif(mode.eq.3) then
+        call mrs983(x,q2,upv,dnv,usea,dsea,str,chm,bot,glu) 
+      elseif(mode.eq.4) then
+        call mrs984(x,q2,upv,dnv,usea,dsea,str,chm,bot,glu) 
+      elseif(mode.eq.5) then
+        call mrs985(x,q2,upv,dnv,usea,dsea,str,chm,bot,glu) 
+      endif 
+  99  format('  WARNING:  Q^2 VALUE IS OUT OF RANGE   ')
+  98  format('  WARNING:   X  VALUE IS OUT OF RANGE   ')
+      return
+      end
+
+      subroutine mrs981(x,qsq,upv,dnv,usea,dsea,str,chm,bot,glu)
+      implicit double precision(a-h,o-z)
+c-fabio
+      Character Tablefile*40
+      data Tablefile/'ft08a.dat'/
+      integer IU
+      common/IU/IU  !this is set in opendata.f
+c
+      parameter(nx=49,nq=37,ntenth=23,np=8)
+      double precision f(np,nx,nq+1),qq(nq),xx(nx),g(np),n0(np)
+      data xx/1d-5,2d-5,4d-5,6d-5,8d-5,
+     .	      1d-4,2d-4,4d-4,6d-4,8d-4,
+     .	      1d-3,2d-3,4d-3,6d-3,8d-3,
+     .	      1d-2,1.4d-2,2d-2,3d-2,4d-2,6d-2,8d-2,
+     .	   .1d0,.125d0,.15d0,.175d0,.2d0,.225d0,.25d0,.275d0,
+     .	   .3d0,.325d0,.35d0,.375d0,.4d0,.425d0,.45d0,.475d0,
+     .	   .5d0,.525d0,.55d0,.575d0,.6d0,.65d0,.7d0,.75d0,
+     .	   .8d0,.9d0,1d0/
+      data qq/1.25d0,1.5d0,2d0,2.5d0,3.2d0,4d0,5d0,6.4d0,8d0,1d1,
+     .        1.2d1,1.8d1,2.6d1,4d1,6.4d1,1d2,
+     .        1.6d2,2.4d2,4d2,6.4d2,1d3,1.8d3,3.2d3,5.6d3,1d4,
+     .        1.8d4,3.2d4,5.6d4,1d5,1.8d5,3.2d5,5.6d5,1d6,
+     .        1.8d6,3.2d6,5.6d6,1d7/
+      data xmin,xmax,qsqmin,qsqmax/1d-5,1d0,1.25d0,1d7/
+      data n0/3,4,5,9,9,9,9,9/
+      data init/0/
+      save
+      xsave=x
+      q2save=qsq
+      if(init.ne.0) goto 10
+c        open(unit=1,file='Pdfdata/ft08a.dat',status='old')
+        call OpenData(Tablefile)
+        do 20 n=1,nx-1
+        do 20 m=1,nq
+        read(IU,50)f(1,n,m),f(2,n,m),f(3,n,m),f(4,n,m),
+     .		  f(5,n,m),f(7,n,m),f(6,n,m),f(8,n,m)
+c notation: 1=uval 2=val 3=glue 4=usea 5=chm 6=str 7=btm 8=dsea
+	do 25 i=1,np
+  25	 f(i,n,m)=f(i,n,m)/(1d0-xx(n))**n0(i)
+  20  continue
+      do 31 j=1,ntenth-1
+      xx(j)=dlog10(xx(j)/xx(ntenth))+xx(ntenth)
+      do 31 i=1,8
+      if(i.eq.5.or.i.eq.7) goto 31
+      do 30 k=1,nq
+  30  f(i,j,k)=dlog10(f(i,j,k)/f(i,ntenth,k))+f(i,ntenth,k)
+  31  continue
+  50  format(8f10.5)
+      do 40 i=1,np
+      do 40 m=1,nq
+  40  f(i,nx,m)=0d0
+      init=1
+  10  continue
+      if(x.lt.xmin) x=xmin
+      if(x.gt.xmax) x=xmax
+      if(qsq.lt.qsqmin)	qsq=qsqmin
+      if(qsq.gt.qsqmax)	qsq=qsqmax
+      xxx=x
+      if(x.lt.xx(ntenth)) xxx=dlog10(x/xx(ntenth))+xx(ntenth)
+      n=0
+  70  n=n+1
+      if(xxx.gt.xx(n+1)) goto 70
+      a=(xxx-xx(n))/(xx(n+1)-xx(n))
+      m=0
+  80  m=m+1
+      if(qsq.gt.qq(m+1)) goto 80
+      b=(qsq-qq(m))/(qq(m+1)-qq(m))
+      do 60 i=1,np
+      g(i)= (1d0-a)*(1d0-b)*f(i,n,m)   + (1d0-a)*b*f(i,n,m+1)
+     .	  +       a*(1d0-b)*f(i,n+1,m) +       a*b*f(i,n+1,m+1)
+      if(n.ge.ntenth) goto 65
+      if(i.eq.5.or.i.eq.7) goto 65
+	  fac=(1d0-b)*f(i,ntenth,m)+b*f(i,ntenth,m+1)
+ 	  g(i)=fac*10d0**(g(i)-fac)
+  65  continue
+      g(i)=g(i)*(1d0-x)**n0(i)
+  60  continue
+      upv=g(1)
+      dnv=g(2)
+      usea=g(4)
+      dsea=g(8)
+      str=g(6)
+      chm=g(5)
+      glu=g(3) 
+      bot=g(7)
+        x=xsave
+        qsq=q2save
+      return
+      end
+      
+      subroutine mrs982(x,qsq,upv,dnv,usea,dsea,str,chm,bot,glu)
+      implicit double precision(a-h,o-z)
+c-fabio
+      Character Tablefile*40
+      data Tablefile/'ft09a.dat'/
+      integer IU
+      common/IU/IU  !this is set in opendata.f
+c
+      parameter(nx=49,nq=37,ntenth=23,np=8)
+      double precision f(np,nx,nq+1),qq(nq),xx(nx),g(np),n0(np)
+      data xx/1d-5,2d-5,4d-5,6d-5,8d-5,
+     .	      1d-4,2d-4,4d-4,6d-4,8d-4,
+     .	      1d-3,2d-3,4d-3,6d-3,8d-3,
+     .	      1d-2,1.4d-2,2d-2,3d-2,4d-2,6d-2,8d-2,
+     .	   .1d0,.125d0,.15d0,.175d0,.2d0,.225d0,.25d0,.275d0,
+     .	   .3d0,.325d0,.35d0,.375d0,.4d0,.425d0,.45d0,.475d0,
+     .	   .5d0,.525d0,.55d0,.575d0,.6d0,.65d0,.7d0,.75d0,
+     .	   .8d0,.9d0,1d0/
+      data qq/1.25d0,1.5d0,2d0,2.5d0,3.2d0,4d0,5d0,6.4d0,8d0,1d1,
+     .        1.2d1,1.8d1,2.6d1,4d1,6.4d1,1d2,
+     .        1.6d2,2.4d2,4d2,6.4d2,1d3,1.8d3,3.2d3,5.6d3,1d4,
+     .        1.8d4,3.2d4,5.6d4,1d5,1.8d5,3.2d5,5.6d5,1d6,
+     .        1.8d6,3.2d6,5.6d6,1d7/
+      data xmin,xmax,qsqmin,qsqmax/1d-5,1d0,1.25d0,1d7/
+      data n0/3,4,5,9,9,9,9,9/
+      data init/0/
+      save
+      xsave=x
+      q2save=qsq
+      if(init.ne.0) goto 10
+c        open(unit=1,file='Pdfdata/ft09a.dat',status='old')
+        call OpenData(Tablefile)
+        do 20 n=1,nx-1
+        do 20 m=1,nq
+        read(IU,50)f(1,n,m),f(2,n,m),f(3,n,m),f(4,n,m),
+     .		  f(5,n,m),f(7,n,m),f(6,n,m),f(8,n,m)
+c notation: 1=uval 2=val 3=glue 4=usea 5=chm 6=str 7=btm 8=dsea
+	do 25 i=1,np
+  25	 f(i,n,m)=f(i,n,m)/(1d0-xx(n))**n0(i)
+  20  continue
+      do 31 j=1,ntenth-1
+      xx(j)=dlog10(xx(j)/xx(ntenth))+xx(ntenth)
+      do 31 i=1,8
+      if(i.eq.5.or.i.eq.7) goto 31
+      do 30 k=1,nq
+  30  f(i,j,k)=dlog10(f(i,j,k)/f(i,ntenth,k))+f(i,ntenth,k)
+  31  continue
+  50  format(8f10.5)
+      do 40 i=1,np
+      do 40 m=1,nq
+  40  f(i,nx,m)=0d0
+      init=1
+  10  continue
+      if(x.lt.xmin) x=xmin
+      if(x.gt.xmax) x=xmax
+      if(qsq.lt.qsqmin)	qsq=qsqmin
+      if(qsq.gt.qsqmax)	qsq=qsqmax
+      xxx=x
+      if(x.lt.xx(ntenth)) xxx=dlog10(x/xx(ntenth))+xx(ntenth)
+      n=0
+  70  n=n+1
+      if(xxx.gt.xx(n+1)) goto 70
+      a=(xxx-xx(n))/(xx(n+1)-xx(n))
+      m=0
+  80  m=m+1
+      if(qsq.gt.qq(m+1)) goto 80
+      b=(qsq-qq(m))/(qq(m+1)-qq(m))
+      do 60 i=1,np
+      g(i)= (1d0-a)*(1d0-b)*f(i,n,m)   + (1d0-a)*b*f(i,n,m+1)
+     .	  +       a*(1d0-b)*f(i,n+1,m) +       a*b*f(i,n+1,m+1)
+      if(n.ge.ntenth) goto 65
+      if(i.eq.5.or.i.eq.7) goto 65
+	  fac=(1d0-b)*f(i,ntenth,m)+b*f(i,ntenth,m+1)
+ 	  g(i)=fac*10d0**(g(i)-fac)
+  65  continue
+      g(i)=g(i)*(1d0-x)**n0(i)
+  60  continue
+      upv=g(1)
+      dnv=g(2)
+      usea=g(4)
+      dsea=g(8)
+      str=g(6)
+      chm=g(5)
+      glu=g(3) 
+      bot=g(7)
+        x=xsave
+        qsq=q2save
+      return
+      end
+      
+      subroutine mrs983(x,qsq,upv,dnv,usea,dsea,str,chm,bot,glu)
+      implicit double precision(a-h,o-z)
+c-fabio
+      Character Tablefile*40
+      data Tablefile/'ft11a.dat'/
+      integer IU
+      common/IU/IU  !this is set in opendata.f
+c
+      parameter(nx=49,nq=37,ntenth=23,np=8)
+      double precision f(np,nx,nq+1),qq(nq),xx(nx),g(np),n0(np)
+      data xx/1d-5,2d-5,4d-5,6d-5,8d-5,
+     .	      1d-4,2d-4,4d-4,6d-4,8d-4,
+     .	      1d-3,2d-3,4d-3,6d-3,8d-3,
+     .	      1d-2,1.4d-2,2d-2,3d-2,4d-2,6d-2,8d-2,
+     .	   .1d0,.125d0,.15d0,.175d0,.2d0,.225d0,.25d0,.275d0,
+     .	   .3d0,.325d0,.35d0,.375d0,.4d0,.425d0,.45d0,.475d0,
+     .	   .5d0,.525d0,.55d0,.575d0,.6d0,.65d0,.7d0,.75d0,
+     .	   .8d0,.9d0,1d0/
+      data qq/1.25d0,1.5d0,2d0,2.5d0,3.2d0,4d0,5d0,6.4d0,8d0,1d1,
+     .        1.2d1,1.8d1,2.6d1,4d1,6.4d1,1d2,
+     .        1.6d2,2.4d2,4d2,6.4d2,1d3,1.8d3,3.2d3,5.6d3,1d4,
+     .        1.8d4,3.2d4,5.6d4,1d5,1.8d5,3.2d5,5.6d5,1d6,
+     .        1.8d6,3.2d6,5.6d6,1d7/
+      data xmin,xmax,qsqmin,qsqmax/1d-5,1d0,1.25d0,1d7/
+      data n0/3,4,5,9,9,9,9,9/
+      data init/0/
+      save
+      xsave=x
+      q2save=qsq
+      if(init.ne.0) goto 10
+c        open(unit=1,file='Pdfdata/ft11a.dat',status='old')
+        call OpenData(Tablefile)
+        do 20 n=1,nx-1
+        do 20 m=1,nq
+        read(IU,50)f(1,n,m),f(2,n,m),f(3,n,m),f(4,n,m),
+     .		  f(5,n,m),f(7,n,m),f(6,n,m),f(8,n,m)
+c notation: 1=uval 2=val 3=glue 4=usea 5=chm 6=str 7=btm 8=dsea
+	do 25 i=1,np
+  25	 f(i,n,m)=f(i,n,m)/(1d0-xx(n))**n0(i)
+  20  continue
+      do 31 j=1,ntenth-1
+      xx(j)=dlog10(xx(j)/xx(ntenth))+xx(ntenth)
+      do 31 i=1,8
+      if(i.eq.5.or.i.eq.7) goto 31
+      do 30 k=1,nq
+  30  f(i,j,k)=dlog10(f(i,j,k)/f(i,ntenth,k))+f(i,ntenth,k)
+  31  continue
+  50  format(8f10.5)
+      do 40 i=1,np
+      do 40 m=1,nq
+  40  f(i,nx,m)=0d0
+      init=1
+  10  continue
+      if(x.lt.xmin) x=xmin
+      if(x.gt.xmax) x=xmax
+      if(qsq.lt.qsqmin)	qsq=qsqmin
+      if(qsq.gt.qsqmax)	qsq=qsqmax
+      xxx=x
+      if(x.lt.xx(ntenth)) xxx=dlog10(x/xx(ntenth))+xx(ntenth)
+      n=0
+  70  n=n+1
+      if(xxx.gt.xx(n+1)) goto 70
+      a=(xxx-xx(n))/(xx(n+1)-xx(n))
+      m=0
+  80  m=m+1
+      if(qsq.gt.qq(m+1)) goto 80
+      b=(qsq-qq(m))/(qq(m+1)-qq(m))
+      do 60 i=1,np
+      g(i)= (1d0-a)*(1d0-b)*f(i,n,m)   + (1d0-a)*b*f(i,n,m+1)
+     .	  +       a*(1d0-b)*f(i,n+1,m) +       a*b*f(i,n+1,m+1)
+      if(n.ge.ntenth) goto 65
+      if(i.eq.5.or.i.eq.7) goto 65
+	  fac=(1d0-b)*f(i,ntenth,m)+b*f(i,ntenth,m+1)
+ 	  g(i)=fac*10d0**(g(i)-fac)
+  65  continue
+      g(i)=g(i)*(1d0-x)**n0(i)
+  60  continue
+      upv=g(1)
+      dnv=g(2)
+      usea=g(4)
+      dsea=g(8)
+      str=g(6)
+      chm=g(5)
+      glu=g(3) 
+      bot=g(7)
+        x=xsave
+        qsq=q2save
+      return
+      end
+      
+      
+      subroutine mrs984(x,qsq,upv,dnv,usea,dsea,str,chm,bot,glu)
+      implicit double precision(a-h,o-z)
+c-fabio
+      Character Tablefile*40
+      data Tablefile/'ft24a.dat'/
+      integer IU
+      common/IU/IU  !this is set in opendata.f
+c
+      parameter(nx=49,nq=37,ntenth=23,np=8)
+      double precision f(np,nx,nq+1),qq(nq),xx(nx),g(np),n0(np)
+      data xx/1d-5,2d-5,4d-5,6d-5,8d-5,
+     .	      1d-4,2d-4,4d-4,6d-4,8d-4,
+     .	      1d-3,2d-3,4d-3,6d-3,8d-3,
+     .	      1d-2,1.4d-2,2d-2,3d-2,4d-2,6d-2,8d-2,
+     .	   .1d0,.125d0,.15d0,.175d0,.2d0,.225d0,.25d0,.275d0,
+     .	   .3d0,.325d0,.35d0,.375d0,.4d0,.425d0,.45d0,.475d0,
+     .	   .5d0,.525d0,.55d0,.575d0,.6d0,.65d0,.7d0,.75d0,
+     .	   .8d0,.9d0,1d0/
+      data qq/1.25d0,1.5d0,2d0,2.5d0,3.2d0,4d0,5d0,6.4d0,8d0,1d1,
+     .        1.2d1,1.8d1,2.6d1,4d1,6.4d1,1d2,
+     .        1.6d2,2.4d2,4d2,6.4d2,1d3,1.8d3,3.2d3,5.6d3,1d4,
+     .        1.8d4,3.2d4,5.6d4,1d5,1.8d5,3.2d5,5.6d5,1d6,
+     .        1.8d6,3.2d6,5.6d6,1d7/
+      data xmin,xmax,qsqmin,qsqmax/1d-5,1d0,1.25d0,1d7/
+      data n0/3,4,5,9,9,9,9,9/
+      data init/0/
+      save
+      xsave=x
+      q2save=qsq
+      if(init.ne.0) goto 10
+c        open(unit=1,file='Pdfdata/ft24a.dat',status='old')
+        call OpenData(Tablefile)
+        do 20 n=1,nx-1
+        do 20 m=1,nq
+        read(IU,50)f(1,n,m),f(2,n,m),f(3,n,m),f(4,n,m),
+     .		  f(5,n,m),f(7,n,m),f(6,n,m),f(8,n,m)
+c notation: 1=uval 2=val 3=glue 4=usea 5=chm 6=str 7=btm 8=dsea
+	do 25 i=1,np
+  25	 f(i,n,m)=f(i,n,m)/(1d0-xx(n))**n0(i)
+  20  continue
+      do 31 j=1,ntenth-1
+      xx(j)=dlog10(xx(j)/xx(ntenth))+xx(ntenth)
+      do 31 i=1,8
+      if(i.eq.5.or.i.eq.7) goto 31
+      do 30 k=1,nq
+  30  f(i,j,k)=dlog10(f(i,j,k)/f(i,ntenth,k))+f(i,ntenth,k)
+  31  continue
+  50  format(8f10.5)
+      do 40 i=1,np
+      do 40 m=1,nq
+  40  f(i,nx,m)=0d0
+      init=1
+  10  continue
+      if(x.lt.xmin) x=xmin
+      if(x.gt.xmax) x=xmax
+      if(qsq.lt.qsqmin)	qsq=qsqmin
+      if(qsq.gt.qsqmax)	qsq=qsqmax
+      xxx=x
+      if(x.lt.xx(ntenth)) xxx=dlog10(x/xx(ntenth))+xx(ntenth)
+      n=0
+  70  n=n+1
+      if(xxx.gt.xx(n+1)) goto 70
+      a=(xxx-xx(n))/(xx(n+1)-xx(n))
+      m=0
+  80  m=m+1
+      if(qsq.gt.qq(m+1)) goto 80
+      b=(qsq-qq(m))/(qq(m+1)-qq(m))
+      do 60 i=1,np
+      g(i)= (1d0-a)*(1d0-b)*f(i,n,m)   + (1d0-a)*b*f(i,n,m+1)
+     .	  +       a*(1d0-b)*f(i,n+1,m) +       a*b*f(i,n+1,m+1)
+      if(n.ge.ntenth) goto 65
+      if(i.eq.5.or.i.eq.7) goto 65
+	  fac=(1d0-b)*f(i,ntenth,m)+b*f(i,ntenth,m+1)
+ 	  g(i)=fac*10d0**(g(i)-fac)
+  65  continue
+      g(i)=g(i)*(1d0-x)**n0(i)
+  60  continue
+      upv=g(1)
+      dnv=g(2)
+      usea=g(4)
+      dsea=g(8)
+      str=g(6)
+      chm=g(5)
+      glu=g(3) 
+      bot=g(7)
+        x=xsave
+        qsq=q2save
+      return
+      end
+      
+      subroutine mrs985(x,qsq,upv,dnv,usea,dsea,str,chm,bot,glu)
+      implicit double precision(a-h,o-z)
+c-fabio
+      Character Tablefile*40
+      data Tablefile/'ft23a.dat'/
+      integer IU
+      common/IU/IU  !this is set in opendata.f
+c
+      parameter(nx=49,nq=37,ntenth=23,np=8)
+      double precision f(np,nx,nq+1),qq(nq),xx(nx),g(np),n0(np)
+      data xx/1d-5,2d-5,4d-5,6d-5,8d-5,
+     .	      1d-4,2d-4,4d-4,6d-4,8d-4,
+     .	      1d-3,2d-3,4d-3,6d-3,8d-3,
+     .	      1d-2,1.4d-2,2d-2,3d-2,4d-2,6d-2,8d-2,
+     .	   .1d0,.125d0,.15d0,.175d0,.2d0,.225d0,.25d0,.275d0,
+     .	   .3d0,.325d0,.35d0,.375d0,.4d0,.425d0,.45d0,.475d0,
+     .	   .5d0,.525d0,.55d0,.575d0,.6d0,.65d0,.7d0,.75d0,
+     .	   .8d0,.9d0,1d0/
+      data qq/1.25d0,1.5d0,2d0,2.5d0,3.2d0,4d0,5d0,6.4d0,8d0,1d1,
+     .        1.2d1,1.8d1,2.6d1,4d1,6.4d1,1d2,
+     .        1.6d2,2.4d2,4d2,6.4d2,1d3,1.8d3,3.2d3,5.6d3,1d4,
+     .        1.8d4,3.2d4,5.6d4,1d5,1.8d5,3.2d5,5.6d5,1d6,
+     .        1.8d6,3.2d6,5.6d6,1d7/
+      data xmin,xmax,qsqmin,qsqmax/1d-5,1d0,1.25d0,1d7/
+      data n0/3,4,5,9,9,9,9,9/
+      data init/0/
+      save
+      xsave=x
+      q2save=qsq
+      if(init.ne.0) goto 10
+c        open(unit=1,file='Pdfdata/ft23a.dat',status='old')
+        call OpenData(Tablefile)
+        do 20 n=1,nx-1
+        do 20 m=1,nq
+        read(IU,50)f(1,n,m),f(2,n,m),f(3,n,m),f(4,n,m),
+     .		  f(5,n,m),f(7,n,m),f(6,n,m),f(8,n,m)
+c notation: 1=uval 2=val 3=glue 4=usea 5=chm 6=str 7=btm 8=dsea
+	do 25 i=1,np
+  25	 f(i,n,m)=f(i,n,m)/(1d0-xx(n))**n0(i)
+  20  continue
+      do 31 j=1,ntenth-1
+      xx(j)=dlog10(xx(j)/xx(ntenth))+xx(ntenth)
+      do 31 i=1,8
+      if(i.eq.5.or.i.eq.7) goto 31
+      do 30 k=1,nq
+  30  f(i,j,k)=dlog10(f(i,j,k)/f(i,ntenth,k))+f(i,ntenth,k)
+  31  continue
+  50  format(8f10.5)
+      do 40 i=1,np
+      do 40 m=1,nq
+  40  f(i,nx,m)=0d0
+      init=1
+  10  continue
+      if(x.lt.xmin) x=xmin
+      if(x.gt.xmax) x=xmax
+      if(qsq.lt.qsqmin)	qsq=qsqmin
+      if(qsq.gt.qsqmax)	qsq=qsqmax
+      xxx=x
+      if(x.lt.xx(ntenth)) xxx=dlog10(x/xx(ntenth))+xx(ntenth)
+      n=0
+  70  n=n+1
+      if(xxx.gt.xx(n+1)) goto 70
+      a=(xxx-xx(n))/(xx(n+1)-xx(n))
+      m=0
+  80  m=m+1
+      if(qsq.gt.qq(m+1)) goto 80
+      b=(qsq-qq(m))/(qq(m+1)-qq(m))
+      do 60 i=1,np
+      g(i)= (1d0-a)*(1d0-b)*f(i,n,m)   + (1d0-a)*b*f(i,n,m+1)
+     .	  +       a*(1d0-b)*f(i,n+1,m) +       a*b*f(i,n+1,m+1)
+      if(n.ge.ntenth) goto 65
+      if(i.eq.5.or.i.eq.7) goto 65
+	  fac=(1d0-b)*f(i,ntenth,m)+b*f(i,ntenth,m+1)
+ 	  g(i)=fac*10d0**(g(i)-fac)
+  65  continue
+      g(i)=g(i)*(1d0-x)**n0(i)
+  60  continue
+      upv=g(1)
+      dnv=g(2)
+      usea=g(4)
+      dsea=g(8)
+      str=g(6)
+      chm=g(5)
+      glu=g(3) 
+      bot=g(7)
+        x=xsave
+        qsq=q2save
+      return
+      end
+      
+

=== added file 'Template/Source/PDF/mrs98ht.f'
--- Template/Source/PDF/mrs98ht.f	1970-01-01 00:00:00 +0000
+++ Template/Source/PDF/mrs98ht.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,133 @@
+      subroutine mrs98ht(x,q,mode,upv,dnv,usea,dsea,str,chm,bot,glu)
+C****************************************************************C
+C								 C
+C     This is a package for the MRS 1998 parton distributions    C
+C     including hogher twist. The format is similar to the       C 
+C     previous  (1996) MRS-R series.                             C
+C								 C
+C     As before, x times the parton distribution is returned,    C
+C     q is the scale in GeV, MSbar factorization is assumed,     C
+C     and Lambda(MSbar,nf=4) is given below for each set.        C
+C								 C
+C     TEMPORARY NAMING SCHEME:                                   C
+C						                 C
+C  mode  set    comment             L(4)/MeV  a_s(M_Z)  grid#1   C
+C  ----  ---    -------             --------  -------   ------   C
+C								 C
+C  1     HT11A  central gluon, a_s    292.5    0.1170   0.00536  C
+C						                 C
+C      The corresponding grid file are called ht118a.dat etc.    C
+C							  	 C
+C      The reference is:                                         C
+C      A.D. Martin, R.G. Roberts, W.J. Stirling, R.S Thorne      C
+C      Univ. Durham preprint DTP/98/52, hep-ph/??????? (1998)    C
+C                                                                C
+C      Comments to : W.J.Stirling@durham.ac.uk                   C
+C                                                                C
+C								 C
+C****************************************************************C
+      implicit real*8(a-h,o-z)
+      data xmin,xmax,qsqmin,qsqmax/1d-5,1d0,1.25d0,1d7/
+      q2=q*q
+      if(q2.lt.qsqmin.or.q2.gt.qsqmax) print 99
+      if(x.lt.xmin.or.x.gt.xmax)       print 98
+          if(mode.eq.1) then
+        call mrs981ht(x,q2,upv,dnv,usea,dsea,str,chm,bot,glu) 
+      endif 
+  99  format('  WARNING:  Q^2 VALUE IS OUT OF RANGE   ')
+  98  format('  WARNING:   X  VALUE IS OUT OF RANGE   ')
+      return
+      end
+
+      subroutine mrs981ht(x,qsq,upv,dnv,usea,dsea,str,chm,bot,glu)
+      implicit real*8(a-h,o-z)
+c-fabio
+      Character Tablefile*40
+      data Tablefile/'ht11b.dat'/
+      integer IU
+      common/IU/IU  !this is set in opendata.f
+c
+      parameter(nx=49,nq=37,ntenth=23,np=8)
+      real*8 f(np,nx,nq+1),qq(nq),xx(nx),g(np),n0(np)
+      data xx/1d-5,2d-5,4d-5,6d-5,8d-5,
+     .	      1d-4,2d-4,4d-4,6d-4,8d-4,
+     .	      1d-3,2d-3,4d-3,6d-3,8d-3,
+     .	      1d-2,1.4d-2,2d-2,3d-2,4d-2,6d-2,8d-2,
+     .	   .1d0,.125d0,.15d0,.175d0,.2d0,.225d0,.25d0,.275d0,
+     .	   .3d0,.325d0,.35d0,.375d0,.4d0,.425d0,.45d0,.475d0,
+     .	   .5d0,.525d0,.55d0,.575d0,.6d0,.65d0,.7d0,.75d0,
+     .	   .8d0,.9d0,1d0/
+      data qq/1.25d0,1.5d0,2d0,2.5d0,3.2d0,4d0,5d0,6.4d0,8d0,1d1,
+     .        1.2d1,1.8d1,2.6d1,4d1,6.4d1,1d2,
+     .        1.6d2,2.4d2,4d2,6.4d2,1d3,1.8d3,3.2d3,5.6d3,1d4,
+     .        1.8d4,3.2d4,5.6d4,1d5,1.8d5,3.2d5,5.6d5,1d6,
+     .        1.8d6,3.2d6,5.6d6,1d7/
+      data xmin,xmax,qsqmin,qsqmax/1d-5,1d0,1.25d0,1d7/
+      data n0/3,4,5,9,9,9,9,9/
+      data init/0/
+      save
+      xsave=x
+      q2save=qsq
+      if(init.ne.0) goto 10
+c        open(unit=1,file='ft08a.dat',status='old')
+c        open(unit=1,file='Pdfdata/ht11b.dat',status='old')
+        call OpenData(Tablefile)
+        do 20 n=1,nx-1
+        do 20 m=1,nq
+        read(IU,50)f(1,n,m),f(2,n,m),f(3,n,m),f(4,n,m),
+     .		  f(5,n,m),f(7,n,m),f(6,n,m),f(8,n,m)
+c notation: 1=uval 2=val 3=glue 4=usea 5=chm 6=str 7=btm 8=dsea
+	do 25 i=1,np
+  25	 f(i,n,m)=f(i,n,m)/(1d0-xx(n))**n0(i)
+  20  continue
+      do 31 j=1,ntenth-1
+      xx(j)=dlog10(xx(j)/xx(ntenth))+xx(ntenth)
+      do 31 i=1,8
+      if(i.eq.5.or.i.eq.7) goto 31
+      do 30 k=1,nq
+  30  f(i,j,k)=dlog10(f(i,j,k)/f(i,ntenth,k))+f(i,ntenth,k)
+  31  continue
+  50  format(8f10.5)
+      do 40 i=1,np
+      do 40 m=1,nq
+  40  f(i,nx,m)=0d0
+      init=1
+  10  continue
+      if(x.lt.xmin) x=xmin
+      if(x.gt.xmax) x=xmax
+      if(qsq.lt.qsqmin)	qsq=qsqmin
+      if(qsq.gt.qsqmax)	qsq=qsqmax
+      xxx=x
+      if(x.lt.xx(ntenth)) xxx=dlog10(x/xx(ntenth))+xx(ntenth)
+      n=0
+  70  n=n+1
+      if(xxx.gt.xx(n+1)) goto 70
+      a=(xxx-xx(n))/(xx(n+1)-xx(n))
+      m=0
+  80  m=m+1
+      if(qsq.gt.qq(m+1)) goto 80
+      b=(qsq-qq(m))/(qq(m+1)-qq(m))
+      do 60 i=1,np
+      g(i)= (1d0-a)*(1d0-b)*f(i,n,m)   + (1d0-a)*b*f(i,n,m+1)
+     .	  +       a*(1d0-b)*f(i,n+1,m) +       a*b*f(i,n+1,m+1)
+      if(n.ge.ntenth) goto 65
+      if(i.eq.5.or.i.eq.7) goto 65
+	  fac=(1d0-b)*f(i,ntenth,m)+b*f(i,ntenth,m+1)
+ 	  g(i)=fac*10d0**(g(i)-fac)
+  65  continue
+      g(i)=g(i)*(1d0-x)**n0(i)
+  60  continue
+      upv=g(1)
+      dnv=g(2)
+      usea=g(4)
+      dsea=g(8)
+      str=g(6)
+      chm=g(5)
+      glu=g(3) 
+      bot=g(7)
+        x=xsave
+        qsq=q2save
+      return
+      end
+      
+

=== added file 'Template/Source/PDF/mrs98lo.f'
--- Template/Source/PDF/mrs98lo.f	1970-01-01 00:00:00 +0000
+++ Template/Source/PDF/mrs98lo.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,508 @@
+      subroutine mrs98lo(x,q,mode,upv,dnv,usea,dsea,str,chm,bot,glu)
+C****************************************************************C
+C								 C
+C     This is a package for the new MRS LO 1998 parton           C
+C     distributions. The format is similar to the previous       C
+C     (1996) MRS-R series.                                       C
+C								 C
+C     As before, x times the parton distribution is returned,    C
+C     q is the scale in GeV,                                     C
+C     and Lambda(MSbar,nf=4) is given below for each set.        C
+C                                                                C
+C     Reference Martin, Roberts, Stirling and Thorne             C
+C     Durham preprint DTP/98/52 (August 1998)                    C
+C								 C
+C     TEMPORARY NAMING SCHEME:                                   C
+C						                 C
+C  mode  set    comment             L(4)/MeV  a_s(M_Z)  grid#1   C
+C  ----  ---    -------             --------  -------   ------   C
+C								 C
+C  1     LO05A  central gluon, a_s    174      0.1250   0.01518  C
+C  2     LO09A  higher gluon          174      0.1250   0.01616  C
+C  3     LO10A  lower gluon           174      0.1250   0.01533  C
+C  4     LO01A  lower a_s             136      0.1200   0.01652  C
+C  5     LO07A  higher a_s            216      0.1300   0.01522  C
+C						                 C
+C						                 C
+C      The corresponding grid files are called lt05a.dat etc.    C
+C							  	 C
+C      The reference is:                                         C
+C      A.D. Martin, R.G. Roberts, W.J. Stirling, R.S Thorne      C
+C      Univ. Durham preprint DTP/98/??, hep-ph/??????? (1998)    C
+C                                                                C
+C      Comments to : W.J.Stirling@durham.ac.uk                   C
+C                                                                C
+C								 C
+C****************************************************************C
+      implicit real*8(a-h,o-z)
+      data xmin,xmax,qsqmin,qsqmax/1d-5,1d0,1.25d0,1d7/
+      q2=q*q
+      if(q2.lt.qsqmin.or.q2.gt.qsqmax) print 99
+      if(x.lt.xmin.or.x.gt.xmax)       print 98
+          if(mode.eq.1) then
+        call mrs98lo1(x,q2,upv,dnv,usea,dsea,str,chm,bot,glu) 
+      elseif(mode.eq.2) then
+        call mrs98lo2(x,q2,upv,dnv,usea,dsea,str,chm,bot,glu) 
+      elseif(mode.eq.3) then
+        call mrs98lo3(x,q2,upv,dnv,usea,dsea,str,chm,bot,glu) 
+      elseif(mode.eq.4) then
+        call mrs98lo4(x,q2,upv,dnv,usea,dsea,str,chm,bot,glu) 
+      elseif(mode.eq.5) then
+        call mrs98lo5(x,q2,upv,dnv,usea,dsea,str,chm,bot,glu) 
+      endif 
+  99  format('  WARNING:  Q^2 VALUE IS OUT OF RANGE   ')
+  98  format('  WARNING:   X  VALUE IS OUT OF RANGE   ')
+      return
+      end
+
+      subroutine mrs98lo1(x,qsq,upv,dnv,usea,dsea,str,chm,bot,glu)
+      implicit real*8(a-h,o-z)
+c-fabio
+      Character Tablefile*40
+      data Tablefile/'lo05a.dat'/
+      integer IU
+      common/IU/IU  !this is set in opendata.f
+c
+      parameter(nx=49,nq=37,ntenth=23,np=8)
+      real*8 f(np,nx,nq+1),qq(nq),xx(nx),g(np),n0(np)
+      data xx/1d-5,2d-5,4d-5,6d-5,8d-5,
+     .	      1d-4,2d-4,4d-4,6d-4,8d-4,
+     .	      1d-3,2d-3,4d-3,6d-3,8d-3,
+     .	      1d-2,1.4d-2,2d-2,3d-2,4d-2,6d-2,8d-2,
+     .	   .1d0,.125d0,.15d0,.175d0,.2d0,.225d0,.25d0,.275d0,
+     .	   .3d0,.325d0,.35d0,.375d0,.4d0,.425d0,.45d0,.475d0,
+     .	   .5d0,.525d0,.55d0,.575d0,.6d0,.65d0,.7d0,.75d0,
+     .	   .8d0,.9d0,1d0/
+      data qq/1.25d0,1.5d0,2d0,2.5d0,3.2d0,4d0,5d0,6.4d0,8d0,1d1,
+     .        1.2d1,1.8d1,2.6d1,4d1,6.4d1,1d2,
+     .        1.6d2,2.4d2,4d2,6.4d2,1d3,1.8d3,3.2d3,5.6d3,1d4,
+     .        1.8d4,3.2d4,5.6d4,1d5,1.8d5,3.2d5,5.6d5,1d6,
+     .        1.8d6,3.2d6,5.6d6,1d7/
+      data xmin,xmax,qsqmin,qsqmax/1d-5,1d0,1.25d0,1d7/
+      data n0/3,4,5,9,9,9,9,9/
+      data init/0/
+      save
+      xsave=x
+      q2save=qsq
+      if(init.ne.0) goto 10
+c        open(unit=1,file='Pdfdata/lo05a.dat',status='old')
+        call OpenData(Tablefile)
+        do 20 n=1,nx-1
+        do 20 m=1,nq
+        read(IU,50)f(1,n,m),f(2,n,m),f(3,n,m),f(4,n,m),
+     .		  f(5,n,m),f(7,n,m),f(6,n,m),f(8,n,m)
+c notation: 1=uval 2=val 3=glue 4=usea 5=chm 6=str 7=btm 8=dsea
+	do 25 i=1,np
+  25	 f(i,n,m)=f(i,n,m)/(1d0-xx(n))**n0(i)
+  20  continue
+      do 31 j=1,ntenth-1
+      xx(j)=dlog10(xx(j)/xx(ntenth))+xx(ntenth)
+      do 31 i=1,8
+      if(i.eq.5.or.i.eq.7) goto 31
+      do 30 k=1,nq
+  30  f(i,j,k)=dlog10(f(i,j,k)/f(i,ntenth,k))+f(i,ntenth,k)
+  31  continue
+  50  format(8f10.5)
+      do 40 i=1,np
+      do 40 m=1,nq
+  40  f(i,nx,m)=0d0
+      init=1
+  10  continue
+      if(x.lt.xmin) x=xmin
+      if(x.gt.xmax) x=xmax
+      if(qsq.lt.qsqmin)	qsq=qsqmin
+      if(qsq.gt.qsqmax)	qsq=qsqmax
+      xxx=x
+      if(x.lt.xx(ntenth)) xxx=dlog10(x/xx(ntenth))+xx(ntenth)
+      n=0
+  70  n=n+1
+      if(xxx.gt.xx(n+1)) goto 70
+      a=(xxx-xx(n))/(xx(n+1)-xx(n))
+      m=0
+  80  m=m+1
+      if(qsq.gt.qq(m+1)) goto 80
+      b=(qsq-qq(m))/(qq(m+1)-qq(m))
+      do 60 i=1,np
+      g(i)= (1d0-a)*(1d0-b)*f(i,n,m)   + (1d0-a)*b*f(i,n,m+1)
+     .	  +       a*(1d0-b)*f(i,n+1,m) +       a*b*f(i,n+1,m+1)
+      if(n.ge.ntenth) goto 65
+      if(i.eq.5.or.i.eq.7) goto 65
+	  fac=(1d0-b)*f(i,ntenth,m)+b*f(i,ntenth,m+1)
+ 	  g(i)=fac*10d0**(g(i)-fac)
+  65  continue
+      g(i)=g(i)*(1d0-x)**n0(i)
+  60  continue
+      upv=g(1)
+      dnv=g(2)
+      usea=g(4)
+      dsea=g(8)
+      str=g(6)
+      chm=g(5)
+      glu=g(3) 
+      bot=g(7)
+        x=xsave
+        qsq=q2save
+      return
+      end
+      
+      subroutine mrs98lo2(x,qsq,upv,dnv,usea,dsea,str,chm,bot,glu)
+      implicit real*8(a-h,o-z)
+c-fabio
+      Character Tablefile*40
+      data Tablefile/'lo09a.dat'/
+      integer IU
+      common/IU/IU  !this is set in opendata.f
+c
+      parameter(nx=49,nq=37,ntenth=23,np=8)
+      real*8 f(np,nx,nq+1),qq(nq),xx(nx),g(np),n0(np)
+      data xx/1d-5,2d-5,4d-5,6d-5,8d-5,
+     .	      1d-4,2d-4,4d-4,6d-4,8d-4,
+     .	      1d-3,2d-3,4d-3,6d-3,8d-3,
+     .	      1d-2,1.4d-2,2d-2,3d-2,4d-2,6d-2,8d-2,
+     .	   .1d0,.125d0,.15d0,.175d0,.2d0,.225d0,.25d0,.275d0,
+     .	   .3d0,.325d0,.35d0,.375d0,.4d0,.425d0,.45d0,.475d0,
+     .	   .5d0,.525d0,.55d0,.575d0,.6d0,.65d0,.7d0,.75d0,
+     .	   .8d0,.9d0,1d0/
+      data qq/1.25d0,1.5d0,2d0,2.5d0,3.2d0,4d0,5d0,6.4d0,8d0,1d1,
+     .        1.2d1,1.8d1,2.6d1,4d1,6.4d1,1d2,
+     .        1.6d2,2.4d2,4d2,6.4d2,1d3,1.8d3,3.2d3,5.6d3,1d4,
+     .        1.8d4,3.2d4,5.6d4,1d5,1.8d5,3.2d5,5.6d5,1d6,
+     .        1.8d6,3.2d6,5.6d6,1d7/
+      data xmin,xmax,qsqmin,qsqmax/1d-5,1d0,1.25d0,1d7/
+      data n0/3,4,5,9,9,9,9,9/
+      data init/0/
+      save
+      xsave=x
+      q2save=qsq
+      if(init.ne.0) goto 10
+c        open(unit=1,file='Pdfdata/lo09a.dat',status='old')
+        call OpenData(Tablefile)
+        do 20 n=1,nx-1
+        do 20 m=1,nq
+        read(IU,50)f(1,n,m),f(2,n,m),f(3,n,m),f(4,n,m),
+     .		  f(5,n,m),f(7,n,m),f(6,n,m),f(8,n,m)
+c notation: 1=uval 2=val 3=glue 4=usea 5=chm 6=str 7=btm 8=dsea
+	do 25 i=1,np
+  25	 f(i,n,m)=f(i,n,m)/(1d0-xx(n))**n0(i)
+  20  continue
+      do 31 j=1,ntenth-1
+      xx(j)=dlog10(xx(j)/xx(ntenth))+xx(ntenth)
+      do 31 i=1,8
+      if(i.eq.5.or.i.eq.7) goto 31
+      do 30 k=1,nq
+  30  f(i,j,k)=dlog10(f(i,j,k)/f(i,ntenth,k))+f(i,ntenth,k)
+  31  continue
+  50  format(8f10.5)
+      do 40 i=1,np
+      do 40 m=1,nq
+  40  f(i,nx,m)=0d0
+      init=1
+  10  continue
+      if(x.lt.xmin) x=xmin
+      if(x.gt.xmax) x=xmax
+      if(qsq.lt.qsqmin)	qsq=qsqmin
+      if(qsq.gt.qsqmax)	qsq=qsqmax
+      xxx=x
+      if(x.lt.xx(ntenth)) xxx=dlog10(x/xx(ntenth))+xx(ntenth)
+      n=0
+  70  n=n+1
+      if(xxx.gt.xx(n+1)) goto 70
+      a=(xxx-xx(n))/(xx(n+1)-xx(n))
+      m=0
+  80  m=m+1
+      if(qsq.gt.qq(m+1)) goto 80
+      b=(qsq-qq(m))/(qq(m+1)-qq(m))
+      do 60 i=1,np
+      g(i)= (1d0-a)*(1d0-b)*f(i,n,m)   + (1d0-a)*b*f(i,n,m+1)
+     .	  +       a*(1d0-b)*f(i,n+1,m) +       a*b*f(i,n+1,m+1)
+      if(n.ge.ntenth) goto 65
+      if(i.eq.5.or.i.eq.7) goto 65
+	  fac=(1d0-b)*f(i,ntenth,m)+b*f(i,ntenth,m+1)
+ 	  g(i)=fac*10d0**(g(i)-fac)
+  65  continue
+      g(i)=g(i)*(1d0-x)**n0(i)
+  60  continue
+      upv=g(1)
+      dnv=g(2)
+      usea=g(4)
+      dsea=g(8)
+      str=g(6)
+      chm=g(5)
+      glu=g(3) 
+      bot=g(7)
+        x=xsave
+        qsq=q2save
+      return
+      end
+      
+      subroutine mrs98lo3(x,qsq,upv,dnv,usea,dsea,str,chm,bot,glu)
+      implicit real*8(a-h,o-z)
+c-fabio
+      Character Tablefile*40
+      data Tablefile/'lo10a.dat'/
+      integer IU
+      common/IU/IU  !this is set in opendata.f
+c
+      parameter(nx=49,nq=37,ntenth=23,np=8)
+      real*8 f(np,nx,nq+1),qq(nq),xx(nx),g(np),n0(np)
+      data xx/1d-5,2d-5,4d-5,6d-5,8d-5,
+     .	      1d-4,2d-4,4d-4,6d-4,8d-4,
+     .	      1d-3,2d-3,4d-3,6d-3,8d-3,
+     .	      1d-2,1.4d-2,2d-2,3d-2,4d-2,6d-2,8d-2,
+     .	   .1d0,.125d0,.15d0,.175d0,.2d0,.225d0,.25d0,.275d0,
+     .	   .3d0,.325d0,.35d0,.375d0,.4d0,.425d0,.45d0,.475d0,
+     .	   .5d0,.525d0,.55d0,.575d0,.6d0,.65d0,.7d0,.75d0,
+     .	   .8d0,.9d0,1d0/
+      data qq/1.25d0,1.5d0,2d0,2.5d0,3.2d0,4d0,5d0,6.4d0,8d0,1d1,
+     .        1.2d1,1.8d1,2.6d1,4d1,6.4d1,1d2,
+     .        1.6d2,2.4d2,4d2,6.4d2,1d3,1.8d3,3.2d3,5.6d3,1d4,
+     .        1.8d4,3.2d4,5.6d4,1d5,1.8d5,3.2d5,5.6d5,1d6,
+     .        1.8d6,3.2d6,5.6d6,1d7/
+      data xmin,xmax,qsqmin,qsqmax/1d-5,1d0,1.25d0,1d7/
+      data n0/3,4,5,9,9,9,9,9/
+      data init/0/
+      save
+      xsave=x
+      q2save=qsq
+      if(init.ne.0) goto 10
+c        open(unit=1,file='Pdfdata/lo10a.dat',status='old')
+        call OpenData(Tablefile)
+        do 20 n=1,nx-1
+        do 20 m=1,nq
+        read(IU,50)f(1,n,m),f(2,n,m),f(3,n,m),f(4,n,m),
+     .		  f(5,n,m),f(7,n,m),f(6,n,m),f(8,n,m)
+c notation: 1=uval 2=val 3=glue 4=usea 5=chm 6=str 7=btm 8=dsea
+	do 25 i=1,np
+  25	 f(i,n,m)=f(i,n,m)/(1d0-xx(n))**n0(i)
+  20  continue
+      do 31 j=1,ntenth-1
+      xx(j)=dlog10(xx(j)/xx(ntenth))+xx(ntenth)
+      do 31 i=1,8
+      if(i.eq.5.or.i.eq.7) goto 31
+      do 30 k=1,nq
+  30  f(i,j,k)=dlog10(f(i,j,k)/f(i,ntenth,k))+f(i,ntenth,k)
+  31  continue
+  50  format(8f10.5)
+      do 40 i=1,np
+      do 40 m=1,nq
+  40  f(i,nx,m)=0d0
+      init=1
+  10  continue
+      if(x.lt.xmin) x=xmin
+      if(x.gt.xmax) x=xmax
+      if(qsq.lt.qsqmin)	qsq=qsqmin
+      if(qsq.gt.qsqmax)	qsq=qsqmax
+      xxx=x
+      if(x.lt.xx(ntenth)) xxx=dlog10(x/xx(ntenth))+xx(ntenth)
+      n=0
+  70  n=n+1
+      if(xxx.gt.xx(n+1)) goto 70
+      a=(xxx-xx(n))/(xx(n+1)-xx(n))
+      m=0
+  80  m=m+1
+      if(qsq.gt.qq(m+1)) goto 80
+      b=(qsq-qq(m))/(qq(m+1)-qq(m))
+      do 60 i=1,np
+      g(i)= (1d0-a)*(1d0-b)*f(i,n,m)   + (1d0-a)*b*f(i,n,m+1)
+     .	  +       a*(1d0-b)*f(i,n+1,m) +       a*b*f(i,n+1,m+1)
+      if(n.ge.ntenth) goto 65
+      if(i.eq.5.or.i.eq.7) goto 65
+	  fac=(1d0-b)*f(i,ntenth,m)+b*f(i,ntenth,m+1)
+ 	  g(i)=fac*10d0**(g(i)-fac)
+  65  continue
+      g(i)=g(i)*(1d0-x)**n0(i)
+  60  continue
+      upv=g(1)
+      dnv=g(2)
+      usea=g(4)
+      dsea=g(8)
+      str=g(6)
+      chm=g(5)
+      glu=g(3) 
+      bot=g(7)
+        x=xsave
+        qsq=q2save
+      return
+      end
+      
+      
+      subroutine mrs98lo4(x,qsq,upv,dnv,usea,dsea,str,chm,bot,glu)
+      implicit real*8(a-h,o-z)
+c-fabio
+      Character Tablefile*40
+      data Tablefile/'lo01a.dat'/
+      integer IU
+      common/IU/IU  !this is set in opendata.f
+c
+      parameter(nx=49,nq=37,ntenth=23,np=8)
+      real*8 f(np,nx,nq+1),qq(nq),xx(nx),g(np),n0(np)
+      data xx/1d-5,2d-5,4d-5,6d-5,8d-5,
+     .	      1d-4,2d-4,4d-4,6d-4,8d-4,
+     .	      1d-3,2d-3,4d-3,6d-3,8d-3,
+     .	      1d-2,1.4d-2,2d-2,3d-2,4d-2,6d-2,8d-2,
+     .	   .1d0,.125d0,.15d0,.175d0,.2d0,.225d0,.25d0,.275d0,
+     .	   .3d0,.325d0,.35d0,.375d0,.4d0,.425d0,.45d0,.475d0,
+     .	   .5d0,.525d0,.55d0,.575d0,.6d0,.65d0,.7d0,.75d0,
+     .	   .8d0,.9d0,1d0/
+      data qq/1.25d0,1.5d0,2d0,2.5d0,3.2d0,4d0,5d0,6.4d0,8d0,1d1,
+     .        1.2d1,1.8d1,2.6d1,4d1,6.4d1,1d2,
+     .        1.6d2,2.4d2,4d2,6.4d2,1d3,1.8d3,3.2d3,5.6d3,1d4,
+     .        1.8d4,3.2d4,5.6d4,1d5,1.8d5,3.2d5,5.6d5,1d6,
+     .        1.8d6,3.2d6,5.6d6,1d7/
+      data xmin,xmax,qsqmin,qsqmax/1d-5,1d0,1.25d0,1d7/
+      data n0/3,4,5,9,9,9,9,9/
+      data init/0/
+      save
+      xsave=x
+      q2save=qsq
+      if(init.ne.0) goto 10
+c        open(unit=1,file='Pdfdata/lo01a.dat',status='old')
+        call OpenData(Tablefile)
+        do 20 n=1,nx-1
+        do 20 m=1,nq
+        read(IU,50)f(1,n,m),f(2,n,m),f(3,n,m),f(4,n,m),
+     .		  f(5,n,m),f(7,n,m),f(6,n,m),f(8,n,m)
+c notation: 1=uval 2=val 3=glue 4=usea 5=chm 6=str 7=btm 8=dsea
+	do 25 i=1,np
+  25	 f(i,n,m)=f(i,n,m)/(1d0-xx(n))**n0(i)
+  20  continue
+      do 31 j=1,ntenth-1
+      xx(j)=dlog10(xx(j)/xx(ntenth))+xx(ntenth)
+      do 31 i=1,8
+      if(i.eq.5.or.i.eq.7) goto 31
+      do 30 k=1,nq
+  30  f(i,j,k)=dlog10(f(i,j,k)/f(i,ntenth,k))+f(i,ntenth,k)
+  31  continue
+  50  format(8f10.5)
+      do 40 i=1,np
+      do 40 m=1,nq
+  40  f(i,nx,m)=0d0
+      init=1
+  10  continue
+      if(x.lt.xmin) x=xmin
+      if(x.gt.xmax) x=xmax
+      if(qsq.lt.qsqmin)	qsq=qsqmin
+      if(qsq.gt.qsqmax)	qsq=qsqmax
+      xxx=x
+      if(x.lt.xx(ntenth)) xxx=dlog10(x/xx(ntenth))+xx(ntenth)
+      n=0
+  70  n=n+1
+      if(xxx.gt.xx(n+1)) goto 70
+      a=(xxx-xx(n))/(xx(n+1)-xx(n))
+      m=0
+  80  m=m+1
+      if(qsq.gt.qq(m+1)) goto 80
+      b=(qsq-qq(m))/(qq(m+1)-qq(m))
+      do 60 i=1,np
+      g(i)= (1d0-a)*(1d0-b)*f(i,n,m)   + (1d0-a)*b*f(i,n,m+1)
+     .	  +       a*(1d0-b)*f(i,n+1,m) +       a*b*f(i,n+1,m+1)
+      if(n.ge.ntenth) goto 65
+      if(i.eq.5.or.i.eq.7) goto 65
+	  fac=(1d0-b)*f(i,ntenth,m)+b*f(i,ntenth,m+1)
+ 	  g(i)=fac*10d0**(g(i)-fac)
+  65  continue
+      g(i)=g(i)*(1d0-x)**n0(i)
+  60  continue
+      upv=g(1)
+      dnv=g(2)
+      usea=g(4)
+      dsea=g(8)
+      str=g(6)
+      chm=g(5)
+      glu=g(3) 
+      bot=g(7)
+        x=xsave
+        qsq=q2save
+      return
+      end
+      
+      subroutine mrs98lo5(x,qsq,upv,dnv,usea,dsea,str,chm,bot,glu)
+      implicit real*8(a-h,o-z)
+c-fabio
+      Character Tablefile*40
+      data Tablefile/'lo07a.dat'/
+      integer IU
+      common/IU/IU  !this is set in opendata.f
+c
+      parameter(nx=49,nq=37,ntenth=23,np=8)
+      real*8 f(np,nx,nq+1),qq(nq),xx(nx),g(np),n0(np)
+      data xx/1d-5,2d-5,4d-5,6d-5,8d-5,
+     .	      1d-4,2d-4,4d-4,6d-4,8d-4,
+     .	      1d-3,2d-3,4d-3,6d-3,8d-3,
+     .	      1d-2,1.4d-2,2d-2,3d-2,4d-2,6d-2,8d-2,
+     .	   .1d0,.125d0,.15d0,.175d0,.2d0,.225d0,.25d0,.275d0,
+     .	   .3d0,.325d0,.35d0,.375d0,.4d0,.425d0,.45d0,.475d0,
+     .	   .5d0,.525d0,.55d0,.575d0,.6d0,.65d0,.7d0,.75d0,
+     .	   .8d0,.9d0,1d0/
+      data qq/1.25d0,1.5d0,2d0,2.5d0,3.2d0,4d0,5d0,6.4d0,8d0,1d1,
+     .        1.2d1,1.8d1,2.6d1,4d1,6.4d1,1d2,
+     .        1.6d2,2.4d2,4d2,6.4d2,1d3,1.8d3,3.2d3,5.6d3,1d4,
+     .        1.8d4,3.2d4,5.6d4,1d5,1.8d5,3.2d5,5.6d5,1d6,
+     .        1.8d6,3.2d6,5.6d6,1d7/
+      data xmin,xmax,qsqmin,qsqmax/1d-5,1d0,1.25d0,1d7/
+      data n0/3,4,5,9,9,9,9,9/
+      data init/0/
+      save
+      xsave=x
+      q2save=qsq
+      if(init.ne.0) goto 10
+c        open(unit=1,file='Pdfdata/lo07a.dat',status='old')
+        call OpenData(Tablefile)
+        do 20 n=1,nx-1
+        do 20 m=1,nq
+        read(IU,50)f(1,n,m),f(2,n,m),f(3,n,m),f(4,n,m),
+     .		  f(5,n,m),f(7,n,m),f(6,n,m),f(8,n,m)
+c notation: 1=uval 2=val 3=glue 4=usea 5=chm 6=str 7=btm 8=dsea
+	do 25 i=1,np
+  25	 f(i,n,m)=f(i,n,m)/(1d0-xx(n))**n0(i)
+  20  continue
+      do 31 j=1,ntenth-1
+      xx(j)=dlog10(xx(j)/xx(ntenth))+xx(ntenth)
+      do 31 i=1,8
+      if(i.eq.5.or.i.eq.7) goto 31
+      do 30 k=1,nq
+  30  f(i,j,k)=dlog10(f(i,j,k)/f(i,ntenth,k))+f(i,ntenth,k)
+  31  continue
+  50  format(8f10.5)
+      do 40 i=1,np
+      do 40 m=1,nq
+  40  f(i,nx,m)=0d0
+      init=1
+  10  continue
+      if(x.lt.xmin) x=xmin
+      if(x.gt.xmax) x=xmax
+      if(qsq.lt.qsqmin)	qsq=qsqmin
+      if(qsq.gt.qsqmax)	qsq=qsqmax
+      xxx=x
+      if(x.lt.xx(ntenth)) xxx=dlog10(x/xx(ntenth))+xx(ntenth)
+      n=0
+  70  n=n+1
+      if(xxx.gt.xx(n+1)) goto 70
+      a=(xxx-xx(n))/(xx(n+1)-xx(n))
+      m=0
+  80  m=m+1
+      if(qsq.gt.qq(m+1)) goto 80
+      b=(qsq-qq(m))/(qq(m+1)-qq(m))
+      do 60 i=1,np
+      g(i)= (1d0-a)*(1d0-b)*f(i,n,m)   + (1d0-a)*b*f(i,n,m+1)
+     .	  +       a*(1d0-b)*f(i,n+1,m) +       a*b*f(i,n+1,m+1)
+      if(n.ge.ntenth) goto 65
+      if(i.eq.5.or.i.eq.7) goto 65
+	  fac=(1d0-b)*f(i,ntenth,m)+b*f(i,ntenth,m+1)
+ 	  g(i)=fac*10d0**(g(i)-fac)
+  65  continue
+      g(i)=g(i)*(1d0-x)**n0(i)
+  60  continue
+      upv=g(1)
+      dnv=g(2)
+      usea=g(4)
+      dsea=g(8)
+      str=g(6)
+      chm=g(5)
+      glu=g(3) 
+      bot=g(7)
+        x=xsave
+        qsq=q2save
+      return
+      end
+

=== added file 'Template/Source/PDF/mrs99.f'
--- Template/Source/PDF/mrs99.f	1970-01-01 00:00:00 +0000
+++ Template/Source/PDF/mrs99.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,1166 @@
+      subroutine mrs99(x,q,mode,upv,dnv,usea,dsea,str,chm,bot,glu)
+C****************************************************************C
+C								 C
+C     This is a package for the new **corrected** MRST parton    C
+C     distributions. The format is similar to the previous       C
+C     (1998) MRST series.                                        C
+C								 C
+C     NOTE: 7 new sets are added here, corresponding to shifting C
+C     the small x HERA data up and down by 2.5%, and by varying  C
+C     the charm and strange distributions, and by forcing a      C
+C     larger d/u ratio at large x.                               C
+C								 C
+C     As before, x times the parton distribution is returned,    C
+C     q is the scale in GeV, MSbar factorization is assumed,     C
+C     and Lambda(MSbar,nf=4) is given below for each set.        C
+C								 C
+C     NAMING SCHEME:                                             C
+C						                 C
+C  mode  set    comment             L(4)/MeV  a_s(M_Z)  grid#1   C
+C  ----  ---    -------             --------  -------   ------   C
+C								 C
+C  1     COR01  central gluon, a_s    300      0.1175   0.00537  C
+C  2     COR02  higher gluon          300      0.1175   0.00497  C
+C  3     COR03  lower gluon           300      0.1175   0.00398  C
+C  4     COR04  lower a_s             229      0.1125   0.00585  C
+C  5     COR05  higher a_s            383      0.1225   0.00384  C
+C  6     COR06  quarks up             303.3    0.1178   0.00497  C
+C  7     COR07  quarks down           290.3    0.1171   0.00593  C
+C  8     COR08  strange up            300      0.1175   0.00524  C
+C  9     COR09  strange down          300      0.1175   0.00524  C
+C  10    C0R10  charm up              300      0.1175   0.00525  C
+C  11    COR11  charm down            300      0.1175   0.00524  C
+C  12    COR12  larger d/u            300      0.1175   0.00515  C
+C						                 C
+C      The corresponding grid files are called cor01.dat etc.    C
+C							  	 C
+C      The reference is:                                         C
+C      A.D. Martin, R.G. Roberts, W.J. Stirling, R.S Thorne      C
+C      Univ. Durham preprint DTP/99/64, hep-ph/9907231 (1999)    C
+C                                                                C
+C      Comments to : W.J.Stirling@durham.ac.uk                   C
+C                                                                C
+C								 C
+C****************************************************************C
+      implicit real*8(a-h,o-z)
+      data xmin,xmax,qsqmin,qsqmax/1d-5,1d0,1.25d0,1d7/
+      q2=q*q
+      if(q2.lt.qsqmin.or.q2.gt.qsqmax) print 99
+      if(x.lt.xmin.or.x.gt.xmax)       print 98
+          if(mode.eq.1) then
+        call mrs991(x,q2,upv,dnv,usea,dsea,str,chm,bot,glu) 
+      elseif(mode.eq.2) then
+        call mrs992(x,q2,upv,dnv,usea,dsea,str,chm,bot,glu) 
+      elseif(mode.eq.3) then
+        call mrs993(x,q2,upv,dnv,usea,dsea,str,chm,bot,glu) 
+      elseif(mode.eq.4) then
+        call mrs994(x,q2,upv,dnv,usea,dsea,str,chm,bot,glu) 
+      elseif(mode.eq.5) then
+        call mrs995(x,q2,upv,dnv,usea,dsea,str,chm,bot,glu) 
+      elseif(mode.eq.6) then
+        call mrs996(x,q2,upv,dnv,usea,dsea,str,chm,bot,glu) 
+      elseif(mode.eq.7) then
+        call mrs997(x,q2,upv,dnv,usea,dsea,str,chm,bot,glu) 
+      elseif(mode.eq.8) then
+        call mrs998(x,q2,upv,dnv,usea,dsea,str,chm,bot,glu) 
+      elseif(mode.eq.9) then
+        call mrs999(x,q2,upv,dnv,usea,dsea,str,chm,bot,glu) 
+      elseif(mode.eq.10) then
+        call mrs9910(x,q2,upv,dnv,usea,dsea,str,chm,bot,glu) 
+      elseif(mode.eq.11) then
+        call mrs9911(x,q2,upv,dnv,usea,dsea,str,chm,bot,glu) 
+      elseif(mode.eq.12) then
+        call mrs9912(x,q2,upv,dnv,usea,dsea,str,chm,bot,glu) 
+      endif 
+  99  format('  WARNING:  Q^2 VALUE IS OUT OF RANGE   ')
+  98  format('  WARNING:   X  VALUE IS OUT OF RANGE   ')
+      return
+      end
+
+      subroutine mrs991(x,qsq,upv,dnv,usea,dsea,str,chm,bot,glu)
+      implicit real*8(a-h,o-z)
+c-fabio
+      Character Tablefile*40
+      data Tablefile/'cor01.dat'/
+      integer IU
+      common/IU/IU  !this is set in opendata.f
+c
+      parameter(nx=49,nq=37,ntenth=23,np=8)
+      real*8 f(np,nx,nq+1),qq(nq),xx(nx),g(np),n0(np)
+      data xx/1d-5,2d-5,4d-5,6d-5,8d-5,
+     .	      1d-4,2d-4,4d-4,6d-4,8d-4,
+     .	      1d-3,2d-3,4d-3,6d-3,8d-3,
+     .	      1d-2,1.4d-2,2d-2,3d-2,4d-2,6d-2,8d-2,
+     .	   .1d0,.125d0,.15d0,.175d0,.2d0,.225d0,.25d0,.275d0,
+     .	   .3d0,.325d0,.35d0,.375d0,.4d0,.425d0,.45d0,.475d0,
+     .	   .5d0,.525d0,.55d0,.575d0,.6d0,.65d0,.7d0,.75d0,
+     .	   .8d0,.9d0,1d0/
+      data qq/1.25d0,1.5d0,2d0,2.5d0,3.2d0,4d0,5d0,6.4d0,8d0,1d1,
+     .        1.2d1,1.8d1,2.6d1,4d1,6.4d1,1d2,
+     .        1.6d2,2.4d2,4d2,6.4d2,1d3,1.8d3,3.2d3,5.6d3,1d4,
+     .        1.8d4,3.2d4,5.6d4,1d5,1.8d5,3.2d5,5.6d5,1d6,
+     .        1.8d6,3.2d6,5.6d6,1d7/
+      data xmin,xmax,qsqmin,qsqmax/1d-5,1d0,1.25d0,1d7/
+      data n0/3,4,5,9,9,9,9,9/
+      data init/0/
+      save
+      xsave=x
+      q2save=qsq
+      if(init.ne.0) goto 10
+c        open(unit=1,file='Pdfdata/cor01.dat',status='old')
+        call OpenData(Tablefile)
+        do 20 n=1,nx-1
+        do 20 m=1,nq
+        read(IU,50)f(1,n,m),f(2,n,m),f(3,n,m),f(4,n,m),
+     .		  f(5,n,m),f(7,n,m),f(6,n,m),f(8,n,m)
+c notation: 1=uval 2=val 3=glue 4=usea 5=chm 6=str 7=btm 8=dsea
+	do 25 i=1,np
+  25	 f(i,n,m)=f(i,n,m)/(1d0-xx(n))**n0(i)
+  20  continue
+      do 31 j=1,ntenth-1
+      xx(j)=dlog10(xx(j)/xx(ntenth))+xx(ntenth)
+      do 31 i=1,8
+      if(i.eq.5.or.i.eq.7) goto 31
+      do 30 k=1,nq
+  30  f(i,j,k)=dlog10(f(i,j,k)/f(i,ntenth,k))+f(i,ntenth,k)
+  31  continue
+  50  format(8f10.5)
+      do 40 i=1,np
+      do 40 m=1,nq
+  40  f(i,nx,m)=0d0
+      init=1
+  10  continue
+      if(x.lt.xmin) x=xmin
+      if(x.gt.xmax) x=xmax
+      if(qsq.lt.qsqmin)	qsq=qsqmin
+      if(qsq.gt.qsqmax)	qsq=qsqmax
+      xxx=x
+      if(x.lt.xx(ntenth)) xxx=dlog10(x/xx(ntenth))+xx(ntenth)
+      n=0
+  70  n=n+1
+      if(xxx.gt.xx(n+1)) goto 70
+      a=(xxx-xx(n))/(xx(n+1)-xx(n))
+      m=0
+  80  m=m+1
+      if(qsq.gt.qq(m+1)) goto 80
+      b=(qsq-qq(m))/(qq(m+1)-qq(m))
+      do 60 i=1,np
+      g(i)= (1d0-a)*(1d0-b)*f(i,n,m)   + (1d0-a)*b*f(i,n,m+1)
+     .	  +       a*(1d0-b)*f(i,n+1,m) +       a*b*f(i,n+1,m+1)
+      if(n.ge.ntenth) goto 65
+      if(i.eq.5.or.i.eq.7) goto 65
+	  fac=(1d0-b)*f(i,ntenth,m)+b*f(i,ntenth,m+1)
+ 	  g(i)=fac*10d0**(g(i)-fac)
+  65  continue
+      g(i)=g(i)*(1d0-x)**n0(i)
+  60  continue
+      upv=g(1)
+      dnv=g(2)
+      usea=g(4)
+      dsea=g(8)
+      str=g(6)
+      chm=g(5)
+      glu=g(3) 
+      bot=g(7)
+        x=xsave
+        qsq=q2save
+      return
+      end
+      
+      subroutine mrs992(x,qsq,upv,dnv,usea,dsea,str,chm,bot,glu)
+      implicit real*8(a-h,o-z)
+c-fabio
+      Character Tablefile*40
+      data Tablefile/'cor02.dat'/
+      integer IU
+      common/IU/IU  !this is set in opendata.f
+c
+      parameter(nx=49,nq=37,ntenth=23,np=8)
+      real*8 f(np,nx,nq+1),qq(nq),xx(nx),g(np),n0(np)
+      data xx/1d-5,2d-5,4d-5,6d-5,8d-5,
+     .	      1d-4,2d-4,4d-4,6d-4,8d-4,
+     .	      1d-3,2d-3,4d-3,6d-3,8d-3,
+     .	      1d-2,1.4d-2,2d-2,3d-2,4d-2,6d-2,8d-2,
+     .	   .1d0,.125d0,.15d0,.175d0,.2d0,.225d0,.25d0,.275d0,
+     .	   .3d0,.325d0,.35d0,.375d0,.4d0,.425d0,.45d0,.475d0,
+     .	   .5d0,.525d0,.55d0,.575d0,.6d0,.65d0,.7d0,.75d0,
+     .	   .8d0,.9d0,1d0/
+      data qq/1.25d0,1.5d0,2d0,2.5d0,3.2d0,4d0,5d0,6.4d0,8d0,1d1,
+     .        1.2d1,1.8d1,2.6d1,4d1,6.4d1,1d2,
+     .        1.6d2,2.4d2,4d2,6.4d2,1d3,1.8d3,3.2d3,5.6d3,1d4,
+     .        1.8d4,3.2d4,5.6d4,1d5,1.8d5,3.2d5,5.6d5,1d6,
+     .        1.8d6,3.2d6,5.6d6,1d7/
+      data xmin,xmax,qsqmin,qsqmax/1d-5,1d0,1.25d0,1d7/
+      data n0/3,4,5,9,9,9,9,9/
+      data init/0/
+      save
+      xsave=x
+      q2save=qsq
+      if(init.ne.0) goto 10
+c        open(unit=1,file='Pdfdata/cor02.dat',status='old')
+        call OpenData(Tablefile)
+        do 20 n=1,nx-1
+        do 20 m=1,nq
+        read(IU,50)f(1,n,m),f(2,n,m),f(3,n,m),f(4,n,m),
+     .		  f(5,n,m),f(7,n,m),f(6,n,m),f(8,n,m)
+c notation: 1=uval 2=val 3=glue 4=usea 5=chm 6=str 7=btm 8=dsea
+	do 25 i=1,np
+  25	 f(i,n,m)=f(i,n,m)/(1d0-xx(n))**n0(i)
+  20  continue
+      do 31 j=1,ntenth-1
+      xx(j)=dlog10(xx(j)/xx(ntenth))+xx(ntenth)
+      do 31 i=1,8
+      if(i.eq.5.or.i.eq.7) goto 31
+      do 30 k=1,nq
+  30  f(i,j,k)=dlog10(f(i,j,k)/f(i,ntenth,k))+f(i,ntenth,k)
+  31  continue
+  50  format(8f10.5)
+      do 40 i=1,np
+      do 40 m=1,nq
+  40  f(i,nx,m)=0d0
+      init=1
+  10  continue
+      if(x.lt.xmin) x=xmin
+      if(x.gt.xmax) x=xmax
+      if(qsq.lt.qsqmin)	qsq=qsqmin
+      if(qsq.gt.qsqmax)	qsq=qsqmax
+      xxx=x
+      if(x.lt.xx(ntenth)) xxx=dlog10(x/xx(ntenth))+xx(ntenth)
+      n=0
+  70  n=n+1
+      if(xxx.gt.xx(n+1)) goto 70
+      a=(xxx-xx(n))/(xx(n+1)-xx(n))
+      m=0
+  80  m=m+1
+      if(qsq.gt.qq(m+1)) goto 80
+      b=(qsq-qq(m))/(qq(m+1)-qq(m))
+      do 60 i=1,np
+      g(i)= (1d0-a)*(1d0-b)*f(i,n,m)   + (1d0-a)*b*f(i,n,m+1)
+     .	  +       a*(1d0-b)*f(i,n+1,m) +       a*b*f(i,n+1,m+1)
+      if(n.ge.ntenth) goto 65
+      if(i.eq.5.or.i.eq.7) goto 65
+	  fac=(1d0-b)*f(i,ntenth,m)+b*f(i,ntenth,m+1)
+ 	  g(i)=fac*10d0**(g(i)-fac)
+  65  continue
+      g(i)=g(i)*(1d0-x)**n0(i)
+  60  continue
+      upv=g(1)
+      dnv=g(2)
+      usea=g(4)
+      dsea=g(8)
+      str=g(6)
+      chm=g(5)
+      glu=g(3) 
+      bot=g(7)
+        x=xsave
+        qsq=q2save
+      return
+      end
+      
+      subroutine mrs993(x,qsq,upv,dnv,usea,dsea,str,chm,bot,glu)
+      implicit real*8(a-h,o-z)
+c-fabio
+      Character Tablefile*40
+      data Tablefile/'cor03.dat'/
+      integer IU
+      common/IU/IU  !this is set in opendata.f
+c
+      parameter(nx=49,nq=37,ntenth=23,np=8)
+      real*8 f(np,nx,nq+1),qq(nq),xx(nx),g(np),n0(np)
+      data xx/1d-5,2d-5,4d-5,6d-5,8d-5,
+     .	      1d-4,2d-4,4d-4,6d-4,8d-4,
+     .	      1d-3,2d-3,4d-3,6d-3,8d-3,
+     .	      1d-2,1.4d-2,2d-2,3d-2,4d-2,6d-2,8d-2,
+     .	   .1d0,.125d0,.15d0,.175d0,.2d0,.225d0,.25d0,.275d0,
+     .	   .3d0,.325d0,.35d0,.375d0,.4d0,.425d0,.45d0,.475d0,
+     .	   .5d0,.525d0,.55d0,.575d0,.6d0,.65d0,.7d0,.75d0,
+     .	   .8d0,.9d0,1d0/
+      data qq/1.25d0,1.5d0,2d0,2.5d0,3.2d0,4d0,5d0,6.4d0,8d0,1d1,
+     .        1.2d1,1.8d1,2.6d1,4d1,6.4d1,1d2,
+     .        1.6d2,2.4d2,4d2,6.4d2,1d3,1.8d3,3.2d3,5.6d3,1d4,
+     .        1.8d4,3.2d4,5.6d4,1d5,1.8d5,3.2d5,5.6d5,1d6,
+     .        1.8d6,3.2d6,5.6d6,1d7/
+      data xmin,xmax,qsqmin,qsqmax/1d-5,1d0,1.25d0,1d7/
+      data n0/3,4,5,9,9,9,9,9/
+      data init/0/
+      save
+      xsave=x
+      q2save=qsq
+      if(init.ne.0) goto 10
+c        open(unit=1,file='Pdfdata/cor03.dat',status='old')
+        call OpenData(Tablefile)
+        do 20 n=1,nx-1
+        do 20 m=1,nq
+        read(IU,50)f(1,n,m),f(2,n,m),f(3,n,m),f(4,n,m),
+     .		  f(5,n,m),f(7,n,m),f(6,n,m),f(8,n,m)
+c notation: 1=uval 2=val 3=glue 4=usea 5=chm 6=str 7=btm 8=dsea
+	do 25 i=1,np
+  25	 f(i,n,m)=f(i,n,m)/(1d0-xx(n))**n0(i)
+  20  continue
+      do 31 j=1,ntenth-1
+      xx(j)=dlog10(xx(j)/xx(ntenth))+xx(ntenth)
+      do 31 i=1,8
+      if(i.eq.5.or.i.eq.7) goto 31
+      do 30 k=1,nq
+  30  f(i,j,k)=dlog10(f(i,j,k)/f(i,ntenth,k))+f(i,ntenth,k)
+  31  continue
+  50  format(8f10.5)
+      do 40 i=1,np
+      do 40 m=1,nq
+  40  f(i,nx,m)=0d0
+      init=1
+  10  continue
+      if(x.lt.xmin) x=xmin
+      if(x.gt.xmax) x=xmax
+      if(qsq.lt.qsqmin)	qsq=qsqmin
+      if(qsq.gt.qsqmax)	qsq=qsqmax
+      xxx=x
+      if(x.lt.xx(ntenth)) xxx=dlog10(x/xx(ntenth))+xx(ntenth)
+      n=0
+  70  n=n+1
+      if(xxx.gt.xx(n+1)) goto 70
+      a=(xxx-xx(n))/(xx(n+1)-xx(n))
+      m=0
+  80  m=m+1
+      if(qsq.gt.qq(m+1)) goto 80
+      b=(qsq-qq(m))/(qq(m+1)-qq(m))
+      do 60 i=1,np
+      g(i)= (1d0-a)*(1d0-b)*f(i,n,m)   + (1d0-a)*b*f(i,n,m+1)
+     .	  +       a*(1d0-b)*f(i,n+1,m) +       a*b*f(i,n+1,m+1)
+      if(n.ge.ntenth) goto 65
+      if(i.eq.5.or.i.eq.7) goto 65
+	  fac=(1d0-b)*f(i,ntenth,m)+b*f(i,ntenth,m+1)
+ 	  g(i)=fac*10d0**(g(i)-fac)
+  65  continue
+      g(i)=g(i)*(1d0-x)**n0(i)
+  60  continue
+      upv=g(1)
+      dnv=g(2)
+      usea=g(4)
+      dsea=g(8)
+      str=g(6)
+      chm=g(5)
+      glu=g(3) 
+      bot=g(7)
+        x=xsave
+        qsq=q2save
+      return
+      end
+      
+      
+      subroutine mrs994(x,qsq,upv,dnv,usea,dsea,str,chm,bot,glu)
+      implicit real*8(a-h,o-z)
+c-fabio
+      Character Tablefile*40
+      data Tablefile/'cor04.dat'/
+      integer IU
+      common/IU/IU  !this is set in opendata.f
+c
+      parameter(nx=49,nq=37,ntenth=23,np=8)
+      real*8 f(np,nx,nq+1),qq(nq),xx(nx),g(np),n0(np)
+      data xx/1d-5,2d-5,4d-5,6d-5,8d-5,
+     .	      1d-4,2d-4,4d-4,6d-4,8d-4,
+     .	      1d-3,2d-3,4d-3,6d-3,8d-3,
+     .	      1d-2,1.4d-2,2d-2,3d-2,4d-2,6d-2,8d-2,
+     .	   .1d0,.125d0,.15d0,.175d0,.2d0,.225d0,.25d0,.275d0,
+     .	   .3d0,.325d0,.35d0,.375d0,.4d0,.425d0,.45d0,.475d0,
+     .	   .5d0,.525d0,.55d0,.575d0,.6d0,.65d0,.7d0,.75d0,
+     .	   .8d0,.9d0,1d0/
+      data qq/1.25d0,1.5d0,2d0,2.5d0,3.2d0,4d0,5d0,6.4d0,8d0,1d1,
+     .        1.2d1,1.8d1,2.6d1,4d1,6.4d1,1d2,
+     .        1.6d2,2.4d2,4d2,6.4d2,1d3,1.8d3,3.2d3,5.6d3,1d4,
+     .        1.8d4,3.2d4,5.6d4,1d5,1.8d5,3.2d5,5.6d5,1d6,
+     .        1.8d6,3.2d6,5.6d6,1d7/
+      data xmin,xmax,qsqmin,qsqmax/1d-5,1d0,1.25d0,1d7/
+      data n0/3,4,5,9,9,9,9,9/
+      data init/0/
+      save
+      xsave=x
+      q2save=qsq
+      if(init.ne.0) goto 10
+c        open(unit=1,file='Pdfdata/cor04.dat',status='old')
+        call OpenData(Tablefile)
+        do 20 n=1,nx-1
+        do 20 m=1,nq
+        read(IU,50)f(1,n,m),f(2,n,m),f(3,n,m),f(4,n,m),
+     .		  f(5,n,m),f(7,n,m),f(6,n,m),f(8,n,m)
+c notation: 1=uval 2=val 3=glue 4=usea 5=chm 6=str 7=btm 8=dsea
+	do 25 i=1,np
+  25	 f(i,n,m)=f(i,n,m)/(1d0-xx(n))**n0(i)
+  20  continue
+      do 31 j=1,ntenth-1
+      xx(j)=dlog10(xx(j)/xx(ntenth))+xx(ntenth)
+      do 31 i=1,8
+      if(i.eq.5.or.i.eq.7) goto 31
+      do 30 k=1,nq
+  30  f(i,j,k)=dlog10(f(i,j,k)/f(i,ntenth,k))+f(i,ntenth,k)
+  31  continue
+  50  format(8f10.5)
+      do 40 i=1,np
+      do 40 m=1,nq
+  40  f(i,nx,m)=0d0
+      init=1
+  10  continue
+      if(x.lt.xmin) x=xmin
+      if(x.gt.xmax) x=xmax
+      if(qsq.lt.qsqmin)	qsq=qsqmin
+      if(qsq.gt.qsqmax)	qsq=qsqmax
+      xxx=x
+      if(x.lt.xx(ntenth)) xxx=dlog10(x/xx(ntenth))+xx(ntenth)
+      n=0
+  70  n=n+1
+      if(xxx.gt.xx(n+1)) goto 70
+      a=(xxx-xx(n))/(xx(n+1)-xx(n))
+      m=0
+  80  m=m+1
+      if(qsq.gt.qq(m+1)) goto 80
+      b=(qsq-qq(m))/(qq(m+1)-qq(m))
+      do 60 i=1,np
+      g(i)= (1d0-a)*(1d0-b)*f(i,n,m)   + (1d0-a)*b*f(i,n,m+1)
+     .	  +       a*(1d0-b)*f(i,n+1,m) +       a*b*f(i,n+1,m+1)
+      if(n.ge.ntenth) goto 65
+      if(i.eq.5.or.i.eq.7) goto 65
+	  fac=(1d0-b)*f(i,ntenth,m)+b*f(i,ntenth,m+1)
+ 	  g(i)=fac*10d0**(g(i)-fac)
+  65  continue
+      g(i)=g(i)*(1d0-x)**n0(i)
+  60  continue
+      upv=g(1)
+      dnv=g(2)
+      usea=g(4)
+      dsea=g(8)
+      str=g(6)
+      chm=g(5)
+      glu=g(3) 
+      bot=g(7)
+        x=xsave
+        qsq=q2save
+      return
+      end
+      
+      subroutine mrs995(x,qsq,upv,dnv,usea,dsea,str,chm,bot,glu)
+      implicit real*8(a-h,o-z)
+c-fabio
+      Character Tablefile*40
+      data Tablefile/'cor05.dat'/
+      integer IU
+      common/IU/IU  !this is set in opendata.f
+c
+      parameter(nx=49,nq=37,ntenth=23,np=8)
+      real*8 f(np,nx,nq+1),qq(nq),xx(nx),g(np),n0(np)
+      data xx/1d-5,2d-5,4d-5,6d-5,8d-5,
+     .	      1d-4,2d-4,4d-4,6d-4,8d-4,
+     .	      1d-3,2d-3,4d-3,6d-3,8d-3,
+     .	      1d-2,1.4d-2,2d-2,3d-2,4d-2,6d-2,8d-2,
+     .	   .1d0,.125d0,.15d0,.175d0,.2d0,.225d0,.25d0,.275d0,
+     .	   .3d0,.325d0,.35d0,.375d0,.4d0,.425d0,.45d0,.475d0,
+     .	   .5d0,.525d0,.55d0,.575d0,.6d0,.65d0,.7d0,.75d0,
+     .	   .8d0,.9d0,1d0/
+      data qq/1.25d0,1.5d0,2d0,2.5d0,3.2d0,4d0,5d0,6.4d0,8d0,1d1,
+     .        1.2d1,1.8d1,2.6d1,4d1,6.4d1,1d2,
+     .        1.6d2,2.4d2,4d2,6.4d2,1d3,1.8d3,3.2d3,5.6d3,1d4,
+     .        1.8d4,3.2d4,5.6d4,1d5,1.8d5,3.2d5,5.6d5,1d6,
+     .        1.8d6,3.2d6,5.6d6,1d7/
+      data xmin,xmax,qsqmin,qsqmax/1d-5,1d0,1.25d0,1d7/
+      data n0/3,4,5,9,9,9,9,9/
+      data init/0/
+      save
+      xsave=x
+      q2save=qsq
+      if(init.ne.0) goto 10
+c        open(unit=1,file='Pdfdata/cor05.dat',status='old')
+        call OpenData(Tablefile)
+        do 20 n=1,nx-1
+        do 20 m=1,nq
+        read(IU,50)f(1,n,m),f(2,n,m),f(3,n,m),f(4,n,m),
+     .		  f(5,n,m),f(7,n,m),f(6,n,m),f(8,n,m)
+c notation: 1=uval 2=val 3=glue 4=usea 5=chm 6=str 7=btm 8=dsea
+	do 25 i=1,np
+  25	 f(i,n,m)=f(i,n,m)/(1d0-xx(n))**n0(i)
+  20  continue
+      do 31 j=1,ntenth-1
+      xx(j)=dlog10(xx(j)/xx(ntenth))+xx(ntenth)
+      do 31 i=1,8
+      if(i.eq.5.or.i.eq.7) goto 31
+      do 30 k=1,nq
+  30  f(i,j,k)=dlog10(f(i,j,k)/f(i,ntenth,k))+f(i,ntenth,k)
+  31  continue
+  50  format(8f10.5)
+      do 40 i=1,np
+      do 40 m=1,nq
+  40  f(i,nx,m)=0d0
+      init=1
+  10  continue
+      if(x.lt.xmin) x=xmin
+      if(x.gt.xmax) x=xmax
+      if(qsq.lt.qsqmin)	qsq=qsqmin
+      if(qsq.gt.qsqmax)	qsq=qsqmax
+      xxx=x
+      if(x.lt.xx(ntenth)) xxx=dlog10(x/xx(ntenth))+xx(ntenth)
+      n=0
+  70  n=n+1
+      if(xxx.gt.xx(n+1)) goto 70
+      a=(xxx-xx(n))/(xx(n+1)-xx(n))
+      m=0
+  80  m=m+1
+      if(qsq.gt.qq(m+1)) goto 80
+      b=(qsq-qq(m))/(qq(m+1)-qq(m))
+      do 60 i=1,np
+      g(i)= (1d0-a)*(1d0-b)*f(i,n,m)   + (1d0-a)*b*f(i,n,m+1)
+     .	  +       a*(1d0-b)*f(i,n+1,m) +       a*b*f(i,n+1,m+1)
+      if(n.ge.ntenth) goto 65
+      if(i.eq.5.or.i.eq.7) goto 65
+	  fac=(1d0-b)*f(i,ntenth,m)+b*f(i,ntenth,m+1)
+ 	  g(i)=fac*10d0**(g(i)-fac)
+  65  continue
+      g(i)=g(i)*(1d0-x)**n0(i)
+  60  continue
+      upv=g(1)
+      dnv=g(2)
+      usea=g(4)
+      dsea=g(8)
+      str=g(6)
+      chm=g(5)
+      glu=g(3) 
+      bot=g(7)
+        x=xsave
+        qsq=q2save
+      return
+      end
+      
+
+      subroutine mrs996(x,qsq,upv,dnv,usea,dsea,str,chm,bot,glu)
+      implicit real*8(a-h,o-z)
+c-fabio
+      Character Tablefile*40
+      data Tablefile/'cor06.dat'/
+      integer IU
+      common/IU/IU  !this is set in opendata.f
+c
+      parameter(nx=49,nq=37,ntenth=23,np=8)
+      real*8 f(np,nx,nq+1),qq(nq),xx(nx),g(np),n0(np)
+      data xx/1d-5,2d-5,4d-5,6d-5,8d-5,
+     .	      1d-4,2d-4,4d-4,6d-4,8d-4,
+     .	      1d-3,2d-3,4d-3,6d-3,8d-3,
+     .	      1d-2,1.4d-2,2d-2,3d-2,4d-2,6d-2,8d-2,
+     .	   .1d0,.125d0,.15d0,.175d0,.2d0,.225d0,.25d0,.275d0,
+     .	   .3d0,.325d0,.35d0,.375d0,.4d0,.425d0,.45d0,.475d0,
+     .	   .5d0,.525d0,.55d0,.575d0,.6d0,.65d0,.7d0,.75d0,
+     .	   .8d0,.9d0,1d0/
+      data qq/1.25d0,1.5d0,2d0,2.5d0,3.2d0,4d0,5d0,6.4d0,8d0,1d1,
+     .        1.2d1,1.8d1,2.6d1,4d1,6.4d1,1d2,
+     .        1.6d2,2.4d2,4d2,6.4d2,1d3,1.8d3,3.2d3,5.6d3,1d4,
+     .        1.8d4,3.2d4,5.6d4,1d5,1.8d5,3.2d5,5.6d5,1d6,
+     .        1.8d6,3.2d6,5.6d6,1d7/
+      data xmin,xmax,qsqmin,qsqmax/1d-5,1d0,1.25d0,1d7/
+      data n0/3,4,5,9,9,9,9,9/
+      data init/0/
+      save
+      xsave=x
+      q2save=qsq
+      if(init.ne.0) goto 10
+c        open(unit=1,file='Pdfdata/cor06.dat',status='old')
+        call OpenData(Tablefile)
+        do 20 n=1,nx-1
+        do 20 m=1,nq
+        read(IU,50)f(1,n,m),f(2,n,m),f(3,n,m),f(4,n,m),
+     .		  f(5,n,m),f(7,n,m),f(6,n,m),f(8,n,m)
+c notation: 1=uval 2=val 3=glue 4=usea 5=chm 6=str 7=btm 8=dsea
+	do 25 i=1,np
+  25	 f(i,n,m)=f(i,n,m)/(1d0-xx(n))**n0(i)
+  20  continue
+      do 31 j=1,ntenth-1
+      xx(j)=dlog10(xx(j)/xx(ntenth))+xx(ntenth)
+      do 31 i=1,8
+      if(i.eq.5.or.i.eq.7) goto 31
+      do 30 k=1,nq
+  30  f(i,j,k)=dlog10(f(i,j,k)/f(i,ntenth,k))+f(i,ntenth,k)
+  31  continue
+  50  format(8f10.5)
+      do 40 i=1,np
+      do 40 m=1,nq
+  40  f(i,nx,m)=0d0
+      init=1
+  10  continue
+      if(x.lt.xmin) x=xmin
+      if(x.gt.xmax) x=xmax
+      if(qsq.lt.qsqmin)	qsq=qsqmin
+      if(qsq.gt.qsqmax)	qsq=qsqmax
+      xxx=x
+      if(x.lt.xx(ntenth)) xxx=dlog10(x/xx(ntenth))+xx(ntenth)
+      n=0
+  70  n=n+1
+      if(xxx.gt.xx(n+1)) goto 70
+      a=(xxx-xx(n))/(xx(n+1)-xx(n))
+      m=0
+  80  m=m+1
+      if(qsq.gt.qq(m+1)) goto 80
+      b=(qsq-qq(m))/(qq(m+1)-qq(m))
+      do 60 i=1,np
+      g(i)= (1d0-a)*(1d0-b)*f(i,n,m)   + (1d0-a)*b*f(i,n,m+1)
+     .	  +       a*(1d0-b)*f(i,n+1,m) +       a*b*f(i,n+1,m+1)
+      if(n.ge.ntenth) goto 65
+      if(i.eq.5.or.i.eq.7) goto 65
+	  fac=(1d0-b)*f(i,ntenth,m)+b*f(i,ntenth,m+1)
+ 	  g(i)=fac*10d0**(g(i)-fac)
+  65  continue
+      g(i)=g(i)*(1d0-x)**n0(i)
+  60  continue
+      upv=g(1)
+      dnv=g(2)
+      usea=g(4)
+      dsea=g(8)
+      str=g(6)
+      chm=g(5)
+      glu=g(3) 
+      bot=g(7)
+        x=xsave
+        qsq=q2save
+      return
+      end
+      
+      subroutine mrs997(x,qsq,upv,dnv,usea,dsea,str,chm,bot,glu)
+      implicit real*8(a-h,o-z)
+c-fabio
+      Character Tablefile*40
+      data Tablefile/'cor07.dat'/
+      integer IU
+      common/IU/IU  !this is set in opendata.f
+c
+      parameter(nx=49,nq=37,ntenth=23,np=8)
+      real*8 f(np,nx,nq+1),qq(nq),xx(nx),g(np),n0(np)
+      data xx/1d-5,2d-5,4d-5,6d-5,8d-5,
+     .	      1d-4,2d-4,4d-4,6d-4,8d-4,
+     .	      1d-3,2d-3,4d-3,6d-3,8d-3,
+     .	      1d-2,1.4d-2,2d-2,3d-2,4d-2,6d-2,8d-2,
+     .	   .1d0,.125d0,.15d0,.175d0,.2d0,.225d0,.25d0,.275d0,
+     .	   .3d0,.325d0,.35d0,.375d0,.4d0,.425d0,.45d0,.475d0,
+     .	   .5d0,.525d0,.55d0,.575d0,.6d0,.65d0,.7d0,.75d0,
+     .	   .8d0,.9d0,1d0/
+      data qq/1.25d0,1.5d0,2d0,2.5d0,3.2d0,4d0,5d0,6.4d0,8d0,1d1,
+     .        1.2d1,1.8d1,2.6d1,4d1,6.4d1,1d2,
+     .        1.6d2,2.4d2,4d2,6.4d2,1d3,1.8d3,3.2d3,5.6d3,1d4,
+     .        1.8d4,3.2d4,5.6d4,1d5,1.8d5,3.2d5,5.6d5,1d6,
+     .        1.8d6,3.2d6,5.6d6,1d7/
+      data xmin,xmax,qsqmin,qsqmax/1d-5,1d0,1.25d0,1d7/
+      data n0/3,4,5,9,9,9,9,9/
+      data init/0/
+      save
+      xsave=x
+      q2save=qsq
+      if(init.ne.0) goto 10
+c        open(unit=1,file='Pdfdata/cor07.dat',status='old')
+        call OpenData(Tablefile)
+        do 20 n=1,nx-1
+        do 20 m=1,nq
+        read(IU,50)f(1,n,m),f(2,n,m),f(3,n,m),f(4,n,m),
+     .		  f(5,n,m),f(7,n,m),f(6,n,m),f(8,n,m)
+c notation: 1=uval 2=val 3=glue 4=usea 5=chm 6=str 7=btm 8=dsea
+	do 25 i=1,np
+  25	 f(i,n,m)=f(i,n,m)/(1d0-xx(n))**n0(i)
+  20  continue
+      do 31 j=1,ntenth-1
+      xx(j)=dlog10(xx(j)/xx(ntenth))+xx(ntenth)
+      do 31 i=1,8
+      if(i.eq.5.or.i.eq.7) goto 31
+      do 30 k=1,nq
+  30  f(i,j,k)=dlog10(f(i,j,k)/f(i,ntenth,k))+f(i,ntenth,k)
+  31  continue
+  50  format(8f10.5)
+      do 40 i=1,np
+      do 40 m=1,nq
+  40  f(i,nx,m)=0d0
+      init=1
+  10  continue
+      if(x.lt.xmin) x=xmin
+      if(x.gt.xmax) x=xmax
+      if(qsq.lt.qsqmin)	qsq=qsqmin
+      if(qsq.gt.qsqmax)	qsq=qsqmax
+      xxx=x
+      if(x.lt.xx(ntenth)) xxx=dlog10(x/xx(ntenth))+xx(ntenth)
+      n=0
+  70  n=n+1
+      if(xxx.gt.xx(n+1)) goto 70
+      a=(xxx-xx(n))/(xx(n+1)-xx(n))
+      m=0
+  80  m=m+1
+      if(qsq.gt.qq(m+1)) goto 80
+      b=(qsq-qq(m))/(qq(m+1)-qq(m))
+      do 60 i=1,np
+      g(i)= (1d0-a)*(1d0-b)*f(i,n,m)   + (1d0-a)*b*f(i,n,m+1)
+     .	  +       a*(1d0-b)*f(i,n+1,m) +       a*b*f(i,n+1,m+1)
+      if(n.ge.ntenth) goto 65
+      if(i.eq.5.or.i.eq.7) goto 65
+	  fac=(1d0-b)*f(i,ntenth,m)+b*f(i,ntenth,m+1)
+ 	  g(i)=fac*10d0**(g(i)-fac)
+  65  continue
+      g(i)=g(i)*(1d0-x)**n0(i)
+  60  continue
+      upv=g(1)
+      dnv=g(2)
+      usea=g(4)
+      dsea=g(8)
+      str=g(6)
+      chm=g(5)
+      glu=g(3) 
+      bot=g(7)
+        x=xsave
+        qsq=q2save
+      return
+      end
+      
+
+
+      subroutine mrs998(x,qsq,upv,dnv,usea,dsea,str,chm,bot,glu)
+      implicit real*8(a-h,o-z)
+c-fabio
+      Character Tablefile*40
+      data Tablefile/'cor08.dat'/
+      integer IU
+      common/IU/IU  !this is set in opendata.f
+c
+      parameter(nx=49,nq=37,ntenth=23,np=8)
+      real*8 f(np,nx,nq+1),qq(nq),xx(nx),g(np),n0(np)
+      data xx/1d-5,2d-5,4d-5,6d-5,8d-5,
+     .	      1d-4,2d-4,4d-4,6d-4,8d-4,
+     .	      1d-3,2d-3,4d-3,6d-3,8d-3,
+     .	      1d-2,1.4d-2,2d-2,3d-2,4d-2,6d-2,8d-2,
+     .	   .1d0,.125d0,.15d0,.175d0,.2d0,.225d0,.25d0,.275d0,
+     .	   .3d0,.325d0,.35d0,.375d0,.4d0,.425d0,.45d0,.475d0,
+     .	   .5d0,.525d0,.55d0,.575d0,.6d0,.65d0,.7d0,.75d0,
+     .	   .8d0,.9d0,1d0/
+      data qq/1.25d0,1.5d0,2d0,2.5d0,3.2d0,4d0,5d0,6.4d0,8d0,1d1,
+     .        1.2d1,1.8d1,2.6d1,4d1,6.4d1,1d2,
+     .        1.6d2,2.4d2,4d2,6.4d2,1d3,1.8d3,3.2d3,5.6d3,1d4,
+     .        1.8d4,3.2d4,5.6d4,1d5,1.8d5,3.2d5,5.6d5,1d6,
+     .        1.8d6,3.2d6,5.6d6,1d7/
+      data xmin,xmax,qsqmin,qsqmax/1d-5,1d0,1.25d0,1d7/
+      data n0/3,4,5,9,9,9,9,9/
+      data init/0/
+      save
+      xsave=x
+      q2save=qsq
+      if(init.ne.0) goto 10
+c        open(unit=1,file='Pdfdata/cor08.dat',status='old')
+        call OpenData(Tablefile)
+        do 20 n=1,nx-1
+        do 20 m=1,nq
+        read(IU,50)f(1,n,m),f(2,n,m),f(3,n,m),f(4,n,m),
+     .		  f(5,n,m),f(7,n,m),f(6,n,m),f(8,n,m)
+c notation: 1=uval 2=val 3=glue 4=usea 5=chm 6=str 7=btm 8=dsea
+	do 25 i=1,np
+  25	 f(i,n,m)=f(i,n,m)/(1d0-xx(n))**n0(i)
+  20  continue
+      do 31 j=1,ntenth-1
+      xx(j)=dlog10(xx(j)/xx(ntenth))+xx(ntenth)
+      do 31 i=1,8
+      if(i.eq.5.or.i.eq.7) goto 31
+      do 30 k=1,nq
+  30  f(i,j,k)=dlog10(f(i,j,k)/f(i,ntenth,k))+f(i,ntenth,k)
+  31  continue
+  50  format(8f10.5)
+      do 40 i=1,np
+      do 40 m=1,nq
+  40  f(i,nx,m)=0d0
+      init=1
+  10  continue
+      if(x.lt.xmin) x=xmin
+      if(x.gt.xmax) x=xmax
+      if(qsq.lt.qsqmin)	qsq=qsqmin
+      if(qsq.gt.qsqmax)	qsq=qsqmax
+      xxx=x
+      if(x.lt.xx(ntenth)) xxx=dlog10(x/xx(ntenth))+xx(ntenth)
+      n=0
+  70  n=n+1
+      if(xxx.gt.xx(n+1)) goto 70
+      a=(xxx-xx(n))/(xx(n+1)-xx(n))
+      m=0
+  80  m=m+1
+      if(qsq.gt.qq(m+1)) goto 80
+      b=(qsq-qq(m))/(qq(m+1)-qq(m))
+      do 60 i=1,np
+      g(i)= (1d0-a)*(1d0-b)*f(i,n,m)   + (1d0-a)*b*f(i,n,m+1)
+     .	  +       a*(1d0-b)*f(i,n+1,m) +       a*b*f(i,n+1,m+1)
+      if(n.ge.ntenth) goto 65
+      if(i.eq.5.or.i.eq.7) goto 65
+	  fac=(1d0-b)*f(i,ntenth,m)+b*f(i,ntenth,m+1)
+ 	  g(i)=fac*10d0**(g(i)-fac)
+  65  continue
+      g(i)=g(i)*(1d0-x)**n0(i)
+  60  continue
+      upv=g(1)
+      dnv=g(2)
+      usea=g(4)
+      dsea=g(8)
+      str=g(6)
+      chm=g(5)
+      glu=g(3) 
+      bot=g(7)
+        x=xsave
+        qsq=q2save
+      return
+      end
+      
+      subroutine mrs999(x,qsq,upv,dnv,usea,dsea,str,chm,bot,glu)
+      implicit real*8(a-h,o-z)
+c-fabio
+      Character Tablefile*40
+      data Tablefile/'cor09.dat'/
+      integer IU
+      common/IU/IU  !this is set in opendata.f
+c
+      parameter(nx=49,nq=37,ntenth=23,np=8)
+      real*8 f(np,nx,nq+1),qq(nq),xx(nx),g(np),n0(np)
+      data xx/1d-5,2d-5,4d-5,6d-5,8d-5,
+     .	      1d-4,2d-4,4d-4,6d-4,8d-4,
+     .	      1d-3,2d-3,4d-3,6d-3,8d-3,
+     .	      1d-2,1.4d-2,2d-2,3d-2,4d-2,6d-2,8d-2,
+     .	   .1d0,.125d0,.15d0,.175d0,.2d0,.225d0,.25d0,.275d0,
+     .	   .3d0,.325d0,.35d0,.375d0,.4d0,.425d0,.45d0,.475d0,
+     .	   .5d0,.525d0,.55d0,.575d0,.6d0,.65d0,.7d0,.75d0,
+     .	   .8d0,.9d0,1d0/
+      data qq/1.25d0,1.5d0,2d0,2.5d0,3.2d0,4d0,5d0,6.4d0,8d0,1d1,
+     .        1.2d1,1.8d1,2.6d1,4d1,6.4d1,1d2,
+     .        1.6d2,2.4d2,4d2,6.4d2,1d3,1.8d3,3.2d3,5.6d3,1d4,
+     .        1.8d4,3.2d4,5.6d4,1d5,1.8d5,3.2d5,5.6d5,1d6,
+     .        1.8d6,3.2d6,5.6d6,1d7/
+      data xmin,xmax,qsqmin,qsqmax/1d-5,1d0,1.25d0,1d7/
+      data n0/3,4,5,9,9,9,9,9/
+      data init/0/
+      save
+      xsave=x
+      q2save=qsq
+      if(init.ne.0) goto 10
+c        open(unit=1,file='Pdfdata/cor09.dat',status='old')
+        call OpenData(Tablefile)
+        do 20 n=1,nx-1
+        do 20 m=1,nq
+        read(IU,50)f(1,n,m),f(2,n,m),f(3,n,m),f(4,n,m),
+     .		  f(5,n,m),f(7,n,m),f(6,n,m),f(8,n,m)
+c notation: 1=uval 2=val 3=glue 4=usea 5=chm 6=str 7=btm 8=dsea
+	do 25 i=1,np
+  25	 f(i,n,m)=f(i,n,m)/(1d0-xx(n))**n0(i)
+  20  continue
+      do 31 j=1,ntenth-1
+      xx(j)=dlog10(xx(j)/xx(ntenth))+xx(ntenth)
+      do 31 i=1,8
+      if(i.eq.5.or.i.eq.7) goto 31
+      do 30 k=1,nq
+  30  f(i,j,k)=dlog10(f(i,j,k)/f(i,ntenth,k))+f(i,ntenth,k)
+  31  continue
+  50  format(8f10.5)
+      do 40 i=1,np
+      do 40 m=1,nq
+  40  f(i,nx,m)=0d0
+      init=1
+  10  continue
+      if(x.lt.xmin) x=xmin
+      if(x.gt.xmax) x=xmax
+      if(qsq.lt.qsqmin)	qsq=qsqmin
+      if(qsq.gt.qsqmax)	qsq=qsqmax
+      xxx=x
+      if(x.lt.xx(ntenth)) xxx=dlog10(x/xx(ntenth))+xx(ntenth)
+      n=0
+  70  n=n+1
+      if(xxx.gt.xx(n+1)) goto 70
+      a=(xxx-xx(n))/(xx(n+1)-xx(n))
+      m=0
+  80  m=m+1
+      if(qsq.gt.qq(m+1)) goto 80
+      b=(qsq-qq(m))/(qq(m+1)-qq(m))
+      do 60 i=1,np
+      g(i)= (1d0-a)*(1d0-b)*f(i,n,m)   + (1d0-a)*b*f(i,n,m+1)
+     .	  +       a*(1d0-b)*f(i,n+1,m) +       a*b*f(i,n+1,m+1)
+      if(n.ge.ntenth) goto 65
+      if(i.eq.5.or.i.eq.7) goto 65
+	  fac=(1d0-b)*f(i,ntenth,m)+b*f(i,ntenth,m+1)
+ 	  g(i)=fac*10d0**(g(i)-fac)
+  65  continue
+      g(i)=g(i)*(1d0-x)**n0(i)
+  60  continue
+      upv=g(1)
+      dnv=g(2)
+      usea=g(4)
+      dsea=g(8)
+      str=g(6)
+      chm=g(5)
+      glu=g(3) 
+      bot=g(7)
+        x=xsave
+        qsq=q2save
+      return
+      end
+      
+
+
+      subroutine mrs9910(x,qsq,upv,dnv,usea,dsea,str,chm,bot,glu)
+      implicit real*8(a-h,o-z)
+c-fabio
+      Character Tablefile*40
+      data Tablefile/'cor10.dat'/
+      integer IU
+      common/IU/IU  !this is set in opendata.f
+c
+      parameter(nx=49,nq=37,ntenth=23,np=8)
+      real*8 f(np,nx,nq+1),qq(nq),xx(nx),g(np),n0(np)
+      data xx/1d-5,2d-5,4d-5,6d-5,8d-5,
+     .	      1d-4,2d-4,4d-4,6d-4,8d-4,
+     .	      1d-3,2d-3,4d-3,6d-3,8d-3,
+     .	      1d-2,1.4d-2,2d-2,3d-2,4d-2,6d-2,8d-2,
+     .	   .1d0,.125d0,.15d0,.175d0,.2d0,.225d0,.25d0,.275d0,
+     .	   .3d0,.325d0,.35d0,.375d0,.4d0,.425d0,.45d0,.475d0,
+     .	   .5d0,.525d0,.55d0,.575d0,.6d0,.65d0,.7d0,.75d0,
+     .	   .8d0,.9d0,1d0/
+      data qq/1.25d0,1.5d0,2d0,2.5d0,3.2d0,4d0,5d0,6.4d0,8d0,1d1,
+     .        1.2d1,1.8d1,2.6d1,4d1,6.4d1,1d2,
+     .        1.6d2,2.4d2,4d2,6.4d2,1d3,1.8d3,3.2d3,5.6d3,1d4,
+     .        1.8d4,3.2d4,5.6d4,1d5,1.8d5,3.2d5,5.6d5,1d6,
+     .        1.8d6,3.2d6,5.6d6,1d7/
+      data xmin,xmax,qsqmin,qsqmax/1d-5,1d0,1.25d0,1d7/
+      data n0/3,4,5,9,9,9,9,9/
+      data init/0/
+      save
+      xsave=x
+      q2save=qsq
+      if(init.ne.0) goto 10
+c        open(unit=1,file='Pdfdata/cor10.dat',status='old')
+        call OpenData(Tablefile)
+        do 20 n=1,nx-1
+        do 20 m=1,nq
+        read(IU,50)f(1,n,m),f(2,n,m),f(3,n,m),f(4,n,m),
+     .		  f(5,n,m),f(7,n,m),f(6,n,m),f(8,n,m)
+c notation: 1=uval 2=val 3=glue 4=usea 5=chm 6=str 7=btm 8=dsea
+	do 25 i=1,np
+  25	 f(i,n,m)=f(i,n,m)/(1d0-xx(n))**n0(i)
+  20  continue
+      do 31 j=1,ntenth-1
+      xx(j)=dlog10(xx(j)/xx(ntenth))+xx(ntenth)
+      do 31 i=1,8
+      if(i.eq.5.or.i.eq.7) goto 31
+      do 30 k=1,nq
+  30  f(i,j,k)=dlog10(f(i,j,k)/f(i,ntenth,k))+f(i,ntenth,k)
+  31  continue
+  50  format(8f10.5)
+      do 40 i=1,np
+      do 40 m=1,nq
+  40  f(i,nx,m)=0d0
+      init=1
+  10  continue
+      if(x.lt.xmin) x=xmin
+      if(x.gt.xmax) x=xmax
+      if(qsq.lt.qsqmin)	qsq=qsqmin
+      if(qsq.gt.qsqmax)	qsq=qsqmax
+      xxx=x
+      if(x.lt.xx(ntenth)) xxx=dlog10(x/xx(ntenth))+xx(ntenth)
+      n=0
+  70  n=n+1
+      if(xxx.gt.xx(n+1)) goto 70
+      a=(xxx-xx(n))/(xx(n+1)-xx(n))
+      m=0
+  80  m=m+1
+      if(qsq.gt.qq(m+1)) goto 80
+      b=(qsq-qq(m))/(qq(m+1)-qq(m))
+      do 60 i=1,np
+      g(i)= (1d0-a)*(1d0-b)*f(i,n,m)   + (1d0-a)*b*f(i,n,m+1)
+     .	  +       a*(1d0-b)*f(i,n+1,m) +       a*b*f(i,n+1,m+1)
+      if(n.ge.ntenth) goto 65
+      if(i.eq.5.or.i.eq.7) goto 65
+	  fac=(1d0-b)*f(i,ntenth,m)+b*f(i,ntenth,m+1)
+ 	  g(i)=fac*10d0**(g(i)-fac)
+  65  continue
+      g(i)=g(i)*(1d0-x)**n0(i)
+  60  continue
+      upv=g(1)
+      dnv=g(2)
+      usea=g(4)
+      dsea=g(8)
+      str=g(6)
+      chm=g(5)
+      glu=g(3) 
+      bot=g(7)
+        x=xsave
+        qsq=q2save
+      return
+      end
+      
+      subroutine mrs9911(x,qsq,upv,dnv,usea,dsea,str,chm,bot,glu)
+      implicit real*8(a-h,o-z)
+c-fabio
+      Character Tablefile*40
+      data Tablefile/'cor11.dat'/
+      integer IU
+      common/IU/IU  !this is set in opendata.f
+c
+      parameter(nx=49,nq=37,ntenth=23,np=8)
+      real*8 f(np,nx,nq+1),qq(nq),xx(nx),g(np),n0(np)
+      data xx/1d-5,2d-5,4d-5,6d-5,8d-5,
+     .	      1d-4,2d-4,4d-4,6d-4,8d-4,
+     .	      1d-3,2d-3,4d-3,6d-3,8d-3,
+     .	      1d-2,1.4d-2,2d-2,3d-2,4d-2,6d-2,8d-2,
+     .	   .1d0,.125d0,.15d0,.175d0,.2d0,.225d0,.25d0,.275d0,
+     .	   .3d0,.325d0,.35d0,.375d0,.4d0,.425d0,.45d0,.475d0,
+     .	   .5d0,.525d0,.55d0,.575d0,.6d0,.65d0,.7d0,.75d0,
+     .	   .8d0,.9d0,1d0/
+      data qq/1.25d0,1.5d0,2d0,2.5d0,3.2d0,4d0,5d0,6.4d0,8d0,1d1,
+     .        1.2d1,1.8d1,2.6d1,4d1,6.4d1,1d2,
+     .        1.6d2,2.4d2,4d2,6.4d2,1d3,1.8d3,3.2d3,5.6d3,1d4,
+     .        1.8d4,3.2d4,5.6d4,1d5,1.8d5,3.2d5,5.6d5,1d6,
+     .        1.8d6,3.2d6,5.6d6,1d7/
+      data xmin,xmax,qsqmin,qsqmax/1d-5,1d0,1.25d0,1d7/
+      data n0/3,4,5,9,9,9,9,9/
+      data init/0/
+      save
+      xsave=x
+      q2save=qsq
+      if(init.ne.0) goto 10
+c        open(unit=1,file='Pdfdata/cor11.dat',status='old')
+        call OpenData(Tablefile)
+        do 20 n=1,nx-1
+        do 20 m=1,nq
+        read(IU,50)f(1,n,m),f(2,n,m),f(3,n,m),f(4,n,m),
+     .		  f(5,n,m),f(7,n,m),f(6,n,m),f(8,n,m)
+c notation: 1=uval 2=val 3=glue 4=usea 5=chm 6=str 7=btm 8=dsea
+	do 25 i=1,np
+  25	 f(i,n,m)=f(i,n,m)/(1d0-xx(n))**n0(i)
+  20  continue
+      do 31 j=1,ntenth-1
+      xx(j)=dlog10(xx(j)/xx(ntenth))+xx(ntenth)
+      do 31 i=1,8
+      if(i.eq.5.or.i.eq.7) goto 31
+      do 30 k=1,nq
+  30  f(i,j,k)=dlog10(f(i,j,k)/f(i,ntenth,k))+f(i,ntenth,k)
+  31  continue
+  50  format(8f10.5)
+      do 40 i=1,np
+      do 40 m=1,nq
+  40  f(i,nx,m)=0d0
+      init=1
+  10  continue
+      if(x.lt.xmin) x=xmin
+      if(x.gt.xmax) x=xmax
+      if(qsq.lt.qsqmin)	qsq=qsqmin
+      if(qsq.gt.qsqmax)	qsq=qsqmax
+      xxx=x
+      if(x.lt.xx(ntenth)) xxx=dlog10(x/xx(ntenth))+xx(ntenth)
+      n=0
+  70  n=n+1
+      if(xxx.gt.xx(n+1)) goto 70
+      a=(xxx-xx(n))/(xx(n+1)-xx(n))
+      m=0
+  80  m=m+1
+      if(qsq.gt.qq(m+1)) goto 80
+      b=(qsq-qq(m))/(qq(m+1)-qq(m))
+      do 60 i=1,np
+      g(i)= (1d0-a)*(1d0-b)*f(i,n,m)   + (1d0-a)*b*f(i,n,m+1)
+     .	  +       a*(1d0-b)*f(i,n+1,m) +       a*b*f(i,n+1,m+1)
+      if(n.ge.ntenth) goto 65
+      if(i.eq.5.or.i.eq.7) goto 65
+	  fac=(1d0-b)*f(i,ntenth,m)+b*f(i,ntenth,m+1)
+ 	  g(i)=fac*10d0**(g(i)-fac)
+  65  continue
+      g(i)=g(i)*(1d0-x)**n0(i)
+  60  continue
+      upv=g(1)
+      dnv=g(2)
+      usea=g(4)
+      dsea=g(8)
+      str=g(6)
+      chm=g(5)
+      glu=g(3) 
+      bot=g(7)
+        x=xsave
+        qsq=q2save
+      return
+      end
+      
+      
+      subroutine mrs9912(x,qsq,upv,dnv,usea,dsea,str,chm,bot,glu)
+      implicit real*8(a-h,o-z)
+c-fabio
+      Character Tablefile*40
+      data Tablefile/'cor12.dat'/
+      integer IU
+      common/IU/IU  !this is set in opendata.f
+c
+      parameter(nx=49,nq=37,ntenth=23,np=8)
+      real*8 f(np,nx,nq+1),qq(nq),xx(nx),g(np),n0(np)
+      data xx/1d-5,2d-5,4d-5,6d-5,8d-5,
+     .	      1d-4,2d-4,4d-4,6d-4,8d-4,
+     .	      1d-3,2d-3,4d-3,6d-3,8d-3,
+     .	      1d-2,1.4d-2,2d-2,3d-2,4d-2,6d-2,8d-2,
+     .	   .1d0,.125d0,.15d0,.175d0,.2d0,.225d0,.25d0,.275d0,
+     .	   .3d0,.325d0,.35d0,.375d0,.4d0,.425d0,.45d0,.475d0,
+     .	   .5d0,.525d0,.55d0,.575d0,.6d0,.65d0,.7d0,.75d0,
+     .	   .8d0,.9d0,1d0/
+      data qq/1.25d0,1.5d0,2d0,2.5d0,3.2d0,4d0,5d0,6.4d0,8d0,1d1,
+     .        1.2d1,1.8d1,2.6d1,4d1,6.4d1,1d2,
+     .        1.6d2,2.4d2,4d2,6.4d2,1d3,1.8d3,3.2d3,5.6d3,1d4,
+     .        1.8d4,3.2d4,5.6d4,1d5,1.8d5,3.2d5,5.6d5,1d6,
+     .        1.8d6,3.2d6,5.6d6,1d7/
+      data xmin,xmax,qsqmin,qsqmax/1d-5,1d0,1.25d0,1d7/
+      data n0/3,4,5,9,9,9,9,9/
+      data init/0/
+      save
+      xsave=x
+      q2save=qsq
+      if(init.ne.0) goto 10
+c        open(unit=1,file='Pdfdata/cor12.dat',status='old')
+        call OpenData(Tablefile)
+        do 20 n=1,nx-1
+        do 20 m=1,nq
+        read(IU,50)f(1,n,m),f(2,n,m),f(3,n,m),f(4,n,m),
+     .		  f(5,n,m),f(7,n,m),f(6,n,m),f(8,n,m)
+c notation: 1=uval 2=val 3=glue 4=usea 5=chm 6=str 7=btm 8=dsea
+	do 25 i=1,np
+  25	 f(i,n,m)=f(i,n,m)/(1d0-xx(n))**n0(i)
+  20  continue
+      do 31 j=1,ntenth-1
+      xx(j)=dlog10(xx(j)/xx(ntenth))+xx(ntenth)
+      do 31 i=1,8
+      if(i.eq.5.or.i.eq.7) goto 31
+      do 30 k=1,nq
+  30  f(i,j,k)=dlog10(f(i,j,k)/f(i,ntenth,k))+f(i,ntenth,k)
+  31  continue
+  50  format(8f10.5)
+      do 40 i=1,np
+      do 40 m=1,nq
+  40  f(i,nx,m)=0d0
+      init=1
+  10  continue
+      if(x.lt.xmin) x=xmin
+      if(x.gt.xmax) x=xmax
+      if(qsq.lt.qsqmin)	qsq=qsqmin
+      if(qsq.gt.qsqmax)	qsq=qsqmax
+      xxx=x
+      if(x.lt.xx(ntenth)) xxx=dlog10(x/xx(ntenth))+xx(ntenth)
+      n=0
+  70  n=n+1
+      if(xxx.gt.xx(n+1)) goto 70
+      a=(xxx-xx(n))/(xx(n+1)-xx(n))
+      m=0
+  80  m=m+1
+      if(qsq.gt.qq(m+1)) goto 80
+      b=(qsq-qq(m))/(qq(m+1)-qq(m))
+      do 60 i=1,np
+      g(i)= (1d0-a)*(1d0-b)*f(i,n,m)   + (1d0-a)*b*f(i,n,m+1)
+     .	  +       a*(1d0-b)*f(i,n+1,m) +       a*b*f(i,n+1,m+1)
+      if(n.ge.ntenth) goto 65
+      if(i.eq.5.or.i.eq.7) goto 65
+	  fac=(1d0-b)*f(i,ntenth,m)+b*f(i,ntenth,m+1)
+ 	  g(i)=fac*10d0**(g(i)-fac)
+  65  continue
+      g(i)=g(i)*(1d0-x)**n0(i)
+  60  continue
+      upv=g(1)
+      dnv=g(2)
+      usea=g(4)
+      dsea=g(8)
+      str=g(6)
+      chm=g(5)
+      glu=g(3) 
+      bot=g(7)
+        x=xsave
+        qsq=q2save
+      return
+      end
+      

=== added file 'Template/Source/PDF/mrst2001.f'
--- Template/Source/PDF/mrst2001.f	1970-01-01 00:00:00 +0000
+++ Template/Source/PDF/mrst2001.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,513 @@
+      subroutine mrst2001(x,q,mode,upv,dnv,usea,dsea,str,chm,bot,glu)
+C***************************************************************C
+C								C
+C  This is a package for the new MRST 2001 NLO parton           C
+C  distributions.                                               C     
+C  Reference: A.D. Martin, R.G. Roberts, W.J. Stirling and      C
+C  R.S. Thorne, hep-ph/0110215                                  C
+C                                                               C
+C  There are 4 pdf sets corresponding to mode = 1, 2, 3, 4      C
+C                                                               C
+C  Mode=1 gives the default set with Lambda(MSbar,nf=4) = 0.323 C
+C  corresponding to alpha_s(M_Z) of 0.119                       C
+C  This set reads a grid whose first number is 0.00927          C
+C                                                               C
+C  Mode=2 gives the set with Lambda(MSbar,nf=4) = 0.290         C
+C  corresponding to alpha_s(M_Z) of 0.117                       C
+C  This set reads a grid whose first number is 0.00953          C
+C                                                               C
+C  Mode=3 gives the set with Lambda(MSbar,nf=4) = 0.362         C
+C  corresponding to alpha_s(M_Z) of 0.121                       C
+C  This set reads a grid whose first number is 0.00889          C
+C                                                               C
+C  Mode=4 gives the set MRST2001J which gives better agreement  C
+C  with the Tevatron inclusive jet data but has unattractive    C
+C  gluon behaviour at large x (see discussion in paper)         C
+C  This set has Lambda(MSbar,nf=4) = 0.353(alpha_s(M_Z) = 0.121 C 
+C  This set reads a grid whose first number is 0.00826          C
+C                                                               C
+C   This subroutine uses an improved interpolation procedure    C 
+C   for extracting values of the pdf's from the grid            C
+C                                                               C
+C         Comments to : W.J.Stirling@durham.ac.uk               C
+C                                                               C
+C***************************************************************C
+      implicit real*8(a-h,o-z)
+      data xmin,xmax,qsqmin,qsqmax/1d-5,1d0,1.25d0,1d7/
+      q2=q*q
+      if(q2.lt.qsqmin.or.q2.gt.qsqmax) print 99,q2
+      if(x.lt.xmin.or.x.gt.xmax)       print 98,x
+          if(mode.eq.1) then
+        call mrst1(x,q2,upv,dnv,usea,dsea,str,chm,bot,glu) 
+      elseif(mode.eq.2) then
+        call mrst2(x,q2,upv,dnv,usea,dsea,str,chm,bot,glu) 
+      elseif(mode.eq.3) then
+        call mrst3(x,q2,upv,dnv,usea,dsea,str,chm,bot,glu) 
+      elseif(mode.eq.4) then
+        call mrst4(x,q2,upv,dnv,usea,dsea,str,chm,bot,glu)
+      endif 
+  99  format('  WARNING:  Q^2 VALUE IS OUT OF RANGE   ','q2= ',e10.5)
+  98  format('  WARNING:   X  VALUE IS OUT OF RANGE   ','x= ',e10.5)
+      return
+      end
+
+      subroutine mrst1(x,qsq,upv,dnv,usea,dsea,str,chm,bot,glu)
+      implicit real*8(a-h,o-z)
+c-fabio
+      Character Tablefile*40
+      data Tablefile/'alf119.dat'/
+      integer IU
+      common/IU/IU
+c
+      parameter(nx=49,nq=37,np=8,nqc0=2,nqb0=11,nqc=35,nqb=26)
+      real*8 f1(nx,nq),f2(nx,nq),f3(nx,nq),f4(nx,nq),f5(nx,nq),
+     .f6(nx,nq),f7(nx,nq),f8(nx,nq),fc(nx,nqc),fb(nx,nqb)
+      real*8 qq(nq),xx(nx),cc1(nx,nq,4,4),cc2(nx,nq,4,4),
+     .cc3(nx,nq,4,4),cc4(nx,nq,4,4),cc6(nx,nq,4,4),cc8(nx,nq,4,4),
+     .ccc(nx,nqc,4,4),ccb(nx,nqb,4,4)
+      real*8 xxl(nx),qql(nq),qqlc(nqc),qqlb(nqb)
+      data xx/1d-5,2d-5,4d-5,6d-5,8d-5,
+     .	      1d-4,2d-4,4d-4,6d-4,8d-4,
+     .	      1d-3,2d-3,4d-3,6d-3,8d-3,
+     .	      1d-2,1.4d-2,2d-2,3d-2,4d-2,6d-2,8d-2,
+     .	   .1d0,.125d0,.15d0,.175d0,.2d0,.225d0,.25d0,.275d0,
+     .	   .3d0,.325d0,.35d0,.375d0,.4d0,.425d0,.45d0,.475d0,
+     .	   .5d0,.525d0,.55d0,.575d0,.6d0,.65d0,.7d0,.75d0,
+     .	   .8d0,.9d0,1d0/
+      data qq/1.25d0,1.5d0,2d0,2.5d0,3.2d0,4d0,5d0,6.4d0,8d0,1d1,
+     .        1.2d1,1.8d1,2.6d1,4d1,6.4d1,1d2,
+     .        1.6d2,2.4d2,4d2,6.4d2,1d3,1.8d3,3.2d3,5.6d3,1d4,
+     .        1.8d4,3.2d4,5.6d4,1d5,1.8d5,3.2d5,5.6d5,1d6,
+     .        1.8d6,3.2d6,5.6d6,1d7/
+c      data xmin,xmax,qsqmin,qsqmax/1d-5,1d0,1.25d0,1d7/
+      data init/0/
+      save
+      xsave=x
+      q2save=qsq
+      if(init.ne.0) goto 10
+c        open(unit=33,file='Pdfdata/alf119.dat',status='old')
+        call OpenData(Tablefile)
+        do 20 n=1,nx-1
+        do 20 m=1,nq
+        read(IU,50)f1(n,m),f2(n,m),f3(n,m),f4(n,m),
+     .		  f5(n,m),f7(n,m),f6(n,m),f8(n,m)
+c notation: 1=uval 2=val 3=glue 4=usea 5=chm 6=str 7=btm 8=dsea
+  20  continue
+      do 40 m=1,nq
+      f1(nx,m)=0.d0
+      f2(nx,m)=0.d0
+      f3(nx,m)=0.d0
+      f4(nx,m)=0.d0
+      f5(nx,m)=0.d0
+      f6(nx,m)=0.d0
+      f7(nx,m)=0.d0
+      f8(nx,m)=0.d0
+  40  continue
+      do n=1,nx
+      xxl(n)=dlog(xx(n))
+      enddo
+      do m=1,nq
+      qql(m)=dlog(qq(m))
+      enddo
+
+      call jeppe1(nx,nq,xxl,qql,f1,cc1)
+      call jeppe1(nx,nq,xxl,qql,f2,cc2)
+      call jeppe1(nx,nq,xxl,qql,f3,cc3)
+      call jeppe1(nx,nq,xxl,qql,f4,cc4)
+      call jeppe1(nx,nq,xxl,qql,f6,cc6)
+      call jeppe1(nx,nq,xxl,qql,f8,cc8)
+
+      emc2=2.045d0
+      emb2=18.5d0
+
+      do 44 m=1,nqc
+      qqlc(m)=qql(m+nqc0)
+      do 44 n=1,nx
+      fc(n,m)=f5(n,m+nqc0)
+   44 continue
+      qqlc(1)=dlog(emc2)
+      call jeppe1(nx,nqc,xxl,qqlc,fc,ccc)
+
+      do 45 m=1,nqb
+      qqlb(m)=qql(m+nqb0)
+      do 45 n=1,nx
+      fb(n,m)=f7(n,m+nqb0)
+   45 continue
+      qqlb(1)=dlog(emb2)
+      call jeppe1(nx,nqb,xxl,qqlb,fb,ccb)
+
+
+      init=1
+   10 continue
+      
+      xlog=dlog(x)
+      qsqlog=dlog(qsq)
+
+      call jeppe2(xlog,qsqlog,nx,nq,xxl,qql,cc1,upv)
+      call jeppe2(xlog,qsqlog,nx,nq,xxl,qql,cc2,dnv)
+      call jeppe2(xlog,qsqlog,nx,nq,xxl,qql,cc3,glu)
+      call jeppe2(xlog,qsqlog,nx,nq,xxl,qql,cc4,usea)
+      call jeppe2(xlog,qsqlog,nx,nq,xxl,qql,cc6,str)
+      call jeppe2(xlog,qsqlog,nx,nq,xxl,qql,cc8,dsea)
+
+      chm=0.d0
+      if(qsq.gt.emc2) then 
+      call jeppe2(xlog,qsqlog,nx,nqc,xxl,qqlc,ccc,chm)
+      endif
+
+      bot=0.d0
+      if(qsq.gt.emb2) then 
+      call jeppe2(xlog,qsqlog,nx,nqb,xxl,qqlb,ccb,bot)
+      endif
+
+      x=xsave
+      qsq=q2save
+      return
+   50 format(8f10.5)
+      end
+ 
+      subroutine mrst2(x,qsq,upv,dnv,usea,dsea,str,chm,bot,glu)
+      implicit real*8(a-h,o-z)
+c-fabio
+      Character Tablefile*40
+      data Tablefile/'alf117.dat'/
+      integer IU
+      common/IU/IU
+c
+      parameter(nx=49,nq=37,np=8,nqc0=2,nqb0=11,nqc=35,nqb=26)
+      real*8 f1(nx,nq),f2(nx,nq),f3(nx,nq),f4(nx,nq),f5(nx,nq),
+     .f6(nx,nq),f7(nx,nq),f8(nx,nq),fc(nx,nqc),fb(nx,nqb)
+      real*8 qq(nq),xx(nx),cc1(nx,nq,4,4),cc2(nx,nq,4,4),
+     .cc3(nx,nq,4,4),cc4(nx,nq,4,4),cc6(nx,nq,4,4),cc8(nx,nq,4,4),
+     .ccc(nx,nqc,4,4),ccb(nx,nqb,4,4)
+      real*8 xxl(nx),qql(nq),qqlc(nqc),qqlb(nqb)
+      data xx/1d-5,2d-5,4d-5,6d-5,8d-5,
+     .	      1d-4,2d-4,4d-4,6d-4,8d-4,
+     .	      1d-3,2d-3,4d-3,6d-3,8d-3,
+     .	      1d-2,1.4d-2,2d-2,3d-2,4d-2,6d-2,8d-2,
+     .	   .1d0,.125d0,.15d0,.175d0,.2d0,.225d0,.25d0,.275d0,
+     .	   .3d0,.325d0,.35d0,.375d0,.4d0,.425d0,.45d0,.475d0,
+     .	   .5d0,.525d0,.55d0,.575d0,.6d0,.65d0,.7d0,.75d0,
+     .	   .8d0,.9d0,1d0/
+      data qq/1.25d0,1.5d0,2d0,2.5d0,3.2d0,4d0,5d0,6.4d0,8d0,1d1,
+     .        1.2d1,1.8d1,2.6d1,4d1,6.4d1,1d2,
+     .        1.6d2,2.4d2,4d2,6.4d2,1d3,1.8d3,3.2d3,5.6d3,1d4,
+     .        1.8d4,3.2d4,5.6d4,1d5,1.8d5,3.2d5,5.6d5,1d6,
+     .        1.8d6,3.2d6,5.6d6,1d7/
+c      data xmin,xmax,qsqmin,qsqmax/1d-5,1d0,1.25d0,1d7/
+      data init/0/
+      save
+      xsave=x
+      q2save=qsq
+      if(init.ne.0) goto 10
+c        open(unit=33,file='Pdfdata/alf117.dat',status='old')
+        call OpenData(Tablefile)
+        do 20 n=1,nx-1
+        do 20 m=1,nq
+        read(IU,50)f1(n,m),f2(n,m),f3(n,m),f4(n,m),
+     .		  f5(n,m),f7(n,m),f6(n,m),f8(n,m)
+c notation: 1=uval 2=val 3=glue 4=usea 5=chm 6=str 7=btm 8=dsea
+  20  continue
+      do 40 m=1,nq
+      f1(nx,m)=0.d0
+      f2(nx,m)=0.d0
+      f3(nx,m)=0.d0
+      f4(nx,m)=0.d0
+      f5(nx,m)=0.d0
+      f6(nx,m)=0.d0
+      f7(nx,m)=0.d0
+      f8(nx,m)=0.d0
+  40  continue
+      do n=1,nx
+      xxl(n)=dlog(xx(n))
+      enddo
+      do m=1,nq
+      qql(m)=dlog(qq(m))
+      enddo
+
+      call jeppe1(nx,nq,xxl,qql,f1,cc1)
+      call jeppe1(nx,nq,xxl,qql,f2,cc2)
+      call jeppe1(nx,nq,xxl,qql,f3,cc3)
+      call jeppe1(nx,nq,xxl,qql,f4,cc4)
+      call jeppe1(nx,nq,xxl,qql,f6,cc6)
+      call jeppe1(nx,nq,xxl,qql,f8,cc8)
+
+      emc2=2.045d0
+      emb2=18.5d0
+
+      do 44 m=1,nqc
+      qqlc(m)=qql(m+nqc0)
+      do 44 n=1,nx
+      fc(n,m)=f5(n,m+nqc0)
+   44 continue
+      qqlc(1)=dlog(emc2)
+      call jeppe1(nx,nqc,xxl,qqlc,fc,ccc)
+
+      do 45 m=1,nqb
+      qqlb(m)=qql(m+nqb0)
+      do 45 n=1,nx
+      fb(n,m)=f7(n,m+nqb0)
+   45 continue
+      qqlb(1)=dlog(emb2)
+      call jeppe1(nx,nqb,xxl,qqlb,fb,ccb)
+
+
+      init=1
+   10 continue
+      
+      xlog=dlog(x)
+      qsqlog=dlog(qsq)
+
+      call jeppe2(xlog,qsqlog,nx,nq,xxl,qql,cc1,upv)
+      call jeppe2(xlog,qsqlog,nx,nq,xxl,qql,cc2,dnv)
+      call jeppe2(xlog,qsqlog,nx,nq,xxl,qql,cc3,glu)
+      call jeppe2(xlog,qsqlog,nx,nq,xxl,qql,cc4,usea)
+      call jeppe2(xlog,qsqlog,nx,nq,xxl,qql,cc6,str)
+      call jeppe2(xlog,qsqlog,nx,nq,xxl,qql,cc8,dsea)
+
+      chm=0.d0
+      if(qsq.gt.emc2) then 
+      call jeppe2(xlog,qsqlog,nx,nqc,xxl,qqlc,ccc,chm)
+      endif
+
+      bot=0.d0
+      if(qsq.gt.emb2) then 
+      call jeppe2(xlog,qsqlog,nx,nqb,xxl,qqlb,ccb,bot)
+      endif
+
+      x=xsave
+      qsq=q2save
+      return
+   50 format(8f10.5)
+      end
+
+      subroutine mrst3(x,qsq,upv,dnv,usea,dsea,str,chm,bot,glu)
+      implicit real*8(a-h,o-z)
+c-fabio
+      Character Tablefile*40
+      data Tablefile/'alf121.dat'/
+      integer IU
+      common/IU/IU
+c
+      parameter(nx=49,nq=37,np=8,nqc0=2,nqb0=11,nqc=35,nqb=26)
+      real*8 f1(nx,nq),f2(nx,nq),f3(nx,nq),f4(nx,nq),f5(nx,nq),
+     .f6(nx,nq),f7(nx,nq),f8(nx,nq),fc(nx,nqc),fb(nx,nqb)
+      real*8 qq(nq),xx(nx),cc1(nx,nq,4,4),cc2(nx,nq,4,4),
+     .cc3(nx,nq,4,4),cc4(nx,nq,4,4),cc6(nx,nq,4,4),cc8(nx,nq,4,4),
+     .ccc(nx,nqc,4,4),ccb(nx,nqb,4,4)
+      real*8 xxl(nx),qql(nq),qqlc(nqc),qqlb(nqb)
+      data xx/1d-5,2d-5,4d-5,6d-5,8d-5,
+     .	      1d-4,2d-4,4d-4,6d-4,8d-4,
+     .	      1d-3,2d-3,4d-3,6d-3,8d-3,
+     .	      1d-2,1.4d-2,2d-2,3d-2,4d-2,6d-2,8d-2,
+     .	   .1d0,.125d0,.15d0,.175d0,.2d0,.225d0,.25d0,.275d0,
+     .	   .3d0,.325d0,.35d0,.375d0,.4d0,.425d0,.45d0,.475d0,
+     .	   .5d0,.525d0,.55d0,.575d0,.6d0,.65d0,.7d0,.75d0,
+     .	   .8d0,.9d0,1d0/
+      data qq/1.25d0,1.5d0,2d0,2.5d0,3.2d0,4d0,5d0,6.4d0,8d0,1d1,
+     .        1.2d1,1.8d1,2.6d1,4d1,6.4d1,1d2,
+     .        1.6d2,2.4d2,4d2,6.4d2,1d3,1.8d3,3.2d3,5.6d3,1d4,
+     .        1.8d4,3.2d4,5.6d4,1d5,1.8d5,3.2d5,5.6d5,1d6,
+     .        1.8d6,3.2d6,5.6d6,1d7/
+c      data xmin,xmax,qsqmin,qsqmax/1d-5,1d0,1.25d0,1d7/
+      data init/0/
+      save
+      xsave=x
+      q2save=qsq
+      if(init.ne.0) goto 10
+c        open(unit=33,file='Pdfdata/alf121.dat',status='old')
+        call OpenData(Tablefile)
+        do 20 n=1,nx-1
+        do 20 m=1,nq
+        read(IU,50)f1(n,m),f2(n,m),f3(n,m),f4(n,m),
+     .		  f5(n,m),f7(n,m),f6(n,m),f8(n,m)
+c notation: 1=uval 2=val 3=glue 4=usea 5=chm 6=str 7=btm 8=dsea
+  20  continue
+      do 40 m=1,nq
+      f1(nx,m)=0.d0
+      f2(nx,m)=0.d0
+      f3(nx,m)=0.d0
+      f4(nx,m)=0.d0
+      f5(nx,m)=0.d0
+      f6(nx,m)=0.d0
+      f7(nx,m)=0.d0
+      f8(nx,m)=0.d0
+  40  continue
+      do n=1,nx
+      xxl(n)=dlog(xx(n))
+      enddo
+      do m=1,nq
+      qql(m)=dlog(qq(m))
+      enddo
+
+      call jeppe1(nx,nq,xxl,qql,f1,cc1)
+      call jeppe1(nx,nq,xxl,qql,f2,cc2)
+      call jeppe1(nx,nq,xxl,qql,f3,cc3)
+      call jeppe1(nx,nq,xxl,qql,f4,cc4)
+      call jeppe1(nx,nq,xxl,qql,f6,cc6)
+      call jeppe1(nx,nq,xxl,qql,f8,cc8)
+
+      emc2=2.045d0
+      emb2=18.5d0
+
+      do 44 m=1,nqc
+      qqlc(m)=qql(m+nqc0)
+      do 44 n=1,nx
+      fc(n,m)=f5(n,m+nqc0)
+   44 continue
+      qqlc(1)=dlog(emc2)
+      call jeppe1(nx,nqc,xxl,qqlc,fc,ccc)
+
+      do 45 m=1,nqb
+      qqlb(m)=qql(m+nqb0)
+      do 45 n=1,nx
+      fb(n,m)=f7(n,m+nqb0)
+   45 continue
+      qqlb(1)=dlog(emb2)
+      call jeppe1(nx,nqb,xxl,qqlb,fb,ccb)
+
+
+      init=1
+   10 continue
+      
+      xlog=dlog(x)
+      qsqlog=dlog(qsq)
+
+      call jeppe2(xlog,qsqlog,nx,nq,xxl,qql,cc1,upv)
+      call jeppe2(xlog,qsqlog,nx,nq,xxl,qql,cc2,dnv)
+      call jeppe2(xlog,qsqlog,nx,nq,xxl,qql,cc3,glu)
+      call jeppe2(xlog,qsqlog,nx,nq,xxl,qql,cc4,usea)
+      call jeppe2(xlog,qsqlog,nx,nq,xxl,qql,cc6,str)
+      call jeppe2(xlog,qsqlog,nx,nq,xxl,qql,cc8,dsea)
+
+      chm=0.d0
+      if(qsq.gt.emc2) then 
+      call jeppe2(xlog,qsqlog,nx,nqc,xxl,qqlc,ccc,chm)
+      endif
+
+      bot=0.d0
+      if(qsq.gt.emb2) then 
+      call jeppe2(xlog,qsqlog,nx,nqb,xxl,qqlb,ccb,bot)
+      endif
+
+      x=xsave
+      qsq=q2save
+      return
+   50 format(8f10.5)
+      end
+
+      subroutine mrst4(x,qsq,upv,dnv,usea,dsea,str,chm,bot,glu)
+      implicit real*8(a-h,o-z)
+c-fabio
+      Character Tablefile*40
+      data Tablefile/'j121.dat'/
+      integer IU
+      common/IU/IU
+c
+      parameter(nx=49,nq=37,np=8,nqc0=2,nqb0=11,nqc=35,nqb=26)
+      real*8 f1(nx,nq),f2(nx,nq),f3(nx,nq),f4(nx,nq),f5(nx,nq),
+     .f6(nx,nq),f7(nx,nq),f8(nx,nq),fc(nx,nqc),fb(nx,nqb)
+      real*8 qq(nq),xx(nx),cc1(nx,nq,4,4),cc2(nx,nq,4,4),
+     .cc3(nx,nq,4,4),cc4(nx,nq,4,4),cc6(nx,nq,4,4),cc8(nx,nq,4,4),
+     .ccc(nx,nqc,4,4),ccb(nx,nqb,4,4)
+      real*8 xxl(nx),qql(nq),qqlc(nqc),qqlb(nqb)
+      data xx/1d-5,2d-5,4d-5,6d-5,8d-5,
+     .	      1d-4,2d-4,4d-4,6d-4,8d-4,
+     .	      1d-3,2d-3,4d-3,6d-3,8d-3,
+     .	      1d-2,1.4d-2,2d-2,3d-2,4d-2,6d-2,8d-2,
+     .	   .1d0,.125d0,.15d0,.175d0,.2d0,.225d0,.25d0,.275d0,
+     .	   .3d0,.325d0,.35d0,.375d0,.4d0,.425d0,.45d0,.475d0,
+     .	   .5d0,.525d0,.55d0,.575d0,.6d0,.65d0,.7d0,.75d0,
+     .	   .8d0,.9d0,1d0/
+      data qq/1.25d0,1.5d0,2d0,2.5d0,3.2d0,4d0,5d0,6.4d0,8d0,1d1,
+     .        1.2d1,1.8d1,2.6d1,4d1,6.4d1,1d2,
+     .        1.6d2,2.4d2,4d2,6.4d2,1d3,1.8d3,3.2d3,5.6d3,1d4,
+     .        1.8d4,3.2d4,5.6d4,1d5,1.8d5,3.2d5,5.6d5,1d6,
+     .        1.8d6,3.2d6,5.6d6,1d7/
+c      data xmin,xmax,qsqmin,qsqmax/1d-5,1d0,1.25d0,1d7/
+      data init/0/
+      save
+      xsave=x
+      q2save=qsq
+      if(init.ne.0) goto 10
+c        open(unit=33,file='Pdfdata/j121.dat',status='old')
+        call OpenData(Tablefile)
+        do 20 n=1,nx-1
+        do 20 m=1,nq
+        read(IU,50)f1(n,m),f2(n,m),f3(n,m),f4(n,m),
+     .		  f5(n,m),f7(n,m),f6(n,m),f8(n,m)
+c notation: 1=uval 2=val 3=glue 4=usea 5=chm 6=str 7=btm 8=dsea
+  20  continue
+      do 40 m=1,nq
+      f1(nx,m)=0.d0
+      f2(nx,m)=0.d0
+      f3(nx,m)=0.d0
+      f4(nx,m)=0.d0
+      f5(nx,m)=0.d0
+      f6(nx,m)=0.d0
+      f7(nx,m)=0.d0
+      f8(nx,m)=0.d0
+  40  continue
+      do n=1,nx
+      xxl(n)=dlog(xx(n))
+      enddo
+      do m=1,nq
+      qql(m)=dlog(qq(m))
+      enddo
+
+      call jeppe1(nx,nq,xxl,qql,f1,cc1)
+      call jeppe1(nx,nq,xxl,qql,f2,cc2)
+      call jeppe1(nx,nq,xxl,qql,f3,cc3)
+      call jeppe1(nx,nq,xxl,qql,f4,cc4)
+      call jeppe1(nx,nq,xxl,qql,f6,cc6)
+      call jeppe1(nx,nq,xxl,qql,f8,cc8)
+
+      emc2=2.045d0
+      emb2=18.5d0
+
+      do 44 m=1,nqc
+      qqlc(m)=qql(m+nqc0)
+      do 44 n=1,nx
+      fc(n,m)=f5(n,m+nqc0)
+   44 continue
+      qqlc(1)=dlog(emc2)
+      call jeppe1(nx,nqc,xxl,qqlc,fc,ccc)
+
+      do 45 m=1,nqb
+      qqlb(m)=qql(m+nqb0)
+      do 45 n=1,nx
+      fb(n,m)=f7(n,m+nqb0)
+   45 continue
+      qqlb(1)=dlog(emb2)
+      call jeppe1(nx,nqb,xxl,qqlb,fb,ccb)
+
+
+      init=1
+   10 continue
+      
+      xlog=dlog(x)
+      qsqlog=dlog(qsq)
+
+      call jeppe2(xlog,qsqlog,nx,nq,xxl,qql,cc1,upv)
+      call jeppe2(xlog,qsqlog,nx,nq,xxl,qql,cc2,dnv)
+      call jeppe2(xlog,qsqlog,nx,nq,xxl,qql,cc3,glu)
+      call jeppe2(xlog,qsqlog,nx,nq,xxl,qql,cc4,usea)
+      call jeppe2(xlog,qsqlog,nx,nq,xxl,qql,cc6,str)
+      call jeppe2(xlog,qsqlog,nx,nq,xxl,qql,cc8,dsea)
+
+      chm=0.d0
+      if(qsq.gt.emc2) then 
+      call jeppe2(xlog,qsqlog,nx,nqc,xxl,qqlc,ccc,chm)
+      endif
+
+      bot=0.d0
+      if(qsq.gt.emb2) then 
+      call jeppe2(xlog,qsqlog,nx,nqb,xxl,qqlb,ccb,bot)
+      endif
+
+      x=xsave
+      qsq=q2save
+      return
+   50 format(8f10.5)
+      end
+

=== added file 'Template/Source/PDF/mrst2002.f'
--- Template/Source/PDF/mrst2002.f	1970-01-01 00:00:00 +0000
+++ Template/Source/PDF/mrst2002.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,264 @@
+      subroutine mrst2002(x,q,mode,upv,dnv,usea,dsea,str,chm,bot,glu)
+C***************************************************************C
+C								C
+C  This is a package for the new MRST 2002 updated NLO and      C
+C  NNLO parton distributions.                                   C 
+C  Reference: A.D. Martin, R.G. Roberts, W.J. Stirling and      C
+C  R.S. Thorne, hep-ph/0211080                                  C
+C                                                               C
+C  There are 2 pdf sets corresponding to mode = 1, 2            C
+C                                                               C
+C  Mode=1 gives the NLO set with alpha_s(M_Z,NLO) = 0.1197      C  
+C  This set reads a grid whose first number is 0.00949          C
+C                                                               C
+C  Mode=2 gives the NNLO set with alpha_s(M_Z,NNLO) = 0.1154    C
+C  This set reads a grid whose first number is 0.00685          C
+C                                                               C
+C         Comments to : W.J.Stirling@durham.ac.uk               C
+C                                                               C
+C***************************************************************C
+      implicit real*8(a-h,o-z)
+      data xmin,xmax,qsqmin,qsqmax/1d-5,1d0,1.25d0,1d7/
+      q2=q*q
+      if(q2.lt.qsqmin.or.q2.gt.qsqmax) print 99,q2
+      if(x.lt.xmin.or.x.gt.xmax)       print 98,x
+          if(mode.eq.1) then
+        call mrst_02_1(x,q2,upv,dnv,usea,dsea,str,chm,bot,glu) 
+      elseif(mode.eq.2) then
+        call mrst_02_1(x,q2,upv,dnv,usea,dsea,str,chm,bot,glu) 
+      endif 
+  99  format('  WARNING:  Q^2 VALUE IS OUT OF RANGE   ','q2= ',e10.5)
+  98  format('  WARNING:   X  VALUE IS OUT OF RANGE   ','x= ',e10.5)
+      return
+      end
+
+      subroutine mrst_02_1(x,qsq,upv,dnv,usea,dsea,str,chm,bot,glu)
+      implicit real*8(a-h,o-z)
+c-fabio
+      Character Tablefile*40
+      data Tablefile/'mrst2002nlo.dat'/
+      integer IU
+      common/IU/IU
+c
+      parameter(nx=49,nq=37,np=8,nqc0=2,nqb0=11,nqc=35,nqb=26)
+      real*8 f1(nx,nq),f2(nx,nq),f3(nx,nq),f4(nx,nq),f5(nx,nq),
+     .f6(nx,nq),f7(nx,nq),f8(nx,nq),fc(nx,nqc),fb(nx,nqb)
+      real*8 qq(nq),xx(nx),cc1(nx,nq,4,4),cc2(nx,nq,4,4),
+     .cc3(nx,nq,4,4),cc4(nx,nq,4,4),cc6(nx,nq,4,4),cc8(nx,nq,4,4),
+     .ccc(nx,nqc,4,4),ccb(nx,nqb,4,4)
+      real*8 xxl(nx),qql(nq),qqlc(nqc),qqlb(nqb)
+      data xx/1d-5,2d-5,4d-5,6d-5,8d-5,
+     .	      1d-4,2d-4,4d-4,6d-4,8d-4,
+     .	      1d-3,2d-3,4d-3,6d-3,8d-3,
+     .	      1d-2,1.4d-2,2d-2,3d-2,4d-2,6d-2,8d-2,
+     .	   .1d0,.125d0,.15d0,.175d0,.2d0,.225d0,.25d0,.275d0,
+     .	   .3d0,.325d0,.35d0,.375d0,.4d0,.425d0,.45d0,.475d0,
+     .	   .5d0,.525d0,.55d0,.575d0,.6d0,.65d0,.7d0,.75d0,
+     .	   .8d0,.9d0,1d0/
+      data qq/1.25d0,1.5d0,2d0,2.5d0,3.2d0,4d0,5d0,6.4d0,8d0,1d1,
+     .        1.2d1,1.8d1,2.6d1,4d1,6.4d1,1d2,
+     .        1.6d2,2.4d2,4d2,6.4d2,1d3,1.8d3,3.2d3,5.6d3,1d4,
+     .        1.8d4,3.2d4,5.6d4,1d5,1.8d5,3.2d5,5.6d5,1d6,
+     .        1.8d6,3.2d6,5.6d6,1d7/
+      data xmin,xmax,qsqmin,qsqmax/1d-5,1d0,1.25d0,1d7/
+      data init/0/
+      save
+      xsave=x
+      q2save=qsq
+      if(init.ne.0) goto 10
+c        open(unit=33,file='mrst2002nlo.dat',status='old')
+        call OpenData(Tablefile)
+        do 20 n=1,nx-1
+        do 20 m=1,nq
+        read(IU,50)f1(n,m),f2(n,m),f3(n,m),f4(n,m),
+     .		  f5(n,m),f7(n,m),f6(n,m),f8(n,m)
+c notation: 1=uval 2=val 3=glue 4=usea 5=chm 6=str 7=btm 8=dsea
+  20  continue
+      do 40 m=1,nq
+      f1(nx,m)=0.d0
+      f2(nx,m)=0.d0
+      f3(nx,m)=0.d0
+      f4(nx,m)=0.d0
+      f5(nx,m)=0.d0
+      f6(nx,m)=0.d0
+      f7(nx,m)=0.d0
+      f8(nx,m)=0.d0
+  40  continue
+      do n=1,nx
+      xxl(n)=dlog(xx(n))
+      enddo
+      do m=1,nq
+      qql(m)=dlog(qq(m))
+      enddo
+
+      call jeppe1(nx,nq,xxl,qql,f1,cc1)
+      call jeppe1(nx,nq,xxl,qql,f2,cc2)
+      call jeppe1(nx,nq,xxl,qql,f3,cc3)
+      call jeppe1(nx,nq,xxl,qql,f4,cc4)
+      call jeppe1(nx,nq,xxl,qql,f6,cc6)
+      call jeppe1(nx,nq,xxl,qql,f8,cc8)
+
+      emc2=2.045
+      emb2=18.5
+
+      do 44 m=1,nqc
+      qqlc(m)=qql(m+nqc0)
+      do 44 n=1,nx
+      fc(n,m)=f5(n,m+nqc0)
+   44 continue
+      qqlc(1)=dlog(emc2)
+      call jeppe1(nx,nqc,xxl,qqlc,fc,ccc)
+
+      do 45 m=1,nqb
+      qqlb(m)=qql(m+nqb0)
+      do 45 n=1,nx
+      fb(n,m)=f7(n,m+nqb0)
+   45 continue
+      qqlb(1)=dlog(emb2)
+      call jeppe1(nx,nqb,xxl,qqlb,fb,ccb)
+
+
+      init=1
+   10 continue
+      
+      xlog=dlog(x)
+      qsqlog=dlog(qsq)
+
+      call jeppe2(xlog,qsqlog,nx,nq,xxl,qql,cc1,upv)
+      call jeppe2(xlog,qsqlog,nx,nq,xxl,qql,cc2,dnv)
+      call jeppe2(xlog,qsqlog,nx,nq,xxl,qql,cc3,glu)
+      call jeppe2(xlog,qsqlog,nx,nq,xxl,qql,cc4,usea)
+      call jeppe2(xlog,qsqlog,nx,nq,xxl,qql,cc6,str)
+      call jeppe2(xlog,qsqlog,nx,nq,xxl,qql,cc8,dsea)
+
+      chm=0.d0
+      if(qsq.gt.emc2) then 
+      call jeppe2(xlog,qsqlog,nx,nqc,xxl,qqlc,ccc,chm)
+      endif
+
+      bot=0.d0
+      if(qsq.gt.emb2) then 
+      call jeppe2(xlog,qsqlog,nx,nqb,xxl,qqlb,ccb,bot)
+      endif
+
+      x=xsave
+      qsq=q2save
+      return
+   50 format(8f10.5)
+      end
+
+      subroutine mrst_02_2(x,qsq,upv,dnv,usea,dsea,str,chm,bot,glu)
+      implicit real*8(a-h,o-z)
+c-fabio
+      Character Tablefile*40
+      data Tablefile/'mrst2002nnlo.dat'/
+      integer IU
+      common/IU/IU
+c
+      parameter(nx=49,nq=37,np=8,nqc0=2,nqb0=11,nqc=35,nqb=26)
+      real*8 f1(nx,nq),f2(nx,nq),f3(nx,nq),f4(nx,nq),f5(nx,nq),
+     .f6(nx,nq),f7(nx,nq),f8(nx,nq),fc(nx,nqc),fb(nx,nqb)
+      real*8 qq(nq),xx(nx),cc1(nx,nq,4,4),cc2(nx,nq,4,4),
+     .cc3(nx,nq,4,4),cc4(nx,nq,4,4),cc6(nx,nq,4,4),cc8(nx,nq,4,4),
+     .ccc(nx,nqc,4,4),ccb(nx,nqb,4,4)
+      real*8 xxl(nx),qql(nq),qqlc(nqc),qqlb(nqb)
+      data xx/1d-5,2d-5,4d-5,6d-5,8d-5,
+     .	      1d-4,2d-4,4d-4,6d-4,8d-4,
+     .	      1d-3,2d-3,4d-3,6d-3,8d-3,
+     .	      1d-2,1.4d-2,2d-2,3d-2,4d-2,6d-2,8d-2,
+     .	   .1d0,.125d0,.15d0,.175d0,.2d0,.225d0,.25d0,.275d0,
+     .	   .3d0,.325d0,.35d0,.375d0,.4d0,.425d0,.45d0,.475d0,
+     .	   .5d0,.525d0,.55d0,.575d0,.6d0,.65d0,.7d0,.75d0,
+     .	   .8d0,.9d0,1d0/
+      data qq/1.25d0,1.5d0,2d0,2.5d0,3.2d0,4d0,5d0,6.4d0,8d0,1d1,
+     .        1.2d1,1.8d1,2.6d1,4d1,6.4d1,1d2,
+     .        1.6d2,2.4d2,4d2,6.4d2,1d3,1.8d3,3.2d3,5.6d3,1d4,
+     .        1.8d4,3.2d4,5.6d4,1d5,1.8d5,3.2d5,5.6d5,1d6,
+     .        1.8d6,3.2d6,5.6d6,1d7/
+      data xmin,xmax,qsqmin,qsqmax/1d-5,1d0,1.25d0,1d7/
+      data init/0/
+      save
+      xsave=x
+      q2save=qsq
+      if(init.ne.0) goto 10
+c        open(unit=33,file='mrst2002nnlo.dat',status='old')
+        call OpenData(Tablefile)
+        do 20 n=1,nx-1
+        do 20 m=1,nq
+        read(IU,50)f1(n,m),f2(n,m),f3(n,m),f4(n,m),
+     .		  f5(n,m),f7(n,m),f6(n,m),f8(n,m)
+c notation: 1=uval 2=val 3=glue 4=usea 5=chm 6=str 7=btm 8=dsea
+  20  continue
+      do 40 m=1,nq
+      f1(nx,m)=0.d0
+      f2(nx,m)=0.d0
+      f3(nx,m)=0.d0
+      f4(nx,m)=0.d0
+      f5(nx,m)=0.d0
+      f6(nx,m)=0.d0
+      f7(nx,m)=0.d0
+      f8(nx,m)=0.d0
+  40  continue
+      do n=1,nx
+      xxl(n)=dlog(xx(n))
+      enddo
+      do m=1,nq
+      qql(m)=dlog(qq(m))
+      enddo
+
+      call jeppe1(nx,nq,xxl,qql,f1,cc1)
+      call jeppe1(nx,nq,xxl,qql,f2,cc2)
+      call jeppe1(nx,nq,xxl,qql,f3,cc3)
+      call jeppe1(nx,nq,xxl,qql,f4,cc4)
+      call jeppe1(nx,nq,xxl,qql,f6,cc6)
+      call jeppe1(nx,nq,xxl,qql,f8,cc8)
+
+      emc2=2.045
+      emb2=18.5
+
+      do 44 m=1,nqc
+      qqlc(m)=qql(m+nqc0)
+      do 44 n=1,nx
+      fc(n,m)=f5(n,m+nqc0)
+   44 continue
+      qqlc(1)=dlog(emc2)
+      call jeppe1(nx,nqc,xxl,qqlc,fc,ccc)
+
+      do 45 m=1,nqb
+      qqlb(m)=qql(m+nqb0)
+      do 45 n=1,nx
+      fb(n,m)=f7(n,m+nqb0)
+   45 continue
+      qqlb(1)=dlog(emb2)
+      call jeppe1(nx,nqb,xxl,qqlb,fb,ccb)
+
+
+      init=1
+   10 continue
+      
+      xlog=dlog(x)
+      qsqlog=dlog(qsq)
+
+      call jeppe2(xlog,qsqlog,nx,nq,xxl,qql,cc1,upv)
+      call jeppe2(xlog,qsqlog,nx,nq,xxl,qql,cc2,dnv)
+      call jeppe2(xlog,qsqlog,nx,nq,xxl,qql,cc3,glu)
+      call jeppe2(xlog,qsqlog,nx,nq,xxl,qql,cc4,usea)
+      call jeppe2(xlog,qsqlog,nx,nq,xxl,qql,cc6,str)
+      call jeppe2(xlog,qsqlog,nx,nq,xxl,qql,cc8,dsea)
+
+      chm=0.d0
+      if(qsq.gt.emc2) then 
+      call jeppe2(xlog,qsqlog,nx,nqc,xxl,qqlc,ccc,chm)
+      endif
+
+      bot=0.d0
+      if(qsq.gt.emb2) then 
+      call jeppe2(xlog,qsqlog,nx,nqb,xxl,qqlb,ccb,bot)
+      endif
+
+      x=xsave
+      qsq=q2save
+      return
+   50 format(8f10.5)
+      end
+

=== added file 'Template/Source/PDF/opendata.f'
--- Template/Source/PDF/opendata.f	1970-01-01 00:00:00 +0000
+++ Template/Source/PDF/opendata.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,61 @@
+      Integer Function NextUnopen()
+c********************************************************************
+C     Returns an unallocated FORTRAN i/o unit.
+c********************************************************************
+
+      Logical EX
+C
+      Do 10 N = 10, 300
+         INQUIRE (UNIT=N, OPENED=EX)
+         If (.NOT. EX) then
+            NextUnopen = N
+            Return
+         Endif
+ 10   Continue
+      Stop ' There is no available I/O unit. '
+C               *************************
+      End
+
+
+
+      subroutine OpenData(Tablefile)
+c********************************************************************
+c generic subroutine to open the table files in the right directories
+c********************************************************************
+      implicit none
+c
+      Character Tablefile*40,up*3,lib*4,dir*8,tempname*100
+      data up,lib,dir/'../','lib/','Pdfdata/'/
+      Integer IU,NextUnopen,i
+      External NextUnopen
+      common/IU/IU
+c
+c--   start
+c
+      IU=NextUnopen()
+
+c     first try in the current directory
+
+      tempname=dir//Tablefile
+      open(IU,file=tempname,status='old',ERR=10)
+      return
+
+ 10   tempname=lib//tempname
+      open(IU,file=tempname,status='old',ERR=20)
+
+ 20   continue
+      do i=0,6
+         open(IU,file=tempname,status='old',ERR=30)
+         return
+ 30      tempname=up//tempname
+         if (i.eq.6)then
+            write(*,*) 'Error: PDF file ',Tablefile,' not found'
+            stop
+         endif
+      enddo
+
+      print*,'table for the pdf NOT found!!!'
+      
+      return
+      end
+

=== added file 'Template/Source/PDF/pdf.f'
--- Template/Source/PDF/pdf.f	1970-01-01 00:00:00 +0000
+++ Template/Source/PDF/pdf.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,304 @@
+      subroutine pftopdg(ih,x,q,pdf)
+c***************************************************************************
+c     Wrapper for calling the pdf of MCFM
+c***************************************************************************
+      implicit none
+c
+c     Arguments
+c
+      DOUBLE  PRECISION x,q,pdf(-7:7)
+      INTEGER IH
+C
+C     Include
+C
+      include 'pdf.inc'
+C      
+      call fdist(ih,x, q, pdf)
+      
+      return	
+      end
+
+      subroutine fdist(ih,x,xmu,fx)
+C***********************************************************************
+C     MCFM PDF CALLING ROUTINE
+C***********************************************************************
+      implicit none
+      integer ih
+      double precision fx(-7:7),x,xmu
+      double precision u_val,d_val,u_sea,d_sea,s_sea,c_sea,b_sea,gluon
+      double precision Ctq3df,Ctq4Fn,Ctq5Pdf,Ctq6Pdf,Ctq5L
+      double precision q2max
+      double precision epa_electron,epa_proton
+      include 'pdf.inc'
+
+      integer mode,Iprtn,Irt
+
+          do Iprtn=-7,7
+             fx(Iprtn)=0d0
+          enddo
+C---set to zero if x out of range
+      if (x .ge. 1d0) then
+          return
+      endif
+ 	  	 
+      if     ((pdlabel(1:3) .eq. 'mrs')
+     .   .or. (pdlabel(2:4) .eq. 'mrs')) then
+
+             if     (pdlabel .eq. 'mrs02nl') then
+             mode=1
+             call mrst2002(x,xmu,mode,u_val,d_val,u_sea,d_sea,
+     &                          s_sea,c_sea,b_sea,gluon)
+             elseif     (pdlabel .eq. 'mrs02nn') then
+             mode=2
+             call mrst2002(x,xmu,mode,u_val,d_val,u_sea,d_sea,
+     &                          s_sea,c_sea,b_sea,gluon)
+             elseif     (pdlabel .eq. 'mrs0119') then
+             mode=1
+             call mrst2001(x,xmu,mode,u_val,d_val,u_sea,d_sea,
+     &                          s_sea,c_sea,b_sea,gluon)
+             elseif (pdlabel .eq. 'mrs0117') then
+             mode=2
+             call mrst2001(x,xmu,mode,u_val,d_val,u_sea,d_sea,
+     &                          s_sea,c_sea,b_sea,gluon)
+             elseif (pdlabel .eq. 'mrs0121') then
+             mode=3
+             call mrst2001(x,xmu,mode,u_val,d_val,u_sea,d_sea,
+     &                          s_sea,c_sea,b_sea,gluon)
+             elseif (pdlabel .eq. 'mrs01_j') then
+             mode=4
+             call mrst2001(x,xmu,mode,u_val,d_val,u_sea,d_sea,
+     &                          s_sea,c_sea,b_sea,gluon)
+             elseif     (pdlabel .eq. 'mrs99_1') then
+             mode=1
+             call mrs99(x,xmu,mode,u_val,d_val,u_sea,d_sea,
+     &                          s_sea,c_sea,b_sea,gluon)
+             elseif (pdlabel .eq. 'mrs99_2') then
+             mode=2
+             call mrs99(x,xmu,mode,u_val,d_val,u_sea,d_sea,
+     &                          s_sea,c_sea,b_sea,gluon)
+             elseif (pdlabel .eq. 'mrs99_3') then
+             mode=3
+             call mrs99(x,xmu,mode,u_val,d_val,u_sea,d_sea,
+     &                          s_sea,c_sea,b_sea,gluon)
+             elseif (pdlabel .eq. 'mrs99_4') then
+             mode=4
+             call mrs99(x,xmu,mode,u_val,d_val,u_sea,d_sea,
+     &                          s_sea,c_sea,b_sea,gluon)
+             elseif (pdlabel .eq. 'mrs99_5') then
+             mode=5
+             call mrs99(x,xmu,mode,u_val,d_val,u_sea,d_sea,
+     &                          s_sea,c_sea,b_sea,gluon)
+             elseif (pdlabel .eq. 'mrs99_6') then
+             mode=6
+             call mrs99(x,xmu,mode,u_val,d_val,u_sea,d_sea,
+     &                          s_sea,c_sea,b_sea,gluon)
+             elseif (pdlabel .eq. 'mrs99_7') then
+             mode=7
+             call mrs99(x,xmu,mode,u_val,d_val,u_sea,d_sea,
+     &                          s_sea,c_sea,b_sea,gluon)
+             elseif (pdlabel .eq. 'mrs99_8') then
+             mode=8
+             call mrs99(x,xmu,mode,u_val,d_val,u_sea,d_sea,
+     &                          s_sea,c_sea,b_sea,gluon)
+             elseif (pdlabel .eq. 'mrs99_9') then
+             mode=9
+             call mrs99(x,xmu,mode,u_val,d_val,u_sea,d_sea,
+     &                          s_sea,c_sea,b_sea,gluon)
+             elseif (pdlabel .eq. 'mrs9910') then
+             mode=10
+             call mrs99(x,xmu,mode,u_val,d_val,u_sea,d_sea,
+     &                          s_sea,c_sea,b_sea,gluon)
+             elseif (pdlabel .eq. 'mrs9911') then
+             mode=11
+             call mrs99(x,xmu,mode,u_val,d_val,u_sea,d_sea,
+     &                          s_sea,c_sea,b_sea,gluon)
+             elseif (pdlabel .eq. 'mrs9912') then
+             mode=12
+             call mrs99(x,xmu,mode,u_val,d_val,u_sea,d_sea,
+     &                          s_sea,c_sea,b_sea,gluon)
+             elseif (pdlabel .eq. 'mrs98z1') then
+             mode=1
+             call mrs98(x,xmu,mode,u_val,d_val,u_sea,d_sea,
+     &                          s_sea,c_sea,b_sea,gluon)
+             elseif (pdlabel .eq. 'mrs98z2') then
+             mode=2 
+             call mrs98(x,xmu,mode,u_val,d_val,u_sea,d_sea,
+     &                          s_sea,c_sea,b_sea,gluon)
+             elseif (pdlabel .eq. 'mrs98z3') then
+             mode=3
+             call mrs98(x,xmu,mode,u_val,d_val,u_sea,d_sea,
+     &                          s_sea,c_sea,b_sea,gluon)
+             elseif (pdlabel .eq. 'mrs98z4') then
+             mode=4
+             call mrs98(x,xmu,mode,u_val,d_val,u_sea,d_sea,
+     &                          s_sea,c_sea,b_sea,gluon)
+             elseif (pdlabel .eq. 'mrs98z5') then
+             mode=5
+             call mrs98(x,xmu,mode,u_val,d_val,u_sea,d_sea,
+     &                          s_sea,c_sea,b_sea,gluon)
+             elseif (pdlabel .eq. 'mrs98l1') then
+             mode=1
+             call mrs98lo(x,xmu,mode,u_val,d_val,u_sea,d_sea,
+     &                          s_sea,c_sea,b_sea,gluon)
+             elseif (pdlabel .eq. 'mrs98l2') then
+             mode=2 
+             call mrs98lo(x,xmu,mode,u_val,d_val,u_sea,d_sea,
+     &                          s_sea,c_sea,b_sea,gluon)
+             elseif (pdlabel .eq. 'mrs98l3') then
+             mode=3
+             call mrs98lo(x,xmu,mode,u_val,d_val,u_sea,d_sea,
+     &                          s_sea,c_sea,b_sea,gluon)
+             elseif (pdlabel .eq. 'mrs98l4') then
+             mode=4
+             call mrs98lo(x,xmu,mode,u_val,d_val,u_sea,d_sea,
+     &                          s_sea,c_sea,b_sea,gluon)
+             elseif (pdlabel .eq. 'mrs98l5') then
+             mode=5
+             call mrs98lo(x,xmu,mode,u_val,d_val,u_sea,d_sea,
+     &                          s_sea,c_sea,b_sea,gluon)
+             elseif (pdlabel .eq. 'mrs98ht') then
+             mode=1
+             call mrs98ht(x,xmu,mode,u_val,d_val,u_sea,d_sea,
+     &                          s_sea,c_sea,b_sea,gluon)
+             endif
+c-----assign mrs to standard grid
+            fx(-5)=b_sea/x
+            fx(-4)=c_sea/x
+            fx(-3)=s_sea/x
+            fx( 0)=gluon/x
+            fx(+3)=fx(-3)
+            fx(+4)=fx(-4)
+            fx(+5)=fx(-5)
+               fx(1)=(d_val+d_sea)/x
+               fx(2)=(u_val+u_sea)/x
+               fx(-1)=d_sea/x
+               fx(-2)=u_sea/x
+C
+      elseif (pdlabel(1:5) .eq. 'cteq3') then
+C     
+         if (pdlabel .eq. 'cteq3_m') then
+            mode=1
+         elseif (pdlabel .eq. 'cteq3_l') then
+            mode=2
+         elseif (pdlabel .eq. 'cteq3_d') then
+            mode=3
+         endif
+         fx(-5)=Ctq3df(mode,-5,x,xmu,Irt)/x
+         fx(-4)=Ctq3df(mode,-4,x,xmu,Irt)/x
+         fx(-3)=Ctq3df(mode,-3,x,xmu,Irt)/x
+         
+         fx(0)=Ctq3df(mode,0,x,xmu,Irt)/x
+         
+         fx(+3)=Ctq3df(mode,+3,x,xmu,Irt)/x
+         fx(+4)=Ctq3df(mode,+4,x,xmu,Irt)/x
+         fx(+5)=Ctq3df(mode,+5,x,xmu,Irt)/x
+            fx(-1)=Ctq3df(mode,-2,x,xmu,Irt)/x
+            fx(-2)=Ctq3df(mode,-1,x,xmu,Irt)/x
+            fx(1)=Ctq3df(mode,+2,x,xmu,Irt)/x+fx(-1)
+            fx(2)=Ctq3df(mode,+1,x,xmu,Irt)/x+fx(-2)
+C     
+      elseif (pdlabel(1:5) .eq. 'cteq4') then
+C     
+         if (pdlabel .eq. 'cteq4_m') then
+            mode=1
+         elseif (pdlabel .eq. 'cteq4_d') then
+            mode=2
+         elseif (pdlabel .eq. 'cteq4_l') then
+            mode=3
+         elseif (pdlabel .eq. 'cteq4a1') then
+            mode=4
+         elseif (pdlabel .eq. 'cteq4a2') then
+            mode=5
+         elseif (pdlabel .eq. 'cteq4a3') then
+            mode=6
+         elseif (pdlabel .eq. 'cteq4a4') then
+            mode=7
+         elseif (pdlabel .eq. 'cteq4a5') then
+            mode=8
+         elseif (pdlabel .eq. 'cteq4hj') then
+            mode=9
+         elseif (pdlabel .eq. 'cteq4lq') then
+            mode=10
+         endif
+         
+         fx(-5)=Ctq4Fn(mode,-5,x,xmu)
+         fx(-4)=Ctq4Fn(mode,-4,x,xmu)
+         fx(-3)=Ctq4Fn(mode,-3,x,xmu)
+         
+         fx(0)=Ctq4Fn(mode,0,x,xmu)
+         
+         fx(+3)=Ctq4Fn(mode,+3,x,xmu)
+         fx(+4)=Ctq4Fn(mode,+4,x,xmu)
+         fx(+5)=Ctq4Fn(mode,+5,x,xmu)
+            fx(1)=Ctq4Fn(mode,+2,x,xmu)
+            fx(2)=Ctq4Fn(mode,+1,x,xmu)
+            fx(-1)=Ctq4Fn(mode,-2,x,xmu)
+            fx(-2)=Ctq4Fn(mode,-1,x,xmu)
+C
+      elseif (pdlabel .eq. 'cteq5l1') then
+C
+         fx(-5)=Ctq5L(-5,x,xmu)
+         fx(-4)=Ctq5L(-4,x,xmu)
+         fx(-3)=Ctq5L(-3,x,xmu)
+         
+         fx(0)=Ctq5L(0,x,xmu)
+         
+         fx(+3)=Ctq5L(+3,x,xmu)
+         fx(+4)=Ctq5L(+4,x,xmu)
+         fx(+5)=Ctq5L(+5,x,xmu)
+         
+            fx(1)=Ctq5L(+2,x,xmu)
+            fx(2)=Ctq5L(+1,x,xmu)
+            fx(-1)=Ctq5L(-2,x,xmu)
+            fx(-2)=Ctq5L(-1,x,xmu)
+C         
+      elseif ((pdlabel(1:5) .eq. 'cteq5') .or. 
+     .        (pdlabel(1:4) .eq. 'ctq5')) then
+C         
+         fx(-5)=Ctq5Pdf(-5,x,xmu)
+         fx(-4)=Ctq5Pdf(-4,x,xmu)
+         fx(-3)=Ctq5Pdf(-3,x,xmu)
+         
+         fx(0)=Ctq5Pdf(0,x,xmu)
+         
+         fx(+3)=Ctq5Pdf(+3,x,xmu)
+         fx(+4)=Ctq5Pdf(+4,x,xmu)
+         fx(+5)=Ctq5Pdf(+5,x,xmu)
+         
+            fx(1)=Ctq5Pdf(+2,x,xmu)
+            fx(2)=Ctq5Pdf(+1,x,xmu)
+            fx(-1)=Ctq5Pdf(-2,x,xmu)
+            fx(-2)=Ctq5Pdf(-1,x,xmu)
+C                  
+      elseif (pdlabel(1:5) .eq. 'cteq6') then
+C         
+         fx(-5)=Ctq6Pdf(-5,x,xmu)
+         fx(-4)=Ctq6Pdf(-4,x,xmu)
+         fx(-3)=Ctq6Pdf(-3,x,xmu)
+         
+         fx(0)=Ctq6Pdf(0,x,xmu)
+         
+         fx(+3)=Ctq6Pdf(+3,x,xmu)
+         fx(+4)=Ctq6Pdf(+4,x,xmu)
+         fx(+5)=Ctq6Pdf(+5,x,xmu)
+         
+            fx(1)=Ctq6Pdf(+2,x,xmu)
+            fx(2)=Ctq6Pdf(+1,x,xmu)
+            fx(-1)=Ctq6Pdf(-2,x,xmu)
+            fx(-2)=Ctq6Pdf(-1,x,xmu)
+      endif      
+c
+c  a "diffractive" photon
+c      
+      q2max=xmu*xmu
+      if(ih .eq. 3) then  !from the electron
+          fx(7)=epa_electron(x,q2max)
+      elseif(ih .eq. 2) then  !from a proton without breaking
+          fx(7)=epa_proton(x,q2max)
+      endif      
+      
+      return
+      end
+      
+  
+

=== added file 'Template/Source/PDF/pdf.inc'
--- Template/Source/PDF/pdf.inc	1970-01-01 00:00:00 +0000
+++ Template/Source/PDF/pdf.inc	2010-10-30 03:26:37 +0000
@@ -0,0 +1,11 @@
+
+c***********************************************************************
+c     this files contains the common blocks for the 
+c     pdf and the alpha_s settings
+c
+c     pdlabel= string identifying the pdf    
+c***********************************************************************
+      character*7 pdlabel,epa_label
+      integer lhaid
+      common/to_pdf/lhaid,pdlabel,epa_label
+ 	

=== added file 'Template/Source/PDF/pdf_lhapdf.f'
--- Template/Source/PDF/pdf_lhapdf.f	1970-01-01 00:00:00 +0000
+++ Template/Source/PDF/pdf_lhapdf.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,34 @@
+      subroutine pftopdglha(ih,x,q,pdf)
+c***************************************************************************
+c     Wrapper for calling the pdf from lhapdf
+c***************************************************************************
+      implicit none
+c
+c     Arguments
+c
+      DOUBLE  PRECISION x,q,pdf(-7:7)
+      DOUBLE  PRECISION f(-6:6)
+      INTEGER IH,I
+C
+C     Include
+C
+      include 'pdf.inc'
+C      
+      if(abs(ih).eq.1) then
+         pdf(-7)=0d0
+         pdf(7)=0d0
+         call evolvePDF(x, q, f)
+         do i=-6,6
+            pdf(i)=f(i)/x
+         enddo
+      else
+         write (*,*) 'beam type not supported in lhadpf'
+         do i=-7,7
+            pdf(i)=0d0
+         enddo
+      endif
+
+      return	
+      end
+  
+

=== added file 'Template/Source/PDF/pdf_list.txt'
--- Template/Source/PDF/pdf_list.txt	1970-01-01 00:00:00 +0000
+++ Template/Source/PDF/pdf_list.txt	2010-10-30 03:26:37 +0000
@@ -0,0 +1,75 @@
+    name           pdflabel     Data file         as(Mz)       nloop    
+---------------------------------------------------------------------
+          
+ MRST2002NLO       mrs02nl     mrst2002nlo.dat    0.1197         2
+ MRST2002NNLO      mrs02nn     mrst2002nnlo.dat   0.1154         2
+ 
+ MRST2001-cg       mrs0119     alf119.dat         0.119          2
+ MRST2001-lg       mrs0117     alf117.dat         0.117          2
+ MRST2001-hg       mrs0121     alf121.dat         0.121          2
+ MRST2001-jet      mrs01_j     j121.dat           0.121          2
+
+ MRS99-cg          mrs99_1     cor01.dat          0.1175         2
+ MRS99-hg          mrs99_2     cor02.dat          0.1175         2
+ MRS99-lg          mrs99_3     cor03.dat          0.1175         2
+ MRS99-la          mrs99_4     cor04.dat          0.1125         2
+ MRS99-ha          mrs99_5     cor05.dat          0.1225         2
+ MRS99-qu          mrs99_6     cor06.dat          0.1178         2
+ MRS99-qd          mrs99_7     cor07.dat          0.1171         2
+ MRS99-su          mrs99_8     cor08.dat          0.1175         2
+ MRS99-sd          mrs99_9     cor09.dat          0.1175         2
+ MRS99-su          mrs9910     cor10.dat          0.1175         2
+ MRS99-cd          mrs9911     cor11.dat          0.1175         2
+ MRS99-lq          mrs9912     cor12.dat          0.1175         2
+
+ MRS98-cg          mrs98z1     ft08a.dat          0.1175         2
+ MRS98-hg          mrs98z2     ft09a.dat          0.1175         2
+ MRS98-lg          mrs98z3     ft11a.dat          0.1175         2
+ MRS98-la          mrs98z4     ft24a.dat          0.1125         2
+ MRS98-ha          mrs98z5     ft23a.dat          0.1225         2
+ MRS98-ht          mrs98ht     ht11b.dat          0.1175         2
+
+ MRS98LO-cg        mrs98l1     lo05a.dat          0.1250         1
+ MRS98LO-hg        mrs98l2     lo09a.dat          0.1250         1
+ MRS98LO-lg        mrs98l3     lo10a.dat          0.1250         1
+ MRS98LO-la        mrs98l4     lo01a.dat          0.1200         1
+ MRS98LO-ha        mrs98l5     lo07a.dat          0.1300         1
+
+-------------------------------------------------------------------
+
+ CTEQ6M            cteq6_m     cteq6m.tbl         0.118          2
+ CTEQ6D            cteq6_d     cteq6d.tbl         0.118          2
+ CTEQ6L            cteq6_l     cteq6l.tbl         0.118          2
+ CTEQ6L1           cteq6l1     cteq6l1.tbl        0.130          1
+
+ CTEQ5M            cteq5_m     cteq5m.tbl         0.118          2
+ CTEQ5D            cteq5_d     cteq5d.tbl         0.118          2
+ CTEQ5L            cteq5_l     cteq5l.tbl         0.127          1
+ CTEQ5L parametric cteq5l1     ----------         0.127          1
+ CTEQ5HJ           cteq5hj     cteq5hj.tbl        0.118          2
+ CTEQ5HQ           cteq5hq     cteq5hq.tbl        0.118          2
+ CTEQ5F3           cteq5f3     cteq5f3.tbl        0.106          2
+ CTEQ5F4           cteq5f4     cteq5f4.tbl        0.112          2
+ CTEQ5M1           cteq5m1     cteq5m1.tbl        0.118          2
+ CTEQ5HQ1          ctq5hq1     ctq5hq1.tbl        0.118          2
+
+ CTEQ4M            cteq4_m     cteq4m.tbl         0.116          2
+ CTEQ4D            cteq4_d     cteq4d.tbl         0.116          2
+ CTEQ4L            cteq4_l     cteq4l.tbl         0.132          1
+ CTEQ4A1           cteq4a1     cteq4a1.tbl        0.110          2
+ CTEQ4A2           cteq4a2     cteq4a2.tbl        0.113          2
+ CTEQ4A3           cteq4a3     cteq4m.tbl         0.116          2
+ CTEQ4A4           cteq4a4     cteq4a4.tbl        0.119          2
+ CTEQ4A5           cteq4a5     cteq4a5.tbl        0.122          2
+ CTEQ4HJ           cteq4hj     cteq4hj.tbl        0.116          2
+ CTEQ4LQ           cteq4lq     cteq4lq.tbl        0.114          2
+
+ CTEQ3M            cteq3_m     ---------          0.112          2
+ CTEQ3L            cteq3_l     ---------          0.112          1
+ CTEQ3D            cteq3_d     ---------          0.112          2
+
+
+
+
+ 
+

=== added file 'Template/Source/PDF/pdfwrap.f'
--- Template/Source/PDF/pdfwrap.f	1970-01-01 00:00:00 +0000
+++ Template/Source/PDF/pdfwrap.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,264 @@
+      subroutine pdfwrap
+      implicit none
+C
+C     INCLUDE
+C
+      include 'pdf.inc'
+      include '../alfas.inc'
+
+c-------------------
+c     START THE CODE
+c-------------------      
+
+      nloop=2 ! NLO running unless set otherwise
+
+C
+c  MRST2002
+c  1     NLO   0.1197    0.00949 
+c  2     NNLO  0.1154    0.00685
+C  
+      if     (pdlabel .eq. 'mrs02nl') then
+      asmz=0.1197d0 
+      elseif     (pdlabel .eq. 'mrs02nn') then
+      asmz=0.1154d0
+C
+c  MRST2001
+c  1     alf119  central gluon, a_s       323      0.119    0.00927  
+c  2     alf117  lower a_s                290      0.117    0.00953  
+c  3     alf121  higher a_s               362      0.121    0.00889  
+c  4     j121    better fit to jet data   353      0.121    0.00826  
+C
+      elseif     (pdlabel .eq. 'mrs0119') then
+      asmz=0.119d0
+      elseif     (pdlabel .eq. 'mrs0117') then
+      asmz=0.117d0
+      elseif     (pdlabel .eq. 'mrs0121') then
+      asmz=0.121d0
+      elseif     (pdlabel .eq. 'mrs01_j') then
+      asmz=0.121d0
+C
+C MRS99
+C  1     COR01  central gluon, a_s    300      0.1175   0.00537  C
+C  2     COR02  higher gluon          300      0.1175   0.00497  C
+C  3     COR03  lower gluon           300      0.1175   0.00398  C
+C  4     COR04  lower a_s             229      0.1125   0.00585  C
+C  5     COR05  higher a_s            383      0.1225   0.00384  C
+C  6     COR06  quarks up             303.3    0.1178   0.00497  C
+C  7     COR07  quarks down           290.3    0.1171   0.00593  C
+C  8     COR08  strange up            300      0.1175   0.00524  C
+C  9     COR09  strange down          300      0.1175   0.00524  C
+C  10    C0R10  charm up              300      0.1175   0.00525  C
+C  11    COR11  charm down            300      0.1175   0.00524  C
+C  12    COR12  larger d/u            300      0.1175   0.00515  C
+C
+      elseif     (pdlabel .eq. 'mrs99_1') then
+      asmz=0.1175d0
+      elseif (pdlabel .eq. 'mrs99_2') then
+      asmz=0.1175d0
+      elseif (pdlabel .eq. 'mrs99_3') then
+      asmz=0.1175d0
+      elseif (pdlabel .eq. 'mrs99_4') then
+      asmz=0.1125d0
+      elseif (pdlabel .eq. 'mrs99_5') then
+      asmz=0.1225d0
+      elseif (pdlabel .eq. 'mrs99_6') then
+      asmz=0.1178d0
+      elseif (pdlabel .eq. 'mrs99_7') then
+      asmz=0.1171d0
+      elseif (pdlabel .eq. 'mrs99_8') then
+      asmz=0.1175d0
+      elseif (pdlabel .eq. 'mrs99_9') then
+      asmz=0.1175d0
+      elseif (pdlabel .eq. 'mrs9910') then
+      asmz=0.1175d0
+      elseif (pdlabel .eq. 'mrs9911') then
+      asmz=0.1175d0
+      elseif (pdlabel .eq. 'mrs9912') then
+      asmz=0.1175d0
+C
+C MRS98
+C    ft08a  central gluon, a_s  300      0.1175   0.00561  
+C    ft09a  higher gluon        300      0.1175   0.00510  
+C    ft11a  lower gluon         300      0.1175   0.00408  
+C    ft24a  lower a_s           229      0.1125   0.00586  
+C    ft23a  higher a_s          383      0.1225   0.00410  
+C
+      elseif (pdlabel .eq. 'mrs98z1') then
+      asmz=0.1175d0
+      elseif (pdlabel .eq. 'mrs98z2') then
+      asmz=0.1175d0
+      elseif (pdlabel .eq. 'mrs98z3') then
+      asmz=0.1175d0
+      elseif (pdlabel .eq. 'mrs98z4') then
+      asmz=0.1125d0
+      elseif (pdlabel .eq. 'mrs98z5') then
+      asmz=0.1225d0
+      elseif (pdlabel .eq. 'mrs98ht') then
+c-- real value
+      asmz=0.1170d0
+c-- modified - DEBUG
+      asmz=0.1175d0
+      write(6,*) 'alpha_s(MZ) for mrs98ht has been modified from'
+      write(6,*) 'the inherent 0.1170 to a new value of 0.1175'    
+C
+C  MRS98LO
+C    lo05a  central gluon, a_s  174      0.1250   0.01518  
+C    lo09a  higher gluon        174      0.1250   0.01616  
+C    lo10a  lower gluon         174      0.1250   0.01533  
+C    lo01a  lower a_s           136      0.1200   0.01652  
+C    lo07a  higher a_s          216      0.1300   0.01522  
+C
+      elseif (pdlabel .eq. 'mrs98l1') then
+      asmz=0.125d0
+      nloop=1
+      elseif (pdlabel .eq. 'mrs98l2') then
+      asmz=0.125d0
+      nloop=1
+      elseif (pdlabel .eq. 'mrs98l3') then
+      asmz=0.125d0
+      nloop=1
+      elseif (pdlabel .eq. 'mrs98l4') then
+      asmz=0.120d0
+      nloop=1
+      elseif (pdlabel .eq. 'mrs98l5') then
+      asmz=0.130d0
+      nloop=1
+C
+C CTEQ4
+C   1      CTEQ4M   Standard MSbar scheme   0.116        1.6      cteq4m.tbl
+C   2      CTEQ4D   Standard DIS scheme     0.116        1.6      cteq4d.tbl
+C   3      CTEQ4L   Leading Order           0.116        1.6      cteq4l.tbl
+C   4      CTEQ4A1  Alpha_s series          0.110        1.6      cteq4a1.tbl
+C   5      CTEQ4A2  Alpha_s series          0.113        1.6      cteq4a2.tbl
+C   6      CTEQ4A3  same as CTEQ4M          0.116        1.6      cteq4m.tbl
+C   7      CTEQ4A4  Alpha_s series          0.119        1.6      cteq4a4.tbl
+C   8      CTEQ4A5  Alpha_s series          0.122        1.6      cteq4a5.tbl
+C   9      CTEQ4HJ  High Jet                0.116        1.6      cteq4hj.tbl
+C   10     CTEQ4LQ  Low Q0                  0.114        0.7      cteq4lq.tbl
+C
+      elseif (pdlabel .eq. 'cteq3_m') then
+      asmz=0.112d0
+      elseif (pdlabel .eq. 'cteq3_l') then
+c---??????
+      asmz=0.112d0
+      nloop=1
+      elseif (pdlabel .eq. 'cteq3_d') then
+c---??????
+      asmz=0.112d0
+      elseif (pdlabel .eq. 'cteq4_m') then
+      asmz=0.116d0
+      elseif (pdlabel .eq. 'cteq4_d') then
+      asmz=0.116d0
+      elseif (pdlabel .eq. 'cteq4_l') then 
+      asmz=0.132d0
+      nloop=1
+      elseif (pdlabel .eq. 'cteq4a1') then
+      asmz=0.110d0
+      elseif (pdlabel .eq. 'cteq4a2') then
+      asmz=0.113d0
+      elseif (pdlabel .eq. 'cteq4a3') then
+      asmz=0.116d0
+      elseif (pdlabel .eq. 'cteq4a4') then
+      asmz=0.119d0
+      elseif (pdlabel .eq. 'cteq4a5') then
+      asmz=0.122d0
+      elseif (pdlabel .eq. 'cteq4hj') then
+      asmz=0.116d0
+      elseif (pdlabel .eq. 'cteq4lq') then
+      asmz=0.114d0
+C
+C ---------------------------------------------------------------------------
+C  Iset   PDF        Description       Alpha_s(Mz)  Lam4  Lam5   Table_File
+C ---------------------------------------------------------------------------
+C   1    CTEQ5M   Standard MSbar scheme   0.118     326   226    cteq5m.tbl
+C   2    CTEQ5D   Standard DIS scheme     0.118     326   226    cteq5d.tbl
+C   3    CTEQ5L   Leading Order           0.127     192   146    cteq5l.tbl
+C   4    CTEQ5HJ  Large-x gluon enhanced  0.118     326   226    cteq5hj.tbl
+C   5    CTEQ5HQ  Heavy Quark             0.118     326   226    cteq5hq.tbl
+C   6    CTEQ5F3  Nf=3 FixedFlavorNumber  0.106     (Lam3=395)   cteq5f3.tbl
+C   7    CTEQ5F4  Nf=4 FixedFlavorNumber  0.112     309   XXX    cteq5f4.tbl
+C         --------------------------------------------------------
+C   8    CTEQ5M1  Improved CTEQ5M         0.118     326   226    cteq5m1.tbl
+C   9    CTEQ5HQ1 Improved CTEQ5HQ        0.118     326   226    ctq5hq1.tbl
+C ---------------------------------------------------------------------------
+C
+      elseif (pdlabel .eq. 'cteq5_m') then
+      Call SetCtq5(1)
+      asmz=0.118d0
+      elseif (pdlabel .eq. 'cteq5_d') then
+      Call SetCtq5(2)
+      asmz=0.118d0
+      elseif (pdlabel .eq. 'cteq5_l') then
+      Call SetCtq5(3)
+      asmz=0.127d0
+      nloop=1
+      elseif (pdlabel .eq. 'cteq5l1') then
+      asmz=0.127d0
+      nloop=1
+      elseif (pdlabel .eq. 'cteq5hj') then
+      Call SetCtq5(4)
+      asmz=0.118d0
+      elseif (pdlabel .eq. 'cteq5hq') then
+      Call SetCtq5(5)
+      asmz=0.118d0
+      elseif (pdlabel .eq. 'cteq5f3') then
+      Call SetCtq5(6)
+      asmz=0.106d0
+      elseif (pdlabel .eq. 'cteq5f4') then
+      Call SetCtq5(7)
+      asmz=0.112d0
+      elseif (pdlabel .eq. 'cteq5m1') then
+      Call SetCtq5(8)
+      asmz=0.118d0
+      elseif (pdlabel .eq. 'ctq5hq1') then
+      Call SetCtq5(9)
+      asmz=0.118d0
+C
+C   1    CTEQ6M   Standard MSbar scheme   0.118     326   226    cteq6m.tbl
+C   2    CTEQ6D   Standard DIS scheme     0.118     326   226    cteq6d.tbl
+C   3    CTEQ6L   Leading Order           0.118**   326** 226    cteq6l.tbl
+C   4    CTEQ6L1  Leading Order           0.130**   215** 165    cteq6l1.tbl
+C
+C Note:CTEQ6L1 uses the LO running alpha_s 
+C
+      elseif (pdlabel .eq. 'cteq6_m') then
+      asmz=0.118d0
+      Call SetCtq6(1)
+      elseif (pdlabel .eq. 'cteq6_d') then
+      asmz=0.118d0
+      Call SetCtq6(2)
+      elseif (pdlabel .eq. 'cteq6_l') then
+      asmz=0.118d0
+      Call SetCtq6(3)
+      elseif (pdlabel .eq. 'cteq6l1') then
+      asmz=0.130d0
+      nloop=1
+      Call SetCtq6(4)
+      else
+          write(6,*) 'Unimplemented distribution= ',pdlabel
+          write(6,*) 'Implemented are: ',
+     .'mrs02nl,','mrs02nn,',
+     .'mrs0119,','mrs0117,','mrs0121,','mrs01_j,',
+     .'mrs99_1,','mrs99_2,','mrs99_3,','mrs99_4,','mrs99_5,','mrs99_6,',
+     .'mrs99_7,','mrs99_8,','mrs99_9,','mrs9910,','mrs9911,','mrs9912,',
+     .'mrs98z1,','mrs98z2,','mrs98z3,','mrs98z4,','mrs98z5,','mrs98ht,',
+     .'mrs98l1,','mrs98l2,','mrs98l3,','mrs98l4,','mrs98l5,',
+     .'cteq3_m,','cteq3_l,','cteq3_d,',
+     .'cteq4_m,','cteq4_d,','cteq4_l,','cteq4a1,','cteq4a2,',
+     .'cteq4a3,','cteq4a4,','cteq4a5,','cteq4hj,','cteq4lq,',
+     .'cteq5_m,','cteq5_d,','cteq5_l,','cteq5hj,','cteq5hq,',
+     .'cteq5f3,','cteq5f4,','cteq5m1,','ctq5hq1,','cteq5l1,',
+     .'cteq6_m,','cteq6_d,','cteq6_l,','cteq6l1,'
+c
+c
+	   write(6,*) 'Setting it to default cteq6l1'
+       pdlabel='cteq6l1'
+       asmz=0.130d0
+       nloop=1
+       Call SetCtq6(4)
+
+      endif      
+      return
+      end
+ 
+

=== added file 'Template/Source/PDF/pdfwrap_lhapdf.f'
--- Template/Source/PDF/pdfwrap_lhapdf.f	1970-01-01 00:00:00 +0000
+++ Template/Source/PDF/pdfwrap_lhapdf.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,61 @@
+      subroutine pdfwrap
+      implicit none
+C
+C     INCLUDE
+C
+      include 'pdf.inc'
+      include '../alfas.inc'
+      real*8 zmass
+      data zmass/91.188d0/
+      Character*150 LHAPath
+      character*20 parm(20)
+      double precision value(20)
+      real*8 alphasPDF
+      external alphasPDF
+
+
+c-------------------
+c     START THE CODE
+c-------------------      
+
+c     initialize the pdf set
+      call FindPDFPath(LHAPath)
+      CALL SetPDFPath(LHAPath)
+      value(1)=lhaid
+      parm(1)='DEFAULT'
+      call pdfset(parm,value)
+      call GetOrderAs(nloop)
+      nloop=nloop+1  
+      asmz=alphasPDF(zmass)
+      
+      return
+      end
+ 
+
+      subroutine FindPDFPath(LHAPath)
+c********************************************************************
+c generic subroutine to open the table files in the right directories
+c********************************************************************
+      implicit none
+c
+      Character LHAPath*150,up*3
+      data up/'../'/
+      logical exists
+      integer i
+
+c     first try in the current directory
+
+      LHAPath='lib/PDFsets'
+      Inquire(File=LHAPath, exist=exists)
+      if(exists)return
+      do i=1,6
+         LHAPath=up//LHAPath
+         Inquire(File=LHAPath, exist=exists)
+         if(exists)return
+      enddo
+      print*,'Could not find PDFsets directory, quitting'
+      stop
+      
+      return
+      end
+

=== added file 'Template/Source/PDF/pdg2pdf.f'
--- Template/Source/PDF/pdg2pdf.f	1970-01-01 00:00:00 +0000
+++ Template/Source/PDF/pdg2pdf.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,120 @@
+      double precision function pdg2pdf(ih,ipdg,x,xmu)
+c***************************************************************************
+c     Based on pdf.f, wrapper for calling the pdf of MCFM
+c***************************************************************************
+      implicit none
+c
+c     Arguments
+c
+      DOUBLE  PRECISION x,xmu
+      INTEGER IH,ipdg,ipart
+C
+C     Include
+C
+      include 'pdf.inc'
+C      
+      double precision Ctq3df,Ctq4Fn,Ctq5Pdf,Ctq6Pdf,Ctq5L
+      integer mode,Irt,ihlast
+      double precision xlast,xmulast,pdflast(-7:7),q2max
+      double precision epa_electron,epa_proton
+      save ihlast,xlast,xmulast,pdflast
+
+      ipart=ipdg
+      if(iabs(ipart).eq.21) ipart=0
+      if(iabs(ipart).eq.22) ipart=7
+
+      if(iabs(ipart).eq.7.and.ih.gt.1) then
+         q2max=xmu*xmu
+         if(ih.eq.3) then       !from the electron
+            pdg2pdf=epa_electron(x,q2max)
+         elseif(ih .eq. 2) then !from a proton without breaking
+            pdg2pdf=epa_proton(x,q2max)
+         endif 
+         return
+      endif
+      
+      if (pdlabel(1:5) .eq. 'cteq3') then
+C     
+         if (pdlabel .eq. 'cteq3_m') then
+            mode=1
+         elseif (pdlabel .eq. 'cteq3_l') then
+            mode=2
+         elseif (pdlabel .eq. 'cteq3_d') then
+            mode=3
+         endif
+
+         
+         if(iabs(ipart).ge.1.and.iabs(ipart).le.2)
+     $      ipart=sign(3-iabs(ipart),ipart)
+
+         pdg2pdf=Ctq3df(mode,ipart,x,xmu,Irt)/x
+
+         if(ipdg.ge.1.and.ipdg.le.2)
+     $      pdg2pdf=pdg2pdf+Ctq3df(mode,-ipart,x,xmu,Irt)/x
+
+C     
+      elseif (pdlabel(1:5) .eq. 'cteq4') then
+C     
+         if (pdlabel .eq. 'cteq4_m') then
+            mode=1
+         elseif (pdlabel .eq. 'cteq4_d') then
+            mode=2
+         elseif (pdlabel .eq. 'cteq4_l') then
+            mode=3
+         elseif (pdlabel .eq. 'cteq4a1') then
+            mode=4
+         elseif (pdlabel .eq. 'cteq4a2') then
+            mode=5
+         elseif (pdlabel .eq. 'cteq4a3') then
+            mode=6
+         elseif (pdlabel .eq. 'cteq4a4') then
+            mode=7
+         elseif (pdlabel .eq. 'cteq4a5') then
+            mode=8
+         elseif (pdlabel .eq. 'cteq4hj') then
+            mode=9
+         elseif (pdlabel .eq. 'cteq4lq') then
+            mode=10
+         endif
+         
+         if(iabs(ipart).ge.1.and.iabs(ipart).le.2)
+     $      ipart=sign(3-iabs(ipart),ipart)
+
+         pdg2pdf=Ctq4Fn(mode,ipart,x,xmu)
+C
+      elseif (pdlabel .eq. 'cteq5l1') then
+C
+         if(iabs(ipart).ge.1.and.iabs(ipart).le.2)
+     $      ipart=sign(3-iabs(ipart),ipart)
+
+         pdg2pdf=Ctq5L(ipart,x,xmu)
+C         
+      elseif ((pdlabel(1:5) .eq. 'cteq5') .or. 
+     .        (pdlabel(1:4) .eq. 'ctq5')) then
+C         
+         if(iabs(ipart).ge.1.and.iabs(ipart).le.2)
+     $      ipart=sign(3-iabs(ipart),ipart)
+
+         pdg2pdf=Ctq5Pdf(ipart,x,xmu)
+C                  
+      elseif (pdlabel(1:5) .eq. 'cteq6') then
+C         
+         if(iabs(ipart).ge.1.and.iabs(ipart).le.2)
+     $      ipart=sign(3-iabs(ipart),ipart)
+
+         pdg2pdf=Ctq6Pdf(ipart,x,xmu)
+
+      else
+        if(ih.eq.ihlast.and.x.eq.xlast.and.xmu.eq.xmulast)then
+          pdg2pdf=pdflast(ipart);
+        else
+          call pftopdg(ih,x,xmu,pdflast)
+          ihlast=ih
+          xlast=x
+          xmulast=xmu
+          pdg2pdf=pdflast(ipart);
+        endif
+      endif      
+
+      end
+

=== added file 'Template/Source/PDF/pdg2pdf_lhapdf.f'
--- Template/Source/PDF/pdg2pdf_lhapdf.f	1970-01-01 00:00:00 +0000
+++ Template/Source/PDF/pdg2pdf_lhapdf.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,35 @@
+      double precision function pdg2pdf(ih,ipdg,x,xmu)
+c***************************************************************************
+c     Based on pdf.f, wrapper for calling the pdf of MCFM
+c***************************************************************************
+      implicit none
+c
+c     Arguments
+c
+      DOUBLE  PRECISION x,xmu
+      INTEGER IH,ipdg,ipart
+C
+C     Include
+C
+      include 'pdf.inc'
+C      
+      double precision Ctq3df,Ctq4Fn,Ctq5Pdf,Ctq6Pdf,Ctq5L
+      integer mode,Irt,ihlast
+      double precision xlast,xmulast,pdflast(-7:7)
+      save ihlast,xlast,xmulast,pdflast
+
+      ipart=ipdg
+      if(ipart.eq.21) ipart=0
+
+      if(ih.eq.ihlast.and.x.eq.xlast.and.xmu.eq.xmulast)then
+         pdg2pdf=pdflast(ipart);
+      else
+         call pftopdglha(ih,x,xmu,pdflast)
+         ihlast=ih
+         xlast=x
+         xmulast=xmu
+         pdg2pdf=pdflast(ipart);
+      endif
+
+      end
+

=== added file 'Template/Source/alfas.inc'
--- Template/Source/alfas.inc	1970-01-01 00:00:00 +0000
+++ Template/Source/alfas.inc	2010-10-30 03:26:37 +0000
@@ -0,0 +1,11 @@
+c***********************************************************************
+c     this files contains the common blocks for the 
+c     the alpha_s settings
+c
+c     asmz   = alpha_s(Mz) is set based on the pdf chosen in setcuts.f
+c     nloop  = order of the running of alpha_s based on the pdf chosen  
+c***********************************************************************
+      integer nloop
+      double precision asmz
+      common/a_block/asmz,nloop
+

=== added file 'Template/Source/alfas_functions.f'
--- Template/Source/alfas_functions.f	1970-01-01 00:00:00 +0000
+++ Template/Source/alfas_functions.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,280 @@
+C
+C-----------------------------------------------------------------------------
+C
+      double precision function alfa(alfa0,qsq )
+C
+C-----------------------------------------------------------------------------
+C
+C	This function returns the 1-loop value of alpha.
+C
+C	INPUT: 
+C		qsq   = Q^2
+C
+C-----------------------------------------------------------------------------
+C
+      implicit none
+      double precision  qsq,alfa0
+c
+c constants
+c
+      double precision  One, Three, Pi,zmass
+      parameter( One = 1.0d0, Three = 3.0d0 )
+      parameter( Pi = 3.14159265358979323846d0 )
+      parameter( zmass = 91.188d0 )
+cc
+      alfa = alfa0 / ( 1.0d0 - alfa0*dlog( qsq/zmass**2 ) /Three /Pi )
+ccc
+      return
+      end
+
+C
+C-----------------------------------------------------------------------------
+C
+      double precision function alfaw(alfaw0,qsq,nh )
+C
+C-----------------------------------------------------------------------------
+C
+C	This function returns the 1-loop value of alpha_w.
+C
+C	INPUT: 
+C		qsq = Q^2
+C               nh  = # of Higgs doublets
+C
+C-----------------------------------------------------------------------------
+C
+      implicit none
+      double precision  qsq, alphaw, dum,alfaw0
+      integer  nh, nq
+c
+c	  include
+c
+	  
+c
+c constants
+c
+      double precision  Two, Four, Pi, Twpi, zmass,tmass
+      parameter( Two = 2.0d0, Four = 4.0d0 )
+      parameter( Pi = 3.14159265358979323846d0 )
+      parameter( Twpi = 3.0d0*Four*Pi )
+      parameter( zmass = 91.188d0,tmass=174d0 )
+cc
+      if ( qsq.ge.tmass**2 ) then
+         nq = 6
+      else
+         nq = 5
+      end if
+      dum = ( 22.0d0 - Four*nq - nh/Two ) / Twpi
+      alfaw = alfaw0 / ( 1.0d0 + dum*alfaw0*dlog( qsq/zmass**2 ) )
+ccc
+      return
+      end
+
+C-----------------------------------------------------------------------------
+C
+      DOUBLE PRECISION FUNCTION ALPHAS(Q)
+c
+c     Evaluation of strong coupling constant alpha_S
+c     Author: R.K. Ellis
+c
+c     q -- scale at which alpha_s is to be evaluated
+c
+c-- common block alfas.inc
+c     asmz -- value of alpha_s at the mass of the Z-boson
+c     nloop -- the number of loops (1,2, or 3) at which beta 
+c
+c     function is evaluated to determine running.
+c     the values of the cmass and the bmass should be set
+c     in common block qmass.
+C-----------------------------------------------------------------------------
+
+      IMPLICIT NONE
+c
+      include 'alfas.inc'
+      DOUBLE PRECISION Q,T,AMZ0,AMB,AMC
+      DOUBLE PRECISION AS_OUT
+      INTEGER NLOOP0,NF3,NF4,NF5
+      PARAMETER(NF5=5,NF4=4,NF3=3)
+C
+      REAL*8       CMASS,BMASS
+      COMMON/QMASS/CMASS,BMASS
+      DATA CMASS,BMASS/1.42D0,4.7D0/  ! HEAVY QUARK MASSES FOR THRESHOLDS
+C
+      REAL*8 ZMASS
+      DATA ZMASS/91.188D0/
+C
+      SAVE AMZ0,NLOOP0,AMB,AMC
+      DATA AMZ0,NLOOP0/0D0,0/
+      IF (Q .LE. 0D0) THEN 
+         WRITE(6,*) 'q .le. 0 in alphas'
+         WRITE(6,*) 'q= ',Q
+         STOP
+      ENDIF
+      IF (asmz .LE. 0D0) THEN 
+         WRITE(6,*) 'asmz .le. 0 in alphas',asmz
+c         WRITE(6,*) 'continue with asmz=0.1185'
+         STOP
+         asmz=0.1185D0
+      ENDIF
+      IF (CMASS .LE. 0.3D0) THEN 
+         WRITE(6,*) 'cmass .le. 0.3GeV in alphas',CMASS
+c         WRITE(6,*) 'continue with cmass=1.5GeV?'
+         STOP
+         CMASS=1.42D0
+      ENDIF
+      IF (BMASS .LE. 0D0) THEN 
+         WRITE(6,*) 'bmass .le. 0 in alphas',BMASS
+         WRITE(6,*) 'COMMON/QMASS/CMASS,BMASS'
+         STOP
+         BMASS=4.7D0
+      ENDIF
+c--- establish value of coupling at b- and c-mass and save
+      IF ((asmz .NE. AMZ0) .OR. (NLOOP .NE. NLOOP0)) THEN
+         AMZ0=asmz
+         NLOOP0=NLOOP
+         T=2D0*DLOG(BMASS/ZMASS)
+         CALL NEWTON1(T,asmz,AMB,NLOOP,NF5)
+         T=2D0*DLOG(CMASS/BMASS)
+         CALL NEWTON1(T,AMB,AMC,NLOOP,NF4)
+      ENDIF
+
+c--- evaluate strong coupling at scale q
+      IF (Q  .LT. BMASS) THEN
+           IF (Q  .LT. CMASS) THEN
+             T=2D0*DLOG(Q/CMASS)
+             CALL NEWTON1(T,AMC,AS_OUT,NLOOP,NF3)
+           ELSE
+             T=2D0*DLOG(Q/BMASS)
+             CALL NEWTON1(T,AMB,AS_OUT,NLOOP,NF4)
+           ENDIF
+      ELSE
+      T=2D0*DLOG(Q/ZMASS)
+      CALL NEWTON1(T,asmz,AS_OUT,NLOOP,NF5)
+      ENDIF
+      ALPHAS=AS_OUT
+      RETURN
+      END
+
+
+      SUBROUTINE NEWTON1(T,A_IN,A_OUT,NLOOP,NF)
+C     Author: R.K. Ellis
+
+c---  calculate a_out using nloop beta-function evolution 
+c---  with nf flavours, given starting value as-in
+c---  given as_in and logarithmic separation between 
+c---  input scale and output scale t.
+c---  Evolution is performed using Newton's method,
+c---  with a precision given by tol.
+
+      IMPLICIT NONE
+      INTEGER NLOOP,NF
+      REAL*8 T,A_IN,A_OUT,AS,TOL,F2,F3,F,FP,DELTA
+      REAL*8 B0(3:5),C1(3:5),C2(3:5),DEL(3:5)
+      PARAMETER(TOL=5.D-4)
+C---     B0=(11.-2.*NF/3.)/4./PI
+      DATA B0/0.716197243913527D0,0.66314559621623D0,0.61009394851893D0/
+C---     C1=(102.D0-38.D0/3.D0*NF)/4.D0/PI/(11.D0-2.D0/3.D0*NF)
+      DATA C1/.565884242104515D0,0.49019722472304D0,0.40134724779695D0/
+C---     C2=(2857.D0/2.D0-5033*NF/18.D0+325*NF**2/54)
+C---     /16.D0/PI**2/(11.D0-2.D0/3.D0*NF)
+      DATA C2/0.453013579178645D0,0.30879037953664D0,0.14942733137107D0/
+C---     DEL=SQRT(4*C2-C1**2)
+      DATA DEL/1.22140465909230D0,0.99743079911360D0,0.66077962451190D0/
+      F2(AS)=1D0/AS+C1(NF)*LOG((C1(NF)*AS)/(1D0+C1(NF)*AS))
+      F3(AS)=1D0/AS+0.5D0*C1(NF)
+     & *LOG((C2(NF)*AS**2)/(1D0+C1(NF)*AS+C2(NF)*AS**2))
+     & -(C1(NF)**2-2D0*C2(NF))/DEL(NF)
+     & *ATAN((2D0*C2(NF)*AS+C1(NF))/DEL(NF))
+
+           
+      A_OUT=A_IN/(1D0+A_IN*B0(NF)*T)
+      IF (NLOOP .EQ. 1) RETURN
+      A_OUT=A_IN/(1D0+B0(NF)*A_IN*T+C1(NF)*A_IN*LOG(1D0+A_IN*B0(NF)*T))
+      IF (A_OUT .LT. 0D0) AS=0.3D0
+ 30   AS=A_OUT
+
+      IF (NLOOP .EQ. 2) THEN
+      F=B0(NF)*T+F2(A_IN)-F2(AS)
+      FP=1D0/(AS**2*(1D0+C1(NF)*AS))
+      ENDIF
+      IF (NLOOP .EQ. 3) THEN
+      F=B0(NF)*T+F3(A_IN)-F3(AS)
+      FP=1D0/(AS**2*(1D0+C1(NF)*AS+C2(NF)*AS**2))
+      ENDIF
+      A_OUT=AS-F/FP
+      DELTA=ABS(F/FP/AS)
+      IF (DELTA .GT. TOL) GO TO 30
+      RETURN
+      END
+
+
+C-----------------------------------------------------------------------------
+C
+      double precision function mfrun(mf,scale,asmz,nloop)
+C
+C-----------------------------------------------------------------------------
+C
+C	This function returns the 2-loop value of a MSbar fermion mass
+C       at a given scale.
+C
+C	INPUT: mf    = MSbar mass of fermion at MSbar fermion mass scale 
+C	       scale = scale at which the running mass is evaluated
+C	       asmz  = AS(MZ) : this is passed to alphas(scale,asmz,nloop)
+C              nloop = # of loops in the evolution
+C       
+C
+C
+C	EXTERNAL:      double precision alphas(scale,asmz,nloop)
+C                      
+C-----------------------------------------------------------------------------
+C
+      implicit none
+C
+C     ARGUMENTS
+C
+      double precision  mf,scale,asmz
+      integer           nloop
+C
+C     LOCAL
+C
+      double precision  beta0, beta1,gamma0,gamma1
+      double precision  A1,as,asmf,l2
+      integer  nf
+C
+C     EXTERNAL
+C
+      double precision  alphas
+      external          alphas
+c
+c     CONSTANTS
+c
+      double precision  One, Two, Three, Pi
+      parameter( One = 1.0d0, Two = 2.0d0, Three = 3.0d0 )
+      parameter( Pi = 3.14159265358979323846d0) 
+      double precision tmass
+      parameter(tmass=174d0)
+cc
+C
+C
+      if ( mf.gt.tmass ) then
+         nf = 6
+      else
+         nf = 5
+      end if
+
+      beta0 = ( 11.0d0 - Two/Three *nf )/4d0
+      beta1 = ( 102d0  - 38d0/Three*nf )/16d0
+      gamma0= 1d0
+      gamma1= ( 202d0/3d0  - 20d0/9d0*nf )/16d0
+      A1    = -beta1*gamma0/beta0**2+gamma1/beta0
+      as    = alphas(scale)
+      asmf  = alphas(mf)
+      l2    = (1+ A1*as/Pi)/(1+ A1*asmf/Pi)
+      
+      
+      mfrun = mf * (as/asmf)**(gamma0/beta0)
+
+      if(nloop.eq.2) mfrun =mfrun*l2
+ccc
+      return
+      end
+

=== added file 'Template/Source/alfas_functions_lhapdf.f'
--- Template/Source/alfas_functions_lhapdf.f	1970-01-01 00:00:00 +0000
+++ Template/Source/alfas_functions_lhapdf.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,158 @@
+C
+C-----------------------------------------------------------------------------
+C
+      double precision function alfa(alfa0,qsq )
+C
+C-----------------------------------------------------------------------------
+C
+C	This function returns the 1-loop value of alpha.
+C
+C	INPUT: 
+C		qsq   = Q^2
+C
+C-----------------------------------------------------------------------------
+C
+      implicit none
+      double precision  qsq,alfa0
+c
+c constants
+c
+      double precision  One, Three, Pi,zmass
+      parameter( One = 1.0d0, Three = 3.0d0 )
+      parameter( Pi = 3.14159265358979323846d0 )
+      parameter( zmass = 91.188d0 )
+cc
+      alfa = alfa0 / ( 1.0d0 - alfa0*dlog( qsq/zmass**2 ) /Three /Pi )
+ccc
+      return
+      end
+
+C
+C-----------------------------------------------------------------------------
+C
+      double precision function alfaw(alfaw0,qsq,nh )
+C
+C-----------------------------------------------------------------------------
+C
+C	This function returns the 1-loop value of alpha_w.
+C
+C	INPUT: 
+C		qsq = Q^2
+C               nh  = # of Higgs doublets
+C
+C-----------------------------------------------------------------------------
+C
+      implicit none
+      double precision  qsq, alphaw, dum,alfaw0
+      integer  nh, nq
+c
+c	  include
+c
+	  
+c
+c constants
+c
+      double precision  Two, Four, Pi, Twpi, zmass,tmass
+      parameter( Two = 2.0d0, Four = 4.0d0 )
+      parameter( Pi = 3.14159265358979323846d0 )
+      parameter( Twpi = 3.0d0*Four*Pi )
+      parameter( zmass = 91.188d0,tmass=174d0 )
+cc
+      if ( qsq.ge.tmass**2 ) then
+         nq = 6
+      else
+         nq = 5
+      end if
+      dum = ( 22.0d0 - Four*nq - nh/Two ) / Twpi
+      alfaw = alfaw0 / ( 1.0d0 + dum*alfaw0*dlog( qsq/zmass**2 ) )
+ccc
+      return
+      end
+
+C-----------------------------------------------------------------------------
+C
+      DOUBLE PRECISION FUNCTION ALPHAS(Q)
+C     wrapper to the lhapdf alphaS
+C-----------------------------------------------------------------------------
+      IMPLICIT NONE
+c
+      include 'alfas.inc'
+      REAL*8 Q,alphasPDF
+      external alphasPDF
+
+      ALPHAS=alphasPDF(Q)
+
+      RETURN
+      END
+
+C-----------------------------------------------------------------------------
+C
+      double precision function mfrun(mf,scale,asmz,nloop)
+C
+C-----------------------------------------------------------------------------
+C
+C	This function returns the 2-loop value of a MSbar fermion mass
+C       at a given scale.
+C
+C	INPUT: mf    = MSbar mass of fermion at MSbar fermion mass scale 
+C	       scale = scale at which the running mass is evaluated
+C	       asmz  = AS(MZ) : this is passed to alphas(scale,asmz,nloop)
+C              nloop = # of loops in the evolution
+C       
+C
+C
+C	EXTERNAL:      double precision alphas(scale,asmz,nloop)
+C                      
+C-----------------------------------------------------------------------------
+C
+      implicit none
+C
+C     ARGUMENTS
+C
+      double precision  mf,scale,asmz
+      integer           nloop
+C
+C     LOCAL
+C
+      double precision  beta0, beta1,gamma0,gamma1
+      double precision  A1,as,asmf,l2
+      integer  nf
+C
+C     EXTERNAL
+C
+      double precision  alphas
+      external          alphas
+c
+c     CONSTANTS
+c
+      double precision  One, Two, Three, Pi
+      parameter( One = 1.0d0, Two = 2.0d0, Three = 3.0d0 )
+      parameter( Pi = 3.14159265358979323846d0) 
+      double precision tmass
+      parameter(tmass=174d0)
+cc
+C
+C
+      if ( mf.gt.tmass ) then
+         nf = 6
+      else
+         nf = 5
+      end if
+
+      beta0 = ( 11.0d0 - Two/Three *nf )/4d0
+      beta1 = ( 102d0  - 38d0/Three*nf )/16d0
+      gamma0= 1d0
+      gamma1= ( 202d0/3d0  - 20d0/9d0*nf )/16d0
+      A1    = -beta1*gamma0/beta0**2+gamma1/beta0
+      as    = alphas(scale)
+      asmf  = alphas(mf)
+      l2    = (1+ A1*as/Pi)/(1+ A1*asmf/Pi)
+      
+      
+      mfrun = mf * (as/asmf)**(gamma0/beta0)
+
+      if(nloop.eq.2) mfrun =mfrun*l2
+ccc
+      return
+      end
+

=== added file 'Template/Source/banner.f'
--- Template/Source/banner.f	1970-01-01 00:00:00 +0000
+++ Template/Source/banner.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,120 @@
+      subroutine create_banner(lunw, swgt, nw)
+      implicit none
+c      include 'nexternal.inc'
+c
+c     parameters
+c
+      integer    MaxParticles
+      parameter (MaxParticles=15)
+c
+c     Arguments
+c
+      integer lunw,  nw
+      double precision swgt(99999)
+c
+c     Local
+c
+      integer ic(7,MaxParticles),next, luni
+      double precision P(0:3,MaxParticles),wgt
+      real*8 sum,mxwgt
+      logical done
+      integer i,imax,j, nevent, nfound
+      character*35 infile,outfile
+      integer iseed
+      data iseed/9999/
+      character*30 process,QED,QCD
+c--cuts
+c      double precision etmin(3:nexternal),etamax(3:nexternal)
+c      double precision                    r2min(3:nexternal,3:nexternal)
+c      double precision s_min(nexternal,nexternal)
+c      common/to_cuts/  etmin     ,etamax     , r2min, s_min
+c
+c     open the Process/input.dat
+c
+      luni = 67
+      infile='Process/input.dat'
+      i=0
+      done=.false.
+      do while (.not. done .and. i .lt. 5)
+c         write(*,*) 'Attempting to open file ',infile
+         open(unit=luni,file=infile,status='old',err=101)
+         done = .true.
+ 101     i = i+1
+         infile='../' // infile         
+      enddo
+      if (done) then
+         read(luni,'(a30)') process
+         read(luni,'(a30)') QCD
+         read(luni,'(a30)') QED
+         close(luni)
+      else
+         process = '???? Process'
+         QCD     = '???? QCD'
+         QED     = '???? QED'
+      endif
+
+c      call get_seed(iseed)
+c
+c     All the info is gathered. Now start writing it out.
+c
+
+      call write_para(lunw)
+      write(lunw,'(a70)') '##                                                                    '
+      write(lunw,'(a70)') '##===================                                                 '
+      write(lunw,'(a70)') '## Run-time options                                                   '
+      write(lunw,'(a70)') '##===================                                                 '
+      write(lunw,'(a70)') '##                                                                    '
+      write(lunw,'(a70)') '##********************************************************************'     
+      write(lunw,'(a70)') '## Random Number seed                                                *'
+      write(lunw,'(a70)') '##********************************************************************'    
+      write(lunw,'(a3,i8,a)') '## ',iseed,'   = iseed'    
+c      write(lunw,'(a70)') '##********************************************************************'     
+c      write(lunw,'(a70)') '## Standard Cuts                                                     *'
+c      write(lunw,'(a70)') '##********************************************************************'    
+c      write(lunw,'(a13,8i8)')   '## Particle  ',(i,i=3,nexternal)
+c      write(lunw,'(a13,8f8.1)') '## Et       >',(etmin(i),i=3,nexternal)
+c      write(lunw,'(a13,8f8.1)') '## Eta      <',(etamax(i),i=3,nexternal)
+c      do j=3,nexternal-1
+c         write(lunw,'(a,i2,a,8f8.1)') '## d R #',j,'  >',(-0.0,i=3,j),
+c     &        (r2min(i,j),i=j+1,nexternal)
+c         do i=j+1,nexternal
+c            r2min(i,j)=r2min(i,j)**2 !Since r2 returns distance squared
+c         enddo
+c      enddo
+c      do j=1,nexternal-1
+c         write(lunw,'(a,i2,a,8f8.1)') '## s min #',j,'>',
+c     &        (s_min(i,j),i=3,nexternal)
+c      enddo
+c      write(lunw,'(a70)') '##********************************************************************'    
+c
+c     Now write out specific information on the event set
+c
+      done=.false.
+      nevent=0
+      nfound=0
+      sum=0d0
+      mxwgt=-1d0
+      do i=1,nw
+         sum=sum+swgt(i)
+         mxwgt = max(swgt(i),mxwgt)
+      enddo
+      nevent = nw
+      write(lunw,'(a70)') '##                                                                    '
+      write(lunw,'(a70)') '##===================                                                 '
+      write(lunw,'(a70)') '## Event information                                                  '
+      write(lunw,'(a70)') '##===================                                                 '
+      write(lunw,'(a70)') '##                                                                    '
+      write(lunw,'(a70)') '##********************************************************************'    
+      write(lunw,'(a12,a30)') '## Process: ',process                
+      write(lunw,'(a12,a30)') '## Max QCD: ',QCD
+      write(lunw,'(a12,a30)') '## Max QED: ',QED              
+      write(lunw,'(a70)') '##********************************************************************'    
+      write(lunw,'(a30,i10)')   '##  Number of Events       :  ',nevent
+      write(lunw,'(a30,e10.5)') '##  Integrated weight (pb) :  ',sum
+      write(lunw,'(a30,e10.5)') '##  Max wgt                :  ',mxwgt
+      write(lunw,'(a30,e10.5)') '##  Average wgt            :  ',sum/nevent
+      write(lunw,'(a70)') '##********************************************************************'    
+
+c      close(lunw)
+
+      end

=== added file 'Template/Source/basecode.f'
--- Template/Source/basecode.f	1970-01-01 00:00:00 +0000
+++ Template/Source/basecode.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,127 @@
+      subroutine basecode_test
+      implicit none
+      integer imax
+      parameter (imax = 8)
+      integer icode,iarray(imax),ibase,i,j
+      logical done
+
+      ibase = 3
+c      do i=0,ibase**3-1
+c         call decode(i,iarray,ibase,imax)
+c         call encode(icode,iarray,ibase,imax)
+c         write(*,*) i,icode,"=",(iarray(j),j=1,imax)
+c      enddo
+      icode = 0
+      call decode(icode,iarray,ibase,imax)
+      iarray(2)=1
+      iarray(4)=1
+      iarray(5)=1
+      iarray(7)=1
+      done = .false.
+      write(*,*) (iarray(j),j=1,imax)
+      do while (.not. done)
+         write(*,*) (iarray(j),j=1,imax)
+         call increment_array(iarray,imax,ibase,done)
+      enddo
+      end
+      
+
+      subroutine EnCode(icode,iarray,ibase,imax)
+c******************************************************************************
+c     Turns array of integers (iarray) values range (0,ibase-1) into a single
+c     integer icode. icode = Sum[ iarray(k) * ibase^k]
+c******************************************************************************
+      implicit none
+c
+c     Arguments
+c
+      integer imax           !Number of integers to encode
+      integer icode          !Output encoded value of iarray
+      integer iarray(imax)   !Input values to be encoded
+      integer ibase          !Base for encoding
+
+c
+c     Local
+c     
+      integer i
+c-----
+c  Begin Code
+c-----
+      icode = 0
+      do i = 1, imax
+         if (iarray(i) .ge. 0 .and. iarray(i) .lt. ibase) then 
+            icode = icode + iarray(i)*ibase**(i-1)
+         else
+            write(*,*) 'Error invalid number to be encoded',i,iarray(i)
+         endif
+      enddo
+      end
+
+      subroutine DeCode(icode,iarray,ibase,imax)
+c******************************************************************************
+c     Decodes icode, into base integers used to create it.
+c     integer icode. icode = Sum[ iarray(k) * ibase^k]
+c******************************************************************************
+      implicit none
+c
+c     Arguments
+c
+      integer imax           !Number of integers to encode
+      integer icode          !Input encoded value of iarray
+      integer iarray(imax)   !Output decoded values icode
+      integer ibase          !Base for encoding
+
+c
+c     Local
+c     
+      integer i, jcode
+c-----
+c  Begin Code
+c-----
+      jcode = icode          !create copy for use
+      do i =  imax, 1, -1
+         iarray(i) = 0
+         do while (jcode .ge. ibase**(i-1) .and. iarray(i) .lt. ibase)
+            jcode = jcode-ibase**(i-1)
+            iarray(i)=iarray(i)+1
+         enddo
+      enddo
+      end
+
+      subroutine increment_array(iarray,imax,ibase,done)
+c************************************************************************
+c     Increments iarray     
+c************************************************************************
+      implicit none
+c
+c     Arguments
+c
+      integer imax          !Input, number of elements in iarray
+      integer ibase         !Base for incrementing, 0 is skipped
+      integer iarray(imax)  !Output:Array of values being incremented
+      logical done          !Output:Set when no more incrementing
+c
+c     Local
+c
+      integer i,j
+      logical found
+c-----
+c  Begin Code
+c-----
+      found = .false.
+      i = 1
+      do while (i .le. imax .and. .not. found)
+         if (iarray(i) .eq. 0) then    !don't increment this
+            i=i+1
+         elseif (iarray(i) .lt. ibase-1) then
+            found = .true.
+            iarray(i)=iarray(i)+1
+         else
+            iarray(i)=1
+            i=i+1
+         endif
+      enddo
+      done = .not. found
+      end
+
+

=== added file 'Template/Source/combine_events.f'
--- Template/Source/combine_events.f	1970-01-01 00:00:00 +0000
+++ Template/Source/combine_events.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,776 @@
+      program test
+c*****************************************************************
+c     tests traversing directories to find all events
+c****************************************************************
+      implicit none
+c
+c     Constants
+c
+      include 'run_config.inc'
+      integer    maxsubprocesses
+      parameter (maxsubprocesses=9999)
+      integer    cmax_events
+      parameter (cmax_events=500000)
+      integer    sfnum
+      parameter (sfnum=17)   !Unit number for scratch file
+      integer    maxexternal
+      parameter (maxexternal=17)
+      integer maxpara
+      parameter (maxpara=1000)
+c     
+c     Local
+c
+      character*30 subname(maxsubprocesses)
+      character*110 pathsubname(maxsubprocesses)         !needed for MadWeight
+      character*80 down_path                           !needed for MadWeight
+      character*40 filename                         !needed for MadWeight
+      character*4  card_number                         !needed for MadWeight
+      character*20 run_name                            !needed for MadWeight
+      integer pos1,pos2,pos3                           ! needed for MadWeight
+      integer i,j,m,ns,nreq,ievent
+      integer kevent,revent,iarray(cmax_events)
+      double precision sum, xsec, xerr, goal_wgt,xarray(cmax_events)
+      integer i4,r8,record_length
+      integer iseed
+      real xran1
+      double precision wgt,maxwgt
+      double precision p(0:4,maxexternal)
+      integer ic(7,maxexternal),n
+      double precision scale,aqcd,aqed
+      character*20 param(maxpara),value(maxpara)
+      integer npara,nunwgt
+      double precision xtrunc, min_goal,max_goal
+      logical keep(cmax_events),done
+      integer ntry
+      logical gridrun,gridpack
+
+      character*140 buff
+
+      data iseed/-1/
+c-----
+c  Begin Code
+c-----
+c
+c     Get requested number of events
+c
+      call load_para(npara,param,value)
+      call get_logical(npara,param,value," gridrun ",gridrun,.false.)
+      call get_logical(npara,param,value," gridpack ",gridpack,.false.)
+      if (gridrun.and.gridpack) then
+         call get_integer(npara,param,value," gevents "  ,nreq  ,2000   )
+      else
+         call get_integer(npara,param,value," nevents "  ,nreq  ,10000   )
+      endif
+
+c   Get information for the <init> block
+      call setrun
+
+c      nreq = 10000
+c
+c     Get total cross section
+c
+      xsec = 0d0
+      xerr = 0d0
+c $B$ input_file $B$
+      filename='results.dat'
+c $E$ input_file $E$
+
+      open(unit=15,file=filename,status='old',err=21)
+      read(15,*,err=20) xsec,xerr
+      write(*,*) "Results.dat xsec = ",xsec
+ 20   close(15)
+ 21   if (nreq .gt. 0 .and. xsec .gt. 0) then
+         goal_wgt = xsec/nreq/4d0   !Extra factor of 4 for weighted events
+      else
+         goal_wgt = 0d0    !Write out everything
+      endif
+c
+c     Get list of subprocesses
+c
+      call get_subprocess(subname,ns)
+
+c
+c     Create scratch file to hold events
+c
+      I4 = 4
+      R8 = 8
+      record_length = 4*I4+maxexternal*I4*7+maxexternal*5*R8+3*R8+
+     &   140
+C $B$ scratch_name $B$ !this is tag for automatic modification by MW
+      filename='scratch'
+C $E$ scratch_name $E$ !this is tag for automatic modification by MW
+      open(unit=sfnum,access='direct',file=filename,err=999,
+     &     recl=record_length)
+c
+c     Loop through subprocesses filling up scratch file with events
+c
+      sum=0d0
+      kevent=0
+      revent=0
+      maxwgt=0d0
+      write(*,*) 'SubProcess/Channel     kept   read   xsec '
+
+C $B$ down_path $B$ !this is tag for automatic modification by MW
+      down_path=''
+c $E$ down_path $E$ !this is tag for automatic modification by MW
+      do i=1,ns
+c         write(*,*) 'Subprocess: ',subname(ns)
+         pos3=index(subname(i),' ')
+         pathsubname(i)=subname(i)(1:pos3-1)//'/'//down_path
+         call read_channels(pathsubname(i),sum,kevent,revent,goal_wgt,maxwgt)
+      enddo 
+c
+c     Get Random order for events
+c
+      do i=1,kevent
+         iarray(i)=i
+         xarray(i)=xran1(iseed)
+      enddo
+      call sortO3(xarray,iarray,kevent)
+c
+c     Write out the events in iarray order
+c
+C $B$ output_file1 $B$ !this is tag for automatic modification by MW
+      filename='events.lhe'
+C $E$ output_file1 $E$ !this is tag for automatic modification by MW
+
+      open(unit=15,file=filename,status='unknown',err=98)
+      call writebanner(15,kevent,sum,maxwgt,xerr)
+      do i=1,kevent
+         read(sfnum,rec=iarray(i)) wgt,n,
+     &        ((ic(m,j),j=1,maxexternal),m=1,7),ievent,
+     &        ((p(m,j),m=0,4),j=1,maxexternal),scale,aqcd,aqed,
+     &     buff
+         call write_event(15,P,wgt,n,ic,ievent,scale,aqcd,aqed,buff)
+      enddo
+      close(15)
+c
+c     Now select unweighted events.
+c
+      goal_wgt = sum/(nreq*1.03)
+      min_goal = goal_wgt/5d0
+      max_goal = goal_wgt*5d0
+      ntry = 1
+c
+c     Loop to refine guess for goal_wgt while keeping xtrunc<0.01
+c
+      done=.false.
+      do while(.not. done)
+         done=.true.
+         nunwgt=0
+         xtrunc=0d0
+         do i=1,kevent
+            read(sfnum,rec=iarray(i)) wgt,n,
+     &           ((ic(m,j),j=1,maxexternal),m=1,7),ievent,
+     &           ((p(m,j),m=0,4),j=1,maxexternal),scale,aqcd,aqed,
+     &        buff
+            if (wgt .gt. goal_wgt*xran1(iseed)) then
+               keep(i) = .true.
+               nunwgt=nunwgt+1
+               if (wgt .gt. goal_wgt) then
+                  xtrunc=xtrunc+wgt-goal_wgt
+               endif
+            else
+               keep(i)=.false.
+            endif
+         enddo
+         if (xtrunc .gt. 0.01d0*sum) then
+            done=.false.
+            min_goal = max(goal_wgt,min_goal)
+            goal_wgt = goal_wgt*1.3d0            
+            write(*,*) 'Iteration ',ntry, ' too large truncation ',xtrunc/sum,nunwgt
+c            write(*,*) min_goal,goal_wgt,max_goal
+         elseif (nunwgt .lt. nreq) then
+            done=.false.
+            max_goal = min(goal_wgt,max_goal)
+            goal_wgt = goal_wgt*0.95d0
+            write(*,*) 'Iteration ',ntry, ' too few events ',xtrunc/sum,nunwgt
+c            write(*,*) min_goal,goal_wgt,max_goal
+            if (goal_wgt .lt. min_goal) then
+               done=.true.
+               write(*,*) 'Failed to find requested number of unweighted events',nreq,nunwgt
+            endif
+         endif
+         ntry=ntry+1
+         if (ntry .gt. 20) done=.true.
+      enddo
+      if (nunwgt .lt. nreq) then
+         write(*,*) 'Unable to get ',nreq,' events. Writing ',nunwgt
+         nreq = nunwgt
+      else
+         write(*,*) 'Found ',nunwgt,' events writing first ',nreq
+      endif
+      write(*,*) 'Unweighting selected ',nreq, ' events.'
+      write(*,'(a,f5.2,a)') 'Truncated ',xtrunc*100./sum, '% of cross section'
+
+C $B$ output_file2 $B$ !this is tag for automatic modification by MW
+      filename='unweighted_events.lhe'
+C $E$ output_file2 $E$ !this is tag for automatic modification by MW
+
+      open(unit=15,file=filename,status='unknown',err=99)
+      call writebanner_u(15,nreq,xsec,xtrunc,xerr)
+      ntry = 0
+      do i=1,kevent
+         if (keep(i) .and. ntry .lt. nreq) then
+            read(sfnum,rec=iarray(i)) wgt,n,
+     &           ((ic(m,j),j=1,maxexternal),m=1,7),ievent,
+     &           ((p(m,j),m=0,4),j=1,maxexternal),scale,aqcd,aqed,
+     $        buff
+            call write_event(15,P,xsec/nreq,n,ic,ievent,scale,aqcd,aqed,buff)
+            ntry=ntry+1
+         endif
+      enddo
+      close(15)
+      close(sfnum)
+      return
+ 98   write(*,*) 'Error writing events.dat' 
+      return
+ 99   write(*,*) 'Error writing unweighted_events.dat' 
+      return
+ 999  write(*,*) 'Error opening scratch file'
+      end
+
+
+      subroutine writebanner(lunw,nevent,sum,maxwgt,xerr)
+c**************************************************************************************
+c     Writes out banner information at top of event file
+c**************************************************************************************
+      implicit none
+c
+c     Arguments
+c     
+      integer lunw,nevent
+      double precision sum,maxwgt,xerr
+c
+c     Local
+c
+      integer i,j
+
+c
+c     Les Houches init block (for the <init> info)
+c
+      integer maxpup
+      parameter(maxpup=100)
+      integer idbmup,pdfgup,pdfsup,idwtup,nprup,lprup
+      double precision ebmup,xsecup,xerrup,xmaxup
+      common /heprup/ idbmup(2),ebmup(2),pdfgup(2),pdfsup(2),
+     &     idwtup,nprup,xsecup(maxpup),xerrup(maxpup),
+     &     xmaxup(maxpup),lprup(maxpup)
+
+c
+c     Global
+c
+c      double precision etmin(3:nexternal),etamax(3:nexternal)
+c      double precision                    r2min(3:nexternal,3:nexternal)
+c      double precision s_min(nexternal,nexternal)
+c      common/to_cuts/  etmin     ,etamax     , r2min, s_min
+
+c-----
+c  Begin Code
+c-----
+c
+c     gather the info
+c
+c      call setpara('param_card.dat')
+c      call setcuts
+c
+c     write it out
+c
+c      call write_para(lunw)
+c      write(lunw,'(a70)') '##                                                                    '
+c      write(lunw,'(a70)') '##-------------------                                                 '
+c      write(lunw,'(a70)') '## Run-time options                                                   '
+c      write(lunw,'(a70)') '##-------------------                                                 '
+c      write(lunw,'(a70)') '##                                                                    '
+c     write(lunw,'(a70)') '##********************************************************************'     
+c     write(lunw,'(a70)') '## Standard Cuts                                                     *'
+c     write(lunw,'(a70)') '##********************************************************************'    
+c      write(lunw,'(a13,8i8)')   '## Particle  ',(i,i=3,nexternal)
+c      write(lunw,'(a13,8f8.1)') '## Et       >',(etmin(i),i=3,nexternal)
+c      write(lunw,'(a13,8f8.1)') '## Eta      <',(etamax(i),i=3,nexternal)
+c      do j=3,nexternal-1
+c         write(lunw,'(a,i2,a,8f8.1)') '## d R #',j,'  >',(-0.0,i=3,j),
+c     &        (r2min(i,j),i=j+1,nexternal)
+c         do i=j+1,nexternal
+c            r2min(i,j)=r2min(i,j)**2 !Since r2 returns distance squared
+c         enddo
+c      enddo
+c      do j=3,nexternal-1
+c         write(lunw,'(a,i2,a,8f8.1)') '## s min #',j,'>',
+c     &        (s_min(i,j),i=3,nexternal)
+c      enddo
+c      write(lunw,'(a70)') '#********************************************************************'    
+c
+c     Now write out specific information on the event set
+c
+c
+      write(lunw,'(a)') '<MGGenerationInfo>'
+      write(lunw,'(a30,i10)')   '#  Number of Events        :  ',nevent
+      write(lunw,'(a30,e10.5)') '#  Integrated weight (pb)  :  ',sum
+      write(lunw,'(a30,e10.5)') '#  Max wgt                 :  ',maxwgt
+      write(lunw,'(a30,e10.5)') '#  Average wgt             :  ',sum/nevent
+      write(lunw,'(a)') '</MGGenerationInfo>'
+   
+    
+
+C   Write out compulsory init info
+      write(lunw,'(a)') '</header>'
+      write(lunw,'(a)') '<init>'
+      write(lunw,90) (idbmup(i),i=1,2),(ebmup(i),i=1,2),(pdfgup(i),i=1,2),
+     $   (pdfsup(i),i=1,2),2,nprup
+      do i=1,nprup
+         write(lunw,91) xsecup(i),xerr*xsecup(i)/sum,maxwgt,lprup(i) ! FACTOR OF nevts for maxwgt and wgt? error?
+      enddo
+      write(lunw,'(a)') '</init>'
+ 90   FORMAT(2i9,2e19.11,2i2,2i6,i2,i3)
+ 91   FORMAT(3e19.11,i4)
+      end
+
+
+      subroutine writebanner_u(lunw,nevent,sum,maxwgt,xerr)
+c**************************************************************************************
+c     Writes out banner information at top of event file
+c**************************************************************************************
+      implicit none
+c
+c     Arguments
+c     
+      integer lunw,nevent
+      double precision sum,maxwgt,xerr
+c
+c     Local
+c
+      integer i,j
+      double precision tmpsum
+c
+c     Les Houches init block (for the <init> info)
+c
+      integer maxpup
+      parameter(maxpup=100)
+      integer idbmup,pdfgup,pdfsup,idwtup,nprup,lprup
+      double precision ebmup,xsecup,xerrup,xmaxup
+      common /heprup/ idbmup(2),ebmup(2),pdfgup(2),pdfsup(2),
+     &     idwtup,nprup,xsecup(maxpup),xerrup(maxpup),
+     &     xmaxup(maxpup),lprup(maxpup)
+c
+c     Global
+c
+c      double precision etmin(3:nexternal),etamax(3:nexternal)
+c      double precision                    r2min(3:nexternal,3:nexternal)
+c      double precision s_min(nexternal,nexternal)
+c      common/to_cuts/  etmin     ,etamax     , r2min, s_min
+
+c-----
+c  Begin Code
+c-----
+c
+c     gather the info
+c
+c      call setpara('param_card.dat')
+c      call setcuts
+c
+c     write it out
+c
+c      call write_para(lunw)
+c      write(lunw,'(a70)') '##                                                                    '
+c      write(lunw,'(a70)') '##-------------------                                                 '
+c      write(lunw,'(a70)') '## Run-time options                                                   '
+c      write(lunw,'(a70)') '##-------------------                                                 '
+c      write(lunw,'(a70)') '##                                                                    '
+c     write(lunw,'(a70)') '##********************************************************************'     
+c     write(lunw,'(a70)') '## Standard Cuts                                                     *'
+c     write(lunw,'(a70)') '##********************************************************************'    
+c      write(lunw,'(a13,8i8)')   '## Particle  ',(i,i=3,nexternal)
+c      write(lunw,'(a13,8f8.1)') '## Et       >',(etmin(i),i=3,nexternal)
+c      write(lunw,'(a13,8f8.1)') '## Eta      <',(etamax(i),i=3,nexternal)
+c      do j=3,nexternal-1
+c         write(lunw,'(a,i2,a,8f8.1)') '## d R #',j,'  >',(-0.0,i=3,j),
+c     &        (r2min(i,j),i=j+1,nexternal)
+c         do i=j+1,nexternal
+c            r2min(i,j)=r2min(i,j)**2 !Since r2 returns distance squared
+c         enddo
+c      enddo
+c      do j=3,nexternal-1
+c         write(lunw,'(a,i2,a,8f8.1)') '## s min #',j,'>',
+c     &        (s_min(i,j),i=3,nexternal)
+c      enddo
+c      write(lunw,'(a70)') '##********************************************************************'    
+c
+c     Now write out specific information on the event set
+c
+
+c     Reweight the different subprocess group xsecs according to
+c     xsec from results.dat
+      tmpsum=0d0
+      do i=1,nprup
+         tmpsum=tmpsum+xsecup(i)
+      enddo
+      do i=1,nprup
+         xsecup(i)=xsecup(i)*sum/tmpsum
+      enddo
+      
+
+      write(lunw,'(a)') '<MGGenerationInfo>'
+      write(lunw,'(a30,i10)')   '#  Number of Events        :  ',nevent
+      write(lunw,'(a30,e10.5)') '#  Integrated weight (pb)  :  ',sum
+      write(lunw,'(a30,e10.5)') '#  Truncated wgt (pb)      :  ',maxwgt
+      write(lunw,'(a30,e10.5)') '#  Unit wgt                :  ',sum/nevent
+      write(lunw,'(a)') '</MGGenerationInfo>'
+
+C   Write out compulsory init info
+      write(lunw,'(a)') '</header>'
+      write(lunw,'(a)') '<init>'
+      write(lunw,90) (idbmup(i),i=1,2),(ebmup(i),i=1,2),(pdfgup(i),i=1,2),
+     $   (pdfsup(i),i=1,2),3,nprup
+      do i=1,nprup
+         write(lunw,91) xsecup(i),xerr*xsecup(i)/sum,sum/nevent,lprup(i) ! FACTOR OF nevts for maxwgt and wgt? error?
+      enddo
+      write(lunw,'(a)') '</init>'
+ 90   FORMAT(2i9,2e19.11,2i2,2i6,i2,i3)
+ 91   FORMAT(3e19.11,i4)
+
+      end
+
+
+      subroutine read_channels(dir,sum,kevent,revent,goal_wgt,maxwgt)
+c*****************************************************************
+c     tests traversing directories to find all events
+c****************************************************************
+      implicit none
+c
+c     Constants
+c
+      character*(*) symfile
+      parameter (symfile='symfact.dat')
+c
+c     Arguments
+c
+      character*(*) dir
+      integer kevent,revent
+      double precision sum,goal_wgt,maxwgt
+c
+c     Local
+c
+      integer i,j, k, ip
+      double precision xi
+      character*50 dirname,dname,channame
+c-----
+c  Begin Code
+c-----
+       i = index(dir," ")
+      dname = dir(1:i-1)// "/" // symfile
+      open(unit=35, file=dname ,status='old',err=59)
+      do while (.true.)
+         read(35,*,err=99,end=99) xi,j
+         if (j .gt. 0) then
+            if ( (xi-int(xi+.01)) .lt. 1d-5) then
+               k = int(xi+.01)
+               if (k .lt. 10) then
+                  write(dirname,'(a,i1,a)') 'G',k,'/'
+               else if (k .lt. 100) then
+                  write(dirname,'(a,i2,a)') 'G',k,'/'
+               else if (k .lt. 1000) then
+                  write(dirname,'(a,i3,a)') 'G',k,'/'
+               else if (k .lt. 10000) then
+                  write(dirname,'(a,i4,a)') 'G',k,'/'
+               endif
+            else               !Handle B.W.
+               if (xi .lt. 10) then
+                  write(dirname,'(a,f5.3,a,a)') 'G',xi,'/'
+               else if (xi .lt. 100) then
+                  write(dirname,'(a,f6.3,a,a)') 'G',xi,'/'
+               else if (xi .lt. 1000) then
+                  write(dirname,'(a,f7.3,a,a)') 'G',xi,'/'
+               else if (xi .lt. 10000) then
+                  write(dirname,'(a,f8.3,a,a)') 'G',xi,'/'
+               endif
+            endif     
+            ip = index(dirname,'/')
+            channame = dname(1:i-1)// "/" //dirname(1:ip)
+            call read_dir_events(channame(1:i+ip),j,kevent,revent,sum,goal_wgt,maxwgt)
+            write(*,'(a,2i8,e10.3)') channame(1:i+ip),kevent,revent,sum
+         endif
+ 98   enddo
+ 99   close(35)
+      return
+c
+c     Come here if there isn't a symfact file. Means we will work on
+c     this file alone
+c
+ 59   dirname="./"
+      j = 1
+      ip = 2
+      channame = dirname(1:ip)
+      call read_dir_events(channame,j,kevent,revent,sum,goal_wgt,maxwgt)
+      write(*,'(a30,i8,e10.3)') channame(1:i+ip),kevent,sum
+      return
+      end
+
+      subroutine read_dir_events(channame,nj,kevent,revent,sum,goal_wgt,maxwgt)
+c********************************************************************
+c********************************************************************
+      implicit none
+c
+c     parameters
+c     
+      integer    sfnum
+      parameter (sfnum=17)   !Unit number for scratch file
+      character*(*) scaled_file
+      parameter (scaled_file='events.lhe')
+      integer maxexternal
+      parameter (maxexternal=17)
+      include 'run_config.inc'
+      integer    max_read
+      parameter (max_read = 2000000)
+c
+c     Arguments
+c
+      character*(*) channame
+      integer nj,kevent,revent
+      double precision sum,goal_wgt,maxwgt
+c
+c     Local
+c
+      double precision wgt
+      double precision p(0:4,maxexternal)
+      double precision gsfact
+      real xwgt(max_read),xtot
+      integer i,j,k,m, ic(7,maxexternal),n
+      double precision scale,aqcd,aqed,tmpsum
+      integer ievent,iseed
+      logical done,found
+      character*140 buff
+      character*60 fullname
+c
+c     Les Houches init block (for the <init> info)
+c
+      integer maxpup
+      parameter(maxpup=100)
+      integer idbmup,pdfgup,pdfsup,idwtup,nprup,lprup
+      double precision ebmup,xsecup,xerrup,xmaxup
+      common /heprup/ idbmup(2),ebmup(2),pdfgup(2),pdfsup(2),
+     &     idwtup,nprup,xsecup(maxpup),xerrup(maxpup),
+     &     xmaxup(maxpup),lprup(maxpup)
+      data nprup/0/
+      data xsecup/maxpup*0d0/
+c
+c     external
+c
+      real xran1
+c
+c     data
+c
+      data iseed/-1/
+c-----
+c  Begin Code
+c-----     
+      fullname = channame // "gscalefact.dat"
+      gsfact = 1d0
+      open (unit=15,file=fullname,status='old',err=12)
+      read(15,*) gsfact    !Scale factor for grid runs that only use some channels
+ 12   close(15)
+      if (gsfact .eq. 0d0) return
+      fullname = channame // scaled_file      
+      open(unit=15,file=fullname, status='old',err=999)
+      done=.false.
+c
+c     Start by initializing all event variables to zero (not really necessary)
+c
+      do j=1,maxexternal
+         do i=1,7
+            ic(i,j)=0
+         enddo
+         do i=0,4
+            p(i,j) = 0d0
+         enddo
+      enddo
+c
+c     Now loop through events
+c
+      do while (.not. done)
+         call read_event(15,P,wgt,n,ic,ievent,scale,aqcd,aqed,buff,done)
+         if (.not. done) then
+            revent = revent+1
+            wgt = wgt*nj*gsfact                 !symmetry factor * grid factor
+            if (wgt .gt. maxwgt) maxwgt=wgt
+            if (wgt .ge. goal_wgt*xran1(iseed)) then
+               kevent=kevent+1
+               if (wgt .lt. goal_wgt) wgt = goal_wgt
+               write(sfnum,rec=kevent) wgt,n,
+     &              ((ic(i,j),j=1,maxexternal),i=1,7),ievent,
+     &              ((p(i,j),i=0,4),j=1,maxexternal),scale,aqcd,aqed,buff
+               sum=sum+wgt
+               found=.false.
+               do i=1,nprup
+                  if(ievent.eq.lprup(i))then
+                     xsecup(i)=xsecup(i)+wgt
+                     found=.true.
+                  endif
+               enddo
+               if(.not.found)then
+                  nprup=nprup+1
+                  lprup(nprup)=ievent
+                  xsecup(nprup)=wgt
+               endif
+               tmpsum=0d0
+               do i=1,nprup
+                  tmpsum = tmpsum+xsecup(i)
+               enddo
+               if(abs(sum-tmpsum)/sum .gt. 1e-3)then
+                  print *,'Warning! Sum and xsecup differ: ',sum,tmpsum
+               endif
+            endif
+         endif
+         if (kevent .ge. max_read) then
+            write(*,*) 'Error too many events to read in select_events'
+     $           , kevent
+            write(*,*) 'Reset max_read in Source/select_events.f'
+            stop
+         endif
+      enddo
+ 99   close(15)
+ 55   format(i3,4e19.11)         
+c      write(*,*) 'Found ',kevent,' events'
+c      write(*,*) 'Integrated weight',sum
+      return
+ 999  write(*,*) 'Error opening file ',channame,scaled_file
+
+      end
+
+
+
+      subroutine get_subprocess(subname,ns)
+c*****************************************************************
+c     tests traversing directories to find all events
+c****************************************************************
+      implicit none
+c
+c     Constants
+c
+      character*(*) plist
+      parameter (plist='subproc.mg')
+      integer    maxsubprocesses
+      parameter (maxsubprocesses=999)
+c
+c     Arguments
+c
+      character*30 subname(maxsubprocesses)
+      integer ns
+c-----
+c  Begin Code
+c-----
+      ns = 1
+      open(unit=15, file=plist,status='old',err=99)
+      do while (.true.)
+         read(15,*,err=999,end=999) subname(ns)
+         ns=ns+1
+      enddo
+ 99   subname(ns) = './'
+      write(*,*) "Did not find ", plist
+      return
+ 999  ns = ns-1
+      write(*,*) "Found ", ns," subprocesses"
+      close(15)
+      end
+
+
+      function xran1(idum)
+      dimension r(97)
+      parameter (m1=259200,ia1=7141,ic1=54773,rm1=3.8580247e-6)
+      parameter (m2=134456,ia2=8121,ic2=28411,rm2=7.4373773e-6)
+      parameter (m3=243000,ia3=4561,ic3=51349)
+      data iff /0/
+      save r, ix1,ix2,ix3
+      if (idum.lt.0.or.iff.eq.0) then
+        iff=1
+        ix1=mod(ic1-idum,m1)
+        ix1=mod(ia1*ix1+ic1,m1)
+        ix2=mod(ix1,m2)
+        ix1=mod(ia1*ix1+ic1,m1)
+        ix3=mod(ix1,m3)
+        do 11 j=1,97
+          ix1=mod(ia1*ix1+ic1,m1)
+          ix2=mod(ia2*ix2+ic2,m2)
+          r(j)=(float(ix1)+float(ix2)*rm2)*rm1
+11      continue
+        idum=1
+      endif
+      ix1=mod(ia1*ix1+ic1,m1)
+      ix2=mod(ia2*ix2+ic2,m2)
+      ix3=mod(ia3*ix3+ic3,m3)
+      j=1+(97*ix3)/m3
+      if(j.gt.97.or.j.lt.1)then
+         write(*,*) 'j is bad in ran1.f',j, 97d0*ix3/m3
+         STOP
+      endif
+      xran1=r(j)
+      r(j)=(float(ix1)+float(ix2)*rm2)*rm1
+      return
+      end
+
+
+      subroutine sort2(array,aux1,n)
+      implicit none
+! Arguments
+      integer n
+      integer aux1(n)
+      double precision array(n)
+!  Local Variables
+      integer i,k
+      double precision temp
+      logical done
+
+!-----------
+! Begin Code
+!-----------
+      do i=n-1,1,-1
+         done = .true.
+         do k=1,i
+            if (array(k) .lt. array(k+1)) then
+               temp = array(k)
+               array(k) = array(k+1)
+               array(k+1) = temp
+               temp = aux1(k)
+               aux1(k) = aux1(k+1)
+               aux1(k+1) = temp
+               done = .false.
+            end if
+         end do
+         if (done) return
+      end do
+      end 
+
+      subroutine sortO3(array,aux1,n)
+
+c   O-Sort Version 3, Sorting routine by Erik Oosterwal
+c   http://www.geocities.com/oosterwal/computer/sortroutines.html
+
+      implicit none
+
+! Arguments
+      integer n
+      integer aux1(n)
+      double precision array(n)
+!  Local Variables
+      integer step,i,itemp
+      double precision SngPhi,SngFib
+
+      SngPhi = 0.78             ! Define phi value
+      SngFib = n * SngPhi       ! Set initial real step size
+      step = int(SngFib)        ! set initial integer step size
+
+      do while (step > 0)
+        do i = 1,n-step         ! Set the range of the lower search cells
+          if (array(aux1(i))<array(aux1(i+step))) then ! Compare cells
+            itemp = aux1(i)     !                       \
+            aux1(i) = aux1(i+step) !                     | Swap cells
+            aux1(i+step) = itemp !                      /
+          end if
+        enddo
+        
+        SngFib = SngFib * SngPhi ! Decrease the Real step size
+        Step = Int(SngFib)      ! Set the integer step value
+
+      enddo
+
+      end

=== added file 'Template/Source/cuts.inc'
--- Template/Source/cuts.inc	1970-01-01 00:00:00 +0000
+++ Template/Source/cuts.inc	2010-10-30 03:26:37 +0000
@@ -0,0 +1,65 @@
+C
+C     AUTOMATIC CUTS
+C
+      REAL*8 PTJ,PTB,PTA,PTL,PTONIUM  ! ptmin
+      REAL*8 EJ,EB,EA,EL,ETAONIUM      ! min energy
+      REAL*8 ETAJ,ETAB,ETAA,ETAL ! min rapidity
+      REAL*8 DRJJ,DRBB,DRLL,DRAA,DRBJ,DRAJ,DRJL,DRAB,DRBL,DRAL ! min distance
+      REAL*8 MMJJ,MMLL,MMAA,MMBB !min inv mass
+      COMMON /TO_AUTO_CUTS/
+     &     PTJ ,PTB ,PTA ,PTL ,PTONIUM, ! pt
+     &     EJ  ,EB  ,EA  ,EL  , ! energy
+     &     ETAJ,ETAB,ETAA,ETAL,ETAONIUM, ! rapidity 
+     &     DRJJ,DRAJ,DRBJ,DRJL, ! delta R
+     &     DRBB,DRAB,DRBL,
+     &     DRAA,DRAL,
+     &     DRLL,
+     &     MMJJ,MMLL,MMAA,MMBB ! invariant masses of opposite sign
+
+C     
+C     MIN/MAX cuts
+C
+      REAL*8 PTJmax ,PTBmax ,PTAmax ,PTLmax    ! max pt
+      REAL*8 EJmax  ,EBmax  ,EAmax  ,ELmax     ! max rap
+      REAL*8 ETAJmin,ETABmin,ETAAmin,ETALmin   ! min rap
+      REAL*8 DRJJmax,DRBBmax,DRLLmax,DRAAmax
+      REAL*8 DRBJmax,DRAJmax,DRJLmax,DRABmax,DRBLmax,DRALmax
+      REAL*8 MMJJmax,MMLLmax,MMAAmax,MMBBmax !max inv mass 
+      REAL*8 MMNL,MMNLMAX ! invariant mass of all leptons
+      REAL*8 cutuse
+      REAL*8 ptj1min,ptj2min,ptj3min,ptj4min
+      REAL*8 ptj1max,ptj2max,ptj3max,ptj4max
+      REAL*8 ht2min,ht3min,ht4min
+      REAL*8 ht2max,ht3max,ht4max
+      REAL*8 htjmin,htjmax
+      REAL*8 misset,missetmax,ptheavy
+      integer maxjetflavor
+	
+      COMMON /to_min_max_cuts/
+     &     PTJmax,PTBmax,PTAmax,PTLmax,
+     &     EJmax,EBmax,EAmax,ELmax,
+     &     ETAJmin,ETABmin,ETAAmin,ETALmin,
+     &     DRJJmax,DRBBmax,DRLLmax,DRAAmax,
+     &     DRBJmax,DRAJmax,DRJLmax,DRABmax,DRBLmax,DRALmax,
+     &     MMJJmax,MMLLmax,MMAAmax,MMBBmax,
+     &     MMNL,MMNLmax,
+     &     ptj1min,ptj1max,
+     &     ptj2min,ptj2max,
+     &     ptj3min,ptj3max,
+     &     ptj4min,ptj4max,
+     &     cutuse,
+     &     ht2min,ht3min,ht4min,
+     &     ht2max,ht3max,ht4max,
+     &     htjmin,htjmax,
+     &     misset,missetmax,ptheavy,
+     &     maxjetflavor
+
+C
+C     SPECIAL CUTS
+C
+C-- this are somewhat old kind of cuts that where used for specific
+c   purposes
+c
+      real*8 xptj,xptb,xpta,xptl,xmtc
+      real*8 xetamin,xqcut,deltaeta
+      common /to_specxpt/xptj,xptb,xpta,xptl,xmtc,xetamin,xqcut,deltaeta

=== added file 'Template/Source/dgauss.f'
--- Template/Source/dgauss.f	1970-01-01 00:00:00 +0000
+++ Template/Source/dgauss.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,87 @@
+*
+* $Id: dgauss.f,v 1.2 2007/01/07 00:14:07 madgraph Exp $
+*
+* $Log: dgauss.f,v $
+* Revision 1.2  2007/01/07 00:14:07  madgraph
+* Merged version 4.1 to main branch
+*
+* Revision 1.1.2.1  2006/09/29 23:35:23  madgraph
+* Introducing MLM matching
+*
+* Revision 1.1.1.1  1996/04/01 15:02:13  mclareni
+* Mathlib gen
+*
+*
+      FUNCTION DGAUSS(F,A,B,EPS)
+      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
+
+      CHARACTER NAME*(*)
+      PARAMETER (NAME = 'DGAUSS')
+
+*
+* $Id: dgauss.f,v 1.2 2007/01/07 00:14:07 madgraph Exp $
+*
+* $Log: dgauss.f,v $
+* Revision 1.2  2007/01/07 00:14:07  madgraph
+* Merged version 4.1 to main branch
+*
+* Revision 1.1.2.1  2006/09/29 23:35:23  madgraph
+* Introducing MLM matching
+*
+* Revision 1.1.1.1  1996/04/01 15:02:13  mclareni
+* Mathlib gen
+*
+*
+*
+* gausscod.inc
+*
+      DIMENSION W(12),X(12)
+
+      PARAMETER (Z1 = 1, HF = Z1/2, CST = 5*Z1/1000)
+
+      DATA X( 1) /9.6028985649753623D-1/, W( 1) /1.0122853629037626D-1/
+      DATA X( 2) /7.9666647741362674D-1/, W( 2) /2.2238103445337447D-1/
+      DATA X( 3) /5.2553240991632899D-1/, W( 3) /3.1370664587788729D-1/
+      DATA X( 4) /1.8343464249564980D-1/, W( 4) /3.6268378337836198D-1/
+      DATA X( 5) /9.8940093499164993D-1/, W( 5) /2.7152459411754095D-2/
+      DATA X( 6) /9.4457502307323258D-1/, W( 6) /6.2253523938647893D-2/
+      DATA X( 7) /8.6563120238783174D-1/, W( 7) /9.5158511682492785D-2/
+      DATA X( 8) /7.5540440835500303D-1/, W( 8) /1.2462897125553387D-1/
+      DATA X( 9) /6.1787624440264375D-1/, W( 9) /1.4959598881657673D-1/
+      DATA X(10) /4.5801677765722739D-1/, W(10) /1.6915651939500254D-1/
+      DATA X(11) /2.8160355077925891D-1/, W(11) /1.8260341504492359D-1/
+      DATA X(12) /9.5012509837637440D-2/, W(12) /1.8945061045506850D-1/
+
+      H=0
+      IF(B .EQ. A) GO TO 99
+      CONST=CST/ABS(B-A)
+      BB=A
+    1 AA=BB
+      BB=B
+    2 C1=HF*(BB+AA)
+      C2=HF*(BB-AA)
+      S8=0
+      DO 3 I = 1,4
+      U=C2*X(I)
+    3 S8=S8+W(I)*(F(C1+U)+F(C1-U))
+      S16=0
+      DO 4 I = 5,12
+      U=C2*X(I)
+    4 S16=S16+W(I)*(F(C1+U)+F(C1-U))
+      S16=C2*S16
+      IF(ABS(S16-C2*S8) .LE. EPS*(1+ABS(S16))) THEN
+       H=H+S16
+       IF(BB .NE. B) GO TO 1
+      ELSE
+       BB=C1
+       IF(1+CONST*ABS(C2) .NE. 1) GO TO 2
+       H=0
+       WRITE(*,*) NAME,'ERROR: TOO HIGH ACCURACY REQUIRED'
+       GO TO 99
+      END IF
+      
+
+   99 DGAUSS=H
+      RETURN
+      END
+

=== added file 'Template/Source/dsample.f'
--- Template/Source/dsample.f	1970-01-01 00:00:00 +0000
+++ Template/Source/dsample.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,2239 @@
+      subroutine sample_full(ndim,ncall,itmax,dsig,ninvar,nconfigs)
+c**************************************************************************
+c     Driver for sample which does complete integration
+c     This is done in double precision, and should be told the
+c     number of possible phasespace choices.
+c     Arguments:
+c     ndim       Number of dimensions for integral(number or random #'s/point)
+c     ncall      Number of times to evaluate the function/iteration
+c     itmax      Number of iterations
+c     ninvar     Number of invarients to keep grids on (s,t,u, s',t' etc)
+c     nconfigs   Number of different pole configurations 
+c     dsig       Function to be integrated
+c**************************************************************************
+      implicit none
+      include 'genps.inc'
+c
+c Arguments
+c
+      integer ndim,ncall,itmax,ninvar,nconfigs
+      external         dsig
+      double precision dsig
+c
+c Local
+c
+      double precision x(maxinvar),wgt,p(4*maxdim/3+14)
+      double precision tdem, chi2
+      integer ievent,kevent,nwrite,iter,nun
+      integer jmax,i,j,ipole
+      integer itmax_adjust
+c
+c     External
+c
+      integer  n_unwgted
+      external n_unwgted
+c
+c Global
+c
+      integer                                      nsteps
+      character*40          result_file,where_file
+      common /sample_status/result_file,where_file,nsteps
+      double precision fx
+      common /to_fx/   fx
+
+      integer           mincfig, maxcfig
+      common/to_configs/mincfig, maxcfig
+
+      double precision     xmean(99),xsigma(99),xwmax(99),xeff(99)
+      common/to_iterations/xmean,    xsigma,    xwmax,    xeff
+
+      double precision    accur
+      common /to_accuracy/accur
+
+      double precision twgt, maxwgt,swgt(maxevents)
+      integer                             lun, nw
+      common/to_unwgt/twgt, maxwgt, swgt, lun, nw
+
+      integer nzoom
+      double precision  tx(1:3,maxinvar)
+      common/to_xpoints/tx, nzoom
+
+      double precision xzoomfact
+      common/to_zoom/  xzoomfact
+
+      double precision tmean, tsigma
+      integer             dim, events, itm, kn, cur_it, invar, configs
+      common /sample_common/
+     .     tmean, tsigma, dim, events, itm, kn, cur_it, invar, configs
+
+      integer           use_cut
+      common /to_weight/use_cut
+
+      integer              icor
+      common/to_correlated/icor
+
+      integer                   neventswritten
+      common /to_eventswritten/ neventswritten
+
+c
+c     External
+c
+      logical pass_point
+c
+c     Data
+c
+      data result_file,where_file,nsteps/'SAMPLE','WHERE.AMI',100/
+      data accur/-1d0/
+      data mincfig /1/
+      data maxcfig /1/
+      data twgt/-1d0/              !Dont write out events
+      data lun/27/                 !Unit number for events
+      data maxwgt/0d0/
+      data nw/0/                   !Number of events written
+      
+
+c-----
+c Begin Code
+c-----
+      ievent = 0
+      kevent = 0
+      nzoom = 0
+      xzoomfact = 1d0
+      if (nsteps .lt. 1) nsteps=1
+      nwrite = itmax*ncall/nsteps
+c      open(unit=66,file='.sample_warn',status='unknown')
+c      write(66,*) 'Warnings from sample run.',itmax,ncall
+c      close(66)
+      call sample_init(ndim,ncall,itmax,ninvar,nconfigs)
+      call graph_init
+      do i=1,itmax
+         xmean(i)=0d0
+         xsigma(i)=0d0
+      enddo
+c      mincfig=1
+c      maxcfig=nconfigs
+      wgt = 0d0
+c
+c     Main Integration Loop
+c
+      iter = 1
+      do while(iter .le. itmax)
+c
+c     Get integration point
+c
+         call sample_get_config(wgt,iter,ipole)
+         if (iter .le. itmax) then
+            ievent=ievent+1
+            call x_to_f_arg(ndim,ipole,mincfig,maxcfig,ninvar,wgt,x,p)
+            if (pass_point(p)) then
+               xzoomfact = 1d0
+               fx = dsig(p,wgt) !Evaluate function
+               if (xzoomfact .gt. 0d0) then
+                  wgt = wgt*fx*xzoomfact
+               else
+                  wgt = -xzoomfact
+               endif
+               if (wgt .gt. 0d0) call graph_point(p,wgt) !Update graphs
+            else
+               fx =0d0
+               wgt=0d0
+            endif
+            if (nzoom .le. 0) then
+               call sample_put_point(wgt,x(1),iter,ipole) !Store result
+            else
+               nzoom = nzoom -1
+               ievent=ievent-1
+            endif
+         endif
+         if (wgt .gt. 0d0) kevent=kevent+1    
+c
+c     Write out progress/histograms
+c
+         if (kevent .ge. nwrite) then
+            nwrite = nwrite+ncall*itmax/nsteps
+            nwrite = min(nwrite,ncall*itmax)
+            call graph_store
+         endif
+ 99   enddo
+c
+c     All done
+c
+      open(unit=66,file='results.dat',status='unknown')
+      i=1
+      do while(xmean(i) .ne. 0 .and. i .lt. cur_it)
+         i=i+1
+      enddo
+      cur_it = i
+      i = cur_it - 3
+      if (i .gt. 0) then
+      tmean = 0d0
+      tsigma = 0d0
+      tdem = 0d0
+      do while (xmean(i) .ne. 0 .and. i .lt. cur_it)
+         tmean = tmean+xmean(i)*xmean(i)**2/xsigma(i)**2
+         tdem = tdem+xmean(i)**2/xsigma(i)**2
+         tsigma = tsigma + xmean(i)**2/ xsigma(i)**2
+         i=i+1
+      enddo
+      tmean = tmean/tsigma
+      tsigma= tmean/sqrt(tsigma)
+c      nun = n_unwgted()
+
+      nun = neventswritten
+
+      chi2 = 0d0
+      do i = cur_it-3,cur_it-1
+         chi2 = chi2+(xmean(i)-tmean)**2/xsigma(i)**2
+      enddo
+      chi2 = chi2/2d0   !Since using only last 3, n-1=2
+      write(*,'(a)') '-----------------------------------------------------'
+      write(*,'(a)') '---------------------------'
+      write(*,'(a,e12.4)') ' Results Last 3 iters:  Integral = ',tmean
+      write(*,'(25x,a,e12.4)') 'Std dev = ',tsigma
+      write(*,'(17x,a,f12.4)') 'Chi**2 per DoF. =',chi2
+      write(*,'(a)') '-----------------------------------------------------'
+      write(*,'(a)') '---------------------------'
+
+      if (nun .lt. 0) nun=-nun   !Case when wrote maximun number allowed
+      if (chi2 .gt. 1) tsigma=tsigma*sqrt(chi2)
+      if (icor .eq. 0) then
+         write(66,'(3e12.5,2i9,i5,i9,e10.3)')tmean,tsigma,0.0,kevent,nw,
+     &     cur_it-1,nun, nun/max(tmean,1d-99)
+      else
+         write(66,'(3e12.5,2i9,i5,i9,e10.3)')tmean,0.0,tsigma,kevent,nw,
+     &     cur_it-1,nun, nun/max(tmean,1d-99)
+      endif
+c      do i=1,cur_it-1
+      do i=cur_it-3,cur_it-1
+         write(66,'(i4,4e15.5)') i,xmean(i),xsigma(i),xeff(i),xwmax(i)
+      enddo
+      close(66)
+      else
+         open(unit=66,file='results.dat',status='unknown')
+         write(66,'(3e12.5,2i9,i5,i9,e10.3)')0,0,0.0,kevent,nw,
+     &     1,0, 0
+         write(66,'(i4,4e15.5)') 1,0,0,0,0
+         close(66)
+
+      endif
+c
+c     Now let's check to see if we got all of the events we needed
+c     if not, will give it another try with 5 iterations to set
+c     the grid, and 4 more to try and get the appropriate number of 
+c     unweighted events.
+c
+      write(*,*) "Status",accur, cur_it, itmax
+      if (accur .ge. 0d0 .or. cur_it .gt. itmax+3)  return
+
+      if (neventswritten .gt. -accur) then
+         write(*,*) "We found enough events",neventswritten, -accur*1000*tmean
+         return
+      endif
+      
+c
+c     Need to start from scratch. This is clunky but I'll just
+c     remove the grid, so we are clean
+c
+      write(*,*) "Trying w/ fresh grid"
+      open(unit=25,file='ftn25',status='unknown',err=102)
+      write(25,*) ' '
+ 102  close(25)
+
+c
+c     First few iterations will allow the grid to adjust
+c
+c
+c     Reset counters
+c
+      ievent = 0
+      kevent = 0
+      nzoom = 0
+      xzoomfact = 1d0
+
+      ncall = ncall*4 ! / 2**(itmax-2)
+      write(*,*) "Starting w/ ncall = ", ncall
+      itmax = 8
+      call sample_init(ndim,ncall,itmax,ninvar,nconfigs)
+      do i=1,itmax
+         xmean(i)=0d0
+         xsigma(i)=0d0
+      enddo
+      wgt = 0d0
+      call clear_events
+      call set_peaks
+c
+c     Main Integration Loop
+c
+      iter = 1
+c      itmax = 8
+      itmax_adjust = 5
+      use_cut = 2  !Start adjusting grid
+      do while(iter .le. itmax)
+         if (iter .gt. itmax_adjust .and. use_cut .ne. 0) then
+            use_cut=0           !Fix grid
+            write(*,*) 'Fixing grid'
+         endif
+c
+c     Get integration point
+c
+         call sample_get_config(wgt,iter,ipole)
+         if (iter .le. itmax) then
+            ievent=ievent+1
+            call x_to_f_arg(ndim,ipole,mincfig,maxcfig,ninvar,wgt,x,p)
+            if (pass_point(p)) then
+               xzoomfact = 1d0
+               fx = dsig(p,wgt) !Evaluate function
+               if (xzoomfact .gt. 0d0) then
+                  wgt = wgt*fx*xzoomfact
+               else
+                  wgt = -xzoomfact
+               endif
+               if (wgt .gt. 0d0) call graph_point(p,wgt) !Update graphs
+            else
+               fx =0d0
+               wgt=0d0
+            endif
+            if (nzoom .le. 0) then
+               call sample_put_point(wgt,x(1),iter,ipole) !Store result
+            else
+               nzoom = nzoom -1
+               ievent=ievent-1
+            endif
+         endif
+         if (wgt .gt. 0d0) kevent=kevent+1    
+199   enddo
+c
+c     All done
+c
+      open(unit=66,file='results.dat',status='unknown')
+      i=1
+      do while(xmean(i) .ne. 0 .and. i .lt. cur_it)
+         i=i+1
+      enddo
+      cur_it = i
+      i = cur_it - 3
+      if (i .gt. 0) then
+      tmean = 0d0
+      tsigma = 0d0
+      tdem = 0d0
+      do while (xmean(i) .ne. 0 .and. i .lt. cur_it)
+         tmean = tmean+xmean(i)*xmean(i)**2/xsigma(i)**2
+         tdem = tdem+xmean(i)**2/xsigma(i)**2
+         tsigma = tsigma + xmean(i)**2/ xsigma(i)**2
+         i=i+1
+      enddo
+      tmean = tmean/tsigma
+      tsigma= tmean/sqrt(tsigma)
+c      nun = n_unwgted()
+c
+c     tjs 8/7/2007
+c
+      nun = neventswritten
+
+      chi2 = 0d0
+      do i = cur_it-3,cur_it-1
+         chi2 = chi2+(xmean(i)-tmean)**2/xsigma(i)**2
+      enddo
+      chi2 = chi2/2d0   !Since using only last 3, n-1=2
+      write(*,'(a)') '-----------------------------------------------------'
+      write(*,'(a)') '---------------------------'
+      write(*,'(a,e12.4)') ' Results Last 3 iters:  Integral = ',tmean
+      write(*,'(25x,a,e12.4)') 'Std dev = ',tsigma
+      write(*,'(17x,a,f12.4)') 'Chi**2 per DoF. =',chi2
+      write(*,'(a)') '-----------------------------------------------------'
+      write(*,'(a)') '---------------------------'
+
+      if (nun .lt. 0) nun=-nun   !Case when wrote maximun number allowed
+      if (chi2 .gt. 1) tsigma=tsigma*sqrt(chi2)
+      if (icor .eq. 0) then
+         write(66,'(3e12.5,2i9,i5,i9,e10.3)')tmean,tsigma,0.0,kevent,nw,
+     &     cur_it-1,nun, nun/max(tmean,1d-99)
+      else
+         write(66,'(3e12.5,2i9,i5,i9,e10.3)')tmean,0.0,tsigma,kevent,nw,
+     &     cur_it-1,nun, nun/max(tmean,1d-99)
+      endif
+c      do i=1,cur_it-1
+      do i=cur_it-3,cur_it-1
+         write(66,'(i4,4e15.5)') i,xmean(i),xsigma(i),xeff(i),xwmax(i)
+      enddo
+      close(66)
+      else
+         open(unit=66,file='results.dat',status='unknown')
+         write(66,'(3e12.5,2i9,i5,i9,e10.3)')0,0,0.0,kevent,nw,
+     &     1,0, 0
+         write(66,'(i4,4e15.5)') 1,0,0,0,0
+         close(66)
+
+      endif      
+      end
+
+      subroutine sample_fullx(ndim,ncall,itmax,dsig,ninvar,nconfigs)
+c**************************************************************************
+c     Driver for sample which does complete integration
+c     This is done in double precision, and should be told the
+c     number of possible phasespace choices.
+c     Arguments:
+c     ndim       Number of dimensions for integral(number or random #'s/point)
+c     ncall      Number of times to evaluate the function/iteration
+c     itmax      Number of iterations
+c     ninvar     Number of invarients to keep grids on (s,t,u, s',t' etc)
+c     nconfigs   Number of different pole configurations 
+c     dsig       Function to be integrated
+c**************************************************************************
+      implicit none
+      include 'genps.inc'
+c
+c Arguments
+c
+      integer ndim,ncall,itmax,ninvar,nconfigs
+      external         dsig
+      double precision dsig
+c
+c Local
+c
+      double precision x(maxinvar),wgt,p(4*maxdim/3+14)
+      double precision tdem, chi2
+      integer ievent,kevent,nwrite,iter,nun
+      integer jmax,i,j,ipole
+c
+c     External
+c
+      integer  n_unwgted
+      external n_unwgted
+c
+c Global
+c
+      integer                                      nsteps
+      character*40          result_file,where_file
+      common /sample_status/result_file,where_file,nsteps
+      double precision fx
+      common /to_fx/   fx
+
+      integer           mincfig, maxcfig
+      common/to_configs/mincfig, maxcfig
+
+      double precision     xmean(99),xsigma(99),xwmax(99),xeff(99)
+      common/to_iterations/xmean,    xsigma,    xwmax,    xeff
+
+      double precision    accur
+      common /to_accuracy/accur
+
+      double precision twgt, maxwgt,swgt(maxevents)
+      integer                             lun, nw
+      common/to_unwgt/twgt, maxwgt, swgt, lun, nw
+
+      integer nzoom
+      double precision  tx(1:3,maxinvar)
+      common/to_xpoints/tx, nzoom
+
+      double precision xzoomfact
+      common/to_zoom/  xzoomfact
+
+      double precision tmean, tsigma
+      integer             dim, events, itm, kn, cur_it, invar, configs
+      common /sample_common/
+     .     tmean, tsigma, dim, events, itm, kn, cur_it, invar, configs
+
+      integer              icor
+      common/to_correlated/icor
+c
+c     External
+c
+      logical pass_point
+c
+c     Data
+c
+c      data result_file,where_file,nsteps/'SAMPLE','WHERE.AMI',100/
+c      data accur/-1d0/
+c      data mincfig /1/
+c      data maxcfig /1/
+c      data twgt/-1d0/              !Dont write out events
+c      data lun/27/                 !Unit number for events
+c      data maxwgt/0d0/
+c      data nw/0/                   !Number of events written
+      
+
+c-----
+c Begin Code
+c-----
+      ievent = 0
+      kevent = 0
+      nzoom = 0
+      xzoomfact = 1d0
+      if (nsteps .lt. 1) nsteps=1
+      nwrite = itmax*ncall/nsteps
+c      open(unit=66,file='.sample_warn',status='unknown')
+c      write(66,*) 'Warnings from sample run.',itmax,ncall
+c      close(66)
+      call sample_init(ndim,ncall,itmax,ninvar,nconfigs)
+      call graph_init
+      do i=1,itmax
+         xmean(i)=0d0
+         xsigma(i)=0d0
+      enddo
+c      mincfig=1
+c      maxcfig=nconfigs
+      wgt = 0d0
+c
+c     Main Integration Loop
+c
+      iter = 1
+      do while(iter .le. itmax)
+c
+c     Get integration point
+c
+         call sample_get_config(wgt,iter,ipole)
+         if (iter .le. itmax) then
+            ievent=ievent+1
+            call x_to_f_arg(ndim,ipole,mincfig,maxcfig,ninvar,wgt,x,p)
+            if (pass_point(p)) then
+               xzoomfact = 1d0
+               fx = dsig(p,wgt) !Evaluate function
+               if (xzoomfact .gt. 0d0) then
+                  wgt = wgt*fx*xzoomfact
+               else
+                  wgt = -xzoomfact
+               endif
+               if (wgt .gt. 0d0) call graph_point(p,wgt) !Update graphs
+            else
+               fx =0d0
+               wgt=0d0
+            endif
+            if (nzoom .le. 0) then
+               call sample_put_point(wgt,x(1),iter,ipole) !Store result
+            else
+               nzoom = nzoom -1
+               ievent=ievent-1
+            endif
+         endif
+         if (wgt .gt. 0d0) kevent=kevent+1    
+c
+c     Write out progress/histograms
+c
+         if (kevent .ge. nwrite) then
+            nwrite = nwrite+ncall*itmax/nsteps
+            nwrite = min(nwrite,ncall*itmax)
+c            open(unit=22,file=where_file,status='old',
+c     &           access='append',err=99)
+c            write(22,'(2i15)') ievent,kevent
+c            close(22)
+            call graph_store
+         endif
+ 99   enddo
+c
+c     All done
+c
+c      open(unit=66,file='.sample_warn',status='old',access='append')      
+c      write(66,*) 'Finished sample',ievent,kevent,wgt
+c      if (wgt .ne. -1) then
+c         do j=1,5
+c            jmax = min(ndim,4*j)
+c            write(66,'(4e19.12)') (x(i),i=(j-1)*4+1,jmax)
+c         enddo
+c      endif
+c      close(66)
+
+      open(unit=66,file='results.dat',status='unknown')
+      i=1
+      do while(xmean(i) .ne. 0 .and. i .lt. cur_it)
+         i=i+1
+      enddo
+      cur_it = i
+      i = cur_it - 3
+      if (i .gt. 0) then
+      tmean = 0d0
+      tsigma = 0d0
+      tdem = 0d0
+      do while (xmean(i) .ne. 0 .and. i .lt. cur_it)
+         tmean = tmean+xmean(i)*xmean(i)**2/xsigma(i)**2
+         tdem = tdem+xmean(i)**2/xsigma(i)**2
+         tsigma = tsigma + xmean(i)**2/ xsigma(i)**2
+         i=i+1
+      enddo
+c      tmean = tmean/dble(i-1)
+c      tsigma= sqrt(tsigma)/dble(i-1)
+      tmean = tmean/tsigma
+c      tsigma= sqrt(tsigma)/dble(3)
+      tsigma= tmean/sqrt(tsigma)
+      nun = n_unwgted()
+
+      chi2 = 0d0
+      do i = cur_it-3,cur_it-1
+         chi2 = chi2+(xmean(i)-tmean)**2/xsigma(i)**2
+      enddo
+      chi2 = chi2/2d0   !Since using only last 3, n-1=2
+c      tsigma = tsigma*sqrt(chi2)
+c      write(*,*) "chi2 / dof=", chi2
+      write(*,'(a)') '-----------------------------------------------------'
+      write(*,'(a)') '---------------------------'
+      write(*,'(a,e12.4)') ' Results Last 3 iters:  Integral = ',tmean
+      write(*,'(25x,a,e12.4)') 'Std dev = ',tsigma
+      write(*,'(17x,a,f12.4)') 'Chi**2 per DoF. =',chi2
+      write(*,'(a)') '-----------------------------------------------------'
+      write(*,'(a)') '---------------------------'
+
+      if (nun .lt. 0) nun=-nun   !Case when wrote maximun number allowed
+      if (chi2 .gt. 1) tsigma=tsigma*sqrt(chi2)
+      if (icor .eq. 0) then
+         write(66,'(3e12.5,2i9,i5,i9,e10.3)')tmean,tsigma,0.0,kevent,nw,
+     &     cur_it-1,nun, nun/max(tmean,1d-99)
+      else
+         write(66,'(3e12.5,2i9,i5,i9,e10.3)')tmean,0.0,tsigma,kevent,nw,
+     &     cur_it-1,nun, nun/max(tmean,1d-99)
+      endif
+c      do i=1,cur_it-1
+      do i=cur_it-3,cur_it-1
+         write(66,'(i4,4e15.5)') i,xmean(i),xsigma(i),xeff(i),xwmax(i)
+      enddo
+      close(66)
+      else
+         open(unit=66,file='results.dat',status='unknown')
+         write(66,'(3e12.5,2i9,i5,i9,e10.3)')0,0,0.0,kevent,nw,
+     &     1,0, 0
+         write(66,'(i4,4e15.5)') 1,0,0,0,0
+         close(66)
+
+      endif
+      
+      end
+
+
+      subroutine sample_writehtm()
+c***********************************************************************
+c     Writes out results of run in html format
+c***********************************************************************
+      implicit none
+c
+c     Constants
+c
+      character*(*) htmfile
+      parameter (htmfile='results.html')
+      integer    lun
+      parameter (lun=26)
+c
+c     Local
+c
+      character*4 cpref
+      double precision scale
+      integer i
+c
+c     Global
+c
+      double precision     xmean(99),xsigma(99),xwmax(99),xeff(99)
+      common/to_iterations/xmean,    xsigma,    xwmax,    xeff
+
+c-----
+c  Begin Code
+c-----
+      return
+c
+c     Here we determine the appropriate units. Assuming the results 
+c     were written in picobarns
+c
+      if (xmean(1) .ge. 1e4) then         !Use nano barns
+         scale=1d-3
+         cpref='(nb)'
+      elseif (xmean(1) .ge. 1e1) then     !Use pico barns
+         scale=1d0
+         cpref='(pb)'
+      else                               !Use fempto
+         scale=1d+3
+         cpref='(fb)'
+      endif
+      open(unit=lun,file=htmfile,status='unknown',err=999)      
+      write(lun,50) '<head><title>Results_head</title></head>'
+      write(lun,50) '<body><h2>Results for Process</h2>'
+      write(lun,50) '<table border>'
+      write(lun,50) '<Caption> Caption Results'
+      write(lun,49) '<tr><th>Iteration</th>'
+      write(lun,48)'<th>Cross Sect',cpref,'</th><th>Error',cpref,'</th>' 
+      write(lun,49) '<th>Events (K)</th><th>Eff</th>'
+      write(lun,50) '<th>Wrote</th><th>Unwgt</th></tr>'
+
+c      write(lun,60) '<tr><th>AVG</th><th>',xtot*scale
+c     $     ,'</th><th>',errtot*scale,'</th><th align=right>',
+c     $     ntot/1000,'</th><th align=right>',teff,'</th></tr>'
+      i=1
+      do while(xmean(i) .gt. 0d0)
+         write(lun,'(a)') '<tr>'
+         write(lun,45) '<td align=right>',i,'</tr>'
+         write(lun,46) '<td align=right>',xmean(i)*scale,'</td>'
+         write(lun,46) '<td align=right>',xsigma(i)*scale,'</td>'
+         write(lun,46) '<td align=right>',xeff(i)*scale,'</td>'
+         write(lun,'(a)') '</tr>'
+         i=i+1
+      enddo
+      write(lun,50) '</table></body>'
+ 999  close(lun)
+ 45   format(a,i4,a)
+ 46   format(a,f12.3,a)
+ 48   format(a,a,a,a)
+ 49   format(a)
+ 50   format(a)
+      end
+
+
+
+      subroutine sample_init(p1, p2, p3, p4, p5)
+c************************************************************************
+c     Initialize grid and random number generators
+c************************************************************************
+      implicit none
+c
+c     Constants
+c
+      include 'genps.inc'
+c
+c     Arguments
+c
+      integer p1, p2, p3, p4, p5
+
+c
+c     Local
+c
+      integer i, j
+c
+c     Global
+c
+      integer                                      nsteps
+      character*40          result_file,where_file
+      common /sample_status/result_file,where_file,nsteps
+
+      double precision tmean, tsigma
+      integer             dim, events, iter, kn, cur_it, invar, configs
+      common /sample_common/
+     .     tmean, tsigma, dim, events, iter, kn, cur_it, invar, configs
+
+      double precision   grid(2, ng, 0:maxinvar)
+      common /data_grid/ grid
+      integer           Minvar(maxdim,lmaxconfigs)
+      common /to_invar/ Minvar
+      double precision   psect(maxconfigs),alpha(maxconfigs)
+      common/to_mconfig2/psect          ,alpha
+      logical first_time
+      common/to_first/first_time
+      integer           use_cut
+      common /to_weight/use_cut
+      integer           ituple
+      common /to_random/ituple
+
+      logical            flat_grid
+      common/to_readgrid/flat_grid                !Tells if grid read from file
+
+      integer              icor
+      common/to_correlated/icor
+
+      logical               zooming
+      common /to_zoomchoice/zooming
+
+      data use_cut/2/            !Grid: 0=fixed , 1=standard, 2=non-zero
+      data ituple/1/             !1=htuple, 2=sobel 
+      data Minvar(1,1)/-1/       !No special variable mapping
+
+c-----
+c  Begin Code
+c-----
+      icor = 0
+      If (use_cut .eq. 0) then
+         icor = 1          !Assume correlated unless grid read
+         print*,'Keeping grid fixed.'
+      elseif(use_cut .eq. 1) then
+         print*,'Using standard SAMPLE grid deformation.'
+      elseif(use_cut .eq. 2) then
+         print*,'Using non-zero grid deformation.'
+      elseif(use_cut .eq. 3) then
+         print*,'Using fluctuation for grid deformation.'
+      elseif(use_cut .eq. 4) then
+         print*,'Generating unweighted event shape.'
+      elseif(use_cut .eq. 5) then
+         print*,'Using constant plus linear grid deformation.'
+      elseif(use_cut .eq. 6) then
+         print*,'Using power law grid deformation.'
+      else
+         print*,'Using unknown grid deformation:',use_cut
+      endif
+c      open(unit=22,file=result_file,status='unknown')
+c      write(22,*) 'Sample Status ',p2,p3,nsteps
+c      close(22)
+c      open(unit=22,file=where_file,status='unknown')
+c      write(22,*) 'Sample Progress ',p2,p3,nsteps
+c      close(22)
+
+      dim      = p1
+      events   = p2
+      iter     = p3
+      invar    = p4
+      configs  = p5
+      first_time = .true.
+
+      if (dim .gt. maxdim) then
+         write(*,*) 'Too many dimensions requested from Sample()'
+         stop
+      endif
+c      if (dim .gt. invar) then
+c         write(*,*) 'Too many dimensions dim > invar',dim,invar
+c         stop
+c      endif
+      if (p4 .gt. maxinvar) then
+         write(*,*) 'Too many invarients requested from Sample()',p4
+         stop
+      endif
+      if (p5 .gt. maxconfigs) then
+         write(*,*) 'Too many configs requested from Sample()',p5
+         stop
+      endif
+
+      write(*,'(i3,a,i7,a,i3,a,i3,a,i3,a)') dim, ' dimensions', events,
+     &     ' events',p4,' invarients',iter, ' iterations',
+     &     p5,' config(s),  (0.99)'
+
+      if (ituple .eq. 1) then
+         print*,'Using h-tuple random number sequence.'
+      elseif (ituple .eq. 2) then
+         print*,'Using Sobel quasi-random number sequence.'
+         write(*,*) 'Sorry cant use sobel'
+         stop
+c         call isobel(dim)
+      else
+         print*,'Unknown random number generator',ituple
+      endif
+c
+c     See if need mapping between dimensions in different configurations
+c     (ie using s,t,u type invarients)
+c
+      if (Minvar(1,1) .eq. -1) then
+         print*,'No invarient mapping defined, using 1 to 1.'
+         do i=1,configs
+            do j=1,dim
+               Minvar(j,i) = j+(i-1)*dim
+            enddo
+         enddo
+      endif
+c
+c     Reset counters
+c
+      tmean = 0d0
+      tsigma = 0d0
+      kn = 0
+      cur_it = 1
+      do j=1,ng
+         grid(2,j,0) = xgmin+(xgmax-xgmin)*j/dble(ng)
+      enddo
+c
+c     Try to read grid from file
+c
+      flat_grid=.true.
+      open(unit=25,file='ftn25',status='unknown',err=102)
+      read(25,fmt='(4f20.17)', err=101, end=101)
+     .     ((grid(2,i,j),i=1,ng),j=1,maxinvar)
+c      write(*,*) 'Got the grid OK, now getting alpha'
+c      read(25,fmt='(4f20.17)',err=101,end=101)(alpha(i),i=1,maxconfigs)
+      write(*,*) 'Grid read from file'
+      flat_grid=.false.
+      close(25)
+c
+c     Determine weighting for each configuration
+c      
+      if (.not. flat_grid) icor = 0 !0 = not correlated 
+      zooming = (.not. flat_grid .and. use_cut .eq. 0) !only zoom if grid already adjusted and not changing more
+c
+c   tjs 5/22/07 turn off zooming
+c
+      zooming = .false.
+      if (configs .eq. 1) then
+         do i=1,maxconfigs
+            alpha(i) = 1
+         enddo
+      else
+         write(*,*) 'Using uniform alpha',alpha(1)
+c         tot=0d0
+c         do i=1,configs
+c            tot=tot+alpha(i)
+c         enddo
+         do i=1,maxconfigs
+            if(i .le. configs) then
+               alpha(i)=1d0/dble(configs)
+            else
+               alpha(i)=0d0
+            endif
+         enddo
+      endif
+      goto 103
+ 101  close(25)
+c      write(*,*) 'Tried reading it',i,j
+ 102  write(*,*) 'Error opening grid'
+c
+c     Unable to read grid, using uniform grid and equal points in
+c     each configuration
+c
+      write(*,*) 'Using Uniform Grid!'
+      do j = 1, maxinvar
+         do i = 1, ng
+            grid(2, i, j) = xgmin+ (xgmax-xgmin)*(i / dble(ng))**1
+         end do
+      end do
+      do j=1,maxconfigs
+         if (j .le. configs) then
+            alpha(j)=1d0/dble(configs)
+         else
+            alpha(j)=0d0
+         endif
+      enddo
+      write(*,*) 'Using uniform alpha',alpha(1)
+c      write(*,*) 'Forwarding random number generator'
+
+ 103  write(*,*) 'Grid defined OK'
+      end
+
+      subroutine setgrid(j,xo,a,itype)
+c*************************************************************************
+c     Presets the grid for a 1/(x-a)^itype distribution down to xo
+c*************************************************************************
+      implicit none
+c
+c     Constants
+c
+      include 'genps.inc'
+c
+c     Arguments
+c
+      integer j, itype                !grid number
+      double precision  xo            !minimum value
+      double precision  a             !offset for peak
+c
+c     Local
+c
+      integer i,k
+      integer ngu, ngd
+c
+c     Global
+c
+      double precision   grid(2, ng, 0:maxinvar)
+      common /data_grid/ grid
+
+      logical            flat_grid
+      common/to_readgrid/flat_grid                !Tells if grid read from file
+
+c----- 
+c  Begin Code
+c-----
+      if (flat_grid) then
+         write(*,'(a,i4,2e15.5,i4)') 'Setting grid',j,xo,a,itype
+         if (a .ge. xo) then
+            write(*,*) 'Can not integrate over singularity'
+            write(*,*) 'Set grid',j,xo,a
+            return
+         endif
+c     grid(2,1,j) = xo
+         grid(2,ng,j)=xgmax
+         if (itype .eq. 1) then
+c
+c     We'll use most for the peak, but save some for going down
+c
+            ngu = ng *0.9
+            ngd = ng-ngu
+            do i=1,ngu-1
+c-------------------
+c     tjs 6/30/2009
+c     New form for setgrid
+c-------------------
+c               grid(2,i+ngd,j)=((1d0-a)/(xo-a))**(1d0-dble(i)/dble(ngu))
+c               grid(2,i+ngd,j)=1d0/grid(2,i+ngd,j)+a
+               grid(2,i+ngd,j) = xo + ((dble(i)+xo-a)/(dble(ngu)+xo-a))**2
+
+            enddo
+c
+c     Now lets go down the other side
+c
+            grid(2,ngd,j) =  xo
+            do i=1,ngd-1
+c               grid(2,i,j) = ((1d0-a)/(xo-a))**(1d0-dble(i)/dble(ngd))
+               grid(2,ngd-i,j) = xo-(grid(2,ngd+i,j)-xo)
+               if (grid(2,ngd-i,j) .lt. -1d0) then
+                  write(*,*) 'Error grid set too low',grid(2,ngd-i,j)
+                  do k=1,ng
+                     write(*,*) k,grid(2,k,j)
+                  enddo
+                  stop
+               endif
+            enddo
+c
+c     tjs  5/11/2009
+c     Make sure sample all the way down to zero
+c     
+            if (xo .gt. 0) grid(2,1,j) = 0d0
+c            write(*,*) "Adjusted bin 1 to zero"
+
+         elseif (itype .eq. 2) then
+            do i=2,ng-1
+               grid(2,i,j)=(1d0/(xo-a))*(1d0-dble(i)/dble(ng))+
+     $              (dble(i)/dble(ng))*(1d0/(1d0-a))
+               grid(2,i,j)=1d0/grid(2,i,j)+a
+            enddo         
+         else
+            write(*,*) 'No modification in setgrid',itype
+         endif
+         do i=1,ng
+c             write(*,*) j,i,grid(2,i,j)
+         enddo
+         call sample_write_g(j,'_0')
+      else
+         write(*,*) 'No modification is setgrid, grid read from file'
+      endif
+      end
+
+      subroutine sample_get_config(wgt, iteration, iconfig)
+c************************************************************************
+c     
+c     INPUTS:
+c
+c     OUTPUTS:   wgt       == 1/nevents*niterations
+c                iteration == Current iteration
+c                iconfig   == configuration to use
+c
+c************************************************************************
+      implicit none
+c
+c     Constants
+c
+      include 'genps.inc'
+c
+c     Arguments
+c
+      double precision wgt
+      integer iteration, iconfig
+c
+c     Local
+c
+      integer idum
+      real xrnd
+      double precision tot
+c
+c     External
+c
+      real ran1
+c
+c     Global
+c
+      double precision tmean, tsigma
+      integer             dim, events, iter, kn, cur_it, invar, configs
+      common /sample_common/
+     .     tmean, tsigma, dim, events, iter, kn, cur_it, invar, configs
+      double precision   psect(maxconfigs),alpha(maxconfigs)
+      common/to_mconfig2/psect            ,alpha
+      data idum/0/
+
+      integer           mincfig, maxcfig
+      common/to_configs/mincfig, maxcfig
+
+c-----
+c  Begin Code
+c-----
+      iteration = cur_it
+      if (cur_it .gt. iter) then
+         wgt = -1d0
+      else
+         wgt = 1d0 / (dble(events) * dble(iter))
+c
+c     Choose configuration
+c
+         if (configs .gt. 1) then
+            xrnd = ran1(idum)
+            iconfig=1
+            tot = alpha(iconfig)
+            do while (tot .lt. xrnd .and. iconfig .lt. configs)
+               iconfig=iconfig+1
+               tot = tot+alpha(iconfig)
+            enddo
+         else
+            iconfig=mincfig
+         endif
+      endif
+      end
+
+      subroutine sample_get_x(wgt, x, j, ipole, xmin, xmax)
+c************************************************************************
+c     Returns maxdim random numbers between 0 and 1, and the wgt
+c     associated with this set of points, and the iteration number
+c     This routine chooses the point within the range specified by
+c     xmin and xmax for dimension j in configuration ipole
+c************************************************************************
+      implicit none
+c
+c     Constants
+c
+      include 'genps.inc'
+c
+c     Arguments
+c
+      double precision wgt, x, xmin, xmax
+      integer j, ipole
+c
+c     Local
+c
+      integer  im, ip,ij,icount,it_warned
+      double precision xbin_min,xbin_max,ddum(maxdim),xo,y
+c
+c     External
+c
+      double precision xbin
+      external         xbin
+c
+c     Global
+c
+      double precision tmean, tsigma
+      integer             dim, events, iter, kn, cur_it, invar, configs
+      common /sample_common/
+     .     tmean, tsigma, dim, events, iter, kn, cur_it, invar, configs
+
+      double precision    grid(2, ng, 0:maxinvar)
+      common /data_grid/ grid
+      integer           Minvar(maxdim,lmaxconfigs)
+      common /to_invar/ Minvar
+
+      integer           ituple
+      common /to_random/ituple
+
+      double precision      spole(maxinvar),swidth(maxinvar),bwjac
+      common/to_brietwigner/spole        ,swidth        ,bwjac
+
+      integer nzoom
+      double precision  tx(1:3,maxinvar)
+      common/to_xpoints/tx, nzoom
+
+      data ddum/maxdim*0d0/
+      data icount/0/
+      data it_warned/0/
+c-----
+c  Begin Code
+c-----
+      if (it_warned .ne. cur_it) then
+         icount=0
+         it_warned = cur_it
+      endif
+      if (ituple .eq. 2) then   !Sobel generator
+         print*,'Sorry Sobel generator disabled'
+         stop
+c         call sobel(ddum)
+c         write(*,'(7f11.5)')(ddum(j)*real(ng),j=1,dim)
+      endif
+      if (ituple .eq. 1) then
+c         write(*,*) 'Getting variable',ipole,j,minvar(j,ipole)
+         xbin_min = xbin(xmin,minvar(j,ipole))
+         xbin_max = xbin(xmax,minvar(j,ipole))
+         if (xbin_min .gt. xbin_max) then
+c            write(*,'(a,4e15.4)') 'Bad limits',xbin_min,xbin_max,
+c     &           xmin,xmax
+c            xbin_max=xbin_min+1d-10
+            xbin_min = xbin(xmin,minvar(j,ipole))
+            xbin_max = xbin(xmax,minvar(j,ipole))
+         endif
+c
+c     Line which allows us to keep choosing same x
+c
+c         if (swidth(j) .ge. 0) then
+         if (nzoom .le. 0) then
+            call ntuple(ddum(j), xbin_min,xbin_max, j, ipole)
+         else
+c            write(*,*) 'Reusing num',j,nzoom,tx(2,j)
+
+            call ntuple(ddum(j),max(xbin_min,dble(int(tx(2,j)))),
+     $           min(xbin_max,dble(int(tx(2,j))+1)),j,ipole)
+
+            if(max(xbin_min,dble(int(tx(2,j)))).gt.
+     $           min(xbin_max,dble(int(tx(2,j))+1))) then
+c               write(*,*) 'not good'
+            endif
+
+c            write(*,'(2i6,4e15.5)') nzoom,j,ddum(j),tx(2,j),
+c     $           max(xbin_min,dble(int(tx(2,j)))),
+c     $           min(xbin_max,dble(int(tx(2,j))+1))
+
+c            ddum(j) = tx(2,j)                 !Use last value
+
+
+         endif
+         tx(1,j) = xbin_min
+         tx(2,j) = ddum(j)
+         tx(3,j) = xbin_max
+      elseif (ituple .eq. 2) then
+         if (ipole .gt. 1) then
+            print*,'Sorry Sobel not configured for multi-pole.'
+            stop
+         endif
+         ddum(j)=ddum(j)*dble(ng)
+      else
+         print*,'Error unknown random number generator.',ituple
+         stop
+      endif
+
+      im = ddum(j)
+      ip = im + 1
+      ij = Minvar(j,ipole)
+c
+c     New method of choosing x from bins
+c
+      if (ip .eq. 1) then         !This is in the first bin
+         xo = grid(2, ip, ij)-xgmin
+         x = grid(2, ip, ij) - xo * (dble(ip) - ddum(j))
+      else           
+         xo = grid(2, ip, ij)-grid(2,im,ij)
+         x = grid(2, ip, ij) - xo * (dble(ip) - ddum(j))
+      endif
+c
+c     Now we transform x if there is a B.W., S, or T  pole
+c
+      if (ij .gt. 0) then
+         if (swidth(ij) .gt. 0d0) then
+            y = x                             !Takes uniform y and returns
+c            write(*,*) 'Tranpole called',ij,swidth(ij)
+            call transpole(spole(ij),swidth(ij),y,x,wgt) !x on BW pole
+         endif
+      endif
+c
+c     Simple checks to see if we got the right point note 1e-3 corresponds
+c     to the fact that the grids are required to be separated by 1e-14. Since
+c     double precision is about 18 digits, we expect things to agree to
+c     3 digit accuracy.
+c
+      if (abs(ddum(j)-xbin(x,ij))/(ddum(j)+1d-22) .gt. 1e-3) then
+         if (icount .lt. 5) then
+            write(*,'(a,i4,2e14.6,1e12.4)')
+     &           'Warning xbin not returning correct x', ij,
+     &           ddum(j),xbin(x,ij),xo
+         elseif (icount .eq. 5) then
+            write(*,'(a,a)')'Warning xbin still not working well. ',
+     &           'Last message this iteration.'
+         endif
+         icount=icount+1
+      endif
+      if (x .lt. xmin .or. x .gt. xmax) then
+c         write(*,'(a,4i4,2f24.16,1e10.2)') 'Bad x',ij,int(xbin_min),ip,
+c     &        int(xbin_max),xmin,x,xmax-xmin
+      endif
+
+      wgt = wgt * xo * dble(xbin_max-xbin_min)
+c      print*,'Returning x',ij,ipole,j,x
+      end
+
+      subroutine sample_get_wgt(wgt, x, j, ipole, xmin, xmax)
+c************************************************************************
+c     Returns the wgt for a point x in grid j of configuration
+c     ipole between xmin and xmax
+c************************************************************************
+      implicit none
+c
+c     Constants
+c
+      include 'genps.inc'
+c
+c     Arguments
+c
+      double precision wgt, x, xmin, xmax
+      integer j, ipole
+c
+c     Local
+c
+      integer  im, ip,ij
+      double precision xbin_min,xbin_max,xbin2
+      double precision xo
+c
+c     External
+c
+      double precision xbin
+      external         xbin
+c
+c     Global
+c
+      double precision tmean, tsigma
+      integer             dim, events, iter, kn, cur_it, invar, configs
+      common /sample_common/
+     .     tmean, tsigma, dim, events, iter, kn, cur_it, invar, configs
+
+      double precision    grid(2, ng, 0:maxinvar)
+      common /data_grid/ grid
+      integer           Minvar(maxdim,lmaxconfigs)
+      common /to_invar/ Minvar
+      integer           ituple
+      common /to_random/ituple
+      double precision      spole(maxinvar),swidth(maxinvar),bwjac
+      common/to_brietwigner/spole        ,swidth        ,bwjac
+
+c-----
+c  Begin Code
+c-----
+      if (xmin .gt. x) then
+         if (xmin-x .lt. 1d-13) then
+            x=xmin
+         else
+            write(*,'(a,2i4,4e10.4)') 'Error x out of range in get_wgt',
+     $           j,minvar(j,ipole),xmin,x,xmax,x-xmin
+            return
+         endif
+      endif
+      if (xmax .lt. x) then
+         if (x-xmax .lt. 1d-13) then
+            x=xmax
+         else
+            write(*,'(a,2i4,4f8.4)') 'Error x out of range in get_wgt',
+     $           j,minvar(j,ipole),xmin,x,xmax,x-xmin
+            return
+         endif
+      endif
+      if (ituple .eq. 1) then
+         xbin_min = xbin(xmin,minvar(j,ipole))
+         xbin_max = xbin(xmax,minvar(j,ipole))
+         xbin2    = xbin(x,minvar(j,ipole))  !This must be last one for bwjac
+         if (xbin_min .gt. xbin_max) then
+            write(*,'(a,2e15.3,i6,2e15.3)') 'Error xbinmin>xbinmax'
+     &           ,xbin_min,
+     &           xbin_max,minvar(j,ipole),xmin,xmax
+         endif
+      else
+         print*,'Error unknown random number generator.',ituple
+         stop
+      endif
+      im = xbin2
+      ip = im + 1
+      ij = Minvar(j,ipole)
+c
+c     New method for finding bin
+c
+      if (ip .eq. 1) then
+         xo=grid(2,ip,ij)-xgmin
+      else
+         xo=grid(2,ip,ij)-grid(2,im,ij)
+      endif
+      wgt = wgt * xo * dble(xbin_max-xbin_min)*bwjac
+      if (wgt .le. 0d0) then
+c         write(*,'(a,3i4,2f6.1,3e15.3)') 'Error wgt<0',j,ij,ip,
+c     &        xbin_min,xbin_max,xo,xmin,xmax
+c         write(*,'(2e25.15)') grid(2, ip, ij),grid(2, im, ij)
+c         write(*,'(a,5e15.5)') 'Wgt',wgt,xo,
+c     &        dble(xbin_max-xbin_min),bwjac
+      endif
+      end
+
+      subroutine sample_result(mean, sigma)
+      implicit none
+      double precision mean, sigma
+      integer i,cur_it
+      double precision tsigma,tmean,tsig,tdem
+
+      double precision     xmean(99),xsigma(99),xwmax(99),xeff(99)
+      common/to_iterations/xmean,    xsigma,    xwmax,    xeff
+
+
+      i=1
+      do while(xmean(i) .ne. 0 .and. i .lt. 99)
+         i=i+1
+      enddo
+      cur_it = i
+      i = cur_it - 3
+      tmean = 0d0
+      tsigma = 0d0
+      if (i .gt. 0) then
+      tdem = 0d0
+      do while (xmean(i) .ne. 0 .and. i .lt. cur_it)
+         tmean = tmean+xmean(i)*xmean(i)**2/xsigma(i)**2
+         tdem = tdem+xmean(i)**2/xsigma(i)**2
+         tsigma = tsigma + xmean(i)**2/ xsigma(i)**2
+         i=i+1
+      enddo
+      tmean = tmean/tsigma
+      tsigma= tmean/sqrt(tsigma)
+      endif
+
+      mean = tmean
+      sigma = tsigma
+
+      end
+
+
+      subroutine sample_put_point(wgt, point, iteration,ipole)
+c**************************************************************************
+c     Given point(maxinvar),wgt and iteration, updates the grid.
+c     If at the end of an iteration, reforms the grid as necessary
+c     and outputs current results
+c**************************************************************************
+      implicit none
+c
+c     Constants
+c
+      include 'genps.inc'
+      integer    max_events
+      parameter (max_events=500000) !Maximum # events before get non_zero
+c
+c     Arguments
+c
+      integer iteration,ipole
+      double precision wgt, point(maxinvar)
+c
+c     Local
+c
+      integer i, j, k, knt, non_zero, nun
+      double precision vol,xnmin,xnmax,tot
+      double precision rc, dr, xo, xn, x(maxinvar), dum(ng)
+      save vol,knt
+      double precision  chi2
+      save chi2, non_zero
+      double precision wmax1,ddumb
+      save wmax1
+      double precision twgt1,xchi2,xmean
+      integer iavg,navg
+      save twgt1,iavg,navg
+c
+c     External
+c
+      double precision binwidth,xbin
+      logical rebin
+      integer n_unwgted
+      external binwidth,xbin,rebin,n_unwgted
+c
+c     Global
+c
+      double precision    accur
+      common /to_accuracy/accur
+
+      double precision     ymean(99),ysigma(99),ywmax(99),yeff(99)
+      common/to_iterations/ymean,    ysigma,    ywmax,    yeff
+
+      double precision mean,sigma
+      common/to_result/mean,sigma
+
+      double precision grid2(0:ng,maxinvar)
+      integer               inon_zero(ng,maxinvar)
+      common/to_grid2/grid2,inon_zero
+
+      double precision tmean, tsigma
+      integer             dim, events, iter, kn, cur_it, invar, configs
+      common /sample_common/
+     .     tmean, tsigma, dim, events, iter, kn, cur_it, invar, configs
+
+      double precision    grid(2, ng, 0:maxinvar)
+      common /data_grid/ grid
+      integer                                      nsteps
+      character*40          result_file,where_file
+      common /sample_status/result_file,where_file,nsteps
+      logical         first_time
+      common/to_first/first_time
+      integer           use_cut
+      common /to_weight/use_cut
+      double precision   xmin(maxinvar),xmax(maxinvar)
+      common /to_extreme/xmin        ,xmax
+      double precision reliable(ng,maxdim)
+      common /to_error/reliable
+
+      double precision twgt, maxwgt,swgt(maxevents)
+      integer                             lun, nw
+      common/to_unwgt/twgt, maxwgt, swgt, lun, nw
+
+
+      real*8             wmax                 !This is redundant
+      common/to_unweight/wmax
+
+      double precision fx
+      common /to_fx/   fx
+      double precision   prb(maxconfigs,maxpoints,maxplace)
+      double precision   fprb(maxinvar,maxpoints,maxplace)
+      integer                      jpnt,jplace
+      common/to_mconfig1/prb ,fprb,jpnt,jplace
+      double precision   psect(maxconfigs),alpha(maxconfigs)
+      common/to_mconfig2/psect          ,alpha
+      double precision      spole(maxinvar),swidth(maxinvar),bwjac
+      common/to_brietwigner/spole        ,swidth        ,bwjac
+      
+      integer                   neventswritten
+      common /to_eventswritten/ neventswritten
+
+      data prb/maxprb*1d0/
+      data fprb/maxfprb*1d0/
+      data jpnt,jplace /1,1/
+
+c-----
+c  Begin Code
+c-----
+      if (first_time) then
+         first_time = .false.
+         twgt1 = 0d0       !
+         iavg = 0         !Vars for averging to increase err estimate
+         navg = 1      !
+         wmax1= 99d99
+         wmax = -1d0
+         mean = 0d0
+         sigma = 0d0
+         chi2 = 0d0
+         non_zero = 0
+         vol = 1d0 / dble(events * iter)
+         knt = events
+
+         do i=1,maxconfigs
+            psect(i)=0d0
+         enddo
+         do i=1,invar
+            xmin(i) = xgmax
+            xmax(i) = xgmin
+            do j=1,ng
+               inon_zero(j,i)=0
+               grid(1,j,i)   =0d0
+               grid2(j,i)    =0d0
+            enddo
+         enddo
+      endif
+
+      if (iteration .eq. cur_it) then
+         kn = kn + 1
+         if (.true.) then       !Average points to increase error estimate
+            twgt1=twgt1+wgt     !This doesn't change anything should remove
+            iavg = iavg+1
+            if (iavg .ge. navg) then
+               sigma=sigma+twgt1**2
+               iavg = 0
+               twgt1=0d0
+            endif
+         else
+            sigma = sigma + wgt**2
+         endif
+         if (wgt .gt. 0.) then
+            if (wgt*iter*events .gt. wmax) then
+               wmax=wgt*iter*events
+            endif
+            non_zero = non_zero + 1
+            mean = mean + wgt
+            if (.true. ) then
+c               psect(ipole)=psect(ipole)+wgt*wgt/alpha(ipole)  !Ohl 
+c               psect(ipole)=1d0                 !Not doing multi_config
+            else
+               tot = 0d0
+               do i=1,configs
+                  tot=tot+prb(i,jpnt,jplace)*alpha(i)
+               enddo
+               do i=1,configs
+                  if (tot .gt. 0d0) then !Pittau hep-ph/9405257
+                     psect(i)=psect(i)+wgt*wgt*prb(i,jpnt,jplace)/tot
+                  else
+                     psect(i)=psect(i)+wgt*wgt*alpha(i) !prb not set....
+                  endif
+               enddo
+            endif
+c            write(123,'(2i6,1e15.5)') 1,1,wgt
+c            write(123,'(5e15.9)') (fprb(i,jpnt,jplace),i=1,invar) 
+c            write(123,'(5e15.9)') (prb(i,jpnt,jplace),i=1,configs) 
+            do j = 1, invar
+               i = int(xbin(point(j),j))+1
+               if (i .gt. ng) then
+                  print*,'error i>ng',i,j,ng,point(j)
+                  i=ng
+               endif
+               grid(1, i, j) = grid(1, i, j) + abs(wgt)
+               grid2(i, j) = grid2(i, j) + wgt**2
+c
+c     Lines below are for multiconfiguration
+c
+c               grid(1, i, j) = grid(1, i, j) +
+c     &                          (abs(wgt)**2)*fprb(j,jpnt,jplace)
+c               grid2(i, j) = grid2(i, j) + wgt**4*fprb(j,jpnt,jplace)
+               if (abs(wgt) .gt. 0) inon_zero(i,j) = inon_zero(i,j)+1
+c
+c     Here we need to look out for point(j) which has been transformed
+c     for Briet-Wigner pole
+c
+               if (j .gt. 0) then
+                  if (swidth(j) .gt. 0d0) then
+                     ddumb=0d0
+                     call untranspole(spole(j),swidth(j),
+     &                    point(j),point(j),ddumb)
+                     if (point(j) .lt. 0d0) then
+                        print*,'Warning point<0',j,point(j)
+                     endif
+                  endif
+               endif
+               if (abs(wgt) .gt. 0) xmin(j)=min(xmin(j),point(j))
+               if (abs(wgt) .gt. 0) xmax(j)=max(xmax(j),point(j))
+               if (xmin(j) .lt. xgmin) then
+                  print*,'Warning xmin<0',j,xmin(j),point(j)
+               endif
+               xmin(j)=max(xmin(j),xgmin)
+            end do
+         endif
+c
+c     Now if done with an iteration, print out stats, rebin, reset
+c         
+c         if (kn .eq. events) then
+         if (kn .ge. max_events .and. non_zero .lt. 5) then
+            call none_pass(max_events)
+         endif
+         if (non_zero .eq. events .or. (kn .gt. 200*events .and.
+     $        non_zero .gt. 5)) then
+            mean=mean*dble(events)/dble(non_zero)
+            twgt1=twgt1*dble(events)/dble(non_zero)
+            sigma=sigma+twgt1**2    !This line for averaging over points
+            if (non_zero .eq. 0) then
+               write(*,*) 'Error no points passed the cuts.'
+               write(*,*) 'Try running with more points or looser cuts.'
+               stop
+            endif
+c            mean = mean * iter                 !Used if don't have non_zero
+            if (.true.) then
+               mean = mean * iter *dble(non_zero)/dble(kn)
+               knt = kn
+            endif
+c
+c     Need to fix this if averaging over navg events
+c
+c        write(*,*) (sigma/vol/vol-knt*mean*mean)/dble(knt-1)/dble(knt),
+c     &        (sigma/vol/vol-knt*mean*mean*navg)/dble(knt-1)/ dble(knt)
+
+            if (.true.) then
+c               vol = 1d0/(knt*iter)
+               sigma = (sigma/vol/vol-non_zero*mean*mean*navg)  !knt replaced by non_zero
+     .              / dble(knt-1) / dble(knt)
+            else
+               sigma = (sigma/vol/vol - knt*mean*mean)
+     .              / dble(knt-1) / dble(knt)
+            endif
+
+            tmean = tmean + mean * (mean**2 / sigma)
+            tsigma = tsigma + mean**2 / sigma
+            chi2 = chi2 + mean**2 * (mean**2 / sigma)
+            sigma = sqrt(abs(sigma))
+
+            if (cur_it .lt. 100) then
+               ymean(cur_it) = mean
+               ysigma(cur_it) = sigma
+               ywmax(cur_it)= wmax*dble(non_zero)/dble(kn)
+               yeff(cur_it)= sigma*sqrt(dble(non_zero))/mean
+c               call sample_writehtm()
+            endif
+            write(*,222) 'Iteration',cur_it,'Mean: ',mean,
+     &           '  Fluctuation: ',sigma,
+     &           wmax*(dble(non_zero)/dble(kn)),
+     &           dble(non_zero)/dble(kn)*100.,'%'
+ 222        format(a10,I3,3x,a6,e10.4,a16,e10.3,e12.3,3x,f5.1,a1)
+
+            write(*,223) cur_it, mean, ' +- ', sigma,
+     &           sigma*sqrt(dble(non_zero))/mean
+ 223        format( i3,3x,e10.4,a,e10.4,f10.2)
+            tot=0d0
+            do i=1,configs
+               tot=tot+psect(i)
+            enddo
+            if (configs .gt. 1)
+     &           write(*,'(8f10.5)') (psect(i)/tot, i=1,configs)
+c
+c     Now set things up for generating unweighted events
+c
+            if (twgt .eq. -2d0) then               
+               twgt = mean *kn/ (dble(iter)*dble(events)*dble(events))
+c
+c     now scale twgt, in case have large fluctuations
+c
+
+c               twgt = twgt * max(1d0, yeff(cur_it))
+
+c
+c     For small number of events only write about 1% of events
+c
+c               if (events .le. 2500) then
+c                  twgt = mean *kn*100 /
+c     $                 (dble(iter)*dble(events)*dble(events)) 
+c               endif
+c               twgt = max(twgt, maxwgt/10d0)
+               write(*,*) 'Writing out events',twgt, yeff(cur_it)
+c               write(*,*) mean, kn, iter, events
+            endif
+c
+c     This tells it to write out a file for unweighted events
+c
+c            if(wmax*(dble(non_zero)/dble(kn)) .lt. wmax1) then
+            if(sigma/(mean+1d-99) .lt. wmax1 .and. use_cut .ne. 0) then
+c               wmax1 = wmax*(dble(non_zero)/dble(kn))
+               wmax1 = sigma/(mean+1d-99)
+c               open(26, file='ftn99',status='unknown')
+c               write(26,fmt='(4f20.17)')
+c     $              ((grid(2,i,j),i=1,ng),j=1,maxinvar)
+c               write(26,fmt='(4f20.17)') (alpha(i),i=1,maxconfigs)
+c               close(26)
+            endif
+            tot=0d0
+            if (use_cut .ne. 0) then
+c              write(*,*) 'Keeping alpha fixed'
+               if (configs .gt. 1) then
+                  do i=1,configs
+                     alpha(i)=alpha(i)*sqrt(sqrt(psect(i))) !Pittau
+                     tot = tot+alpha(i)
+                     psect(i)=0d0
+                  enddo
+                  do i=1,configs
+                     alpha(i)=alpha(i)/tot
+                  enddo
+                  write(*,'(A)') 'Configs:'
+                  write(*,'(8f10.5)') (alpha(i),i=1,configs)
+               endif
+            endif
+c            open(unit=22,file=result_file,status='old',access='append',
+c     &           err=23)
+c            write(22,222) 'Iteration',cur_it,'Mean: ',mean,
+c     &           '  Fluctuation: ',sigma,
+c     &           wmax*(dble(non_zero)/dble(kn)),
+c     &           dble(non_zero)/dble(kn)*100.,'%'
+c            close(22)
+c------
+c    Here we will double the number of events requested for the next run
+c-----
+ 23         events = 2 * events
+            vol = 1d0/dble(events*iter)
+            knt = events
+            twgt = mean / (dble(iter)*dble(events))
+c            write(*,*) 'New number of events',events,twgt
+
+            mean = 0d0
+            sigma = 0d0
+            cur_it = cur_it + 1
+            kn = 0
+            wmax = -1d0
+c
+c     do so adjusting of weights according to number of events in bin
+c
+            do j=1,invar
+               do i = 1, ng
+                  if (use_cut .ne. 2 .and.
+     &                use_cut .ne. 3 .and. use_cut .ne. 5)
+     $                 inon_zero(i,j) = 0
+                  if (use_cut .eq. 3) grid(1,i,j)=grid2(i,j)
+                  if (inon_zero(i,j) .ne. 0) then
+                     grid(1,i,j) = grid(1,i,j)
+     &                 *dble(min((real(non_zero)/real(inon_zero(i,j))),
+     $                    10000.))
+                     grid2(i,j) = grid2(i,j)
+     &                 *dble(min((real(non_zero)/real(inon_zero(i,j))),
+     $                    10000.))**2
+                     if (real(non_zero)/real(inon_zero(i,j))
+     &                    .gt. 100000) then
+c                        if (j .eq. 1) then
+                           print*,'Exceeded boost',j,i,
+     &                          real(non_zero)/real(inon_zero(i,j))
+c                        endif
+                     endif
+                     inon_zero(i,j) = 0
+                  endif
+                  if (use_cut .eq. 4)
+     &                 reliable(i,j)=dsqrt(grid2(i,j))/grid(1,i,j)
+               enddo
+            enddo
+            if (use_cut .eq. 4) then
+               use_cut=0
+            endif
+            do j = 1, invar
+               k=1
+c
+c              special routines to deal with xmin cutoff
+c
+               do while(grid(1,k,j) .le. 0d0 .and. k .lt. ng)
+                  k=k+1
+               enddo
+
+c               if (j .eq. 1) then
+c                  open(unit=22,file='x1.dat',status='unknown')
+c                  do i=1,ng
+c                     write(22,'(i6,2e20.8)') i,grid(1,i,j),
+c     $                    dsqrt(grid2(i,j))
+c                  enddo
+c                  close(22)
+c               endif
+
+               x(j)=0d0
+               do i=1,ng
+                  x(j)=x(j)+grid(1,i,j)
+               enddo
+
+               call average_grid(j,k,grid,grid2,x)
+
+c               if (j .eq. 1 .and. .true.) then
+c               open(unit=22,file='x1avg.dat',status='unknown')
+c               do i=1,ng
+c                  write(22,'(i6,2e20.8)') i,grid(1,i,1),
+c     $                 dsqrt(grid2(i,1))
+c               enddo
+c               close(22)
+c               endif
+
+c
+c     Now take logs to help the rebinning converge quicker
+c
+               rc = 0d0
+               do i= k, ng
+                  xo = (1.0d-14) + grid(1, i, j) / x(j)
+                  grid(1, i, j) = ((xo - 1d0) / log(xo))**1.5 !this is 1.5
+                  rc = rc + grid(1, i, j)
+c                  write(*,*) i,rc
+               end do      
+               rc = rc / dble(ng)
+               k = 0
+               xn = xgmin
+               dr = 0d0
+               i = 0
+c
+c     Special lines to deal with xmin .ne. 0 cutoffs
+c               
+c
+c     These assume one endpoints are xgmin and xgmax
+c     
+c
+
+               xnmin = xgmin              !Endpoints for grid usually 0d0
+               xnmax = xgmax              !Endpoint for grid usually 1d0
+               if (xmin(j)-xgmin .gt. (grid(2,2,j)-grid(2,1,j)))then
+                  xnmin = xmin(j)-(grid(2,2,j)-grid(2,1,j))/5d0
+                  i = 1
+                  dum(i)= xnmin
+                  xn = xnmin
+                  rc = rc * dble(ng)/dble(ng-i)
+               endif
+               dum(ng-1) = -1d0
+               if (xgmax-xmax(j).gt.(grid(2,ng-1,j)-grid(2,ng-2,j)))then
+                  xnmax = xmax(j)+(grid(2,ng-1,j)-grid(2,ng-2,j))/5d0
+                  dum(ng-1)= xnmax
+                  rc = rc * dble(ng-i)/dble(ng-i-1)
+c                  print*,'xmax',j,xmax(j),dum(ng-1)
+               endif
+               
+ 25            k = k + 1
+               dr = dr + grid(1, k, j)
+               xo = xn
+               xn = max(grid(2, k, j),xnmin)
+               xn = min(xn,xnmax)
+ 26            if (rc .gt. dr) goto 25
+
+               i = i + 1
+               dr = dr - rc
+               dum(i) = xn - (xn - xo) * dr / grid(1, k, j)
+c
+c     Put in check for 0 width bin NEED TO FIX THIS
+c
+               if (dum(ng-1) .eq. -1) then
+                  if (i .lt. ng - 1 ) goto 26
+               else
+                  if (i .lt. ng - 2 ) goto 26
+               endif
+c
+c     Here is another fix for 0 width bins
+c
+               do i=1,ng-1
+                  if (dum(i+1)-dum(i) .le. 1d-14) then
+c                     write(*,'(a,2i4,2f24.17,1e10.3)') 'Bin too small',
+c     &                    j,i,dum(i),dum(i+1),dum(i+1)-dum(i)
+                     dum(i+1)=dum(i)+1d-14
+                     if (dum(i+1) .gt. xgmax) then
+                        write(*,*) 'Error in rebin',i,dum(i),dum(i+1)
+                     endif
+                  endif
+               enddo
+c
+c     Now reset counters and set new grid as necessary
+c
+               do i = 1, ng - 1
+                  grid(1, i, j) = 0d0
+                  grid2(i,j) = 0d0
+                  if (use_cut .ne. 0 .and. j .gt. 0)
+     $                 grid(2, i, j) = dum(i)
+               end do
+               grid(1, ng, J) = 0d0
+               grid(2, ng, J) = xgmax
+               grid2(ng,j)  = 0d0
+               non_zero = 0
+
+               call sample_write_g(j,'_1')
+
+            end do
+c            write(*,*) (irebin(j),j=1,dim)
+c            open(unit=26,file='grid.dat',status='unknown')
+c            do j=1,maxinvar
+c               do i=1,ng
+c                  write(26,*) grid(2,i,j),j,i
+c               enddo
+c            enddo
+c            close(26)
+c
+c     Add test to see if we have achieved desired accuracy
+c
+            if (tsigma .gt. 0d0 .and. cur_it .gt. 5 .and. accur .gt. 0d0) then
+
+               xmean = tmean/tsigma
+               xchi2 = (chi2/xmean/xmean-tsigma)/dble(cur_it-2)               
+               write(*,'(a,4f8.3)') 'We got it',sqrt(xchi2/tsigma),
+     &              accur,1/sqrt(tsigma),xchi2
+c               write(*,*) 'We got it',1d0/sqrt(tsigma), accur
+c               if (1d0/sqrt(tsigma) .lt. accur) then
+               if (sqrt(xchi2/tsigma) .lt. accur) then
+                  write(*,*) 'Finished due to accuracy',sqrt(xchi2/tsigma), accur
+                  tmean = tmean / tsigma
+                  if (cur_it .gt. 2) then
+                     chi2 = (chi2/tmean/tmean-tsigma)/dble(cur_it-2)
+                  else
+                     chi2=0d0
+                  endif
+                  tsigma = tmean / sqrt(tsigma)
+                  write(*, 80) real(tmean), real(tsigma), real(chi2)
+                  if (use_cut .ne. 0) then
+                  open(26, file='ftn26',status='unknown')
+                  write(26,fmt='(4f20.17)')
+     $                 ((grid(2,i,j),i=1,ng),j=1,maxinvar)
+                  write(26,fmt='(4f20.17)') (alpha(i),i=1,maxconfigs)
+                  close(26)
+                  endif
+                  call sample_writehtm()
+c                  open(unit=22,file=result_file,status='old',
+c     $                 access='append',err=122)
+c                  write(22, 80) real(tmean), real(tsigma), real(chi2)
+c 122              close(22)
+                  tsigma = tsigma*sqrt(chi2)  !This gives the 68% confidence cross section
+                  call store_events
+                  cur_it = iter+2
+                  return
+               endif
+            endif                  
+c
+c New check to see if we need to keep integrating this one or not.
+c
+            if (cur_it .gt. 3 .and. accur .lt. 0d0) then  !Check # unweighted
+c
+c             Lets get the actual number instead 
+c             tjs 5/22/2007
+c
+c               nun = n_unwgted()
+c               write(*,*) 'Estimated events',nun, accur
+               call store_events
+               nun = neventswritten
+               write(*,*) "Checking number of events",accur,nun
+               if (nun .gt. -accur)then   
+                  tmean = tmean / tsigma
+                  if (cur_it .gt. 2) then
+                     chi2 = (chi2/tmean/tmean-tsigma)/dble(cur_it-2)
+                  else
+                     chi2=0d0
+                  endif
+                  tsigma = tmean / sqrt(tsigma)
+                  write(*, 80) real(tmean), real(tsigma), real(chi2)
+                  if (use_cut .ne. 0) then
+                  open(26, file='ftn26',status='unknown')
+                  write(26,fmt='(4f20.17)')
+     $                 ((grid(2,i,j),i=1,ng),j=1,maxinvar)
+                  write(26,fmt='(4f20.17)') (alpha(i),i=1,maxconfigs)
+                  close(26)
+                  endif
+                  call sample_writehtm()
+
+c                  open(unit=22,file=result_file,status='old',
+c     $                 access='append',err=129)
+c                  write(22, 80) real(tmean), real(tsigma), real(chi2)
+c 129              close(22)
+                  tsigma = tsigma*sqrt(chi2) !This gives the 68% confidence cross section
+                  cur_it = iter+20
+                  return
+               endif
+            endif                     
+
+
+            if (cur_it .gt. iter) then               
+               call store_events
+               tmean = tmean / tsigma
+               chi2 = (chi2 / tmean / tmean - tsigma) / dble(iter - 1)
+               tsigma = tmean / sqrt(tsigma)
+               write(*, 80) real(tmean), real(tsigma), real(chi2)
+ 80            format(/1X,79(1H-)/1X,23HAccumulated results:   ,
+     .              10HIntegral =,e12.4/24X,10HStd dev  =,e12.4/
+     .              13X,21HChi**2 per DoF.     =,f12.4/1X,79(1H-))
+               if (use_cut .ne. 0) then
+               open(26, file='ftn26',status='unknown')
+               write(26,fmt='(4f20.17)')
+     $              ((grid(2,i,j),i=1,ng),j=1,maxinvar)
+               write(26,fmt='(4f20.17)') (alpha(i),i=1,maxconfigs)
+               close(26)
+               endif
+               call sample_writehtm()
+c               open(unit=22,file=result_file,status='old',
+c     $              access='append',err=123)
+c               write(22, 80) real(tmean), real(tsigma), real(chi2)
+c 123           close(22)
+               tsigma = tsigma*sqrt(chi2) !This gives the 68% confidence cross section
+            else
+c
+c              Starting new iteration, should clean out stored events 
+c              and start fresh
+c
+c                  nun = n_unwgted()
+c                  write(*,*) 'Estimated unweighted events ', nun
+                  call clear_Events
+            endif
+         endif
+      else
+      endif
+      end
+
+      subroutine none_pass(max_events)
+c*************************************************************************
+c      Special break to handle case where no events are passing cuts
+c     We'll set the cross section to zero here.
+c*************************************************************************
+      implicit none
+c
+c     Constants
+c
+      include 'genps.inc'
+c
+c     Arguments
+c
+      integer max_events
+c
+c     Global
+c
+      integer                                      nsteps
+      character*40          result_file,where_file
+      common /sample_status/result_file,where_file,nsteps
+
+c----
+c  Begin Code
+c----
+      write(*,*) 'No points passed cuts!'
+      write(*,*) 'Loosen cuts or increase max_events',max_events
+c      open(unit=22,file=result_file,status='old',access='append',
+c     &           err=23)
+c      write(22,222) 'Iteration',0,'Mean: ',0d0,
+c     &     '  Fluctuation: ',0d0,
+c     &     0d0,
+c     &     0d0,'%'
+c 23   close(22)
+ 222  format(a10,I3,3x,a6,e10.4,a16,e10.3,e12.3,3x,f5.1,a1)
+
+      open(unit=66,file='results.dat',status='unknown')
+      write(66,*) 0,0,0,0,0,0,0,1
+         write(66,'(i4,4e15.5)') 1,0d0,0d0,0d0,0d0
+      close(66)
+
+c     Remove file events.lhe (otherwise event combination gets screwed up)
+      write(*,*) 'Deleting file events.lhe'
+      open(unit=67,file='events.lhe',status='unknown')
+      write(67,*)
+      close(67)
+
+      stop
+      end
+            
+      subroutine average_grid(j,k,grid,grid2,x)
+c**************************************************************************
+c     Special routine to deal with averaging over the grid bins
+c     This routine starts averaging at bin k rather than bin 1 so that
+c     one can accommodate cutoffs.  With k=1 this should give the
+c     standard sample/vegas/bases averaging results.
+c
+c     Also stops averaging when reaches maximum value
+c
+c**************************************************************************
+      implicit none
+c
+c     Constants
+c
+      include 'genps.inc'
+c
+c     Arguments
+c
+      integer j,k
+      double precision grid(2,ng,0:maxinvar),grid2(0:ng,maxinvar)
+      double precision x(maxinvar)
+c
+c     Local
+c
+      integer i,kmax
+      double precision xo,xn
+c-----
+c  Begin Code
+c-----
+      kmax=k
+      do i=k+1,ng-1
+         if (grid(1,i,j) .gt. 0d0) kmax=i
+      enddo
+      xo = grid(1,k,j)
+      xn = grid(1,k+1,j)
+      grid(1,k,j) = (xo+xn)/2d0
+      x(j) = grid(1,k,j)
+c      do i=k+1,ng-1                      !Original without kmax stuff
+      do i=k+1,kmax-1
+         grid(1, i, j) = xo + xn
+         xo = xn
+         xn = grid(1, i+1, j)
+         grid(1, i, j) = (grid(1, i, j) + xn) / 3d0
+         x(j) = x(j) + grid(1, i, j)
+      end do
+c      grid(1, ng, j) = (xn + xo) / 2d0  !Original without kmax stuff
+      grid(1, kmax, j) = (xn + xo) / 2d0
+      x(j) = x(j) + grid(1, ng, j)
+      end
+
+      double precision function xbin(y,j)
+c**************************************************************************
+c     Subroutine to determine which value y  will map to give you the
+c     value of x when put through grid j.  That is what random number
+c     do you need to be given to get the value x out of grid j and will be
+c     between 0 < x < ng.
+c**************************************************************************
+      implicit none
+c
+c     Constants
+c
+      include 'genps.inc'
+      double precision tol
+      parameter       (tol=1d-12)
+c
+c     Arguments
+c      
+      double precision y
+      integer j
+c
+c     Local
+c
+      integer i,jl,ju
+      double precision x,xo
+c
+c     Global
+c
+      double precision    grid(2, ng, 0:maxinvar)
+      common /data_grid/ grid
+      double precision      spole(maxinvar),swidth(maxinvar),bwjac
+      common/to_brietwigner/spole        ,swidth        ,bwjac
+c
+c     Data
+c
+      data spole,swidth/maxinvar*0d0,maxinvar*0d0/
+c-----
+c  Begin Code
+c-----
+      bwjac = 1d0
+      if (j .gt. 0) then
+         if (swidth(j) .gt. 0d0) then
+            call  untranspole(spole(j),swidth(j),x,y,bwjac)
+         else
+            x=y
+         endif
+      else
+         x=y
+      endif
+      if (x .eq. xgmax) then
+         i=ng
+         xbin = dble(ng)
+      elseif (x .eq. xgmin) then
+         xbin=0d0
+      elseif(x .le. grid(2,1,j)) then
+         i=1
+         xo = grid(2,i,j)-xgmin
+         xbin = dble(i)+(x-grid(2,i,j))/xo
+      else
+         jl = 1
+         ju = ng
+         do while (ju-jl .gt. 1)                    !Binary search
+            i = (ju-jl)/2+jl
+            if (grid(2,i,j) .le. x) then
+               jl=i
+            else
+               ju=i
+            endif
+         enddo
+         i=ju
+         xo = grid(2,i,j)-grid(2,i-1,j)
+         xbin = dble(i)+(x-grid(2,i,j))/xo
+      endif
+c      jbin=i
+c      x = 
+c      if (x+tol .gt. grid(2,i,j) .and. i .ne. ng) then
+c         write(*,'(a,2e23.16,e9.2)') 'Warning in DSAMPLE:JBIN ',
+c     &                x,grid(2,i,j),tol
+c         x=2d0*grid(2,i,j)-x
+c         jbin=i+1
+c      endif
+      end
+
+
+      subroutine sample_write_g(idim,cpost)
+c**************************************************************************
+c     Writes out grid in function form for dimension i with extension cpost
+c     
+c**************************************************************************
+      implicit none
+c
+c     Constants
+c
+      include 'genps.inc'
+c
+c     Arguments
+c
+      integer idim
+      character*(*) cpost
+c
+c     Local
+c
+      character*60 fname
+      integer i
+      double precision xo,yo
+c
+c     Global
+c
+      double precision   grid(2, ng, 0:maxinvar)
+      common /data_grid/ grid
+
+c-----
+c  Begin Code
+c-----
+      return
+      if (idim .lt. 1 .or. idim .gt.maxinvar) then
+         write(*,*) 'Error invalid dimension in sample_write_f',idim
+         return
+      endif
+      if (idim .lt. 10) then
+         write(fname,'(a,i1,a,a)') 'g_',idim,cpost,'.dat'
+      elseif (idim .lt. 100) then
+         write(fname,'(a,i2,a,a)') 'g_',idim,cpost,'.dat'
+      endif
+      open(unit=21,file=fname,status='unknown',err=99)
+      do i=1,ng-1
+         xo = (grid(2,i,idim)+grid(2,i+1,idim))/2d0
+         yo =1d0/(-grid(2,i,idim)+grid(2,i+1,idim))
+         write(21,*) xo,yo
+      enddo
+      close(21)
+      return
+ 99   write(*,*) 'Error opening file ',fname
+      end
+
+      function ran1(idum)
+      dimension r(97)
+      parameter (m1=259200,ia1=7141,ic1=54773,rm1=3.8580247e-6)
+      parameter (m2=134456,ia2=8121,ic2=28411,rm2=7.4373773e-6)
+      parameter (m3=243000,ia3=4561,ic3=51349)
+      data iff /0/
+      save r, ix1, ix2, ix3
+      if (idum.lt.0.or.iff.eq.0) then
+        iff=1
+        ix1=mod(ic1-idum,m1)
+        ix1=mod(ia1*ix1+ic1,m1)
+        ix2=mod(ix1,m2)
+        ix1=mod(ia1*ix1+ic1,m1)
+        ix3=mod(ix1,m3)
+        do 11 j=1,97
+          ix1=mod(ia1*ix1+ic1,m1)
+          ix2=mod(ia2*ix2+ic2,m2)
+          r(j)=(float(ix1)+float(ix2)*rm2)*rm1
+11      continue
+        idum=1
+      endif
+      ix1=mod(ia1*ix1+ic1,m1)
+      ix2=mod(ia2*ix2+ic2,m2)
+      ix3=mod(ia3*ix3+ic3,m3)
+      j=1+(97*ix3)/m3
+      if(j.gt.97.or.j.lt.1) stop
+      ran1=r(j)
+      r(j)=(float(ix1)+float(ix2)*rm2)*rm1
+      return
+      end
+
+
+

=== added file 'Template/Source/gen_ximprove.f'
--- Template/Source/gen_ximprove.f	1970-01-01 00:00:00 +0000
+++ Template/Source/gen_ximprove.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,916 @@
+      program gen_ximprove
+c*****************************************************************************
+c     Program to combine results from all of the different sub amplitudes 
+c     and given total  cross section and error.
+c*****************************************************************************
+      implicit none
+c
+c     Constants
+c
+      character*(*) rfile
+      parameter (rfile='results.dat')
+      character*(*) symfile
+      parameter (symfile='symfact.dat')
+      integer   max_amps
+      parameter (max_amps=9999)
+      integer maxpara
+      parameter (maxpara=1000)
+
+      include 'run_config.inc'
+c
+c     global
+c
+      integer max_np
+      common/max_np/max_np
+
+c
+c     local
+c
+      double precision xsec(max_amps), xerr(max_amps)
+      double precision xerru(max_amps),xerrc(max_amps)
+      double precision xmax(max_amps), eff(max_amps)
+      double precision xlum(max_amps)
+      double precision ysec, yerr, yeff, ymax
+      double precision tsec, terr, teff, tmax, xi
+      integer nw(max_amps), nevents(max_amps), maxit
+      integer nunwgt(max_amps)
+      character*80 fname, gname(max_amps)
+      integer i,j,k,l,n,ipp
+      double precision xtot,errtot,err_goal
+      double precision errtotu,errtotc
+      integer mfact(max_amps)
+      logical parallel, gen_events
+      character*20 param(maxpara),value(maxpara)
+      integer npara, nreq, ngran
+      integer ij, kl, iseed
+      logical Gridpack,gridrun
+
+c-----
+c  Begin Code
+c-----
+      call load_para(npara,param,value)
+      call get_logical(npara,param,value," gridpack ",gridpack,.false.)
+      if (.not. Gridpack) then
+         write(*,'(a,a)')'Enter fractional accuracy (<1)',
+     &        ', or number events (>1) and max processes per job'
+         read(*,*) err_goal, max_np
+         parallel = .false.
+         if (err_goal .lt. 1) then
+            write(*,'(a,f8.2,a)') 'Running for accuracy of ',
+     $           err_goal*100,'%'
+            gen_events=.false.         
+         elseif (err_goal .gt. 1) then
+            write(*,'(a,f9.0,a)') 'Generating ',err_goal,
+     &           ' unweighted events.'
+            gen_events=.true.         
+            err_goal = err_goal * 1.2 !Extra factor to ensure works
+         else
+            write(*,*) 'Error, need non_zero goal'
+            stop
+         endif
+      else
+         gen_events=.true.
+         call get_integer(npara,param,value," gevents "  ,nreq  ,2000   )
+         err_goal = 1.2*nreq
+         call get_integer(npara,param,value," gseed "  ,iseed  ,4321   )
+         call get_integer(npara,param,value," ngran "  ,ngran  , -1)
+         if (ngran.eq.-1) ngran = int(sqrt(real(nreq)))
+         write(*,*) "Running on Grid to generate ",nreq," additional events"
+         write(*,*) "   with granularity equal to ",ngran
+c
+c     TJS 3/13/2008
+c     Modified to allow for more sequences
+c     iseed can be between 0 and 31328*30081
+c     before patern repeats
+c
+         ij=1802 + mod(iseed,30081)
+         kl=9373 + (iseed/31328)
+c         write(*,'($a,i6,a3,i6)') 'Using random seed offsets',jconfig," : ",ioffset
+c         write(*,*) ' with seed', iseed
+         do while (ij .gt. 31328)
+            ij = ij - 31328
+         enddo
+         do while (kl .gt. 30081)
+            kl = kl - 30081
+         enddo
+         write(*,*) "Using random seeds",ij,kl
+        call rmarin(ij,kl)         
+      endif
+      open(unit=15,file=symfile,status='old',err=999)
+      errtot=0d0
+      errtotu=0d0
+      errtotc=0d0
+      xtot = 0d0
+      i = 0
+      do while (.true.)
+         read(15,*,err=99,end=99) xi,j
+         if (j .gt. 0) then
+            i = i+1
+            if ( (xi-int(xi+.01)) .lt. 1d-5) then
+               n = int(xi+.01)
+               if (n .lt. 10) then
+                  write(fname,'(a,i1,a,a)') 'G',n,'/',rfile
+               else if (n .lt. 100) then
+                  write(fname,'(a,i2,a,a)') 'G',n,'/',rfile
+               else if (n .lt. 1000) then
+                  write(fname,'(a,i3,a,a)') 'G',n,'/',rfile
+               else if (n .lt. 10000) then
+                  write(fname,'(a,i4,a,a)') 'G',n,'/',rfile
+               endif
+            else
+               if (xi .lt. 10) then
+                  write(fname,'(a,f5.3,a,a)') 'G',xi,'/',rfile
+               else if (xi .lt. 100) then
+                  write(fname,'(a,f6.3,a,a)') 'G',xi,'/',rfile
+               else if (xi .lt. 1000) then
+                  write(fname,'(a,f7.3,a,a)') 'G',xi,'/',rfile
+               else if (xi .lt. 10000) then
+                  write(fname,'(a,f8.3,a,a)') 'G',xi,'/',rfile
+               endif
+c              write(*,*) 'log name ',fname
+            endif
+         endif
+         if (j .gt. 0) then
+            gname(i)=fname
+            nevents(i)=0d0
+            xsec(i)=0d0
+            xerr(i)=0d0
+            nw(i)  =0d0
+            mfact(i)=j
+
+c
+c     Read in integration data from run
+c
+            open(unit=25,file=fname,status='old',err=95)
+            read(25,*) xsec(i),xerru(i),xerrc(i),nevents(i),nw(i),maxit,
+     &           nunwgt(i),xlum(i)
+            if (xsec(i) .eq. 0d0) xlum(i)=1d99     !zero cross section
+            xlum(i) = xlum(i)/1000   !convert to fb^-1 
+            xerr(i)=sqrt(xerru(i)**2+xerrc(i)**2)
+            if (.false.) then
+c            maxit = 2
+               tmax = -1d0
+               terr = 0d0
+               teff = 0d0
+               tsec = 0d0
+               do k=1,maxit
+                  read(25,*,err=92) l,ysec,yerr,yeff,ymax
+                  if (k .gt. 1) tmax = max(tmax,ymax)
+                  tsec = tsec + ysec
+                  terr = terr +yerr**2
+                  teff = teff + yeff
+               enddo
+ 92            maxit = k-1      !In case of error reading file
+               xsec(i)=tsec/maxit
+               xerr(i)=sqrt(terr)/maxit
+               xmax(i)=tmax/xsec(i)
+            endif
+c            tmax
+            xmax(i) = -1d0
+            xsec(i) = xsec(i)*mfact(i)
+            xerr(i) = xerr(i)*mfact(i)
+            xerru(i) = xerru(i)*mfact(i)
+            xerrc(i) = xerrc(i)*mfact(i)
+            xlum(i) = xlum(i)/mfact(i)
+            xtot = xtot+ xsec(i)
+            eff(i)= xerr(i)*sqrt(real(nevents(i)))/xsec(i)
+            errtotu = errtotu+(xerru(i))**2
+            errtotc = errtotc+(xerrc(i))
+c            xtot = xtot+ xsec(i)*mfact(i)
+c            eff(i)= xerr(i)*sqrt(real(nevents(i)))/xsec(i)
+c            errtot = errtot+(mfact(i)*xerr(i))**2
+ 95         close(25)
+c            write(*,*) i,maxit,xsec(i), eff(i)
+         else
+c            i=i-1   !This is for case w/ B.W. and optimization
+         endif
+      enddo
+ 99   close(15)
+      errtot=sqrt(errtotc**2+errtotu)
+      if ( .not. gen_events) then
+         call write_bash(xsec,xerru,xerrc,xtot,mfact,err_goal,
+     $        i,nevents,gname)
+      else
+         open(unit=25,file='../results.dat',status='old',err=199)
+         write(*,'(a,e12.3)') 'Reading total xsection ',xtot
+         read(25,*) xtot
+         write(*,'(e12.3)') xtot
+ 199     close(25)
+         if (gridpack) then
+            call write_gen_grid(err_goal,dble(ngran),i,nevents,gname,xlum,xtot,mfact,xsec)
+         else
+            call write_gen(err_goal,i,nevents,gname,xlum,xtot,mfact,xsec)
+         endif
+      endif
+      stop
+ 999  write(*,*) 'error'
+      end
+
+
+      subroutine write_bash(xsec,xerru,xerrc,xtot,
+     $     mfact,err_goal,ng,jpoints,gn)
+c*****************************************************************************
+c     Writes out bash commands for running each channel as needed.
+c*****************************************************************************
+      implicit none
+c
+c     Constants
+c
+      include 'run_config.inc'
+      integer   max_amps
+      parameter (max_amps=9999)
+c      integer    max_np
+c      parameter (max_np = 30)
+c
+c     global
+c
+      integer max_np
+      common/max_np/max_np
+c
+c     Arguments
+c
+      double precision xsec(max_amps), xerru(max_amps),xerrc(max_amps)
+      double precision err_goal,xtot
+      integer mfact(max_amps),jpoints(max_amps)
+      integer ng
+      character*(80) gn(max_amps)
+c
+c     Local
+c
+      integer i,j,k, io(max_amps), npoints, ip, np
+      double precision xt(max_amps),elimit
+      double precision yerr,ysec,rerr
+      logical fopened
+c-----
+c  Begin Code
+c-----
+      fopened = .false.
+      k=0
+      do j=1,ng
+         if (mfact(j) .gt. 0) k=k+1
+         io(j) = j
+         xt(j)= sqrt((xerru(j)+xerrc(j)**2)*mfact(j))     !sort by error
+      enddo
+c
+c     Let's redetermine err_goal based on luminosity
+c
+      write(*,*) 'Cross section pb',xtot
+      write(*,*) 'Desired Goal',err_goal      
+      write(*,*) 'Total Error',err_goal
+c      elimit = err_goal*xtot/sqrt(real(k)) !Equal contributions from each
+      elimit = err_goal*xtot/real(k) !Equal contributions from each
+
+      call sort2(xt,io,ng)
+      k=1
+      xt(ng+1) = 0
+      do while( xt(k) .gt. abs(elimit))  !abs is just in case elimit<0 by mistake
+         k=k+1
+      enddo
+      k=k-1
+      rerr=0d0
+      do j=k+1,ng
+c         rerr = rerr+xt(j)**2
+         rerr = rerr+xt(j)
+      enddo
+      rerr=rerr**2
+c      write(*,*) 'Number of diagrams to fix',k
+c
+c     Now readjust because most don't contribute
+c
+      elimit = sqrt((err_goal*xtot)**2 - rerr)/sqrt(real(k))
+
+      
+      np = max_np
+      do i=1,k
+
+c         yerr = xerr(io(i))*mfact(io(i))
+         yerr = xt(i)
+c         write(*,*) i,xt(i),elimit
+         if (yerr .gt. elimit) then
+
+         ysec = xsec(io(i)) + yerr
+         npoints=(0.2d0)*jpoints(io(i))*(yerr/elimit)**2
+         npoints = max(npoints,min_events)
+         npoints = min(npoints,max_events)
+c         np = np + 3*npoints
+         np = np +1
+         if (np .gt. max_np) then
+            if (fopened) then
+               write(26,15) 'rm -f run.$script >&/dev/null'
+               write(26,15) 'touch done.$script >&/dev/null'
+               close(26)
+            endif
+            fopened=.true.
+            call open_bash_file(26)
+c            np = 3*npoints
+            np = 1
+         endif
+
+         ip = index(gn(io(i)),'/')
+         write(*,*) 'Channel ',gn(io(i))(2:ip-1),
+     $        yerr, jpoints(io(i)),npoints
+
+         ip = index(gn(io(i)),'/')
+         write(26,'(2a)') 'j=',gn(io(i))(1:ip-1)
+         if (.false.) then
+         if (io(i) .lt. 10) then
+            write(26,'(a,i1)') 'j=G',io(i)
+         elseif (io(i) .lt. 100) then
+            write(26,'(a,i2)') 'j=G',io(i)
+         elseif (io(i) .lt. 1000) then
+            write(26,'(a,i3)') 'j=G',io(i)
+         elseif (io(i) .lt. 10000) then
+            write(26,'(a,i4)') 'j=G',io(i)
+         endif
+         endif
+c
+c     Determine estimates for getting the desired accuracy
+c
+
+c
+c     Now write the commands
+c      
+         write(26,20) 'echo $j'
+         write(26,20) 'if [[ ! -e $j ]]; then'
+         write(26,25) 'mkdir $j'
+         write(26,20) 'fi'
+         write(26,20) 'cd $j'
+         write(26,20) 'rm -f $k'
+
+         write(26,'(5x,a,2i8,a)') 'echo "',npoints,max_iter,
+     $        '" >& input_sg.txt' 
+         write(26,'(5x,a,f8.3,a)') 'echo "',max(elimit/ysec,0.001d0),
+     $        '" >> input_sg.txt'
+         write(26,'(5x,a)') 'echo "2" >> input_sg.txt'  !Grid
+         write(26,'(5x,a)') 'echo "1" >> input_sg.txt'  !Suppress
+         write(26,'(5x,a,i4,a)') 'echo "',nhel_refine,
+     &        '"  >> input_sg.txt' !Helicity 
+         write(26,'(5x,3a)')'echo "',gn(io(i))(2:ip-1),
+     $        '" >>input_sg.txt'
+         write(26,20) 'time ../madevent >> $k <input_sg.txt'
+         write(26,20) 'mv ftn26 ftn25'
+c         write(26,20) 'rm ftn26'
+         write(26,20) 'cat $k >> log.txt'
+         write(26,20) 'cd ../'
+      endif
+      enddo  !Loop over diagrams
+      if (fopened) then
+         write(26,15) 'rm -f run.$script >&/dev/null'
+         write(26,15) 'touch done.$script >&/dev/null'
+         close(26)
+      endif
+      fopened=.false.
+ 15   format(a)
+ 20   format(5x,a)
+ 25   format(10x,a)
+ 999  close(26)
+      end
+
+
+      subroutine open_bash_file(lun)
+c***********************************************************************
+c     Opens bash file for looping including standard header info
+c     which can be used with pbs, or stand alone
+c***********************************************************************
+      implicit none
+c
+c     Constants
+c
+      include 'run_config.inc'
+c
+c     Arguments
+c
+      integer lun
+c
+c     local
+c
+      character*30 fname
+      integer ic
+
+      data ic/0/
+c-----
+c  Begin Code
+c-----
+      ic=ic+1
+      fname='ajob'
+      if (ic .lt. 10) then
+         write(fname(5:5),'(i1)') ic
+      elseif (ic .lt. 100) then
+         write(fname(5:6),'(i2)') ic
+      elseif (ic .lt. 1000) then
+         write(fname(5:7),'(i3)') ic
+      elseif (ic .lt. 10000) then
+         write(fname(5:8),'(i4)') ic
+      else
+         write(*,*) 'Error too many jobs in gen_ximprove',ic
+         stop
+      endif
+      write(*,*) 'Opening file ',fname
+
+      open (unit=26, file = fname, status='unknown')
+      write(26,15) '#!/bin/bash'
+      write(26,15) '#PBS -q ' // PBS_QUE
+      write(26,15) '#PBS -o /dev/null'
+      write(26,15) '#PBS -e /dev/null'
+      write(26,15) 'if [[ "$PBS_O_WORKDIR" != "" ]]; then' 
+      write(26,15) '    cd $PBS_O_WORKDIR'
+      write(26,15) 'fi'
+      write(26,15) 'k=run1_app.log'
+      write(lun,15) 'script=' // fname
+      write(lun,15) 'rm -f wait.$script >& /dev/null'
+      write(lun,15) 'touch run.$script'
+ 15   format(a)
+      end
+
+      subroutine close_bash_file(lun)
+c***********************************************************************
+c     Closes bash file
+c***********************************************************************
+      implicit none
+c
+c     Constants
+c
+c
+c     Arguments
+c
+      integer lun
+c
+c     local
+c
+      character*30 fname
+      integer ic
+
+      data ic/0/
+c-----
+c  Begin Code
+c-----
+
+c      write(lun,'(a)') ')'
+c
+c     Now write the commands
+c      
+c      write(lun,20) 'echo $i'
+c      write(lun,20) 'j=G$i'
+c      write(lun,20) 'if (! -e $j) then'
+c      write(lun,25) 'mkdir $j'
+c      write(lun,20) 'endif'
+c      write(lun,20) 'cd $j'
+c      write(lun,20) 'rm -f ftn25 ftn99'
+c      write(lun,20) 'rm -f $k'
+c      write(lun,20) 'cat ../input_app.txt >& input_app.txt'
+c      write(lun,20) 'echo $i >> input_app.txt'
+c      if (.false.) then
+c         write(lun,20) 'cp ../../public.sh .'
+c         write(lun,20) 'qsub -N $1$i public.sh >> ../../running_jobs'
+c      else
+c         write(lun,20) 'time ../madevent > $k <input_app.txt'
+c         write(lun,20) 'rm -f ftn25 ftn99'
+c         write(lun,20) 'cp $k log.txt'
+c      endif
+c      write(lun,20) 'cd ../'
+c      write(lun,15) 'end'
+ 15   format(a)
+ 20   format(5x,a)
+ 25   format(10x,a)
+      close(lun)
+      end
+
+
+
+      subroutine write_gen(goal_lum,ng,jpoints,gn,xlum,xtot,mfact,xsec)
+c*****************************************************************************
+c     Writes out scripts for achieving unweighted event goals
+c*****************************************************************************
+      implicit none
+c
+c     Constants
+c
+      include 'run_config.inc'
+      integer   max_amps
+      parameter (max_amps=9999)
+c
+c     global
+c
+      integer max_np
+      common/max_np/max_np
+c      integer    max_np     !now set in run_config.inc
+c      parameter (max_np = 5)  !number of channels/job
+
+c
+c     Arguments
+c
+      double precision goal_lum, xlum(max_amps), xsec(max_amps),xtot
+      integer jpoints(max_amps), mfact(max_amps)
+      integer ng, np
+      character*(80) gn(max_amps)
+c
+c     Local
+c
+      integer i,j,k, io(max_amps), npoints, ip, nfiles,ifile,npfile
+      double precision xt(max_amps),elimit
+      double precision yerr,ysec,rerr
+      logical fopened
+c-----
+c  Begin Code
+c-----
+      fopened=.false.
+      write(*,*) 'Working on creating ', goal_lum, ' events.'
+      goal_lum = goal_lum/(xtot*1000) !Goal luminosity in fb^-1
+      write(*,*) 'Effective Luminosity', goal_lum, ' fb^-1.'
+      k=0
+      do j=1,ng
+         io(j) = j
+         xt(j)= goal_lum/xlum(j)       !sort by events_needed/have.
+         write(*,*) j,xlum(j),xt(j)
+      enddo
+c      write(*,*) 'Number of channels',ng,k
+c
+c     Let's redetermine err_goal based on luminosity
+c
+      elimit = 1d0
+      call sort2(xt,io,ng)
+      k=1
+      xt(ng+1) = 0
+      do while( xt(k) .gt. abs(elimit)) !elimit should be >0
+         write(*,*) 'Improving ',k,gn(io(k)),xt(k)
+         k=k+1
+      enddo
+      k=k-1
+c      write(*,*) 'Number of diagrams to fix',k
+c
+c     Now readjust because most don't contribute
+c
+
+c      np = max_np
+
+c
+c     Want to write channels so that heaviest one (with largest error)
+c     gets grouped with least heavy channels. Complicated ordering for this
+c     follows. np is the present process number.
+c
+      nfiles = k/max_np
+      if(mod(k,max_np).gt.0) nfiles=nfiles+1
+      ifile  = 0
+      npfile = 0
+      np = 1
+      
+
+      do i=1,k
+         yerr = xt(np)
+         npoints=0.2*jpoints(io(np))*(yerr/elimit)
+         npoints = max(npoints,min_events)
+         npoints = min(npoints,max_events)
+
+c         np = np + 5*npoints
+         npfile=npfile+1
+         np = nfiles*npfile+1-ifile
+         if (np .gt. k .or. ifile.eq.0) then
+            if (fopened) then
+               write(26,15) 'rm -f run.$script >& /dev/null'
+               write(26,15) 'touch done.$script >& /dev/null'
+               close(26)
+            endif
+            fopened=.true.
+            call open_bash_file(26)
+c            np = 5*npoints
+            ifile=ifile+1
+            npfile=1
+            np = ifile
+         endif
+         ip = index(gn(io(np)),'/')
+         write(*,*) 'Channel ',gn(io(np))(2:ip-1),
+     $        yerr, jpoints(io(np)),npoints
+
+         ip = index(gn(io(np)),'/')
+         write(26,'(2a)') 'j=',gn(io(np))(1:ip-1)
+c
+c     Now write the commands
+c      
+         write(26,20) 'echo $j'
+         write(26,20) 'if [[ ! -e $j ]]; then'
+         write(26,25) 'mkdir $j'
+         write(26,20) 'fi'
+         write(26,20) 'cd $j'
+         write(26,20) 'rm -f $k'
+c
+c     Now I'll add a check to make sure the grid has been
+c     adjusted  (ftn99 or ftn25 exist)
+c
+         write(26,20) 'if  [[ -e ftn26 ]]; then'
+         write(26,25) 'cp ftn26 ftn25'
+         write(26,20) 'fi'
+
+         write(26,20) 'if [[ ! -e ftn25 ]]; then'
+
+
+         write(26,'(9x,a,2i8,a)') 'echo "',npoints,max_iter,
+     $        '" >& input_sg.txt' 
+c
+c     tjs 8/7/2007  Allow stop when have enough events
+c
+         write(*,*) "Cross section",i,io(np),xsec(io(np)),mfact(io(np))
+         write(26,'(9x,a,f11.3,a)') 'echo "',-goal_lum*xsec(io(np))*1000,
+     $        '" >> input_sg.txt'                       !Accuracy
+         write(26,'(9x,a)') 'echo "2" >> input_sg.txt'  !Grid Adjustment
+         write(26,'(9x,a)') 'echo "1" >> input_sg.txt'  !Suppression
+         write(26,'(9x,a,i4,a)') 'echo "',nhel_refine,
+     &        ' " >> input_sg.txt' !Helicity 0=exact
+         write(26,'(9x,3a)')'echo "',gn(io(np))(2:ip-1),
+     $        '" >>input_sg.txt'
+         write(26,25) 'time ../madevent >> $k <input_sg.txt'
+         write(26,25) 'cat $k >> log.txt'
+         write(26,25) 'if [[ -e ftn26 ]]; then'
+         write(26,25) '     cp ftn26 ftn25'
+         write(26,25) 'fi'
+         write(26,20) 'else'
+
+         write(26,25) 'rm -f $k'
+
+         write(26,'(9x,a,2i8,a)') 'echo "',npoints,max_iter,
+     $        '" >& input_sg.txt' 
+c
+c tjs 8/7/2007    Change to request events not accuracy
+c
+         write(26,'(9x,a,f11.3,a)') 'echo "',-goal_lum*xsec(io(np))*1000,
+     $        '" >> input_sg.txt'                       !Accuracy
+c         write(26,'(9x,a,e12.3,a)') 'echo "',-goal_lum*mfact(io(np)),
+c     $        '" >> input_sg.txt'
+         write(26,'(9x,a)') 'echo "0" >> input_sg.txt'
+         write(26,'(9x,a)') 'echo "1" >> input_sg.txt'
+
+         write(26,'(9x,a,i4,a)') 'echo "',nhel_refine,
+     &        ' " >> input_sg.txt' !Helicity 0=exact
+
+         write(26,'(9x,3a)')'echo "',gn(io(np))(2:ip-1),
+     $        '" >>input_sg.txt'
+
+
+c         write(26,'(9x,a)') 'echo "1" >> input_sg.txt' !Helicity 0=exact
+
+c         write(26,'(5x,3a)')'echo "',gn(io(np))(2:ip-1),
+c     $        '" >>input_sg.txt'
+c         write(26,20) 'cp ../../public_sg.sh .'
+c         write(26,20) 'qsub -N $1$j public_sg.sh >> ../../running_jobs'
+         write(26,25) 'if [[ -e ftn26 ]]; then'
+         write(26,25) '     cp ftn26 ftn25'
+         write(26,25) 'fi'
+         write(26,25) 'time ../madevent >> $k <input_sg.txt'
+         write(26,25) 'cat $k >> log.txt'
+         write(26,20) 'fi'
+         write(26,20) 'cd ../'
+      enddo
+      if (fopened) then
+        write(26,15) 'rm -f run.$script'
+        write(26,15) 'touch done.$script'
+        close(26)
+      endif
+c      write(26,15) 'end'
+ 15   format(a)
+ 20   format(5x,a)
+ 25   format(10x,a)
+ 999  close(26)
+      end
+
+
+      subroutine write_gen_grid(goal_lum,ngran,ng,jpoints,gn,xlum,xtot,mfact,xsec)
+c*****************************************************************************
+c     Writes out scripts for achieving unweighted event goals
+c*****************************************************************************
+      implicit none
+c
+c     Constants
+c
+      include 'run_config.inc'
+      integer   max_amps
+      parameter (max_amps=9999)
+c
+c   global
+c
+      integer max_np
+      common/max_np/max_np
+c
+c     Arguments
+c
+      double precision goal_lum, xlum(max_amps), xsec(max_amps),xtot
+      double precision ngran   !Granularity.... min # points from channel
+      integer jpoints(max_amps), mfact(max_amps)
+      integer ng, np
+      character*(80) gn(max_amps)
+c
+c     Local
+c
+      integer i,j,k, npoints, ip
+      double precision xt(max_amps),elimit
+      double precision yerr,ysec,rerr
+      character*72 fname
+      logical fopened
+      double precision rvec
+c-----
+c  Begin Code
+c-----
+
+c      data ngran /10/
+      fopened=.false.
+c
+c     These random #'s should be changed w/ run
+c
+c      ij=2134
+c      kl = 4321
+      rvec=0d0
+      write(*,*) 'Working on creating ', goal_lum, ' events.'
+      max_np = 1
+      np = max_np   !Flag to open csh file
+      do i=1,ng
+         call ranmar(rvec)
+         ip = index(gn(i),'/')
+         fname = gn(i)(1:ip) // 'gscalefact.dat'
+         open(unit=27,file=fname,status='unknown',err=91)
+         if (goal_lum * xsec(i)/xtot  .ge. rvec*ngran ) then !need events
+            write(*,*) 'Requesting events from ',gn(i)(1:ip-1),xsec(i),xtot/goal_lum
+            if (xsec(i) .gt. xtot*ngran/goal_lum) then
+               write(27,*) 1d0
+            else
+               write(27,*) xtot*ngran/xsec(i)/goal_lum
+            endif
+            npoints = goal_lum * xsec(i) / xtot
+            if (npoints .lt. min_gevents_wu) npoints = min_gevents_wu
+            np = np+1
+            if (np .gt. max_np) then
+               if (fopened) then
+                  write(26,15) 'rm -f run.$script >& /dev/null'
+                  write(26,15) 'touch done.$script >& /dev/null'
+                  close(26)
+               endif
+               fopened=.true.
+               call open_bash_file(26)
+               np = 1
+            endif
+            ip = index(gn(i),'/')
+            write(*,*) 'Channel ',gn(i)(2:ip-1),
+     $           yerr, jpoints(i),npoints
+
+            ip = index(gn(i),'/')
+            write(26,'(2a)') 'j=',gn(i)(1:ip-1)
+c
+c           Now write the commands
+c      
+            write(26,20) 'echo $j'
+            write(26,20) 'if [[ ! -e $j ]]; then'
+            write(26,25) 'mkdir $j'
+            write(26,20) 'fi'
+            write(26,20) 'cd $j'
+            write(26,20) 'rm -f $k'
+c
+c     Now I'll add a check to make sure the grid has been
+c     adjusted  (ftn99 or ftn25 exist)
+c
+            write(26,20) 'if  [[ -e ftn26 ]]; then'
+            write(26,25) 'cp ftn26 ftn25'
+            write(26,20) 'fi'
+
+            write(26,20) 'if [[ ! -e ftn25 ]]; then'
+
+
+            write(26,'(9x,a,2i8,a)') 'echo "',npoints,max_iter,
+     $           '" >& input_sg.txt' 
+c
+c     tjs 8/7/2007  Allow stop when have enough events
+c
+            write(*,*) "Cross section",i,xsec(i),mfact(i)
+            write(26,'(9x,a,f11.3,a)') 'echo "',-npoints*1.2,
+     $        '" >> input_sg.txt'                       !Accuracy
+            write(26,'(9x,a)') 'echo "2" >> input_sg.txt' !Grid Adjustment
+            write(26,'(9x,a)') 'echo "1" >> input_sg.txt' !Suppression
+            write(26,'(9x,a,i4,a)') 'echo "',nhel_refine,
+     &           ' " >> input_sg.txt' !Helicity 0=exact
+            write(26,'(9x,3a)')'echo "',gn(i)(2:ip-1),
+     $           '" >>input_sg.txt'
+            write(26,25) 'time ../madevent >> $k <input_sg.txt'
+            write(26,25) 'cat $k >> log.txt'
+            write(26,25) 'if [[ -e ftn26 ]]; then'
+            write(26,25) '     cp ftn26 ftn25'
+            write(26,25) 'fi'
+            write(26,20) 'else'
+
+            write(26,25) 'rm -f $k'
+            
+            write(26,'(9x,a,2i8,a)') 'echo "',npoints,max_iter,
+     $           '" >& input_sg.txt' 
+c
+c tjs 8/7/2007    Change to request events not accuracy
+c
+            write(26,'(9x,a,f11.3,a)') 'echo "',-npoints*1.2,
+     $           '" >> input_sg.txt' !Accuracy
+            write(26,'(9x,a)') 'echo "0" >> input_sg.txt'
+            write(26,'(9x,a)') 'echo "1" >> input_sg.txt'
+
+            write(26,'(9x,a,i4,a)') 'echo "',nhel_refine,
+     &           ' " >> input_sg.txt' !Helicity 0=exact
+
+            write(26,'(9x,3a)')'echo "',gn(i)(2:ip-1),
+     $           '" >>input_sg.txt'
+
+            write(26,25) 'if [[ -e ftn26 ]]; then'
+            write(26,25) '     cp ftn26 ftn25'
+            write(26,25) 'fi'
+            write(26,25) 'time ../madevent >> $k <input_sg.txt'
+            write(26,25) 'cat $k >> log.txt'
+            write(26,20) 'fi'
+            write(26,20) 'cd ../'
+         else    !No events from this channel
+            write(*,*) 'Skipping channel:',gn(i)(1:ip-1),xsec(i)*goal_lum/xtot,rvec
+            write(27,*) 0d0
+         endif
+         close(27)
+ 91      cycle
+      enddo
+      write(26,15) 'rm -f run.$script'
+      write(26,15) 'touch done.$script'
+      close(26)
+ 15   format(a)
+ 20   format(5x,a)
+ 25   format(10x,a)
+ 999  close(26)
+      close(27)
+      end
+
+
+      subroutine sort2(array,aux1,n)
+      implicit none
+! Arguments
+      integer n
+      integer aux1(n)
+      double precision array(n)
+!  Local Variables
+      integer i,k
+      double precision temp
+      logical done
+
+!-----------
+! Begin Code
+!-----------
+      do i=n-1,1,-1
+         done = .true.
+         do k=1,i
+            if (array(k) .lt. array(k+1)) then
+               temp = array(k)
+               array(k) = array(k+1)
+               array(k+1) = temp
+               temp = aux1(k)
+               aux1(k) = aux1(k+1)
+               aux1(k+1) = temp
+               done = .false.
+            end if
+         end do
+         if (done) return
+      end do
+      end 
+
+
+      subroutine get_xsec_log(xsec,xerr,eff,xmax)
+c*********************************************************************
+c     Reads from output file, gets cross section and maxwgt from
+c     first two iterations
+c*********************************************************************
+      implicit none
+c
+c     Arguments
+c
+      double precision xsec(2),xerr(2),eff(2),xmax(2)
+c
+c     Local
+c     
+      character*78 buff
+      integer i
+c-----
+c  Begin Code
+c-----
+      xsec(1) = 0d0
+      xerr(1) = 0d0
+      xmax(1) = 0d0
+      do while (.true.)
+         read(25,'(a80)',err=99) buff
+         if (buff(1:4) .eq. 'Iter') then
+            read(buff(11:16),'(i5)') i
+            if (i .eq. 1 .or. i .eq. 2) then
+               read(buff(61:70),*) xmax(i)
+               read(buff(21:33),*) xsec(i)
+               xmax(i)=xmax(i)/xsec(i)
+c               read(buff(48:59),*) xerr(i)
+c               read(buff(48:59),*) xmax(i)
+            endif
+            read(25,'(a80)',err=99) buff
+            read(buff(1:6),'(i5)') i
+            if (i .eq. 1 .or. i .eq. 2) then
+               read(buff(6:17),*) xsec(i)
+               read(buff(20:31),*) xerr(i)
+               read(buff(34:40),*) eff(i)               
+            endif
+            write(*,'(i4,4f12.3)') i,xsec(i),xerr(i),eff(i),xmax(i)
+         endif
+      enddo
+ 99   end
+
+
+
+

=== added file 'Template/Source/genps.inc'
--- Template/Source/genps.inc	1970-01-01 00:00:00 +0000
+++ Template/Source/genps.inc	2010-10-30 03:26:37 +0000
@@ -0,0 +1,40 @@
+c*************************************************************************
+c       Parameters used by genps and dsample, you must recompile
+c	dsample if you change anything below
+c*************************************************************************
+      integer    max_particles  , max_branch
+      parameter (max_particles=10, max_branch=max_particles-2)
+      integer    max_tree    , max_dim
+      parameter (max_tree=200, max_dim=max_tree*(max_branch+1))
+      integer    ng     , maxdim     , maxinvar     , maxconfigs
+      parameter (ng = 96, maxdim = 25, maxinvar= 50 , maxconfigs=10)
+c      parameter (ng = 43, maxdim = 25, maxinvar= 57 , maxconfigs=20)
+
+      integer    lmaxconfigs
+      parameter (lmaxconfigs=4000)       !Used for iforest
+
+      double precision  xgmin,     xgmax
+      parameter        (xgmin=-1d0, xgmax=1d0)
+
+      integer    maxproc
+      parameter (maxproc=100)	
+
+      integer    maxevents         !Requires about 1K/event
+      parameter (maxevents=100000)  !Maximum # events to write to disk
+
+c*************************************************************************
+c	Parameters used for parrallel running
+c*************************************************************************
+      integer    max_host   ,maxplace    ,maxpoints    ,maxans
+      parameter (max_host=9,maxplace=9,maxpoints=10,maxans=5)
+c      parameter (max_host=99,maxplace=199,maxpoints=100,maxans=50)
+      integer    maxprb
+      parameter (maxprb = maxconfigs*maxplace*maxpoints)
+      integer    maxfprb
+      parameter (maxfprb = maxinvar*maxplace*maxpoints)
+
+
+
+
+
+

=== added file 'Template/Source/gensudgrid.f'
--- Template/Source/gensudgrid.f	1970-01-01 00:00:00 +0000
+++ Template/Source/gensudgrid.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,124 @@
+      program gensudgrid
+      implicit none
+
+      include 'PDF/pdf.inc'
+      include 'sudgrid.inc'
+      include 'run.inc'
+      include 'cuts.inc'
+      
+c...global variables
+      double precision bthres,alam5,alam4,s,x1,x2
+      integer kfl
+      common/sudpars/bthres,alam5,alam4,s,x1,x2,kfl
+
+c...local variables
+      double precision pt2min,pt2max,x1min,x1max,x2min,x2max,pt2,x1tmp
+      double precision calcissud,reslast,result,relerr,eps
+      data eps/0.001/
+      data pt2min/4d0/
+      data x1min,x1max/1d-6,0.99/
+      data x2min,x2max/1d-6,0.99/
+      integer nfnevl,ifail,i,j,ipt2,ix1,ix2,ncalls,n,iargc
+      data ncalls/0/
+      character*8 arg
+
+      n=iargc()
+      if(n.eq.0)then
+         write(*,*) 'Usage:'
+         write(*,*) 'gensudgrid id'
+         write(*,*) 'where id is a parton id, from -2 to 5'
+         stop
+      endif
+      call getarg(1,arg)
+      read(arg,*) kfl
+ 
+c...Read the run_card.dat
+      call setrun
+
+      call pdfwrap
+
+      s=(ebeam(1)+ebeam(2))**2-(ebeam(1)-ebeam(2))**2
+
+      pt2max=0.25*s/4
+
+      if(xqcut**2 .lt. pt2min) pt2min = xqcut**2
+
+      write(*,'(''#'',a)') 'Sudakov grid for Delta(ptmax,ptEmin,x1,x2)'
+      write(*,'(''#'',a1,a7,a)') '''',pdlabel,''' = pdlabel'
+      if (pdlabel.eq.'''lhapdf''')
+     $           write(*,'(''#'',i10,a)') lhaid,' = lhaid'
+      write(*,'(''#'',f6.0,a)') ebeam(1),' = ebeam1'
+      write(*,'(''#'',f6.0,a)') ebeam(2),' = ebeam2'
+      write(*,'(''#'',f8.5,a)') sqrt(pt2min),' = ptEmin'
+
+c      do kfl=-2,5
+      if(kfl.eq.5) pt2min=bthres
+      write(*,'(''#'',i4,a)') kfl,' = kfl'
+      write(*,'(''#'',a11,3a12,2a7,a3)') 'x2','x1','ptmax','sud',
+     $   'ncalls','relerr','ierr'
+      do ix2=1,nx2
+        x2=10**(log10(x2min)+
+     $     (ix2-1)*(log10(x2max)-log10(x2min))/(nx2-1))
+        do ix1=1,nx1
+          if(ix1.le.nx1/4) then
+            x1=10**(log10(x1min)+
+     $         (ix1-1)*(log10(x1max)-log10(x1min))/(nx1-1))
+          elseif(ix1.le.3*nx1/5) then
+            x1tmp=10**(log10(x1min)+
+     $         (nx1/4-1)*(log10(x1max)-log10(x1min))/(nx1-1))
+            x1=(sqrt(x1min)+(ix1-nx1/4)*
+     $         (sqrt(x1max)-sqrt(x1min))/(nx1-nx1/4))**2
+          else
+            x1tmp=10**(log10(x1min)+
+     $         (nx1/4-1)*(log10(x1max)-log10(x1min))/(nx1-1))
+            x1tmp=(sqrt(x1tmp)+(3*nx1/5-nx1/4)*
+     $         (sqrt(x1max)-sqrt(x1tmp))/(nx1-nx1/4))**2
+            x1=x1tmp+(ix1-3*nx1/5)*(x1max-x1tmp)/(nx1-3*nx1/5)          
+          endif
+          ifail=0
+          reslast=0d0
+          do ipt2=1,npt2
+            pt2=10**(log10(pt2min)+
+     $         (ipt2-1)*(log10(pt2max)-log10(pt2min))/(npt2-1))
+            if(kfl.eq.5.and.x1.gt.0.6)then
+              result=0d0
+              nfnevl=0
+              relerr=0
+              ifail=0
+              goto 100              
+            endif
+            if(kfl.eq.5.and.pt2.lt.22.3109d0)then
+              result=1d0
+              nfnevl=0
+              relerr=0
+              ifail=0
+              goto 100              
+            endif
+            if(pt2.le.pt2min)then
+              result=1d0
+              nfnevl=0
+              relerr=0
+              ifail=0
+              goto 100
+            endif
+            if(ifail.gt.0)then
+              nfnevl=0
+              relerr=0
+              goto 100
+            endif
+            result=calcissud(kfl,x1,x2,pt2min,pt2,nfnevl,relerr,ifail)
+            if(abs(result-reslast)/abs(result).lt.eps)
+     $         ifail=3
+            reslast=result
+            ncalls=ncalls+1
+ 100        write(*,'(4e12.5,i7,f7.4,i3)') x2,x1,sqrt(pt2),
+     $         result,nfnevl,relerr,ifail
+          enddo
+        enddo
+      enddo
+c      enddo
+
+      write(*,'(''#'',a,i6,a)') 'Made ',ncalls,' calls to calcissud'
+
+      end
+

=== added file 'Template/Source/getissud.f'
--- Template/Source/getissud.f	1970-01-01 00:00:00 +0000
+++ Template/Source/getissud.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,201 @@
+C...GETISSUD performs an interpolation/extrapolation in 3 dimensions by
+C...fitting quadratic splines using 4 points in each dimension
+      double precision function getissud(ibeam,kfl,x1,x2,pt2)
+      implicit none
+
+      include 'sudgrid.inc'
+
+c   Arguments
+      integer ibeam,kfl
+      double precision x1,x2,pt2
+c   Storing values for the interpolation
+      double precision smallgrid(4,4),minigrid(4) ! pt2,x1
+c   Local variables
+      integer ipt2,ix1,ix2,ilo,ihi,i,j,k,kkfl,ipoints
+      double precision pt2i,x2i,x1i,minpoint,maxpoint,x(3)
+      integer nerr
+      data nerr/0/
+
+      getissud=0
+
+      x(1)=log(x2)
+      x(2)=x1
+      x(3)=log(pt2)
+
+      kkfl=kfl
+      if(ibeam.lt.0) kkfl=-kkfl
+      if(kkfl.lt.-2) kkfl=iabs(kfl)
+      if(iabs(kkfl).eq.21) kkfl=0
+      if(kkfl.eq.5) then
+        ipoints=2
+      else
+        ipoints=1
+      endif        
+      if(kkfl.gt.5) then
+        if(nerr.lt.10)
+     $     write(*,*)'GETISSUD Warning: flavor ',kfl,' not supported'
+        nerr=nerr+1
+        getissud=1
+        return
+      endif
+
+      if(x(1).lt.points(1,ipoints).or.
+     $   x(1).gt.points(nx2,ipoints).and.nerr.lt.10)
+     $   then
+        write(*,*) 'GETISSUD Warning: extrapolation in x2: ',x2
+        nerr=nerr+1
+      endif
+
+      if(x(2).lt.points(nx2+1,ipoints).or.
+     $   x(2).gt.points(nx2+nx1,ipoints)
+     $   .and.nerr.lt.10) then
+        write(*,*) 'GETISSUD Warning: extrapolation in x1: ',x1
+        nerr=nerr+1
+      endif
+
+      if(kkfl.eq.5.and.pt2.lt.22.3109)then
+        getissud=1d0
+        return
+      endif
+
+      if(kkfl.eq.5.and.x1.gt.0.6)then
+        getissud=0d0
+        return
+      endif
+
+      if(x(3).lt.points(nx2+nx1+1,ipoints)) then
+        write(*,*) 'GETISSUD Error! pt2 = ',exp(x(3)),' < ',
+     $     exp(points(nx2+nx1+1,ipoints)),' = min(pt2). Not allowed!'
+        write(*,*) 'You need to regenerate grid with new pt2min.'
+        stop
+      endif
+
+      if(x(3).lt.points(nx2+nx1+1,ipoints).or.
+     $   x(3).gt.points(nx2+nx1+npt2,ipoints)
+     $   .and.nerr.lt.10) then
+        write(*,*) 'GETISSUD Warning: extrapolation in pt2: ',pt2
+        nerr=nerr+1
+      endif
+
+
+c   Find nearest points by binary method
+c   x2
+      ilo=1
+      ihi=nx2
+      do while(ihi.gt.ilo+1)
+        ix2=ilo+(ihi-ilo)/2
+        if(x(1).gt.points(ix2,ipoints))then
+          ilo=ix2
+        else
+          ihi=ix2
+        endif
+      enddo
+      if(x(1).lt.points(ix2,ipoints))
+     $   ix2=ix2-1
+      ix2=max(2,min(ix2,nx2-2))
+
+c      print *,'x2: ',ix2,x(1),(points(i,ipoints),i=ix2-1,ix2+2)
+
+c   x1
+      ilo=1
+      ihi=nx1
+      do while(ihi.gt.ilo+1)
+        ix1=ilo+(ihi-ilo)/2
+        if(x(2).gt.points(nx2+ix1,ipoints))then
+          ilo=ix1
+        else
+          ihi=ix1
+        endif
+      enddo
+      if(x(2).lt.points(nx2+ix1,ipoints))
+     $   ix1=ix1-1
+      ix1=max(2,min(ix1,nx1-2))
+
+      do while(kkfl.eq.5.and.
+     $   points(nx2+ix1+2,ipoints).gt.0.6)
+        ix1=ix1-1
+      enddo
+
+c      print *,'x1: ',ix1,x(2),(points(nx2+i,ipoints),i=ix1-1,ix1+2)
+
+c   pt2
+      ilo=1
+      ihi=npt2
+      do while(ihi.gt.ilo+1)
+        ipt2=ilo+(ihi-ilo)/2
+        if(x(3).gt.points(nx2+nx1+ipt2,ipoints))then
+          ilo=ipt2
+        else
+          ihi=ipt2
+        endif
+      enddo
+      if(x(3).lt.points(nx2+nx1+ipt2,ipoints))
+     $   ipt2=ipt2-1
+      ipt2=max(2,min(ipt2,npt2-2))
+
+      do while(kkfl.eq.5.and.
+     $   exp(points(nx2+nx1+ipt2-1,ipoints)).lt.22.3109)
+        ipt2=ipt2+1
+      enddo
+c      print *,'pt2: ',ipt2,x(3),(points(nx2+nx1+i,ipoints),i=ipt2-1,ipt2+2)
+c      print *,'pt: ',ipt2,exp(x(3)/2),
+c     $   (exp(points(nx2+nx1+i,ipoints)/2),i=ipt2-1,ipt2+2)
+
+C   Now perform inter-/extra-polation
+
+C   Start with x2, which should have the flattest distribution
+C   Calculate sud(x2,ax1,apt2) for the 4x4 apt2 and ax1
+C   Then continue with pt2 and calculate sud(x2,ax1,pt2)
+C   for the 4 ax1
+C   Finally calculate sud(x2,x1,pt2)
+
+      do i=1,4
+        do j=1,4
+c          print *,'x1,pt:',points(nx2+ix1-2+i,ipoints),
+c     $       exp(points(nx2+nx1+ipt2-2+j,ipoints)/2)
+          call splint2(sudgrid(ix2-1,ix1-2+i,ipt2-2+j,kkfl),
+     $       points(ix2-1,ipoints),4,x(1),smallgrid(j,i))
+          smallgrid(j,i)=max(0d0,min(1d0,smallgrid(j,i)))
+        enddo
+      enddo
+
+      do i=1,4
+        call splint2(smallgrid(1,i),
+     $     points(nx2+nx1+ipt2-1,ipoints),4,x(3),minigrid(i))
+          minigrid(i)=max(0d0,min(1d0,minigrid(i)))
+      enddo
+
+      call splint2(minigrid,
+     $   points(nx2+ix1-1,ipoints),4,x(2),getissud)
+      getissud=max(0d0,min(1d0,getissud))
+      
+c      print *,'Result: ',getissud
+
+      return
+      end
+
+
+      subroutine splint2(ypoints,xpoints,npoints,x,ans)
+      implicit none
+
+C   arguments
+      integer npoints
+      double precision ypoints(npoints),xpoints(npoints)
+      double precision x,ans
+C   local variables
+      double precision a0,a1,a2,sd
+      integer ifail,i
+
+      CALL DLSQP2(npoints,xpoints,ypoints,a0,a1,a2,sd,ifail)
+
+c      print *,'Point, interpolation:'
+c      do i=1,npoints
+c        print *,exp(xpoints(i)),ypoints(i),
+c     $     a0+a1*xpoints(i)+a2*xpoints(i)**2
+c      enddo
+
+      ans=a0+a1*x+a2*x**2
+c      print *,x,ans
+
+      return
+      end

=== added file 'Template/Source/hbook.inc'
--- Template/Source/hbook.inc	1970-01-01 00:00:00 +0000
+++ Template/Source/hbook.inc	2010-10-30 03:26:37 +0000
@@ -0,0 +1,17 @@
+C		Internal common blocks for pheno/hbook routines
+C
+C		LABELS(i) = label for histogram i
+C		nhist	  = number of histograms (starts as 0, max is 20)
+C		idnumber(i) = code number to identify histograms in HFILL
+C		pointer(i)  = index of beginning of data for histo # i
+C		single dim(i) = .true. if single variable, .false. if double
+C
+	parameter (nhistmax=20,nhistmax1=nhistmax+1)
+	real data(10000),error(10000),npoints(10000)
+	integer pointer(nhistmax1),id number(nhistmax)
+	logical single dim(nhistmax)
+	character*40 label(nhistmax)
+
+       common /hbooklabel/ label
+       common /hbookarrays/nhist,id number,pointer,
+     $       single dim,data,error,npoints

=== added file 'Template/Source/hbook1.f'
--- Template/Source/hbook1.f	1970-01-01 00:00:00 +0000
+++ Template/Source/hbook1.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,36 @@
+C-----------------------------------------------
+C
+C	Routine to initialize a one-independent-variable histogram
+C
+	subroutine hbook1(id,inlabel,nx,xmin,xmax,zinitial)
+C
+C		id = integer used to identify histogram to HFILL
+C		inlabel = label to be written on the output by the plotting
+C				program (character of len <=40)
+C		nx = number of x bins (integer)
+C		xmin = min x value (real)
+C		xmax = max x value (real)
+C		zinitial = initial value for each bin (real)
+C
+	include 'hbook.inc'
+	character*(*) inlabel
+
+	if (nhist .eq. nhistmax) then
+		print*,' Maximum number of histograms exceeded'
+	else
+		nhist = nhist+1
+		label(nhist) = inlabel
+		id number(nhist) = id
+		single dim(nhist) = .true.
+		k=pointer(nhist)
+		pointer(nhist+1) = nx+3+k
+		data(k)=nx
+		data(k+1)=xmin
+		data(k+2)=xmax
+		do i=k+3,pointer(nhist+1)-1
+			data(i)=zinitial
+			error(i)=zinitial**2
+			end do
+		end if
+	return
+	end

=== added file 'Template/Source/hbook2.f'
--- Template/Source/hbook2.f	1970-01-01 00:00:00 +0000
+++ Template/Source/hbook2.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,35 @@
+        subroutine hbook2(id,inlabel,nx,xmin,xmax,ny,ymin,ymax,zinitial)
+C
+C               id = integer used to identify histogram to HFILL
+C               inlabel = label to be written on the output by the plotting
+C                               program (character of len <=40)
+C               nx = number of x bins (integer)
+C               xmin = min x value (real)
+C               xmax = max x value (real)
+C               ny,ymin,ymax = same for y values
+C               zinitial = initial value for each bin (real)
+C
+        include 'hbook.inc'
+        character*(*) inlabel
+
+        if (nhist .eq. nhistmax) then
+                print*,' Maximum number of histograms exceeded'
+        else
+                nhist = nhist+1
+                label(nhist) = inlabel
+                id number(nhist) = id
+                single dim(nhist) = .false.
+                k=pointer(nhist)
+                pointer(nhist+1) = nx*ny+6+k
+                data(k)=nx
+                data(k+1)=xmin
+                data(k+2)=xmax
+                data(k+3)=ny
+                data(k+4)=ymin
+                data(k+5)=ymax
+                do i=k+6,pointer(nhist+1)-1
+                        data(i)=zinitial
+                        end do
+                end if
+        return
+        end

=== added file 'Template/Source/hcurve.f'
--- Template/Source/hcurve.f	1970-01-01 00:00:00 +0000
+++ Template/Source/hcurve.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,74 @@
+C--------------------------------------------
+C
+C		Routine to dump histogram data to a file
+C
+	subroutine hcurve(id,filename)	
+C
+C		Dumps current histogram number id to file 'filename' and
+C		clears histogram id.
+C
+	include 'hbook.inc'
+	character*(*) filename
+        real sum,npts
+
+	if (nhist .eq. 0) return
+	open (unit=69,name=filename,status='unknown')
+	do i = 1, nhist
+		if (id .eq. idnumber(i)) go to 10
+		end do
+	return
+10	continue
+	k = pointer(i)
+	nx = int(data(k)+.1)
+	xmin = data(k+1)
+	xmax = data(k+2)
+	xbinsize = (xmax-xmin)/nx
+	if (single dim(i)) then
+           sum=0
+           npts=0
+           do m=1,nx
+              sum=sum+data(k+2+m)
+              npts=npts+npoints(k+2+m)
+           enddo
+           write (69,300) label(i)(1:labelleng(label(i)))
+           write (69,700) (xmin+(m-.5)*xbinsize,
+     $          data(k+2+m),sqrt(abs(error(k+2+m))),
+     $          npoints(k+2+m)/(npts*sum+1e-23),m=1,nx)
+	else
+		ny = int(data(k+3) + .1)
+		ymin = data(k+4)
+		ymax = data(k+5)
+		ybinsize = (ymax-ymin)/ny
+		write (69,300) label(i)(1:labelleng(label(i)))
+		k = k + 5
+		do n=1,ny
+                   fixed y =  ymin + (n-.5)*ybinsize
+                   write (69,500) (xmin+(m-.5)*xbinsize,fixed y,
+     $                  data(k+m),m=1,nx)
+		   write(69,*) 
+                   k = k + nx
+                end do
+		end if
+	close (unit=69)
+	return
+300	format ('# Histogram ',a)
+400	format (1x,2g15.6)
+500	format (1x,3g15.6)
+700	format (1x,4g15.6)
+	end
+C
+C
+C
+C
+	function labelleng(string)
+	character*(*) string
+
+	do i=len(string),1,-1
+		if (string(i:i) .ne. ' ') then
+			labelleng=i
+			return
+			end if
+		end do
+	labelleng=1
+	return
+	end

=== added file 'Template/Source/hfill.f'
--- Template/Source/hfill.f	1970-01-01 00:00:00 +0000
+++ Template/Source/hfill.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,37 @@
+C----------------------------------------------
+C
+C		Routine to add zincrement to a bin in a histogram
+C
+	subroutine hfill(id,x,y,zincrement)
+C
+C		id = integer associated with the histogram
+C		x  = x value to locate bin (real)
+C		y  = y value to locate bin (real) [ignored for 1-dim histo]
+C		zincrement = value to be added to bin specified by (x,y)
+C
+	include 'hbook.inc'
+	data nhist/0/,pointer(1)/1/
+
+	do i=1,nhist
+		if (id number(i) .eq. id) go to 10
+		end do
+	print*,' id number ',id,' does not belong to a current histogram'
+	return
+10	continue
+	k = pointer(i)
+	nx=data(k)+.1
+	ixoff = (x-data(k+1))/(data(k+2)-data(k+1))*data(k)+1
+	if (ixoff .le. 0 .or. ixoff .gt. nx) return
+	if (single dim(i)) then
+		data(k+2+ixoff)=data(k+2+ixoff)+zincrement
+		error(k+2+ixoff)=error(k+2+ixoff)+zincrement**2
+		npoints(k+2+ixoff)=npoints(k+2+ixoff)+1.
+	else
+		ny=data(k+3)+.1
+		iyoff = (y-data(k+4))/(data(k+5)-data(k+4))*data(k+3)+1
+		if (iyoff .le. 0 .or. iyoff .gt. ny) return
+		ioff = nx*(iyoff-1)+ixoff
+		data(k+5+ioff)=data(k+5+ioff)+zincrement
+		end if
+	return
+	end

=== added file 'Template/Source/htuple.f'
--- Template/Source/htuple.f	1970-01-01 00:00:00 +0000
+++ Template/Source/htuple.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,242 @@
+      subroutine ntuple(x,a,b,ii,jconfig)
+C--------------------------------------------------------------
+c
+c
+c     This is a modified version for use with multi-pole integrations
+c     it allows you to get the same set of random numbers several times
+c     (1 for each configuration) jj tells it what configuration to use, 
+c     so if you always put jj=1, you basically get the old version of 
+c     ntuple out. It is currently configued to have maxconfig=25.
+c     Modified by Tim Stelzer July 5 1995
+c
+c
+c       Abstract:
+c
+c      ntuple - returns sequences of quasi-uniform random numbers
+c               in the interval (a,b) using scrambled radical inverse
+c               sequences. These numbers are designed for use in
+c               Monte Carlo integration routines.
+c
+c  Author: Bill Long, UW-Madison Phenomenology Institute, 19-MAR-1991
+c               Based on the algorithm for an earlier routine, htuple,
+c               written by George Weller.
+c
+c               Original reference for this algorithm:
+c
+c         E. Braaten and G. Weller, J. Comp. Phys. 33,249-258 (1979)
+c
+c  References for radical inverse sequences (and Halton sequences)
+c               are ck+^Z7ed in the above article.
+c
+c    Usage Notes:
+c
+c 1) Sequence numbers, i, range from 1 to 25 and correspond
+c   to scrambled radical inverse sequences based on the first
+c   25 primes (2..97).  In general, when performing a multi-dimensional
+c   integral, a separate value of i should be used for the values
+c   along each axis.
+c
+c 2) The basic algorithm generates values in the range (0,1). These
+c    are rescaled to the range (a,b) in the final statement, so
+c    it is not necessary to have a < b.  If a=b, the returned value, x,
+c    will always be equal to a.
+c
+c 3) The sequences for different values of i are independent. They
+c    cycle with different periods ranging from ~ 4M numbers 
+c    through 147M numbers, covering numbers of precision 23-27 bits
+c    appropriate for the mantissa of a single precision real value.
+c
+c 4) Ntuple differs from htuple primarily in that ntuple sequences
+c    cycle with periods that are roughly equal for each value of i.
+c    Htuple sequences cycled too quickly for small i, and too
+c    slowly for large i. Ntuple is also written in a more modern
+c    style, and uses considerably less memory, helping execution
+c    speed on cache-sensitive machines.
+c
+c
+c--Argument Declarations
+c
+      real*8  x    !  OUT - quasi-random value returned
+                   !        x is in the range (a,b)
+      real*8  a    !  IN  - Lower bound of interval for x
+      real*8  b    !  IN  - Upper bound of interval for x
+      integer ii   !  IN  - Sequence number, restricted to 1 <= i <= MaxDim
+      integer jconfig!IN  - Pole number, restricted to1<=jconfig<= MaxConfigs
+c
+c     Constants
+c
+      include "genps.inc"
+
+      integer ndim,kdim,mdim,maxconfig,ktot
+      parameter (ndim = maxdim, kdim = 181, mdim = 1060)
+c      parameter (maxconfig=maxconfigs, ktot=kdim*maxconfig)
+      parameter (maxconfig=lmaxconfigs, ktot=kdim*maxconfig)
+
+c
+c--Local Variable Declarations
+c
+      integer base_minus1(ndim),mix(mdim),k(kdim,maxconfig)
+      double precision accum(kdim,maxconfig)
+      double precision pbase(kdim)
+      integer offset,koffset(ndim),mix_offset(ndim),maxj(ndim)
+      integer jj
+      logical first_time
+
+c
+c--Fixed Data Initializations
+c
+      data (pbase(i), i = 1, 146)
+     .     /2d0,4d0,8d0,16d0,32d0,64d0,128d0,256d0,512d0,1024d0,
+     .     2048d0,4096d0,8192d0,16384d0,32768d0,65536d0,131072d0,
+     .     262144d0,524288d0,1048576d0,2097152d0,4194304d0,8388608d0,
+     .     16777216d0,0d0,3d0,9d0,27d0,81d0,243d0,729d0,2187d0,6561d0,
+     .     19683d0,59049d0,177147d0,531441d0,1594323d0,4782969d0,
+     .     14348907d0,0d0,5d0,25d0,125d0,625d0,3125d0,15625d0,78125d0,
+     .     390625d0,1953125d0,9765625d0,0d0,7d0,49d0,343d0,2401d0,
+     .     16807d0,117649d0,823543d0,5764801d0,0d0,11d0,121d0,1331d0,
+     .     14641d0,161051d0,1771561d0,19487171d0,0d0,13d0,169d0,2197d0,
+     .     28561d0,371293d0,4826809d0,0d0,17d0,289d0,4913d0,83521d0,
+     .     1419857d0,24137569d0,0d0,19d0,361d0,6859d0,130321d0,
+     .     2476099d0,47045881d0,0d0,23d0,529d0,12167d0,279841d0,
+     .     6436343d0,0d0,29d0,841d0,24389d0,707281d0,20511149d0,0d0,
+     .     31d0,961d0,29791d0,923521d0,28629151d0,0d0,37d0,1369d0,
+     .     50653d0,1874161d0,69343957d0,0d0,41d0,1681d0,68921d0,
+     .     2825761d0,115856201d0,0d0,43d0,1849d0,79507d0,3418801d0,
+     .     147008443d0,0d0,47d0,2209d0,103823d0,4879681d0,0d0,53d0,
+     .     2809d0,148877d0,7890481d0,0d0,59d0,3481d0,205379d0,
+     .     12117361d0,0d0,61d0,3721d0,226981d0,13845841d0,0d0/
+      data (pbase(i), i=147, 181)
+     .     /67d0,4489d0,300763d0,20151121d0,0d0,71d0,5041d0,357911d0,
+     .     25411681d0,0d0,73d0,5329d0,389017d0,28398241d0,0d0,79d0,
+     .     6241d0,493039d0,38950081d0,0d0,83d0,6889d0,571787d0,
+     .     47458321d0,0d0,89d0,7921d0,704969d0,62742241d0,0d0,97d0,
+     .     9409d0,912673d0,88529281d0, 0d0/
+
+      data base_minus1/
+     .      1,    2,    4,    6,   10,   12,   16,   18,   22,   28,
+     .     30,   36,   40,   42,   46,   52,   58,   60,   66,   70,
+     .     72,   78,   82,   88,   96/
+
+      data maxj/ 24, 15, 10, 8,    7,    6,    6,    6,    5,    5,
+     .     5,    5,    5,    5,    4,    4,    4,    4,    4,    4,
+     .     4,    4,    4,    4,    4/
+
+      data koffset/
+     .     0,   25,   41,   52,   61,   69,   76,   83,   90,   96,
+     .     102,  108,  114,  120,  126,  131,  136,  141,  146,  151,
+     .     156,  161,  166,  171,  176/  
+
+      data mix_offset/
+     .     0,    2,    5,   10,   17,   28,   41,   58,   77,  100,
+     .     129,  160,  197,  238,  281,  328,  381,  440,  501,  568,
+     .     639,  712,  791,  874,  963/
+
+      data (mix(i), i = 1, 412)
+     .     /1,0, 1,2,0, 3,1,4,2,0, 4,2,6,1,5,3,0, 5,8,2,10,3,6,1,9,
+     .     7,4,0, 6,10,2,8,4,12,1,9,5,11,3,7,0, 8,13,3,11,5,16,1,10,7,
+     .     14,4,12,2,15,6,9,0, 9,14,3,17,6,11,1,15,7,12,4,18,8,2,16,10,
+     .     5,13,0, 11,17,4,20,7,13,2,22,9,15,5,18,1,14,10,21,6,16,3,19,
+     .     8,12,0, 15,7,24,11,20,2,27,9,18,4,22,13,26,5,16,10,23,1,19,
+     .     28,6,14,17,3,25,12,8,21,0,  15,23,5,27,9,18,2,29,12,20,7,25,
+     .     11,17,3,30,14,22,1,21,8,26,10,16,28,4,19,6,24,13,0, 18,28,6,
+     .     23,11,34,3,25,14,31,8,20,36,1,16,27,10,22,13,32,4,29,17,7,
+     .     35,19,2,26,12,30,9,24,15,33,5,21,0, 20,31,7,26,12,38,3,23,
+     .     34,14,17,29,5,40,10,24,1,35,18,28,9,33,15,21,4,37,13,30,8,
+     .     39,22,2,27,16,32,11,25,6,36,19,0, 21,32,7,38,13,25,3,35,17,
+     .     28,10,41,5,23,30,15,37,1,19,33,11,26,42,8,18,29,4,39,14,22,
+     .     34,6,24,12,40,2,31,20,27,9,36,16,0, 24,12,39,6,33,20,44,3,
+     .     29,16,36,10,42,22,8,31,26,14,46,1,35,18,28,5,40,19,37,11,25,
+     .     43,4,30,15,34,9,45,21,2,32,17,41,13,27,7,38,23,0,
+     .     26,40,9,33,16,49,4,36,21,45,12,29,6,51,23,38,14,43,1,30,19,
+     .     47,10,34,24,42,3,27,52,15,18,39,7,46,31,11,35,20,48,2,28,41,
+     .     8,22,50,13,32,17,44,5,37,25,0, 29,44,10,52,18,34,4,48,23,38,
+     .     13,57,7,32,41,20,54,2,26,46,15,36,24,50,8,40,16,56,5,30,43/
+      data (mix(i), i = 413, 803)
+     .     /21,51,11,33,1,58,27,37,14,47,19,28,45,6,53,12,35,22,42,3,
+     .     55,25,31,9,49,17,39,0,30,46,10,38,18,56,4,42,24,52,14,33,21,
+     .     59,6,40,27,49,2,35,16,54,12,44,26,50,8,32,58,19,1,41,29,48,
+     .     13,36,22,60,7,45,23,53,9,34,17,55,3,39,28,47,15,37,20,57,5,
+     .     43,25,51,11,31,0, 33,50,11,59,20,39,5,54,26,44,15,64,23,36,
+     .     2,57,30,47,9,62,18,41,13,52,28,37,4,66,24,46,8,55,31,17,60,
+     .     34,1,48,21,43,63,12,38,25,53,7,49,16,58,29,6,42,65,19,35,10,
+     .     51,27,56,3,40,32,61,14,45,22,0, 35,53,12,62,21,41,5,67,28,
+     .     46,16,56,25,8,50,38,65,2,32,59,19,44,14,70,30,48,7,39,58,22,
+     .     10,63,33,26,52,1,55,18,43,68,13,36,47,4,61,24,40,29,66,9,51,
+     .     17,57,23,37,3,69,31,45,15,60,11,49,34,20,64,6,54,27,42,0,
+     .     36,55,12,46,22,67,5,41,61,18,30,52,8,70,27,43,15,59,33,2,64,
+     .     38,24,50,10,72,20,48,31,57,4,63,25,40,14,54,35,68,7,45,17,
+     .     60,28,1,66,39,21,51,11,71,32,47,13,56,26,44,3,65,34,19,58,9,
+     .     49,37,69,16,29,53,6,62,23,42,0, 39,59,13,69,24,46,6,74,31,
+     .     51,18,63,9,42,55,27,77,2,35,65,21,48,15,71,33,53,4,61,29,43,
+     .     17,75,37,10,67,49,22,57,7,72,26,40,56,1,64,30,45,14,78,20,
+     .     52,34,11,68,41,60,5,36,73,23,50,16,62,28,3,76,44,25,58,12,
+     .     66,38,19,54,32,70,8,47,0,41,62,14,73,25,48,6,67,32,54,19,80/
+      data (mix(i), i = 804, 1060)
+     .     /10,44,58,29,76,2,37,64,22,51,16,71,35,56,8,82,27,46,12,69,
+     .     39,60,4,50,24,78,31,65,17,42,74,1,53,21,61,34,11,79,43,28,
+     .     68,7,55,38,75,15,47,20,70,5,57,33,81,26,49,9,63,36,66,18,45,
+     .     3,77,30,59,23,52,13,72,40,0, 44,67,15,56,27,82,6,50,74,22,
+     .     36,63,10,86,33,53,18,77,40,2,70,47,29,80,12,60,38,65,20,88,
+     .     4,51,31,72,24,58,8,78,42,46,16,84,34,62,1,69,26,55,19,76,41,
+     .     11,83,49,30,66,7,59,37,87,14,54,25,73,21,68,43,3,79,35,57,
+     .     13,81,45,28,64,5,75,32,52,17,85,39,9,61,71,23,48,0, 48,73,
+     .     16,61,29,89,7,55,81,34,22,69,41,94,3,52,77,19,38,85,12,64,
+     .     44,26,91,58,9,71,32,79,14,50,66,24,96,1,46,83,36,59,18,75,
+     .     30,87,5,54,42,68,21,92,10,62,39,80,27,56,6,86,47,72,15,35,
+     .     93,43,65,2,76,25,53,84,17,37,67,11,90,49,31,74,20,60,95,4,
+     .     45,63,28,82,13,57,40,78,8,88,33,51,23,70,0/
+c
+c--Variable Data Initializations
+c
+      data accum /ktot*0d0/
+
+      data k /ktot*0d0/
+      data first_time /.true./
+c
+c--Code:
+c
+      if (first_time) then
+         write(*,*) 'Warning htuple modified for 1 configuration only'
+         write(*,*) 'Using htuple configuration ',jconfig
+         first_time=.false.
+c     
+c        to use multiple configurations need to use line
+        jj = jconfig
+c
+      endif
+      jj = jconfig
+c      jj=1      !use jj=jconfig for multiconfiguraion mode
+      if (jj .lt. 1 .or. jj .gt. maxconfig) then
+         print*,'Error in ntuple.  Invalid pole choice',jj
+         stop
+      endif
+      i=ii
+      i = ii+jj                   !This keeps us from generating same ran #'s
+      do while (i .gt. ndim)
+         i=i-ndim
+      enddo
+c      if (i .gt. ndim) i=i-ndim   !For different configurations
+      j = 1
+      offset = koffset(i)
+      do while (k(offset+j,jj) .eq. base_minus1(i))
+         k(offset+j,jj)=0
+         j=j+1
+         if (j.gt.maxj(i)) then
+            do j=1,maxj(i)
+               k(offset+j,jj)=0
+               accum(offset+j,jj)=0d0
+            end do
+            j=1
+         end if
+      end do
+
+      k(offset+j,jj)=k(offset+j,jj)+1
+      accum(offset+j,jj) = accum(offset+j+1,jj) +
+     .     mix(mix_offset(i)+k(offset+j,jj))/pbase(offset+j)
+      do  jjj=2,j-1
+         accum(offset+jjj,jj) = accum(offset+j,jj)
+      end do
+      x = a + (b-a) * accum(offset+j,jj)
+c      write(*,'(2i6,1f15.8)') jj,i,x
+      end
+

=== added file 'Template/Source/invarients.f'
--- Template/Source/invarients.f	1970-01-01 00:00:00 +0000
+++ Template/Source/invarients.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,302 @@
+      subroutine set_invarients(nfinal,ninvar)
+c***************************************************************************
+c     Calculates all of the invarients for a 2->n process
+c***************************************************************************
+      implicit none
+c     
+c     Constants
+c
+      include 'genps.inc'
+c
+c     Arguments
+c
+      integer nfinal,ninvar
+c
+c     Local
+c     
+      integer ip1,ip2,ipstart,ipstop,np,i
+      integer ncycle
+      character*10 buff
+c
+c     Global
+c
+      integer              imom(maxinvar),ninvarients
+      common/to_invarients/imom          ,ninvarients
+c-----
+c  Begin Code
+c-----
+
+      do i=1,nfinal
+         imom(i)=i
+      enddo
+      ipstart=1
+      ipstop =nfinal
+      np     =nfinal
+c
+c     First do all the s-channel
+c
+      do ncycle=2,nfinal-1
+         do ip1 = ipstart,ipstop-1
+            do ip2=int((real(imom(ip1))/10.-imom(ip1)/10)*10+.1)+1,
+     $           nfinal
+               np=np+1
+               if (np .gt. maxinvar) then
+                  print*,'Sorry too many invarients',np,ip1,ip2,ncycle
+                  stop
+               endif
+               imom(np)=imom(ip1)*10+imom(ip2)
+               if (imom(np) .lt. 10) then
+                  write(buff,'(a2,i1)') 'S?',imom(np)
+               elseif (imom(np) .lt. 100) then
+                  write(buff,'(a2,i2)') 'S?',imom(np)
+               elseif (imom(np) .lt. 1000) then
+                  write(buff,'(a2,i3)') 'S?',imom(np)
+               elseif (imom(np) .lt. 10000) then
+                  write(buff,'(a2,i4)') 'S?',imom(np)
+               elseif (imom(np) .lt. 100000) then
+                  write(buff,'(a2,i5)') 'S?',imom(np)
+               else
+                  write(buff,'(a2,i6)') 'S?',imom(ip1)
+               endif
+c               call hbook1(100+np-nfinal,buff,100,0.,1.,0.)
+c               write(*,'(i4,i6)') np-nfinal,imom(np)
+               write(*,'(i4,a1,a6)') np-nfinal,'=',buff
+               if ((np-nfinal)/7 .eq. real(np-nfinal)/7.) write(*,*)' '
+            enddo
+         enddo
+         ipstart=ipstop+1
+         ipstop = np
+      enddo
+c
+c     Now do the t-channel
+c
+      ipstop = np
+      do ip1 = 1,ipstop
+c         write(*,'(i4,a2,i6)') np-nfinal+ip1,'a-',imom(ip1)
+         if (imom(ip1) .lt. 10) then
+            write(buff,'(a2,i1)') 'T?',imom(ip1)
+         elseif (imom(ip1) .lt. 100) then
+            write(buff,'(a2,i2)') 'T?',imom(ip1)
+         elseif (imom(ip1) .lt. 1000) then
+            write(buff,'(a2,i3)') 'T?',imom(ip1)
+         elseif (imom(ip1) .lt. 10000) then
+            write(buff,'(a2,i4)') 'T?',imom(ip1)
+         elseif (imom(ip1) .lt. 100000) then
+            write(buff,'(a2,i5)') 'T?',imom(ip1)
+         else
+            write(buff,'(a2,i6)') 'T?',imom(ip1)
+         endif
+c         call hbook1(100+np-nfinal+ip1,buff,100,0.,1.,0.)
+c         write(*,*) np-nfinal+ip1,buff
+         write(*,'(i4,a1,a6)') np-nfinal+ip1,'=',buff
+         if ((np-nfinal+ip1)/7 .eq. real(np-nfinal+ip1)/7.) write(*,*)
+      enddo
+      write(*,*)
+      print*,'Particles, Invarients',nfinal,np-nfinal+np
+      ninvarients=np-nfinal+np
+      ninvar=ninvarients
+      if (ninvarients .gt. maxinvar) then
+         print*,'Error too many invarients to map'
+c         stop
+      endif
+      end
+
+
+      subroutine fill_invarients(nfinal,p1,s,xx)
+c***************************************************************************
+c     Calculates all of the invarients for a 2->n process
+c***************************************************************************
+      implicit none
+c     
+c     Constants
+c     
+      include 'genps.inc'
+c
+c     Arguments
+c
+      integer nfinal
+      double precision p1(0:3,nfinal+2),s,xx(55)
+c
+c     Local
+c     
+      integer ip1,ip2,ipstart,ipstop,np,i,j
+      integer imom(maxinvar)
+      integer ncycle
+      character*10 buff
+      double precision p(0:3,maxinvar),ptemp(0:3)
+c
+c     External
+c
+      double precision dot
+      external         dot
+c-----
+c  Begin Code
+c-----
+
+      do i=1,nfinal
+         imom(i) = i
+         do j=0,3
+            p(j,i)=p1(j,i+2)
+         enddo
+c         write(*,'(i3,4f17.8)') i,(p(j,i),j=0,3)
+      enddo
+      ipstart=1
+      ipstop =nfinal
+      np     =nfinal
+c
+c     First do all the s-channel
+c
+      do ncycle=2,nfinal-1
+         do ip1 = ipstart,ipstop-1
+            do ip2=int((real(imom(ip1))/10.-imom(ip1)/10)*10+.1)+1
+     $           ,nfinal
+               np=np+1
+               if (np .gt. maxinvar) then
+                  print*,'Sorry too many invarients',np,ip1,ip2,ncycle
+                  stop
+               endif
+               imom(np)=imom(ip1)*10+imom(ip2)
+               do j=0,3
+                  p(j,np) = p(j,ip1)+p(j,ip2)
+               enddo
+               xx(np-nfinal) = dot(p(0,np),p(0,np))/s
+c               call hfill(100+np-nfinal,
+c     &              real(dot(p(0,np),p(0,np))/s),0.,wgt)
+c               write(*,'(i4,3f20.8)') np-nfinal,
+c     &              real(dot(p(0,np),p(0,np))/s)
+            enddo
+         enddo
+         ipstart=ipstop+1
+         ipstop = np
+      enddo
+c
+c     Now do the t-channel
+c
+      ipstop = np
+      do ip1 = 1,ipstop
+         do j = 0,3
+            ptemp(j)=p1(j,1)-p(j,ip1)
+         enddo
+         xx(np-nfinal+ip1)= .5d0*(dot(ptemp,ptemp)/s+1d0)
+c         call hfill(100+np-nfinal+ip1,real(-dot(ptemp,ptemp)/s),0.,wgt)
+c         write(*,'(i4,3f20.8)') np-nfinal+ip1,
+c     &         real(-dot(ptemp,ptemp)/s)
+      enddo
+      end
+
+
+      subroutine map_invarients(Minvar,nconfigs,ninvar,mincfig,maxcfig,nexternal,nincoming)
+c****************************************************************************
+c     Determines mappings for each structure of invarients onto integration
+c     variables.  Input: Ninvar, iforest.  Output: Minvar, ninvar
+c****************************************************************************
+      implicit none
+c
+c     Constants
+c
+      include 'genps.inc'
+c
+c     Arguments
+c
+      integer Minvar(maxdim,lmaxconfigs),nconfigs,ninvar,nexternal,nincoming
+      integer mincfig,maxcfig
+c
+c     Local
+c
+      integer iconfig, jgrid,j, nbranch
+      logical found,tchannel
+c
+c     Global
+c
+      integer              imom(maxinvar),ninvarients
+      common/to_invarients/imom          ,ninvarients
+      integer iforest(2,-max_branch:-1,lmaxconfigs)
+      common/to_forest/ iforest
+
+c-----
+c  Begin Code
+c----
+
+      nbranch = nexternal-2
+      jgrid=0
+c
+c     
+c     Try simple mapping if nconfigs = 1
+c
+
+      if (nconfigs .eq. 1) then
+         do j=1,3*nbranch-4+2
+            minvar(j,mincfig)=j
+         enddo
+         jgrid=j-1
+      else
+c      if (ep) jgrid=1
+c      if (pp) jgrid=2
+      do iconfig=mincfig,maxcfig
+         tchannel = .false.         
+         do j=1,nbranch-1
+            if (iforest(1,-j,iconfig) .eq. 1) then
+               tchannel=.true.
+            endif
+            jgrid=jgrid+1
+            minvar(j,iconfig) = jgrid
+            if (tchannel .and. j .lt. nbranch-1) then
+               jgrid=jgrid+1            
+               minvar(nbranch-1+2*j,iconfig)=jgrid
+            endif
+         enddo             !Each Branch
+         if (.not. tchannel .and. nincoming.eq.2) then          !Don't need last s-channel
+            jgrid=jgrid-1
+            minvar(nbranch-1,iconfig)=0
+         endif
+c         if (pp) then
+c            jgrid=jgrid+1
+c            minvar(3*nbranch-3,iconfig)=jgrid
+c            jgrid=jgrid+1
+c            minvar(3*nbranch-2,iconfig)=jgrid
+c         elseif (ep) then
+c            jgrid=jgrid+1
+c            minvar(3*nbranch-3,iconfig)=jgrid
+c         endif
+      enddo  !Each configurations
+      endif
+      ninvar = jgrid
+      end
+
+      subroutine sortint(n,ra)
+      integer ra(n)
+      l=n/2+1
+      ir=n
+10    continue
+        if(l.gt.1)then
+          l=l-1
+          rra=ra(l)
+        else
+          rra=ra(ir)
+          ra(ir)=ra(1)
+          ir=ir-1
+          if(ir.eq.1)then
+            ra(1)=rra
+            return
+          endif
+        endif
+        i=l
+        j=l+l
+20      if(j.le.ir)then
+          if(j.lt.ir)then
+            if(ra(j).lt.ra(j+1))j=j+1
+          endif
+          if(rra.lt.ra(j))then
+            ra(i)=ra(j)
+            i=j
+            j=j+j
+          else
+            j=ir+1
+          endif
+        go to 20
+        endif
+        ra(i)=rra
+      go to 10
+      end
+
+

=== added file 'Template/Source/is-sud.f'
--- Template/Source/is-sud.f	1970-01-01 00:00:00 +0000
+++ Template/Source/is-sud.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,235 @@
+      function calcissud(kkfl,xx1,xx2,pt2min,pt2,nfnevl,relerr,ifail)
+
+c...arguments
+      integer kkfl
+      double precision calcissud,xx1,xx2,pt2min,pt2
+c...global variables
+      double precision bthres,alam5,alam4,s,x1,x2
+      integer kfl
+      common/sudpars/bthres,alam5,alam4,s,x1,x2,kfl
+      data alam5,alam4/2.11384241947499864d-2,3.6864E-002/
+      data bthres,s/22.3109,196d6/
+c...local variables
+      integer n,minpts,maxpts,iwk,nfnevl,ifail
+      parameter(n=2,minpts=5,maxpts=50000,iwk=10298) !iwk=7*(1+maxpts/34)
+      double precision fsud,a(n),b(n),eps,wk(iwk),result,relerr
+      parameter(eps=0.001)
+      external fsud
+
+      x1=xx1
+      x2=xx2
+      kfl=kkfl
+
+c...limits for pt2
+      a(1)=log(pt2min)
+      if(abs(kfl).eq.5) a(1)=log(max(pt2min,bthres))
+      b(1)=log(pt2)
+c...limits for z
+      a(2)=x1
+      b(2)=1
+
+      if(pt2.le.exp(a(1)))then
+        calcissud=1
+        nfnevl=0
+        relerr=0
+        ifail=0
+        return
+      endif
+
+      if(abs(kfl).eq.5.and.x1.gt.0.6)then
+        calcissud=0d0
+        nfnevl=0
+        relerr=0
+        ifail=0
+        return
+      endif
+
+c...perform integration
+      call dadmul(fsud,n,a,b,minpts,maxpts,eps,wk,iwk,
+     $   result,relerr,nfnevl,ifail)
+
+      calcissud=exp(-result)
+      return
+      end
+
+
+C...FSUD is the integrand called by dadmul 
+      double precision function fsud(n,x)
+      implicit none
+
+c...arguments
+      integer n
+      double precision x(*)
+
+c...global variables
+      double precision bthres,alam5,alam4,s,x1,x2
+      integer kfl
+      common/sudpars/bthres,alam5,alam4,s,x1,x2,kfl
+
+c...functions
+      double precision pdg2pdf
+      external pdg2pdf
+      
+c...local variables
+      double precision b5,b4
+      data b5,b4/3.8333333333333335,4.1666666666666/
+      double precision pt2,pt,z,zmax,zint,s12
+      DOUBLE PRECISION XPQ1(-7:7),XPQ2(-7:7)
+      DATA XPQ1,XPQ2/30*0d0/
+      double precision qm2(5),qmrel
+      data qm2/3*0,2.2725,22.3109/
+      double precision ptold,xiold,kflold,xpqold
+      integer kfla,i
+
+      pt2=exp(x(1))
+      if(pt2.gt.s) then
+        print *,'Error: Probably forgot log() for pt2 limits!'
+        stop
+      endif
+      pt=dsqrt(pt2)
+      z=x(2)
+      s12=s*x1*x2
+      zmax=1d0+pt2/(2d0*s12)-sqrt(pt2**2/(4d0*s12**2)+pt2/s12)
+      kfla=iabs(kfl)
+
+      fsud=0d0
+      if(z.gt.zmax.or.z.le.x1) return
+
+c   PT integral: 1/pt2*alpha_s(pt)/2pi
+      if(pt2.gt.bthres) then
+        fsud=1d0/(b5*log(pt2/alam5))
+      else! if(pt2.gt.2.2725000000000000)then
+        fsud=1d0/(b4*log(pt2/alam4))
+      endif
+
+c   Color coherence suppression
+      if(.false.)then
+        fsud=fsud*min(1d0,s12/4d0/pt2)
+      endif
+c   Z integral: need pdf ratio and splitting function
+      zint=0
+c      CALL PFTOPDG(1,x1/z,DSQRT(pt2),XPQ2)
+      if(kfla.lt.6.and.kfl.ne.0)then
+        XPQ1(kfl)=max(pdg2pdf(1,kfl,x1,pt),1d-20)
+        XPQ2(kfl)=pdg2pdf(1,kfl,x1/z,pt)
+        XPQ2(0)=pdg2pdf(1,21,x1/z,pt)
+        qmrel=0
+        if(qm2(kfla).gt.0)
+     $     qmrel=2*z*(1-z)*qm2(kfla)/pt2
+        zint=zint+XPQ2(kfl)/(z*XPQ1(kfl))*4d0/3d0*
+     $     ((1+z**2)/(1-z)-qmrel)
+        zint=zint+XPQ2(0)/(z*XPQ1(kfl))*0.5d0*(z**2+(1-z)**2+qmrel)
+      elseif(kfl.eq.21.or.kfl.eq.0)then
+        XPQ1(0)=pdg2pdf(1,0,x1,pt)
+c        CALL PFTOPDG(1,x1/z,pt,XPQ2)
+        do i=-2,3
+          XPQ2(i)=pdg2pdf(1,i,x1/z,pt)
+          if(i.ne.0)
+     $       zint=zint+XPQ2(i)
+        enddo
+        zint=zint+XPQ2(3) ! for anti-s dist
+        zint=zint/(z*XPQ1(0))*4d0/3d0*(1+(1-z)**2)/z
+        zint=zint+XPQ2(0)/(z*XPQ1(0))*6*(1-z*(1-z))**2/(z*(1-z))
+      endif
+      fsud=fsud*zint
+
+      return
+      end
+
+
+      double precision function pdg2pdf(ih,ipdg,x,xmu)
+c***************************************************************************
+c     Based on pdf.f, wrapper for calling the pdf of MCFM
+c***************************************************************************
+      implicit none
+c
+c     Arguments
+c
+      DOUBLE  PRECISION x,xmu
+      INTEGER IH,ipdg,ipart
+C
+C     Include
+C
+      include 'PDF/pdf.inc'
+C      
+      double precision Ctq3df,Ctq4Fn,Ctq5Pdf,Ctq6Pdf,Ctq5L
+      integer mode,Irt
+
+      ipart=ipdg
+      if(ipart.eq.21) ipart=0
+
+      if (pdlabel(1:5) .eq. 'cteq3') then
+C     
+         if (pdlabel .eq. 'cteq3_m') then
+            mode=1
+         elseif (pdlabel .eq. 'cteq3_l') then
+            mode=2
+         elseif (pdlabel .eq. 'cteq3_d') then
+            mode=3
+         endif
+
+         
+         if(iabs(ipart).ge.1.and.iabs(ipart).le.2)
+     $      ipart=sign(3-iabs(ipart),ipart)
+
+         pdg2pdf=Ctq3df(mode,ipart,x,xmu,Irt)/x
+
+         if(ipdg.ge.1.and.ipdg.le.2)
+     $      pdg2pdf=pdg2pdf+Ctq3df(mode,-ipart,x,xmu,Irt)/x
+
+C     
+      elseif (pdlabel(1:5) .eq. 'cteq4') then
+C     
+         if (pdlabel .eq. 'cteq4_m') then
+            mode=1
+         elseif (pdlabel .eq. 'cteq4_d') then
+            mode=2
+         elseif (pdlabel .eq. 'cteq4_l') then
+            mode=3
+         elseif (pdlabel .eq. 'cteq4a1') then
+            mode=4
+         elseif (pdlabel .eq. 'cteq4a2') then
+            mode=5
+         elseif (pdlabel .eq. 'cteq4a3') then
+            mode=6
+         elseif (pdlabel .eq. 'cteq4a4') then
+            mode=7
+         elseif (pdlabel .eq. 'cteq4a5') then
+            mode=8
+         elseif (pdlabel .eq. 'cteq4hj') then
+            mode=9
+         elseif (pdlabel .eq. 'cteq4lq') then
+            mode=10
+         endif
+         
+         if(iabs(ipart).ge.1.and.iabs(ipart).le.2)
+     $      ipart=sign(3-iabs(ipart),ipart)
+
+         pdg2pdf=Ctq4Fn(mode,ipart,x,xmu)
+C
+      elseif (pdlabel .eq. 'cteq5l1') then
+C
+         if(iabs(ipart).ge.1.and.iabs(ipart).le.2)
+     $      ipart=sign(3-iabs(ipart),ipart)
+
+         pdg2pdf=Ctq5L(ipart,x,xmu)
+C         
+      elseif ((pdlabel(1:5) .eq. 'cteq5') .or. 
+     .        (pdlabel(1:4) .eq. 'ctq5')) then
+C         
+         if(iabs(ipart).ge.1.and.iabs(ipart).le.2)
+     $      ipart=sign(3-iabs(ipart),ipart)
+
+         pdg2pdf=Ctq5Pdf(ipart,x,xmu)
+C                  
+      elseif (pdlabel(1:5) .eq. 'cteq6') then
+C         
+         if(iabs(ipart).ge.1.and.iabs(ipart).le.2)
+     $      ipart=sign(3-iabs(ipart),ipart)
+
+         pdg2pdf=Ctq6Pdf(ipart,x,xmu)
+
+      endif      
+
+      end
+

=== added file 'Template/Source/kin_functions.f'
--- Template/Source/kin_functions.f	1970-01-01 00:00:00 +0000
+++ Template/Source/kin_functions.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,672 @@
+c************************************************************************
+c  THIS FILE CONTAINS THE DEFINITIONS OF USEFUL FUNCTIONS OF MOMENTA:
+c  
+c  DOT(p1,p2)         : 4-Vector Dot product
+c  R2(p1,p2)          : distance in eta,phi between two particles
+c  SumDot(P1,P2,dsign): invariant mass of 2 particles
+c  rap(p)             : rapidity of particle in the lab frame (p in CM frame)
+C  RAP2(P)            : rapidity of particle in the lab frame (p in lab frame)
+c  DELTA_PHI(P1, P2)  : separation in phi of two particles 
+c  ET(p)              : transverse energy of particle
+c  PT(p)              : transverse momentum of particle
+c  DJ(p1,p2)          : y*S (Durham) value for two partons
+c  DJB(p1,p2)         : mT^2=m^2+pT^2 for one particle
+c  PYJB(p1,p2)        : The Pythia ISR pT^2=(1-x)*Q^2
+c  DJ2(p1,p2)         : scalar product squared
+c  threedot(p1,p2)    : 3-vector Dot product (accept 4 vector in entry)
+c  rho                : |p| in lab frame
+c  eta                : pseudo-rapidity
+c  phi                : phi
+c  four_momentum      : (theta,phi,rho,mass)-> 4 vector
+c  four_momentum_set2 : (pt,eta,phi,mass--> 4 vector
+c
+c************************************************************************
+
+      DOUBLE PRECISION FUNCTION R2(P1,P2)
+c************************************************************************
+c     Distance in eta,phi between two particles.
+c************************************************************************
+      IMPLICIT NONE
+c
+c     Arguments
+c
+      double precision p1(0:3),p2(0:3)
+c
+c     External
+c
+      double precision rap,DELTA_PHI
+      external rap,delta_phi
+c-----
+c  Begin Code
+c-----
+      R2 = (DELTA_PHI(P1,P2))**2+(rap(p1)-rap(p2))**2
+      RETURN
+      END
+
+      DOUBLE PRECISION FUNCTION SumDot(P1,P2,dsign)
+c************************************************************************
+c     Invarient mass of 2 particles
+c************************************************************************
+      IMPLICIT NONE
+c
+c     Arguments
+c
+      double precision p1(0:3),p2(0:3),dsign
+c
+c     Local
+c      
+      integer i
+      double precision ptot(0:3)
+c
+c     External
+c
+      double precision dot
+      external dot
+c-----
+c  Begin Code
+c-----
+
+      do i=0,3
+         ptot(i)=p1(i)+dsign*p2(i)
+      enddo
+      SumDot = dot(ptot,ptot)
+      RETURN
+      END
+
+      DOUBLE PRECISION  FUNCTION rap(p)
+c************************************************************************
+c     Returns rapidity of particle in the lab frame
+c************************************************************************
+      IMPLICIT NONE
+c
+c     Arguments
+c
+      double precision  p(0:3)
+c
+c     Local
+c
+      double precision pm
+c
+c     Global
+c
+      include 'run.inc'
+c-----
+c  Begin Code
+c-----
+c      pm=dsqrt(p(1)**2+p(2)**2+p(3)**2)
+      pm = p(0)
+      rap = .5d0*dlog((pm+p(3))/(pm-p(3)))+
+     $     .5d0*dlog(xbk(1)*ebeam(1)/(xbk(2)*ebeam(2)))
+      end
+      DOUBLE PRECISION  FUNCTION rap2(p)
+c************************************************************************
+c     Returns rapidity of particle in the lab frame
+c************************************************************************
+      IMPLICIT NONE
+c
+c     Arguments
+c
+      double precision  p(0:3)
+c
+c     Local
+c
+      double precision pm
+c
+c     Global
+c
+      include 'run.inc'
+c-----
+c  Begin Code
+c-----
+c      pm=dsqrt(p(1)**2+p(2)**2+p(3)**2)
+      pm = p(0)
+      rap2 = .5d0*dlog((pm+p(3))/(pm-p(3)))
+      end
+
+      DOUBLE PRECISION FUNCTION DELTA_PHI(P1, P2)
+c************************************************************************
+c     Returns separation in phi of two particles p1,p2
+c************************************************************************
+      IMPLICIT NONE
+c
+c     Arguments
+c
+      double precision p1(0:3),p2(0:3)
+c
+c     Local
+c
+      REAL*8 DENOM, TEMP
+c-----
+c  Begin Code
+c-----
+      DENOM = SQRT(P1(1)**2 + P1(2)**2) * SQRT(P2(1)**2 + P2(2)**2)
+      TEMP = MAX(-0.99999999D0, (P1(1)*P2(1) + P1(2)*P2(2)) / DENOM)
+      TEMP = MIN( 0.99999999D0, TEMP)
+      DELTA_PHI = ACOS(TEMP)
+      END
+
+
+
+      double precision function et(p)
+c************************************************************************
+c     Returns transverse energy of particle
+c************************************************************************
+      IMPLICIT NONE
+c
+c     Arguments
+c
+      double precision p(0:3)
+c
+c     Local
+c
+      double precision pt
+c-----
+c  Begin Code
+c-----
+      pt = dsqrt(p(1)**2+p(2)**2)
+      if (pt .gt. 0d0) then
+         et = p(0)*pt/dsqrt(pt**2+p(3)**2)
+      else
+         et = 0d0
+      endif
+      end
+
+      double precision function pt(p)
+c************************************************************************
+c     Returns transverse momentum of particle
+c************************************************************************
+      IMPLICIT NONE
+c
+c     Arguments
+c
+      double precision p(0:3)
+c-----
+c  Begin Code
+c-----
+
+      pt = dsqrt(p(1)**2+p(2)**2)
+
+      return
+      end
+
+      double precision function DJ(p1,p2)
+c***************************************************************************
+c     Uses Durham algorythm to calculate the y value for two partons
+c     If collision type is hh, hadronic jet measure is used
+c       y_{ij} = 2min[p_{i,\perp}^2,p_{j,\perp}^2]/S
+c                  (cosh(\eta_i-\eta_j)-cos(\phi_1-\phi_2))
+c***************************************************************************
+      implicit none
+c
+c     Arguments
+c
+      double precision p1(0:4),p2(0:4) ! 4 is mass**2
+c
+c     Global
+c
+      double precision D
+      common/to_dj/D
+c
+c     Local
+c
+
+      include 'run.inc'
+
+      double precision pt1,pt2,ptm1,ptm2,eta1,eta2,phi1,phi2,p1a,p2a,costh,sumdot
+      integer j
+c-----
+c  Begin Code
+c-----
+      if ((lpp(1).eq.0).and.(lpp(2).eq.0)) then
+         p1a = dsqrt(p1(1)**2+p1(2)**2+p1(3)**2)
+         p2a = dsqrt(p2(1)**2+p2(2)**2+p2(3)**2)
+         if (p1a*p2a .ne. 0d0) then
+            costh = (p1(1)*p2(1)+p1(2)*p2(2)+p1(3)*p2(3))/(p1a*p2a)
+            dj = 2d0*min(p1(0)**2,p2(0)**2)*(1d0-costh) !Durham
+c            dj = 2d0*p1(0)*p2(0)*(1d0-costh)    !JADE
+         else
+            print*,'Warning 0 momentum in Durham algorythm'
+            write(*,'(4e15.5)') (p1(j),j=0,3)
+            write(*,'(4e15.5)') (p2(j),j=0,3)
+            dj = 0d0
+         endif
+      else
+        pt1 = p1(1)**2+p1(2)**2
+        pt2 = p2(1)**2+p2(2)**2
+        p1a = dsqrt(pt1+p1(3)**2)
+        p2a = dsqrt(pt2+p2(3)**2)
+        eta1 = 0.5d0*log((p1a+p1(3))/(p1a-p1(3)))
+        eta2 = 0.5d0*log((p2a+p2(3))/(p2a-p2(3)))
+c        ptm1 = max((p1(0)-p1(3))*(p1(0)+p1(3)),0d0)
+c        ptm2 = max((p2(0)-p2(3))*(p2(0)+p2(3)),0d0)
+        dj = max(p1(4),p2(4))+min(pt1,pt2)*2d0*(cosh(eta1-eta2)-
+     &     (p1(1)*p2(1)+p1(2)*p2(2))/dsqrt(pt1*pt2))/D**2
+
+c        write(*,'(a,5e16.4)')'Mom(1): ',(p1(j),j=1,3),p1(0),p1(4)
+c        write(*,'(a,5e16.4)')'Mom(2): ',(p2(j),j=1,3),p2(0),p2(4)
+c       print *,'pT1: ',sqrt(pt1),' pT2: ',sqrt(pt2)
+c       print *,'deltaR: ',sqrt(2d0*(cosh(eta1-eta2)-
+c     &     (p1(1)*p2(1)+p1(2)*p2(2))/dsqrt(pt1*pt2))/D**2),
+c     $      ' m: ',sqrt(SumDot(p1,p2,1d0))
+c     write(*,*) 'p1  = ',p1(0),',',p1(1),',',p1(2),',',p1(3)
+c     write(*,*) 'pm1 = ',pm1,', p1a = ',p1a,'eta1 = ',eta1
+c     write(*,*) 'p2  = ',p2(0),',',p2(1),',',p2(2),',',p2(3)
+c     write(*,*) 'pm2 = ',pm2,', p2a = ',p2a,'eta2 = ',eta2
+c     write(*,*) 'dj = ',dj
+      endif
+      end
+      
+      double precision function PYDJ(p1,p2)
+c***************************************************************************
+c     Uses Durham algorythm to calculate the y value for two partons
+c     If collision type is hh, hadronic jet measure is used
+c       y_{ij} = 2min[p_{i,\perp}^2,p_{j,\perp}^2]/S
+c                  (cosh(\eta_i-\eta_j)-cos(\phi_1-\phi_2))
+c***************************************************************************
+      implicit none
+c
+c     Arguments
+c
+      double precision p1(0:4),p2(0:4) ! 4 is mass**2
+c
+c     Global
+c
+      double precision D
+      common/to_dj/D
+c
+c     Local
+c
+
+      double precision SumDot
+      external SumDot
+c-----
+c  Begin Code
+c-----
+
+      pydj = p1(0)*p2(0)/(p1(0)+p2(0))**2*SumDot(p1,p2,1d0)
+
+      end
+      
+      double precision function DJ1(p1,p2)
+c***************************************************************************
+c     Uses single-sided Durham algorythm to calculate the y value for 
+c     parton radiated off non-parton
+c     If collision type is hh, hadronic jet measure is used
+c       y_{ij} = 2min[p_{i,\perp}^2,p_{j,\perp}^2]/S
+c                  (cosh(\eta_i-\eta_j)-cos(\phi_1-\phi_2))
+c***************************************************************************
+      implicit none
+c
+c     Arguments
+c
+      double precision p1(0:3),p2(0:3)
+c
+c     Local
+c
+
+      include 'run.inc'
+
+      double precision pt1,pt2,ptm1,eta1,eta2,phi1,phi2,p1a,p2a,costh
+      integer j
+c-----
+c  Begin Code
+c-----
+      if ((lpp(1).eq.0).and.(lpp(2).eq.0)) then
+      p1a = dsqrt(p1(1)**2+p1(2)**2+p1(3)**2)
+      p2a = dsqrt(p2(1)**2+p2(2)**2+p2(3)**2)
+      if (p1a*p2a .ne. 0d0) then
+         costh = (p1(1)*p2(1)+p1(2)*p2(2)+p1(3)*p2(3))/(p1a*p2a)
+         dj1 = 2d0*p1(0)**2*(1d0-costh)   !Durham
+c         dj = 2d0*p1(0)*p2(0)*(1d0-costh)    !JADE
+      else
+         print*,'Warning 0 momentum in Durham algorythm'
+         write(*,'(4e15.5)') (p1(j),j=0,3)
+         write(*,'(4e15.5)') (p2(j),j=0,3)
+         dj1 = 0d0
+      endif
+      else
+        pt1 = p1(1)**2+p1(2)**2
+        pt2 = p2(1)**2+p2(2)**2
+        p1a = dsqrt(pt1+p1(3)**2)
+        p2a = dsqrt(pt2+p2(3)**2)
+        eta1 = 0.5d0*log((p1a+p1(3))/(p1a-p1(3)))
+        eta2 = 0.5d0*log((p2a+p2(3))/(p2a-p2(3)))
+        ptm1 = max((p1(0)-p1(3))*(p1(0)+p1(3)),0d0)
+        dj1 = 2d0*ptm1*(cosh(eta1-eta2)-
+     &     (p1(1)*p2(1)+p1(2)*p2(2))/dsqrt(pt1*pt2))
+c     write(*,*) 'p1  = ',p1(0),',',p1(1),',',p1(2),',',p1(3)
+c     write(*,*) 'pm1 = ',pm1,', p1a = ',p1a,'eta1 = ',eta1
+c     write(*,*) 'p2  = ',p2(0),',',p2(1),',',p2(2),',',p2(3)
+c     write(*,*) 'pm2 = ',pm2,', p2a = ',p2a,'eta2 = ',eta2
+c     write(*,*) 'dj = ',dj
+      endif
+      end
+      
+      double precision function DJB(p1)
+c***************************************************************************
+c     Uses kt algorythm to calculate the y value for one parton
+c       y_i    = p_{i,\perp}^2/S
+c***************************************************************************
+      implicit none
+c
+c     Arguments
+c
+      double precision p1(0:4)  ! 4 is mass**2
+c
+c     Local
+c
+      double precision pm1
+      include 'run.inc'
+
+c-----
+c  Begin Code
+c-----
+c      pm1=max(p1(0)**2-p1(1)**2-p1(2)**2-p1(3)**2,0d0)
+      if ((lpp(1).eq.0).and.(lpp(2).eq.0)) then
+c        write(*,*) 'kin_functions.f: Error. No jet measure w.r.t. beam.'
+c        djb = 0d0
+         djb=max(p1(0),0d0)
+      else
+        djb = (p1(0)-p1(3))*(p1(0)+p1(3)) ! p1(1)**2+p1(2)**2+pm1
+c        djb = p1(1)**2+p1(2)**2+p1(4)
+      endif
+      end
+
+      double precision function PYJB(p2,p1,ppart,z)
+c***************************************************************************
+c     Calculate the Pythia ISR evolution pT2
+c       pTE2 = (1-z)(Q2+m2), Q2=-(p1-p2)**2, z=sred/sprev
+c     Note! p1 and p2 must have mass**2 component!
+c***************************************************************************
+      implicit none
+c
+c     Arguments
+c
+      double precision p1(0:4),p2(0:4),ppart(0:3),z
+c
+c     Local
+c
+      double precision sred,sprev,Q2,pstar(0:3),pm2
+      integer i
+      double precision dot,SumDot,PT
+
+c-----
+c  Begin Code
+c-----
+      pm2=0
+
+      if(p1(4).gt.0.or.p2(4).gt.0.and..not.
+     $   (p1(4).gt.0.and.p2(4).gt.0)) pm2=max(p1(4),p2(4))
+      do i=0,3
+        pstar(i)=p1(i)-p2(i)
+      enddo
+      Q2=-dot(pstar,pstar)+pm2
+      if(Q2.lt.0)then
+c        print *,'Error in PYJB: Q2 = ',Q2
+        PYJB=1d30
+        return
+      endif
+      sprev=SumDot(p1,ppart,1d0)
+      sred=SumDot(pstar,ppart,1d0)
+
+      if(sred.lt.1d0)then
+        PYJB=1d20
+        z=0d0
+        return
+      endif
+
+      z=sred/sprev
+      if(z.gt.1.or.z.lt.0)then
+        print *,'Error in PYJB: z = ',z,', sprev = ',sprev,
+     $     ', sred = ',sred,', Q2 = ',Q2
+        stop
+      endif
+      PYJB=(1d0-z)*Q2
+      end
+
+      double precision function zclus(p2,p1,ppart)
+c***************************************************************************
+c     Calculate the Pythia ISR evolution pT2
+c     z=sred/sprev
+c***************************************************************************
+      implicit none
+c
+c     Arguments
+c
+      double precision p1(0:3),p2(0:3),ppart(0:3)
+c
+c     Local
+c
+      double precision sred,sprev,pstar(0:3)
+      integer i, nerr
+      data nerr/0/
+      double precision dot,SumDot
+
+c-----
+c  Begin Code
+c-----
+      do i=0,3
+        pstar(i)=p1(i)-p2(i)
+      enddo
+      sprev=SumDot(p1,ppart,1d0)
+      sred=SumDot(pstar,ppart,1d0)
+
+      if(sred.lt.1d0)then
+        zclus=0d0
+        return
+      endif
+
+      zclus=sred/sprev
+      if((zclus.gt.1.or.zclus.lt.0).and.nerr.le.10)then
+        print *,'Error in zclus: zclus = ',zclus,', sprev = ',sprev,
+     $     ', sred = ',sred
+        nerr=nerr+1
+        if(nerr.eq.10)
+     $       print *,'No more zclus errors will be printed'
+      endif
+
+      return
+      end
+
+      double precision function DJ2(p1,p2)
+c***************************************************************************
+c     Uses Lorentz
+c***************************************************************************
+      implicit none
+c
+c     Arguments
+c
+      double precision p1(0:3),p2(0:3)
+c
+c     Local
+c
+      integer j
+c
+c     External
+c
+      double precision dot
+c-----
+c  Begin Code
+c-----
+      dj2 = dot(p1,p1)+2d0*dot(p1,p2)+dot(p2,p2)
+      return
+      end
+
+      subroutine switchmom(p1,p,ic,jc,nexternal)
+c**************************************************************************
+c     Changes stuff for crossings
+c**************************************************************************
+      implicit none
+      integer nexternal
+      integer jc(nexternal),ic(nexternal)
+      real*8 p1(0:3,nexternal),p(0:3,nexternal)
+      integer i,j
+c-----
+c Begin Code
+c-----
+      do i=1,nexternal
+         do j=0,3
+            p(j,ic(i))=p1(j,i)
+         enddo
+      enddo
+      do i=1,nexternal
+         jc(i)=1
+      enddo
+      jc(ic(1))=-1
+      jc(ic(2))=-1
+      end
+
+      double precision function dot(p1,p2)
+C****************************************************************************
+C     4-Vector Dot product
+C****************************************************************************
+      implicit none
+      double precision p1(0:3),p2(0:3)
+      dot=p1(0)*p2(0)-p1(1)*p2(1)-p1(2)*p2(2)-p1(3)*p2(3)
+
+      if(dabs(dot).lt.1d-6)then ! solve numerical problem 
+         dot=0d0
+      endif
+
+      end
+C*****************************************************************************
+C*****************************************************************************
+C                      MadWeight function
+C*****************************************************************************
+C*****************************************************************************
+
+      double precision function threedot(p1,p2)
+C****************************************************************************
+C     3-Vector  product
+C****************************************************************************
+      implicit none
+      double precision p1(0:3),p2(0:3)
+      threedot=p1(1)*p2(1)+p1(2)*p2(2)+p1(3)*p2(3)
+
+      end
+
+
+      double precision function rho(p1)
+C****************************************************************************
+C     computes rho(p)=dsqrt (p(1)**2+p(2)**2+p(3)**2)
+C****************************************************************************
+      implicit none
+      double precision p1(0:3)
+      double precision  threedot
+      external  threedot
+c
+      rho=dsqrt(threedot(p1,p1))
+
+      end
+
+      double precision function theta(p)
+c************************************************************************
+c     Returns polar angle of particle
+c************************************************************************
+      IMPLICIT NONE
+c
+c     Arguments
+c
+      double precision p(0:3)
+c-----
+c  Begin Code
+c-----
+
+      theta=dacos(p(3)/dsqrt(p(1)**2+p(2)**2+p(3)**2))
+
+      return
+      end
+
+      double precision function eta(p)
+c************************************************************************
+c     Returns pseudo rapidity of particle
+c************************************************************************
+      IMPLICIT NONE
+c
+c     Arguments
+c
+      double precision p(0:3)
+c
+c     external
+c
+      double precision theta
+      external theta
+c-----
+c  Begin Code
+c-----
+
+      eta=-dlog(dtan(theta(p)/2))
+
+      return
+      end
+
+      subroutine four_momentum(theta,phi,rho,m,p)
+c****************************************************************************
+c     modif 3/07/07 : this subroutine defines 4-momentum from theta,phi,rho,m
+c     with rho=px**2+py**2+pz**2
+c****************************************************************************
+c
+c     argument
+c
+      double precision theta,phi,rho,m,p(0:3)
+c
+      P(1)=rho*dsin(theta)*dcos(phi)
+      P(2)=rho*dsin(theta)*dsin(phi)
+      P(3)=rho*dcos(theta)
+      P(0)=dsqrt(rho**2+m**2)
+
+      return
+      end
+      subroutine four_momentum_set2(eta,phi,PT,m,p)
+c****************************************************************************
+c     modif 16/11/06 : this subroutine defines 4-momentum from PT,eta,phi,m
+c****************************************************************************
+c
+c     argument
+c
+      double precision PT,eta,phi,m,p(0:3)
+c
+c
+c
+      P(1)=PT*dcos(phi)
+      P(2)=PT*dsin(phi)
+      P(3)=PT*dsinh(eta)
+      P(0)=dsqrt(p(1)**2+p(2)**2+p(3)**2+m**2)  
+      return
+      end
+
+
+
+      DOUBLE PRECISION  FUNCTION phi(p)
+c************************************************************************
+c     MODIF 16/11/06 : this subroutine defines phi angle
+c                      phi is defined from 0 to 2 pi
+c************************************************************************
+      IMPLICIT NONE
+c
+c     Arguments
+c
+      double precision  p(0:3)
+c
+c     Parameter
+c
+
+      double precision pi,zero
+      parameter (pi=3.141592654d0,zero=0d0)
+c-----
+c  Begin Code
+c-----
+c 
+      if(p(1).gt.zero) then
+      phi=datan(p(2)/p(1))
+      else if(p(1).lt.zero) then
+      phi=datan(p(2)/p(1))+pi
+      else if(p(2).GE.zero) then !remind that p(1)=0
+      phi=pi/2d0
+      else if(p(2).lt.zero) then !remind that p(1)=0
+      phi=-pi/2d0
+      endif
+      if(phi.lt.zero) phi=phi+2*pi
+      return
+      end
+

=== added file 'Template/Source/makefile'
--- Template/Source/makefile	1970-01-01 00:00:00 +0000
+++ Template/Source/makefile	2010-10-30 03:26:37 +0000
@@ -0,0 +1,94 @@
+F77   = f77
+FFLAGS= -O -ffixed-line-length-132
+#FFLAGS= -O 
+LIBDIR= ../lib/
+BINDIR= ../bin/
+PDFDIR= ./PDF/
+
+PROCESS= hfill.o matrix.o myamp.o 
+
+DSAMPLE = dsample.o ranmar.o 
+
+HBOOK = hfill.o hcurve.o hbook1.o hbook2.o
+
+GENERIC = alfas_functions.o transpole.o invarients.o hfill.o pawgraphs.o ran1.o rw_events.o rw_routines.o kin_functions.o open_file.o basecode.o setrun.o run_printout.o \
+          dgauss.o readgrid.o getissud.o
+
+INCLUDEF= coupl.inc genps.inc hbook.inc DECAY/decay.inc psample.inc cluster.inc sudgrid.inc
+
+BANNER  =  write_banner.o  rw_events.o ranmar.o  kin_functions.o open_file.o  rw_routines.o alfas_functions.o
+
+COMBINE = combine_events.o  rw_events.o ranmar.o  kin_functions.o open_file.o rw_routines.o alfas_functions.o setrun.o
+
+GENSUDGRID = gensudgrid.o is-sud.o setrun_gen.o rw_routines.o open_file.o
+
+# $B$ add_def $E$ !this is a tag for add library GENERIC_MW  in MadWeight compilation
+
+
+.f.o: ; $(F77) $(FFLAGS) -c $*.f
+
+# $B$ mod_all $B$ !this is a tag for modify main compilation in MadWeight compilation. Don't edit this line
+all: $(LIBDIR)libdhelas3.a $(LIBDIR)libdsample.a $(LIBDIR)libgeneric.a $(LIBDIR)libpdf.a  $(LIBDIR)libmodel.a $(LIBDIR)libcernlib.a
+# $E$ mod_all $E$ !this is a tag for modify main compilation in MadWeight compilation. Don't edit this line
+
+scaled.dat:
+	combine_events
+
+#$(BINDIR)write_banner:  $(BANNER) 
+#	$(F77) $(FFLAGS) -o write_banner $(BANNER) $(LIBDIR)/libmodel.a $(LIBDIR)/libpdf.a 
+#	mv write_banner $(BINDIR)
+
+#$(BINDIR)scale_events: scale_events.o rw_events.o
+#	$(F77) $(FFLAGS) -o scale_events scale_events.o rw_events.o
+#	mv scale_events $(BINDIR)
+
+#$(BINDIR)select_events: select_events.o rw_events.o
+#	$(F77) $(FFLAGS) -o select_events select_events.o rw_events.o
+#	mv select_events $(BINDIR)
+
+$(BINDIR)sum_html: sum_html.o 
+	$(F77) $(FFLAGS) -o sum_html sum_html.o   
+	mv sum_html $(BINDIR)
+
+$(LIBDIR)libdhelas3.a: DHELAS
+	cd DHELAS; make
+	ranlib libdhelas3.a
+	mv libdhelas3.a $(LIBDIR)
+
+$(LIBDIR)libdsample.a: $(DSAMPLE)
+	ar cru libdsample.a $(DSAMPLE)
+	ranlib libdsample.a
+	mv libdsample.a $(LIBDIR)
+
+$(LIBDIR)libgeneric.a: $(GENERIC)
+	ar cru libgeneric.a $(GENERIC)
+	ranlib libgeneric.a
+	mv libgeneric.a $(LIBDIR)
+
+
+$(LIBDIR)libpdf.a: PDF
+	cd PDF; make	
+
+$(LIBDIR)libcernlib.a: CERNLIB
+	cd CERNLIB; make	
+
+$(LIBDIR)libmodel.a: MODEL
+	cd MODEL; make	
+
+# $B$ add_compile $E$ !this is a tag for add library in MadWeight compilation
+
+dsample.o: dsample.f genps.inc
+setrun.o: setrun.f nexternal.inc leshouche.inc
+
+$(BINDIR)gen_ximprove: gen_ximprove.o ranmar.o rw_routines.o open_file.o
+	$(F77) $(FFLAGS) -o gen_ximprove gen_ximprove.o ranmar.o rw_routines.o open_file.o
+	mv gen_ximprove $(BINDIR)
+
+$(BINDIR)combine_events: $(COMBINE)
+	$(F77) $(FFLAGS) -o combine_events $(COMBINE) $(LIBDIR)libmodel.a $(LIBDIR)libpdf.a 
+	mv combine_events $(BINDIR)
+
+$(BINDIR)gensudgrid: $(GENSUDGRID) $(LIBDIR)libpdf.a $(LIBDIR)libcernlib.a
+	$(F77) $(FFLAGS) -o gensudgrid $^
+	mv gensudgrid $(BINDIR)
+

=== added file 'Template/Source/makefile_dlhapdf'
--- Template/Source/makefile_dlhapdf	1970-01-01 00:00:00 +0000
+++ Template/Source/makefile_dlhapdf	2010-10-30 03:26:37 +0000
@@ -0,0 +1,82 @@
+F77   = gfortran
+FFLAGS= -O -fPIC -ffixed-line-length-132
+#FFLAGS= -O 
+LIBDIR= ../lib/
+BINDIR= ../bin/
+PDFDIR= ./PDF/
+
+PROCESS= hfill.o matrix.o myamp.o 
+
+DSAMPLE = dsample.o ranmar.o 
+
+HBOOK = hfill.o hcurve.o hbook1.o hbook2.o
+
+GENERIC = alfas_functions.o transpole.o invarients.o hfill.o pawgraphs.o ran1.o rw_events.o rw_routines.o kin_functions.o open_file.o basecode.o setrun.o run_printout.o \
+          dgauss.o readgrid.o getissud.o
+
+INCLUDEF= coupl.inc genps.inc hbook.inc DECAY/decay.inc psample.inc pmass.inc nexternal.inc cluster.inc sudgrid.inc
+
+BANNER  =  write_banner.o  rw_events.o ranmar.o  kin_functions.o open_file.o  rw_routines.o alfas_functions.o
+
+COMBINE = combine_events.o  rw_events.o ranmar.o  kin_functions.o open_file.o rw_routines.o alfas_functions.o setrun.o
+
+.f.o: ; $(F77) $(FFLAGS) -c $*.f
+
+all: $(LIBDIR)libdhelas3.so $(LIBDIR)libdsample.so $(LIBDIR)libgeneric.so $(LIBDIR)libpdf.so  $(LIBDIR)libmodel.so $(LIBDIR)libcernlib.so
+
+scaled.dat:
+	combine_events
+
+#$(BINDIR)write_banner:  $(BANNER) 
+#	$(F77) $(FFLAGS) -o write_banner $(BANNER) $(LIBDIR)/libmodel.so $(LIBDIR)/libpdf.so 
+#	mv write_banner $(BINDIR)
+
+#$(BINDIR)scale_events: scale_events.o rw_events.o
+#	$(F77) $(FFLAGS) -o scale_events scale_events.o rw_events.o
+#	mv scale_events $(BINDIR)
+
+#$(BINDIR)select_events: select_events.o rw_events.o
+#	$(F77) $(FFLAGS) -o select_events select_events.o rw_events.o
+#	mv select_events $(BINDIR)
+
+$(BINDIR)sum_html: sum_html.o 
+	$(F77) $(FFLAGS) -o sum_html sum_html.o   
+	mv sum_html $(BINDIR)
+
+$(LIBDIR)libdhelas3.so: DHELAS
+	cd DHELAS; make
+	mv libdhelas3.so $(LIBDIR)
+
+$(LIBDIR)libdsample.so: $(DSAMPLE)
+	g77 -shared -o libdsample.so $(DSAMPLE)
+	mv libdsample.so $(LIBDIR)
+
+$(LIBDIR)libgeneric.so: $(GENERIC)
+	g77 -shared -o libgeneric.so $(GENERIC)
+	mv libgeneric.so $(LIBDIR)
+
+
+$(LIBDIR)libpdf.so: PDF
+	cd PDF; make	
+
+$(LIBDIR)libcernlib.so: CERNLIB
+	cd CERNLIB; make	
+
+$(LIBDIR)libmodel.so: MODEL
+	cd MODEL; make	
+
+
+dsample.o: dsample.f genps.inc
+setrun.o: setrun.f nexternal.inc leshouche.inc
+
+$(BINDIR)gen_ximprove: gen_ximprove.o ranmar.o rw_routines.o open_file.o
+	$(F77) $(FFLAGS) -o gen_ximprove gen_ximprove.o ranmar.o rw_routines.o open_file.o
+	mv gen_ximprove $(BINDIR)
+
+$(BINDIR)combine_events: $(COMBINE)
+	$(F77) $(FFLAGS) -o combine_events $(COMBINE) -L$(LIBDIR) -lmodel -lpdf -lLHAPDF -lstdc++
+	mv combine_events $(BINDIR)
+
+$(BINDIR)gensudgrid: $(GENSUDGRID)
+	$(F77) $(FFLAGS) -o gensudgrid $^ -L$(LIBDIR) -lpdf -lcernlib
+	mv gensudgrid $(BINDIR)

=== added file 'Template/Source/makefile_dynamic'
--- Template/Source/makefile_dynamic	1970-01-01 00:00:00 +0000
+++ Template/Source/makefile_dynamic	2010-10-30 03:26:37 +0000
@@ -0,0 +1,82 @@
+F77   = f77
+FFLAGS= -O -fPIC -ffixed-line-length-132
+#FFLAGS= -O 
+LIBDIR= ../lib/
+BINDIR= ../bin/
+PDFDIR= ./PDF/
+
+PROCESS= hfill.o matrix.o myamp.o 
+
+DSAMPLE = dsample.o ranmar.o 
+
+HBOOK = hfill.o hcurve.o hbook1.o hbook2.o
+
+GENERIC = alfas_functions.o transpole.o invarients.o hfill.o pawgraphs.o ran1.o rw_events.o rw_routines.o kin_functions.o open_file.o basecode.o setrun.o run_printout.o \
+          dgauss.o readgrid.o getissud.o
+
+INCLUDEF= coupl.inc genps.inc hbook.inc DECAY/decay.inc psample.inc pmass.inc nexternal.inc cluster.inc sudgrid.inc
+
+BANNER  =  write_banner.o  rw_events.o ranmar.o  kin_functions.o open_file.o  rw_routines.o alfas_functions.o
+
+COMBINE = combine_events.o  rw_events.o ranmar.o  kin_functions.o open_file.o rw_routines.o alfas_functions.o setrun.o
+
+.f.o: ; $(F77) $(FFLAGS) -c $*.f
+
+all: $(LIBDIR)libdhelas3.so $(LIBDIR)libdsample.so $(LIBDIR)libgeneric.so $(LIBDIR)libpdf.so $(LIBDIR)libmodel.so $(LIBDIR)libcernlib.so
+
+scaled.dat:
+	combine_events
+
+#$(BINDIR)write_banner:  $(BANNER) 
+#	$(F77) $(FFLAGS) -o write_banner $(BANNER) $(LIBDIR)/libmodel.so $(LIBDIR)/libpdf.so 
+#	mv write_banner $(BINDIR)
+
+#$(BINDIR)scale_events: scale_events.o rw_events.o
+#	$(F77) $(FFLAGS) -o scale_events scale_events.o rw_events.o
+#	mv scale_events $(BINDIR)
+
+#$(BINDIR)select_events: select_events.o rw_events.o
+#	$(F77) $(FFLAGS) -o select_events select_events.o rw_events.o
+#	mv select_events $(BINDIR)
+
+$(BINDIR)sum_html: sum_html.o 
+	$(F77) $(FFLAGS) -o sum_html sum_html.o   
+	mv sum_html $(BINDIR)
+
+$(LIBDIR)libdhelas3.so: DHELAS
+	cd DHELAS; make
+	mv libdhelas3.so $(LIBDIR)
+
+$(LIBDIR)libdsample.so: $(DSAMPLE)
+	g77 -shared -o libdsample.so $(DSAMPLE)
+	mv libdsample.so $(LIBDIR)
+
+$(LIBDIR)libgeneric.so: $(GENERIC)
+	g77 -shared -o libgeneric.so $(GENERIC)
+	mv libgeneric.so $(LIBDIR)
+
+
+$(LIBDIR)libpdf.so: PDF
+	cd PDF; make	
+
+$(LIBDIR)libcernlib.so: CERNLIB
+	cd CERNLIB; make	
+
+$(LIBDIR)libmodel.so: MODEL
+	cd MODEL; make	
+
+
+dsample.o: dsample.f genps.inc
+setrun.o: setrun.f nexternal.inc leshouche.inc
+
+$(BINDIR)gen_ximprove: gen_ximprove.o ranmar.o rw_routines.o open_file.o
+	$(F77) $(FFLAGS) -o gen_ximprove gen_ximprove.o ranmar.o rw_routines.o open_file.o
+	mv gen_ximprove $(BINDIR)
+
+$(BINDIR)combine_events: $(COMBINE)
+	$(F77) $(FFLAGS) -o combine_events $(COMBINE) -L$(LIBDIR) -lmodel -lpdf 
+	mv combine_events $(BINDIR)
+
+$(BINDIR)gensudgrid: $(GENSUDGRID)
+	$(F77) $(FFLAGS) -o gensudgrid $^ -L$(LIBDIR) -lpdf -lcernlib
+	mv gensudgrid $(BINDIR)

=== added file 'Template/Source/makefile_lhapdf'
--- Template/Source/makefile_lhapdf	1970-01-01 00:00:00 +0000
+++ Template/Source/makefile_lhapdf	2010-10-30 03:26:37 +0000
@@ -0,0 +1,93 @@
+F77   = gfortran
+FFLAGS= -O -ffixed-line-length-132
+#FFLAGS= -O 
+LIBDIR= ../lib/
+BINDIR= ../bin/
+PDFDIR= ./PDF/
+
+PROCESS= hfill.o matrix.o myamp.o 
+
+DSAMPLE = dsample.o ranmar.o 
+
+HBOOK = hfill.o hcurve.o hbook1.o hbook2.o
+
+GENERIC = alfas_functions_lhapdf.o transpole.o invarients.o hfill.o pawgraphs.o ran1.o rw_events.o rw_routines.o kin_functions.o open_file.o basecode.o setrun.o run_printout.o \
+          dgauss.o readgrid.o getissud.o
+
+INCLUDEF= coupl.inc genps.inc hbook.inc DECAY/decay.inc psample.inc pmass.inc nexternal.inc cluster.inc sudgrid.inc
+
+BANNER  =  write_banner.o  rw_events.o ranmar.o  kin_functions.o open_file.o  rw_routines.o alfas_functions.o
+
+COMBINE = combine_events.o  rw_events.o ranmar.o  kin_functions.o open_file.o rw_routines.o alfas_functions.o setrun.o
+
+GENSUDGRID = gensudgrid.o is-sud.o setrun_gen.o rw_routines.o open_file.o
+
+# $B$ add_def $E$ !this is a tag for add library GENERIC_MW  in MadWeight compilation
+
+
+.f.o: ; $(F77) $(FFLAGS) -c $*.f
+
+# $B$ mod_all $B$ !this is a tag for modify main compilation in MadWeight compilation. Don't edit this line
+all: $(LIBDIR)libdhelas3.a $(LIBDIR)libdsample.a $(LIBDIR)libgeneric.a $(LIBDIR)libpdf.a  $(LIBDIR)libmodel.a $(LIBDIR)libcernlib.a
+# $E$ mod_all $E$ !this is a tag for modify main compilation in MadWeight compilation. Don't edit this line
+
+scaled.dat:
+	combine_events
+
+#$(BINDIR)write_banner:  $(BANNER) 
+#	$(F77) $(FFLAGS) -o write_banner $(BANNER) $(LIBDIR)/libmodel.a $(LIBDIR)/libpdf.a 
+#	mv write_banner $(BINDIR)
+
+#$(BINDIR)scale_events: scale_events.o rw_events.o
+#	$(F77) $(FFLAGS) -o scale_events scale_events.o rw_events.o
+#	mv scale_events $(BINDIR)
+
+#$(BINDIR)select_events: select_events.o rw_events.o
+#	$(F77) $(FFLAGS) -o select_events select_events.o rw_events.o
+#	mv select_events $(BINDIR)
+
+$(BINDIR)sum_html: sum_html.o 
+	$(F77) $(FFLAGS) -o sum_html sum_html.o   
+	mv sum_html $(BINDIR)
+
+$(LIBDIR)libdhelas3.a: DHELAS
+	cd DHELAS; make
+	ranlib libdhelas3.a
+	mv libdhelas3.a $(LIBDIR)
+
+$(LIBDIR)libdsample.a: $(DSAMPLE)
+	ar cru libdsample.a $(DSAMPLE)
+	ranlib libdsample.a
+	mv libdsample.a $(LIBDIR)
+
+$(LIBDIR)libgeneric.a: $(GENERIC)
+	ar cru libgeneric.a $(GENERIC)
+	ranlib libgeneric.a
+	mv libgeneric.a $(LIBDIR)
+
+
+$(LIBDIR)libpdf.a: PDF
+	cd PDF; make	
+
+$(LIBDIR)libcernlib.a: CERNLIB
+	cd CERNLIB; make	
+
+$(LIBDIR)libmodel.a: MODEL
+	cd MODEL; make	
+
+# $B$ add_compile $E$ !this is a tag for add library in MadWeight compilation
+
+dsample.o: dsample.f genps.inc
+setrun.o: setrun.f nexternal.inc leshouche.inc
+
+$(BINDIR)gen_ximprove: gen_ximprove.o ranmar.o rw_routines.o open_file.o
+	$(F77) $(FFLAGS) -o gen_ximprove gen_ximprove.o ranmar.o rw_routines.o open_file.o
+	mv gen_ximprove $(BINDIR)
+
+$(BINDIR)combine_events: $(COMBINE)
+	$(F77) $(FFLAGS) -o combine_events $(COMBINE) $(LIBDIR)libmodel.a $(LIBDIR)libpdf.a $(LIBDIR)libLHAPDF.a -lstdc++
+	mv combine_events $(BINDIR)
+
+$(BINDIR)gensudgrid: $(GENSUDGRID) $(LIBDIR)libpdf.a $(LIBDIR)libcernlib.a 
+	$(F77) $(FFLAGS) -o gensudgrid $^ $(LIBDIR)libLHAPDF.a -lstdc++
+	mv gensudgrid $(BINDIR)

=== added file 'Template/Source/open_file.f'
--- Template/Source/open_file.f	1970-01-01 00:00:00 +0000
+++ Template/Source/open_file.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,46 @@
+      subroutine open_file(lun,filename,fopened)
+c***********************************************************************
+c     opens file input-card.dat in current directory or above
+c***********************************************************************
+      implicit none
+c
+c     Arguments
+c
+      integer lun
+      logical fopened
+      character*(*) filename
+      character*90  tempname
+      integer fine
+      integer i
+      
+c-----
+c  Begin Code
+c-----
+c
+c     first check that we will end in the main directory
+c
+
+c
+c 	  if I have to read a card
+c
+
+      tempname=filename 	 
+      fine=index(tempname,' ') 	 
+      if(fine.eq.0) fine=len(tempname)
+
+      if(index(filename,"_card").gt.0) then
+         tempname='Cards/'//tempname(1:fine)
+         fine=fine+6
+      endif
+      
+      fopened=.false.
+      do i=0,5
+         open(unit=lun,file=tempname,status='old',ERR=30)
+         fopened=.true.
+         exit
+ 30      tempname='../'//tempname
+         if (i.eq.5)then
+            write(*,*) 'Warning: file ',filename,' not found'
+         endif
+      enddo
+      end

=== added file 'Template/Source/pawgraphs.f'
--- Template/Source/pawgraphs.f	1970-01-01 00:00:00 +0000
+++ Template/Source/pawgraphs.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,83 @@
+      subroutine graph_init
+c*************************************************************************
+c     Set up graphing
+c*************************************************************************
+      implicit none
+c
+c     Local
+c
+      real xmin,xmax
+c
+c     Global
+c
+      real        h(80000)
+      common/pawc/h
+c-----
+c  Begin Code
+c-----
+c      call hlimit(80000)
+c
+c     Total
+c
+c      print*,'Setting up graphs'
+c      call hbook1(1,'s hat',100,0.,500.,0.)
+      end
+
+      subroutine graph_point2(x,y)
+      double precision x,y
+      end
+
+
+      subroutine graph_point(p,dwgt)
+c***************************************************************************
+c     fill historgrams
+c***************************************************************************
+      implicit none
+c
+c     Constants
+c
+      double precision  pi              , to_deg
+      parameter        (pi = 3.1415927d0, to_deg=180d0/pi)
+c
+c     Arguments
+c
+      double precision dwgt
+      REAL*8 P(0:3,7)
+c
+c     Local
+c
+      real*4 wgt
+      real*8 ptot(0:3),maxamp, shat
+      integer i,iconfig, imax
+c
+c     Global
+c
+      include 'run.inc'
+
+c
+c     External
+c
+      double precision dot,et,eta,r2
+c-----
+c  Begin Code
+c-----
+      wgt=dwgt
+c      call hfill(1,real(et(p(0,4))),0.,wgt)
+      end
+
+      subroutine graph_store
+c*************************************************************************
+c     Stores graphs
+c*************************************************************************
+      implicit none
+
+c-----
+c  Begin Code
+c-----
+c      call hcurve(1,'shat.dat')
+c      call hrput(0,'wg.paw','N')
+      end
+
+
+
+

=== added file 'Template/Source/pdf.inc'
--- Template/Source/pdf.inc	1970-01-01 00:00:00 +0000
+++ Template/Source/pdf.inc	2010-10-30 03:26:37 +0000
@@ -0,0 +1,17 @@
+c***********************************************************************
+c     this files contains the common blocks for the 
+c     pdf and the alpha_s settings
+c
+c     pdlabel= string identifying the pdf    
+c     asmz   = alpha_s(Mz) is set based on the pdf chosen in setcuts.f
+c     nloop  = order of the running of alpha_s based on the pdf chosen  
+c***********************************************************************
+      double precision asmz
+      common/couple/asmz
+      integer nloop
+      common/running/nloop
+      character*7 pdlabel,epa_label
+      integer lhaid
+      common/to_pdf/lhaid,pdlabel,epa_label
+
+	 	

=== added file 'Template/Source/psample.inc'
--- Template/Source/psample.inc	1970-01-01 00:00:00 +0000
+++ Template/Source/psample.inc	2010-10-30 03:26:37 +0000
@@ -0,0 +1,9 @@
+c
+c Global variables used by psample
+c
+      integer                ihost(max_host),npnts,nans,icpu(max_host)
+      integer                 ierror(max_host)
+      character*30                   hostname(max_host),program
+      common /sample_machine/ ihost,icpu,ierror,npnts,nans, 
+     &                        hostname,program
+

=== added file 'Template/Source/ran1.f'
--- Template/Source/ran1.f	1970-01-01 00:00:00 +0000
+++ Template/Source/ran1.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,33 @@
+      function xran1(idum)
+      dimension r(97)
+      parameter (m1=259200,ia1=7141,ic1=54773,rm1=3.8580247e-6)
+      parameter (m2=134456,ia2=8121,ic2=28411,rm2=7.4373773e-6)
+      parameter (m3=243000,ia3=4561,ic3=51349)
+      data iff /0/
+      save r, ix1,ix2,ix3
+      if (idum.lt.0.or.iff.eq.0) then
+        iff=1
+        ix1=mod(ic1-idum,m1)
+        ix1=mod(ia1*ix1+ic1,m1)
+        ix2=mod(ix1,m2)
+        ix1=mod(ia1*ix1+ic1,m1)
+        ix3=mod(ix1,m3)
+        do 11 j=1,97
+          ix1=mod(ia1*ix1+ic1,m1)
+          ix2=mod(ia2*ix2+ic2,m2)
+          r(j)=(float(ix1)+float(ix2)*rm2)*rm1
+11      continue
+        idum=1
+      endif
+      ix1=mod(ia1*ix1+ic1,m1)
+      ix2=mod(ia2*ix2+ic2,m2)
+      ix3=mod(ia3*ix3+ic3,m3)
+      j=1+(97*ix3)/m3
+      if(j.gt.97.or.j.lt.1)then
+         write(*,*) 'j is bad in ran1.f',j, 97d0*ix3/m3
+         STOP
+      endif
+      xran1=r(j)
+      r(j)=(float(ix1)+float(ix2)*rm2)*rm1
+      return
+      end

=== added file 'Template/Source/ranmar.f'
--- Template/Source/ranmar.f	1970-01-01 00:00:00 +0000
+++ Template/Source/ranmar.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,203 @@
+      subroutine ntuple(x,a,b,ii,jconfig)
+c-------------------------------------------------------
+c     Front to ranmar which allows user to easily
+c     choose the seed.
+c------------------------------------------------------
+      implicit none
+c
+c     Arguments
+c
+      double precision x,a,b
+      integer ii,jconfig
+c
+c     Local
+c
+      integer init, ioffset
+      integer     ij, kl, iseed1,iseed2
+
+c
+c     Global
+c
+      integer         iseed
+      common /to_seed/iseed
+c
+c     Data
+c
+      data init /1/
+      save ij, kl
+c-----
+c  Begin Code
+c-----
+      if (init .eq. 1) then
+         init = 0
+         call get_offset(ioffset)
+         if (iseed .eq. 0) call get_base(iseed)
+c
+c     TJS 3/13/2008
+c     Modified to allow for more sequences 
+c     iseed can be between 0 and 31328*30081
+c     before pattern repeats
+c
+         ij=1802+jconfig + mod(iseed,30081)
+         kl=9373+(iseed/31328)+ioffset 
+         write(*,'(a,i6,a3,i6)') 'Using random seed offsets',jconfig," : ",ioffset
+         write(*,*) ' with seed', iseed
+         do while (ij .gt. 31328)
+            ij = ij - 31328
+         enddo
+         do while (kl .gt. 30081)
+            kl = kl - 30081
+         enddo
+        call rmarin(ij,kl)         
+      endif
+      call ranmar(x)
+      do while (x .lt. 1d-16)
+         call ranmar(x)
+      enddo
+      x = a+x*(b-a)
+      end
+
+      subroutine get_base(iseed)
+c-------------------------------------------------------
+c     Looks for file iproc.dat to offset random number gen
+c------------------------------------------------------
+      implicit none
+c
+c     Constants
+c
+      integer    lun
+      parameter (lun=22)
+c
+c     Arguments
+c
+      integer iseed
+c
+c     Local
+c
+      character*60 fname
+      logical done
+      integer i,level
+c-----
+c  Begin Code
+c-----
+
+      fname = 'randinit'
+      done = .false.
+      level = 1
+      do while(.not. done .and. level .lt. 5)
+         open(unit=lun,file=fname,status='old',err=15)
+         done = .true.
+ 15      level = level+1
+         fname = '../' // fname
+         i=index(fname,' ')
+         if (i .gt. 0) fname=fname(1:i-1)
+      enddo
+      if (done) then
+         read(lun,'(a)',end=24,err=24) fname
+         i = index(fname,'=')
+         if (i .gt. 0) fname=fname(i+1:)
+         read(fname,*,err=26,end=26) iseed
+ 24      close(lun)
+c         write(*,*) 'Read iseed from randinit ',iseed
+         return
+ 26      close(lun)
+      endif
+ 25   iseed = 0
+c      write(*,*) 'No base found using iseed=0'
+      end
+
+      subroutine get_offset(iseed)
+c-------------------------------------------------------
+c     Looks for file iproc.dat to offset random number gen
+c------------------------------------------------------
+      implicit none
+c
+c     Constants
+c
+      integer    lun
+      parameter (lun=22)
+c
+c     Arguments
+c
+      integer iseed
+c
+c     Local
+c
+c-----
+c  Begin Code
+c-----
+
+      open(unit=lun,file='./iproc.dat',status='old',err=15)
+         read(lun,*,err=14) iseed
+         close(lun)
+         return
+ 14   close(lun)
+ 15   open(unit=lun,file='../iproc.dat',status='old',err=25)
+         read(lun,*,err=24) iseed
+         close(lun)
+         return
+ 24   close(lun)
+ 25   iseed = 0
+      end
+
+      subroutine ranmar(rvec)
+*     -----------------
+* universal random number generator proposed by marsaglia and zaman
+* in report fsu-scri-87-50
+* in this version rvec is a double precision variable.
+      implicit real*8(a-h,o-z)
+      common/ raset1 / ranu(97),ranc,rancd,rancm
+      common/ raset2 / iranmr,jranmr
+      save /raset1/,/raset2/
+      uni = ranu(iranmr) - ranu(jranmr)
+      if(uni .lt. 0d0) uni = uni + 1d0
+      ranu(iranmr) = uni
+      iranmr = iranmr - 1
+      jranmr = jranmr - 1
+      if(iranmr .eq. 0) iranmr = 97
+      if(jranmr .eq. 0) jranmr = 97
+      ranc = ranc - rancd
+      if(ranc .lt. 0d0) ranc = ranc + rancm
+      uni = uni - ranc
+      if(uni .lt. 0d0) uni = uni + 1d0
+      rvec = uni
+      end
+ 
+      subroutine rmarin(ij,kl)
+*     -----------------
+* initializing routine for ranmar, must be called before generating
+* any pseudorandom numbers with ranmar. the input values should be in
+* the ranges 0<=ij<=31328 ; 0<=kl<=30081
+      implicit real*8(a-h,o-z)
+      common/ raset1 / ranu(97),ranc,rancd,rancm
+      common/ raset2 / iranmr,jranmr
+      save /raset1/,/raset2/
+* this shows correspondence between the simplified input seeds ij, kl
+* and the original marsaglia-zaman seeds i,j,k,l.
+* to get the standard values in the marsaglia-zaman paper (i=12,j=34
+* k=56,l=78) put ij=1802, kl=9373
+      write(*,*) "Ranmar initialization seeds",ij,kl
+      i = mod( ij/177 , 177 ) + 2
+      j = mod( ij     , 177 ) + 2
+      k = mod( kl/169 , 178 ) + 1
+      l = mod( kl     , 169 )
+      do 300 ii = 1 , 97
+        s =  0d0
+        t = .5d0
+        do 200 jj = 1 , 24
+          m = mod( mod(i*j,179)*k , 179 )
+          i = j
+          j = k
+          k = m
+          l = mod( 53*l+1 , 169 )
+          if(mod(l*m,64) .ge. 32) s = s + t
+          t = .5d0*t
+  200   continue
+        ranu(ii) = s
+  300 continue
+      ranc  =   362436d0 / 16777216d0
+      rancd =  7654321d0 / 16777216d0
+      rancm = 16777213d0 / 16777216d0
+      iranmr = 97
+      jranmr = 33
+      end

=== added file 'Template/Source/readgrid.f'
--- Template/Source/readgrid.f	1970-01-01 00:00:00 +0000
+++ Template/Source/readgrid.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,135 @@
+C...READGRID reads the IS Sudakov grid for all flavors from a file
+      subroutine readgrid(lun)
+      implicit none
+
+c...global variables
+      include 'sudgrid.inc'
+      include 'pdf.inc'
+      include 'run.inc'
+
+c...arguments
+      integer lun
+
+c...local variables
+      integer i,j,ipt2,ix1,ix2,kfl,ipoints
+      data kfl,ipoints/-1,1/
+      logical opened
+
+c   integer nbins(3)
+c   data nbins/npt2,nx1,nx2/
+      character*100 buf
+      character*7 pdgrid
+      double precision ebeam1,ebeam2
+
+c   Check that the file lun is opened
+      inquire(unit=lun,opened=opened)
+      if(.not.opened)then
+        write(*,*) 'readgrid: Error, unit ',lun,' not opened'
+        stop
+      endif
+      
+      ebeam1=0
+      ebeam2=0
+      
+c...Check that the grid is correct
+      read(lun,'(a)',ERR=999,END=999) buf
+      do while(buf(1:1).eq.'#'.or.buf.eq.'')
+        if(index(buf,'pdlabel').ne.0)then
+          call getfirst(pdgrid,buf(2:))
+          if(pdgrid .ne. pdlabel)then
+            write(*,*)'Error: ',
+     $         'Different pdf labels in Sudakov grid and run_card.'
+            write(*,*)'Please regenerate grid file issudgrid.dat ',
+     $         'or use pdlabel ',pdgrid
+            stop
+          endif
+        endif
+        if(index(buf,'ebeam1').ne.0)then
+          read(buf(2:index(buf,'=')-1),*)ebeam1
+        endif
+        if(index(buf,'ebeam2').ne.0)then
+          read(buf(2:index(buf,'=')-1),*)ebeam2
+        endif
+        if(ebeam1.ne.0.and.ebeam2.ne.0)then
+          if(abs(ebeam1-ebeam(1))/ebeam(1).gt.1d-3.or.
+     $       abs(ebeam2-ebeam(2))/ebeam(2).gt.1d-3)then
+            write(*,*)'Fatal error: ',
+     $         'Different beam energies in Sudakov grid and run_card.'
+            write(*,*)'Please regenerate grid file issudgrid.dat ',
+     $         'or use beam energies'
+            write(*,*) ebeam1,ebeam2
+            stop
+          endif
+        endif
+        read(lun,'(a)',ERR=999,END=999) buf
+      enddo
+      rewind(lun)
+
+c...read grid points
+      do i=-2,5
+      read(lun,'(a)',ERR=999,END=999) buf
+      do while(buf(1:1).eq.'#'.or.buf.eq.'')
+        if(index(buf,'kfl').ne.0)then
+          read(buf(2:index(buf,'=')),*) kfl
+          if(kfl.eq.21) kfl=0
+          if(i.ne.kfl)
+     $       write(*,'(''#'',a,i3)')
+     $       'Warning! Expecting flavor ',i,' but read ',kfl
+          if(kfl.lt.-2.or.kfl.gt.5)then
+            write(*,*) 'Error! Only partons between -2 and 5 allowed'
+            write(*,*) ' (gluon is 0 or 21)'
+            stop
+          endif
+          if(iabs(kfl).eq.5) then 
+            ipoints=2
+          else
+            ipoints=1
+          endif
+        endif
+        read(lun,'(a)',ERR=999,END=999) buf
+      enddo
+      do ix2=1,nx2
+        do ix1=1,nx1
+          do ipt2=1,npt2
+            read(buf,*,ERR=900,END=900)
+     $         points(ix2,ipoints),points(nx2+ix1,ipoints),
+     $         points(nx2+nx1+ipt2,ipoints),sudgrid(ix2,ix1,ipt2,kfl)
+            points(ix2,ipoints)=log(points(ix2,ipoints))
+            points(nx2+nx1+ipt2,ipoints)=
+     $         2*log(points(nx2+nx1+ipt2,ipoints))
+            if(ix2.lt.nx2.or.ix1.lt.nx1.or.ipt2.lt.npt2)
+     $         read(lun,'(a)',ERR=900,END=900) buf
+          enddo
+        enddo
+      enddo
+      enddo
+
+      write(*,'(''#'',a)') 'Done reading IS Sudakov grid'
+      return
+
+ 900  write(*,*) 'Error reading IS Sudakov grid!'
+      write(*,*) 'kfl=',kfl,' ix2=',ix2,' ix1=',ix1,'ipt2=',ipt2
+      stop
+
+ 999  write(*,'(''#'',a,a,i2,a)') 'Warning: Failed to read IS ',
+     $   'Sudakov grid for flavor ',i,' and up'
+      return
+
+      end
+
+
+      subroutine getfirst(first,string)
+
+      implicit none
+      character*(*) string
+      character*20 first
+      character*20 temp
+
+      temp=string
+      do while(temp(1:1) .eq. ' '.or.temp(1:1).eq.'''') 
+	temp=temp(2:len(temp))
+      end do
+      first=temp(1:index(temp,' ')-1)
+      if(index(first,'''').gt.0) first=first(1:index(first,'''')-1)
+
+      end

=== added file 'Template/Source/run.inc'
--- Template/Source/run.inc	1970-01-01 00:00:00 +0000
+++ Template/Source/run.inc	2010-10-30 03:26:37 +0000
@@ -0,0 +1,33 @@
+c**************************************************************
+c    run.inc 
+c**************************************************************
+c
+c     Scales
+c
+      real*8          scale,scalefact,alpsfact
+      logical         fixed_ren_scale,fixed_fac_scale,fixed_couplings,hmult
+      integer         ickkw,nhmult
+      common/to_scale/scale,scalefact,alpsfact,fixed_ren_scale,fixed_fac_scale,
+     $                fixed_couplings,ickkw,nhmult,hmult
+c
+c     Collider
+c
+      integer                                        lpp(2)
+      double precision    ebeam(2), xbk(2),q2fact(2)
+      common/to_collider/ ebeam   , xbk   ,q2fact,   lpp
+c
+c     BW treatment
+c      
+      double precision bwcutoff
+      common/to_bwcutoff/ bwcutoff
+c
+c     Sudakov grid file name
+c
+      character*130 issgridfile
+      common/to_sgridfile/issgridfile
+c
+c     kT/pT scheme for xqcut, clustering according to channel
+c
+      integer ktscheme
+      logical chcluster,pdfwgt
+      common/to_cluster/ktscheme,chcluster,pdfwgt

=== added file 'Template/Source/run_config.inc'
--- Template/Source/run_config.inc	1970-01-01 00:00:00 +0000
+++ Template/Source/run_config.inc	2010-10-30 03:26:37 +0000
@@ -0,0 +1,54 @@
+c*********************************************************************
+c     Parameters to configure running information for MadEvent
+c     The default values of these parameters should not need to be
+c     changed, unless there is a special need for optimization
+c*********************************************************************
+c
+c     The following parameters are used by symmetry.f in setting up the survey
+c
+      integer    icomp
+      parameter (icomp = 3)   !BW + Symmetry compression  0 == none	
+      integer    min_events_subprocess          !Minimum number of events
+      parameter (min_events_subprocess = 2000) !per iteration in each subprocess
+      integer    min_events_channel         !Minimum number of events
+      parameter (min_events_channel = 1000) !per iteration in each channel
+      integer    iter_survey                !Number of iterations for survey
+      parameter (iter_survey=4)
+      integer    nhel_survey                !Number of helicities to sum for each
+      parameter (nhel_survey=1)             !phase space point. (0 = sum_all)
+c
+c     The following parameters are used by gen_ximprove.f in running refine
+c
+      integer    min_events                 !Minimum number of events/iteration
+      parameter (min_events = 2000)         !to refine a channel
+      integer    max_events                 !Maximum number of events/iteration
+      parameter (max_events = 2000)        !to refine a channel
+      integer    max_iter                   !Maximum number of iterations
+      parameter (max_iter = 9)              !during refinement
+      integer    nhel_refine                !Number of helicities to sum for each
+      parameter (nhel_refine=1)             !phase space point. (0 = sum_all)
+c
+c     The following are used for parallel running
+c
+      character*(20) PBS_QUE
+      parameter     (PBS_QUE = 'madgraph')
+
+      integer    ChanPerJob
+      parameter (ChanPerJob=5)  !Number of channels / job for survey
+
+c      integer    max_np
+c      parameter (max_np=1)  !Number of channels / job for refine
+c
+c
+c
+	double precision trunc_max
+        parameter (trunc_max=0.01)
+c
+c	The following are used for grid type running
+c
+      double precision acc_wu
+      parameter       (acc_wu = 0.01)   !Desired accuracy from warmup run
+      integer      npoints_wu,        itmax_wu !warmup # points/iterations
+      parameter   (npoints_wu = 4000, itmax_wu = 8)
+      integer      min_gevents_wu
+      parameter   (min_gevents_wu=1000)   !Minumum # unweighted events to generate from channel

=== added file 'Template/Source/run_printout.f'
--- Template/Source/run_printout.f	1970-01-01 00:00:00 +0000
+++ Template/Source/run_printout.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,64 @@
+      subroutine run_printout
+      implicit none
+c
+c     local
+c
+      integer i,iformat
+      character*2 ab(2)
+      real*8 ene
+      double precision  Zero, One, Two, Three, Four, Half, Rt2
+      parameter( Zero = 0.0d0, One = 1.0d0, Two = 2.0d0 )
+c
+c     include
+c
+      include 'PDF/pdf.inc'
+      include 'run.inc'
+      include 'alfas.inc'
+c
+c output all info
+c
+      write(6,*)            
+      write(6,*)  'Collider parameters:'
+      write(6,*)  '--------------------'
+
+      do i=1,2
+         IF(LPP(i).EQ. 0) ab(i)='e'
+         IF(LPP(i).EQ. 1) ab(i)='P'
+         IF(LPP(i).EQ.-1) ab(i)='Pb'
+         IF(LPP(i).EQ.2) ab(i)='a2'
+         IF(LPP(i).EQ.3) ab(i)='a3'
+      enddo
+
+      ene=2d0*dsqrt(ebeam(1)*ebeam(2))
+
+      write(6,*)  
+      write(6,*) 'Running at ',ab(1),ab(2),'  machine @ ', ene, ' GeV'
+      write(6,*) 'PDF set = ',pdlabel
+      write(6,'(1x,a12,1x,f6.4,a12,i1,a7)') 
+     &     'alpha_s(Mz)=', asmz ,' running at ', nloop , ' loops.'
+      if(lpp(1).ne.0.or.lpp(2).ne.0) then    
+      write(6,'(1x,a12,1x,f6.4,a12,i1,a7)') 
+     &     'alpha_s(Mz)=', asmz ,' running at ', nloop , ' loops. Value tuned to the PDF set.'
+      else 
+      write(6,'(1x,a12,1x,f6.4,a12,i1,a7)') 
+     &     'alpha_s(Mz)=', asmz ,' running at ', nloop , ' loops. Value set in param_card.dat'
+      endif      
+           
+      if(fixed_ren_scale) then
+         write(6,*) 'Renormalization scale fixed @ ',scale 
+      else
+         write(6,*) 'Renormalization scale set on event-by-event basis'
+      endif
+      if(fixed_fac_scale) then
+         write(6,*) 'Factorization scales  fixed @ ',
+     &   dsqrt(q2fact(1)),dsqrt(q2fact(2)) 
+      else
+         write(6,*) 'Factorization   scale set on event-by-event basis'
+      endif
+   
+      write(6,*)  
+      write(6,*)  
+      
+      return
+      end
+

=== added file 'Template/Source/rw_events.f'
--- Template/Source/rw_events.f	1970-01-01 00:00:00 +0000
+++ Template/Source/rw_events.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,159 @@
+      subroutine read_event(lun,P,wgt,nexternal,ic,ievent,scale,aqcd,aqed,buff2,done)
+c********************************************************************
+c     Reads one event from data file #lun
+c     ic(*,1) = Particle ID
+c     ic(*,2) = Mothup(1)
+c     ic(*,3) = Mothup(2)
+c     ic(*,4) = ICOLUP(1)
+c     ic(*,5) = ICOLUP(2)
+c     ic(*,6) = ISTUP   -1=initial state +1=final  +2=decayed
+c     ic(*,7) = Helicity
+c********************************************************************
+      implicit none
+
+      double precision pi
+      parameter (pi = 3.1415926d0)
+c
+c     Arguments
+c      
+      integer lun
+      integer nexternal, ic(7,*)
+      logical done
+      double precision P(0:4,*),wgt,aqcd,aqed,scale
+      integer ievent
+      character*140 buff2
+c
+c     Local
+c
+      integer i,j,k
+      character*(256) buff
+      double precision xdum1,xdum2
+c
+c     Global
+c
+      logical banner_open
+      integer lun_ban
+      common/to_banner/banner_open, lun_ban
+
+      data lun_ban/37/
+      data banner_open/.false./
+c-----
+c  Begin Code
+c-----     
+      buff2=' '
+      done=.false.
+      if (.not. banner_open) then
+         open (unit=lun_ban, status='scratch')
+         banner_open=.true.
+      endif
+ 11   read(lun,'(a256)',end=99,err=99) buff
+      do while(index(buff,"<event") .eq. 0)
+         write(lun_ban,'(a)') buff
+         read(lun,'(a256)',end=99,err=99) buff
+      enddo
+      read(lun,*,err=11, end=11) nexternal,ievent,wgt,scale,aqed,aqcd
+      do i=1,nexternal
+         read(lun,*,err=99,end=99) ic(1,i),ic(6,i),(ic(j,i),j=2,5),
+     $     (p(j,i),j=1,3),p(0,i),p(4,i),xdum1,xdum2
+         ic(7,i)=xdum2
+      enddo
+      do while(index(buff,"</event") .eq. 0)
+         read(lun,'(a256)',end=99,err=99) buff
+         if(buff(1:1).eq.'#') buff2=buff(1:140)
+      enddo
+c      gal(1) = sqrt(4d0*pi*aqed)
+c      g      = sqrt(4d0*pi*aqcd)
+      return
+ 99   done=.true.
+      return
+ 55   format(i3,5e19.11)         
+      end
+
+      subroutine write_event(lun,P,wgt,nexternal,ic,ievent,scale,aqcd,aqed,buff)
+c********************************************************************
+c     Writes one event from data file #lun according to LesHouches
+c     ic(1,*) = Particle ID
+c     ic(2.*) = Mothup(1)
+c     ic(3,*) = Mothup(2)
+c     ic(4,*) = ICOLUP(1)
+c     ic(5,*) = ICOLUP(2)
+c     ic(6,*) = ISTUP   -1=initial state +1=final  +2=decayed
+c     ic(7,*) = Helicity
+c********************************************************************
+      implicit none
+c
+c     parameters
+c
+      double precision pi
+      parameter (pi = 3.1415926d0)
+c
+c     Arguments
+c      
+      integer lun, ievent
+      integer nexternal, ic(7,*)
+      double precision P(0:4,*),wgt
+      double precision aqcd, aqed, scale
+      character*140 buff
+c
+c     Local
+c
+      integer i,j,k
+c
+c     Global
+c
+
+c-----
+c  Begin Code
+c-----     
+c      aqed= gal(1)*gal(1)/4d0/pi
+c      aqcd = g*g/4d0/pi
+
+      write(lun,'(a)') '<event>'
+      write(lun,'(i2,i4,4e15.7)') nexternal,ievent,wgt,scale,aqed,aqcd
+      do i=1,nexternal
+         write(lun,51) ic(1,i),ic(6,i),(ic(j,i),j=2,5),
+     $     (p(j,i),j=1,3),p(0,i),p(4,i),0.,real(ic(7,i))
+      enddo
+      if(buff(1:1).eq.'#') write(lun,'(a)') buff(1:len_trim(buff))
+      write(lun,'(a)') '</event>'
+      return
+ 51   format(i9,5i5,5e19.11,f3.0,f4.0)
+      end
+
+      subroutine write_comments(lun)
+c********************************************************************
+c     Outputs all of the banner comment lines back at the top of
+c     the file lun.
+c********************************************************************
+      implicit none
+c
+c     Arguments
+c
+      integer lun
+c
+c     Local
+c
+      character*(80) buff
+c
+c     Global
+c
+      logical banner_open
+      integer lun_ban
+      common/to_banner/banner_open, lun_ban
+
+c-----
+c  Begin Code
+c-----     
+c      write(*,*) 'Writing comments'
+      if (banner_open) then
+         rewind(lun_ban)
+         do while (.true.) 
+            read(lun_ban,'(a79)',end=99,err=99) buff
+            write(lun,'(a79)') buff
+c            write(*,*) buff
+         enddo
+ 99      close(lun_ban)
+         banner_open = .false.
+      endif
+      end
+

=== added file 'Template/Source/rw_events.short.f'
--- Template/Source/rw_events.short.f	1970-01-01 00:00:00 +0000
+++ Template/Source/rw_events.short.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,162 @@
+      subroutine read_event(lun,P,wgt,nexternal,ic,ievent,scale,aqcd,aqed,done)
+c********************************************************************
+c     Reads one event from data file #lun
+c     ic(*,1) = Particle ID
+c     ic(*,2) = Mothup(1)
+c     ic(*,3) = Mothup(2)
+c     ic(*,4) = ICOLUP(1)
+c     ic(*,5) = ICOLUP(2)
+c     ic(*,6) = ISTUP   -1=initial state +1=final  +2=decayed
+c     ic(*,7) = Helicity
+c********************************************************************
+      implicit none
+c
+c     parameters
+c
+      integer    MaxParticles
+      parameter (MaxParticles=15)
+      double precision pi
+      parameter (pi = 3.1415926d0)
+c
+c     Arguments
+c      
+      integer lun
+      integer nexternal, ic(7,MaxParticles)
+      logical done
+      double precision P(0:3,MaxParticles),wgt,aqcd,aqed,scale
+      integer ievent
+c
+c     Local
+c
+      integer i,j,k
+      character*(132) buff
+c
+c     Global
+c
+c      include 'coupl.inc'
+c      real*8          scale
+c      logical               fixed_ren_scale,fixed_fac_scale
+c      common/to_scale/scale,fixed_ren_scale,fixed_fac_scale
+
+      logical banner_open
+      integer lun_ban
+      common/to_banner/banner_open, lun_ban
+
+      data lun_ban/37/
+      data banner_open/.false./
+c-----
+c  Begin Code
+c-----     
+      done=.false.
+      if (.not. banner_open) then
+         open (unit=lun_ban, status='scratch')
+         banner_open=.true.
+      endif
+ 11   read(lun,'(a132)',end=99,err=99) buff
+      do while(index(buff,"#") .ne. 0)
+         write(lun_ban,'(a)') buff
+         read(lun,'(a132)',end=99,err=99) buff
+      enddo
+      read(buff,*,err=11, end=11) nexternal,k,wgt,scale,aqed,aqcd
+      do j=1,7
+         read(lun,*,err=99,end=99) (ic(j,i),i=1,nexternal)!This is info
+      enddo      
+      do j=1,nexternal
+         read(lun,55,err=99,end=99) k,(p(i,j),i=0,3)
+      enddo
+c      gal(1) = sqrt(4d0*pi*aqed)
+c      g      = sqrt(4d0*pi*aqcd)
+      return
+ 99   done=.true.
+      return
+ 55   format(i3,4e19.11)         
+      end
+
+      subroutine write_event(lun,P,wgt,nexternal,ic,ievent,scale,aqcd,aqed)
+c********************************************************************
+c     Writes one event from data file #lun according to LesHouches
+c     ic(*,1) = Particle ID
+c     ic(*,2) = Mothup(1)
+c     ic(*,3) = Mothup(2)
+c     ic(*,4) = ICOLUP(1)
+c     ic(*,5) = ICOLUP(2)
+c     ic(*,6) = ISTUP   -1=initial state +1=final  +2=decayed
+c     ic(*,7) = Helicity
+c********************************************************************
+      implicit none
+c
+c     parameters
+c
+      integer    MaxParticles
+      parameter (MaxParticles=15)
+      double precision pi
+      parameter (pi = 3.1415926d0)
+c
+c     Arguments
+c      
+      integer lun, ievent
+      integer nexternal, ic(7,MaxParticles)
+      double precision P(0:3,MaxParticles),wgt
+      double precision aqcd, aqed, scale
+c
+c     Local
+c
+      integer i,j,k
+c
+c     Global
+c
+
+c-----
+c  Begin Code
+c-----     
+c      aqed= gal(1)*gal(1)/4d0/pi
+c      aqcd = g*g/4d0/pi
+      write(lun,'(2i8,4e15.7)') nexternal,ievent,wgt,scale,aqed,aqcd
+      do j=1,7
+         write(lun,51) (ic(j,i),i=1,nexternal)  !This is info
+      enddo
+      do j=1,nexternal
+         write(lun,55) j,(p(i,j),i=0,3)
+      enddo
+      return
+ 51   format(19i5)
+ 55   format(i3,4e19.11)         
+      end
+
+      subroutine write_comments(lun)
+c********************************************************************
+c     Outputs all of the banner comment lines back at the top of
+c     the file lun.
+c********************************************************************
+      implicit none
+c
+c     Arguments
+c
+      integer lun
+c
+c     Local
+c
+      character*(80) buff
+c
+c     Global
+c
+      logical banner_open
+      integer lun_ban
+      common/to_banner/banner_open, lun_ban
+
+c-----
+c  Begin Code
+c-----     
+c      write(*,*) 'Writing comments'
+      if (banner_open) then
+         rewind(lun_ban)
+         do while (.true.) 
+            read(lun_ban,'(a79)',end=99,err=99) buff
+            write(lun,'(a79)') buff
+c            write(*,*) buff
+         enddo
+ 99      close(lun_ban)
+         banner_open = .false.
+      endif
+      end
+

=== added file 'Template/Source/rw_routines.f'
--- Template/Source/rw_routines.f	1970-01-01 00:00:00 +0000
+++ Template/Source/rw_routines.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,420 @@
+      subroutine load_para(npara,param,value)
+c----------------------------------------------------------------------
+c Read the params from the run_card.dat file
+c---------------------------------------------------------------------- 
+      implicit none
+c
+c     parameters
+c
+      integer maxpara
+      parameter (maxpara=1000)
+c
+c     arguments
+c     
+      character*20 param(maxpara),value(maxpara)
+      integer npara
+c
+c     local
+c
+      logical fopened,done
+      integer iunit
+      character*20 ctemp
+      integer k,i,l1,l2,iproc
+      character*132 buff
+      data iunit/21/
+c
+c     global
+c
+      integer ngroup
+      common/to_group/ngroup
+c
+c----------
+c     start
+c----------
+c
+c     read the run_card.dat
+c
+      npara=0
+      param(1)=' '
+      value(1)=' '
+c
+c     open file
+c
+      call open_file(iunit,'run_card.dat',fopened)
+      if(.not.fopened) then
+         write(*,*) 'Error: File run_card.dat not found'
+         stop
+      else
+c
+c     first look for process-specific parameters
+c
+      done=.false.
+      do while(.not.done)  
+         read(iunit,'(a132)',end=20,err=20) buff
+         if(buff(1:1).ne.'#' .and. index(buff,"=").gt.0
+     $        .and. index(buff,"@").gt.0) then
+            l1=index(buff,"@")
+            l2=index(buff,"!")
+            if(l2.eq.0) l2=l1+20  !maybe there is no comment...
+            read(buff(l1+1:l2),*,err=11) iproc
+            if(iproc.ne.ngroup) cycle
+
+            l1=index(buff,"=")
+            l2=index(buff,"@")
+            if(l2-l1.lt.0) cycle
+            npara=npara+1
+c
+             value(npara)=buff(1:l1-1)
+             ctemp=value(npara)
+             call case_trap2(ctemp)
+             value(npara)=ctemp
+c
+             param(npara)=" "//buff(l1+1:l2-1)
+             ctemp=param(npara)
+             call case_trap2(ctemp)
+             param(npara)=ctemp
+c
+ 11          cycle
+         endif
+      enddo
+ 20   rewind(iunit)
+c
+c     read in values
+c
+      done=.false.
+      do while(.not.done)  
+         read(iunit,'(a132)',end=96,err=96) buff
+         if(buff(1:1).ne.'#' .and. index(buff,"=").gt.0
+     $        .and. index(buff,"@").le.0) then
+            l1=index(buff,"=")
+            l2=index(buff,"!")
+            if(l2.eq.0) l2=l1+20  !maybe there is no comment...
+            if(l2-l1.lt.0) cycle
+            npara=npara+1
+c
+             value(npara)=buff(1:l1-1)
+             ctemp=value(npara)
+             call case_trap2(ctemp)
+             value(npara)=ctemp
+c
+             param(npara)=" "//buff(l1+1:l2-1)
+             ctemp=param(npara)
+             call case_trap2(ctemp)
+             param(npara)=ctemp
+c
+         endif
+      enddo
+ 96   close(iunit)
+      endif
+c
+c     open file
+c
+c
+c     tjs modified 11-16-07 to include grid_card.dat
+c
+      call open_file(iunit,'grid_card.dat',fopened)
+      if(fopened) then
+c
+c     first look for process-specific parameters
+c
+      done=.false.
+      do while(.not.done)  
+         read(iunit,'(a132)',end=30,err=30) buff
+         if(buff(1:1).ne.'#' .and. index(buff,"=").gt.0
+     $        .and. index(buff,"@").gt.0) then
+            l1=index(buff,"@")
+            l2=index(buff,"!")
+            if(l2.eq.0) l2=l1+20  !maybe there is no comment...
+            read(buff(l1+1:l2),*,err=21) iproc
+            if(iproc.ne.ngroup) cycle
+
+            l1=index(buff,"=")
+            l2=index(buff,"@")
+            if(l2-l1.lt.0) cycle
+            npara=npara+1
+c
+             value(npara)=buff(1:l1-1)
+             ctemp=value(npara)
+             call case_trap2(ctemp)
+             value(npara)=ctemp
+c
+             param(npara)=" "//buff(l1+1:l2-1)
+             ctemp=param(npara)
+             call case_trap2(ctemp)
+             param(npara)=ctemp
+c
+ 21          cycle
+         endif
+       enddo
+ 30   rewind(iunit)
+c
+c     read in values
+c
+      done=.false.
+      do while(.not.done)  
+         read(iunit,'(a132)',end=99,err=99) buff
+         if(buff(1:1).ne.'#' .and. index(buff,"=").gt.0
+     $        .and. index(buff,"@").le.0) then
+            l1=index(buff,"=")
+            l2=index(buff,"!")
+            if(l2.eq.0) l2=l1+20  !maybe there is no comment...
+            if(l2-l1.lt.0) cycle
+            npara=npara+1
+c
+             value(npara)=buff(1:l1-1)
+             ctemp=value(npara)
+             call case_trap2(ctemp)
+             value(npara)=ctemp
+c
+             param(npara)=" "//buff(l1+1:l2-1)
+c             write (*,*) param(npara),l1,l2
+             ctemp=param(npara)
+             call case_trap2(ctemp)
+             param(npara)=ctemp
+c             write(*,*) "New param:",param(npara)," = ", value(npara)
+c
+         endif
+      enddo
+ 99   close(iunit)
+      endif
+
+      return
+      end
+
+
+
+      subroutine get_real(npara,param,value,name,var,def_value)
+c----------------------------------------------------------------------------------
+c     finds the parameter named "name" in param and associate to "value" in value 
+c----------------------------------------------------------------------------------
+      implicit none
+
+c
+c     parameters
+c
+      integer maxpara
+      parameter (maxpara=1000)
+c
+c     arguments
+c
+      integer npara
+      character*20 param(maxpara),value(maxpara)
+      character*(*)  name
+      real*8 var,def_value
+      character*20 c_param,c_name
+c
+c     local
+c
+      logical found
+      integer i
+c
+c     start
+c
+      i=1
+      found=.false.
+      do while(.not.found.and.i.le.npara)
+          call firststring(c_param,param(i))
+          call firststring(c_name,name)
+         found = (c_param .eq. c_name)
+         if (found) read(value(i),*) var
+c         if (found) write (*,*) name,var
+         i=i+1
+      enddo
+      if (.not.found) then
+         write (*,*) "Warning: parameter ",name," not found"
+         write (*,*) "         setting it to default value ",def_value
+         var=def_value
+      endif
+      return
+
+      end
+c
+
+      subroutine get_integer(npara,param,value,name,var,def_value)
+c----------------------------------------------------------------------------------
+c     finds the parameter named "name" in param and associate to "value" in value 
+c----------------------------------------------------------------------------------
+      implicit none
+c
+c     parameters
+c
+      integer maxpara
+      parameter (maxpara=1000)
+c
+c     arguments
+c
+      integer npara
+      character*20 param(maxpara),value(maxpara)
+      character*(*)  name
+      integer var,def_value
+      character*20 c_param,c_name
+c
+c     local
+c
+      logical found
+      integer i
+c
+c     start
+c
+      i=1
+      found=.false.
+      do while(.not.found.and.i.le.npara)
+         call firststring(c_param,param(i))
+          call firststring(c_name,name)
+         found = (c_param .eq. c_name)
+         if (found) read(value(i),*) var
+c         if (found) write (*,*) name,var
+         i=i+1
+      enddo
+      if (.not.found) then
+         write (*,*) "Warning: parameter ",name," not found"
+         write (*,*) "         setting it to default value ",def_value
+         var=def_value
+      endif
+      return
+
+      end
+c
+      subroutine get_string(npara,param,value,name,var,def_value)
+c----------------------------------------------------------------------------------
+c     finds the parameter named "name" in param and associate to "value" in value 
+c----------------------------------------------------------------------------------
+      implicit none
+
+c
+c     parameters
+c
+      integer maxpara
+      parameter (maxpara=1000)
+c
+c     arguments
+c
+      integer npara
+      character*20 param(maxpara),value(maxpara)
+      character*(*)  name
+      character*(*)  var,def_value
+      character*20 c_param,c_name
+c
+c     local
+c
+      logical found
+      integer i
+c
+c     start
+c
+      i=1
+      found=.false.
+      do while(.not.found.and.i.le.npara)
+         call firststring(c_param,param(i))
+          call firststring(c_name,name)
+         found = (c_param .eq. c_name)
+         if (found) read(value(i),*) var
+c         if (found) write (*,*) name,var
+         i=i+1
+      enddo
+      if (.not.found) then
+         write (*,*) "Warning: parameter ",name," not found"
+         write (*,*) "         setting it to default value ",def_value
+         var=def_value
+      endif
+      return
+
+      end
+c
+      subroutine get_logical(npara,param,value,name,var,def_value)
+c----------------------------------------------------------------------------------
+c     finds the parameter named "name" in param and associate to "value" in value 
+c----------------------------------------------------------------------------------
+      implicit none
+
+c
+c     parameters
+c
+      integer maxpara
+      parameter (maxpara=1000)
+c
+c     arguments
+c
+      integer npara
+      character*20 param(maxpara),value(maxpara)
+      character*(*)  name
+      logical  var,def_value
+      character*20 c_param,c_name
+c
+c     local
+c
+      logical found
+      integer i
+c
+c     start
+c
+      i=1
+      found=.false.
+      do while(.not.found.and.i.le.npara)
+         call firststring(c_param,param(i))
+          call firststring(c_name,name)
+         found = (c_param .eq. c_name)
+         if (found) read(value(i),*) var
+c         if (found) write (*,*) name,var
+         i=i+1
+      enddo
+      if (.not.found) then
+         write (*,*) "Warning: parameter ",name," not found"
+         write (*,*) "         setting it to default value ",def_value
+         var=def_value
+      endif
+      return
+
+      end
+c
+
+
+
+      subroutine case_trap2(name)
+c**********************************************************    
+c change the string to lowercase if the input is not
+c**********************************************************
+      implicit none
+c
+c     ARGUMENT
+c      
+      character*20 name
+c
+c     LOCAL
+c
+      integer i,k
+
+      do i=1,20
+         k=ichar(name(i:i))
+         if(k.ge.65.and.k.le.90) then  !upper case A-Z
+            k=ichar(name(i:i))+32   
+            name(i:i)=char(k)        
+         endif
+      enddo
+
+      return
+      end
+
+c +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+c ++
+c ++ firststring -> return the first "word" of string 
+c ++ & remove whitespaces around
+c ++ Needed to correct a bug in "get_" routines
+c ++ Michel Herquet - CP3 - 05-04-2006
+c ++
+c +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+      subroutine firststring(first,string)
+
+      implicit none
+      character*(*) string
+      character*20 first
+      character*20 temp
+
+      temp=string
+      do while(temp(1:1) .eq. ' ') 
+	temp=temp(2:len(temp))
+      end do
+      first=temp(1:index(temp,' ')-1)
+
+      end

=== added file 'Template/Source/scale_events.f'
--- Template/Source/scale_events.f	1970-01-01 00:00:00 +0000
+++ Template/Source/scale_events.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,150 @@
+      program scale_events
+c********************************************************************
+c     Takes events from events.dat and scales them according to 
+c     the correct cross section for each diagram
+c********************************************************************
+      implicit none
+c
+c     Constants
+c
+      character*(*) symfile
+      parameter (symfile='symfact.dat')
+      character*(*) scaled_file
+      parameter (scaled_file='scaled.dat')
+c
+c     local
+c
+      character*30 dirname
+      double precision xi
+      integer j,k,ip
+c-----
+c  Begin Code
+c-----
+      open(unit=16,file=scaled_file,status='unknown',err=999)
+      open(unit=35,file=symfile,status='old',err=59)
+      do while (.true.)
+         read(35,*,err=99,end=99) xi,j
+         if (j .gt. 0) then
+            if ( (xi-int(xi+.01)) .lt. 1d-5) then
+               k = int(xi+.01)
+               if (k .lt. 10) then
+                  write(dirname,'(a,i1,a)') 'G',k,'/'
+               else if (k .lt. 100) then
+                  write(dirname,'(a,i2,a)') 'G',k,'/'
+               else if (k .lt. 1000) then
+                  write(dirname,'(a,i3,a)') 'G',k,'/'
+               else if (k .lt. 10000) then
+                  write(dirname,'(a,i4,a)') 'G',k,'/'
+               endif
+            else               !Handle B.W.
+               if (xi .lt. 10) then
+                  write(dirname,'(a,f5.3,a,a)') 'G',xi,'/'
+               else if (xi .lt. 100) then
+                  write(dirname,'(a,f6.3,a,a)') 'G',xi,'/'
+               else if (xi .lt. 1000) then
+                  write(dirname,'(a,f7.3,a,a)') 'G',xi,'/'
+               else if (xi .lt. 10000) then
+                  write(dirname,'(a,3f8.3,a,a)') 'G',xi,'/'
+               endif
+            endif
+            ip = index(dirname,'/')
+            write(*,*) 'Scaling ',dirname(1:ip)
+            call scale_dir(dirname,j,ip)
+         endif
+      enddo
+ 99   close(35)
+      close(16)
+      stop
+c
+c     Come here if there isn't a symfact file. Means we will work on
+c     this file alone
+c
+ 59   dirname="./"
+      j = 1
+      ip = 2
+      write(*,*) 'Scaling ',dirname(1:ip)
+      call scale_dir(dirname,j,ip)
+      close(16)
+      stop   
+ 999  write(*,*) 'Error opening file ',scaled_file
+      close(16)
+      end
+
+      subroutine scale_dir(dirname,mfact, ip)
+c********************************************************************
+c     Takes events from events.dat and scales them according to 
+c     the correct cross section. 
+c********************************************************************
+      implicit none
+c
+c     parameters
+c     
+      include 'nexternal.inc'
+      character*(*) event_file,           xsec_file
+      parameter (event_file='events.lhe', xsec_file='results.dat')
+      integer maxexternal
+      parameter (maxexternal=15)
+
+c
+c     Arguments
+c
+      integer mfact, ip
+      character*(30) dirname
+c
+c     Local
+c
+      double precision xsec, sum, wgt, mxwgt
+      double precision x1,x2,p(0:4,nexternal)
+      integer i,j,k, kevent,m, ic(7,maxexternal),n
+      double precision scale,aqed,aqcd
+      integer ievent
+      character*79 buff
+      logical done
+c-----
+c  Begin Code
+c-----     
+      open(unit=15,file=dirname(1:ip) // xsec_file,status='old',err=998)
+      read(15,*) xsec
+      xsec = xsec * mfact 
+      close(15)
+      sum=0d0
+      mxwgt=-1d0
+      kevent = 0
+      open(unit=15,file=dirname(1:ip)//event_file,status='old',err=999)
+      done = .false.
+      do while (.not. done)
+         call read_event(15,p,wgt,n,ic,ievent,scale,aqcd,aqed,done)
+         if (.not. done) then
+            sum=sum+wgt
+            mxwgt = max(wgt,mxwgt)
+            kevent = kevent+1
+         endif
+      enddo      
+ 99   close(15)
+      write(*,*) 'Found ',kevent,' events'
+      write(*,*) 'total weight',sum
+      write(*,*) 'Integrated weight',xsec
+c      stop
+c
+c     Now write out scaled events
+c
+      call write_comments(16)
+      open(unit=15,file=dirname(1:ip) //event_file,status='old',err=999)
+      done=.false.
+      m = 0
+      do while (.not. done)
+         m=m+1
+         call read_event(15,p,wgt,n,ic,ievent,scale,aqcd,aqed,done)
+c         call read_event(15,p,wgt,n,ic,done)
+         if (.not. done) then
+            call write_event(16,p,wgt*xsec/sum,n,ic,m,scale,aqcd,aqed)
+         endif
+      enddo 
+ 900  close(15)
+      return
+ 55   format(i3,4e19.12)         
+ 998  write(*,*) 'Error opening file ',dirname(1:ip) // xsec_file
+      return
+ 999  write(*,*) 'Error opening file ',dirname(1:ip) //event_file
+      return
+      end

=== added file 'Template/Source/select_events.f'
--- Template/Source/select_events.f	1970-01-01 00:00:00 +0000
+++ Template/Source/select_events.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,300 @@
+      program pick_events
+c********************************************************************
+c     Takes events from scaled.dat and plots distributions 
+c********************************************************************
+      implicit none
+      integer nevents
+      double precision mxwgt,mxwgt1, wgt_goal, eff,xsec
+      integer gevents
+c-----
+c   Begin Code
+c-----
+      call read_all_events(nevents,mxwgt,mxwgt1,eff,xsec)
+      write(*,*) 'Number of events',nevents,mxwgt,mxwgt1
+      write(*,'($a,i7,a)') 'Enter number of events desired ( <',
+     &     int(nevents*eff),') '
+      read(*,*) gevents
+      wgt_goal = mxwgt1*Max((nevents*eff)/gevents,1d0)
+c      wgt_goal =  mxwgt1      
+      call write_events(wgt_goal,xsec,gevents)
+      end
+
+      subroutine write_events(wgt_goal,xsec,gevents)
+c********************************************************************
+c     
+c********************************************************************
+      implicit none
+c
+c     parameters
+c     
+      character*(*) scaled_file
+      parameter (scaled_file='events.lhe')
+      character*(*) unwgt_file
+      parameter (unwgt_file='unweighted_events.lhe')
+      integer    max_write
+      parameter (max_write=100000)
+      integer    maxexternal
+      parameter (maxexternal=15)
+c
+c     Arguments
+c
+      double precision wgt_goal,xsec
+      integer gevents
+c
+c     Local
+c
+      double precision sum, wgt, s_over
+      double precision p(0:4,maxexternal),r
+      integer i,j,k,m, kevent, ic(7,maxexternal)
+      integer iseed, n_over, n
+      integer i4,r8,record_length,irc,ng,iol
+      real xran1
+      character*79 buff
+      logical lwrite
+      logical*1 l_store(max_write)
+      logical done
+      double precision scale, aqcd, aqed
+      integer ievent
+
+      external xran1
+c-----
+c  Begin Code
+c-----     
+      sum=0d0
+      s_over = 0d0
+      n_over = 0
+      iseed = 0
+c      mxwgt=-1d0
+      kevent = 0
+      rewind(37)        !This is comment block
+      open(unit=15,file=scaled_file, status='old',err=999)
+      I4 = 4
+      R8 = 8
+      record_length = 3*I4+maxexternal*I4*7+maxexternal*4*R8+3*R8
+      open(unit=16,access='direct',status='scratch',err=999,
+     &     recl=record_length)
+      done=.false.
+      do while (.not. done)
+c         write(*,*) 'Reading Event'
+         call read_event(15,P,wgt,n,ic,ievent,scale,aqcd,aqed,done)
+c         write(*,*) 'read event',n,wgt,wgt_goal
+         if (.not. done) then
+            r = xran1(iseed)
+            lwrite = (wgt / r .gt. wgt_goal)
+c            write(*,*) 'lwrite',lwrite,r
+            if (lwrite) then
+               sum=sum+wgt_goal
+               kevent = kevent+1
+               l_store(kevent)=.false.
+c               write(*,*) 'writing event',kevent
+               write(16,rec=kevent) wgt_goal,n,
+     &              ((ic(i,j),j=1,maxexternal),i=1,7),
+     &              ((p(i,j),i=0,3),j=1,maxexternal),scale,aqcd,aqed 
+               if (wgt .gt. wgt_goal) then
+                  s_over = s_over-wgt_goal+wgt
+                  n_over = n_over + 1
+               endif
+            endif
+         endif
+      enddo
+ 99   close(15)
+c      rewind(16)
+c      write(*,*) 'Done',kevent
+      open(unit=26,file=unwgt_file, status='unknown',err=999)
+      call write_comments(26)
+      write(26,'(a2,75a1)') '##',('*', i=1,68)
+      write(26,'(a)') '##'
+      write(26,'(a)') '##-----------------------'
+      write(26,'(a)') '## Unweighting Statistics'
+      write(26,'(a)') '##-----------------------'
+      write(26,'(a)') '##'
+      write(26,'(a,i7)') '##   Number of Events Written   :' , kevent
+      write(26,'(a,i7)') '##   Number of Events Truncated :' , n_over
+      write(26,'(a,f7.2,a)') '##   Truncated Cross Section    :' ,
+     $     s_over*100./(xsec),"%"
+
+      write(26,'(a2,75a1)') '##',('*', i=1,68)
+
+      k=0
+      do while(k .lt. kevent)
+         r = xran1(iseed)
+         ng=0
+         i=0
+c         write(*,*) r,kevent,k
+         do while (r .gt. real(ng)/(kevent-k) .and. i .lt. kevent)
+c            write(*,*) r,kevent,k
+            i=i+1
+            if (.not. l_store(i)) ng=ng+1
+         enddo
+         k=k+1
+         l_store(i)=.true.
+c         write(*,*) 'Writing event ',k,i
+         read(16,rec=i) wgt_goal,n,
+     &        ((ic(i,j),j=1,maxexternal),i=1,7),
+     &        ((p(i,j),i=0,3),j=1,maxexternal),scale,aqcd,aqed 
+
+         wgt_goal = wgt_goal*xsec/sum
+         call write_event(26,p,wgt_goal,n,ic,k,scale,aqcd,aqed)
+      enddo
+ 92   close(16,status='delete')
+      close(26)
+ 55   format(i3,4e19.11)         
+      write(*,*) 'Wrote ',kevent,' events'
+      write(*,*) 'Integrated weight',xsec
+      write(*,*) 'Truncated events ',n_over,
+     &     s_over, s_over/xsec*100,'%'      
+      return
+ 999  write(*,*) 'Error opening file ',scaled_file
+      end
+
+      subroutine read_all_events(kevent, mxwgt,mxwgt1, eff, xsec)
+c********************************************************************
+c********************************************************************
+      implicit none
+c
+c     parameters
+c     
+      character*(*) scaled_file
+      parameter (scaled_file='events.lhe')
+      integer maxexternal
+      parameter (maxexternal=15)
+      include 'run_config.inc'
+      integer    max_read
+      parameter (max_read = 2000000)
+c
+c     Arguments
+c
+      integer kevent
+      double precision mxwgt,mxwgt1,eff,xsec
+c
+c     Local
+c
+      double precision sum, wgt
+      double precision p(0:3,maxexternal)
+      real xwgt(max_read),xtot
+      integer i,j,k,m, ic(7,maxexternal),n
+      double precision scale,aqcd,aqed
+      integer ievent
+      logical done
+      character*79 buff
+c-----
+c  Begin Code
+c-----     
+      sum=0d0
+      mxwgt=-1d0
+      kevent = 0
+      open(unit=15,file=scaled_file, status='old',err=999)
+      done=.false.
+      do while (.not. done)
+         call read_event(15,P,wgt,n,ic,ievent,scale,aqcd,aqed,done)
+c         call read_event(15,p,wgt,n,ic,done)
+         if (.not. done) then
+            sum=sum+wgt
+            kevent = kevent+1
+            xwgt(kevent) = wgt
+            mxwgt = max(wgt,mxwgt)
+         endif
+         if (kevent .ge. max_read) then
+            write(*,*) 'Error too many events to read in select_events'
+     $           , kevent
+            write(*,*) 'Reset max_read in Source/select_events.f'
+            stop
+         endif
+      enddo
+ 99   close(15)
+ 55   format(i3,4e19.11)         
+      write(*,*) 'Sorting',kevent
+      call sort(kevent,xwgt)
+      xtot = 0d0
+      i = kevent
+      do while (xtot-xwgt(i)*(kevent-i) .lt. sum*trunc_max
+     $     .and. i .gt. 2)      !Find out minimum target
+         xtot = xtot + xwgt(i)
+         i=i-1
+      enddo
+      eff = sum/kevent/xwgt(i)
+      write(*,*) 'Found ',kevent,' events'
+      write(*,*) 'Integrated weight',sum
+      write(*,*) 'Maximum wgt',mxwgt, xwgt(i)
+      write(*,*) 'Average wgt', sum/kevent
+      write(*,*) 'Unweight Efficiency', eff
+      mxwgt1=xwgt(i)
+      xsec = sum
+      return
+ 999  write(*,*) 'Error opening file ',scaled_file
+
+      end
+
+
+
+      subroutine sort(n,ra)
+      real ra(n)
+      l=n/2+1
+      ir=n
+10    continue
+        if(l.gt.1)then
+          l=l-1
+          rra=ra(l)
+        else
+          rra=ra(ir)
+          ra(ir)=ra(1)
+          ir=ir-1
+          if(ir.eq.1)then
+            ra(1)=rra
+            return
+          endif
+        endif
+        i=l
+        j=l+l
+20      if(j.le.ir)then
+          if(j.lt.ir)then
+            if(ra(j).lt.ra(j+1))j=j+1
+          endif
+          if(rra.lt.ra(j))then
+            ra(i)=ra(j)
+            i=j
+            j=j+j
+          else
+            j=ir+1
+          endif
+        go to 20
+        endif
+        ra(i)=rra
+      go to 10
+      end
+
+      function xran1(idum)
+      dimension r(97)
+      parameter (m1=259200,ia1=7141,ic1=54773,rm1=3.8580247e-6)
+      parameter (m2=134456,ia2=8121,ic2=28411,rm2=7.4373773e-6)
+      parameter (m3=243000,ia3=4561,ic3=51349)
+      data iff /0/
+      save r, ix1,ix2,ix3
+      if (idum.lt.0.or.iff.eq.0) then
+        iff=1
+        ix1=mod(ic1-idum,m1)
+        ix1=mod(ia1*ix1+ic1,m1)
+        ix2=mod(ix1,m2)
+        ix1=mod(ia1*ix1+ic1,m1)
+        ix3=mod(ix1,m3)
+        do 11 j=1,97
+          ix1=mod(ia1*ix1+ic1,m1)
+          ix2=mod(ia2*ix2+ic2,m2)
+          r(j)=(float(ix1)+float(ix2)*rm2)*rm1
+11      continue
+        idum=1
+      endif
+      ix1=mod(ia1*ix1+ic1,m1)
+      ix2=mod(ia2*ix2+ic2,m2)
+      ix3=mod(ia3*ix3+ic3,m3)
+      j=1+(97*ix3)/m3
+      if(j.gt.97.or.j.lt.1)then
+         write(*,*) 'j is bad in ran1.f',j, 97d0*ix3/m3
+         pause
+      endif
+      xran1=r(j)
+      r(j)=(float(ix1)+float(ix2)*rm2)*rm1
+      return
+      end
+
+

=== added file 'Template/Source/setrun.f'
--- Template/Source/setrun.f	1970-01-01 00:00:00 +0000
+++ Template/Source/setrun.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,474 @@
+      subroutine setrun
+c----------------------------------------------------------------------
+c     Sets the run parameters reading them from the run_card.dat
+c
+c 1. PDF set
+c 2. Collider parameters
+c 3. cuts
+c---------------------------------------------------------------------- 
+      implicit none
+c
+c     parameters
+c
+      integer maxpara
+      parameter (maxpara=1000)
+c
+c     local
+c     
+      integer npara
+      character*20 param(maxpara),value(maxpara)
+c
+c     include
+c
+      include 'genps.inc'
+      include 'PDF/pdf.inc'
+      include 'run.inc'
+      include 'alfas.inc'
+      include 'MODEL/coupl.inc'
+
+      double precision D
+      common/to_dj/D
+c
+c     local
+c
+      character*20 ctemp
+      integer k,i,l1,l2
+      character*132 buff
+      real*8 sf1,sf2
+      integer lp1,lp2
+      real*8 eb1,eb2
+      real*8 pb1,pb2
+C
+C     input cuts
+C
+      include 'cuts.inc'
+C
+C     BEAM POLARIZATION
+C
+      REAL*8 POL(2)
+      common/to_polarization/ POL
+      data POL/1d0,1d0/
+c
+c     Les Houches init block (for the <init> info)
+c
+      integer maxpup
+      parameter(maxpup=100)
+      integer idbmup,pdfgup,pdfsup,idwtup,nprup,lprup
+      double precision ebmup,xsecup,xerrup,xmaxup
+      common /heprup/ idbmup(2),ebmup(2),pdfgup(2),pdfsup(2),
+     &     idwtup,nprup,xsecup(maxpup),xerrup(maxpup),
+     &     xmaxup(maxpup),lprup(maxpup)
+c
+      include 'nexternal.inc'
+      integer    maxflow
+      parameter (maxflow=999)
+      integer idup(nexternal,maxproc)
+      integer mothup(2,nexternal,maxproc)
+      integer icolup(2,nexternal,maxflow)
+      include 'leshouche.inc'
+c
+c
+c
+      logical gridrun,gridpack
+      integer          iseed
+      common /to_seed/ iseed
+c
+c----------
+c     start
+c----------
+c
+c     read the run_card.dat
+c
+      call load_para(npara,param,value)
+
+c*********************************************************************
+c max jet flavor                                                     *
+c*********************************************************************
+
+      call  get_integer (npara,param,value,"maxjetflavor",maxjetflavor,4)
+
+c*********************************************************************
+c     Minimum pt's                                                   *
+c*********************************************************************
+
+      call get_real   (npara,param,value," ptj    ",ptj,20d0)
+      call get_real   (npara,param,value," ptb    ",ptb,20d0)
+      call get_real   (npara,param,value," pta    ",pta,20d0)
+      call get_real   (npara,param,value," ptl    ",ptl,20d0)
+      call get_real   (npara,param,value," misset ",misset,0d0)
+      call get_real   (npara,param,value," ptonium ",ptonium,0d0)
+
+c*********************************************************************
+c     Maximum pt's                                                   *
+c*********************************************************************
+
+      call get_real   (npara,param,value," ptjmax ",ptjmax,1d5)
+      call get_real   (npara,param,value," ptbmax ",ptbmax,1d5)
+      call get_real   (npara,param,value," ptamax ",ptamax,1d5)
+      call get_real   (npara,param,value," ptlmax ",ptlmax,1d5)
+      call get_real   (npara,param,value," missetmax ",missetmax,1d5)
+
+c*********************************************************************
+c     Maximum rapidity (absolute value)                              *
+c*********************************************************************
+
+      call get_real   (npara,param,value," etaj ",etaj,4d0)
+      call get_real   (npara,param,value," etab ",etab,4d0)
+      call get_real   (npara,param,value," etaa ",etaa,4d0)
+      call get_real   (npara,param,value," etal ",etal,4d0)
+      call get_real   (npara,param,value," etaonium ",etaonium,1d2)
+
+c*********************************************************************
+c     Minimum rapidity (absolute value)                              *
+c*********************************************************************
+
+      call get_real   (npara,param,value," etajmin ",etajmin,0d0)
+      call get_real   (npara,param,value," etabmin ",etabmin,0d0)
+      call get_real   (npara,param,value," etaamin ",etaamin,0d0)
+      call get_real   (npara,param,value," etalmin ",etalmin,0d0)
+
+c*********************************************************************
+c     Minimum E's                                                   *
+c*********************************************************************
+
+      call get_real   (npara,param,value," ej ", ej, 0d0)
+      call get_real   (npara,param,value," eb ", eb, 0d0)
+      call get_real   (npara,param,value," ea ", ea, 0d0)
+      call get_real   (npara,param,value," el ", el, 0d0)
+
+
+c*********************************************************************
+c     Maximum E's                                                    *
+c*********************************************************************
+
+      call get_real   (npara,param,value," ejmax ", ejmax, 1d5)
+      call get_real   (npara,param,value," ebmax ", ebmax, 1d5)
+      call get_real   (npara,param,value," eamax ", eamax, 1d5)
+      call get_real   (npara,param,value," elmax ", elmax, 1d5)
+
+c*********************************************************************
+c     Minimum DeltaR distance                                        *
+c*********************************************************************
+
+      call get_real   (npara,param,value," drjj ",drjj,0.4d0)
+      call get_real   (npara,param,value," drbb ",drbb,0.4d0)
+      call get_real   (npara,param,value," drll ",drll,0.4d0)
+      call get_real   (npara,param,value," draa ",draa,0.4d0)
+      call get_real   (npara,param,value," drbj ",drbj,0.4d0)
+      call get_real   (npara,param,value," draj ",draj,0.4d0)
+      call get_real   (npara,param,value," drjl ",drjl,0.4d0)
+      call get_real   (npara,param,value," drab ",drab,0.4d0)
+      call get_real   (npara,param,value," drbl ",drbl,0.4d0)
+      call get_real   (npara,param,value," dral ",dral,0.4d0)
+
+c*********************************************************************
+c     Maximum DeltaR distance                                        *
+c*********************************************************************
+
+      call get_real   (npara,param,value," drjjmax ",drjjmax,1d2)
+      call get_real   (npara,param,value," drbbmax ",drbbmax,1d2)
+      call get_real   (npara,param,value," drllmax ",drllmax,1d2)
+      call get_real   (npara,param,value," draamax ",draamax,1d2)
+      call get_real   (npara,param,value," drbjmax ",drbjmax,1d2)
+      call get_real   (npara,param,value," drajmax ",drajmax,1d2)
+      call get_real   (npara,param,value," drjlmax ",drjlmax,1d2)
+      call get_real   (npara,param,value," drabmax ",drabmax,1d2)
+      call get_real   (npara,param,value," drblmax ",drblmax,1d2)
+      call get_real   (npara,param,value," dralmax ",dralmax,1d2)
+
+c*********************************************************************
+c     Minimum invariant mass for pairs                               *
+c*********************************************************************
+
+      call get_real   (npara,param,value," mmjj ",mmjj,0d0)
+      call get_real   (npara,param,value," mmbb ",mmbb,0d0)
+      call get_real   (npara,param,value," mmaa ",mmaa,0d0)
+      call get_real   (npara,param,value," mmll ",mmll,0d0)
+
+c*********************************************************************
+c     Maximum invariant mass for pairs                               *
+c*********************************************************************
+
+      call get_real   (npara,param,value," mmjjmax ",mmjjmax,1d5)
+      call get_real   (npara,param,value," mmbbmax ",mmbbmax,1d5)
+      call get_real   (npara,param,value," mmaamax ",mmaamax,1d5)
+      call get_real   (npara,param,value," mmllmax ",mmllmax,1d5)
+
+c*********************************************************************
+c     Min Maxi invariant mass for all leptons                        *
+c*********************************************************************
+
+      call get_real   (npara,param,value," mmnl    ",mmnl   ,0d0)
+      call get_real   (npara,param,value," mmnlmax ",mmnlmax,1d5)
+
+c*********************************************************************
+c     Inclusive cuts                                                 *
+c*********************************************************************
+
+      call get_real   (npara,param,value," xptj ",xptj,0d0)
+      call get_real   (npara,param,value," xptb ",xptb,0d0)
+      call get_real   (npara,param,value," xpta ",xpta,0d0)
+      call get_real   (npara,param,value," xptl ",xptl,0d0)
+      call get_real   (npara,param,value," xmtcentral ",xmtc,0d0)
+
+c*********************************************************************
+c     WBF cuts                                                       *
+c*********************************************************************
+
+      call get_real   (npara,param,value," xetamin ",xetamin,0d0)
+      call get_real   (npara,param,value," deltaeta",deltaeta,0d0)
+
+c*********************************************************************
+c     Jet measure cuts                                               *
+c*********************************************************************
+
+      call get_real   (npara,param,value," xqcut ",xqcut,0d0)
+      call get_real   (npara,param,value," d ",D,1d0)
+
+c*********************************************************************
+c Set min pt of one heavy particle                                   *
+c*********************************************************************
+
+ 	call get_real   (npara,param,value,"ptheavy",ptheavy,0d0)
+
+c*********************************************************************
+c Check   the pt's of the jets sorted by pt                          *
+c*********************************************************************
+
+ 	call get_real   (npara,param,value,"ptj1min",ptj1min,0d0)
+ 	call get_real   (npara,param,value,"ptj1max",ptj1max,1d5)
+ 	call get_real   (npara,param,value,"ptj2min",ptj2min,0d0)
+ 	call get_real   (npara,param,value,"ptj2max",ptj2max,1d5)
+ 	call get_real   (npara,param,value,"ptj3min",ptj3min,0d0)
+ 	call get_real   (npara,param,value,"ptj3max",ptj3max,1d5)
+ 	call get_real   (npara,param,value,"ptj4min",ptj4min,0d0)
+ 	call get_real   (npara,param,value,"ptj4max",ptj4max,1d5)
+	call get_real   (npara,param,value,"cutuse",cutuse,0d0)
+
+c*********************************************************************
+c Check  Ht                                                          *
+c*********************************************************************
+
+	call get_real   (npara,param,value,"ht2min",ht2min,0d0)
+	call get_real   (npara,param,value,"ht3min",ht3min,0d0)
+	call get_real   (npara,param,value,"ht4min",ht4min,0d0)
+	call get_real   (npara,param,value,"ht2max",ht2max,1d5)
+	call get_real   (npara,param,value,"ht3max",ht3max,1d5)
+	call get_real   (npara,param,value,"ht4max",ht4max,1d5)
+
+	call get_real   (npara,param,value,"htjmin",htjmin,0d0)
+	call get_real   (npara,param,value,"htjmax",htjmax,1d5)
+
+c*********************************************************************
+c     Random Number Seed                                             *
+c*********************************************************************
+
+      call get_logical   (npara,param,value," gridrun ",gridrun,.false.)
+      call get_logical   (npara,param,value," gridpack ",gridpack,.false.)
+      if (gridrun.and.gridpack)then
+         call get_integer   (npara,param,value," gseed ",iseed,0)
+      else 
+         call get_integer (npara,param,value," iseed ",iseed,0)
+      endif
+
+c************************************************************************     
+c     Renormalization and factorization scales                          *
+c************************************************************************     
+c
+c     If the following flags to .false. then event-by-event
+c     scale choice is requested. In this case edit the 
+c     user subroutines set_ren_scale and set_fac_scale in setpara.f
+
+      call get_logical(npara,param,value," fixed_ren_scale ",fixed_ren_scale,.true.)
+      call get_logical(npara,param,value," fixed_fac_scale ",fixed_fac_scale,.true.)
+      call get_real   (npara,param,value," scale "          ,scale,91.188d0)
+      call get_real   (npara,param,value," dsqrt_q2fact1 "  ,sf1  ,91.188d0)
+      call get_real   (npara,param,value," dsqrt_q2fact2 "  ,sf2  ,91.188d0)
+
+      q2fact(1) = sf1**2      ! fact scale**2 for pdf1
+      q2fact(2) = sf2**2      ! fact scale**2 for pdf2     
+
+      call get_real   (npara,param,value," scalefact "      ,scalefact, 1d0)
+      call get_logical(npara,param,value," fixed_couplings ",fixed_couplings,.true.)
+      call get_integer(npara,param,value," ickkw "          ,ickkw    , 0  )
+      call get_logical(npara,param,value," chcluster ",chcluster,.false.)
+c     ktscheme for xqcut: 1: pT/Durham kT; 2: pythia pTE/Durham kT
+      call get_integer (npara,param,value," ktscheme ",ktscheme,1)
+
+      if(ickkw.gt.0)then
+         call get_real   (npara,param,value," alpsfact "       ,alpsfact , 1d0)
+      endif
+      if(ickkw.eq.2)then
+        call get_integer(npara,param,value," highestmult "    ,nhmult, 0)
+        call get_string (npara,param,value," issgridfile ",issgridfile,'issudgrid.dat')
+      endif
+
+c************************************************************************     
+c    Collider energy and type                                           *
+c************************************************************************     
+c     lpp  = -1 (antiproton), 0 (no pdf), 1 (proton)
+c     lpp  =  2 (proton emitting a photon without breaking)
+c     lpp  =  3 (electron emitting a photon)
+c     ebeam= energy of each beam in GeV
+
+      call get_integer(npara,param,value," lpp1 "   ,lp1,1  )
+      call get_integer(npara,param,value," lpp2 "   ,lp2,1  )
+      call get_real   (npara,param,value," ebeam1 " ,eb1,7d3)
+      call get_real   (npara,param,value," ebeam2 " ,eb2,7d3)
+     
+      lpp(1)=lp1
+      lpp(2)=lp2
+      ebeam(1)=eb1
+      ebeam(2)=eb2
+
+c************************************************************************     
+c    Beam polarization
+c************************************************************************     
+      call get_real   (npara,param,value," polbeam1 " ,pb1,0d0)
+      call get_real   (npara,param,value," polbeam2 " ,pb2,0d0)
+
+      if(pb1.ne.0d0.and.lp1.eq.0) pol(1)=sign(1+abs(pb1)/100d0,pb1)
+      if(pb2.ne.0d0.and.lp2.eq.0) pol(2)=sign(1+abs(pb2)/100d0,pb2)
+
+      if(pb1.ne.0.or.pb2.ne.0) write(*,*) 'Setting beam polarization ',
+     $     sign((abs(pol(1))-1)*100,pol(1)),
+     $     sign((abs(pol(2))-1)*100,pol(2))
+
+c************************************************************************     
+c    BW cutoff (M+/-bwcutoff*Gamma)
+c************************************************************************     
+      call get_real   (npara,param,value," bwcutoff " ,bwcutoff,15d0)
+
+c************************************************************************     
+c    Collider pdf                                                       *
+c************************************************************************     
+
+      call get_string (npara,param,value," pdlabel ",pdlabel,'cteq6l1')
+c
+c     if lhapdf is used the following number identifies the set
+c
+      call get_integer(npara,param,value," lhaid  ",lhaid,10042)
+
+c !!! Default behavior changed (MH, Aug. 07) !!!
+c If no pdf, read the param_card and use the value from there and
+c order of alfas running = 2
+
+      if(lp1.ne.0.or.lp2.ne.0) then
+          write(*,*) 'A PDF is used, so alpha_s(MZ) is going to be modified'
+          call setpara('param_card.dat',.true.)
+          asmz=G**2/(16d0*atan(1d0))
+          write(*,*) 'Old value of alpha_s from param_card: ',asmz
+          call pdfwrap
+          write(*,*) 'New value of alpha_s from PDF ',pdlabel,':',asmz
+      else
+          call setpara('param_card.dat',.true.)
+          asmz=G**2/(16d0*atan(1d0))
+          nloop=2
+          pdlabel='none'
+          write(*,*) 'No PDF is used, alpha_s(MZ) from param_card is used'
+          write(*,*) 'Value of alpha_s from param_card: ',asmz
+          write(*,*) 'The default order of alpha_s running is fixed to ',nloop
+      endif
+c !!! end of modification !!!
+
+C       Fill common block for Les Houches init info
+      do i=1,2
+        if(lpp(i).eq.1.or.lpp(i).eq.2) then
+          idbmup(i)=2212
+        elseif(lpp(i).eq.-1.or.lpp(i).eq.-2) then
+          idbmup(i)=-2212
+        elseif(lpp(i).eq.3) then
+          idbmup(i)=11
+        elseif(lpp(i).eq.-3) then
+          idbmup(i)=-11
+        elseif(lpp(i).eq.0) then
+          idbmup(i)=idup(i,1)
+        else
+          idbmup(i)=lpp(i)
+        endif
+        ebmup(i)=ebeam(i)
+      enddo
+      call get_pdfup(pdlabel,pdfgup,pdfsup,lhaid)
+
+      return
+ 99   write(*,*) 'error in reading'
+      return
+      end
+
+C-------------------------------------------------
+C   GET_PDFUP
+C   Convert MadEvent pdf name to LHAPDF number
+C-------------------------------------------------
+
+      subroutine get_pdfup(pdfin,pdfgup,pdfsup,lhaid)
+      implicit none
+
+      character*(*) pdfin
+      integer mpdf
+      integer npdfs,i,pdfgup(2),pdfsup(2),lhaid
+
+      parameter (npdfs=13)
+      character*7 pdflabs(npdfs)
+      data pdflabs/
+     $   'none',
+     $   'mrs02nl',
+     $   'mrs02nn',
+     $   'cteq4_m',
+     $   'cteq4_l',
+     $   'cteq4_d',
+     $   'cteq5_m',
+     $   'cteq5_d',
+     $   'cteq5_l',
+     $   'cteq5m1',
+     $   'cteq6_m',
+     $   'cteq6_l',
+     $   'cteq6l1'/
+      integer numspdf(npdfs)
+      data numspdf/
+     $   00000,
+     $   20250,
+     $   20270,
+     $   19150,
+     $   19170,
+     $   19160,
+     $   19050,
+     $   19060,
+     $   19070,
+     $   19051,
+     $   10000,
+     $   10041,
+     $   10042/
+
+
+      if(pdfin.eq."lhapdf") then
+        write(*,*)'using LHAPDF'
+        do i=1,2
+           pdfgup(i)=0
+           pdfsup(i)=lhaid
+        enddo
+        return
+      endif
+
+      
+      mpdf=-1
+      do i=1,npdfs
+        if(pdfin(1:len_trim(pdfin)) .eq. pdflabs(i))then
+          mpdf=numspdf(i)
+        endif
+      enddo
+
+      if(mpdf.eq.-1) then
+        write(*,*)'pdf ',pdfin,' not implemented in get_pdfup.'
+        write(*,*)'known pdfs are'
+        write(*,*) pdflabs
+        write(*,*)'using ',pdflabs(12)
+        mpdf=numspdf(12)
+      endif
+
+      do i=1,2
+        pdfgup(i)=0
+        pdfsup(i)=mpdf
+      enddo
+
+      return
+      end

=== added file 'Template/Source/setrun_gen.f'
--- Template/Source/setrun_gen.f	1970-01-01 00:00:00 +0000
+++ Template/Source/setrun_gen.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,91 @@
+      subroutine setrun
+c----------------------------------------------------------------------
+c     Sets the run parameters reading them from the run_card.dat
+c
+c 1. PDF set
+c 2. Collider parameters
+c 3. cuts
+c---------------------------------------------------------------------- 
+      implicit none
+c
+c     parameters
+c
+      integer maxpara
+      parameter (maxpara=1000)
+c
+c     local
+c     
+      integer npara
+      character*20 param(maxpara),value(maxpara)
+c
+c     include
+c
+      include 'genps.inc'
+      include 'PDF/pdf.inc'
+      include 'run.inc'
+      include 'alfas.inc'
+c
+c     local
+c
+      character*20 ctemp
+      integer k,i,l1,l2
+      character*132 buff
+      real*8 sf1,sf2
+      integer lp1,lp2
+      real*8 eb1,eb2
+      real*8 pb1,pb2
+C
+C     input cuts
+C
+      include 'cuts.inc'
+c
+c----------
+c     start
+c----------
+c
+c     read the run_card.dat
+c
+      call load_para(npara,param,value)
+
+c*********************************************************************
+c     Jet measure cuts                                               *
+c*********************************************************************
+
+      call get_real   (npara,param,value," xqcut ",xqcut,0d0)
+
+c************************************************************************     
+c    Collider energy and type                                           *
+c************************************************************************     
+c     lpp  = -1 (antiproton), 0 (no pdf), 1 (proton)
+c     lpp  =  2 (proton emitting a photon without breaking)
+c     lpp  =  3 (electron emitting a photon)
+c     ebeam= energy of each beam in GeV
+
+      call get_integer(npara,param,value," lpp1 "   ,lp1,1  )
+      call get_integer(npara,param,value," lpp2 "   ,lp2,1  )
+      call get_real   (npara,param,value," ebeam1 " ,eb1,7d3)
+      call get_real   (npara,param,value," ebeam2 " ,eb2,7d3)
+     
+      lpp(1)=lp1
+      lpp(2)=lp2
+      ebeam(1)=eb1
+      ebeam(2)=eb2
+
+c************************************************************************     
+c    Collider pdf                                                       *
+c************************************************************************     
+
+      call get_string (npara,param,value," pdlabel ",pdlabel,'cteq6l1')
+c
+c     if lhapdf is used the following number identifies the set
+c
+      if(pdlabel.eq.'''lhapdf''')
+     $     call get_integer(npara,param,value," lhaid  ",lhaid,10042)
+
+      call pdfwrap
+
+      return
+ 99   write(*,*) 'error in reading'
+      return
+      end
+

=== added file 'Template/Source/sudgrid.inc'
--- Template/Source/sudgrid.inc	1970-01-01 00:00:00 +0000
+++ Template/Source/sudgrid.inc	2010-10-30 03:26:37 +0000
@@ -0,0 +1,4 @@
+      integer npt2,nx1,nx2
+      parameter(npt2=40,nx1=80,nx2=20)
+      double precision points(nx2+nx1+npt2,2),sudgrid(nx2,nx1,npt2,-2:5)
+      common/sudgrid/points,sudgrid

=== added file 'Template/Source/sum.f'
--- Template/Source/sum.f	1970-01-01 00:00:00 +0000
+++ Template/Source/sum.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,55 @@
+      program sum
+c********************************************************************************
+c     Program to combine results from all of the different sub amplitudes 
+c     and given total
+c     cross section and error.
+c*****************************************************************************
+      implicit none
+c
+c     Constants
+c
+      character*(*) rfile
+      parameter (rfile='result')
+      character*(*) symfile
+      parameter (symfile='symfact.dat')
+      integer   max_amps
+      parameter (max_amps=999)
+c
+c     local
+c
+      double precision xsec(max_amps), xerr(max_amps)
+      character*80 fname
+      integer i,j
+      double precision xtot,errtot
+c-----
+c  Begin Code
+c-----
+      xtot=0d0
+      errtot=0d0
+      open(unit=15,file=symfile,status='old',err=999)
+      do while (.true.)
+         read(15,*,err=99) i,j
+         if (j .gt. 0) then
+            if (i .lt. 10) then
+               write(fname,'(a,i1,a,a)') 'G',i,'/',rfile
+c               write(*,*) fname
+            else if (i .lt. 100) then
+               write(fname,'(a,i2,a,a)') 'G',i,'/',rfile
+c               write(*,*) fname
+            else if (i .lt. 1000) then
+               write(fname,'(a,i3,a,a)') 'G',i,'/',rfile
+c               write(*,*) fname
+            endif
+            open(unit=25,file=fname,status='old',err=95)
+            read(25,*) xsec(i), xerr(i)
+            xtot = xtot+xsec(i)*j
+            errtot=errtot+j*xerr(i)**2
+            write(*,'(2i4,2e12.4)') i,j, xsec(i),xerr(i)
+ 95         close(25)
+         endif
+      enddo
+ 99   write(*,*) 'done',xtot,sqrt(errtot)
+      close(15)
+      stop
+ 999  write(*,*) 'error'
+      end

=== added file 'Template/Source/sum_html.f'
--- Template/Source/sum_html.f	1970-01-01 00:00:00 +0000
+++ Template/Source/sum_html.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,800 @@
+      program sum_html
+c*****************************************************************************
+c     Program to combine results from all of the different sub amplitudes 
+c     and given total  cross section and error.
+c*****************************************************************************
+      implicit none
+c
+c     Constants
+c
+      character*(*) subfile
+      parameter (subfile='subproc.mg')
+      character*(*) symfile
+      parameter (symfile='symfact.dat')
+      character*(*) rfile
+      parameter (rfile='results.dat')
+      integer   max_amps      , max_iter
+      parameter (max_amps=9999, max_iter=50)
+c
+c     local
+c
+      double precision xsec(max_amps), xerr(max_amps)
+      double precision xerru(max_amps),xerrc(max_amps)
+      double precision xmax(max_amps), eff(max_amps)
+      double precision xlum(max_amps), xlum_min
+      double precision ysec_iter(0:max_iter)
+      double precision yerr_iter(0:max_iter)
+      double precision tsec_iter(0:max_iter)
+      double precision terr_iter(0:max_iter)
+      double precision f(0:max_iter)
+      double precision ysec, yerr, yeff, ymax
+      double precision tsec, terr, teff, tmax
+      double precision tmean, tsig, chi2
+      integer nw(max_amps), nevents(max_amps), maxit
+      integer icor(max_amps)
+      integer nunwgt(max_amps)
+      integer minit
+      character*80 fname, pname
+      character*80 linkname(max_amps)
+      integer i,j,k,l
+      double precision xtot,errtot,err_goal, xi
+      double precision errtotc, errtotu
+      logical correlated
+      integer mfact(max_amps)
+      integer ntevents, ntw 
+      integer ilen
+      logical errex
+
+      logical sumproc
+      common/to_sumproc/sumproc
+c-----
+c  Begin Code
+c-----
+      correlated = .true.
+      minit = max_iter
+      do i=0,max_iter
+         tsec_iter(i)=0d0
+         terr_iter(i)=0d0
+      enddo
+      sumproc = .true.
+      open(unit=15,file=symfile,status='old',err=10)
+      sumproc=.false.
+ 10   if (sumproc) then
+         open(unit=15,file=subfile,status='old',err=999)
+      endif
+      errtot=0d0
+      errtotu=0d0     !uncorrelated errors
+      errtotc=0d0     !correlated errors
+      xtot = 0d0
+      xlum_min = 1d99
+      ntevents = 0
+      ntw = 0
+      i = 0
+      do while (.true.)
+         if (sumproc) then
+            j = 1
+            read(15,*,err=99,end=99) pname
+            i=i+1
+            ilen = index(pname,' ')-1
+c            write(*,*) 'found ilen',ilen,pname
+            write(fname,'(a,a,a)') pname(1:ilen),'/',rfile
+            write(linkname(i),'(a,a,a)')pname(1:ilen),'/','results.html'
+c            write(*,*) i,'found ilen',ilen,fname(1:ilen+10)
+         else
+            read(15,*,err=99,end=99) xi,j
+            if (j .gt. 0) then
+            i=i+1
+            if ( (xi-int(xi+.01)) .lt. 1d-5) then
+               k = int(xi+.01)
+            if (k .lt. 10) then
+               write(fname,'(a,i1,a,a)') 'G',k,'/',rfile
+               write(linkname(i),'(a,i1,a,a)') 'G',k,'/','log.txt'
+            else if (k .lt. 100) then
+               write(fname,'(a,i2,a,a)') 'G',k,'/',rfile
+               write(linkname(i),'(a,i2,a,a)') 'G',k,'/','log.txt'
+            else if (k .lt. 1000) then
+               write(fname,'(a,i3,a,a)') 'G',k,'/',rfile
+               write(linkname(i),'(a,i3,a,a)') 'G',k,'/','log.txt'
+            else if (k .lt. 10000) then
+               write(fname,'(a,i4,a,a)') 'G',k,'/',rfile
+               write(linkname(i),'(a,i4,a,a)') 'G',k,'/','log.txt'
+            endif
+            else
+            if (xi .lt. 10) then
+               write(fname,'(a,f5.3,a,a)') 'G',xi,'/',rfile
+               write(linkname(i),'(a,f5.3,a,a)') 'G',xi,'/','log.txt'
+            else if (xi .lt. 100) then
+               write(fname,'(a,f6.3,a,a)') 'G',xi,'/',rfile
+               write(linkname(i),'(a,f6.3,a,a)') 'G',xi,'/','log.txt'
+            else if (xi .lt. 1000) then
+               write(fname,'(a,f7.3,a,a)') 'G',xi,'/',rfile
+               write(linkname(i),'(a,f7.3,a,a)') 'G',xi,'/','log.txt'
+            else if (xi .lt. 10000) then
+               write(fname,'(a,f8.3,a,a)') 'G',xi,'/',rfile
+               write(linkname(i),'(a,f8.3,a,a)') 'G',xi,'/','log.txt'
+            endif
+c            write(*,*) 'log name ',fname
+            endif
+            endif
+         endif
+
+
+         if (j .gt. 0) then
+            nevents(i)=0d0
+            xsec(i)=0d0
+            xerr(i)=0d0
+            xerru(i)=0d0
+            xerrc(i)=0d0
+            nw(i)  =0d0
+            mfact(i)=j
+c
+c     Read in integration data from run
+c
+            open(unit=25,file=fname,status='old',err=95)
+            read(25,*) xsec(i),xerru(i),xerrc(i),nevents(i),nw(i)
+     $           ,maxit,nunwgt(i),xlum(i)
+ 11         xerr(i) = sqrt(xerru(i)**2+xerrc(i)**2)
+            xlum(i)=xlum(i)/mfact(i)
+            ntevents=ntevents+nevents(i)
+            ntw=ntw+nw(i)
+c            maxit = min(maxit,2)
+            if (sumproc) then
+               write(*,'(a20,e15.5)') pname(2:ilen), xsec(i)
+            else
+               write(*,*) fname,i,xsec(i),mfact(i)
+            endif
+            tmax = -1d0
+            terr = 0d0
+            teff = 0d0
+            tsec = 0d0
+            if (.true.) then
+               k = 0
+               ysec_iter(0) = xsec(i)
+               do while ( k .le. maxit .and. ysec_iter(k) .gt. 0)
+                  k=k+1
+                  read(25,*,err=92,end=92) l,ysec_iter(k),yerr_iter(k)
+c                  write(*,*) k,ysec_iter(k),yerr_iter(k)
+               enddo
+ 92            maxit = k-1      !In case of error reading file
+               if (maxit .gt. 0) then
+c
+c          Check to see if we need to reduce the number of iterations
+c
+               if (maxit .lt. minit) then  !need to reset minit
+                  do k=1,minit-maxit       !and combine first iterations
+                     tsec_iter(1)=tsec_iter(1)+tsec_iter(k+1)
+                     terr_iter(1)=terr_iter(1)+terr_iter(k+1)
+                  enddo
+                  tsec_iter(1)=tsec_iter(1)/(minit-maxit+1)
+                  terr_iter(1)=terr_iter(1)/(minit-maxit+1)
+                  do k=2,maxit
+                     tsec_iter(k) = tsec_iter(k+maxit-1)
+                     terr_iter(k) = terr_iter(k+maxit-1)
+                     tsec_iter(k+maxit-1) = 0d0
+                     terr_iter(k+maxit-1) = 0d0
+c                     write(*,*) k+1,k+maxit
+                  enddo
+                  minit = maxit
+               endif
+c
+c          If this channel has more iterations, combine first few
+c          together into 1 
+c
+               if (maxit .gt. minit) then
+               do k=1,maxit-minit
+                  ysec_iter(1)=ysec_iter(1)+ysec_iter(k+1)
+                  yerr_iter(1)=sqrt(yerr_iter(1)**2+yerr_iter(k+1)**2)
+               enddo
+               ysec_iter(1)=ysec_iter(1)/(maxit-minit+1)
+               yerr_iter(1)=yerr_iter(1)/(maxit-minit+1)
+               do k=2,minit
+                  ysec_iter(k) = ysec_iter(k+minit-1)
+                  yerr_iter(k) = yerr_iter(k+minit-1)
+                  ysec_iter(k+minit-1) = 0d0
+                  yerr_iter(k+minit-1) = 0d0
+               enddo
+               endif
+c
+c              Now add these statistics to our totals for each iteration
+c
+               do k=1,minit
+                  tsec_iter(k)=tsec_iter(k)+ysec_iter(k)*mfact(i)
+                  terr_iter(k)=terr_iter(k)+(yerr_iter(k)*mfact(i))**2
+c                  write(*,*) k,ysec_iter(k),yerr_iter(k)
+               enddo
+               endif
+c               if (maxit .gt. 0) then
+c                  xsec(i)=tsec/maxit
+c                  xerr(i)=sqrt(terr)/maxit
+c               else
+c                  xsec(i)=0d0
+c                  xerr(i)=0d0
+c               endif
+            endif
+            if (xsec(i) .gt. 0d0) then
+               xlum_min = min(xlum(i),xlum_min)
+               xmax(i)=tmax/xsec(i)
+               eff(i)= xerr(i)*sqrt(real(nevents(i)))/xsec(i)
+            else
+               eff(i) = 0d0
+            endif
+            xtot = xtot+ xsec(i)*mfact(i)
+            errtot = errtot+(mfact(i)*xerr(i))**2
+c
+c     Combine error linearly if correlated, or in quadrature if not.
+c
+            errtotc = errtotc+xerrc(i)*mfact(i)
+            errtotu = errtotu + (mfact(i)*xerru(i))**2
+            write(*,*) i, sqrt(errtotu), errtotc
+
+            if (xsec(i) .eq. 0d0) xsec(i)=1d-99 
+ 95         close(25)
+c            do k=1,minit
+c               write(*,*) i,k,tsec_iter(k),sqrt(terr_iter(k))
+c            enddo
+c            write(*,*) i,maxit,xsec(i), eff(i)
+         endif         
+      enddo
+ 99   close(15)
+      errtot=sqrt(errtotu+errtotc**2)
+c      if (sumproc) then
+         open(unit=26,file=rfile,status='unknown')
+         write(26,'(3e12.5,2i9,i5,i9,e10.3)') xtot,sqrt(errtotu),
+     $        errtotc, ntw, minit,0,0,xlum_min
+         if (xtot .gt. 0) then
+            teff = sqrt(errtotc**2+errtotu**2)*sqrt(real(ntevents))/xtot
+         else
+            teff = 0d0
+         endif
+c         write(26,*) minit, xtot,errtot, ntevents, teff
+c         write(*,*) minit
+         tmean = 0d0
+         tsig  = 0d0
+         f(0)  = 0d0
+         do j=1,minit
+            f(j) = tsec_iter(j)**2/terr_iter(j)
+c            f(j)=1
+            tmean = tmean + tsec_iter(j)*f(j)
+            tsig  = tsig + terr_iter(j)*f(j)
+            f(0)=f(0)+f(j)
+c            write(*,*) 'Iteration',j,tmean/f(0),sqrt(tsig)/f(0)
+         enddo
+         tmean=tmean/f(0)
+         tsig = sqrt(tsig/f(0)/minit)
+         chi2 = 0d0
+         do j=1,minit
+            chi2  = chi2+f(j)*minit*
+     &           (tsec_iter(j)-tmean)**2/terr_iter(j)/(f(0)+1d-99)
+            write(26,*)j,tsec_iter(j),sqrt(terr_iter(j)),chi2/max(1,j-1)
+c            write(*,*) j,tsec_iter(j),sqrt(terr_iter(j)),chi2/max(1,j-1)
+         enddo
+         write(26,*) tmean,tsig,chi2/max((minit-1),1),
+     &        tsig*sqrt(real(ntevents))/tmean
+         write(*,*) 'Results', xtot,errtot, ntevents, teff
+         close(26)
+c      endif
+      call write_html(xsec,xerr,eff,xmax,xtot,errtot,mfact,i,nevents,
+     $     nunwgt,linkname,xlum)
+      if(sumproc.and.xtot.eq.0d0)then
+        open(unit=26,file='../error',status='unknown',err=999)
+        write(*,'(a)') 'Cross section is 0, try loosening cuts'
+        write(26,'(a)') 'Cross section is 0, try loosening cuts'
+        close(26)
+        stop
+      else
+        inquire(file="../error",exist=errex)
+        if(errex) then
+          call system ('rm -f ../error')
+        endif
+      endif
+      stop
+ 999  write(*,*) 'error'
+      end
+
+
+      subroutine write_html(xsec,xerr,eff,xmax,xtot,errtot,mfact,ng
+     $     ,nevents,nw,linkname,xlum)
+c*****************************************************************************
+c     Writes out HTML table of results for process
+c*****************************************************************************
+      implicit none
+c
+c     Constants
+c
+      character*(*) eventfile
+      parameter (eventfile='events.txt>')
+      character*(*) logfile
+      parameter (logfile='log.txt>')
+      character*(*) htmfile
+      parameter (htmfile='results.html')
+      integer   max_amps
+      parameter (max_amps=9999)
+c
+c     Arguments
+c
+      double precision xsec(max_amps), xerr(max_amps)
+      double precision xmax(max_amps), eff(max_amps),xlum(max_amps)
+      integer ng, nevents(max_amps),nw(max_amps)
+      double precision xtot,errtot
+      integer mfact(max_amps)
+      integer nsubproc          !Number of specific processes requested
+      logical found
+      integer ig
+      character*80 linkname(max_amps)
+      integer sname(256)
+      integer gname
+c
+c     Local
+c
+      integer i,j,k, io(max_amps), ik
+      integer ntot, ip,jp
+      character*40 procname
+      character*4 cpref
+      character*20 fnamel, fnamee
+      double precision scale,xt(max_amps), teff
+      double precision subtotal
+
+      logical sumproc
+      common/to_sumproc/sumproc
+
+c-----
+c  Begin Code
+c-----
+c
+c     Here we determine the appropriate units. Assuming the results 
+c     were written in picobarns
+c
+      if (xtot .ge. 1e4) then         !Use nano barns
+         scale=1e-3
+         cpref='(nb)'
+      elseif (xtot .ge. 1e1) then     !Use pico barns
+         scale=1e0
+         cpref='(pb)'
+      elseif (xtot .ge. 1e-2) then    !Use fempto
+         scale=1e+3
+         cpref='(fb)'
+      else                               !Use Attobarns
+         scale=1e+6
+         cpref='(ab)'
+      endif
+      ntot = 0
+      do j=1,ng
+         io(j) = j
+         ntot = ntot+nevents(j)
+         xt(j)=xsec(j)*mfact(j)                   !sort by xsec
+c         xt(j)= xerr(j)*mfact(j)                   !sort by error
+c         xt(j)=ng-j                               !sort by graph
+c         write(*,*) j,xt(j),xsec(j)
+      enddo
+c      write(*,*) 'Number of channels',ng
+      call sort2(xt,io,ng)
+
+c      do i=1,ng
+c         write(*,*) i,io(i),(xsec(1,io(i))+xsec(2,io(i)))/2d0
+c      enddo
+
+      if (xtot .gt. 0d0) then
+         teff = errtot*sqrt(real(ntot))/xtot
+      else
+         teff = 0d0
+      endif
+cfax 12.04.2006
+c      procname='Set caption in file input.dat'
+      procname='Process results'
+      ip = 1
+      jp = 30
+      open(unit=15, file='input.dat', status='old',err=11)
+      read(15,'(a)',err=11,end=11) procname
+ 11   close(15)
+      open(unit=15, file='dname.mg', status='old',err=12)
+      read(15,'(a)',err=12,end=12) procname
+cxx   tjs 3-20-2006
+c      ip = index(procname,'P')+1  !Strip off first P
+      ip = index(procname,'P')+1      !Strip off P
+      ip = ip+index(procname(ip:),'_') !Strip off process number
+      jp = ip+index(procname(ip:),' ')   !Strip off blanks
+ 12   close(15)
+      open(unit=16,file=htmfile,status='unknown',err=999)      
+      write(16,50) '<head><title>'//procname(ip:jp)//'</title></head>'
+      write(16,50) '<body>'
+      if (.not. sumproc) then
+c         write(16,50) '<h2>Results for <a href=diagrams.html>'         
+c         write(16,50) procname(ip:jp)//'</a></h2>'
+         write(16,*) '<h2><a href=diagrams.html>'//
+     &        procname(ip:jp)// '</a> <BR>'
+         write(16,*) '<font face=symbol>s</font>='
+         write(16,'(f8.3,a,f8.3,a)')xtot*scale,
+     &        '<font face=symbol>&#177</font> ', errtot*scale,cpref
+         write(16,*) '</center></h2>'
+      else
+         write(16,*) '<h2>', procname(ip:jp)// " <BR>"
+         write(16,*) '<font face=symbol>s</font>='
+         write(16,'(f8.3,a,f8.3,a)') xtot*scale,
+     &        '<font face=symbol>&#177</font> ', errtot*scale,cpref
+         write(16,*) '</center></h2>'
+      endif
+c
+c     Now I want to write out information for each iteration 
+c     of the run
+c
+cfax 12-04-2006
+c      write(16,*) '<a href=results.dat> Iteration details </a>'
+c      if (sumproc) write(16,*) '<p> <a href=../Events/plots.html> Plots </a>'
+
+c      call gen_run_html(16)
+c
+c     Next we'll get information on the cuts. This requires linking to
+c     cuts.o and also coupsm.o
+c
+c      call gen_cut_html(16)
+
+
+      write(16,50) '<table border>'
+c      write(16,50) '<Caption> Caption Results'
+      write(16,49) '<tr><th>Graph</th>'
+      write(16,48) '<th>Cross Sect',cpref,'</th><th>Error',cpref,'</th>' 
+      write(16,49) '<th>Events (K)</th><th>Eff</th>'
+      write(16,50) '<th>Unwgt</th><th>Luminosity</th></tr>'
+
+      write(16,60) '<tr><th>Sum</th><th>',xtot*scale
+     $     ,'</th><th>',errtot*scale,'</th><th align=right>',
+     $     ntot/1000,'</th><th align=right>',teff,'</th></tr>'
+c
+c     Check number of requested processes
+c
+      if (sumproc) then
+         nsubproc=0
+         do i=1,ng
+            procname = linkname(io(i))(:40)
+            gname=0
+            read(procname(2:index(procname,'_')-1),*,err=20) gname
+ 20         found = .false.
+            j = 0
+            do while(j < nsubproc .and. .not. found)
+               j=j+1
+               found = (gname .eq. sname(j))
+            enddo
+            if (.not. found) then
+               nsubproc=nsubproc+1
+               sname(nsubproc) = gname
+c               write(*,*) i,nsubproc, " " , sname(nsubproc)
+            endif
+         enddo
+cfax 12.05.2006
+c          nsubproc=nsubproc-1
+      else
+         nsubproc = 1
+      endif
+c
+c     Now loop through all the subprocesses
+c
+      subtotal=0d0
+
+      do ig = 1, nsubproc
+         if (nsubproc .gt. 1) then
+cfax If added 12.05.2006
+c          	  if(sname(ig).ne.0) then 
+                      write(16,*) '<tr> <td colspan="7" align="center"> Sub Group ',sname(ig), '</td></tr>'
+c                  endif
+         endif
+      do i=1,ng
+c         write(*,*) i,io(i),xsec(io(i))
+         if(sumproc)
+     $        read(linkname(io(i))(2:index(linkname(io(i)),'_')-1),*,err=30) gname
+ 30      if ((.not. sumproc .and. xsec(io(i)) .ne. 0d0) .or.
+     $        (sumproc .and. gname .eq. sname(ig))) then
+c            write(*,*) ig," ",i," ",linkname(io(i))(:30)," ", sname(ig)
+c
+c     Create directory names using the linkname
+c
+c
+            if (.false.) then
+            if (io(i) .lt. 10) then
+               write(fnamel,'(a,i1,a,a)') 'G',io(i),'/',logfile
+               write(fnamee,'(a,i1,a,a)') 'G',io(i),'/',eventfile
+            else if (io(i) .lt. 100) then
+               write(fnamel,'(a,i2,a,a)') 'G',io(i),'/',logfile
+               write(fnamee,'(a,i2,a,a)') 'G',io(i),'/',eventfile
+            else if (io(i) .lt. 1000) then
+               write(fnamel,'(a,i3,a,a)') 'G',io(i),'/',logfile
+               write(fnamee,'(a,i3,a,a)') 'G',io(i),'/',eventfile
+            else if (io(i) .lt. 10000) then
+               write(fnamel,'(a,i4,a,a)') 'G',io(i),'/',logfile
+               write(fnamee,'(a,i4,a,a)') 'G',io(i),'/',eventfile
+            endif
+            endif
+
+            ik = index(linkname(io(i)),'log.txt')-1
+            fnamel = linkname(io(i))(1:ik) // logfile
+            fnamee = linkname(io(i))(1:ik) // eventfile
+c            write(*,*) i,fnamel,fnamee
+            if (.not. sumproc) then
+
+c            write(16,65) '<tr><td align=right>',io(i),
+              write(16,65) '<tr><td align=right>',linkname(io(i))(1:ik-1),
+     $           ' </td><td align=right><a href='//linkname(io(i))//'>',
+     $           xsec(io(i))*mfact(io(i))*scale
+     $       ,'</a> </td><td align=right>',
+     $           xerr(io(i))*
+     $           mfact(io(i))*scale,'</td><td align=right>',
+     $           nevents(io(i))/1000,'</td><td align=right>',
+     $           eff(io(i)),'</td><td align=right>',
+     $           nw(io(i)),'</td><td align=right>',
+     $           xlum(io(i))/scale,'</td></tr>'
+c            write(*,*) io(i),xmax(io(i))
+            else
+                procname = linkname(io(i))(:40)
+cxx   tjs 3-20-2006  + cfax 12.05.2006
+c                ip = index(procname,'P')+2 !Strip off first P_
+                ip = index(procname,'P')+1 !Strip off first P
+                jp = ip+index(procname(ip:),'/')-2 !Strip off blanks
+c                write(*,*) 'Writing out ',sname(ig),"  ",procname(ip:jp)
+
+                if (xsec(io(i)) .ne. 0) then
+                subtotal = subtotal+xsec(io(i))*mfact(io(i))*scale
+                   write(16,66) '<tr><td align=right> <a href=P'
+     $               //procname(ip:jp)//'/diagrams.html >'
+     $               //'P'//procname(ip:jp),
+     $           ' </a></td><td align=right><a href='
+     $               //linkname(io(i))//'>',
+     $           xsec(io(i))*mfact(io(i))*scale
+     $       ,'</a> </td><td align=right>',
+     $           xerr(io(i))*
+     $           mfact(io(i))*scale,'</td><td align=right>',
+     $           nevents(io(i))/1000,'</td><td align=right>',
+     $           eff(io(i)),'</td><td align=right>',
+     $           nw(io(i)),'</td><td align=right>',
+     $           xlum(io(i))/scale,'</td></tr>'
+
+c                else
+c                   write(16,66) '<tr><td align=right> <a href=P_'
+c     $               //procname(ip:jp)//'/diagrams.html >'
+c     $               //procname(ip:jp),
+c     $           ' </a></td><td align=right><a href='
+c     $               //linkname(io(i))//'> </td></tr>'
+                endif
+            endif
+          else
+c             write(*,*) 'Skipping process',i
+         endif
+      enddo     !Loop over different groups
+      
+      if (nsubproc .gt. 1) then
+c          	  if(sname(ig).ne.0) then 
+                      if(subtotal .ne. 0e0) then 
+                         write(16,*) '<tr> <td colspan="7" align="center"> Sub Group total = ',subtotal, '</td></tr>'
+                         subtotal=0d0
+                      endif 
+c                  endif
+      endif
+
+      enddo
+      write(16,50) '</table></body>'
+ 48   format(a,a,a,a)
+ 49   format(a)
+ 50   format( a)
+ 60   format( a,f10.3,a,f10.3,a,i10,a,f8.1,a)
+c 65   format( a,i4,a,f10.3,a,f10.3,a,i10,a,f8.1,a,i10.0,a,f10.0,a)
+ 65   format( a,a,a,f10.3,a,f10.3,a,i10,a,f8.1,a,i10.0,a,f10.2,a)
+ 66   format( a,a,f10.3,a,f10.3,a,i10,a,f8.1,a,i10.0,a,f10.2,a)
+      write(*,*) 'Updated results in file ',htmfile
+ 999  close(16)
+      end
+
+      subroutine sort2(array,aux1,n)
+      implicit none
+! Arguments
+      integer n
+      integer aux1(n)
+      double precision array(n)
+!  Local Variables
+      integer i,k
+      double precision temp
+      logical done
+
+!-----------
+! Begin Code
+!-----------
+      do i=n-1,1,-1
+         done = .true.
+         do k=1,i
+            if (array(k) .lt. array(k+1)) then
+               temp = array(k)
+               array(k) = array(k+1)
+               array(k+1) = temp
+               temp = aux1(k)
+               aux1(k) = aux1(k+1)
+               aux1(k+1) = temp
+               done = .false.
+            end if
+         end do
+         if (done) return
+      end do
+      end 
+
+      
+
+      subroutine gen_run_html(lun)
+c***************************************************************************
+c     Writes out run information in html format
+c
+c***************************************************************************
+      implicit none
+c
+c     Arguments
+c      
+      integer lun
+c
+c     local
+c
+c
+c     Global
+c            
+c-----
+c  Begin Code
+c-----
+      write(lun,*) 
+      end
+
+      subroutine gen_cut_html(lun)
+c***************************************************************************
+c     Writes out run information in html format
+c
+c***************************************************************************
+      implicit none
+c
+c     Parameters
+c
+c      include 'genps.inc'
+c
+c     Arguments
+c
+      integer lun
+c
+c     Local
+c
+      integer i,j
+      real stot
+c
+c     Global
+c
+
+c-----
+c  Begin Code
+c-----
+
+c      call read_cuts()
+c      call write_cuts()  !Writes cuts.dat in parent directory
+
+c
+c     Write out collider information table
+c
+c      stot = 2d0*sqrt(ebeam(1)*ebeam(2))
+c      write(lun,*) '<p> <TABLE> <table border=1>'
+c      write(lun,*) '<TD> <B> sqrt(s) </B> </TD>'
+c      write(lun,*) '<TD> <B> Beam 1 </B> </TD>'
+c      write(lun,*) '<TD> <B> Beam 2 </B> </TD>'
+
+c      write(lun,*) '</TR><TR><TD><B>',stot,' GeV </B></TD>'
+c      write(lun,*) '<TD> <B>',Ebeam(1),'  GeV </B></TD>'
+c      write(lun,*) '<TD> <B>',Ebeam(2),'  GeV </B></TD>'
+c      write(lun,*) '</TR> <TR>'
+c      write(lun,*) '<TD> </TD>'
+c      do i=1,2
+c         write(lun,*) '<TD> <center> <B>'
+c         if (lpp(i) .eq. 1) then
+c            write(lun,*) 'Proton'
+c         elseif(lpp(i) .eq. -1) then
+c            write(lun,*) 'Antiproton'
+c         else
+c            write(lun,*) 'No pdf'
+c         endif
+c         write(lun,*) '</B></center></TD>'
+c      enddo
+c      write(lun,*) '</TR></table>'
+
+
+
+c
+c     Now write out the cuts information table
+c
+c      if (.false.) then
+c      write(lun,*) '<p> <TABLE> <table border=1>'      
+c
+c     Header
+c
+c      write(lun,*) '<TR> <TD><B> Cuts </B> </TD>'
+c      do i=3,nexternal
+c         write(lun,*) '<TD> <B> <center>',i
+c         write(lun,*) '</center> </B> </TD>'
+c      enddo
+c
+c     PT
+c
+c      write(lun,*) '<TR> <TD><B> Et > </B> </TD>'
+c      do i=3,nexternal
+c         write(lun,'(a,f6.0)') '<TD> <B> <right>',etmin(i)
+c         write(lun,*) '</right> </B> </TD>'
+c      enddo
+c
+c     Rapidity
+c
+c      write(lun,*) '<TR> <TD><B> eta <  </B> </TD>'
+c      do i=3,nexternal
+c         write(lun,'(a,f6.0)') '<TD> <B> <right>',etamax(i)
+c         write(lun,*) '</right> </B> </TD>'
+c      enddo
+c
+c     Delta R
+c
+c      do j=4,nexternal
+c         write(lun,*) '<TR> <TD><B> Delta R',j, ' </B> </TD>'
+c         do i=3,nexternal
+c            if ( i .lt. j) then
+c               write(lun,'(a,f6.1)') '<TD> <B> <right>',r2min(j,i)
+c            else
+c               write(lun,'(a)') '<TD> <B> <right>'
+c            endif
+c            write(lun,*) '</right> </B> </TD>'
+c         enddo
+c         write(lun,*) '</TR>'
+c      enddo
+c      write(lun,*) '</table>'
+c      write(lun,*) '<p>'
+c      endif
+
+c
+c     Now write out the cuts information table
+c
+c      write(lun,*) '<p> <TABLE> <table border=1>'      
+c
+c     Header
+c
+c      write(lun,*) '<TD><B> Particle </B> </TD>'
+c      write(lun,*) '<TD><B> Et > </B> </TD>'
+c      write(lun,*) '<TD><B> eta < </B> </TD>'
+c      do i=3,nexternal-1
+c         write(lun,*) '<TD> <B> <center>Delta R',i
+c         write(lun,*) '</center> </B> </TD>'
+c      enddo
+c      write(lun,*) '</TR>'
+c
+c     PT
+c
+c      write(lun,*) '<TR> <TD><B> Et > </B> </TD>'
+c      do i=3,nexternal
+c         write(lun,'(a,i3)') '<TR><TD> <B> <center>',i
+c         write(lun,*) '</center> </B> </TD>'
+c         write(lun,'(a,f6.0)') '<TD> <B> <right>',etmin(i)
+c         write(lun,*) '</right> </B> </TD>'
+c         write(lun,'(a,f6.1)') '<TD> <B> <right>',etamax(i)
+c         write(lun,*) '</right> </B> </TD>'
+
+c         do j=3,nexternal-1
+c            if ( i .gt. j) then
+c               write(lun,'(a,f6.1)') '<TD> <B> <right>',r2min(i,j)
+c            else
+c               write(lun,'(a)') '<TD> <B> <right>'
+c            endif
+c            write(lun,*) '</right> </B> </TD>'
+c         enddo
+c         write(lun,*) '</TR>'
+
+c      enddo
+c
+c     Rapidity
+c
+c      write(lun,*) '<TR> <TD><B> eta <  </B> </TD>'
+c      do i=3,nexternal
+c      enddo
+c
+c     Delta R
+c
+
+c      write(lun,*) '</table>'
+c      write(lun,*) '<p>'
+      end
+
+
+
+

=== added file 'Template/Source/transpole.f'
--- Template/Source/transpole.f	1970-01-01 00:00:00 +0000
+++ Template/Source/transpole.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,270 @@
+      Subroutine transpole(pole1,width1,x1,y,jac)
+c**********************************************************************
+c     This routine transfers evenly spaced x values between 0 and 1
+c     to y values with a pole at y=pole with width width and returns
+c     the appropriate jacobian for this.  If x<del or x>1-del, uses
+c     a linear transformation.  This ensures ability to cover entire 
+c     region, even away from B.W.
+c
+c     If pole<0 then assumes have sqrt(1d0/(x^2+a^2)) type pole
+c     If pole<0 then assumes have x/(x^2+a^2) type pole
+c
+c**********************************************************************
+      implicit none
+c
+c     Constants
+c
+      double precision del
+      parameter       (del=1d-22)          !Must agree with del in untranspole
+c
+c     Arguments
+c
+      double precision pole,width,y,jac
+      double precision x1
+
+c
+c     Local
+c
+      double precision z,zmin,zmax,xmin,xmax,ez
+      double precision pole1,width1,x
+      double precision a,b
+c-----
+c  Begin Code
+c-----
+      pole=pole1
+      width=width1
+      x = x1
+      if (pole .gt. 0d0) then
+         zmin = atan((-pole)/width)/width
+         zmax = atan((1d0-pole)/width)/width
+         if (x .gt. del .and. x .lt. 1d0-del) then
+            z = zmin+(zmax-zmin)*x
+            y = pole+width*tan(width*z)
+            jac = jac *(width/cos(width*z))**2*(zmax-zmin)
+         elseif (x .lt. del) then
+            xmin = 0d0
+            z    = zmin+(zmax-zmin)*del
+            xmax = pole+width*tan(width*z)
+            y = xmin+x*(xmax-xmin)/del
+            jac = jac*(xmax-xmin)/del
+         else
+            xmax = 1d0
+            z    = zmin+(zmax-zmin)*(1d0-del)
+            xmin = pole+width*tan(width*z)
+            y = xmin+(x+del-1d0)*(xmax-xmin)/del
+            jac = jac*(xmax-xmin)/del
+         endif
+      elseif(pole .gt. -1d0) then       !1/sqrt(x^2+width^2) t-channel
+         if (x .gt. .5d0) then          !Don't do anything here t>0
+            y=x
+         else
+            zmin = log(2d0*width)       !2*width is because x->1-2*x
+            zmax = log(1d0+sqrt(1d0+4d0*width*width))
+            x=1d0-x*2d0
+            z = zmin+(zmax-zmin)*x
+            ez = exp(z)
+            y = (1d0-.5d0*(ez-4d0*width*width/ez))/2d0
+            jac = jac *(zmax-zmin)*.5d0*(ez+4d0*width*width/ez)
+c            x = .5d0*(1d0-x)
+         endif
+
+      elseif(pole .ge. -2d0 .and. width .gt. 0d0) then !1/x^2   limit of width
+         if (x .lt. width) then      !No transformation below cutoff
+            y=x
+         else
+c---------
+c   tjs 5/1/2008  modified for any y=x^-n transformation       
+c-----------
+            z = 1d0 - x + width
+            b = ( 1d0-width) / (width**(pole+1d0) - 1d0)
+            a = width - b
+            y = a + b * z**(pole+1)
+            jac = jac * abs((pole+1d0) * b * z**(pole))
+c            write(*,*) "pre-trans",x,y
+c            call untranspole(pole,width,x,y,jac)
+c            write(*,*) "post-trans",x,y
+c-----uncomment for 1/x^2 tjs -------
+c            x = 1d0-x+width
+c            y=width/x
+c            jac = jac*width/(x*x)
+c------------------------------------
+            
+
+c            write(*,*) 'trans',x,width/(x*x)
+         endif
+
+      elseif(pole .gt. -1d99) then       !1/sqrt(x^2+width^2) s-channel
+         zmin = log(width)
+         zmax = log(1d0+sqrt(1d0+width*width))
+         if (x .gt. del .and. x .lt. 1d0-del) then
+            z = zmin+(zmax-zmin)*x
+            ez = exp(z)
+            y = .5d0*(ez-width*width/ez)
+            jac = jac *(zmax-zmin)*.5d0*(ez+width*width/ez)
+         elseif (x .le. del) then
+            xmin = 0d0
+            z    = zmin+(zmax-zmin)*del
+            ez   = exp(z)
+            xmax = .5d0*(ez-width*width/ez)
+            y = xmin+x*(xmax-xmin)/del
+            jac = jac*(xmax-xmin)/del
+         else
+            xmax = 1d0
+            z    = zmin+(zmax-zmin)*(1d0-del)
+            ez   = exp(z)
+            xmin = .5d0*(ez-width*width/ez)
+            y = xmin+(x+del-1d0)*(xmax-xmin)/del
+            jac = jac*(xmax-xmin)/del
+         endif
+      elseif(pole .gt. -8d99) then
+         zmin = .5d0*log(width*width)
+         zmax = .5d0*log(1d0+width*width)
+         if (x .gt. del .and. x .lt. 1d0-del) then
+            z = zmin+(zmax-zmin)*x
+            ez = exp(2d0*z)
+            y = sqrt(ez-width*width)
+            jac = jac *(zmax-zmin)*ez/sqrt(ez-width*width)
+         elseif (x .lt. del) then
+            xmin = 0d0
+            z    = zmin+(zmax-zmin)*del
+            xmax = sqrt(exp(2d0*z)-width*width)
+            y = xmin+x*(xmax-xmin)/del
+            jac = jac*(xmax-xmin)/del
+         else
+            xmax = 1d0
+            z    = zmin+(zmax-zmin)*(1d0-del)
+            xmin = sqrt(exp(2d0*z)-width*width)
+            y = xmin+(x+del-1d0)*(xmax-xmin)/del
+            jac = jac*(xmax-xmin)/del
+         endif
+      endif
+      end
+
+      Subroutine untranspole(pole1,width1,x,y1,jac)
+c**********************************************************************
+c     This routine transfers takes values of y for a given pole and
+c     width, and returns the value of x (which an evenly placed
+c     random number) would have been used to get that value of y.
+c     it also returns the jacobian associated with this choice.
+c**********************************************************************
+      implicit none
+c
+c     Constants
+c
+      double precision del
+      parameter       (del=1d-22)          !Must agree with del in untranspole
+c
+c     Arguments
+c
+      double precision pole1,width1,y1,jac
+      real*8 x
+
+c
+c     Local
+c
+      double precision z,zmin,zmax,xmin,xmax,ez
+      double precision pole,width,y
+      double precision a,b
+c-----
+c  Begin Code
+c-----
+      pole=pole1
+      width=width1
+      y = y1
+      if (pole .gt. 0d0) then                   !BW 
+         zmin = atan((-pole)/width)/width
+         zmax = atan((1d0-pole)/width)/width
+         z = atan((y-pole)/width)/width
+         x = (z-zmin)/(zmax-zmin)
+         if (x .le. del) then
+            xmin = 0d0
+            z    = zmin+(zmax-zmin)*del
+            xmax = pole+width*tan(width*z)
+            if(xmin.lt.xmax) then
+               x = (y-xmin)*del/(xmax-xmin)
+            else
+               x=xmin
+            endif
+            jac = jac*(xmax-xmin)/del
+         elseif (x .ge. 1d0-del) then
+            xmax = 1d0
+            z    = zmin+(zmax-zmin)*(1d0-del)
+            xmin = pole+width*tan(width*z)
+            if(xmin.lt.xmax) then
+               x = (y-xmin)*del/(xmax-xmin)-del+1d0
+            else
+               x=xmin
+            endif
+            jac = jac*(xmax-xmin)/del
+         else
+            jac = jac *(width/cos(width*z))**2*(zmax-zmin)
+         endif
+      elseif(pole .gt. -1d0) then !1/sqrt((.5-x)^2+width^2)  t-channel
+         if (y .gt. .5d0) then
+            x=y
+         else
+            zmin = log(width*2d0)
+            zmax = log(1d0+sqrt(1d0+4d0*width*width))
+            y = (1d0-2d0*y)
+            z = log(y+sqrt(y*y+4d0*width*width))
+            x = (z - zmin)/(zmax-zmin)
+            x = .5d0*(1d0-x)
+            ez = exp(z)
+            jac = jac *(zmax-zmin)*.5d0*(ez+4d0*width*width/ez)
+            y = (1d0-y)/2d0
+         endif
+
+      elseif(pole .gt. -5d0 .and. width .gt. 0d0) then !1/x^2   limit of width
+         if (y .lt. width) then      !No transformation below cutoff
+            x=y
+         else
+c---------
+c   tjs 5/1/2008  modified for any y=x^-n transformation       
+c-----------
+            b = ( 1d0-width) / (width**(pole+1d0) - 1d0)
+            a = width - b
+            z = ((y-a)/b)**(1d0/(pole+1)) 
+            x = 1d0 - z + width
+            jac = jac * abs((pole+1d0) * b * z**(pole))
+
+c-------------------
+c Uncomment below for y=1/x^2
+c-------------------
+c            x=width/y
+c            write(*,*) 'untr',x,width/(x*x)
+c            jac = jac*width/(x*x)
+c            x = 1d0-x+width
+         endif
+
+      elseif(pole .gt. -5d99) then !1/sqrt(x^2+width^2)  s-channel
+         zmin = log(width)
+         zmax = log(1d0+sqrt(1d0+width*width))
+         if (pole .gt. -1d0 .and. y .lt. -pole) y=-pole-y
+         z = log(y+sqrt(y*y+width*width))
+         x = (z - zmin)/(zmax-zmin)
+         if (x .gt. del .and. x .lt. 1d0-del) then
+            ez = exp(z)
+            jac = jac *(zmax-zmin)*.5d0*(ez+width*width/ez)
+         elseif (x .lt. del) then
+            xmin = 0d0
+            z    = zmin+(zmax-zmin)*del
+            ez   = exp(z)
+            xmax = .5d0*(ez-width*width/ez)
+c            y = xmin+x*(xmax-xmin)/del
+            if(xmin.lt.xmax) then
+               x = (y-xmin)*del/(xmax-xmin)
+            else
+               x=xmin
+            endif
+            jac = jac*(xmax-xmin)/del
+         else
+            xmax = 1d0
+            z    = zmin+(zmax-zmin)*(1d0-del)
+            ez   = exp(z)
+            xmin = .5d0*(ez-width*width/ez)
+c            y = xmin+(x+del-1d0)*(xmax-xmin)/del
+            x = (y-xmin)*del/(xmax-xmin)-del+1d0
+            jac = jac*(xmax-xmin)/del
+         endif
+      endif
+      end

=== added file 'Template/Source/write_banner.f'
--- Template/Source/write_banner.f	1970-01-01 00:00:00 +0000
+++ Template/Source/write_banner.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,116 @@
+      program write_banner
+      implicit none
+c
+c     parameters
+c
+      integer    MaxParticles
+      parameter (MaxParticles=15)
+c
+c     Local
+c
+      integer lunr, lunw,luni
+      data luni,lunr,lunw/14,15,16/ ! unit numbers for reading and writing
+      integer ic(7,MaxParticles),next
+      double precision P(0:4,MaxParticles),wgt
+      real*8 sum,mxwgt
+      logical done
+      integer i,imax,j
+      integer nevent,nfound
+      character*25 infile,outfile
+      integer iseed
+      data iseed/9999/
+      character*30 process,QED,QCD
+      double precision scale,aqcd,aqed
+      integer ievent
+c--cuts
+c      double precision etmin(3:nexternal),etamax(3:nexternal)
+c      double precision                    r2min(3:nexternal,3:nexternal)
+c      double precision s_min(nexternal,nexternal)
+c      common/to_cuts/  etmin     ,etamax     , r2min, s_min
+c
+c     open the event file
+c
+      write(*,*) 'input the event file (e.g. Events/events.dat)'
+      read(*,'(a)')  infile
+      open(unit=lunr,file=infile,status='old')
+c
+c     open banner file
+c
+      write(*,*) 'input the banner file name (e.g. banner-events.dat)'
+      read(*,'(a)')  outfile
+      open(lunw,file=outfile,status='unknown')
+c
+c     gather the info
+c
+      call setpara('param_card.dat',.true.)
+c      call setcuts
+c      call get_seed(iseed)
+c
+c     All the info is gathered. Now start writing it out.
+c
+      call write_para(lunw)
+      write(lunw,'(a70)') '##                                                                    '
+      write(lunw,'(a70)') '##-------------------                                                 '
+      write(lunw,'(a70)') '## Run-time options                                                   '
+      write(lunw,'(a70)') '##-------------------                                                 '
+      write(lunw,'(a70)') '##                                                                    '
+c      write(lunw,'(a70)') '##********************************************************************'     
+c      write(lunw,'(a70)') '## Standard Cuts                                                     *'
+c      write(lunw,'(a70)') '##********************************************************************'    
+c      write(lunw,'(a13,8i8)')   '## Particle  ',(i,i=3,nexternal)
+c      write(lunw,'(a13,8f8.1)') '## Et       >',(etmin(i),i=3,nexternal)
+c      write(lunw,'(a13,8f8.1)') '## Eta      <',(etamax(i),i=3,nexternal)
+c      do j=3,nexternal-1
+c         write(lunw,'(a,i2,a,8f8.1)') '## d R #',j,'  >',(-0.0,i=3,j),
+c     &        (r2min(i,j),i=j+1,nexternal)
+c         do i=j+1,nexternal
+c            r2min(i,j)=r2min(i,j)**2 !Since r2 returns distance squared
+c         enddo
+c      enddo
+c      do j=3,nexternal-1
+c         write(lunw,'(a,i2,a,8f8.1)') '## s min #',j,'>',
+c     &        (s_min(i,j),i=3,nexternal)
+c      enddo
+      write(lunw,'(a70)') '##********************************************************************'    
+c
+c     Now write out specific information on the event set
+c
+      done=.false.
+      nevent=0
+      nfound=0
+      sum=0d0
+      mxwgt=-1d0
+      do while (.not. done)
+         call read_event(lunr,P,wgt,next,ic,ievent,scale,aqcd,aqed,done)
+         sum=sum+wgt
+         mxwgt = max(wgt,mxwgt)
+         nevent=nevent+1
+      enddo
+
+      write(lunw,'(a70)') '##                                                                    '
+      write(lunw,'(a70)') '##-------------------                                                 '
+      write(lunw,'(a70)') '## Event information                                                  '
+      write(lunw,'(a70)') '##-------------------                                                 '
+      write(lunw,'(a70)') '##                                                                    '
+      write(lunw,'(a70)') '##********************************************************************'    
+      write(lunw,'(a30,i10)')   '##  Number of Events       :  ',nevent
+      write(lunw,'(a30,e10.5)') '##  Integrated weight (pb) :  ',sum
+      write(lunw,'(a30,e10.5)') '##  Max wgt                :  ',mxwgt
+      write(lunw,'(a30,e10.5)') '##  Average wgt            :  ',sum/nevent
+      write(lunw,'(a70)') '##********************************************************************'    
+
+      rewind(lunr)
+      done = .false.
+      nevent=0
+      do while (.not. done)
+         call read_event(lunr,P,wgt,next,ic,ievent,scale,aqcd,aqed,done)
+         nevent=nevent+1
+         if (.not. done) then
+            call write_event(lunw,p,wgt,next,ic,nevent,scale,aqcd,aqed)
+         endif
+      enddo
+
+      close(lunw)
+      close(lunr)
+
+      end

=== added directory 'Template/SubProcesses'
=== added file 'Template/SubProcesses/addmothers.f'
--- Template/SubProcesses/addmothers.f	1970-01-01 00:00:00 +0000
+++ Template/SubProcesses/addmothers.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,303 @@
+      subroutine addmothers(ip,jpart,pb,isym,jsym,rscale,aqcd,aqed,buff,npart)
+
+      implicit none
+      include 'genps.inc'
+      include 'nexternal.inc'
+      include 'coupl.inc'
+      include 'cluster.inc'
+      include 'message.inc'
+      include 'run.inc'
+      include 'maxamps.inc'
+
+      integer jpart(7,-nexternal+3:2*nexternal-3),npart,ip
+      double precision pb(0:4,-nexternal+3:2*nexternal-3)
+      double precision rscale,aqcd,aqed,targetamp(maxamps)
+      character*140 buff
+
+      integer isym(nexternal,99), jsym
+      integer i,j,k,ida(2),ns,nres,ires,icl,ito2,idenpart,nc,ic
+      integer ito(-nexternal+3:nexternal),iseed
+      integer icolalt(2,-nexternal+3:2*nexternal-3)
+      double precision qicl(-nexternal+3:2*nexternal-3), factpm
+      double precision xtarget
+      data iseed/-1/
+
+      double precision ZERO
+      parameter (ZERO=0d0)
+      double precision pmass(-nexternal:0,lmaxconfigs)
+      double precision pwidth(-nexternal:0,lmaxconfigs)
+      integer pow(-nexternal:0,lmaxconfigs)
+      logical first_time
+      save pmass,pwidth,pow
+      data first_time /.true./
+
+      Double Precision amp2(maxamps), jamp2(0:maxflow)
+      common/to_amps/  amp2,       jamp2
+
+      integer           mincfig, maxcfig
+      common/to_configs/mincfig, maxcfig
+      integer idmap(-nexternal:nexternal),icmp
+
+      integer iforest(2,-max_branch:-1,lmaxconfigs)
+      common/to_forest/ iforest
+      integer sprop(-max_branch:-1,lmaxconfigs)
+      integer tprid(-max_branch:-1,lmaxconfigs)
+      common/to_sprop/sprop,tprid
+      integer            mapconfig(0:lmaxconfigs), this_config
+      common/to_mconfigs/mapconfig, this_config
+      integer iconfig,igraph
+
+      integer idup(nexternal,maxproc)
+      integer mothup(2,nexternal,maxproc)
+      integer icolup(2,nexternal,maxflow)
+      include 'leshouche.inc'
+
+      include 'coloramps.inc'
+      
+      logical             OnBW(-nexternal:0)     !Set if event is on B.W.
+      common/to_BWEvents/ OnBW
+
+c      integer ncols,ncolflow(maxamps),ncolalt(maxamps),icorg
+c      common/to_colstats/ncols,ncolflow,ncolalt,icorg
+
+      double precision pt,ran1
+      external pt,ran1
+
+      if (first_time) then
+         include 'props.inc'
+         first_time=.false.
+      endif
+
+      npart = nexternal
+      buff = ' '
+c   
+c   Choose the config (diagram) which was actually used to produce the event
+c   
+      iconfig=mincfig
+      if(maxcfig-mincfig.ne.0) then
+        write(*,*) 'Error! Cannot cmaxcfig != mincfig: ',maxcfig,mincfig
+        return
+      endif
+
+c   ...unless the diagram is passed in igscl(1); then use that diagram
+c      if (igscl(0).ne.0) then
+c        if (btest(mlevel,3)) then
+c          write(*,*)'unwgt.f: write out diagram ',igscl(1)
+c        endif
+c        iconfig=igscl(1)
+c      endif
+      
+c
+c    Choose a color flow which is certain to work with the propagator
+c    structure of the chosen diagram and use that as an alternative
+c   
+      igraph=mapconfig(iconfig)
+
+      nc = jamp2(0)
+      if(nc.gt.0)then
+      if(icolamp(igraph,1)) then
+        targetamp(1)=jamp2(1)
+c        print *,'Color flow 1 allowed for graph ',igraph
+      else
+        targetamp(1)=0d0
+      endif
+      do ic =2,nc
+        if(icolamp(igraph,ic))then
+          targetamp(ic) = jamp2(ic)+targetamp(ic-1)
+c          print *,'Color flow ',ic,' allowed for graph ',igraph
+        else
+          targetamp(ic)=targetamp(ic-1)
+        endif
+      enddo
+      xtarget=ran1(iseed)*targetamp(nc)
+
+      ic = 1
+      do while (targetamp(ic) .lt. xtarget .and. ic .lt. nc)
+         ic=ic+1
+      enddo
+c      print *,'Chose color flow ',ic
+
+      if(targetamp(nc).eq.0) ic=0
+      do i=1,nexternal
+         if(ic.gt.0) then
+            icolalt(1,isym(i,jsym))=icolup(1,i,ic)
+            icolalt(2,isym(i,jsym))=icolup(2,i,ic)
+         else
+            icolalt(1,i)=jpart(4,i)
+            icolalt(2,i)=jpart(5,i)
+         endif
+      enddo
+
+      else ! nc.gt.0
+
+      do i=1,nexternal
+         icolalt(1,i)=0
+         icolalt(2,i)=0
+      enddo
+
+      endif ! nc.gt.0
+
+c     
+c     Get mother information from chosen graph
+c     
+
+c     First check number of resonant s-channel propagators
+        ns=0
+        nres=0
+
+c     Loop over propagators to find mother-daughter information
+        do i=-1,-nexternal+3,-1
+c       Daughters
+          ida(1)=iforest(1,i,iconfig)
+          ida(2)=iforest(2,i,iconfig)
+          do j=1,2
+            if(ida(j).gt.0) ida(j)=isym(ida(j),jsym)
+          enddo
+c       Decide s- or t-channel
+          if(iabs(sprop(i,iconfig)).gt.0) then ! s-channel propagator
+            jpart(1,i)=sprop(i,iconfig)
+            ns=ns+1
+          else
+c         Don't care about t-channel propagators
+            goto 100
+          endif
+c       Set status codes for propagator
+c          if((igscl(0).ne.0.and.
+c     $       (iabs(jpart(1,i)).gt.5.and.iabs(jpart(1,i)).lt.11).or.
+c     $       (iabs(jpart(1,i)).gt.16.and.iabs(jpart(1,i)).ne.21)).or.
+c     $       (igscl(0).eq.0.and.OnBW(i))) then 
+          if(OnBW(i)) then 
+c         Resonance whose mass should be preserved
+            jpart(6,i)=2
+            nres=nres+1
+          else
+c         Propagator for documentation only - not included
+            jpart(6,i)=3
+          endif
+c       Calculate momentum (p1+p2 for s-channel, p2-p1 for t-channel)
+          do j=0,3
+            pb(j,i)=pb(j,ida(1))+pb(j,ida(2))
+          enddo
+          pb(4,i)=sqrt(max(0d0,pb(0,i)**2-pb(1,i)**2-pb(2,i)**2-pb(3,i)**2))
+c          if(jpart(6,i).eq.2.and.
+c     $       abs(pb(4,i)-pmass(i,iconfig)).gt.5d0*pwidth(i,iconfig)) then
+c            jpart(6,i)=3
+c            nres=nres-1
+c          endif
+c     Remove propagator if "decay" to same particle (i.e. radiation of g/gamma/higgs)
+          if(jpart(6,i).eq.2 .and. (jpart(1,i).eq.jpart(1,ida(1)).or.
+     $         jpart(1,i).eq.jpart(1,ida(2)))) then
+             if(jpart(1,i).eq.jpart(1,ida(1))) idenpart=ida(1)
+             if(jpart(1,i).eq.jpart(1,ida(2))) idenpart=ida(2)
+c     Always remove if daughter final-state or already removed for this reason
+             if(idenpart.gt.0.or.jpart(6,idenpart).eq.4) then
+                jpart(6,i)=4
+                nres=nres-1
+c     Else remove either this resonance or daughter, which is closer to mass shell
+             elseif(abs(pb(4,i)-pmass(i,iconfig)).gt.
+     $               abs(pb(4,idenpart)-pmass(i,iconfig))) then
+                jpart(6,i)=4
+                nres=nres-1
+             else if(jpart(6,idenpart).eq.2) then
+                jpart(6,idenpart)=4
+                nres=nres-1
+             endif
+          endif
+c       Set color info for all s-channels
+c       Fist set "safe" color info
+          if(icolalt(1,ida(1))+icolalt(1,ida(2))-
+     $       icolalt(2,ida(1))-icolalt(2,ida(2)).eq.0) then ! color singlet
+            icolalt(1,i) = 0
+            icolalt(2,i) = 0            
+          elseif(icolalt(1,ida(1))-icolalt(2,ida(2)).eq.0) then
+            icolalt(1,i) = icolalt(1,ida(2))
+            icolalt(2,i) = icolalt(2,ida(1))
+          else if(icolalt(1,ida(2))-icolalt(2,ida(1)).eq.0) then
+            icolalt(1,i) = icolalt(1,ida(1))
+            icolalt(2,i) = icolalt(2,ida(2))
+          else if(jpart(6,i).ge.3) then ! Don't need to match
+            icolalt(1,i) = icolalt(1,ida(1))+icolalt(1,ida(2))
+            icolalt(2,i) = icolalt(2,ida(1))+icolalt(2,ida(2))
+          else
+c         Erraneous color assignment for propagator
+            goto 90
+          endif
+c         Set tentative mothers
+          jpart(2,i) = 1
+          jpart(3,i) = 2
+c         Set mother info for daughters
+          do j=1,2
+            jpart(2,ida(j)) = i
+            jpart(3,ida(j)) = i
+          enddo
+c       Just zero helicity info for intermediate states
+          jpart(7,i) = 0
+        enddo                   ! do i
+        goto 100                ! only s-channel propagators found
+ 90     continue
+c     Propagator not compatible with color flow -> remove the propagator
+        print *,'ERROR: Safe color assignment wrong! This should never happen!'
+
+        if(jpart(6,i).eq.2) then
+           nres=nres-1
+           jpart(6,i)=3
+        endif
+
+c        print *,'Diagram: ',igraph,', Color flow: ',ic
+c        print *,'colors:',icolalt(1,ida(1)),icolalt(2,ida(1)),
+c     $     icolalt(1,ida(2)),icolalt(2,ida(2))
+c        write(*,'(15i5)'),(jpart(1,j),j=1,nexternal),(jpart(1,j),j=-1,i,-1)
+c        write(*,'(15i5)'),(jpart(2,j),j=1,nexternal),(jpart(2,j),j=-1,i,-1)
+c        write(*,'(15i5)'),(jpart(3,j),j=1,nexternal),(jpart(3,j),j=-1,i,-1)
+c        write(*,'(15i5)'),(icolalt(1,j),j=1,nexternal),(icolalt(1,j),j=-1,i,-1)
+c        write(*,'(15i5)'),(icolalt(2,j),j=1,nexternal),(icolalt(2,j),j=-1,i,-1)
+c        write(*,'(15i5)'),(jpart(6,j),j=1,nexternal),(jpart(6,j),j=-1,i,-1)
+c        write(*,'(15f5.0)'),(pb(4,j),j=1,nexternal),(pb(4,j),j=-1,i,-1)
+c        STOP
+ 100    continue
+
+c    Remove non-resonant mothers, set position of particles
+        ires=0
+        do i=-ns,nexternal
+          jpart(4,i)=icolalt(1,i)
+          jpart(5,i)=icolalt(2,i)
+          if(i.eq.1.or.i.eq.2) then 
+            ito(i)=i            ! initial state particle
+          else if(i.ge.3) then 
+            ito(i)=i+nres       ! final state particle
+          else if(i.le.-1.and.jpart(6,i).eq.2) then
+            ires=ires+1
+            ito(i)=2+ires       ! s-channel resonances
+          else 
+            ito(i)=0
+            if(i.eq.0) cycle
+          endif
+          if(jpart(2,i).lt.0.and.jpart(6,jpart(2,i)).ne.2) then
+            jpart(2,i)=jpart(2,jpart(2,i))
+            jpart(3,i)=jpart(3,jpart(3,i))
+          endif
+        enddo
+        
+c
+c    Shift particles to right place and set mothers of particles
+c
+        do i=nexternal,-ns,-1
+          if(ito(i).le.0) cycle
+          do j=1,7
+            jpart(j,ito(i))=jpart(j,i)
+          enddo
+          if(jpart(2,ito(i)).lt.0) then
+            jpart(2,ito(i))=ito(jpart(2,ito(i)))
+            jpart(3,ito(i))=ito(jpart(3,ito(i)))
+          endif
+          do j=0,4
+            pb(j,ito(i))=pb(j,i)
+          enddo
+        enddo
+
+        if(ickkw.gt.0)
+     $       write(buff,'(a1,9e15.7)') '#',(ptclus(i),i=3,min(nexternal,11))
+        npart = nexternal+nres
+
+      return
+      end

=== added file 'Template/SubProcesses/check_dip.f'
--- Template/SubProcesses/check_dip.f	1970-01-01 00:00:00 +0000
+++ Template/SubProcesses/check_dip.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,537 @@
+      PROGRAM DRIVER
+C**************************************************************************
+C     THIS IS THE DRIVER FOR CHECKING THE STANDALONE MATRIX ELEMENT
+C     INCLUDING SUBTRACTION TERMS IN THE SOFT/COLINEAR LIMITS.
+C     IT USES A SIMPLE PHASE SPACE GENERATOR
+C     Fabio Maltoni - 3rd Febraury 2007
+C     Updated by Nicolas Greiner and Rikkert Frederix for the
+C     dipole terms - July 2008
+C**************************************************************************
+      IMPLICIT NONE
+C     
+C     CONSTANTS  
+C     
+      REAL*8 ZERO
+      PARAMETER (ZERO=0D0)
+C     
+C     INCLUDE FILES
+C     
+C---  the include file with the values of the parameters and masses	
+      INCLUDE "coupl.inc"
+C---  integer nexternal ! number particles (incoming+outgoing) in the me 
+      INCLUDE "nexternal.inc" 
+C---  particle masses
+      REAL*8 PMASS(NEXTERNAL)	
+C---  integer    n_max_cg
+      INCLUDE "ngraphs.inc"     !how many diagrams (could be useful to know...)
+      INCLUDE "dipole.inc"
+C     
+C     LOCAL
+C     
+      INTEGER I,J,K,l,m,l1,m1
+      REAL*8 P(0:3,NEXTERNAL)      ! four momenta. Energy is the zeroth component.
+      REAL*8 SQRTS                 ! sqrt(s)= center of mass energy 
+      REAL*8 ME,SUBTRACT,SUBTRACT2 ! Matrix Element and subtraction terms
+      real*8 s(nexternal,nexternal)! Final state invariants
+      real*8 start,number          ! Starting value for invariants and the number of phase space points
+      logical cut                  ! Cut to prevent going into double limits
+      real*8 sum,x(2)
+C     
+C     EXTERNAL
+C     
+      REAL*8 DOT
+      EXTERNAL DOT
+      
+C-----
+C     BEGIN CODE
+C-----
+C     
+C---  INITIALIZATION CALLS
+C     
+c---  Call to initialize the values of the couplings, masses and widths 
+c     used in the evaluation of the matrix element. The primary parameters of the
+c     models are read from Cards/param_card.dat. The secondary parameters are calculated
+c     in Source/MODEL/couplings.f. The values are stored in common blocks that are listed
+c     in coupl.inc .
+
+      call setpara('param_card.dat',.true.)  !first call to setup the paramaters
+      mu  = 91.188d0  !renormalization scale
+      muf = 91.188d0  !factorization scale
+      include "pmass.inc"                    !set up masses
+
+      SQRTS=1000d0              !CMS energy in GEV
+      x(1)=1d0                  !Bjorken x's
+      x(2)=1d0
+      number=1000000            !Number of phase space points
+
+
+c********************************************************************************************
+C First do the collinear limits:
+c********************************************************************************************
+      write (*,*) 'Check of all the collinear limits:'
+c Loop over all possible limits of final sate 
+      do l=1,nexternal-1
+         do m=l+1,nexternal
+
+            start=100d0
+            write (*,*) ' '
+            write (*,'(2A)')'-----------------------------------------',
+     .          '------------------------------------------------------'
+            write (*,*) ' Limit: p(',l,').p(',m,') goes to zero'
+            write (*,'(2A)')'-----------------------------------------',
+     .          '------------------------------------------------------'
+            write (*,11) 'p(',l,').p(',m,')/s(1,2) ,',' sqrt(s(',l
+     .           ,',',m,')) ,','|M|^2 ,'
+     .           ,'|Sub.term|^2 ,','|M|^2/|Sub.term|^2'
+            write (*,'(2A)')'-----------------------------------------',
+     .          '------------------------------------------------------'
+
+
+c     Loop over phase space points
+            do i=1,number
+
+c---  Now use a simple multipurpose PS generator (RAMBO) just to get a 
+c     RANDOM set of four momenta of given masses pmass(i) to be used to evaluate 
+c     the madgraph matrix-element and the subtraction terms.
+c     	
+               CALL GET_MOMENTA(SQRTS,PMASS,P)	
+
+c     Calculate all the final state invariants
+               do l1=1,nexternal-1
+                  do m1=l1+1,nexternal
+                     s(l1,m1)=dot(p(0,l1),p(0,m1))
+                  enddo
+               enddo
+               
+               cut =.false.
+c     Only continue if we are closer to the limit then the starting value.
+c     If we pass the if statement, update 'start' with the new value.
+               if(s(l,m)/s(1,2) .lt. start) then
+                  
+c     Make sure that we are only looking in a single collinear limit. Double
+c     logarithms are not cancelled by the dipoles. Do this by cutting
+c     away the phase-space point if any of the other final state invariants
+c     is smaller than 10% of the CMS energy.
+                  do j=1,nexternal-1
+                     do k=j+1,nexternal
+                        if((j.ne.l).or.(k.ne.m)) then
+                           if(s(j,k)/s(1,2).lt.0.01d0) then
+                              cut=.true.
+                           endif
+                        endif
+                     enddo
+                  enddo
+
+c     If we found a point closer to the limit, update 'start' and
+c     calculate the matrix element and subtraction terms.
+                  if(.not.cut) then
+                     start=s(l,m)/s(1,2)
+                     CALL SMATRIX(P,ME)
+                     Call DIPOLSUM(P,X,1d0,SUBTRACT)
+c     Uncomment the following 2 lines to include the possible non-divergent dipoles,
+c     i.e. dipoles for which the unresolved is massive (= in particles.dat the mass
+c     is set to something different from 'ZERO').
+c     Call DIPOLSUMFINITE(P,X,1d0,SUBTRACT2)
+c     SUBTRACT=SUBTRACT+SUBTRACT2
+
+c     Write out the results
+                     Write (*,10)s(l,m)/s(1,2),' ,',dsqrt(abs(
+     &                    (p(0,l)+p(0,m))**2-(p(1,l)+p(1,m))**2
+     &                    -(p(2,l)+p(2,m))**2-(p(3,l)+p(3,m))**2))
+     &                    ,' ,',ME,' ,',SUBTRACT,' ,',ME/SUBTRACT
+                  endif
+               endif
+            enddo
+         enddo
+      enddo
+
+
+
+
+
+
+
+c********************************************************************************
+C Now check also the soft limits:
+c********************************************************************************
+      do i=1,5
+         write (*,*) ' '
+      enddo
+      write (*,*) 'Check off all the soft limits:'
+c loop over all final state particles:
+      do l=3, nexternal
+
+            start=100d0
+            write (*,*) ' '
+            write (*,'(2A)')'-----------------------------------------',
+     .          '------------------------------------------------------'
+            write (*,*) ' Limit: p(',l,') goes soft'
+            write (*,'(2A)')'-----------------------------------------',
+     .          '------------------------------------------------------'
+            write (*,13) 'p(0,',l,')^2/s(1,2) ,','|M|^2 ,'
+     .           ,'|Sub.term|^2 ,','|M|^2/|Sub.term|^2'
+            write (*,'(2A)')'-----------------------------------------',
+     .          '------------------------------------------------------'
+
+c     Loop over phase space points
+            do i=1,number
+
+c     Get the random set of 4-momenta
+               CALL GET_MOMENTA(SQRTS,PMASS,P)	
+
+c     Calculate all the final state invariants
+               do l1=1,nexternal-1
+                  do m1=l1+1,nexternal
+                     s(l1,m1)=dot(p(0,l1),p(0,m1))
+                  enddo
+               enddo
+               
+               cut =.false.
+               sum = 0d0
+c     Only continue if we are closer to the limit then the starting value.
+c     If we pass the if statement, update 'start' with the new value.
+               if(p(0,l)**2/s(1,2) .lt. start) then
+                  
+c     Make sure that we are only looking at the soft limit. Do this by cutting
+c     away the phase-space point if any of the other final state invariants
+c     is smaller than 10% of the CMS energy.
+                  do j=1,nexternal-1
+                     do k=j+1,nexternal
+                        if((j.ne.l).and.(k.ne.l)) then
+                           if(s(j,k)/s(1,2).lt.0.01d0) then
+                              cut=.true.
+                           endif
+                        endif
+                        if((j.eq.l).or.(k.eq.l))then
+                           sum=sum+s(j,k)
+                        endif
+                     enddo
+                  enddo
+c     cut away points that are collinear by forcing that all the invariants
+c     with the soft particle contribute at least 2*nexternal'th to the sum. This
+c     makes sure that all these invariants go to zero at the same time.              
+                  do j=1,nexternal-1
+                     do k=j+1,nexternal
+                        if(((j.eq.l).or.(k.eq.l)).and.
+     .                       (s(j,k).lt.sum/real(2*nexternal)))then
+                           cut=.true.
+                        endif
+                     enddo
+                  enddo
+
+c     If we found a point closer to the limit, update 'start' and
+c     calculate the matrix element and subtraction terms.
+                  if(.not.cut) then
+                     start=p(0,l)**2/s(1,2)
+                     CALL SMATRIX(P,ME)
+                     Call DIPOLSUM(P,X,1d0,SUBTRACT)
+c     Uncomment the following 2 lines to include the possible non-divergent dipoles,
+c     i.e. dipoles for which the unresolved is massive (= in particles.dat the mass
+c     is set to something different from 'ZERO').
+c     Call DIPOLSUMFINITE(P,X,1d0,SUBTRACT2)
+c     SUBTRACT=SUBTRACT+SUBTRACT2
+
+c     Write out the results
+                     Write (*,14) p(0,l)/s(1,2),
+     .                    ' ,',ME,' ,',SUBTRACT,' ,',ME/SUBTRACT
+                  endif
+               endif
+            enddo
+
+      enddo
+
+
+ 10   format(1X,e18.6,A2,e16.6,A2,e16.6,A2,e16.6,A2,e16.6)
+ 11   format(1X,A2,I2,A4,I2,A,1X,A,I2,A1,I2,A,A18,A18,A20)
+ 14   format(1X,e18.6,A2,e16.6,A2,e16.6,A2,e16.6)
+ 13   format(3X,A4,I2,A12,A18,A18,A20)
+
+      end
+	
+	  
+	  
+	  
+      double precision function dot(p1,p2)
+C****************************************************************************
+C     4-Vector Dot product
+C****************************************************************************
+      implicit none
+      double precision p1(0:3),p2(0:3)
+      dot=p1(0)*p2(0)-p1(1)*p2(1)-p1(2)*p2(2)-p1(3)*p2(3)
+      end
+
+
+      SUBROUTINE GET_MOMENTA(ENERGY,PMASS,P)
+C---- auxiliary function to change convention between madgraph and rambo
+c---- four momenta. 	  
+      IMPLICIT NONE
+      INCLUDE "nexternal.inc"
+C     ARGUMENTS
+      REAL*8 ENERGY,PMASS(NEXTERNAL),P(0:3,NEXTERNAL),PRAMBO(4,10),WGT
+C     LOCAL
+      INTEGER I
+      
+      P(0,1)=energy/2
+      P(1,1)=0d0
+      P(2,1)=0d0
+      P(3,1)=energy/2
+      
+      P(0,2)=energy/2
+      P(1,2)=0d0
+      P(2,2)=0d0
+      P(3,2)=-energy/2
+
+      call rambo(nexternal-2,energy,pmass(3),prambo,WGT)
+      DO I=3, NEXTERNAL
+         P(0,I)=PRAMBO(4,I-2)	
+         P(1,I)=PRAMBO(1,I-2)
+         P(2,I)=PRAMBO(2,I-2)
+         P(3,I)=PRAMBO(3,I-2)	
+      ENDDO
+
+      RETURN
+      END
+
+
+      SUBROUTINE RAMBO(N,ET,XM,P,WT)
+***********************************************************************
+*                       RAMBO                                         *
+*    RA(NDOM)  M(OMENTA)  B(EAUTIFULLY)  O(RGANIZED)                  *
+*                                                                     *
+*    A DEMOCRATIC MULTI-PARTICLE PHASE SPACE GENERATOR                *
+*    AUTHORS:  S.D. ELLIS,  R. KLEISS,  W.J. STIRLING                 *
+*    THIS IS VERSION 1.0 -  WRITTEN BY R. KLEISS                      *
+*    -- ADJUSTED BY HANS KUIJF, WEIGHTS ARE LOGARITHMIC (20-08-90)    *
+*                                                                     *
+*    N  = NUMBER OF PARTICLES                                         *
+*    ET = TOTAL CENTRE-OF-MASS ENERGY                                 *
+*    XM = PARTICLE MASSES ( DIM=NEXTERNAL-2 )                         *
+*    P  = PARTICLE MOMENTA ( DIM=(4,NEXTERNAL-2) )                    *
+*    WT = WEIGHT OF THE EVENT                                         *
+***********************************************************************
+      IMPLICIT REAL*8(A-H,O-Z)
+	  INCLUDE "nexternal.inc"
+      DIMENSION XM(NEXTERNAL-2),P(4,NEXTERNAL-2)
+      DIMENSION Q(4,NEXTERNAL-2),Z(NEXTERNAL-2),R(4),
+     .   B(3),P2(NEXTERNAL-2),XM2(NEXTERNAL-2),
+     .   E(NEXTERNAL-2),V(NEXTERNAL-2),IWARN(5)
+      SAVE ACC,ITMAX,IBEGIN,IWARN
+      DATA ACC/1.D-14/,ITMAX/6/,IBEGIN/0/,IWARN/5*0/
+*
+* INITIALIZATION STEP: FACTORIALS FOR THE PHASE SPACE WEIGHT
+      IF(IBEGIN.NE.0) GOTO 103
+      IBEGIN=1
+      TWOPI=8.*DATAN(1.D0)
+      PO2LOG=LOG(TWOPI/4.)
+      Z(2)=PO2LOG
+      DO 101 K=3,10
+  101 Z(K)=Z(K-1)+PO2LOG-2.*LOG(DFLOAT(K-2))
+      DO 102 K=3,10
+  102 Z(K)=(Z(K)-LOG(DFLOAT(K-1)))
+*
+* CHECK ON THE NUMBER OF PARTICLES
+  103 IF(N.GT.1.AND.N.LT.101) GOTO 104
+      PRINT 1001,N
+      STOP
+*
+* CHECK WHETHER TOTAL ENERGY IS SUFFICIENT; COUNT NONZERO MASSES
+  104 XMT=0.
+      NM=0
+      DO 105 I=1,N
+      IF(XM(I).NE.0.D0) NM=NM+1
+  105 XMT=XMT+ABS(XM(I))
+      IF(XMT.LE.ET) GOTO 201
+      PRINT 1002,XMT,ET
+      STOP
+*
+* THE PARAMETER VALUES ARE NOW ACCEPTED
+*
+* GENERATE N MASSLESS MOMENTA IN INFINITE PHASE SPACE
+  201 DO 202 I=1,N
+         r1=rn(1)
+      C=2.*r1-1.
+      S=SQRT(1.-C*C)
+      F=TWOPI*RN(2)
+      r1=rn(3)
+      r2=rn(4)
+      Q(4,I)=-LOG(r1*r2)
+      Q(3,I)=Q(4,I)*C
+      Q(2,I)=Q(4,I)*S*COS(F)
+  202 Q(1,I)=Q(4,I)*S*SIN(F)
+*
+* CALCULATE THE PARAMETERS OF THE CONFORMAL TRANSFORMATION
+      DO 203 I=1,4
+  203 R(I)=0.
+      DO 204 I=1,N
+      DO 204 K=1,4
+  204 R(K)=R(K)+Q(K,I)
+      RMAS=SQRT(R(4)**2-R(3)**2-R(2)**2-R(1)**2)
+      DO 205 K=1,3
+  205 B(K)=-R(K)/RMAS
+      G=R(4)/RMAS
+      A=1./(1.+G)
+      X=ET/RMAS
+*
+* TRANSFORM THE Q'S CONFORMALLY INTO THE P'S
+      DO 207 I=1,N
+      BQ=B(1)*Q(1,I)+B(2)*Q(2,I)+B(3)*Q(3,I)
+      DO 206 K=1,3
+  206 P(K,I)=X*(Q(K,I)+B(K)*(Q(4,I)+A*BQ))
+  207 P(4,I)=X*(G*Q(4,I)+BQ)
+*
+* CALCULATE WEIGHT AND POSSIBLE WARNINGS
+      WT=PO2LOG
+      IF(N.NE.2) WT=(2.*N-4.)*LOG(ET)+Z(N)
+      IF(WT.GE.-180.D0) GOTO 208
+      IF(IWARN(1).LE.5) PRINT 1004,WT
+      IWARN(1)=IWARN(1)+1
+  208 IF(WT.LE. 174.D0) GOTO 209
+      IF(IWARN(2).LE.5) PRINT 1005,WT
+      IWARN(2)=IWARN(2)+1
+*
+* RETURN FOR WEIGHTED MASSLESS MOMENTA
+  209 IF(NM.NE.0) GOTO 210
+* RETURN LOG OF WEIGHT
+      WT=WT
+      RETURN
+*
+* MASSIVE PARTICLES: RESCALE THE MOMENTA BY A FACTOR X
+  210 XMAX=SQRT(1.-(XMT/ET)**2)
+      DO 301 I=1,N
+      XM2(I)=XM(I)**2
+  301 P2(I)=P(4,I)**2
+      ITER=0
+      X=XMAX
+      ACCU=ET*ACC
+  302 F0=-ET
+      G0=0.
+      X2=X*X
+      DO 303 I=1,N
+      E(I)=SQRT(XM2(I)+X2*P2(I))
+      F0=F0+E(I)
+  303 G0=G0+P2(I)/E(I)
+      IF(ABS(F0).LE.ACCU) GOTO 305
+      ITER=ITER+1
+      IF(ITER.LE.ITMAX) GOTO 304
+      PRINT 1006,ITMAX
+      GOTO 305
+  304 X=X-F0/(X*G0)
+      GOTO 302
+  305 DO 307 I=1,N
+      V(I)=X*P(4,I)
+      DO 306 K=1,3
+  306 P(K,I)=X*P(K,I)
+  307 P(4,I)=E(I)
+*
+* CALCULATE THE MASS-EFFECT WEIGHT FACTOR
+      WT2=1.
+      WT3=0.
+      DO 308 I=1,N
+      WT2=WT2*V(I)/E(I)
+  308 WT3=WT3+V(I)**2/E(I)
+      WTM=(2.*N-3.)*LOG(X)+LOG(WT2/WT3*ET)
+*
+* RETURN FOR  WEIGHTED MASSIVE MOMENTA
+      WT=WT+WTM
+      IF(WT.GE.-180.D0) GOTO 309
+      IF(IWARN(3).LE.5) PRINT 1004,WT
+      IWARN(3)=IWARN(3)+1
+  309 IF(WT.LE. 174.D0) GOTO 310
+      IF(IWARN(4).LE.5) PRINT 1005,WT
+      IWARN(4)=IWARN(4)+1
+* RETURN LOG OF WEIGHT
+  310 WT=WT
+      RETURN
+*
+ 1001 FORMAT(' RAMBO FAILS: # OF PARTICLES =',I5,' IS NOT ALLOWED')
+ 1002 FORMAT(' RAMBO FAILS: TOTAL MASS =',D15.6,' IS NOT',
+     . ' SMALLER THAN TOTAL ENERGY =',D15.6)
+ 1004 FORMAT(' RAMBO WARNS: WEIGHT = EXP(',F20.9,') MAY UNDERFLOW')
+ 1005 FORMAT(' RAMBO WARNS: WEIGHT = EXP(',F20.9,') MAY  OVERFLOW')
+ 1006 FORMAT(' RAMBO WARNS:',I3,' ITERATIONS DID NOT GIVE THE',
+     . ' DESIRED ACCURACY =',D15.6)
+      END
+
+      FUNCTION RN(IDUMMY)
+      REAL*8 RN,RAN
+      SAVE INIT
+      DATA INIT /1/
+      IF (INIT.EQ.1) THEN
+        INIT=0
+        CALL RMARIN(1802,9373)
+      END IF
+*
+  10  CALL RANMAR(RAN)
+      IF (RAN.LT.1D-16) GOTO 10
+      RN=RAN
+*
+      END
+
+
+
+      SUBROUTINE RANMAR(RVEC)
+*     -----------------
+* Universal random number generator proposed by Marsaglia and Zaman
+* in report FSU-SCRI-87-50
+* In this version RVEC is a double precision variable.
+      IMPLICIT REAL*8(A-H,O-Z)
+      COMMON/ RASET1 / RANU(97),RANC,RANCD,RANCM
+      COMMON/ RASET2 / IRANMR,JRANMR
+      SAVE /RASET1/,/RASET2/
+      UNI = RANU(IRANMR) - RANU(JRANMR)
+      IF(UNI .LT. 0D0) UNI = UNI + 1D0
+      RANU(IRANMR) = UNI
+      IRANMR = IRANMR - 1
+      JRANMR = JRANMR - 1
+      IF(IRANMR .EQ. 0) IRANMR = 97
+      IF(JRANMR .EQ. 0) JRANMR = 97
+      RANC = RANC - RANCD
+      IF(RANC .LT. 0D0) RANC = RANC + RANCM
+      UNI = UNI - RANC
+      IF(UNI .LT. 0D0) UNI = UNI + 1D0
+      RVEC = UNI
+      END
+ 
+      SUBROUTINE RMARIN(IJ,KL)
+*     -----------------
+* Initializing routine for RANMAR, must be called before generating
+* any pseudorandom numbers with RANMAR. The input values should be in
+* the ranges 0<=ij<=31328 ; 0<=kl<=30081
+      IMPLICIT REAL*8(A-H,O-Z)
+      COMMON/ RASET1 / RANU(97),RANC,RANCD,RANCM
+      COMMON/ RASET2 / IRANMR,JRANMR
+      SAVE /RASET1/,/RASET2/
+* This shows correspondence between the simplified input seeds IJ, KL
+* and the original Marsaglia-Zaman seeds I,J,K,L.
+* To get the standard values in the Marsaglia-Zaman paper (i=12,j=34
+* k=56,l=78) put ij=1802, kl=9373
+      I = MOD( IJ/177 , 177 ) + 2
+      J = MOD( IJ     , 177 ) + 2
+      K = MOD( KL/169 , 178 ) + 1
+      L = MOD( KL     , 169 )
+      DO 300 II = 1 , 97
+        S =  0D0
+        T = .5D0
+        DO 200 JJ = 1 , 24
+          M = MOD( MOD(I*J,179)*K , 179 )
+          I = J
+          J = K
+          K = M
+          L = MOD( 53*L+1 , 169 )
+          IF(MOD(L*M,64) .GE. 32) S = S + T
+          T = .5D0*T
+  200   CONTINUE
+        RANU(II) = S
+  300 CONTINUE
+      RANC  =   362436D0 / 16777216D0
+      RANCD =  7654321D0 / 16777216D0
+      RANCM = 16777213D0 / 16777216D0
+      IRANMR = 97
+      JRANMR = 33
+      END
+
+
+
+
+
+

=== added file 'Template/SubProcesses/check_intdip.f'
--- Template/SubProcesses/check_intdip.f	1970-01-01 00:00:00 +0000
+++ Template/SubProcesses/check_intdip.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,401 @@
+      PROGRAM checkintdip
+C**************************************************************************
+C     This is a program for testing the integrated dipoles. For a couple of
+C     phase space points, chosen by RAMBO, it prints the the singular and
+C     finite terms for the given process.
+C     R.Frederix and N.Greiner - February 2010
+C**************************************************************************
+      IMPLICIT NONE
+C     
+C     CONSTANTS  
+C     
+      REAL*8 ZERO
+      PARAMETER (ZERO=0D0)
+C     
+C     INCLUDE FILES
+C     
+C---  the include file with the values of the parameters and masses	
+      INCLUDE "coupl.inc"
+C---  integer nexternal ! number particles (incoming+outgoing) in the me 
+      INCLUDE "nexternal.inc" 
+C---  particle masses
+      REAL*8 PMASS(NEXTERNAL)	
+C---  integer    n_max_cg
+      INCLUDE "ngraphs.inc"     !how many diagrams (could be useful to know...)
+      INCLUDE "dipole.inc" 
+
+C     
+C     LOCAL
+C     
+      INTEGER I,J,K,l,m,l1,m1, number
+      REAL*8 P(0:3,NEXTERNAL)      ! four momenta. Energy is the zeroth component.
+      REAL*8 SQRTS                 ! sqrt(s)= center of mass energy 
+      REAL*8 ME,SUBTRACT,SUBTRACT2 ! Matrix Element and subtraction terms
+      real*8 start                 ! Starting value for invariants and the number of phase space points
+      logical cut                  ! Cut to prevent going into double limits
+      real*8 sum,x(2)
+      real*8 Z, eps,epssq, finite
+C     
+C     EXTERNAL
+C     
+      REAL*8 DOT
+      EXTERNAL DOT
+      
+C-----
+C     BEGIN CODE
+C-----
+C     
+C---  INITIALIZATION CALLS
+C     
+c---  Call to initialize the values of the couplings, masses and widths 
+c     used in the evaluation of the matrix element. The primary parameters of the
+c     models are read from Cards/param_card.dat. The secondary parameters are calculated
+c     in Source/MODEL/couplings.f. The values are stored in common blocks that are listed
+c     in coupl.inc .
+
+      call setpara('param_card.dat',.true.)  !first call to setup the paramaters
+      include "pmass.inc"                    !set up masses
+      mu  = 91.188d0  !renormalization scale
+      muf = 91.188d0  !factorization scale
+
+      SQRTS=1000d0              !CMS energy in GEV
+      x(1)=1d0                  !Bjorken x's
+      x(2)=1d0
+      number=3            !Number of phase space points
+
+c For this check routine to work properly,
+c the last parton should be a massless one
+      if (pmass(nexternal).ne.0d0) then
+         write (*,*) 'Error in process order:'
+         write (*,*) 'Please, change the order of the particles in the'
+         write (*,*)
+     &        'process such that the last one is a massless particle'
+         stop
+      endif
+
+c     Loop over phase space points
+      do i=1,number
+
+c---  Now use a simple multipurpose PS generator (RAMBO) just to get a 
+c     RANDOM set of four momenta of given masses pmass(i) to be used to evaluate 
+c     the integrated dipoles.
+c     	
+         CALL GET_INT_MOMENTA(SQRTS,PMASS,P,Z)
+
+         CALL INTDIPOLES(P,X,Z,1d0,EPS,EPSSQ,FINITE)
+c Note that for the intdipolesfinite the phase space point from
+c Rambo is, in general not correct
+c         CALL INTDIPOLESFINITE(P,X,Z,1d0,EPS,EPSSQ,FINITE)
+         write (*,*) ' '
+         write (*,*) 'PHASE SPACE POINT',i,':'
+         do j=1, nexternal-1
+            write (*,*)'   ',j, P(0,j), P(1,j), P(2,j), P(3,j)
+         enddo
+         write (*,*) '    Z =', Z
+         write (*,*) ' '
+         write (*,*) '    1/eps^2: ',epssq
+         write (*,*) '    1/eps:   ',eps
+         write (*,*) '    Finite:  ',finite
+         write (*,*) ' '
+         write (*,*) ' '
+      enddo
+
+      end
+
+
+
+      SUBROUTINE GET_INT_MOMENTA(ENERGY,PMASS,P,Z)
+C     Provide four-momenta for integrated dipoles.
+
+      IMPLICIT NONE
+      INCLUDE "nexternal.inc"
+C     ARGUMENTS
+      REAL*8 ENERGY,PMASS(NEXTERNAL),P(0:3,NEXTERNAL),PRAMBO(4,10),WGT,Z
+C     LOCAL
+      INTEGER I
+      
+      P(0,1)=energy/2
+      P(1,1)=0d0
+      P(2,1)=0d0
+      P(3,1)=energy/2
+      
+      P(0,2)=energy/2
+      P(1,2)=0d0
+      P(2,2)=0d0
+      P(3,2)=-energy/2
+
+      call rambo_int(nexternal-3,energy,pmass(3),prambo,Z)
+      DO I=3, NEXTERNAL-1
+         P(0,I)=PRAMBO(4,I-2)	
+         P(1,I)=PRAMBO(1,I-2)
+         P(2,I)=PRAMBO(2,I-2)
+         P(3,I)=PRAMBO(3,I-2)	
+      ENDDO
+
+      P(0,nexternal)=0d0
+      P(1,nexternal)=0d0
+      P(2,nexternal)=0d0
+      P(3,nexternal)=0d0
+
+      RETURN
+      END
+
+
+
+
+      double precision function dot(p1,p2)
+C****************************************************************************
+C     4-Vector Dot product
+C****************************************************************************
+      implicit none
+      double precision p1(0:3),p2(0:3)
+      dot=p1(0)*p2(0)-p1(1)*p2(1)-p1(2)*p2(2)-p1(3)*p2(3)
+      end
+
+
+      SUBROUTINE RAMBO_INT(N,ET,XM,P,Zvar)
+C     Modified RAMBO suited for integrated dipoles
+C     R.Frederix and N.Greiner - February 2010
+***********************************************************************
+*                       RAMBO                                         *
+*    RA(NDOM)  M(OMENTA)  B(EAUTIFULLY)  O(RGANIZED)                  *
+*                                                                     *
+*    A DEMOCRATIC MULTI-PARTICLE PHASE SPACE GENERATOR                *
+*    AUTHORS:  S.D. ELLIS,  R. KLEISS,  W.J. STIRLING                 *
+*    THIS IS VERSION 1.0 -  WRITTEN BY R. KLEISS                      *
+*    -- ADJUSTED BY HANS KUIJF, WEIGHTS ARE LOGARITHMIC (20-08-90)    *
+*                                                                     *
+*    N  = NUMBER OF PARTICLES                                         *
+*    ET = TOTAL CENTRE-OF-MASS ENERGY                                 *
+*    XM = PARTICLE MASSES ( DIM=NEXTERNAL-2 )                         *
+*    P  = PARTICLE MOMENTA ( DIM=(4,NEXTERNAL-2) )                    *
+*    WT = WEIGHT OF THE EVENT                                         *
+***********************************************************************
+      IMPLICIT REAL*8(A-H,O-Z)
+	  INCLUDE "nexternal.inc"
+      DIMENSION XM(NEXTERNAL-2),P(4,NEXTERNAL-2)
+      DIMENSION Q(4,NEXTERNAL-2),Z(NEXTERNAL-2),R(4),
+     .   B(3),P2(NEXTERNAL-2),XM2(NEXTERNAL-2),
+     .   E(NEXTERNAL-2),V(NEXTERNAL-2),IWARN(5)
+      SAVE ACC,ITMAX,IBEGIN,IWARN
+      DATA ACC/1.D-14/,ITMAX/6/,IBEGIN/0/,IWARN/5*0/
+*
+* INITIALIZATION STEP: FACTORIALS FOR THE PHASE SPACE WEIGHT
+      IF(IBEGIN.NE.0) GOTO 103
+      IBEGIN=1
+      TWOPI=8.*DATAN(1.D0)
+      PO2LOG=LOG(TWOPI/4.)
+      Z(2)=PO2LOG
+      DO 101 K=3,10
+  101 Z(K)=Z(K-1)+PO2LOG-2.*LOG(DFLOAT(K-2))
+      DO 102 K=3,10
+  102 Z(K)=(Z(K)-LOG(DFLOAT(K-1)))
+*
+* CHECK ON THE NUMBER OF PARTICLES
+  103 IF(N.GT.1.AND.N.LT.101) GOTO 104
+      PRINT 1001,N
+      STOP
+*
+* CHECK WHETHER TOTAL ENERGY IS SUFFICIENT; COUNT NONZERO MASSES
+  104 XMT=0.
+      NM=0
+      DO 105 I=1,N
+      IF(XM(I).NE.0.D0) NM=NM+1
+  105 XMT=XMT+ABS(XM(I))
+      IF(XMT.LE.ET) GOTO 201
+      PRINT 1002,XMT,ET
+      STOP
+*
+* THE PARAMETER VALUES ARE NOW ACCEPTED
+*
+* GENERATE N MASSLESS MOMENTA IN INFINITE PHASE SPACE
+  201 DO 202 I=1,N
+         r1=rn(1)
+      C=2.*r1-1.
+      S=SQRT(1.-C*C)
+      F=TWOPI*RN(2)
+      r1=rn(3)
+      r2=rn(4)
+      Q(4,I)=-LOG(r1*r2)
+      Q(3,I)=Q(4,I)*C
+      Q(2,I)=Q(4,I)*S*COS(F)
+  202 Q(1,I)=Q(4,I)*S*SIN(F)
+
+      Zvar=rn(1)
+*
+* CALCULATE THE PARAMETERS OF THE CONFORMAL TRANSFORMATION
+      DO 203 I=1,4
+  203 R(I)=0.
+      DO 204 I=1,N
+      DO 204 K=1,4
+  204 R(K)=R(K)+Q(K,I)
+      RMAS=SQRT(R(4)**2-R(3)**2-R(2)**2-R(1)**2)
+      DO 205 K=1,3
+  205 B(K)=-R(K)/RMAS
+      G=R(4)/RMAS
+      A=1./(1.+G)
+      X=ET/RMAS
+*
+* TRANSFORM THE Q'S CONFORMALLY INTO THE P'S
+      DO 207 I=1,N
+      BQ=B(1)*Q(1,I)+B(2)*Q(2,I)+B(3)*Q(3,I)
+      DO 206 K=1,3
+  206 P(K,I)=X*(Q(K,I)+B(K)*(Q(4,I)+A*BQ))
+  207 P(4,I)=X*(G*Q(4,I)+BQ)
+*
+* CALCULATE WEIGHT AND POSSIBLE WARNINGS
+      WT=PO2LOG
+      IF(N.NE.2) WT=(2.*N-4.)*LOG(ET)+Z(N)
+      IF(WT.GE.-180.D0) GOTO 208
+      IF(IWARN(1).LE.5) PRINT 1004,WT
+      IWARN(1)=IWARN(1)+1
+  208 IF(WT.LE. 174.D0) GOTO 209
+      IF(IWARN(2).LE.5) PRINT 1005,WT
+      IWARN(2)=IWARN(2)+1
+*
+* RETURN FOR WEIGHTED MASSLESS MOMENTA
+  209 IF(NM.NE.0) GOTO 210
+* RETURN LOG OF WEIGHT
+      WT=WT
+      RETURN
+*
+* MASSIVE PARTICLES: RESCALE THE MOMENTA BY A FACTOR X
+  210 XMAX=SQRT(1.-(XMT/ET)**2)
+      DO 301 I=1,N
+      XM2(I)=XM(I)**2
+  301 P2(I)=P(4,I)**2
+      ITER=0
+      X=XMAX
+      ACCU=ET*ACC
+  302 F0=-ET
+      G0=0.
+      X2=X*X
+      DO 303 I=1,N
+      E(I)=SQRT(XM2(I)+X2*P2(I))
+      F0=F0+E(I)
+  303 G0=G0+P2(I)/E(I)
+      IF(ABS(F0).LE.ACCU) GOTO 305
+      ITER=ITER+1
+      IF(ITER.LE.ITMAX) GOTO 304
+      PRINT 1006,ITMAX
+      GOTO 305
+  304 X=X-F0/(X*G0)
+      GOTO 302
+  305 DO 307 I=1,N
+      V(I)=X*P(4,I)
+      DO 306 K=1,3
+  306 P(K,I)=X*P(K,I)
+  307 P(4,I)=E(I)
+*
+* CALCULATE THE MASS-EFFECT WEIGHT FACTOR
+      WT2=1.
+      WT3=0.
+      DO 308 I=1,N
+      WT2=WT2*V(I)/E(I)
+  308 WT3=WT3+V(I)**2/E(I)
+      WTM=(2.*N-3.)*LOG(X)+LOG(WT2/WT3*ET)
+*
+* RETURN FOR  WEIGHTED MASSIVE MOMENTA
+      WT=WT+WTM
+      IF(WT.GE.-180.D0) GOTO 309
+      IF(IWARN(3).LE.5) PRINT 1004,WT
+      IWARN(3)=IWARN(3)+1
+  309 IF(WT.LE. 174.D0) GOTO 310
+      IF(IWARN(4).LE.5) PRINT 1005,WT
+      IWARN(4)=IWARN(4)+1
+* RETURN LOG OF WEIGHT
+  310 WT=WT
+      RETURN
+*
+ 1001 FORMAT(' RAMBO FAILS: # OF PARTICLES =',I5,' IS NOT ALLOWED')
+ 1002 FORMAT(' RAMBO FAILS: TOTAL MASS =',D15.6,' IS NOT',
+     . ' SMALLER THAN TOTAL ENERGY =',D15.6)
+ 1004 FORMAT(' RAMBO WARNS: WEIGHT = EXP(',F20.9,') MAY UNDERFLOW')
+ 1005 FORMAT(' RAMBO WARNS: WEIGHT = EXP(',F20.9,') MAY  OVERFLOW')
+ 1006 FORMAT(' RAMBO WARNS:',I3,' ITERATIONS DID NOT GIVE THE',
+     . ' DESIRED ACCURACY =',D15.6)
+      END
+
+      FUNCTION RN(IDUMMY)
+      REAL*8 RN,RAN
+      SAVE INIT
+      DATA INIT /1/
+      IF (INIT.EQ.1) THEN
+        INIT=0
+        CALL RMARIN(1802,9373)
+      END IF
+*
+  10  CALL RANMAR(RAN)
+      IF (RAN.LT.1D-16) GOTO 10
+      RN=RAN
+*
+      END
+
+
+
+      SUBROUTINE RANMAR(RVEC)
+*     -----------------
+* Universal random number generator proposed by Marsaglia and Zaman
+* in report FSU-SCRI-87-50
+* In this version RVEC is a double precision variable.
+      IMPLICIT REAL*8(A-H,O-Z)
+      COMMON/ RASET1 / RANU(97),RANC,RANCD,RANCM
+      COMMON/ RASET2 / IRANMR,JRANMR
+      SAVE /RASET1/,/RASET2/
+      UNI = RANU(IRANMR) - RANU(JRANMR)
+      IF(UNI .LT. 0D0) UNI = UNI + 1D0
+      RANU(IRANMR) = UNI
+      IRANMR = IRANMR - 1
+      JRANMR = JRANMR - 1
+      IF(IRANMR .EQ. 0) IRANMR = 97
+      IF(JRANMR .EQ. 0) JRANMR = 97
+      RANC = RANC - RANCD
+      IF(RANC .LT. 0D0) RANC = RANC + RANCM
+      UNI = UNI - RANC
+      IF(UNI .LT. 0D0) UNI = UNI + 1D0
+      RVEC = UNI
+      END
+ 
+      SUBROUTINE RMARIN(IJ,KL)
+*     -----------------
+* Initializing routine for RANMAR, must be called before generating
+* any pseudorandom numbers with RANMAR. The input values should be in
+* the ranges 0<=ij<=31328 ; 0<=kl<=30081
+      IMPLICIT REAL*8(A-H,O-Z)
+      COMMON/ RASET1 / RANU(97),RANC,RANCD,RANCM
+      COMMON/ RASET2 / IRANMR,JRANMR
+      SAVE /RASET1/,/RASET2/
+* This shows correspondence between the simplified input seeds IJ, KL
+* and the original Marsaglia-Zaman seeds I,J,K,L.
+* To get the standard values in the Marsaglia-Zaman paper (i=12,j=34
+* k=56,l=78) put ij=1802, kl=9373
+      I = MOD( IJ/177 , 177 ) + 2
+      J = MOD( IJ     , 177 ) + 2
+      K = MOD( KL/169 , 178 ) + 1
+      L = MOD( KL     , 169 )
+      DO 300 II = 1 , 97
+        S =  0D0
+        T = .5D0
+        DO 200 JJ = 1 , 24
+          M = MOD( MOD(I*J,179)*K , 179 )
+          I = J
+          J = K
+          K = M
+          L = MOD( 53*L+1 , 169 )
+          IF(MOD(L*M,64) .GE. 32) S = S + T
+          T = .5D0*T
+  200   CONTINUE
+        RANU(II) = S
+  300 CONTINUE
+      RANC  =   362436D0 / 16777216D0
+      RANCD =  7654321D0 / 16777216D0
+      RANCM = 16777213D0 / 16777216D0
+      IRANMR = 97
+      JRANMR = 33
+      END
+
+
+
+
+
+

=== added file 'Template/SubProcesses/check_sa.f'
--- Template/SubProcesses/check_sa.f	1970-01-01 00:00:00 +0000
+++ Template/SubProcesses/check_sa.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,439 @@
+      PROGRAM DRIVER
+C**************************************************************************
+C     THIS IS THE DRIVER FOR CHECKING THE STANDALONE MATRIX ELEMENT.
+C     IT USES A SIMPLE PHASE SPACE GENERATOR
+C     Fabio Maltoni - 3rd Febraury 2007
+C**************************************************************************
+      IMPLICIT NONE
+C     
+C     CONSTANTS  
+C     
+      REAL*8 ZERO
+      PARAMETER (ZERO=0D0)
+C     
+C     INCLUDE FILES
+C     
+C---  the include file with the values of the parameters and masses	
+      INCLUDE "coupl.inc"
+C---  integer nexternal ! number particles (incoming+outgoing) in the me 
+      INCLUDE "nexternal.inc" 
+C---  particle masses
+      REAL*8 PMASS(NEXTERNAL)	
+C---  integer    n_max_cg
+      INCLUDE "ngraphs.inc"     !how many diagrams (could be useful to know...)
+
+C     
+C     LOCAL
+C     
+      INTEGER I,J,K
+      REAL*8 P(0:3,NEXTERNAL)   ! four momenta. Energy is the zeroth component.
+      REAL*8 SQRTS,MATELEM           ! sqrt(s)= center of mass energy 
+      REAL*8 PIN(0:3), POUT(0:3)
+      CHARACTER*120 BUFF(NEXTERNAL)
+C     
+C     EXTERNAL
+C     
+      REAL*8 DOT
+      EXTERNAL DOT
+      
+C-----
+C     BEGIN CODE
+C-----
+C     
+C---  INITIALIZATION CALLS
+C     
+c---  Call to initialize the values of the couplings, masses and widths 
+c     used in the evaluation of the matrix element. The primary parameters of the
+c     models are read from Cards/param_card.dat. The secondary parameters are calculated
+c     in Source/MODEL/couplings.f. The values are stored in common blocks that are listed
+c     in coupl.inc .
+
+      call setpara('param_card.dat',.true.)  !first call to setup the paramaters
+      include "pmass.inc"             !set up masses
+
+c---  Now use a simple multipurpose PS generator (RAMBO) just to get a 
+c     RANDOM set of four momenta of given masses pmass(i) to be used to evaluate 
+c     the madgraph matrix-element.       
+c     Alternatevely, here the user can call or set the four momenta at his will, see below.
+c     	
+      IF(nincoming.EQ.1) THEN
+         SQRTS=PMASS(1)
+      ELSE
+         SQRTS=1000d0              !CMS energy in GEV
+      ENDIF
+
+      call printout()
+
+      CALL GET_MOMENTA(SQRTS,PMASS,P)	
+c
+c	  write the information on the four momenta 
+c
+      write (*,*)
+      write (*,*) " Phase space point:"
+      write (*,*)
+      write (*,*) "-----------------------------------------------------------------------------"
+      write (*,*)  "n        E             px             py              pz               m "
+      do i=1,nexternal
+         write (*,'(i2,1x,5e15.7)') i, P(0,i),P(1,i),P(2,i),P(3,i), 
+     .dsqrt(dabs(DOT(p(0,i),p(0,i))))
+      enddo
+      write (*,*) "-----------------------------------------------------------------------------"
+
+c     
+c     Now we can call the matrix element!
+c
+      CALL SMATRIX(P,MATELEM)
+c
+
+      write (*,*) "Matrix element = ", MATELEM, " GeV^",-(2*nexternal-8)	
+      write (*,*) "-----------------------------------------------------------------------------"
+
+cc
+cc      Copy down here (or read in) the four momenta as a string. 
+cc      
+cc
+c      buff(1)=" 1   0.5630480E+04  0.0000000E+00  0.0000000E+00  0.5630480E+04"
+c      buff(2)=" 2   0.5630480E+04  0.0000000E+00  0.0000000E+00 -0.5630480E+04"
+c      buff(3)=" 3   0.5466073E+04  0.4443190E+03  0.2446331E+04 -0.4864732E+04"
+c      buff(4)=" 4   0.8785819E+03 -0.2533886E+03  0.2741971E+03  0.7759741E+03"
+c      buff(5)=" 5   0.4916306E+04 -0.1909305E+03 -0.2720528E+04  0.4088757E+04"
+cc
+cc      Here the k,E,px,py,pz are read from the string into the momenta array.
+cc      k=1,2          : incoming
+cc      k=3,nexternal  : outgoing
+cc
+c      do i=1,nexternal
+c         read (buff(i),*) k, P(0,i),P(1,i),P(2,i),P(3,i)
+c      enddo
+c
+cc- print the momenta out
+c
+c      do i=1,nexternal
+c         write (*,'(i2,1x,5e15.7)') i, P(0,i),P(1,i),P(2,i),P(3,i), 
+c     .dsqrt(dabs(DOT(p(0,i),p(0,i))))
+c      enddo
+c
+c      CALL SMATRIX(P,MATELEM)
+c
+c      write (*,*) "-------------------------------------------------"
+c      write (*,*) "Matrix element = ", MATELEM, " GeV^",-(2*nexternal-8)	
+c      write (*,*) "-------------------------------------------------"
+
+      end
+	
+	  
+	  
+	  
+	   double precision function dot(p1,p2)
+C****************************************************************************
+C     4-Vector Dot product
+C****************************************************************************
+      implicit none
+      double precision p1(0:3),p2(0:3)
+      dot=p1(0)*p2(0)-p1(1)*p2(1)-p1(2)*p2(2)-p1(3)*p2(3)
+      end
+
+
+	  SUBROUTINE GET_MOMENTA(ENERGY,PMASS,P)
+C---- auxiliary function to change convention between madgraph and rambo
+c---- four momenta. 	  
+	  IMPLICIT NONE
+	  INCLUDE "nexternal.inc"
+C	  ARGUMENTS
+	  REAL*8 ENERGY,PMASS(NEXTERNAL),P(0:3,NEXTERNAL),PRAMBO(4,10),WGT
+C         LOCAL
+         INTEGER I
+         REAL*8 etot2,mom,m1,m2,e1,e2
+
+         ETOT2=energy**2
+         m1=pmass(1)
+         m2=pmass(2)
+         mom=(Etot2**2 - 2*Etot2*m1**2 + m1**4 -
+     -        2*Etot2*m2**2 - 2*m1**2*m2**2 + m2**4)/(4.*Etot2)
+         mom=dsqrt(mom)
+         e1=DSQRT(mom**2+m1**2)
+         e2=DSQRT(mom**2+m2**2)
+         write (*,*) e1+e2,mom
+
+         if(nincoming.eq.2) then
+
+            P(0,1)=e1
+            P(1,1)=0d0
+            P(2,1)=0d0
+            P(3,1)=mom
+
+            P(0,2)=e2
+            P(1,2)=0d0
+            P(2,2)=0d0
+            P(3,2)=-mom
+             
+            call rambo(nexternal-2,energy,pmass(3),prambo,WGT)
+            DO I=3, NEXTERNAL
+               P(0,I)=PRAMBO(4,I-2)	
+               P(1,I)=PRAMBO(1,I-2)
+               P(2,I)=PRAMBO(2,I-2)
+               P(3,I)=PRAMBO(3,I-2)	
+            ENDDO
+             
+          elseif(nincoming.eq.1) then 
+             
+             P(0,1)=energy
+             P(1,1)=0d0
+             P(2,1)=0d0
+             P(3,1)=0d0
+             
+             call rambo(nexternal-1,energy,pmass(2),prambo,WGT)
+             DO I=2, NEXTERNAL
+                P(0,I)=PRAMBO(4,I-1)	
+                P(1,I)=PRAMBO(1,I-1)
+                P(2,I)=PRAMBO(2,I-1)
+                P(3,I)=PRAMBO(3,I-1)	
+             ENDDO
+          endif
+          
+	  RETURN
+	  END
+      
+
+      SUBROUTINE RAMBO(N,ET,XM,P,WT)
+***********************************************************************
+*                       RAMBO                                         *
+*    RA(NDOM)  M(OMENTA)  B(EAUTIFULLY)  O(RGANIZED)                  *
+*                                                                     *
+*    A DEMOCRATIC MULTI-PARTICLE PHASE SPACE GENERATOR                *
+*    AUTHORS:  S.D. ELLIS,  R. KLEISS,  W.J. STIRLING                 *
+*    THIS IS VERSION 1.0 -  WRITTEN BY R. KLEISS                      *
+*    -- ADJUSTED BY HANS KUIJF, WEIGHTS ARE LOGARITHMIC (20-08-90)    *
+*                                                                     *
+*    N  = NUMBER OF PARTICLES                                         *
+*    ET = TOTAL CENTRE-OF-MASS ENERGY                                 *
+*    XM = PARTICLE MASSES ( DIM=NEXTERNAL-nincoming )                 *
+*    P  = PARTICLE MOMENTA ( DIM=(4,NEXTERNAL-nincoming) )            *
+*    WT = WEIGHT OF THE EVENT                                         *
+***********************************************************************
+      IMPLICIT REAL*8(A-H,O-Z)
+      INCLUDE "nexternal.inc"
+      DIMENSION XM(NEXTERNAL-NINCOMING),P(4,NEXTERNAL-NINCOMING)
+      DIMENSION Q(4,NEXTERNAL-NINCOMING),Z(NEXTERNAL-NINCOMING),R(4),
+     .   B(3),P2(NEXTERNAL-NINCOMING),XM2(NEXTERNAL-NINCOMING),
+     .   E(NEXTERNAL-NINCOMING),V(NEXTERNAL-NINCOMING),IWARN(5)
+      SAVE ACC,ITMAX,IBEGIN,IWARN
+      DATA ACC/1.D-14/,ITMAX/6/,IBEGIN/0/,IWARN/5*0/
+*
+* INITIALIZATION STEP: FACTORIALS FOR THE PHASE SPACE WEIGHT
+      IF(IBEGIN.NE.0) GOTO 103
+      IBEGIN=1
+      TWOPI=8.*DATAN(1.D0)
+      PO2LOG=LOG(TWOPI/4.)
+      Z(2)=PO2LOG
+      DO 101 K=3,10
+  101 Z(K)=Z(K-1)+PO2LOG-2.*LOG(DFLOAT(K-2))
+      DO 102 K=3,10
+  102 Z(K)=(Z(K)-LOG(DFLOAT(K-1)))
+*
+* CHECK ON THE NUMBER OF PARTICLES
+  103 IF(N.GT.1.AND.N.LT.101) GOTO 104
+      PRINT 1001,N
+      STOP
+*
+* CHECK WHETHER TOTAL ENERGY IS SUFFICIENT; COUNT NONZERO MASSES
+  104 XMT=0.
+      NM=0
+      DO 105 I=1,N
+      IF(XM(I).NE.0.D0) NM=NM+1
+  105 XMT=XMT+ABS(XM(I))
+      IF(XMT.LE.ET) GOTO 201
+      PRINT 1002,XMT,ET
+      STOP
+*
+* THE PARAMETER VALUES ARE NOW ACCEPTED
+*
+* GENERATE N MASSLESS MOMENTA IN INFINITE PHASE SPACE
+  201 DO 202 I=1,N
+         r1=rn(1)
+      C=2.*r1-1.
+      S=SQRT(1.-C*C)
+      F=TWOPI*RN(2)
+      r1=rn(3)
+      r2=rn(4)
+      Q(4,I)=-LOG(r1*r2)
+      Q(3,I)=Q(4,I)*C
+      Q(2,I)=Q(4,I)*S*COS(F)
+  202 Q(1,I)=Q(4,I)*S*SIN(F)
+*
+* CALCULATE THE PARAMETERS OF THE CONFORMAL TRANSFORMATION
+      DO 203 I=1,4
+  203 R(I)=0.
+      DO 204 I=1,N
+      DO 204 K=1,4
+  204 R(K)=R(K)+Q(K,I)
+      RMAS=SQRT(R(4)**2-R(3)**2-R(2)**2-R(1)**2)
+      DO 205 K=1,3
+  205 B(K)=-R(K)/RMAS
+      G=R(4)/RMAS
+      A=1./(1.+G)
+      X=ET/RMAS
+*
+* TRANSFORM THE Q'S CONFORMALLY INTO THE P'S
+      DO 207 I=1,N
+      BQ=B(1)*Q(1,I)+B(2)*Q(2,I)+B(3)*Q(3,I)
+      DO 206 K=1,3
+  206 P(K,I)=X*(Q(K,I)+B(K)*(Q(4,I)+A*BQ))
+  207 P(4,I)=X*(G*Q(4,I)+BQ)
+*
+* CALCULATE WEIGHT AND POSSIBLE WARNINGS
+      WT=PO2LOG
+      IF(N.NE.2) WT=(2.*N-4.)*LOG(ET)+Z(N)
+      IF(WT.GE.-180.D0) GOTO 208
+      IF(IWARN(1).LE.5) PRINT 1004,WT
+      IWARN(1)=IWARN(1)+1
+  208 IF(WT.LE. 174.D0) GOTO 209
+      IF(IWARN(2).LE.5) PRINT 1005,WT
+      IWARN(2)=IWARN(2)+1
+*
+* RETURN FOR WEIGHTED MASSLESS MOMENTA
+  209 IF(NM.NE.0) GOTO 210
+* RETURN LOG OF WEIGHT
+      WT=WT
+      RETURN
+*
+* MASSIVE PARTICLES: RESCALE THE MOMENTA BY A FACTOR X
+  210 XMAX=SQRT(1.-(XMT/ET)**2)
+      DO 301 I=1,N
+      XM2(I)=XM(I)**2
+  301 P2(I)=P(4,I)**2
+      ITER=0
+      X=XMAX
+      ACCU=ET*ACC
+  302 F0=-ET
+      G0=0.
+      X2=X*X
+      DO 303 I=1,N
+      E(I)=SQRT(XM2(I)+X2*P2(I))
+      F0=F0+E(I)
+  303 G0=G0+P2(I)/E(I)
+      IF(ABS(F0).LE.ACCU) GOTO 305
+      ITER=ITER+1
+      IF(ITER.LE.ITMAX) GOTO 304
+      PRINT 1006,ITMAX
+      GOTO 305
+  304 X=X-F0/(X*G0)
+      GOTO 302
+  305 DO 307 I=1,N
+      V(I)=X*P(4,I)
+      DO 306 K=1,3
+  306 P(K,I)=X*P(K,I)
+  307 P(4,I)=E(I)
+*
+* CALCULATE THE MASS-EFFECT WEIGHT FACTOR
+      WT2=1.
+      WT3=0.
+      DO 308 I=1,N
+      WT2=WT2*V(I)/E(I)
+  308 WT3=WT3+V(I)**2/E(I)
+      WTM=(2.*N-3.)*LOG(X)+LOG(WT2/WT3*ET)
+*
+* RETURN FOR  WEIGHTED MASSIVE MOMENTA
+      WT=WT+WTM
+      IF(WT.GE.-180.D0) GOTO 309
+      IF(IWARN(3).LE.5) PRINT 1004,WT
+      IWARN(3)=IWARN(3)+1
+  309 IF(WT.LE. 174.D0) GOTO 310
+      IF(IWARN(4).LE.5) PRINT 1005,WT
+      IWARN(4)=IWARN(4)+1
+* RETURN LOG OF WEIGHT
+  310 WT=WT
+      RETURN
+*
+ 1001 FORMAT(' RAMBO FAILS: # OF PARTICLES =',I5,' IS NOT ALLOWED')
+ 1002 FORMAT(' RAMBO FAILS: TOTAL MASS =',D15.6,' IS NOT',
+     . ' SMALLER THAN TOTAL ENERGY =',D15.6)
+ 1004 FORMAT(' RAMBO WARNS: WEIGHT = EXP(',F20.9,') MAY UNDERFLOW')
+ 1005 FORMAT(' RAMBO WARNS: WEIGHT = EXP(',F20.9,') MAY  OVERFLOW')
+ 1006 FORMAT(' RAMBO WARNS:',I3,' ITERATIONS DID NOT GIVE THE',
+     . ' DESIRED ACCURACY =',D15.6)
+      END
+
+      FUNCTION RN(IDUMMY)
+      REAL*8 RN,RAN
+      SAVE INIT
+      DATA INIT /1/
+      IF (INIT.EQ.1) THEN
+        INIT=0
+        CALL RMARIN(1802,9373)
+      END IF
+*
+  10  CALL RANMAR(RAN)
+      IF (RAN.LT.1D-16) GOTO 10
+      RN=RAN
+*
+      END
+
+
+
+      SUBROUTINE RANMAR(RVEC)
+*     -----------------
+* Universal random number generator proposed by Marsaglia and Zaman
+* in report FSU-SCRI-87-50
+* In this version RVEC is a double precision variable.
+      IMPLICIT REAL*8(A-H,O-Z)
+      COMMON/ RASET1 / RANU(97),RANC,RANCD,RANCM
+      COMMON/ RASET2 / IRANMR,JRANMR
+      SAVE /RASET1/,/RASET2/
+      UNI = RANU(IRANMR) - RANU(JRANMR)
+      IF(UNI .LT. 0D0) UNI = UNI + 1D0
+      RANU(IRANMR) = UNI
+      IRANMR = IRANMR - 1
+      JRANMR = JRANMR - 1
+      IF(IRANMR .EQ. 0) IRANMR = 97
+      IF(JRANMR .EQ. 0) JRANMR = 97
+      RANC = RANC - RANCD
+      IF(RANC .LT. 0D0) RANC = RANC + RANCM
+      UNI = UNI - RANC
+      IF(UNI .LT. 0D0) UNI = UNI + 1D0
+      RVEC = UNI
+      END
+ 
+      SUBROUTINE RMARIN(IJ,KL)
+*     -----------------
+* Initializing routine for RANMAR, must be called before generating
+* any pseudorandom numbers with RANMAR. The input values should be in
+* the ranges 0<=ij<=31328 ; 0<=kl<=30081
+      IMPLICIT REAL*8(A-H,O-Z)
+      COMMON/ RASET1 / RANU(97),RANC,RANCD,RANCM
+      COMMON/ RASET2 / IRANMR,JRANMR
+      SAVE /RASET1/,/RASET2/
+* This shows correspondence between the simplified input seeds IJ, KL
+* and the original Marsaglia-Zaman seeds I,J,K,L.
+* To get the standard values in the Marsaglia-Zaman paper (i=12,j=34
+* k=56,l=78) put ij=1802, kl=9373
+      I = MOD( IJ/177 , 177 ) + 2
+      J = MOD( IJ     , 177 ) + 2
+      K = MOD( KL/169 , 178 ) + 1
+      L = MOD( KL     , 169 )
+      DO 300 II = 1 , 97
+        S =  0D0
+        T = .5D0
+        DO 200 JJ = 1 , 24
+          M = MOD( MOD(I*J,179)*K , 179 )
+          I = J
+          J = K
+          K = M
+          L = MOD( 53*L+1 , 169 )
+          IF(MOD(L*M,64) .GE. 32) S = S + T
+          T = .5D0*T
+  200   CONTINUE
+        RANU(II) = S
+  300 CONTINUE
+      RANC  =   362436D0 / 16777216D0
+      RANCD =  7654321D0 / 16777216D0
+      RANCM = 16777213D0 / 16777216D0
+      IRANMR = 97
+      JRANMR = 33
+      END
+
+
+
+
+
+

=== added file 'Template/SubProcesses/cluster.f'
--- Template/SubProcesses/cluster.f	1970-01-01 00:00:00 +0000
+++ Template/SubProcesses/cluster.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,886 @@
+      subroutine crossp(p1,p2,p)
+c**************************************************************************
+c     input:
+c            p1, p2    vectors to cross
+c**************************************************************************
+      implicit none
+      real*8 p1(0:3), p2(0:3), p(0:3)
+
+      p(0)=0d0
+      p(1)=p1(2)*p2(3)-p1(3)*p2(2)
+      p(2)=p1(3)*p2(1)-p1(1)*p2(3)
+      p(3)=p1(1)*p2(2)-p1(2)*p2(1)
+
+      return 
+      end
+
+
+      subroutine rotate(p1,p2,n,nn2,ct,st,d)
+c**************************************************************************
+c     input:
+c            p1        vector to be rotated
+c            n         vector perpendicular to plane of rotation
+c            nn2       squared norm of n to improve numerics
+c            ct, st    cos/sin theta of rotation in plane 
+c            d         direction: 1 there / -1 back
+c     output:
+c            p2        p1 rotated using defined rotation
+c**************************************************************************
+      implicit none
+      real*8 p1(0:3), p2(0:3), n(0:3), at(0:3), ap(0:3), cr(0:3)
+      double precision nn2, ct, st, na, nn
+      integer d, i
+
+      if (nn2.eq.0d0) then
+         do i=0,3
+            p2(i)=p1(i)
+         enddo   
+         return
+      endif
+      nn=dsqrt(nn2)
+      na=(n(1)*p1(1)+n(2)*p1(2)+n(3)*p1(3))/nn2
+      do i=1,3
+         at(i)=n(i)*na
+         ap(i)=p1(i)-at(i)
+      enddo
+c      write(*,*)'nn2 ',nn2,' ',nn,' ',na
+c      write(*,*)'ap ',ap(1),',',ap(2),',',ap(3)
+c      write(*,*)'at ',at(1),',',at(2),',',at(3)
+      p2(0)=p1(0)
+      call crossp(n,ap,cr)
+c      write(*,*)'cr ',cr(1),',',cr(2),',',cr(3)
+      do i=1,3
+         if (d.ge.0) then
+            p2(i)=at(i)+ct*ap(i)+st/nn*cr(i)
+         else 
+            p2(i)=at(i)+ct*ap(i)-st/nn*cr(i)
+         endif
+      enddo
+      
+      return 
+      end
+
+
+      subroutine constr(p1,p2,n,nn2,ct,st)
+c**************************************************************************
+c     input:
+c            p1, p2    p1 rotated onto p2 defines plane of rotation
+c     output:
+c            n         vector perpendicular to plane of rotation
+c            nn2       squared norm of n to improve numerics
+c            ct, st    cos/sin theta of rotation in plane 
+c**************************************************************************
+      implicit none
+      real*8 p1(0:3), p2(0:3), n(0:3), tr(0:3)
+      double precision nn2, ct, st, mct
+
+      ct=p1(1)*p2(1)+p1(2)*p2(2)+p1(3)*p2(3)
+      ct=ct/dsqrt(p1(1)**2+p1(2)**2+p1(3)**2)
+      ct=ct/dsqrt(p2(1)**2+p2(2)**2+p2(3)**2)
+      mct=ct
+c     catch bad numerics
+      if (mct-1d0>0d0) mct=0d0
+      st=dsqrt(1d0-mct*mct)
+
+      call crossp(p1,p2,n)
+      nn2=n(1)**2+n(2)**2+n(3)**2
+c     don't rotate if nothing to rotate
+      if (nn2.le.1d-34) then
+         nn2=0d0
+         return
+      endif
+
+c     check rotation
+c      call rotate(p1(0),tr(0),n(0),nn2,ct,st,1)
+c      write(*,*)'p1 (',p1(0),',',p1(1),',',p1(2),',',p1(3),')'
+c      write(*,*)'p2 (',p2(0),',',p2(1),',',p2(2),',',p2(3),')'
+c      write(*,*)'nn (',n(0),',',n(1),',',n(2),',',n(3),')'
+c      write(*,*)'nn (',n(0),',',n(1),',',n(2),',',n(3),')'
+c      write(*,*)'nn2 = ',nn2,', ct = ',ct,', st = ',st
+c      write(*,*)'tr (',tr(0),',',tr(1),',',tr(2),',',tr(3),')'
+      
+      return 
+      end
+
+
+      Subroutine mapids(ids,id)
+c**************************************************************************
+c     input:
+c            ids       array of particle ids
+c            id        compressed particle id
+c**************************************************************************
+      implicit none
+      include 'nexternal.inc'
+      integer i, id, ids(nexternal)
+      
+      id=0
+      do i=1,nexternal
+         if (ids(i).ne.0) then
+            id=id+ishft(1,i)
+         endif
+      enddo
+c      write(*,*) 'cluster.f: compressed code is ',id
+
+      return
+      end
+
+
+      subroutine mapid(id,ids)
+c**************************************************************************
+c     input:
+c            id        compressed particle id
+c            ids       array of particle ids
+c**************************************************************************
+      implicit none
+      include 'nexternal.inc'
+      integer i, icd, id, ids(nexternal)
+      
+      icd=id
+      do i=1,nexternal
+         ids(i)=0
+         if (btest(id,i)) then
+            ids(i)=1
+         endif
+c         write(*,*) 'cluster.f: uncompressed code ',i,' is ',ids(i)
+      enddo
+
+      return
+      end
+
+
+      integer function combid(i,j)
+c**************************************************************************
+c     input:
+c            i,j       legs to combine
+c     output:
+c            index of combined leg
+c**************************************************************************
+      implicit none
+      include 'nexternal.inc'
+      integer i, j
+
+      combid=min(i+j,ishft(1,nexternal+1)-2-i-j)
+      
+      return
+      end
+
+
+      subroutine filprp(ignum,idij)
+c**************************************************************************
+c     Include graph ignum in list for propagator idij
+c**************************************************************************
+      implicit none
+      include 'nexternal.inc'
+      include 'cluster.inc'
+      integer ignum, idij, i
+
+      if(idij.gt.n_max_cl) return
+      do i=1,id_cl(idij,0)
+         if (id_cl(idij,i).eq.ignum) return
+      enddo
+      id_cl(idij,0)=id_cl(idij,0)+1
+      id_cl(idij,id_cl(idij,0))=ignum
+      return
+      end
+
+      logical function filgrp(ignum,ipnum,ipids)
+c**************************************************************************
+c     input:
+c            ignum      number of graph to be analysed
+c            ipnum      number of level to be analysed, 
+c                       starting with nexternal
+c            ipids      particle number, iforest number, 
+c                       daughter1, daughter2
+c     output:
+c            true if no errors
+c**************************************************************************
+      implicit none
+      include 'genps.inc'
+      include 'nexternal.inc'
+      include 'cluster.inc'
+      include 'coupl.inc'
+      integer ignum, ipnum, ipids(nexternal,4,2:nexternal)
+C $B$ IFOREST $B$ !this is a tag for MadWeight
+      integer i, iforest(2,-max_branch:-1,lmaxconfigs)
+      common/to_forest/iforest
+C $E$ IFOREST $E$ !this is a tag for MadWeight
+      INTEGER    n_max_cl_cg
+      PARAMETER (n_max_cl_cg=n_max_cl*n_max_cg)
+      data resmap/n_max_cl_cg*.false./
+ 
+
+      Integer j, k, l, icmp, iupdown,inew(3:4),iold(3:4),itmp(3:4)
+      data iupdown/1/
+
+      double precision ZERO
+      parameter (ZERO=0d0)
+      double precision pmass(-nexternal:0,lmaxconfigs)
+      double precision pwidth(-nexternal:0,lmaxconfigs)
+      integer pow(-nexternal:0,lmaxconfigs)
+      logical first_time
+      save pmass,pwidth,pow
+      data first_time /.true./
+
+      integer combid
+      external combid
+
+      if (first_time) then
+         include 'props.inc'
+         first_time=.false.
+      endif
+
+      filgrp=.false.
+C   First follow diagram tree down to last clustering. Then need to
+C   go back up, to allow for ISR from the other direction
+      if(iupdown.eq.1)then
+      do i=1,ipnum
+         do j=i+1,ipnum
+c            write(*,*)'at ids   (',ipids(i,1),',',ipids(i,2),'), (',
+c     &           ipids(j,1),',',ipids(j,2),')'
+            do k=-nexternal+1,-1
+               if ((iforest(1,k,ignum).eq.ipids(i,2,ipnum).and.
+     &              iforest(2,k,ignum).eq.ipids(j,2,ipnum)).or.
+     &             (iforest(2,k,ignum).eq.ipids(i,2,ipnum).and.
+     &              iforest(1,k,ignum).eq.ipids(j,2,ipnum))) then
+                  icmp=combid(ipids(i,1,ipnum),ipids(j,1,ipnum))
+c                  write(*,*) 'add table entry for (',ipids(i,1),
+c     &                 ',',ipids(j,1),',',icmp,')' 
+                  call filprp(ignum,ipids(i,1,ipnum))
+                  call filprp(ignum,ipids(j,1,ipnum))
+                  call filprp(ignum,ipids(i,1,ipnum)+ipids(j,1,ipnum))
+                  call filprp(ignum,icmp)
+c                  print *,'Resonance ',k,' has number ',icmp,
+c     $               ipids(i,1,ipnum),ipids(j,1,ipnum)
+
+c               Insert graph in list of propagators
+                  if(pwidth(k,ignum).gt.ZERO) then
+c                    print *,'Adding resonance ',ignum,ipids(i,1,ipnum)+ipids(j,1,ipnum)
+                    resmap(ipids(i,1,ipnum)+ipids(j,1,ipnum),ignum)=.true.
+                  endif
+c     proceed w/ next table, since there is no possibility,
+c     to combine the same particle in another way in this graph
+                  ipids(i,1,ipnum-1)=ipids(i,1,ipnum)+ipids(j,1,ipnum)
+                  ipids(i,2,ipnum-1)=k
+                  ipids(i,3,ipnum-1)=i
+                  ipids(i,4,ipnum-1)=j
+                  ipnum=ipnum-1
+                  do l=1,j-1
+                    if(l.eq.i) cycle
+                    ipids(l,1,ipnum)=ipids(l,1,ipnum+1)
+                    ipids(l,2,ipnum)=ipids(l,2,ipnum+1)
+                    ipids(l,3,ipnum)=l
+                    ipids(l,4,ipnum)=0
+                  enddo
+                  do l=j,ipnum
+                     ipids(l,1,ipnum)=ipids(l+1,1,ipnum+1)
+                     ipids(l,2,ipnum)=ipids(l+1,2,ipnum+1)
+                     ipids(l,3,ipnum)=l+1
+                     ipids(l,4,ipnum)=0
+                  enddo
+                  if(ipnum.eq.2)then
+                    iupdown=-1
+                    ipids(i,1,ipnum)=ipids(6-i-j,1,ipnum)
+                  endif
+c                  do l=1,ipnum
+c                     write(*,*) 'new: ipids(',l,') = (',ipids(l,1),
+c     &                    ',',ipids(l,2),')'
+c                  enddo
+                  filgrp=.true.
+                  return
+               endif
+            enddo
+         enddo
+      enddo
+      else
+C     Go back up, and look only at the daughters
+        do i=1,ipnum
+          if(ipids(i,4,ipnum).ne.0)then
+            do j=3,4
+              if(ipids(ipids(i,j,ipnum),2,ipnum+1).le.2)then
+                inew(j)=ipids(i,1,ipnum)+
+     $             ipids(ipids(i,7-j,ipnum),1,ipnum+1)
+                call filprp(ignum,inew(j))
+                iold(j)=ipids(ipids(i,j,ipnum),1,ipnum+1)
+                itmp(j)=ipids(i,j,ipnum)
+              endif
+            enddo
+C         Change to new particle number everywhere 
+            do j=3,4
+              if(ipids(ipids(i,j,ipnum),2,ipnum+1).le.2)then
+                k=ipnum+1
+                do while(ipids(itmp(j),1,k).eq.iold(j))
+                  ipids(itmp(j),1,k)=inew(j)
+                  itmp(j)=ipids(itmp(j),3,k)
+                  k=k+1
+                enddo
+              endif
+            enddo
+            ipnum=ipnum+1
+            if(ipnum.eq.nexternal)then
+              iupdown=1
+              filgrp=.false.
+            else
+              filgrp=.true.
+            endif
+            return
+          endif
+        enddo
+      endif
+      return
+      end
+
+
+      logical function filmap()
+c**************************************************************************
+c     output:
+c            true if no errors
+c**************************************************************************
+      implicit none
+      include 'genps.inc'
+      include 'nexternal.inc'
+      include 'cluster.inc'
+      include 'run.inc'
+C $B$ IFOREST $B$ !this is a tag for MadWeight
+      integer i, iforest(2,-max_branch:-1,lmaxconfigs)
+      common/to_forest/ iforest
+      integer mapconfig(0:lmaxconfigs), this_config
+      common/to_mconfigs/mapconfig, this_config
+C $E$ IFOREST $E$ !this is a tag for MadWeight
+      integer j, inpids, ipids(nexternal,4,2:nexternal)
+      integer start_config,end_config
+
+      logical filgrp
+      external filgrp
+
+      if(chcluster) then
+         start_config=this_config
+         end_config=this_config
+      else
+         start_config=1
+         end_config=mapconfig(0)
+      endif
+      do i=1,n_max_cl
+         id_cl(i,0)=0
+      enddo
+      do i=start_config,end_config
+c         write (*,*) ' at graph ',i
+         do j=1,nexternal
+            ipids(j,1,nexternal)=ishft(1,j)
+            ipids(j,2,nexternal)=j
+            ipids(j,3,nexternal)=0
+            ipids(j,4,nexternal)=0
+         enddo
+         inpids=nexternal
+c         print *,'Inserting graph ',i
+ 10      if (filgrp(i,inpids,ipids)) goto 10
+      enddo
+      filmap=.true.
+      return
+      end
+
+
+      subroutine checkbw(nbw,ibwlist,isbw)
+c**************************************************************************
+c      Checks if any resonances are on the BW for this configuration
+c**************************************************************************
+      implicit none
+      include 'genps.inc'
+      include 'nexternal.inc'
+C $B$ NGRAPHS $E$ !this is a tag for MadWeight
+
+      integer nbw,ibwlist(nexternal)
+      logical isbw(*)
+
+      logical             OnBW(-nexternal:0)     !Set if event is on B.W.
+      common/to_BWEvents/ OnBW
+      integer           mincfig, maxcfig
+      common/to_configs/mincfig, maxcfig
+C $B$ IFOREST $B$ !this is a tag for MadWeight
+      integer i, iforest(2,-max_branch:-1,lmaxconfigs)
+      common/to_forest/ iforest
+C $E$ IFOREST $E$ !this is a tag for MadWeight
+C $B$ DECAYBW $E$ !this is a tag for MadWeight
+
+      integer icl(-(nexternal-3):nexternal)
+      integer ibw
+
+      nbw=0
+      do i=-1,-(nexternal-3),-1
+C $B$ ONBW $B$ !this is a tag for MadWeight
+        if(OnBW(i)) then 
+C $E$ ONBW $E$ !this is a tag for MadWeight
+           nbw=nbw+1
+        endif
+      enddo
+      if(nbw.eq.0)then
+c        print *,'No BW found'
+        return
+      endif
+
+      do i=1,nexternal
+        icl(i)=ishft(1,i)
+      enddo
+      ibw=0
+      do i=-1,-(nexternal-3),-1
+        icl(i)=icl(iforest(1,i,mincfig))+
+     $     icl(iforest(2,i,mincfig))
+        isbw(icl(i))=.false.
+C $B$ ONBW $B$ !this is a tag for MadWeight
+        if(OnBW(i))then
+C $E$ ONBW $E$ !this is a tag for MadWeight
+          ibw=ibw+1
+          ibwlist(ibw)=icl(i)
+          isbw(icl(i))=.true.
+c          print *,'Added BW for resonance ',i,icl(i),mincfig
+          if(ibw.eq.nbw) return
+        endif
+      enddo
+      
+      end
+
+      logical function findmt(idij,icgs,nbw,ibwlist)
+c**************************************************************************
+c     input:
+c            idij, icgs
+c     output:
+c            true if tree structure identified
+c**************************************************************************
+      implicit none
+      include 'nexternal.inc'
+      include 'cluster.inc'
+
+      integer nbw,ibwlist(nexternal)
+
+      integer i, ii, j, jj, il, idij, icgs(0:n_max_cg)
+      logical foundbw
+
+      findmt=.false.
+c     if first clustering, set possible graphs
+      if (icgs(0).eq.0) then
+         icgs(0)=id_cl(idij,0)
+         ii=0
+         do i=1,icgs(0)
+           ii=ii+1
+           icgs(ii)=id_cl(idij,i)
+c        check if we have constraint from onshell resonances
+           foundbw=.true.
+           do j=1,nbw
+             if(resmap(ibwlist(j),icgs(ii)))then
+               cycle
+             endif
+             foundbw=.false.
+ 10        enddo
+           if(nbw.gt.0.and..not.foundbw) ii=ii-1
+         enddo
+         icgs(0)=ii
+c         write(*,*)'no graph yet -> ',icgs(0)
+         if (icgs(0).gt.0)then
+c           print *,'Possible graphs: ',(icgs(i),i=1,icgs(0))
+           findmt=.true.
+         endif
+         return
+      else
+c     look for common graph
+         do i=1,icgs(0)
+            do j=1,id_cl(idij,0)
+               if (id_cl(idij,j).eq.icgs(i)) goto 20
+            enddo
+         enddo
+c         write(*,*)'graphs but no match'
+         return
+c     accept combination, extract common graphs
+ 20      il=0
+c         do i=1,icgs(0)
+c            write(*,*)'arrive w/ ',idij,' ',i,': ',icgs(i)
+c         enddo
+c         do i=1,id_cl(idij,0)
+c            write(*,*)'found ',i,': ',id_cl(idij,i)
+c         enddo
+         do i=1,icgs(0)
+            do j=1,id_cl(idij,0)
+               if (id_cl(idij,j).eq.icgs(i)) then
+                  il=il+1
+c                  write(*,*)'copy ',il,': ',icgs(i)
+                  icgs(il)=icgs(i)
+                  goto 30
+               endif
+            enddo
+ 30         continue
+         enddo
+         icgs(0)=il
+c         write(*,*)'matching graphs -> ',icgs(0)
+         findmt=.true.
+         return
+      endif
+
+      return
+      end
+
+
+      logical function cluster(p)
+c**************************************************************************
+c     input:
+c            p(0:3,i)           momentum of i'th parton
+c     output:
+c            true if tree structure identified
+c**************************************************************************
+      implicit none
+      include 'run.inc'
+      include 'genps.inc'
+      include 'nexternal.inc'
+      include 'cluster.inc'
+      include 'message.inc'
+      real*8 p(0:3,nexternal), pcmsp(0:3), p1(0:3)
+      real*8 pi(0:3), nr(0:3), pz(0:3)
+      integer i, j, k, n, idi, idj, idij, icgs(0:n_max_cg)
+      integer nleft, iwin, jwin, iwinp, imap(nexternal,2) 
+      double precision nn2,ct,st
+      double precision minpt2ij,pt2ij(n_max_cl),zij(n_max_cl)
+
+      integer nbw,ibwlist(nexternal)
+      logical isbw(n_max_cl)
+      data isbw/n_max_cl*.false./
+
+      data (pz(i),i=0,3)/1d0,0d0,0d0,1d0/
+
+      logical findmt
+      external findmt
+      double precision dj, pydj, djb, pyjb, dot, SumDot, zclus
+      external dj, pydj, djb, pyjb, dot, SumDot, zclus
+
+      if (btest(mlevel,1))
+     $   write (*,*)'New event'
+
+      cluster=.false.
+      clustered=.false.
+      do i=0,3
+        pcmsp(i)=0
+      enddo
+c     Check if any resonances are on the BW, store results in to_checkbw
+      call checkbw(nbw,ibwlist,isbw)
+
+c     initialize index map
+      do i=1,nexternal
+         imap(i,1)=i
+         imap(i,2)=ishft(1,i)
+         mt2ij(i)=0
+      enddo   
+      mt2last=0
+      do i=1,nexternal
+c     initialize momenta
+         idi=ishft(1,i)
+         do j=0,3
+            pcl(j,idi)=p(j,i)
+         enddo
+c     give mass to external particles
+         pcl(4,idi)=dot(p(0,i),p(0,i))
+c     never combine the two beams
+         if (i.gt.2) then
+c     fill combine table, first pass, determine all ptij
+            do j=1,i-1
+               idj=ishft(1,j)
+               if (btest(mlevel,4))
+     $              write (*,*)'i = ',i,'(',idi,'), j = ',j,'(',idj,')'
+c     cluster only combinable legs (acc. to diagrams)
+               icgs(0)=0
+               idij=idi+idj
+               pt2ij(idij)=1.0d37
+               if (findmt(idij,icgs,nbw,ibwlist)) then
+                  if (btest(mlevel,4)) then
+                     do k=1,icgs(0)
+                        write(*,*)'icg(',k,') = ',icgs(k)
+                     enddo
+                  endif
+                  if (j.ne.1.and.j.ne.2) then
+c     final state clustering                     
+                     if(isbw(idij))then
+                       pt2ij(idij)=SumDot(pcl(0,idi),pcl(0,idj),1d0)
+                       if (btest(mlevel,4))
+     $                    print *,'Mother ',idij,' has ptij ',
+     $                    sqrt(pt2ij(idij))
+                     else
+                       if(ktscheme.eq.2)then
+                         pt2ij(idij)=pydj(pcl(0,idi),pcl(0,idj))
+                       else
+                         pt2ij(idij)=dj(pcl(0,idi),pcl(0,idj))
+                       endif
+                     endif
+                  else
+c     initial state clustering, only if hadronic collision
+c     check whether 2->(n-1) process w/ cms energy > 0 remains
+                     iwinp=imap(3-j,2);
+c                     do k=0,3
+c                        pcl(k,idij)=pcl(k,idj)-pcl(k,idi)
+cc                        pcmsp(k)=pcl(k,idij)+pcl(k,iwinp)
+c                     enddo
+c                     ecms2=pcmsp(0)**2-pcmsp(1)**2-
+c     $                    pcmsp(2)**2-pcmsp(3)**2
+c                     if (ecms2.gt.0.1d0.and.
+c                     if((lpp(j).ne.0)) then
+                      if(ickkw.eq.2.or.ktscheme.eq.2)then
+                        pt2ij(idij)=pyjb(pcl(0,idi),
+     $                    pcl(0,idj),pcl(0,iwinp),zij(idij))
+                      else
+                        pt2ij(idij)=djb(pcl(0,idi))
+                        zij(idij)=zclus(pcl(0,idi),pcl(0,idj),pcl(0,iwinp))
+                      endif
+c     prefer clustering when outgoing in direction of incoming
+                        if(sign(1d0,pcl(3,idi)).ne.sign(1d0,pcl(3,idj)))
+     $                     pt2ij(idij)=pt2ij(idij)*(1d0+1d-6)
+c                     endif
+                  endif
+                  if (btest(mlevel,4)) then
+                     write(*,*)'         ',idi,'&',idj,' part ',iwinp,
+     &                              ' -> ',idij,' pt2ij = ',pt2ij(idij)
+                     if(j.eq.1.or.j.eq.2)then
+                       write(*,*)'     cf. djb: ',djb(pcl(0,idi))
+                     endif
+                  endif
+               endif
+            enddo
+         endif
+      enddo
+c     Take care of special 2 -> 1 case
+      if (nexternal.eq.3.and.nincoming.eq.2) then
+         n=1
+         imocl(n)=idij
+         idacl(n,1)=idi
+         idacl(n,2)=idj
+         pt2ijcl(n)=pcl(4,idi)
+         zcl(n)=0.
+         cluster=.true.
+         clustered=.true.
+         return
+      endif
+c     initialize graph storage
+      igscl(0)=0
+      nleft=nexternal
+c     cluster 
+      do n=1,nexternal-2
+c     determine winner
+         minpt2ij=1.0d37
+         do i=3,nleft
+            do j=1,i-1
+               idij=imap(i,2)+imap(j,2)
+               icgs(0)=igscl(0)
+               do k=1,icgs(0)
+                  icgs(k)=igscl(k)
+               enddo
+               if (findmt(idij,icgs,nbw,ibwlist)) then 
+                  if (btest(mlevel,4)) then
+                     write(*,*)'check pt ',imap(i,2),'&',imap(j,2),' (',
+     $                    idij,') -> ',pt2ij(idij),' vs. ',minpt2ij
+                  endif
+                  if (pt2ij(idij).lt.minpt2ij) then
+                     iwin=j
+                     jwin=i
+                     minpt2ij=pt2ij(idij)
+                  endif
+               endif
+            enddo
+         enddo
+c     combine winner
+         imocl(n)=imap(iwin,2)+imap(jwin,2)
+         idacl(n,1)=imap(iwin,2)
+         idacl(n,2)=imap(jwin,2)
+         pt2ijcl(n)=minpt2ij
+         zcl(n)=zij(imocl(n))
+         if (.not.findmt(imocl(n),igscl,nbw,ibwlist)) then
+            write(*,*) 'cluster.f: Error. Invalid combination.' 
+            return
+         endif
+         if (btest(mlevel,2)) then
+            write(*,*)'winner ',n,': ',idacl(n,1),'&',idacl(n,2),
+     &           ' -> ',minpt2ij,', z = ',zcl(n)
+         endif
+         if (iwin.lt.3) then
+c     is clustering
+c     Set mt2ij to m^2+pt^2 
+            mt2ij(n)=djb(pcl(0,idacl(n,2)))
+            if (btest(mlevel,3)) then
+               write(*,*)'mtij(',n,') for ',idacl(n,2),' is ',sqrt(mt2ij(n)),
+     $              ' (cf ',sqrt(pt2ijcl(n)),')'
+            endif
+            iwinp=imap(3-iwin,2);
+            do i=0,3
+               pcl(i,imocl(n))=pcl(i,idacl(n,1))-pcl(i,idacl(n,2))
+c            enddo
+c     set incoming particle on-shell
+c            pcl(0,imocl(n))=sqrt(pcl(1,imocl(n))**2+
+c     $         pcl(2,imocl(n))**2+pcl(3,imocl(n))**2)
+c            do i=0,3
+               pcmsp(i)=-pcl(i,imocl(n))-pcl(i,iwinp)
+            enddo
+            pcmsp(0)=-pcmsp(0)
+            pcl(4,imocl(n))=0
+            if(pcl(4,idacl(n,1)).gt.0.or.pcl(4,idacl(n,2)).gt.0.and..not.
+     $         (pcl(4,idacl(n,1)).gt.0.and.pcl(4,idacl(n,2)).gt.0))
+     $         pcl(4,imocl(n))=max(pcl(4,idacl(n,1)),pcl(4,idacl(n,2)))
+
+c       Don't boost if boost vector too lightlike or last vertex 
+            if (pcmsp(0)**2-pcmsp(1)**2-pcmsp(2)**2-pcmsp(3)**2.gt.100d0.and.
+     $           nleft.gt.4) then
+               call boostx(pcl(0,imocl(n)),pcmsp(0),p1(0))
+               call constr(p1(0),pz(0),nr(0),nn2,ct,st)
+               do j=1,nleft
+                  call boostx(pcl(0,imap(j,2)),pcmsp(0),p1(0))
+                  call rotate(p1(0),pi(0),nr(0),nn2,ct,st,1)
+                  do k=0,3
+                     pcl(k,imap(j,2))=pi(k)
+                  enddo
+               enddo
+               call boostx(pcl(0,imocl(n)),pcmsp(0),p1(0))
+               call rotate(p1(0),pi(0),nr(0),nn2,ct,st,1)
+               do k=0,3
+                  pcl(k,imocl(n))=pi(k)
+               enddo
+            endif
+         else
+c     fs clustering
+           do i=0,3
+             pcl(i,imocl(n))=pcl(i,idacl(n,1))+pcl(i,idacl(n,2))
+           enddo
+           pcl(4,imocl(n))=0
+           if(pcl(4,idacl(n,1)).gt.0.or.pcl(4,idacl(n,2)).gt.0.and..not.
+     $        (pcl(4,idacl(n,1)).gt.0.and.pcl(4,idacl(n,2)).gt.0))
+     $        pcl(4,imocl(n))=max(pcl(4,idacl(n,1)),pcl(4,idacl(n,2)))
+           if(isbw(imocl(n)))then
+             pcl(4,imocl(n))=pt2ijcl(n)
+             if (btest(mlevel,4))
+     $          print *,'Mother ',imocl(n),' has mass**2 ',
+     $          pcl(4,imocl(n))
+           endif
+         endif
+
+         nleft=nleft-1
+c     create new imap
+         imap(iwin,2)=imocl(n)
+         do i=jwin,nleft
+            imap(i,1)=imap(i+1,1)
+            imap(i,2)=imap(i+1,2)
+         enddo
+         if (nleft.le.3) then
+c           If last clustering is FS, store also average transverse mass
+c           of the particles combined (for use if QCD vertex, e.g. tt~ or qq~)
+            if(iwin.gt.2)then
+               mt2last=sqrt(djb(pcl(0,idacl(n,1)))*djb(pcl(0,idacl(n,2))))
+               if (btest(mlevel,3)) then
+                  write(*,*)'Set mt2last to ',mt2last
+               endif              
+c         Boost and rotate back to get m_T for final particle
+               if (pcmsp(0)**2-pcmsp(1)**2-pcmsp(2)**2-pcmsp(3)**2.gt.100d0) then
+                  call rotate(pcl(0,imap(3,2)),p1(0),nr(0),nn2,ct,st,-1)
+                  do k=1,3
+                     pcmsp(k)=-pcmsp(k)
+                  enddo
+                  call boostx(p1(0),pcmsp(0),pcl(0,imap(3,2)))
+               endif
+            endif
+c         Make sure that final-state particle is always among daughters
+            idacl(n+1,1)=imap(1,2)
+            idacl(n+1,2)=imap(3,2)
+            imocl(n+1)=imap(2,2)
+c         If mother is initial state leg (2nd beam), chose other leg
+            if (imocl(n+1).eq.4)then
+              idacl(n+1,1)=imap(2,2)
+              imocl(n+1)=imap(1,2)
+            endif
+
+c            if(pcl(0,imocl(n)).gt.0d0)then
+            pt2ijcl(n+1)=djb(pcl(0,imap(3,2)))
+            if (btest(mlevel,3)) then
+              write(*,*) 'Last vertex is ',imap(1,2),imap(2,2),imap(3,2)
+              write(*,*) '            -> ',pt2ijcl(n+1),sqrt(pt2ijcl(n+1))
+            endif
+c            if(pt2ijcl(n).gt. pt2ijcl(n+1))then
+c              pt2ijcl(n+1)=pt2ijcl(n)
+c              if (btest(mlevel,3)) then
+c                write(*,*)'Reset scale for vertex ',n+1,' to ',pt2ijcl(n+1)
+c              endif              
+c            endif
+            zcl(n+1)=1
+c            else
+c              pt2ijcl(n+1)=pt2ijcl(n)
+c            endif
+c            print *,'Clustering succeeded, found graph ',igscl(1)
+            cluster=.true.
+            clustered=.true.
+            return
+         endif
+c     calculate new ptij
+c            write(*,*)'is case'
+c     recalculate all in is case due to rotation & boost
+            do i=1,nleft
+               idi=imap(i,2)
+c     never combine the two beams
+               if (i.gt.2) then
+c     determine all ptij
+                  do j=1,i-1
+                     idj=imap(j,2)
+                     if (btest(mlevel,4))
+     $                    write (*,*)'i = ',i,'(',idi,'), j = ',j,'(',idj,')'
+c     cluster only combinable legs (acc. to diagrams)
+                     icgs(0)=0
+                     idij=idi+idj
+c                     write (*,*) 'RECALC !!! ',idij
+                     pt2ij(idij)=1.0d37
+                     if (findmt(idij,icgs,nbw,ibwlist)) then
+                       if (btest(mlevel,4)) then
+                          do k=1,icgs(0)
+                             write(*,*)'icg(',k,') = ',icgs(k)
+                          enddo
+                       endif
+                        if (j.ne.1.and.j.ne.2) then
+c     final state clustering                     
+                           if(isbw(idij))then
+                             pt2ij(idij)=SumDot(pcl(0,idi),pcl(0,idj),1d0)
+                             if (btest(mlevel,4))
+     $                          print *,'Mother ',idij,' has ptij ',
+     $                          sqrt(pt2ij(idij))
+                           else
+                             if(ktscheme.eq.2)then
+                               pt2ij(idij)=pydj(pcl(0,idi),pcl(0,idj))
+                             else
+                               pt2ij(idij)=dj(pcl(0,idi),pcl(0,idj))
+                             endif
+                           endif
+                        else
+c     initial state clustering, only if hadronic collision
+c     check whether 2->(n-1) process w/ cms energy > 0 remains
+                          iwinp=imap(3-j,2);
+                          do k=0,3
+                             pcl(k,idij)=pcl(k,idj)-pcl(k,idi)
+c                           pcmsp(k)=pcl(k,idij)+pcl(k,iwinp)
+                          enddo
+c                       ecms2=pcmsp(0)**2-pcmsp(1)**2-
+c                       $                          pcmsp(2)**2-pcmsp(3)**2
+c                       if (ecms2.gt.0.1d0.and.
+c                       if ((nleft.eq.4.or.ecms2.gt.0.1d0).and.
+c                         if((lpp(j).ne.0)) then
+                            if(ickkw.eq.2.or.ktscheme.eq.2)then
+                              pt2ij(idij)=pyjb(pcl(0,idi),
+     $                           pcl(0,idj),pcl(0,iwinp),zij(idij))
+                            else
+                              pt2ij(idij)=djb(pcl(0,idi))
+                              zij(idij)=zclus(pcl(0,idi),pcl(0,idj),pcl(0,iwinp))
+                            endif
+c                 prefer clustering when outgoing in direction of incoming
+                            if(sign(1d0,pcl(3,idi)).ne.sign(1d0,pcl(3,idj)))
+     $                         pt2ij(idij)=pt2ij(idij)*(1d0+1d-6)
+c                          endif
+                        endif
+                        if (btest(mlevel,4)) then
+                          write(*,*)'         ',idi,'&',idj,' part ',iwinp,' -> ',idij,
+     &                       ' pt2ij = ',pt2ij(idij)
+                           if(j.eq.1.or.j.eq.2)then
+                             write(*,*)'     cf. djb: ',djb(pcl(0,idi))
+                           endif
+                        endif
+                     endif
+                  enddo
+               endif
+            enddo
+      enddo
+
+      return
+      end

=== added file 'Template/SubProcesses/cluster.inc'
--- Template/SubProcesses/cluster.inc	1970-01-01 00:00:00 +0000
+++ Template/SubProcesses/cluster.inc	2010-10-30 03:26:37 +0000
@@ -0,0 +1,31 @@
+c*************************************************************************
+c	Parameters used by cluster
+c*************************************************************************
+      include 'ncombs.inc'
+      include 'ngraphs.inc'
+c     parameters for clustering
+      integer id_cl(n_max_cl,0:n_max_cg)
+      common/cl_map/id_cl
+      logical resmap(n_max_cl,n_max_cg)
+      common/res_map/resmap
+      double precision pt2ijcl(nexternal),zcl(nexternal),mt2ij(nexternal),mt2last
+      double precision pcl(0:4,n_max_cl) ! 4 is mass**2
+      integer imocl(nexternal), idacl(nexternal,2), igscl(0:n_max_cg) 
+      logical clustered
+      common/cl_val/pcl,pt2ijcl,zcl,mt2ij,mt2last,imocl,idacl,igscl,clustered
+c     parameters for qcd jets
+      double precision ptclus(nexternal)
+      common/cl_jets/ptclus
+c     process (i.e. particle identities) chosen if ickkw=2
+      integer iprocset
+      common/cl_iproc/iprocset
+c     parameters for sudakovs
+      double precision m_colfac(-6:21),m_dlog(-6:21),m_slog(-6:21),
+     &     m_power(-6:21,3,2),m_qmass(21)
+      double precision m_as_factor,m_kfac,m_lastas
+      integer m_pca(-6:21,2)
+      common/cl_sud/m_colfac,m_dlog,m_slog,m_power,m_qmass,
+     &     m_as_factor,m_kfac,m_lastas,m_pca
+      double precision Q1
+      integer iipdg,iimode
+      common/gamma_args/Q1,iipdg,iimode

=== added file 'Template/SubProcesses/cuts.f'
--- Template/SubProcesses/cuts.f	1970-01-01 00:00:00 +0000
+++ Template/SubProcesses/cuts.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,639 @@
+      logical function pass_point(p)
+c************************************************************************
+c     This function is called from sample to see if it needs to 
+c     bother calculating the weight from all the different conficurations
+c     You can either just return true, or have it call passcuts
+c************************************************************************
+      implicit none
+c
+c     Arguments
+c
+      double precision p
+c
+c     External
+c
+      logical passcuts
+      external passcuts
+c-----
+c  Begin Code
+c-----
+      pass_point = .true.
+c      pass_point = passcuts(p)
+      end
+C 
+      LOGICAL FUNCTION PASSCUTS(P)
+C**************************************************************************
+C     INPUT:
+C            P(0:3,1)           MOMENTUM OF INCOMING PARTON
+C            P(0:3,2)           MOMENTUM OF INCOMING PARTON
+C            P(0:3,3)           MOMENTUM OF d
+C            P(0:3,4)           MOMENTUM OF b
+C            P(0:3,5)           MOMENTUM OF bbar
+C            P(0:3,6)           MOMENTUM OF e+
+C            P(0:3,7)           MOMENTUM OF ve
+C            COMMON/JETCUTS/   CUTS ON JETS
+C     OUTPUT:
+C            TRUE IF EVENTS PASSES ALL CUTS LISTED
+C**************************************************************************
+      IMPLICIT NONE
+c
+c     Constants
+c
+      include 'genps.inc'
+      include 'nexternal.inc'
+C
+C     ARGUMENTS
+C
+      REAL*8 P(0:3,nexternal)
+
+C
+C     LOCAL
+C
+      LOGICAL FIRSTTIME,FIRSTTIME2,pass_bw,notgood,good,foundheavy
+      LOGICAL DEBUG
+      integer i,j,njets,hardj1,hardj2
+      REAL*8 XVAR,ptmax1,ptmax2,htj,tmp
+      real*8 ptemp(0:3)
+C
+C     PARAMETERS
+C
+      real*8 PI
+      parameter( PI = 3.14159265358979323846d0 )
+C
+C     EXTERNAL
+C
+      REAL*8 R2,DOT,ET,RAP,DJ,SumDot,pt,ALPHAS
+      logical cut_bw,setclscales
+      external R2,DOT,ET,RAP,DJ,SumDot,pt,ALPHAS,cut_bw,setclscales
+C
+C     GLOBAL
+C
+      include 'run.inc'
+      include 'cuts.inc'
+
+      double precision ptjet(nexternal)
+      double precision temp
+
+      double precision etmin(nincoming+1:nexternal),etamax(nincoming+1:nexternal)
+      double precision emin(nincoming+1:nexternal)
+      double precision                    r2min(nincoming+1:nexternal,nincoming+1:nexternal)
+      double precision s_min(nexternal,nexternal)
+      double precision etmax(nincoming+1:nexternal),etamin(nincoming+1:nexternal)
+      double precision emax(nincoming+1:nexternal)
+      double precision r2max(nincoming+1:nexternal,nincoming+1:nexternal)
+      double precision s_max(nexternal,nexternal)
+      common/to_cuts/  etmin, emin, etamax, r2min, s_min,
+     $     etmax, emax, etamin, r2max, s_max
+
+      double precision ptjmin4(4),ptjmax4(4),htjmin4(2:4),htjmax4(2:4)
+      logical jetor
+      common/to_jet_cuts/ ptjmin4,ptjmax4,htjmin4,htjmax4,jetor
+
+c
+c     Special cuts
+c
+
+      integer        lbw(0:nexternal)  !Use of B.W.
+      common /to_BW/ lbw
+C
+C     SPECIAL CUTS
+C
+      LOGICAL  IS_A_J(NEXTERNAL),IS_A_L(NEXTERNAL)
+      LOGICAL  IS_A_B(NEXTERNAL),IS_A_A(NEXTERNAL),IS_A_ONIUM(NEXTERNAL)
+      LOGICAL  IS_A_NU(NEXTERNAL),IS_HEAVY(NEXTERNAL)
+      COMMON /TO_SPECISA/IS_A_J,IS_A_A,IS_A_L,IS_A_B,IS_A_NU,IS_HEAVY,
+     . IS_A_ONIUM
+
+C $B$ MW_NEW_DEF $E$ !this is a tag for MadWeight
+
+      double precision xqcutij(nexternal,nexternal),xqcuti(nexternal)
+      common/to_xqcuts/xqcutij,xqcuti
+
+      include 'coupl.inc'
+C
+C
+c
+      DATA FIRSTTIME,FIRSTTIME2/.TRUE.,.TRUE./
+
+c put momenta in common block for couplings.f
+      double precision pp(0:3,max_particles)
+      common /momenta_pp/pp
+
+      DATA DEBUG/.FALSE./
+
+C-----
+C  BEGIN CODE
+C-----
+
+
+
+      PASSCUTS=.TRUE.             !EVENT IS OK UNLESS OTHERWISE CHANGED
+      IF (FIRSTTIME) THEN
+         FIRSTTIME=.FALSE.
+c      Preparation for reweighting by setting up clustering by diagrams
+         call initcluster()
+c
+c
+         write(*,'(a10,10i8)') 'Particle',(i,i=nincoming+1,nexternal)
+         write(*,'(a10,10f8.1)') 'Et >',(etmin(i),i=nincoming+1,nexternal)
+         write(*,'(a10,10f8.1)') 'E >',(emin(i),i=nincoming+1,nexternal)
+         write(*,'(a10,10f8.1)') 'Eta <',(etamax(i),i=nincoming+1,nexternal)
+         do j=nincoming+1,nexternal-1
+            write(*,'(a,i2,a,10f8.1)') 'd R #',j,'  >',(-0.0,i=nincoming+1,j),
+     &           (r2min(i,j),i=j+1,nexternal)
+            do i=j+1,nexternal
+               r2min(i,j)=r2min(i,j)*dabs(r2min(i,j))    !Since r2 returns distance squared
+               r2max(i,j)=r2max(i,j)*dabs(r2max(i,j))
+            enddo
+         enddo
+         do j=nincoming+1,nexternal-1
+            write(*,'(a,i2,a,10f8.1)') 's min #',j,'>',
+     &           (s_min(i,j),i=nincoming+1,nexternal)
+         enddo
+         write(*,'(a10,10f8.1)') 'xqcut: ',(xqcuti(i),i=nincoming+1,nexternal)
+         do j=nincoming+1,nexternal-1
+            write(*,'(a,i2,a,10f8.1)') 'xqcutij #',j,'>',
+     &           (xqcutij(i,j),i=nincoming+1,nexternal)
+         enddo
+
+cc
+cc     Set the strong coupling
+cc
+c         call set_ren_scale(P,scale)
+c
+cc     Check that the user funtions for setting the scales
+cc     have been edited if the choice of an event-by-event
+cc     scale choice has been made 
+c
+c         if(.not.fixed_ren_scale) then
+c            if(scale.eq.0d0) then
+c               write(6,*) 
+c               write(6,*) '* >>>>>>>>>ERROR<<<<<<<<<<<<<<<<<<<<<<<*'
+c               write(6,*) ' Dynamical renormalization scale choice '
+c               write(6,*) ' selected but user subroutine' 
+c               write(6,*) ' set_ren_scale not edited in file:setpara.f'
+c               write(6,*) ' Switching to a fixed_ren_scale choice'
+c               write(6,*) ' with scale=zmass'
+c               scale=91.2d0
+c               write(6,*) 'scale=',scale
+c               fixed_ren_scale=.true.
+c               call set_ren_scale(P,scale)
+c            endif
+c         endif
+         
+c         if(.not.fixed_fac_scale) then
+c            call set_fac_scale(P,q2fact)
+c            if(q2fact(1).eq.0d0.or.q2fact(2).eq.0d0) then
+c               write(6,*) 
+c               write(6,*) '* >>>>>>>>>ERROR<<<<<<<<<<<<<<<<<<<<<<<*'
+c               write(6,*) ' Dynamical renormalization scale choice '
+c               write(6,*) ' selected but user subroutine' 
+c               write(6,*) ' set_fac_scale not edited in file:setpara.f'
+c               write(6,*) ' Switching to a fixed_fac_scale choice'
+c               write(6,*) ' with q2fact(i)=zmass**2'
+c               fixed_fac_scale=.true.
+c               q2fact(1)=91.2d0**2
+c               q2fact(2)=91.2d0**2
+c               write(6,*) 'scales=',q2fact(1),q2fact(2)
+c            endif
+c         endif
+
+         if(fixed_ren_scale) then
+            G = SQRT(4d0*PI*ALPHAS(scale))
+            call setpara('param_card.dat',.false.)
+         endif
+
+c     Put momenta in the common block to zero to start
+         do i=0,3
+            do j=1,max_particles
+               pp(i,j) = 0d0
+            enddo
+         enddo
+         
+      ENDIF
+c
+c     Make sure have reasonable 4-momenta
+c
+      if (p(0,1) .le. 0d0) then
+         passcuts=.false.
+         return
+      endif
+
+c     Also make sure there's no INF or NAN
+      do i=1,nexternal
+         do j=0,3
+            if(p(j,i).gt.1d32.or.p(j,i).ne.p(j,i))then
+               passcuts=.false.
+               return
+            endif
+         enddo
+      enddo
+c
+c     Limit S_hat
+c
+c      if (x1*x2*stot .gt. 500**2) then
+c         passcuts=.false.
+c         return
+c      endif
+
+C $B$ DESACTIVATE_CUT $E$ !This is a tag for MadWeight
+
+      if(debug) write (*,*) '============================='
+      if(debug) write (*,*) ' EVENT STARTS TO BE CHECKED  '
+      if(debug) write (*,*) '============================='
+c     
+c     p_t min & max cuts
+c     
+      do i=nincoming+1,nexternal
+         if(debug) write (*,*) 'pt(',i,')=',pt(p(0,i)),'   ',etmin(i),':',etmax(i)
+         notgood=(pt(p(0,i)) .lt. etmin(i)).or.
+     &        (pt(p(0,i)) .gt. etmax(i))
+         if (notgood) then
+            if(debug) write (*,*) i,' -> fails'
+            passcuts=.false.
+            return
+         endif
+      enddo
+c
+c    missing ET min & max cut 
+c    nb: missing et simply defined as the sum over the neutrino's 4 momenta
+c
+c-- reset ptemp(0:3)
+      do j=0,3
+         ptemp(j)=0
+      enddo
+c-  sum over the momenta
+      do i=nincoming+1,nexternal
+         if(is_a_nu(i)) then            
+         if(debug) write (*,*) i,' -> neutrino '
+            do j=0,3
+               ptemp(j)=ptemp(j)+p(j,i)
+            enddo
+         endif
+      enddo
+c-  check the et
+      if(debug.and.ptemp(0).eq.0d0) write (*,*) 'No et miss in event'
+      if(debug.and.ptemp(0).gt.0d0) write (*,*) 'Et miss =',pt(ptemp(0)),'   ',misset,':',missetmax
+      if(ptemp(0).gt.0d0) then
+         notgood=(pt(ptemp(0)) .lt. misset).or.
+     &        (pt(ptemp(0)) .gt. missetmax)
+         if (notgood) then
+            if(debug) write (*,*) ' missing et cut -> fails'
+            passcuts=.false.
+            return
+         endif
+      endif
+c
+c     pt cut on heavy particles
+c     gives min(pt) for (at least) one heavy particle
+c
+      if(ptheavy.gt.0d0)then
+         passcuts=.false.
+         foundheavy=.false.
+         do i=nincoming+1,nexternal
+            if(is_heavy(i)) then            
+               if(debug) write (*,*) i,' -> heavy '
+               foundheavy=.true.
+               if(pt(p(0,i)).gt.ptheavy) passcuts=.true.
+            endif
+         enddo
+         
+         if(.not.passcuts.and.foundheavy)then
+            if(debug) write (*,*) ' heavy particle cut -> fails'
+            return
+         else
+            passcuts=.true.
+         endif
+      endif
+c     
+c     E min & max cuts
+c     
+      do i=nincoming+1,nexternal
+         if(debug) write (*,*) 'p(0,',i,')=',p(0,i),'   ',emin(i),':',emax(i)
+         notgood=(p(0,i) .le. emin(i)).or.
+     &        (p(0,i) .gt. emax(i))
+         if (notgood) then
+            if(debug) write (*,*) i,' -> fails'
+            passcuts=.false.
+            return
+         endif
+      enddo
+c     
+c     Rapidity  min & max cuts
+c     
+      do i=nincoming+1,nexternal
+         if(debug) write (*,*) 'abs(rap(',i,'))=',abs(rap(p(0,i))),'   ',etamin(i),':',etamax(i)
+         notgood=(abs(rap(p(0,i))) .gt. etamax(i)).or.
+     &        (abs(rap(p(0,i))) .lt. etamin(i))
+         if (notgood) then
+            if(debug) write (*,*) i,' -> fails'
+            passcuts=.false.
+            return
+         endif
+      enddo
+c     
+c     DeltaR min & max cuts
+c     
+      do i=nincoming+1,nexternal-1
+         do j=i+1,nexternal
+            if(debug) write (*,*) 'r2(',i, ',' ,j,')=',dsqrt(r2(p(0,i),p(0,j)))
+            if(debug) write (*,*) dsqrt(r2min(j,i)),dsqrt(r2max(j,i))
+            if(r2min(j,i).gt.0.or.r2max(j,i).lt.1d2) then
+               tmp=r2(p(0,i),p(0,j))
+               notgood=(tmp .lt. r2min(j,i)).or.(tmp .gt. r2max(j,i))
+               if (notgood) then
+                  if(debug) write (*,*) i,j,' -> fails'
+                  passcuts=.false.
+                  return
+               endif
+            endif
+         enddo
+      enddo
+c     
+c     s-channel min & max invariant mass cuts
+c     
+      do i=nincoming+1,nexternal-1
+         do j=i+1,nexternal
+            if(debug) write (*,*) 's(',i,',',j,')=',dsqrt(Sumdot(p(0,i),p(0,j),+1d0))
+            if(debug) write (*,*) dsqrt(s_min(j,i)),dsqrt(s_max(j,i))
+            if(s_min(j,i).gt.0.or.s_max(j,i).lt.1d5) then
+               tmp=SumDot(p(0,i),p(0,j),+1d0)
+               notgood=(tmp .lt. s_min(j,i).or.tmp .gt. s_max(j,i)) 
+               if (notgood) then
+                  if(debug) write (*,*) i,j,' -> fails'
+                  passcuts=.false.
+                  return
+               endif
+            endif
+         enddo
+      enddo
+C     $B$DESACTIVATE_BW_CUT$B$ This is a Tag for MadWeight
+c     
+c     B.W. phase space cuts
+c     
+      pass_bw=cut_bw(p)
+      if (lbw(0) .eq. 1) then
+         if ( pass_bw ) then
+            passcuts=.false.
+            return
+         endif
+      endif
+C     $E$DESACTIVATE_BW_CUT$E$ This is a Tag for MadWeight
+
+C     
+C     maximal and minimal pt of the jets sorted by pt
+c     
+      njets=0
+
+c- fill ptjet with the pt's of the jets.
+      do i=nincoming+1,nexternal
+         if(is_a_j(i)) then
+            njets=njets+1
+            ptjet(njets)=pt(p(0,i))
+         endif
+      enddo
+      if(debug) write (*,*) 'not yet ordered ',njets,'   ',ptjet
+
+c- check existance of jets if jet cuts are on
+      if(njets.lt.1.and.(htjmin.gt.0.or.ptj1min.gt.0).or.
+     $     njets.lt.2.and.ptj2min.gt.0.or.
+     $     njets.lt.3.and.ptj3min.gt.0.or.
+     $     njets.lt.4.and.ptj4min.gt.0)then
+         if(debug) write (*,*) i, ' too few jets -> fails'
+         passcuts=.false.
+         return
+      endif
+
+c - sort jet pts
+      do i=1,njets-1
+         do j=i+1,njets
+            if(ptjet(j).gt.ptjet(i)) then
+               temp=ptjet(i)
+               ptjet(i)=ptjet(j)
+               ptjet(j)=temp
+            endif
+         enddo
+      enddo
+      if(debug) write (*,*) 'ordered ',njets,'   ',ptjet
+c
+c     Use "and" or "or" prescriptions 
+c     
+      if(njets.gt.0) then
+
+       notgood=.not.jetor
+       if(debug) write (*,*) 'jetor :',jetor  
+       if(debug) write (*,*) '0',notgood   
+      
+      do i=1,njets 
+            if(debug) write (*,*) i,ptjet(i), '   ',ptjmin4(min(i,4)),':',ptjmax4(min(i,4))
+         if(jetor) then     
+c---  if one of the jets does not pass, the event is rejected
+            notgood=notgood.or.(ptjet(i).gt.ptjmax4(min(i,4))).or.
+     $           (ptjet(i).lt.ptjmin4(min(i,4)))
+            if(debug) write (*,*) i,' notgood total:', notgood   
+         else
+c---  all cuts must fail to reject the event
+            notgood=notgood.and.(ptjet(i).gt.ptjmax4(min(i,4))
+     $              .or.(ptjet(i).lt.ptjmin4(min(i,4))))
+            if(debug) write (*,*) i,' notgood total:', notgood   
+         endif
+      enddo
+
+
+      if (notgood) then
+         if(debug) write (*,*) i, ' multiple pt -> fails'
+         passcuts=.false.
+         return
+      endif
+
+c---------------------------
+c      Ht cuts
+C---------------------------
+      
+      htj=ptjet(1)
+      do i=2,njets
+         htj=htj+ptjet(i)
+         if(debug) write (*,*) i, 'htj ',htj
+         if(debug) write (*,*) 'htmin ',i,' ', htjmin4(min(i,4)),':',htjmax4(min(i,4))
+         if(htj.lt.htjmin4(min(i,4)) .or. htj.gt.htjmax4(min(i,4))) then
+            if(debug) write (*,*) i, ' ht -> fails'
+            passcuts=.false.
+            return
+         endif
+      enddo
+
+
+      if(htj.lt.htjmin.or.htj.gt.htjmax)then
+         if(debug) write (*,*) i, ' htj -> fails'
+         passcuts=.false.
+         return
+      endif
+
+      endif !if there are jets 
+      
+C>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>     
+C     SPECIAL CUTS
+C<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
+
+C     REQUIRE AT LEAST ONE JET WITH PT>XPTJ
+         
+         IF(xptj.gt.0d0) THEN
+            xvar=0
+            do i=nincoming+1,nexternal
+               if(is_a_j(i)) xvar=max(xvar,pt(p(0,i)))
+            enddo
+            if (xvar .lt. xptj) then
+               passcuts=.false.
+               return
+            endif
+         ENDIF
+
+C     REQUIRE AT LEAST ONE PHOTON WITH PT>XPTA
+         
+         IF(xpta.gt.0d0) THEN
+            xvar=0
+            do i=nincoming+1,nexternal
+               if(is_a_a(i)) xvar=max(xvar,pt(p(0,i)))
+            enddo
+            if (xvar .lt. xpta) then
+               passcuts=.false.
+               return
+            endif
+         ENDIF
+
+C     REQUIRE AT LEAST ONE B  WITH PT>XPTB
+         
+         IF(xptb.gt.0d0) THEN
+            xvar=0
+            do i=nincoming+1,nexternal
+               if(is_a_b(i)) xvar=max(xvar,pt(p(0,i)))
+            enddo
+            if (xvar .lt. xptb) then
+               passcuts=.false.
+               return
+            endif
+         ENDIF
+
+C     REQUIRE AT LEAST ONE LEPTON  WITH PT>XPTL
+         
+         IF(xptl.gt.0d0) THEN
+            xvar=0
+            do i=nincoming+1,nexternal
+               if(is_a_l(i)) xvar=max(xvar,pt(p(0,i)))
+            enddo
+            if (xvar .lt. xptl) then
+               passcuts=.false.
+               return
+            endif
+         ENDIF
+C
+C     WBF CUTS: TWO TYPES
+C    
+C     FIRST TYPE:  implemented by FM
+C
+C     1. FIND THE 2 HARDEST JETS
+C     2. REQUIRE |RAP(J)|>XETAMIN
+C     3. REQUIRE RAP(J1)*ETA(J2)<0
+C
+C     SECOND TYPE : added by Simon de Visscher 1-08-2007
+C
+C     1. FIND THE 2 HARDEST JETS
+C     2. REQUIRE |RAP(J1)-RAP(J2)|>DELTAETA
+C     3. REQUIRE RAP(J1)*RAP(J2)<0
+C
+C
+         hardj1=0
+         hardj2=0
+         ptmax1=0d0
+         ptmax2=0d0
+
+C-- START IF AT LEAST ONE OF THE CUTS IS ACTIVATED
+         
+         IF(XETAMIN.GT.0D0.OR.DELTAETA.GT.0D0) THEN
+            
+C-- FIND THE HARDEST JETS
+
+            do i=nincoming+1,nexternal
+               if(is_a_j(i)) then
+c                  write (*,*) i,pt(p(0,i))
+                  if(pt(p(0,i)).gt.ptmax1) then
+                     hardj2=hardj1
+                     ptmax2=ptmax1
+                     hardj1=i
+                     ptmax1=pt(p(0,i))
+                  elseif(pt(p(0,i)).gt.ptmax2) then
+                     hardj2=i
+                     ptmax2=pt(p(0,i))
+                  endif
+c                  write (*,*) hardj1,hardj2,ptmax1,ptmax2
+               endif
+            enddo
+            
+C-- NOW APPLY THE CUT I            
+
+            if (abs(rap(p(0,hardj1))) .lt. xetamin
+     &       .or.abs(rap(p(0,hardj2))) .lt. xetamin
+     &       .or.rap(p(0,hardj1))*rap(p(0,hardj2)) .gt.0d0) then
+             passcuts=.false.
+             return
+            endif
+
+            
+C-- NOW APPLY THE CUT II
+            
+            if (abs(rap(p(0,hardj1))-rap(p(0,hardj2))) .lt. deltaeta) then
+             passcuts=.false.
+             return
+            endif
+         
+c            write (*,*) hardj1,hardj2,rap(p(0,hardj1)),rap(p(0,hardj2))
+         
+         ENDIF
+
+C...Set couplings if event passed cuts
+
+      if(.not.fixed_ren_scale) then
+         call set_ren_scale(P,scale)
+         if(scale.gt.0) G = SQRT(4d0*PI*ALPHAS(scale))
+      endif
+
+      if(.not.fixed_fac_scale) then
+         call set_fac_scale(P,q2fact)
+      endif
+
+c
+c     Here we cluster event and reset factorization and renormalization
+c     scales on an event-by-event basis, as well as check xqcut for jets
+c
+      if(xqcut.gt.0d0.or.ickkw.gt.0.or.scale.eq.0.or.q2fact(1).eq.0)then
+        if(.not.setclscales(p))then
+         passcuts=.false.
+         return
+       endif
+      endif
+
+c     Set couplings in model files
+      if(.not.fixed_ren_scale.or..not.fixed_couplings) then
+         if (.not.fixed_couplings)then
+            do i=0,3
+               do j=1,nexternal
+                  pp(i,j)=p(i,j)
+               enddo
+            enddo
+         endif
+         call setpara('param_card.dat',.false.)
+      endif
+
+      IF (FIRSTTIME2) THEN
+        FIRSTTIME2=.FALSE.
+        write(6,*) 'alpha_s for scale ',scale,' is ', G**2/(16d0*atan(1d0))
+      ENDIF
+
+      if(debug) write (*,*) '============================='
+      if(debug) write (*,*) ' EVENT PASSED THE CUTS       '
+      if(debug) write (*,*) '============================='
+
+
+      RETURN
+      END
+

=== added file 'Template/SubProcesses/dipole.inc'
--- Template/SubProcesses/dipole.inc	1970-01-01 00:00:00 +0000
+++ Template/SubProcesses/dipole.inc	2010-10-30 03:26:37 +0000
@@ -0,0 +1,47 @@
+c *************************************************************
+c  Variables used for the integrated dipoles
+c *************************************************************
+      logical intdipole
+      common /intd/ intdipole
+
+
+c *************************************************************
+c Mass and flavour parameters
+c *************************************************************
+
+      real*8 mu              !Renormalization scale
+      real*8 muf             !Factorization scale
+      common /c_scales/mu,muf
+
+c Number of flavours in the integrated dipoles for initial
+c state splittings of gluons. Should be set equal to 
+c the number of quark flavors in the initial state.
+c Note that for final state splittings, this factor is not used,
+c and included gluon to quark splittings are included via
+c the explicit real-emission subprocesses. For the
+c initial state this cannot be done because of the PDFs.
+c (Running of alpha_s is independent of this factor)
+      integer Nf
+      parameter (Nf=4)
+
+
+c **************************************************************
+c Alpha parameters for phase space restriction
+c **************************************************************
+
+      real*8 alpha_ff,alpha_fi,alpha_if,alpha_ii
+      parameter (alpha_ff=1d0)
+      parameter (alpha_fi=1d0)
+      parameter (alpha_if=1d0)
+      parameter (alpha_ii=1d0)
+
+
+c ***************************************************************
+c Renormalisation scheme
+c Two renormalisation schemes are implemented:
+c 1. The 't Hooft-Veltman scheme (scheme=HV)
+c 2. dimensional reduction      (scheme=DR)
+c ***************************************************************
+      character*2 scheme
+      parameter (scheme='HV')
+

=== added file 'Template/SubProcesses/dipolesub.f'
--- Template/SubProcesses/dipolesub.f	1970-01-01 00:00:00 +0000
+++ Template/SubProcesses/dipolesub.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,408 @@
+************************************************************************
+*                                                                      *
+*     Original author: J. M. Campbell                                  *
+*     August, 2001                                                     *
+*                                                                      *
+*     Adapted by RF and NG for MadGraph/MadEvent (June, 2008)          *
+*                                                                      *
+*                                                                      *
+*     Calculates the dipole (chooses automatically the correct         *
+*     structure) in the Catani-Seymour formulation hep-ph/9605323      *
+*     convention: C_F=4/3  C_A=3 ,T_R=1/2                              *
+*                                                                      *
+*     Returns the dipoles in sub,subv                                  *
+*                                                                      *
+*     p(0:3,nexternal) is the momentum of the n+1 particle config      *
+*                                                                      *
+*     ip labels the emitter parton                                     *
+*     jp labels the unresolved parton                                  *
+*     kp labels the spectator parton                                   *
+*     ijp labels the emitter parton before emittion                    *
+*     kkp labels the spectator parton before emittion                  *
+*                                                                      *
+*     ig labels the emitter parton type                                *
+*     jg labels the unresolved parton type                             *
+*     kg labels the spectator parton type                              *
+*     ijg labels the emitter parton before emittion type               *
+*     kkg labels the spectator parton before emittion type             *
+*                                                                      *
+*     w1,w2 label the polarisation vector which are needed to          *
+*           to contract the tensor V_mu_nu                             *
+************************************************************************
+
+      subroutine dipolesub(p,ip,jp,kp,ijp,kkp,ig,jg,kg,ijg,kkg,mass_i,mass_j,mass_k,w1,w2,sub,subv)
+      implicit none
+      include 'nexternal.inc'
+      include 'coupl.inc'
+c Arguments
+      double precision p(0:3,nexternal),sub,mass_i,mass_j,mass_k
+      integer ip,jp,kp,ijp,kkp,ig,jg,kg,ijg,kkg
+      complex*16 w1(18),w2(18),subv
+c Local
+      double precision x,omx,z,omz,y,omy,u,omu,sij,sik,sjk,dot,vecsq,gsq
+      double precision one,two,three,four,eight,cf,ca,lambda_tr,vij,vtildeij
+      double precision musq_i,musq_j,musq_k,musq_ij,pij(0:3),msq_i,msq_j
+      double precision msq_k,msq_ij,qtot(0:3),qsq,zm,omzm,pijsq
+      parameter (one=1d0,two=2d0,three=3d0,four=4d0,eight=8d0)
+      parameter (cf=4d0/3d0,ca=3d0)
+      complex*16 vec1(0:3),vec1conjg(0:3),vec2(0:3),dotrc,dotcc
+      integer i
+
+      external lambda_tr
+
+      logical firsttime
+      data firsttime /.false./
+
+      if (firsttime) then
+         write (*,*)'Using the "dipolesub(..)" subroutine, '//
+     &        'originally written by J.M. Campbell, Aug 2001.'
+         write (*,*)'Adapted for MadDipole by '//
+     &        'N. Greiner & R. Frederix Jun. 2008.'
+         firsttime=.false.
+      endif
+      
+
+
+C---Initialize the dipoles to zero
+      sub  = 0d0
+      subv = (0d0,0d0)
+
+      sij = dot(p(0,ip),p(0,jp))
+      sik = dot(p(0,ip),p(0,kp))
+      sjk = dot(p(0,jp),p(0,kp))
+      
+      gsq = GG(1)**2
+
+      do i=1,4
+       vec1(i-1)=w1(i)
+       vec1conjg(i-1)=dconjg(w1(i))
+       vec2(i-1)=w2(i)
+       pij(i-1)=p(i-1,ip)+p(i-1,jp)
+       qtot(i-1)=p(i-1,ip)+p(i-1,jp)+p(i-1,kp)
+      enddo
+
+      if(mass_i.lt.1d-5.and.mass_k.lt.1d-5) then
+      if ((ip .le. nincoming) .and. (kp .le. nincoming)) then
+***********************************************************************
+*************************** INITIAL-INITIAL ***************************
+***********************************************************************
+         omx=(sij+sjk)/sik
+         x=one-omx
+         vecsq=sij*sjk/sik
+
+         if    (ig.eq.1.and.jg.eq.0) then
+            sub = gsq/x/sij*(two/omx-one-x)
+         elseif(ig.eq.0.and.jg.eq.1) then
+            sub = gsq/x/sij/cf/two*(one-two*x*omx)
+         elseif(ig.eq.1.and.jg.eq.1) then
+           sub=DREAL(gsq/x/sij*cf/ca*(-dotcc(vec1conjg,vec1)*x+omx/x*two*sik/sij/sjk*
+     &         (dotrc(p(0,jp),vec1conjg)-sij/sik*dotrc(p(0,kp),vec1conjg))*
+     &         (dotrc(p(0,jp),vec1)-sij/sik*dotrc(p(0,kp),vec1))))
+           subv=gsq/x/sij*cf/ca*(-dotcc(vec1conjg,vec2)*x+omx/x*two*sik/sij/sjk*
+     &         (dotrc(p(0,jp),vec1conjg)-sij/sik*dotrc(p(0,kp),vec1conjg))*
+     &         (dotrc(p(0,jp),vec2)-sij/sik*dotrc(p(0,kp),vec2)))  
+         elseif(ig.eq.0.and.jg.eq.0) then
+           sub=DREAL(two*gsq/x/sij*(-dotcc(vec1conjg,vec1)*(x/omx+x*omx)+
+     &         omx/x*sik/sij/sjk*(dotrc(p(0,jp),vec1conjg)-sij/sik*
+     &         dotrc(p(0,kp),vec1conjg))*(dotrc(p(0,jp),vec1)-sij/sik*
+     &         dotrc(p(0,kp),vec1))))
+           subv=two*gsq/x/sij*(-dotcc(vec1conjg,vec2)*(x/omx+x*omx)+
+     &         omx/x*sik/sij/sjk*(dotrc(p(0,jp),vec1conjg)-sij/sik*
+     &         dotrc(p(0,kp),vec1conjg))*(dotrc(p(0,jp),vec2)-sij/sik*
+     &         dotrc(p(0,kp),vec2)))
+           else
+            write (*,*) 'Error in dipolesub, wrong dipolestructure'
+            return
+         endif
+
+         
+***********************************************************************
+***************************INITIAL-FINAL *****************************
+***********************************************************************
+      elseif ((ip .le. nincoming) .and. (kp .gt. nincoming)) then
+         omx=sjk/(sij+sik)
+         x=one-omx
+         u=sij/(sij+sik)
+         omu=sik/(sij+sik)
+         if    (ig.eq.1.and.jg.eq.0) then
+            sub = gsq/x/sij*(two/(omx+u)-one-x)
+         elseif(ig.eq.0.and.jg.eq.1) then 
+            sub = gsq/x/sij/cf/two*(one-two*x*omx)
+         elseif(ig.eq.1.and. jg.eq.1) then
+           sub=DREAL(gsq/x/sij*cf/ca*(-dotcc(vec1conjg,vec1)*x+omx/x*two*u*omu/sjk*
+     &         (dotrc(p(0,jp),vec1conjg)/u-dotrc(p(0,kp),vec1conjg)/omu)*
+     &         (dotrc(p(0,jp),vec1)/u-dotrc(p(0,kp),vec1)/omu)))
+           subv=gsq/x/sij*cf/ca*(-dotcc(vec1conjg,vec2)*x+omx/x*two*u*omu/sjk*
+     &         (dotrc(p(0,jp),vec1conjg)/u-dotrc(p(0,kp),vec1conjg)/omu)*
+     &         (dotrc(p(0,jp),vec2)/u-dotrc(p(0,kp),vec2)/omu))
+         elseif(ig.eq.0.and.jg.eq.0) then
+           sub=DREAL((two*gsq)/x/sij*(-dotcc(vec1conjg,vec1)*(one/(omx+u)-one
+     &         +x*omx)+omx/x*u*omu/sjk*(dotrc(p(0,jp),vec1conjg)/u
+     &         -dotrc(p(0,kp),vec1conjg)/omu)*(dotrc(p(0,jp),vec1)/u
+     &         -dotrc(p(0,kp),vec1)/omu)))
+           subv=(two*gsq)/x/sij*(-dotcc(vec1conjg,vec2)*(one/(omx+u)-one
+     &         +x*omx)+omx/x*u*omu/sjk*(dotrc(p(0,jp),vec1conjg)/u
+     &         -dotrc(p(0,kp),vec1conjg)/omu)*(dotrc(p(0,jp),vec2)/u
+     &         -dotrc(p(0,kp),vec2)/omu))
+         else
+            write (*,*) 'Error in dipolesub, wrong dipolestructure'
+            return
+         endif
+
+
+***********************************************************************
+*************************** FINAL-INITIAL *****************************
+***********************************************************************
+      elseif ((ip .gt. nincoming) .and. (kp .le. nincoming)) then
+
+         omx=sij/(sjk+sik)
+         x=one-omx
+         z=sik/(sik+sjk)
+         omz=sjk/(sik+sjk)
+                
+         if    (ig.eq.1.and.jg.eq.0) then
+            sub =gsq/x/sij*(two/(omz+omx)-one-z)
+          elseif(ig.eq.0.and.jg.eq.0) then
+           sub=DREAL(two*gsq/x/sij*(-dotcc(vec1conjg,vec1)*(one/(omz+omx)+
+     &         one/(z+omx)-two)+one/sij*(z*dotrc(p(0,ip),vec1conjg)-
+     &         omz*dotrc(p(0,jp),vec1conjg))*(z*dotrc(p(0,ip),vec1)-
+     &         omz*dotrc(p(0,jp),vec1))))
+           subv=two*gsq/x/sij*(-dotcc(vec1conjg,vec2)*(one/(omz+omx)+
+     &         one/(z+omx)-two)+one/sij*(z*dotrc(p(0,ip),vec1conjg)-
+     &         omz*dotrc(p(0,jp),vec1conjg))*(z*dotrc(p(0,ip),vec2)-
+     &         omz*dotrc(p(0,jp),vec2)))
+          elseif(ig.eq.1.and.jg.eq.1) then
+           sub=DREAL(gsq/(two*x*ca*sij)*(-dotcc(vec1conjg,vec1)-two/sij*
+     &         (z*dotrc(p(0,ip),vec1conjg)-omz*dotrc(p(0,jp),vec1conjg))*
+     &         (z*dotrc(p(0,ip),vec1)-omz*dotrc(p(0,jp),vec1))))
+           subv=gsq/(two*x*ca*sij)*(-dotcc(vec1conjg,vec2)-two/sij*
+     &         (z*dotrc(p(0,ip),vec1conjg)-omz*dotrc(p(0,jp),vec1conjg))*
+     &         (z*dotrc(p(0,ip),vec2)-omz*dotrc(p(0,jp),vec2)))
+         else
+            write (*,*) 'Error in dipolesub, wrong dipolestructure'
+            return
+         endif
+
+
+
+***********************************************************************
+**************************** FINAL-FINAL ******************************
+***********************************************************************
+      elseif ((ip .gt. nincoming) .and. (kp .gt. nincoming)) then
+         y=sij/(sij+sjk+sik)
+         z=sik/(sjk+sik)
+         omz=one-z
+         omy=one-y
+              
+         if    (ig.eq.1.and.jg.eq.0) then
+            sub = gsq/sij*(two/(one-z*omy)-one-z)
+          elseif(ig.eq.1.and.jg.eq.1) then
+           sub=DREAL(gsq/(ca*two*sij)*(-dotcc(vec1conjg,vec1)-two/sij*
+     &         (z*dotrc(p(0,ip),vec1conjg)-omz*dotrc(p(0,jp),vec1conjg))*
+     &         (z*dotrc(p(0,ip),vec1)-omz*dotrc(p(0,jp),vec1))))
+           subv=gsq/(ca*two*sij)*(-dotcc(vec1conjg,vec2)-two/sij*
+     &         (z*dotrc(p(0,ip),vec1conjg)-omz*dotrc(p(0,jp),vec1conjg))*
+     &         (z*dotrc(p(0,ip),vec2)-omz*dotrc(p(0,jp),vec2)))
+          elseif(ig.eq.0.and.jg.eq.0) then
+           sub=DREAL(two*gsq/sij*(-dotcc(vec1conjg,vec1)*(one/(one-z*omy)+
+     &         one/(one-omz*omy)-two)+one/sij*(z*dotrc(p(0,ip),vec1conjg)-omz*
+     &         dotrc(p(0,jp),vec1conjg))*(z*dotrc(p(0,ip),vec1)-omz*dotrc(p(0,jp),vec1))))
+           subv=two*gsq/sij*(-dotcc(vec1conjg,vec2)*(one/(one-z*omy)+
+     &         one/(one-omz*omy)-two)+one/sij*(z*dotrc(p(0,ip),vec1conjg)-omz*
+     &         dotrc(p(0,jp),vec1conjg))*(z*dotrc(p(0,ip),vec2)-omz*dotrc(p(0,jp),vec2)))
+         else
+            write (*,*) 'Error in dipolesub, wrong dipolestructure'
+            return
+         endif
+      endif
+
+
+      else
+c  Massive case
+      msq_i=mass_i**2
+      msq_k=mass_k**2
+      msq_j=mass_j**2
+      if(mass_i .eq.mass_j) then
+       msq_ij=0d0
+      else
+       msq_ij=msq_i
+      endif
+      qsq=dot(qtot,qtot)
+
+
+      if ((ip .le. nincoming) .and. (kp .le. nincoming)) then
+***********************************************************************
+*************************** INITIAL-INITIAL ***************************
+***********************************************************************
+         omx=(sij+sjk)/sik
+         x=one-omx
+         vecsq=sij*sjk/sik
+
+         if    (ig.eq.1.and.jg.eq.0) then
+            sub = gsq/x/sij*(two/omx-one-x)
+         elseif(ig.eq.0.and.jg.eq.1) then
+            sub = gsq/x/sij/cf/two*(one-two*x*omx)
+         elseif(ig.eq.1.and.jg.eq.1) then
+           sub=DREAL(gsq/x/sij*cf/ca*(-dotcc(vec1conjg,vec1)*x+omx/x*two*sik/sij/sjk*
+     &         (dotrc(p(0,jp),vec1conjg)-sij/sik*dotrc(p(0,kp),vec1conjg))*
+     &         (dotrc(p(0,jp),vec1)-sij/sik*dotrc(p(0,kp),vec1))))
+           subv=gsq/x/sij*cf/ca*(-dotcc(vec1conjg,vec2)*x+omx/x*two*sik/sij/sjk*
+     &         (dotrc(p(0,jp),vec1conjg)-sij/sik*dotrc(p(0,kp),vec1conjg))*
+     &         (dotrc(p(0,jp),vec2)-sij/sik*dotrc(p(0,kp),vec2)))  
+         elseif(ig.eq.0.and.jg.eq.0) then
+           sub=DREAL(two*gsq/x/sij*(-dotcc(vec1conjg,vec1)*(x/omx+x*omx)+
+     &         omx/x*sik/sij/sjk*(dotrc(p(0,jp),vec1conjg)-sij/sik*
+     &         dotrc(p(0,kp),vec1conjg))*(dotrc(p(0,jp),vec1)-sij/sik*
+     &         dotrc(p(0,kp),vec1))))
+           subv=two*gsq/x/sij*(-dotcc(vec1conjg,vec2)*(x/omx+x*omx)+
+     &         omx/x*sik/sij/sjk*(dotrc(p(0,jp),vec1conjg)-sij/sik*
+     &         dotrc(p(0,kp),vec1conjg))*(dotrc(p(0,jp),vec2)-sij/sik*
+     &         dotrc(p(0,kp),vec2)))
+           else
+            write (*,*) 'Error in dipolesub, wrong dipolestructure'
+            return
+         endif
+
+         
+***********************************************************************
+***************************INITIAL-FINAL *****************************
+***********************************************************************
+      elseif ((ip .le. nincoming) .and. (kp .gt. nincoming)) then
+         omx=sjk/(sij+sik)
+         x=one-omx
+         u=sij/(sij+sik)
+         omu=sik/(sij+sik)
+
+         if    (ig.eq.1.and.jg.eq.0) then
+            sub = gsq/x/sij*(two/(omx+u)-one-x)
+         elseif(ig.eq.0.and.jg.eq.1) then 
+            sub = gsq/x/sij/cf/two*(one-two*x*omx)
+         elseif(ig.eq.1.and. jg.eq.1) then
+           sub=DREAL(gsq/x/sij*cf/ca*(-dotcc(vec1conjg,vec1)*x+omx/x*two*u*omu/sjk*
+     &         (dotrc(p(0,jp),vec1conjg)/u-dotrc(p(0,kp),vec1conjg)/omu)*
+     &         (dotrc(p(0,jp),vec1)/u-dotrc(p(0,kp),vec1)/omu)))
+           subv=gsq/x/sij*cf/ca*(-dotcc(vec1conjg,vec2)*x+omx/x*two*u*omu/sjk*
+     &         (dotrc(p(0,jp),vec1conjg)/u-dotrc(p(0,kp),vec1conjg)/omu)*
+     &         (dotrc(p(0,jp),vec2)/u-dotrc(p(0,kp),vec2)/omu))
+         elseif(ig.eq.0.and.jg.eq.0) then
+           sub=DREAL((two*gsq)/x/sij*(-dotcc(vec1conjg,vec1)*(one/(omx+u)-one
+     &         +x*omx)+omx/x*u*omu/sjk*(dotrc(p(0,jp),vec1conjg)/u
+     &         -dotrc(p(0,kp),vec1conjg)/omu)*(dotrc(p(0,jp),vec1)/u
+     &         -dotrc(p(0,kp),vec1)/omu)))
+           subv=(two*gsq)/x/sij*(-dotcc(vec1conjg,vec2)*(one/(omx+u)-one
+     &         +x*omx)+omx/x*u*omu/sjk*(dotrc(p(0,jp),vec1conjg)/u
+     &         -dotrc(p(0,kp),vec1conjg)/omu)*(dotrc(p(0,jp),vec2)/u
+     &         -dotrc(p(0,kp),vec2)/omu))
+         else
+            write (*,*) 'Error in dipolesub, wrong dipolestructure'
+            return
+         endif
+
+
+***********************************************************************
+*************************** FINAL-INITIAL *****************************
+***********************************************************************
+      elseif ((ip .gt. nincoming) .and. (kp .le. nincoming)) then
+
+         omx=(sij-0.5d0*(msq_ij-msq_i-msq_j))/(sjk+sik)
+         x=one-omx
+         z=sik/(sik+sjk)
+         omz=sjk/(sik+sjk)
+c         musq_i=msq_i/sqrt(two*(dot(p(0,ip),p(0,kp))+dot(p(0,jp),p(0,kp))
+c     &           -omx*msq_k
+c         musq_j=msq_j/sqrt(two*(dot(p(0,ip),p(0,kp))+dot(p(0,jp),p(0,kp))
+c     &           -omx*msq_k
+c         musq_k=msq_k/sqrt(two*(dot(p(0,ip),p(0,kp))+dot(p(0,jp),p(0,kp))
+c     &           -omx*msq_k
+         if    (ig.eq.1.and.jg.eq.0) then
+            sub =two*gsq/x/(dot(pij,pij)-msq_ij)*(two/(omz+omx)-one-z-msq_i/sij)
+c           print*, p(0,jp)
+          elseif(ig.eq.0.and.jg.eq.0) then
+           sub=DREAL(two*gsq/x/sij*(-dotcc(vec1conjg,vec1)*(one/(omz+omx)+
+     &         one/(z+omx)-two)+one/sij*(z*dotrc(p(0,ip),vec1conjg)-
+     &         omz*dotrc(p(0,jp),vec1conjg))*(z*dotrc(p(0,ip),vec1)-
+     &         omz*dotrc(p(0,jp),vec1))))
+           subv=two*gsq/x/sij*(-dotcc(vec1conjg,vec2)*(one/(omz+omx)+
+     &         one/(z+omx)-two)+one/sij*(z*dotrc(p(0,ip),vec1conjg)-
+     &         omz*dotrc(p(0,jp),vec1conjg))*(z*dotrc(p(0,ip),vec2)-
+     &         omz*dotrc(p(0,jp),vec2)))
+          elseif(ig.eq.1.and.jg.eq.1) then
+           sub=DREAL(gsq/(x*ca*(dot(pij,pij)-msq_ij))*(-dotcc(vec1conjg,vec1)-four/dot(pij,pij)*
+     &         (z*dotrc(p(0,ip),vec1conjg)-omz*dotrc(p(0,jp),vec1conjg))*
+     &         (z*dotrc(p(0,ip),vec1)-omz*dotrc(p(0,jp),vec1))))
+           subv=gsq/(x*ca*(dot(pij,pij)-msq_ij))*(-dotcc(vec1conjg,vec2)-four/dot(pij,pij)*
+     &         (z*dotrc(p(0,ip),vec1conjg)-omz*dotrc(p(0,jp),vec1conjg))*
+     &         (z*dotrc(p(0,ip),vec2)-omz*dotrc(p(0,jp),vec2)))
+         else
+            write (*,*) 'Error in dipolesub, wrong dipolestructure'
+            return
+         endif
+
+
+
+***********************************************************************
+**************************** FINAL-FINAL ******************************
+***********************************************************************
+      elseif ((ip .gt. nincoming) .and. (kp .gt. nincoming)) then
+         y=sij/(sij+sjk+sik)
+         z=sik/(sjk+sik)
+         omz=one-z
+         omy=one-y
+         musq_i=msq_i/qsq
+         musq_j=msq_j/qsq
+         musq_k=msq_k/qsq
+         musq_ij=msq_ij/qsq
+         pijsq=dot(pij,pij)
+c         print*, mass_i,mass_j,mass_k,msq_i,msq_j,msq_k,msq_ij
+         vij=sqrt((two*musq_k+(one-musq_i-musq_j-musq_k)*omy)**2-four*musq_k)/
+     &       ((one-musq_i-musq_j-musq_k)*omy)
+         vtildeij=sqrt(lambda_tr(one,musq_ij,musq_k))/(one-musq_ij-musq_k)
+         zm=z-0.5d0*(1d0-vij)
+         omzm=omz-0.5d0*(1d0-vij)
+         if(ig.eq.1.and.jg.eq.0) then
+            sub = two*gsq/(pijsq-msq_ij)*(two/(one-z*omy)-vtildeij/vij*(one+z+msq_i/sij))
+c            print*,sub,gsq/sij*(two/(one-z*omy)-one-z)
+c sub = gsq/sij*(two/(one-z*omy)-one-z)
+c            print*,sub/(gsq/sij*(two/(one-z*omy)-one-z))
+          elseif(ig.eq.1.and.jg.eq.1) then
+           sub=DREAL(gsq/(ca*(dot(pij,pij)-msq_ij)*vij)*(-dotcc(vec1conjg,vec1)-four/dot(pij,pij)*
+     &         (zm*dotrc(p(0,ip),vec1conjg)-omzm*dotrc(p(0,jp),vec1conjg))*
+     &         (zm*dotrc(p(0,ip),vec1)-omzm*dotrc(p(0,jp),vec1))))
+           subv=gsq/(ca*(dot(pij,pij)-msq_ij)*vij)*(-dotcc(vec1conjg,vec2)-four/dot(pij,pij)*
+     &         (zm*dotrc(p(0,ip),vec1conjg)-omzm*dotrc(p(0,jp),vec1conjg))*
+     &         (zm*dotrc(p(0,ip),vec2)-omzm*dotrc(p(0,jp),vec2)))
+          elseif(ig.eq.0.and.jg.eq.0) then
+           sub=DREAL(four*gsq/(dot(pij,pij)-msq_ij)*(-dotcc(vec1conjg,vec1)*(one/(one-z*omy)+
+     &         one/(one-omz*omy)-two/vij)+one/sij/vij*(zm*dotrc(p(0,ip),vec1conjg)-omzm*
+     &         dotrc(p(0,jp),vec1conjg))*(zm*dotrc(p(0,ip),vec1)-omzm*dotrc(p(0,jp),vec1))))
+           subv=four*gsq/(dot(pij,pij)-msq_ij)*(-dotcc(vec1conjg,vec2)*(one/(one-z*omy)+
+     &         one/(one-omz*omy)-two/vij)+one/sij/vij*(zm*dotrc(p(0,ip),vec1conjg)-omzm*
+     &         dotrc(p(0,jp),vec1conjg))*(zm*dotrc(p(0,ip),vec2)-omzm*dotrc(p(0,jp),vec2)))
+         else
+            write (*,*) 'Error in dipolesub, wrong dipolestructure'
+            return
+         endif
+
+      endif
+
+
+      endif
+
+      return
+
+      end
+      
+
+
+      complex*16 function dotrc(pr,pc)
+      implicit none
+      double precision pr(0:3)
+      complex*16 pc(0:3)
+      dotrc=pr(0)*pc(0)-pr(1)*pc(1)-pr(2)*pc(2)-pr(3)*pc(3)
+      end
+
+      complex*16 function dotcc(pc1,pc2)
+      implicit none
+      complex*16 pc1(0:3),pc2(0:3)
+      dotcc=pc1(0)*pc2(0)-pc1(1)*pc2(1)-pc1(2)*pc2(2)-pc1(3)*pc2(3)
+      end

=== added file 'Template/SubProcesses/driver.f'
--- Template/SubProcesses/driver.f	1970-01-01 00:00:00 +0000
+++ Template/SubProcesses/driver.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,287 @@
+      Program DRIVER
+c**************************************************************************
+c     This is the driver for the whole calulation
+c**************************************************************************
+      implicit none
+C
+C     CONSTANTS
+C
+      double precision zero
+      parameter       (ZERO = 0d0)
+      include 'genps.inc'
+      include 'nexternal.inc'
+      INTEGER    ITMAX,   NCALL
+C
+C     LOCAL
+C
+      integer i,ninvar,nconfigs,j,l,l1,l2,ndim
+      double precision dsig,tot,mean,sigma
+      integer npoints,lunsud
+      double precision x,y,jac,s1,s2,xmin
+      external dsig
+      character*130 buf
+      integer NextUnopen
+      external NextUnopen
+c
+c     Global
+c
+      integer                                      nsteps
+      character*40          result_file,where_file
+      common /sample_status/result_file,where_file,nsteps
+      integer           Minvar(maxdim,lmaxconfigs)
+      common /to_invar/ Minvar
+      real*8          dsigtot(10)
+      common/to_dsig/ dsigtot
+      integer ngroup
+      common/to_group/ngroup
+      data ngroup/0/
+cc
+      include 'run.inc'
+      
+      integer           mincfig, maxcfig
+      common/to_configs/mincfig, maxcfig
+
+
+      double precision twgt, maxwgt,swgt(maxevents)
+      integer                             lun, nw
+      common/to_unwgt/twgt, maxwgt, swgt, lun, nw
+
+c--masses
+      double precision pmass(nexternal)
+      common/to_mass/  pmass
+      double precision qmass(2)
+      common/to_qmass/  qmass
+
+c     $B$ new_def $E$  this is a tag for MadWeigth, Don't edit this line
+
+c      double precision xsec,xerr
+c      integer ncols,ncolflow(maxamps),ncolalt(maxamps),ic
+c      common/to_colstats/ncols,ncolflow,ncolalt,ic
+
+      include 'coupl.inc'
+
+C-----
+C  BEGIN CODE
+C-----  
+c
+c     Read process number
+c
+      open (unit=lun+1,file='../dname.mg',status='unknown',err=11)
+      read (lun+1,'(a130)',err=11,end=11) buf
+      l1=index(buf,'P')
+      l2=index(buf,'_')
+      if(l1.ne.0.and.l2.ne.0.and.l1.lt.l2-1)
+     $     read(buf(l1+1:l2-1),*,err=11) ngroup
+ 11   print *,'Process in group number ',ngroup
+
+      lun = 27
+      twgt = -2d0            !determine wgt after first iteration
+      open(unit=lun,status='scratch')
+      nsteps=2
+      call setrun                !Sets up run parameters
+c     $B$ setpara $B$ ! this is a tag for MadWeight. Don't edit this line
+      call setpara('param_card.dat',.true.)   !Sets up couplings and masses
+c     $E$ setpara $E$ ! this is a tag for MadWeight. Don't edit this line
+      include 'pmass.inc'        !Sets up particle masses
+      include 'qmass.inc'        !Sets up particle masses inside onium state
+      call setcuts               !Sets up cuts 
+      call printout              !Prints out a summary of paramaters
+      call run_printout          !Prints out a summary of the run settings
+      nconfigs = 1
+
+c   If CKKW-type matching, read IS Sudakov grid
+      if(ickkw.eq.2 .and. (lpp(1).ne.0.or.lpp(2).ne.0))then
+        lunsud=NextUnopen()
+        open(unit=lunsud,file=issgridfile,status='old',ERR=20)
+        goto 40
+ 20     issgridfile='lib/'//issgridfile
+        do i=1,5
+          open(unit=lunsud,file=issgridfile,status='old',ERR=30)          
+          exit
+ 30       issgridfile='../'//issgridfile
+          if(i.eq.5)then
+            print *,'ERROR: No Sudakov grid file found in lib with ickkw=2'
+            stop
+          endif
+        enddo
+        print *,'Reading Sudakov grid file ',issgridfile
+ 40     call readgrid(lunsud)
+        print *,'Done reading IS Sudakovs'
+      endif
+        
+      if(ickkw.eq.2)then
+        hmult=.false.
+        if(ngroup.ge.nhmult) hmult=.true.
+        if(hmult)then
+          print *,'Running CKKW as highest mult sample'
+        else
+          print *,'Running CKKW as lower mult sample'
+        endif
+      endif
+
+c     
+c     Get user input
+c
+      write(*,*) "getting user params"
+      call get_user_params(ncall,itmax,mincfig)
+      maxcfig=mincfig
+      minvar(1,1) = 0              !This tells it to map things invarients
+      write(*,*) 'Attempting mappinvarients',nconfigs,nexternal
+      call map_invarients(minvar,nconfigs,ninvar,mincfig,maxcfig,nexternal,nincoming)
+      write(*,*) "Completed mapping",nexternal
+      ndim = 3*(nexternal-2)-4
+      if (abs(lpp(1)) .ge. 1) ndim=ndim+1
+      if (abs(lpp(2)) .ge. 1) ndim=ndim+1
+      ninvar = ndim
+      do j=mincfig,maxcfig
+         if (abs(lpp(1)) .ge. 1 .and. abs(lpp(1)) .ge. 1) then
+            minvar(ndim-1,j)=ninvar-1
+            minvar(ndim,j) = ninvar
+         elseif (abs(lpp(1)) .ge. 1 .or. abs(lpp(1)) .ge. 1) then
+            minvar(ndim,j) = ninvar
+         endif
+      enddo
+      write(*,*) "about to integrate ", ndim,ncall,itmax,ninvar,nconfigs
+      call sample_full(ndim,ncall,itmax,dsig,ninvar,nconfigs)
+c
+c     Now write out events to permanent file
+c
+      if (twgt .gt. 0d0) maxwgt=maxwgt/twgt
+      write(lun,'(a,f20.5)') 'Summary', maxwgt
+      
+      call store_events
+
+c      write(*,'(a34,20I7)'),'Color flows originally chosen:   ',
+c     &     (ncolflow(i),i=1,ncols)
+c      write(*,'(a34,20I7)'),'Color flows according to diagram:',
+c     &     (ncolalt(i),i=1,ncols)
+c
+c      call sample_result(xsec,xerr)
+c      write(*,*) 'Final xsec: ',xsec
+
+      rewind(lun)
+
+      close(lun)
+      end
+
+c     $B$ get_user_params $B$ ! tag for MadWeight
+c     change this routine to read the input in a file
+c
+      subroutine get_user_params(ncall,itmax,iconfig)
+c**********************************************************************
+c     Routine to get user specified parameters for run
+c**********************************************************************
+      implicit none
+c
+c     Constants
+c
+      include 'nexternal.inc'
+c
+c     Arguments
+c
+      integer ncall,itmax,iconfig, jconfig
+c
+c     Local
+c
+      integer i, j
+      double precision dconfig
+c
+c     Global
+c
+      integer           isum_hel
+      logical                   multi_channel
+      common/to_matrix/isum_hel, multi_channel
+      double precision    accur
+      common /to_accuracy/accur
+      integer           use_cut
+      common /to_weight/use_cut
+
+      integer        lbw(0:nexternal)  !Use of B.W.
+      common /to_BW/ lbw
+
+c-----
+c  Begin Code
+c-----
+      write(*,'(a)') 'Enter number of events and iterations: '
+      read(*,*) ncall,itmax
+      write(*,*) 'Number of events and iterations ',ncall,itmax
+      write(*,'(a)') 'Enter desired fractional accuracy: '
+      read(*,*) accur
+      write(*,*) 'Desired fractional accuracy: ',accur
+
+      write(*,'(a)') 'Enter 0 for fixed, 2 for adjustable grid: '
+      read(*,*) use_cut
+      if (use_cut .lt. 0 .or. use_cut .gt. 2) then
+         write(*,*) 'Bad choice, using 2',use_cut
+         use_cut = 2
+      endif
+
+      write(*,10) 'Suppress amplitude (0 no, 1 yes)? '
+      read(*,*) i
+      if (i .eq. 1) then
+         multi_channel = .true.
+         write(*,*) 'Using suppressed amplitude.'
+      else
+         multi_channel = .false.
+         write(*,*) 'Using full amplitude.'
+      endif
+
+      write(*,10) 'Exact helicity sum (0 yes, n = number/event)? '
+      read(*,*) i
+      if (i .eq. 0) then
+         isum_hel = 0
+         write(*,*) 'Explicitly summing over helicities'
+      else
+         isum_hel= i
+         write(*,*) 'Summing over',i,' helicities/event'
+      endif
+
+      write(*,10) 'Enter Configuration Number: '
+      read(*,*) dconfig
+      iconfig = int(dconfig)
+      write(*,12) 'Running Configuration Number: ',iconfig
+c
+c     Here I want to set up with B.W. we map and which we don't
+c
+      dconfig = dconfig-iconfig
+      if (dconfig .eq. 0) then
+         write(*,*) 'Not subdividing B.W.'
+         lbw(0)=0
+      else
+         lbw(0)=1
+         jconfig=dconfig*1000.1
+         write(*,*) 'Using dconfig=',jconfig
+         call DeCode(jconfig,lbw(1),3,nexternal)
+         write(*,*) 'BW Setting ', (lbw(j),j=1,nexternal-2)
+c         do i=nexternal-3,0,-1
+c            if (jconfig .ge. 2**i) then
+c               lbw(i+1)=1
+c               jconfig=jconfig-2**i
+c            else
+c               lbw(i+1)=0
+c            endif 
+c            write(*,*) i+1, lbw(i+1)
+c         enddo
+      endif
+ 10   format( a)
+ 12   format( a,i4)
+      end
+c     $E$ get_user_params $E$ ! tag for MadWeight
+c     change this routine to read the input in a file
+c
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+

=== added file 'Template/SubProcesses/epsterms.f'
--- Template/SubProcesses/epsterms.f	1970-01-01 00:00:00 +0000
+++ Template/SubProcesses/epsterms.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,228 @@
+      Subroutine epsii(id1,id2,sik,epssq,eps)
+C  Calculates the 1/eps^2 and 1/eps term 
+C  for initial state emitter and initial state spectator
+      implicit none
+
+      include 'coupl.inc'
+      include 'dipole.inc'
+C  Arguments
+      integer id1,id2
+      real*8 sik,epssq,eps
+
+c  Local
+      REAL*8 cf,ca,pi,L,gsq
+      PARAMETER (cf=4d0/3d0,ca=3d0)
+      PARAMETER (pi=3.1415926d0)
+      INTEGER i
+
+      gsq=GG(1)**2
+      L=dlog(mu**2/sik)
+      epssq=0d0
+      eps=0d0
+
+C  quark-quark splitting (i:quark, ij~: quark)
+      if(id1.eq.1 .and. id2.eq.1) then
+        epssq=gsq/(8d0*pi**2)
+        eps=gsq*(3d0 + 2d0*L)/(16.*pi**2) 
+
+C  quark-gluon splitting (i:quark, ij~: gluon)
+      elseif(id1.eq.1.and.id2.eq.0) then
+       return
+
+C  gluon-quark splitting (i:gluon, ij~: quark)
+      elseif(id1.eq.0.and.id2.eq.1) then
+       return
+
+C  gluon-gluon splitting (i:gluon, ij~: gluon)
+      elseif(id1.eq.0.and.id2.eq.0) then
+        epssq=gsq/(8d0*pi**2)
+        eps=(gsq*((11 + 6*L) - 2*Nf/ca))/(48.*pi**2)
+
+      endif
+      end
+
+
+      Subroutine epsif(id1,id2,sik,mk,epssq,eps)
+C  Calculates the 1/eps^2 and 1/eps term 
+C  for initial state emitter and final state spectator
+      implicit none
+
+      include 'coupl.inc'
+      include 'dipole.inc'
+C  Arguments
+      integer id1,id2
+      real*8 sik,mk,epssq,eps
+
+c  Local
+      REAL*8 cf,ca,pi,L,gsq,musq_k
+      PARAMETER (cf=4d0/3d0,ca=3d0)
+      PARAMETER (pi=3.1415926d0)
+      INTEGER i
+
+      gsq=GG(1)**2
+      L=dlog(mu**2/sik)
+      musq_k=mk**2/sik
+      epssq=0d0
+      eps=0d0
+
+C  quark-quark splitting (i:quark, ij~: quark)
+      if(id1.eq.1.and.id2.eq.1) then
+        epssq=gsq/(8d0*pi**2)
+        eps=(gsq*(3+2*L+2*DLog(1+musq_k)))/(16.*pi**2)
+
+C  quark-gluon splitting (i:quark, ij~: gluon)
+      elseif(id1.eq.1.and.id2.eq.0) then
+       return
+
+C  gluon-quark splitting (i:gluon, ij~: quark)
+      elseif(id1.eq.0.and.id2.eq.1) then
+       return
+
+C  gluon-gluon splitting (i:gluon, ij~: gluon)
+      elseif(id1.eq.0.and.id2.eq.0) then
+        epssq=gsq/(8d0*pi**2)
+        eps=(gsq*((11+6*L)-2*Nf/ca+6*DLog(1+musq_k)))/(48.*pi**2)
+
+      endif
+      end
+
+
+      Subroutine epsfi(id1,id2,sik,mi,epssq,eps)
+C  Calculates the 1/eps^2 and 1/eps term 
+C  for final state emitter and initia; state spectator
+      implicit none
+
+      include 'coupl.inc'
+      include 'dipole.inc'
+C  Arguments
+      integer id1,id2
+      real*8 sik,mi,epssq,eps
+
+c  Local
+      REAL*8 cf,ca,pi,L,gsq,musq_i
+      PARAMETER (cf=4d0/3d0,ca=3d0)
+      PARAMETER (pi=3.1415926d0)
+      INTEGER i
+
+      gsq=GG(1)**2
+      L=dlog(mu**2/sik)
+      musq_i=mi**2/sik
+      epssq=0d0
+      eps=0d0
+
+C  massive quark (ij~:quark)
+      if(id1.eq.1.and.mi.gt.0d0) then
+         eps=gsq*(1+DLog(musq_i/(1+musq_i)))/(8.*pi**2)
+
+C  massless quark( ij~:quark)
+      elseif(id1.eq.1.and.mi.eq.0d0) then
+         epssq= gsq/(8d0*pi**2)
+         eps=gsq*(3 + 2*L)/(16.*pi**2)
+
+C  gluon splitting (ij~: gluon)
+C  1. g-> QQ (i:massive quark )
+      elseif(id1.eq.0.and. mi.gt.0d0 ) then
+         return
+c  2. g-> qq (i:massless quark)
+      elseif(id1.eq.0.and.id2.eq.1.and.mi.eq.0d0) then
+         eps=-gsq/(24.*pi**2)/ca
+
+C  3. g-> gg (i: gluon )
+      elseif(id1.eq.0) then
+         epssq=gsq/(4d0*pi**2)
+         eps=gsq*(11 + 6*L)/(24.*pi**2)
+
+      endif
+      end
+
+
+      Subroutine epsff(mi,mk,sik,id,id1,epssq,eps)
+C  Calculates the 1/eps^2 and 1/eps term 
+C  for final state emitter and initia; state spectator
+      implicit none
+
+      include 'coupl.inc'
+      include 'dipole.inc'
+c Arguments
+      REAL*8 mi,mk,sik,epssq,eps
+      INTEGER id,id1
+c Global
+      REAL*8 ddilog,lambda_tr
+      external ddilog,lambda_tr
+c  Local
+      REAL*8 cf,ca,pi,L,gsq,vik,rho,musq_i,musq_k,Qik,Qik2
+      PARAMETER (cf=4d0/3d0,ca=3d0)
+      PARAMETER (pi=3.1415926d0)
+      INTEGER i
+
+c For the massive case, sik is the Qik^2 from CDST and vice versa.
+
+      musq_i=mi**2/sik
+      musq_k=mk**2/sik
+      Qik2=sik-mi**2-mk**2
+      Qik=Sqrt(Qik2)
+      gsq=GG(1)**2
+      L=DLog(mu**2/sik)
+      vik=Sqrt(lambda_tr(1d0,musq_i,musq_k))/(1d0-musq_i-musq_k)
+      rho=Sqrt((1d0-vik)/(1d0+vik))
+
+      epssq=0d0
+      eps=0d0
+
+C  ij~ massive and massive spectator
+      if(mi.gt.0d0.and.mk.gt.0d0) then
+        eps=(gsq*(1d0 + DLog(rho)/vik))/(8.*pi**2)
+
+C  ij~ massive and massless spectator
+      elseif(mi.gt.0d0.and.mk.eq.0d0) then
+        epssq=gsq/(16d0*pi**2)
+        eps=(gsq*(2 + L + DLog(musq_i/(1 - musq_i)**2)))/(16d0*Pi**2)
+
+C  ij~ massless quark and massive spectator
+      elseif(id.eq.1.and.mi.eq.0d0.and.mk.gt.0d0) then
+        epssq=gsq/(16d0*pi**2)
+        eps=(gsq*(3 + L + DLog(musq_k/(1 - musq_k)**2)))/(16d0*pi**2)
+
+C  ij~ massless quark and massless spectator
+      elseif(id.eq.1.and.mi.eq.0d0.and.mk.eq.0d0) then
+        epssq=gsq/(8d0*pi**2)
+        eps=(gsq*(3 + 2*L))/(16.*pi**2)
+
+C  ij~ gluon and massive spectator
+      elseif(id.eq.0.and.mk.gt.0d0) then
+C  1. g->QQ splitting
+         if(id1.eq.1.and.mi.gt.0d0) then
+            return
+
+C  2. g->qq aplitting
+         elseif(id1.eq.1.and.mi.eq.0d0) then
+            eps=-gsq/(24.*pi**2)/ca
+
+C  3. g->gg splitting
+         elseif(id1.eq.0) then
+            epssq=gsq/(8d0*pi**2)
+            eps=(gsq*(11d0/3d0 + L + DLog(musq_k/(1 - musq_k)**2)))
+     &           /(8.*Pi**2)
+         endif
+      
+C  ij~ gluon and massless spectator
+      elseif(id.eq.0.and.mk.eq.0d0) then
+C  1. g->QQ cplitting
+         if(id1.eq.1.and.mi.gt.0d0) then
+            return
+
+C  2. g->qq aplitting
+         elseif(id.eq.0.and.id1.eq.1.and.mi.eq.0d0) then
+            eps=-gsq/(24.*pi**2)/ca
+
+C  3. g->gg splitting
+         elseif(id1.eq.0) then
+            epssq=gsq/(4d0*pi**2)
+            eps=(gsq*(11+6*L))/(24.*pi**2)
+         endif
+      endif
+      end
+
+
+
+

=== added file 'Template/SubProcesses/finiteterms.f'
--- Template/SubProcesses/finiteterms.f	1970-01-01 00:00:00 +0000
+++ Template/SubProcesses/finiteterms.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,845 @@
+ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
+c FINITE PART OF THE INTEGRATE DIPOLES
+ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
+c Returns fi(8):
+c fi(1), regular piece at z!=1
+c fi(2), delta piece at z=1
+c fi(3), plus distribution at z!=1
+c fi(4), plus distribution at z=1
+c fi(5), mass correction to plus distribution at z!=1
+c fi(6), mass correction to plus distribution at z=1
+c fi(7), delta piece at z=1-4m^2/s
+c fi(8), plus distribution at z!=1-4m^2/s
+c fi(9), plus distribution at z=1-4m^2/s
+ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
+
+
+      SUBROUTINE finiteff(mi,mk,sik,id,id1,fi)
+c  calculates the finite terms when both emitter
+c  and spectator are in the final state
+      implicit none
+
+      include "coupl.inc"
+      include 'dipole.inc'
+c Arguments
+      REAL*8 mi,mk,sik,fi(9)
+      INTEGER id,id1,i
+c Global
+      REAL*8 ddilog,lambda_tr
+      external ddilog,lambda_tr
+c Local
+      REAl*8 cf,ca,rhoi,rhok,rho,musq_i,musq_k,gsq,pi
+      REAL*8 xp,yp,vik,muk,rho1,rho2,L,yl,rs,Qik2,a,b,c,d,xm,x,mui
+      PARAMETER (cf=4d0/3d0,ca=3d0)
+      PARAMETER (pi=3.1415926535897932385d0)
+      complex*16 test
+
+      do i=1,9
+         fi(i)=0d0
+      enddo
+
+c For the massive cases, sik is the Qik^2 from CDST and vice versa.
+
+      musq_i=mi**2/sik
+      musq_k=mk**2/sik
+      muk=Sqrt(musq_k)
+      mui=Sqrt(musq_i)
+      Qik2=sik-mi**2-mk**2
+      gsq=GG(1)**2
+      L=DLog(mu**2/sik)
+
+C  ij~ massive and massive spectator
+      if(mi.gt.0d0 .and. mk .gt. 0d0.and.id.eq.1) then
+         rs=0d0
+         vik=Sqrt(lambda_tr(1d0,musq_i,musq_k))/(1d0-musq_i-musq_k)
+         rhoi=Sqrt((1d0-vik+2d0*musq_i/(1d0-musq_i-musq_k))/
+     &        (1d0+vik+2d0*musq_i/(1d0-musq_i-musq_k)))
+         rhok=Sqrt((1d0-vik+2d0*musq_k/(1d0-musq_i-musq_k))/
+     &        (1d0+vik+2d0*musq_k/(1d0-musq_i-musq_k)))
+         rho=Sqrt((1d0-vik)/(1d0+vik))
+         fi(2)=(gsq*(6 + 2*L + 2*rs + 
+     &        2*mk*((4*mk - 2*Sqrt(sik))/Qik2 + 1/(mk - Sqrt(sik))) - 
+     &        (2*Pi**2)/(3.*vik) - 4*Log(-mi**2 + (mk - Sqrt(sik))**2) + 
+     &        2*Log(mi - (mi*mk)/Sqrt(sik)) - 
+     &        (4*mi**2*Log(mi/(-mk + Sqrt(sik))))/Qik2 + 3*Log(sik) - 
+     &        (-4*Log(rho**2)*Log(1 + rho**2) + Log(rhoi**2)**2 + 
+     &        Log(rhok**2)**2 -
+     &        4*Log(rho)*(L + 2*Log(sik/Qik2)))/(2.*vik) - 
+     &        (2*(-2*ddilog(rho**2) + ddilog(1 - rhoi**2) + 
+     &        ddilog(1 - rhok**2)))/vik))/(16.*Pi**2)
+
+C adding alpha dependent terms
+         if(alpha_ff.ne.1d0) then
+            a=(2*muk)/(1 - musq_i - musq_k)
+            b=(2*(1 - muk))/(1 - musq_i - musq_k)
+            c=(2*(1 - muk)*muk)/(1 - musq_i - musq_k)
+            d=(1 - musq_i - musq_k)/2.
+            xp=(-musq_i + (1 - muk)**2 +
+     &           Sqrt(lambda_tr(1d0,musq_i,musq_k)))/(1-musq_i-musq_k)
+            xm=(-musq_i + (1 - muk)**2 -
+     &           Sqrt(lambda_tr(1d0,musq_i,musq_k)))/(1-musq_i-musq_k)
+            yp=1 - (2*(1 - muk)*muk)/(1 - musq_i - musq_k)
+            x=yp - alpha_ff*yp + Sqrt(((4*musq_i*musq_k)/
+     &           ((musq_i - (1 - muk)**2)*(1 - musq_i - musq_k)) +
+     &           1/yp - alpha_ff*yp)*(yp - alpha_ff*yp))
+            fi(2)=fi(2)+gsq*(1/(1- muk)-(2*(2-2*musq_i-muk))/
+     &           (1-musq_i-musq_k)+(3*(1+alpha_ff*yp))/2. + 
+     &           (musq_i*(1 - alpha_ff*yp))/(2.*(musq_i +
+     &           alpha_ff*(1 - musq_i - musq_k)*yp)) - 
+     &           2*DLog((alpha_ff*(1 - musq_i - musq_k)*yp)/
+     &           (-musq_i + (1 - muk)**2)) + 
+     &           ((1 + musq_i - musq_k)*
+     &           DLog((musq_i + alpha_ff*(1 - musq_i - musq_k)*yp)
+     &           /(1 - muk)**2))/(2.*(1 - musq_i - musq_k)) + 
+     &           (2*(-(DLog(b)*DLog((a*(-b + xm))/((a + b)*xm))) +
+     &           DLog(b - x)*DLog(((a + x)*(-b + xm))/
+     &           ((a + b)*(-x + xm))) + 
+     &           DLog((c + xm)/(a + xm))*DLog((-x + xm)/xm) +
+     &           DLog(a*(b - xp))*DLog(xp) + 
+     &           (DLog((a + x)/a)*DLog(a*(a + x)*(a + xp)**2))/2. -
+     &           DLog(c)*DLog(((a - c)*xp)/(a*(c + xp))) + 
+     &           DLog(d)*DLog(((a + x)*xm*xp)/(a*(-x + xm)*(-x + xp))) -
+     &           DLog((a + x)*(b - xp))*DLog(-x + xp) + 
+     &           DLog(c + x)*DLog(((a-c)*(-x + xp))/((a + x)*(c + xp)))-
+     &           ddilog(b/(a + b)) + ddilog(c/(-a + c)) + 
+     &           ddilog((b - x)/(a + b)) - ddilog((c + x)/(-a + c)) +
+     &           ddilog(b/(b - xm)) - ddilog((b - x)/(b - xm)) -
+     &           ddilog(xm/(a + xm)) + ddilog(xm/(c + xm)) +
+     &           ddilog((-x + xm)/(a+xm)) - ddilog((-x + xm)/(c + xm))+
+     &           ddilog(a/(a + xp)) - ddilog((a + x)/(a + xp)) -
+     &           ddilog(xp/(-b + xp)) - ddilog(c/(c + xp)) +
+     &           ddilog((c + x)/(c + xp)) +
+     &           ddilog((-x + xp)/(-b + xp))))/vik)/(8.*Pi**2)
+
+         endif
+
+C ij~ massive and massless spectator
+      elseif(mi.gt.0d0.and.mk.eq.0d0.and.id.eq.1) then
+         rs=0d0
+         fi(2)= (gsq*(72d0 + 6d0*L*(4d0 + L) - 11d0*Pi**2 + 24d0*rs + 
+     &        (24d0*musq_i*DLog(musq_i))/(-1d0 + musq_i) + 
+     &        6d0*(4d0*DLog(1 - musq_i)**2 + 
+     &        (2d0 + 2d0*L - Log(musq_i))*DLog(musq_i) - 
+     &        4d0*DLog(1d0 - musq_i)*(2d0 + L + DLog(musq_i))) - 
+     &        24d0*ddilog(1d0 - musq_i)))/(192d0*Pi**2)
+
+C adding alpha dependent terms
+         if(alpha_ff.ne.1d0) then
+            fi(2)=fi(2)+(gsq*(-2*DLog(alpha_ff) + 
+     &           (2*DLog(alpha_ff+(1-alpha_ff)*musq_i))/(1-musq_i) + 
+     &           (-2 + 3*alpha_ff-alpha_ff/(alpha_ff+(1-alpha_ff)*musq_i) - 
+     &           ((3 - musq_i)*DLog(alpha_ff+(1-alpha_ff)*musq_i))/
+     &           (1 - musq_i))/2. +2*(-(DLog(alpha_ff)*DLog(musq_i))- 
+     &           ddilog((-1+ musq_i)/musq_i) + 
+     &           ddilog((alpha_ff*(-1 + musq_i))/musq_i))))/(8.*pi**2)
+         endif
+
+C ij~ massless quark and massive spectator
+      elseif(mi.eq.0d0 .and. mk.gt.0d0 .and. id.eq.1) then
+         if(scheme .eq. 'HV') then
+            rs=0d0
+         elseif(scheme .eq. 'DR') then
+            rs=-1d0/2d0
+         endif
+         fi(2)= (gsq*((36*L*(1 + muk) + 
+     &        6*L**2*(1 + muk) - 11*Pi**2 + 
+     &        24*(5 + rs) + muk*(-11*Pi**2 + 24*(2 + rs)) - 
+     &        36*(1 + muk)*Log((-1 + muk)**2) - 6*(1 + muk)*
+     &        (-4*Log(1 - musq_k)**2 + Log(musq_k)*(-2*L + Log(musq_k))+ 
+     &        4*Log(1 - musq_k)*(L + Log(musq_k))))/(1 + muk) 
+     &        - 24*ddilog(1 - musq_k)))/
+     &        (192.*Pi**2)
+
+C adding alpha dependent terms
+         if(alpha_ff.ne.1d0) then
+            yp=(1d0-musq_k)/(1d0+musq_k)
+            xp=yp*(1d0-alpha_ff)+
+     &           Sqrt((1d0-alpha_ff)*(1d0-alpha_ff*yp**2))
+            fi(2)=fi(2)+(gsq*((-3*((1-alpha_ff)*yp+DLog(alpha_ff)))/2. + 
+     &           2*(-DLog((1-xp+yp)/(1+yp))**2+DLog((1+2*xp*yp-yp**2)/
+     &           ((1 + xp - yp)*(1 - xp + yp)))**2/2. + 
+     &           2*(DLog((1+xp-yp)/(1-yp))*DLog((1+yp)/2.) + 
+     &           DLog((1+yp)/(2.*yp))*DLog((1+2*xp*yp-yp**2)/(1-yp**2))- 
+     &           ddilog((1-yp)/2.) +ddilog((1 + xp - yp)/2.) + 
+     &           ddilog((1 - yp)/(1 + yp)) - 
+     &           ddilog((1+2*xp*yp-yp**2)/(1+yp)**2)))
+     &           ))/(8.*pi**2)
+         endif
+
+
+C ij~ massless quark and massless spectator
+      elseif(mi.eq.0d0 .and. mk.eq.0d0 .and. id.eq.1) then
+         if(scheme .eq. 'HV') then
+            rs=0d0
+         elseif(scheme .eq. 'DR') then
+            rs=-1d0/2d0
+         endif
+         fi(2)=(gsq*(6*L*(3+L)-7*pi**2+12*(5+rs)))/(96.*pi**2)
+         
+C     adding alpha dependent terms
+         if (alpha_ff.ne.1d0) then
+            fi(2)=fi(2)+((gsq*((3*(-1 + alpha_ff - DLog(alpha_ff)))/2.
+     &           - DLog(alpha_ff)**2))/(8.*pi**2))
+         endif
+
+
+C ij~ gluon and massive spectator
+      elseif(mk.gt.0d0.and. id.eq.0) then
+         if(scheme .eq. 'HV') then
+            rs=0d0
+         elseif(scheme .eq. 'DR') then
+            rs=-1d0/6d0
+         endif
+C  1. g->QQ splitting
+       if(id1.eq.1.and.mi.gt.0d0) then
+          fi(2)=(gsq*((2*(1 - (4*musq_i)/(-1 + muk)**2)**1.5*muk)/
+     &         (1 + muk) + (8*Sqrt(1 - (4*musq_i)/(-1 + muk)**2)*
+     &         (1 + mui - muk)*(-1 + mui + muk))/(3.*(-1 + muk)**2)
+     &         - 2*DLog(mui) + 2*DLog((1 +
+     &         Sqrt(1 - (4*musq_i)/(-1 + muk)**2))/2.)+2*DLog(1 - muk)- 
+     &         (2*musq_k*((8*musq_i*Sqrt(1 - (4*musq_i)/(-1 + muk)**2))/
+     &         (-1 + musq_k)-DLog((1-Sqrt(1-(4*musq_i)/(-1 + muk)**2))/
+     &         (1 + Sqrt(1 - (4*musq_i)/(-1 + muk)**2))) + 
+     &         ((-1 + 4*musq_i + musq_k)/(-1 + musq_k))**1.5*
+     &         DLog((-Sqrt(1 - (4*musq_i)/(-1 + muk)**2) +
+     &         Sqrt((-1 + 4*musq_i + musq_k)/(-1 + musq_k)))/
+     &         (Sqrt(1 - (4*musq_i)/(-1 + muk)**2) +
+     &         Sqrt((-1 + 4*musq_i + musq_k)/(-1 + musq_k))))))
+     &         /(1 - musq_k)))/(24.*Pi**2)/ca
+
+
+C adding alpha dependent terms
+          if(alpha_ff.ne.1d0) then
+           a=1.-musq_k
+           c=-1.+2*musq_i+musq_k
+           yp=1.-2*muk*(1.-muk)/(1.-2*musq_i-musq_k)
+           b=sqrt(c**2*yp**2-4.*musq_i**2)
+           d=sqrt(alpha_ff*c**2*yp**2-4.*musq_i**2)
+           fi(2)=fi(2)-gsq*((c*Sqrt(-c + 2*musq_i)*(4*(b - d)*musq_i**2 
+     &          + c**2*yp*(-2*alpha_ff*b-d*(-2+yp) + alpha_ff**2*b*yp)+ 
+     &          4*c*musq_i*(d - d*yp + b*(-1 + alpha_ff*yp))) - 
+     &          2*b*d*Sqrt(-c + 2*musq_i)*
+     &          (c**2 - 2*(1 + c)*musq_i + 4*musq_i**2)
+     &          *DATAN((2*musq_i)/Sqrt(-4*musq_i**2 + c**2*yp**2)) + 
+     &          2*b*d*Sqrt(-c + 2*musq_i)*
+     &          (c**2 - 2*(1 + c)*musq_i + 4*musq_i**2)
+     &          *DATAN((2*musq_i)/
+     &          Sqrt(-4*musq_i**2 + alpha_ff**2*c**2*yp**2)) + 
+     &          b*d*(2*a*(c + c**2 + 2*musq_i - 4*musq_i**2)*
+     &          DLog(-((-c - 2*musq_i)**2.5
+     &          *(1 + c - 2*musq_i)*(-1 + yp))) - 
+     &          2*a*(c + c**2 + 2*musq_i - 4*musq_i**2)*
+     &          DLog((-c - 2*musq_i)**2.5
+     &          *(1 + c - 2*musq_i)*(1 - alpha_ff*yp)) + 
+     &          2*c*Sqrt(-c + 2*musq_i)*DLog(-2*(b + c*yp)) 
+     &          + 3*c**2*Sqrt(-c + 2*musq_i)*DLog(-2*(b + c*yp)) - 
+     &          4*c*musq_i*Sqrt(-c + 2*musq_i)*DLog(-2*(b + c*yp)) 
+     &          - 2*c*Sqrt(-c + 2*musq_i)*Log(-2*(d + alpha_ff*c*yp)) - 
+     &          3*c**2*Sqrt(-c + 2*musq_i)*DLog(-2*(d + alpha_ff*c*yp)) 
+     &          + 4*c*musq_i*Sqrt(-c + 2*musq_i)*
+     &          DLog(-2*(d + alpha_ff*c*yp)) - 
+     &          2*a*c*DLog(-4*musq_i**2 - b*Sqrt(c**2 - 4*musq_i**2) +
+     &          c**2*yp) - 2*a*c**2*DLog(-4*musq_i**2 -
+     &          b*Sqrt(c**2 - 4*musq_i**2) + c**2*yp) - 
+     &          4*a*musq_i*DLog(-4*musq_i**2 - b*Sqrt(c**2 - 4*musq_i**2)
+     &          + c**2*yp) + 8*a*musq_i**2*DLog(-4*musq_i**2 -
+     &          b*Sqrt(c**2 - 4*musq_i**2) + c**2*yp) + 
+     &          2*a*c*DLog(-4*musq_i**2 - d*Sqrt(c**2 - 4*musq_i**2) +
+     &          alpha_ff*c**2*yp) + 2*a*c**2*Log(-4*musq_i**2 -
+     &          d*Sqrt(c**2 - 4*musq_i**2) + alpha_ff*c**2*yp) + 
+     &          4*a*musq_i*DLog(-4*musq_i**2 - d*Sqrt(c**2 - 4*musq_i**2)
+     &          + alpha_ff*c**2*yp) - 8*a*musq_i**2*DLog(-4*musq_i**2 -
+     &          d*Sqrt(c**2 - 4*musq_i**2) + alpha_ff*c**2*yp)))/
+     &          (3.*c*(-c+2*musq_i)**1.5*Sqrt(-4*musq_i**2 + c**2*yp**2)
+     &          *Sqrt(-4*musq_i**2+alpha_ff**2*c**2*yp**2)))/
+     &          (8.*Pi**2)/ca
+
+
+          endif
+
+C  2. g->qq splitting
+       elseif(id1.eq.1.and. mi.eq.0d0) then
+          fi(2)=(gsq*((-1 + muk)*(-6*L*(1 + muk) - 4*(4 + muk)
+c$$$     &         + 9*(1 + muk)*rs) + 12*(-1 + muk**2)*DLog(1 - muk) + 
+c     RF No scheme dependence here. All in the g -> gg.
+     &         ) + 12*(-1 + musq_k)*DLog(1 - muk) + 
+     &         12*musq_k*DLog((2*muk)/(1 + muk))))/
+     &         (144.*(-1 + musq_k)*pi**2)/ca
+C     adding alpha dependent terms
+          if(alpha_ff.ne.1d0) then
+             fi(2)=fi(2)-(gsq*(-((-1 + alpha_ff)*(-1 + muk)**2) + 
+     &            DLog(alpha_ff) + musq_k*(DLog(4d0) + DLog(1/alpha_ff)
+     &            + 2*DLog(muk) - 2*DLog(1 + muk) - 
+     &            2*DLog(1+alpha_ff-(2*alpha_ff)/(1+muk))))/
+     &            (3.*(-1+musq_k)))/(8.*pi**2)/ca
+          endif
+
+C  3. g->gg splitting
+       elseif(id1.eq.0) then
+          fi(2)=(gsq*((200 + 66*L + 9*L**2-(132*muk)/(1 + muk)-15*Pi**2
+     &         - 132*DLog(1 - muk) - (24*musq_k*DLog((2*muk)/(1 +
+     &         muk)))/(-1 + musq_k) +66*DLog(1 - musq_k) + 9*(4*(L -
+     &         DLog(muk))*DLog(muk) - 2*(L + 2*DLog(muk))*DLog(1 -
+     &         musq_k) + DLog(1 - musq_k)**2) - 36*ddilog(1 - musq_k)))
+     &         /18d0)/(8.*pi**2)
+
+C     adding alpha dependent terms
+          if (alpha_ff.ne.1d0) then
+             yl=1d0 + alpha_ff*(-1 + muk)**2 - musq_k - 
+     &            Sqrt(abs((-1+muk)**2*(alpha_ff**2*(-1+muk)**2+
+     &            (1+muk)**2-2*alpha_ff*(1+musq_k))))
+             fi(2)=fi(2)-(gsq*((11*(-2+2*muk+yl)**2)/
+     &            ((-1+musq_k)*(-2+yl))
+     &            -44*Log(2-2*muk) - 22*Log(muk) + 24*Log(2/(1 + muk))*
+     &            (Log(2/(1 + muk)) + 2*Log(1 + muk)) +
+     &            (2*((-11 + 15*musq_k)*Log(2*muk) + 
+     &            4*musq_k*(-Log(-8*(-1+muk)*musq_k)+
+     &            Log((-2 + yl)**2+4*musq_k*(-1 + yl))) + 
+     &            (11 - 15*musq_k)*Log(2 - yl)))/(-1 + musq_k) + 
+     &            22*Log(2 - 2*musq_k - yl) + 
+     &            22*Log(yl)-12*(4*Log(1-yl/2.)*Log(-(yl/(-1+musq_k)))-
+     &            Log(-(yl/(-1+musq_k)))**2 + 
+     &            Log((-2*(-2 + 2*musq_k + yl))/
+     &            ((-1 + musq_k)*(-2 + yl)))**2 + 
+     &            2*Log(-(yl/(-1+musq_k)))*(
+     &            Log((-2*(-2+2*musq_k+yl))/((-1+musq_k)*(-2+yl))) - 
+     &            2*Log(1 + yl/(-2 + 2*musq_k)))) + 48*ddilog(1 - muk) -
+     &            48*ddilog(1/(1 + muk)) - 
+     &            48*ddilog(yl/2.) + 48*ddilog(yl/(2 - 2*musq_k))))/
+     &            (48.*pi**2)
+          endif
+       endif
+
+C ij~ gluon and massless spectator
+      elseif(mk.eq.0d0.and.id.eq.0) then
+         if(scheme .eq. 'HV') then
+            rs=0d0
+         elseif(scheme .eq. 'DR') then
+            rs=-1d0/6d0
+         endif
+C     1. g->QQ splitting
+         if(id1.eq.1.and.mi.gt.0d0) then
+            fi(2)=(gsq*(-16*Sqrt(1-4*musq_i)+16*musq_i*Sqrt(1-4*musq_i)+
+c$$$     &           9*rs-12*DLog(Sqrt(musq_i))+ 
+c     RF No scheme dependence here. All in the g -> gg.
+     &           12*DLog(Sqrt(musq_i))+ 
+     &           12*DLog((1 + Sqrt(1 - 4*musq_i))/2.)))/(144.*pi**2)/ca
+C adding alpha dependent terms
+            if (alpha_ff.ne.1d0) then
+               fi(2)=fi(2)-(gsq*(Sqrt(1-4*musq_i)+
+     &              Sqrt(-4*musq_i**2+alpha_ff**2*(1-2*musq_i)**2) + 
+     &              (2*Sqrt(-4*musq_i**2+alpha_ff**2*(1-2*musq_i)**2))/
+     &              (-alpha_ff+2*(-1+alpha_ff)*musq_i) + 
+     &              (-1 + 2*musq_i)*(-2*DATAN((2*musq_i)/
+     &              Sqrt(1 - 4*musq_i)) + 
+     &              2*DATan((2*musq_i)/
+     &              Sqrt(-4*musq_i**2 + alpha_ff**2*(1 - 2*musq_i)**2))+ 
+     &              DLog(-2*(-1 + 2*musq_i + Sqrt(1 - 4*musq_i))) - 
+     &              DLog(-2*(alpha_ff*(-1+2*musq_i)+
+     &              Sqrt(-4*musq_i**2+alpha_ff**2*(1-2*musq_i)**2))))))/
+     &              (24.*pi**2)/ca
+            endif
+C  2. g->qq splitting
+         elseif(id1.eq.1.and. mi.eq.0d0) then
+c$$$            fi(2)=-(gsq*(8 + 3*L - 9*rs*ca))/(144.*pi**2)/ca
+c     RF No scheme dependence here. All in the g -> gg.
+            fi(2)=-(gsq*(8 + 3*L))/(144.*pi**2)/ca
+
+C adding alpha dependent terms
+            if (alpha_ff.ne.1d0) then
+               fi(2)=fi(2)-(gsq*(-1 + alpha_ff - DLog(alpha_ff)))/
+     &              (24.*pi**2)/ca
+            endif
+
+C  3. g->gg splitting
+         elseif(id1.eq.0) then
+            fi(2)=(gsq*((200+6*L*(11+3*L)-21*pi**2)+36*rs))/(144.*pi**2)
+
+C adding alpha dependent terms
+            if (alpha_ff.ne.1d0) then
+               fi(2)=fi(2)-(gsq*(11-11*alpha_ff+11*DLog(alpha_ff)+
+     &              6*DLog(alpha_ff)**2))/(24.*pi**2)
+            endif
+         endif
+      endif
+
+      end
+
+
+      SUBROUTINE finitefi(mi,sik,sikzone,x,id1,id2,fi)
+c  calculates the finite terms when emitter is in
+c  final state and spectator is in initial state
+      implicit none
+
+      include "coupl.inc"
+      include 'dipole.inc'
+c Arguments
+      REAL*8 mi,qsq,sik,x,fi(9),sikzone
+      INTEGER id1,id2
+c Global
+      REAL*8 ddilog
+      external ddilog
+c Local
+      INTEGER i
+      REAl*8 cf,ca,rhoi,rhok,rho,musq_i,gsq,pi
+      REAL*8 L,L_one,rs,musq_i_one
+      PARAMETER (cf=4d0/3d0,ca=3d0)
+      PARAMETER (pi=3.1415926535897932385d0)
+
+      musq_i=mi**2/sik
+      musq_i_one=mi**2/sikzone
+      gsq=GG(1)**2
+      L_one=DLog(mu**2/sikzone)
+
+      do i=1,9
+         fi(i)=0d0
+      enddo
+
+C  massive quark (ij~: quark)
+      if(mi .gt. 0d0 .and. id1.eq.1) then
+         rs=0d0
+         fi(2)=(gsq*((1d0+DLOG(musq_i_one/(musq_i_one+1d0)))*L_one
+     &        -2d0*ddilog(-musq_i_one)-pi**2/3d0+2d0+
+     &        DLOG(musq_i_one)**2/2d0+DLOG(1+musq_i_one)**2/2d0-
+     &        2d0*DLOG(musq_i_one)*DLOG(1+musq_i_one)+DLOG(musq_i_one)))
+     &        /(8.*pi**2)
+
+c adding the alpha dependent term
+         if(alpha_fi.ne.1d0) then
+            fi(2)=fi(2)+gsq/(8.*pi**2)*2.*DLog(alpha_fi)*
+     &           (DLog((1d0+musq_i_one)/(musq_i_one))-1d0)
+         endif
+         if(x.gt.(1d0-alpha_fi)) then
+            fi(1)=gsq/(8.*pi**2)*((1.-x)/(2.*(1-x+musq_i)**2)+2./
+     &           (1-x)*DLog(((2.-x+musq_i)*musq_i_one)
+     &           /((1.+musq_i_one)*(1-x+musq_i))))
+            fi(3)=gsq/(8.*pi**2)*2./(1-x)*
+     &           (DLOG((1+musq_i_one)/(musq_i_one))-1d0)
+            fi(4)=fi(3)
+         endif
+
+C  massless quark (ij~: quark)
+      elseif(mi.eq.0d0 .and. id1.eq.1) then
+         if(scheme .eq. 'HV') then
+            rs=0d0
+         elseif(scheme .eq. 'DR') then
+            rs=-1d0/2d0
+         endif
+         fi(2)=(gsq*(6*(7+L_one*(3+L_one))-7*pi**2+12*rs))/(96.*pi**2)
+c     adding the alpha dependent term
+         if (alpha_fi.ne.1d0) then
+            fi(2)=fi(2)+gsq/(8.*pi**2)*(-3./2.*Dlog(alpha_fi)-
+     &           Dlog(alpha_fi)**2)
+         endif
+         if(x.gt.(1d0-alpha_fi)) then
+            fi(1)=gsq/(4d0*pi**2*(1-x))*DLog(2d0-x)
+            fi(3)=-(gsq*(3/(1-x)+(4*DLog(1-x))/(1-x)))/(16.*pi**2)
+            fi(4)=fi(3)
+         endif
+
+C  gluon (ij~: gluon)
+      elseif(id1.eq.0) then
+         if(scheme .eq. 'HV') then
+            rs=0d0
+         elseif(scheme .eq. 'DR') then
+            rs=-1d0/6d0
+         endif
+C  1. g-> QQ (i:massive quark )
+         if(id2.eq.1.and.mi.gt.0d0) then
+            fi(7)=-(gsq*(5*Sqrt(1-4*musq_i_one)+
+     &           4*musq_i_one*Sqrt(1-4*musq_i_one)+DLog(64d0) + 
+     &           3*DLog(musq_i_one) -
+     &           6*DLog(1+Sqrt(1-4*musq_i_one))))/(72.*pi**2)/ca
+c adding the alpha dependent term
+            if (alpha_fi.ne.1d0) then
+               fi(7)=fi(7)+(gsq*((5 - 16*musq_i_one**2 -
+     &              5*Sqrt(((1 - 4*musq_i_one)*
+     &              (alpha_fi - 4*musq_i_one))/alpha_fi) - 
+     &              4*musq_i_one*(4 + Sqrt(((1 - 4*musq_i_one)*
+     &              (alpha_fi - 4*musq_i_one))/
+     &              alpha_fi**3)))/Sqrt(1 - 4*musq_i_one)-
+     &              6*DLog(1+Sqrt(1-4*musq_i_one)) + 
+     &              6*DLog(Sqrt(alpha_fi)+
+     &              Sqrt(alpha_fi-4*musq_i_one))))/(72.*pi**2)/ca
+            endif
+            if(x.lt.1d0-4d0*musq_i)then
+               if(x.gt.(1d0-alpha_fi)) then
+                  fi(8)=(gsq*Sqrt(1+(4*musq_i)/(-1 +x))*
+     &                 (1 + 2*musq_i - x))/(24.*pi**2*(-1 + x)**2)/ca
+                  fi(9)=fi(8)
+               endif
+            endif
+
+c  2. g-> qq (i:massless quark)
+         elseif(id2.eq.1.and.mi.eq.0d0) then
+c     RF No scheme dependence here. All in the g -> gg.
+            fi(2)=-(gsq*(10 + 6*L_one))/(144.*pi**2)/ca
+c     adding the alpha dependent term
+            if(alpha_fi.ne.1d0) then
+               fi(2)=fi(2)+gsq/(8d0*pi**2)*DLog(alpha_fi)/3./ca
+            endif
+            if(x.gt.(1d0-alpha_fi)) then
+               fi(3)=gsq/(24.*pi**2*(1 - x))/ca
+               fi(4)=fi(3)
+            endif
+
+C  3. g-> gg (i: gluon )
+         elseif(id2.eq.0) then
+            fi(2)=(gsq*(134 + 6*L_one*(11 + 3*L_one) -
+     &           21*pi**2 + 36*rs))/(144.*pi**2)
+c adding the alpha dependent term
+            if (alpha_fi.ne.1d0) then
+               fi(2)=fi(2)+gsq/(8.*pi**2)*
+     &              (-2d0*DLOG(alpha_fi)**2-11d0/3d0*DLOG(alpha_fi))
+            endif
+            if(x.gt.(1d0-alpha_fi)) then
+               fi(1)=-(gsq*DLog(2 - x))/(2.*pi**2*(-1 + x))
+               fi(3)=(gsq*(-11/(1-x)+(12*DLog(1-x))/(-1+x)))/(24.*pi**2)
+               fi(4)=fi(3)
+            endif
+         endif
+      endif
+
+      end
+
+
+      SUBROUTINE finiteif(mk,sik,sikzone,x,id1,id2,fi)
+c  calculates the finite terms when the emitter is
+c  in the initial state and the spectator is in the
+c  final state.
+      implicit none
+      include "coupl.inc"
+      include "dipole.inc"
+
+c Arguments
+      REAL*8 mk,sik,sikzone,x,fi(9)
+      INTEGER id1,id2
+c Global
+      REAL*8 ddilog
+      external ddilog
+c Local
+      INTEGER i
+      REAl*8 cf,ca,pi,gsq
+      REAL*8 zp,musq_k,L,L_one,rs,musq_k_one
+      PARAMETER (cf=4d0/3d0,ca=3d0)
+      PARAMETER (pi=3.1415926535897932385d0)
+
+      gsq=GG(1)**2
+      musq_k=mk**2/sik
+      musq_k_one=mk**2/sikzone
+      zp=(1d0-x)/(1d0-x+musq_k)
+      L=DLog(mu**2/sik)
+      L_one=DLog(mu**2/sikzone)
+
+      do i=1,9
+         fi(i)=0d0
+      enddo
+      
+c quark-quark splitting
+      if(id1 .eq.1.and.id2.eq.1) then
+         if(scheme .eq. 'HV') then
+            rs=0d0
+         elseif(scheme .eq. 'DR') then
+            rs=-1d0/2d0
+         endif
+         fi(2)=(gsq*(2*L_one**2-pi**2+4*rs+6*DLog(mu**2/muf**2) + 
+     &        2*DLog(1 + musq_k_one)*(2*L_one + DLog(1 + musq_k_one)) + 
+     &        8*ddilog(1/(1 + musq_k_one))))/(32.*pi**2)
+         fi(1)=-(gsq*(-((-1 + x**2)*(L - DLog(mu**2/muf**2)))+ 
+     &        (-1+x**2)*DLog(1 - x) - 2*DLog(2 - x) + 
+     &        (-1+x)*(-1 + x +(1+x)*DLog((-1+x)/(-1-musq_k+x)))))/
+     &        (8.*pi**2*(-1 + x))
+         fi(3)=(gsq*(L-DLog(mu**2/muf**2)-2*DLog(1 - x)))/
+     &        (4.*pi**2*(-1 + x))
+         fi(4)=(gsq*(L_one-DLog(mu**2/muf**2)-2*DLog(1 - x)))/
+     &        (4.*pi**2*(-1 + x))
+         if (mk.ne.0d0) then
+            fi(5)=gsq/(4d0*pi**2)*Dlog((2d0-x)/(2d0-x+musq_k))/(1d0-x)
+            fi(6)=gsq/(4d0*pi**2)*Dlog(1d0/(1d0+musq_k_one))/(1d0-x)
+         endif
+c adding the alpha dependent term
+         if(zp.gt.alpha_if) then
+            fi(1)=fi(1)-(gsq*(-((1+x)*DLog(zp/alpha_if)) + 
+     &           (2*DLog(((1+alpha_if-x)*zp)/(alpha_if*(1-x+zp))))/
+     &           (1 - x)))/(8.*pi**2)
+         endif
+
+c quark-gluon splitting (i:quark, ij~: gluon)
+      elseif(id1.eq.1.and.id2.eq.0 ) then
+         fi(1)=(cf*gsq*(x**2 - L*(2 + (-2 + x)*x) + 
+     &        (2 + (-2 + x)*x)*DLog(mu**2/muf**2) + 
+     &        (2 + (-2 + x)*x)*DLog(1 - x) + 
+     &        (2 + (-2 + x)*x)*DLog((-1 + x)/(-1 - musq_k + x))))/
+     &        (8.*pi**2*x)/ca
+c adding the alpha dependent term
+         if(zp.gt.alpha_if) then
+            if(musq_k.gt.0d0) then
+               fi(1)=fi(1)-
+     &              (cf*gsq*((2*musq_k*DLog((1 - zp)/(1 - alpha_if)))/x 
+     &              + ((1 + (1 - x)**2)*DLog(zp/alpha_if))/x))/
+     &              (8.*pi**2)/ca
+            elseif(musq_k.eq.0d0) then
+               fi(1)=fi(1)-(cf*gsq*(2-2*x+x**2)*
+     &              DLog(zp/alpha_if))/(8.*pi**2*x)/ca
+            endif
+         endif
+
+c gluon-quark splitting (i:gluon, ij~: quark)
+      elseif(id1.eq.0.and.id2.eq.1) then
+         fi(1)=(gsq*(-L + 2*(1 + L)*x - 2*(1 + L)*x**2 + 
+     &        (1 + 2*(-1 + x)*x)*DLog(mu**2/muf**2) + 
+     &        (1 + 2*(-1 + x)*x)*DLog(1 - x) + 
+     &        (1 + 2*(-1 + x)*x)*DLog((-1 + x)/(-1 - musq_k + x))))
+     &        /(16.*pi**2)/cf
+c adding the alpha dependent term
+         if(zp.gt.alpha_if) then
+            fi(1)=fi(1)-(gsq*((1-x)**2+x**2)*
+     &           DLog(zp/alpha_if))/(16.*pi**2)/cf
+         endif
+
+c gluon-gluon splitting (i:gluon, ij~:gluon)
+      elseif(id1.eq.0.and.id2.eq.0) then
+         if(scheme .eq. 'HV') then
+            rs=0d0
+         elseif(scheme .eq. 'DR') then
+            rs=-1d0/6d0
+         endif
+         if(musq_k.gt.0d0) then
+            fi(2)=(gsq*(6*L_one**2 - 3*pi**2 + 12*rs 
+     &           + (22 - 4*Nf/ca)*DLog(mu**2/muf**2) + 
+     &           6*DLog(1 + musq_k_one)*(2*L_one + Log(1 + musq_k_one)) 
+     &           + 24*ddilog(1/(1 + musq_k_one))))/(96.*pi**2)
+            fi(1)=(gsq*(L - 3*L*x + 3*L*x**2 - 2*L*x**3 + L*x**4 - 
+     &           (-1 + x)*(-1 + x*(2 + (-1 + x)*x))*DLog(mu**2/muf**2) - 
+     &           (-1 + x)*(-1 + x*(2 + (-1 + x)*x))*DLog(1 - x) 
+     &           + x*DLog(2 - x) - musq_k*DLog(musq_k/(1 + musq_k - x))
+     &           + musq_k*x*DLog(musq_k/(1 + musq_k - x)) - 
+     &           (-1 + x)*(-1 + x*(2 + (-1 + x)*x))*Log((-1 + x)/
+     &           (-1 - musq_k + x))))/(4.*pi**2*(-1 + x)*x)
+            fi(4)=(gsq*(L_one - DLog(mu**2/muf**2) - 2*DLog(1 - x)))/
+     &           (4.*pi**2*(-1 + x))
+            fi(3)=(gsq*(L - DLog(mu**2/muf**2) - 2*DLog(1 - x)))/
+     &           (4.*pi**2*(-1 + x))
+            fi(5)=gsq/(4d0*pi**2)*DLog((2d0-x)/(2d0-x+musq_k))/(1d0-x)
+            fi(6)=gsq/(4d0*pi**2)*Dlog((1d0)/(1d0+musq_k_one))/(1d0-x)
+c     adding the alpha dependent term
+            if(zp.gt.alpha_if) then
+               fi(1)=fi(1)+(gsq*((-2*musq_k*DLog((1-zp)/(1-alpha_if)))/x 
+     &              -2*(-1+(1 - x)/x + (1 - x)*x)*DLog(zp/alpha_if) + 
+     &              (2*DLog((alpha_if*(1-x+zp))/((1+alpha_if-x)*zp)))/
+     &              (1 - x)))/(8.*pi**2)
+            endif
+         elseif(musq_k.eq.0d0) then
+            fi(2)=(gsq*((6*L_one**2 + pi**2) + 12*rs 
+     &           + (22 - 4*Nf/ca)*DLog(mu**2/muf**2)))/(96.*pi**2)
+            fi(1)=(gsq*((-1 + x*(2 + (-1 + x)*x))*
+     &           (L-DLog(mu**2/muf**2)-DLog(1-x))-
+     &           x*Dlog(2-x)/(1-x)))/(4.*pi**2*x)
+            fi(4)=(gsq*(L_one-DLog(mu**2/muf**2)-2*DLog(1-x)))/
+     &           (4.*pi**2*(-1 + x))
+            fi(3)=(gsq*(L-DLog(mu**2/muf**2)-2*DLog(1-x)))/
+     &           (4.*pi**2*(-1 + x))
+c     adding the alpha dependent term
+            if(zp.gt.alpha_if) then
+               fi(1)=fi(1)+(gsq*((1 - 3*x + 3*x**2 
+     &              - 2*x**3 + x**4)*DLog(zp/alpha_if) - 
+     &              x*DLog((alpha_if*(1 - x + zp))/
+     &              ((1 + alpha_if - x)*zp))))/(4.*pi**2*(-1 + x)*x)
+            endif
+         endif
+      endif
+
+      end
+
+
+      SUBROUTINE finiteii(sik,sikzone,x,id1,id2,fi)
+c  calculates the finite terms when both emitter
+c  and spectator are in the initial state.
+      implicit none
+      include "coupl.inc"
+      include "dipole.inc"
+
+c Arguments
+      REAL*8 sik,sikzone,x,fi(9)
+      INTEGER id1,id2
+c Global
+      REAL*8 ddilog
+      external ddilog
+c Local
+      INTEGER i
+      REAl*8 cf,ca,pi,gsq
+      REAL*8 L,L_one,rs
+      PARAMETER (cf=4d0/3d0,ca=3d0)
+      PARAMETER (pi=3.1415926535897932385d0)
+
+      gsq=GG(1)**2
+      L=dlog(mu**2/sik)
+      L_one=dlog(mu**2/sikzone)
+
+      do i=1,9
+         fi(i)=0d0
+      enddo
+
+c quark-quark splitting (i:quark, ij~: quark)
+      if(id1 .eq.1.and.id2.eq.1) then
+         if(scheme .eq. 'HV') then
+            rs=0d0
+         elseif(scheme .eq. 'DR') then
+            rs=-1d0/2d0
+         endif
+         fi(2)=(gsq*(2*L_one**2-pi**2+4*rs+6*DLog(mu**2/muf**2)))/
+     &        (32.*pi**2)
+         fi(1)=-(gsq*(-1 + x + (-1 - x)*(L -dLog(mu**2/muf**2)) 
+     &        + 2*(1 + x)*dLog(1 - x)))/(8.*pi**2)
+         fi(4)=-(gsq*((2*(L_one - dLog(mu**2/muf**2)))/(1 - x)
+     &        + (4*dLog(1 - x))/(-1 + x)))/(8.*pi**2)
+         fi(3)=-(gsq*((2*(L - dLog(mu**2/muf**2)))/(1 - x)
+     &        + (4*dLog(1 - x))/(-1 + x)))/(8.*pi**2)
+c     adding the alpha dependent term
+         if((1d0-x).gt.alpha_ii) then
+            fi(1)=fi(1)+(gsq*(1+x**2)*DLog(alpha_ii/(1-x)))/
+     &           (8.*pi**2*(1-x))
+         endif
+
+
+c quark-gluon splitting (i:quark, ij~:gluon)
+      elseif(id1.eq.1.and.id2.eq.0) then
+         fi(1)=(cf*gsq*(x**2 - L*(2 + (-2 + x)*x)
+     &        +(2 + (-2 + x)*x)*dLog(mu**2/muf**2) + 
+     &        2*(2 + (-2 + x)*x)*DLog(1 - x)))/(8.*pi**2*x)/ca
+c     adding the alpha dependent term
+         if((1d0-x).gt.alpha_ii) then
+            fi(1)=fi(1)+(cf*gsq*(1+(1-x)**2)*DLog(alpha_ii/(1-x)))/
+     &           (8.*pi**2*x)/ca
+         endif
+
+
+c gluon-quark splitting (i:gluon, ij~:quark)
+      elseif(id1.eq.0.and.id2.eq.1) then
+         fi(1)=(gsq*(-L + 2*(1 + L)*x - 2*(1 + L)*x**2 
+     &        + (1 + 2*(-1 + x)*x)*DLog(mu**2/muf**2) + 
+     &        (2 + 4*(-1 + x)*x)*DLog(1 - x)))/(16.*pi**2)/cf
+c adding the alpha dependent term
+         if((1d0-x).gt.alpha_ii) then
+            fi(1)=fi(1)+(gsq*((1-x)**2+x**2)*DLog(alpha_ii/(1-x)))/
+     &           (16.*pi**2)/cf
+         endif
+
+c gluon-gluon splitting (i:gluon, ij~:gluon)
+      elseif(id1.eq.0.and.id2.eq.0) then
+         if(scheme .eq. 'HV') then
+            rs=0d0
+         elseif(scheme .eq. 'DR') then
+            rs=-1d0/6d0
+         endif
+         fi(2)=(gsq*(6*L_one**2 - 3*pi**2 + 12*rs + (22 -
+     &        4*Nf/ca)*DLog(mu**2/muf**2)))/(96.*pi**2)
+         fi(1)=(gsq*(-1 + x*(2 + (-1 + x)*x))*
+     &        (L-DLog(mu**2/muf**2)-2*DLog(1-x)))/(4.*pi**2*x)
+         fi(4)=-(gsq*((2*(L_one-DLog(mu**2/muf**2)))/(1 - x)
+     &        + (4*DLog(1 - x))/(-1 + x)))/(8.*pi**2)
+         fi(3)=-(gsq*((2*(L-DLog(mu**2/muf**2)))/(1 - x)
+     &        + (4*DLog(1 - x))/(-1 + x)))/(8.*pi**2)
+c adding the alpha dependent term
+         if((1d0-x).gt.alpha_ii) then
+            fi(1)=fi(1)+(gsq*(-1+(1-x)*x)**2*DLog(alpha_ii/(1-x)))/
+     &           (4.*pi**2*(1-x)*x)
+         endif
+      endif
+      end
+
+
+*
+* dilog64.F,v 1.1.1.1 1996/04/01 15:02:05 mclareni
+*
+* Revision 1.1.1.1  1996/04/01 15:02:05  mclareni
+* Mathlib gen
+*
+*
+      FUNCTION DDILOG(X)
+*
+* imp64.inc,v 1.1.1.1 1996/04/01 15:02:59 mclareni Exp
+*
+* Revision 1.1.1.1  1996/04/01 15:02:59  mclareni
+* Mathlib gen
+*
+*
+* imp64.inc
+*
+      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
+      DIMENSION C(0:19)
+      PARAMETER (Z1 = 1, HF = Z1/2)
+      PARAMETER (PI = 3.14159 26535 89793 24D0)
+      PARAMETER (PI3 = PI**2/3, PI6 = PI**2/6, PI12 = PI**2/12)
+      DATA C( 0) / 0.42996 69356 08136 97D0/
+      DATA C( 1) / 0.40975 98753 30771 05D0/
+      DATA C( 2) /-0.01858 84366 50145 92D0/
+      DATA C( 3) / 0.00145 75108 40622 68D0/
+      DATA C( 4) /-0.00014 30418 44423 40D0/
+      DATA C( 5) / 0.00001 58841 55418 80D0/
+      DATA C( 6) /-0.00000 19078 49593 87D0/
+      DATA C( 7) / 0.00000 02419 51808 54D0/
+      DATA C( 8) /-0.00000 00319 33412 74D0/
+      DATA C( 9) / 0.00000 00043 45450 63D0/
+      DATA C(10) /-0.00000 00006 05784 80D0/
+      DATA C(11) / 0.00000 00000 86120 98D0/
+      DATA C(12) /-0.00000 00000 12443 32D0/
+      DATA C(13) / 0.00000 00000 01822 56D0/
+      DATA C(14) /-0.00000 00000 00270 07D0/
+      DATA C(15) / 0.00000 00000 00040 42D0/
+      DATA C(16) /-0.00000 00000 00006 10D0/
+      DATA C(17) / 0.00000 00000 00000 93D0/
+      DATA C(18) /-0.00000 00000 00000 14D0/
+      DATA C(19) /+0.00000 00000 00000 02D0/
+      IF(X .EQ. 1) THEN
+       H=PI6
+      ELSEIF(X .EQ. -1) THEN
+       H=-PI12
+      ELSE
+       T=-X
+       IF(T .LE. -2) THEN
+        Y=-1/(1+T)
+        S=1
+        A=-PI3+HF*(LOG(-T)**2-LOG(1+1/T)**2)
+       ELSEIF(T .LT. -1) THEN
+        Y=-1-T
+        S=-1
+        A=LOG(-T)
+        A=-PI6+A*(A+LOG(1+1/T))
+       ELSE IF(T .LE. -HF) THEN
+        Y=-(1+T)/T
+        S=1
+        A=LOG(-T)
+        A=-PI6+A*(-HF*A+LOG(1+T))
+       ELSE IF(T .LT. 0) THEN
+        Y=-T/(1+T)
+        S=-1
+        A=HF*LOG(1+T)**2
+       ELSE IF(T .LE. 1) THEN
+        Y=T
+        S=1
+        A=0
+       ELSE
+        Y=1/T
+        S=-1
+        A=PI6+HF*LOG(T)**2
+       ENDIF
+       H=Y+Y-1
+       ALFA=H+H
+       B1=0
+       B2=0
+       DO 1 I = 19,0,-1
+       B0=C(I)+ALFA*B1-B2
+       B2=B1
+    1  B1=B0
+       H=-(S*(B0-H*B2)+A)
+      ENDIF
+      DDILOG=H
+      RETURN
+      END
+
+
+
+
+
+

=== added file 'Template/SubProcesses/genps.f'
--- Template/SubProcesses/genps.f	1970-01-01 00:00:00 +0000
+++ Template/SubProcesses/genps.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,1089 @@
+      integer function f_get_nargs(ndim)
+c**************************************************************************
+c     Returns number of arguments which come from x_to_f_arg
+c**************************************************************************
+      implicit none
+      include 'nexternal.inc'
+      integer ndim
+      f_get_nargs=4*nexternal+2      !All 4-momentum and x1,x2
+      end
+
+      subroutine x_to_f_arg(ndim,iconfig,mincfig,maxcfig,invar,wgt,x,p)
+c**************************************************************************
+c     This is a routine called from sample to transform the integration
+c     variables into the arguments of the function. Often these will be
+c     4 momentum, but it could also be a trivial 1->1 mapping.
+c
+c     INPUTS:  ndim     == number of dimensions
+c              iconfig  == configuration working on
+c              mincfig  == First configuration to include
+c              maxcfig  == Last configuration to include
+c              invar    == Number of invarients we are mapping (ndim*maxcfig)
+c              wgt      == wgt for choosing point thus far. 1/npnts*iter
+c     OUTPUTS: wgt      == updated weight after choosing points
+c              x        == points choosen from sample grid
+c              p        == transformed points call is f(p(x))
+c
+c**************************************************************************
+      implicit none
+c
+c     Constants
+c
+      include 'genps.inc'
+c
+c     Arguments
+c
+      integer ndim                             !Number of dimensions(input)
+      integer iconfig                          !Configuration (input)
+      integer mincfig,maxcfig                  !Range of configurations
+      integer invar
+      double precision wgt                     !(input and output)
+      double precision x(maxdim),p(maxdim)     !x,p (output) [p(0:3,nexternal)]
+c
+c     Local
+c
+c
+c     External
+c     
+c
+c     Global
+c
+c-----
+c  Begin Code
+c-----
+      call gen_mom(iconfig,mincfig,maxcfig,invar,wgt,x,p)
+      end
+
+      subroutine gen_mom(iconfig,mincfig,maxcfig,invar,wgt,x,p1)
+c**************************************************************************
+c
+c     Routine to generate 4 momentum based on tree-level decomposition
+c     using generalized s,t,u variables as integration variables. Need to
+c     describe different configurations using variable iforest.
+c     
+c     INPUTS:    iconfig   == Current configuration working on
+c                mincfig   == First configuration to include
+c                maxcfig   == Last configuration to include
+c                wgt       == wgt for choosing x's so far.
+c     OUTPUTS:   wgt       == updated wgt including all configs
+c                x()       == Integration variabls for all configs
+c                p1(0:3,n) == 4 momentum of external particles
+c
+c     REQUIRES: IFOREST() set in data statement (see configs.inc)
+c               NEXTERNAL set in data statement (see genps.inc)
+c
+c     Note regarding integration variables mapping to invarients
+c     the first nbranch variables go for the masses of branches -1,-2,..
+c     For each t-channel invarient x(ndim-1), x(ndim-3), .... are used
+c     in place of the cos(theta) variable used in s-channel.
+c     x(ndim), x(ndim-2),.... are the phi angles.
+c**************************************************************************
+      implicit none
+c
+c     Constants
+c
+      include 'genps.inc'
+      include 'nexternal.inc'
+      double precision pi
+      parameter       (pi=3.1415926d0)
+c
+c     Arguments
+c
+      integer iconfig,mincfig,maxcfig,invar
+      double precision p1(0:3,nexternal+1)
+      double precision x(maxinvar)
+      double precision wgt
+c
+c     Local
+c
+      integer nbranch,ndim
+      integer i,j,jconfig,n,ipole
+      double precision P(0:3,-max_branch:max_particles),xx(maxinvar)
+      double precision M(-max_branch:max_particles)
+      double precision s(-max_branch:0), pole_type
+      integer nparticles,nfinal
+      double precision jac,sjac,pswgt,pwgt(maxconfigs),flux
+      double precision tprb, mtot
+      double precision stot, xtau
+
+      integer sprop(-max_branch:-1,lmaxconfigs)
+      integer tprid(-max_branch:-1,lmaxconfigs)
+      common/to_sprop/sprop,tprid
+      integer          lwgt(0:maxconfigs,maxinvar)
+      logical firsttime
+
+      double precision xprop(3,nexternal),tprop(3,nexternal)
+      double precision maxwgt
+      integer imatch
+      save maxwgt
+
+      integer ninvar, nconfigs
+      
+c
+c     External
+c
+      double precision lambda,dot
+      logical passcuts
+c
+c     Global
+c
+      double precision pmass(nexternal)
+      common/to_mass/  pmass
+
+      integer           Minvar(maxdim,lmaxconfigs)
+      common /to_invar/ Minvar
+      double precision   prb(maxconfigs,maxpoints,maxplace)
+      double precision   fprb(maxinvar,maxpoints,maxplace)
+      integer                      jpnt,jplace
+      common/to_mconfig1/prb ,fprb,jpnt,jplace
+      double precision   psect(maxconfigs),alpha(maxconfigs)
+      common/to_mconfig2/psect            ,alpha
+
+      include 'run.inc'
+
+
+      integer iforest(2,-max_branch:-1,lmaxconfigs)
+      common/to_forest/ iforest
+
+      integer            mapconfig(0:lmaxconfigs), this_config
+      common/to_mconfigs/mapconfig, this_config
+
+      double precision      spole(maxinvar),swidth(maxinvar),bwjac
+      common/to_brietwigner/spole          ,swidth          ,bwjac
+
+      save lwgt
+      save ndim,nfinal,nbranch,nparticles
+
+      integer jfig,k
+c
+c     data
+c
+      include 'configs.inc'
+      data firsttime/.true./
+      integer isym(0:100)
+c      data isym /2,1,5,27,42,47,0,0,0,0,0/
+      data jfig/1/
+c-----
+c  Begin Code
+c----
+      this_config = iconfig             !Pass iconfig to amplitude routine
+c      write(*,*) 'using iconfig',iconfig
+      do i=1,nexternal
+         m(i)=pmass(i)
+      enddo
+      if (firsttime) then
+         firsttime=.false.
+         do i=1,mapconfig(0)
+            if (mapconfig(i) .eq. iconfig) this_config=i
+         enddo
+         write(*,*) 'Mapping Graph',iconfig,' to config',this_config
+         iconfig = this_config
+         nconfigs = 1
+         mincfig=iconfig
+         maxcfig=iconfig
+         call map_invarients(minvar,nconfigs,ninvar,mincfig,maxcfig,nexternal,nincoming)
+         maxwgt=0d0
+c         write(*,'(a,12i4)') 'Summing configs',(isym(i),i=1,isym(0))
+         nparticles   = nexternal
+         nfinal       = nparticles-nincoming
+         nbranch      = nparticles-2
+         ndim         = 3*nfinal-4
+         if (ndim .lt. 0) ndim = 0   !For 2->1 processes  tjs 5/24/2010
+         if (abs(lpp(1)) .ge. 1) ndim=ndim+1
+         if (abs(lpp(2)) .ge. 1) ndim=ndim+1
+         call set_peaks
+         if (.false. ) then
+            call find_matches(iconfig,isym(0))
+            write(*,'(a,12i4)') 'Summing configs',(isym(i),i=1,isym(0))
+         endif
+         if (.false.) then
+            i=1
+            do while (mapconfig(i) .ne. iconfig
+     $          .and. i .lt. mapconfig(0))
+               i=i+1
+            enddo
+         endif
+
+         write(*,'(a,12e10.3)') ' Masses:',(m(i),i=1,nparticles)
+         do j=1,invar
+            lwgt(0,j)=0
+         enddo
+c
+c     Here we set up which diagrams contribute to each variable
+c     in principle more than 1 diagram can contribute to a variable
+c     if we believe they will have identical structure.
+c
+c         do i=1,mapconfig(0)
+         do i=mincfig,maxcfig
+c         do k=1,isym(0)
+c            i = isym(k)
+            write(*,'(15i4)') i,(minvar(j,i),j=1,ndim)
+            do j=1,ndim
+               ipole = minvar(j,i)
+               if (ipole .ne. 0) then
+                  n = lwgt(0,ipole)+1
+                  lwgt(n,ipole)=mapconfig(i)  
+                  lwgt(0,ipole)=n
+               endif
+            enddo
+         enddo
+
+      else
+         do i=1,11
+c            swidth(i)=-5d0         !tells us to use the same point over again
+         enddo
+c         swidth(10)=0d0
+      endif                          !First_time
+
+      if (.false.) then
+         iconfig = isym(jfig)
+         jfig = jfig+1
+         if (jfig .gt. isym(0)) jfig=1      
+      endif
+      this_config = iconfig             !Pass iconfig to amplitude routine
+C
+C     Get fraction of beam energy if pdf's are used
+c
+      xbk(1)   = 1d0
+      xbk(2)   = 1d0
+      sjac = 1d0
+      stot = 4d0*ebeam(1)*ebeam(2)
+      if (abs(lpp(1)) .ge. 1 .and. abs(lpp(2)) .ge. 1) then
+         call sample_get_x(sjac,x(ndim-1),ndim-1,mincfig,0d0,1d0)
+c-----
+c tjs 5/24/2010 for 2->1 process
+c-------
+         xtau = x(ndim-1)
+         if(nexternal .eq. 3) then
+            x(ndim-1) = pmass(3)*pmass(3)/stot
+            sjac=1 / stot     !for delta function in d_tau
+         endif
+
+         call sample_get_x(sjac,x(ndim),ndim,mincfig,0d0,1d0)
+         CALL GENCMS(STOT,Xbk(1),Xbk(2),X(ndim-1),0d0,SJAC)
+         x(ndim-1) = xtau                   !Fix for 2->1 process
+      elseif (abs(lpp(1)) .ge. 1) then
+         call sample_get_x(sjac,x(ndim),ndim,mincfig,0d0,1d0)
+         xbk(1) = x(ndim)
+      elseif (abs(lpp(2)) .ge. 1) then
+         call sample_get_x(sjac,x(ndim),ndim,mincfig,0d0,1d0)
+         xbk(2) = x(ndim)
+      endif
+      s(-nbranch)  = xbk(1)*xbk(2)*stot
+c      write(*,*) "stot=",sqrt(s(-nbranch))
+      m(-nbranch)  = sqrt(s(-nbranch))
+      p(0,-nbranch)= m(-nbranch)
+      p(1,-nbranch)= 0d0
+      p(2,-nbranch)= 0d0
+      p(3,-nbranch)= 0d0
+
+c
+c     First Generate Momentum for initial state particles
+c
+      if(nincoming.eq.2) then
+        call mom2cx(m(-nbranch),m(1),m(2),1d0,0d0,p(0,1),p(0,2))
+      else
+        do i=0,3
+          p(i,1)=p(i,-nbranch)
+        enddo
+        p(3,1)=1e-14 ! For HELAS routine ixxxxx for neg. mass
+      endif
+      pswgt = 1d0
+      jac   = 1d0
+      call one_tree(iforest(1,-max_branch,iconfig),mincfig,
+     &     nbranch,P,M,S,X,jac,pswgt)
+c
+c     Add what I think are the essentials
+c
+         if (jac .gt. 0d0 ) then
+            if(nincoming.eq.2)then
+               flux  = 1d0 /(2.D0*SQRT(LAMBDA(s(-nbranch),m(1)**2,m(2)**2)))
+            else ! Decays
+               flux = 1d0/(2d0*sqrt(stot))
+            endif
+            flux  = flux / (2d0*pi)**(3 * nfinal - 4)
+            pwgt(1)=max(sjac*jac*pswgt*wgt,1d-99)
+            wgt = pwgt(1)*flux
+            do i=1,nparticles
+               do j=0,3
+                  p1(j,i) = p(j,i)
+               enddo
+c               write(*,'(i3,4f15.5)') i,(p(j,i),j=0,3)
+            enddo
+            p1(0,nparticles+1)=xbk(1)
+            p1(1,nparticles+1)=xbk(2)
+         else
+            p1(0,1)=-99
+         endif
+
+c
+c     comment out everything else
+c
+      if (.false.) then
+
+      if (jac .gt. 0d0) then
+         do i=1,nparticles
+            do j=0,3
+               p1(j,i) = p(j,i)
+            enddo
+c            write(*,'(i2,4e15.5)') i,(p(j,i),j=0,3)
+         enddo
+c         call fill_invarients(nfinal,p1,stot,xx)
+         if (abs(lpp(1)) .ge. 1 .and. abs(lpp(1)) .ge. 1) then
+            xx(invar)=x(ndim)
+            xx(invar-1)=x(ndim-1)
+         elseif (abs(lpp(1)) .ge. 1 .or. abs(lpp(1)) .ge. 1) then
+            xx(invar)=x(ndim)
+         endif
+c
+c     The next lines take care of redetermining the wgt based on all
+c     allowed configurations
+c
+c         if (passcuts(p(0,1))) then
+         if (.true.) then
+c            write(*,'(A,5e14.4)') 'Orig',jac,pswgt,wgt,jac*pswgt*wgt
+
+            tprb=0d0
+c            write(*,'(a,12f6.2)') 'orig',(x(i),i=1,ndim)
+
+            do jconfig=mincfig,maxcfig
+
+c
+c     I'll skip this if there is only one configuration
+c
+
+               if (jac .lt. 0) then
+                  write(*,*) 'Error did not find wgt ',jconfig,jac
+               endif
+
+c               write(*,'(a,12f6.2)') 'final',(x(i),i=1,ndim)
+
+c
+c     Now need to set up the x(i)'s
+c
+               do i=1,ndim
+                  if (minvar(i,jconfig) .ne. 0) then
+c                    write(*,*)'filling',minvar(i,jconfig),i,jconfig,x(i)
+                     xx(minvar(i,jconfig))=x(i)
+                  endif
+               enddo
+c
+c     Here is where we put in something for pp etc. Now lets just use 1
+c
+c               if (pp) then
+c                  xx(3*nbranch-3,jconfig)= x
+
+
+               if (maxcfig-mincfig .gt. 0) then
+               
+                  pwgt(jconfig)=max(sjac*jac*pswgt*wgt,1d-99)
+                  prb(jconfig,jpnt,jplace)=1d0/pwgt(jconfig)
+                  tprb = tprb + prb(jconfig,jpnt,jplace)*alpha(jconfig)
+               else
+                  pwgt(1)=max(sjac*jac*pswgt*wgt,1d-99)
+                  prb(1,jpnt,jplace)=1d0/pwgt(1)
+                  tprb = tprb + prb(1,jpnt,jplace)
+               endif
+c               write(*,'(A,5e14.4)') 'Finl',jac,pswgt,wgt,jac*pswgt*wgt
+
+
+
+            enddo
+
+            pswgt=1d0
+            jac  =1d0/tprb
+
+         else
+            jac=-1d0              !Didn't pass the cuts.
+         endif
+         if (jac .lt. 0) then
+            p1(0,1) = -999
+            return
+         endif
+c
+c     Flux factor and pi's from delta functions
+c
+         flux  = 1d0 /(2.D0*SQRT(LAMBDA(s(-nbranch),m(1)**2,m(2)**2)))
+         flux  = flux / (2d0*pi)**(3 * nfinal - 4)
+c
+c     Make sure all the invarients are reasonable
+c         
+
+         do i=1,invar
+            x(i)=xx(i)
+            if (x(i) .gt. 1d0) then
+               write(*,'(a,i6,e15.4)') 'Error x>1',i,x(i)
+            endif
+            fprb(i,jpnt,jplace)=0d0
+         enddo
+
+c
+c     Determine fractional probs from the different configs this
+c     allows me to only include points which were contributed
+c     by the projection onto that invarient.
+c
+c
+c     Now normalize fprb
+c
+         do i=1,invar
+c            if (fprb(i,jpnt,jplace) .eq. 0d0) then
+            if (tprb .eq. 0d0) then
+               fprb(i,jpnt,jplace)=1d0
+            else
+               fprb(i,jpnt,jplace)=fprb(i,jpnt,jplace)/tprb
+            endif
+         enddo
+         
+         
+c         write(123,'(2i6,1e15.5)') jpnt,jplace
+c         write(123,'(5e15.9)') (fprb(i,jpnt,jplace),i=1,invar) 
+c         write(123,'(5e15.9)') (prb(i,jpnt,jplace),i=1,maxcfig) 
+
+c
+c     Return the 4 momentum if things worked.
+c
+
+c         write(*,'(11f7.4)')(x(i),i=1,invar)
+
+         if (jac .gt. 0d0 ) then
+            wgt = jac*flux
+            do i=1,nparticles
+               do j=0,3
+                  p1(j,i) = p(j,i)
+               enddo
+            enddo
+            p1(0,nparticles+1)=xbk(1)
+            p1(1,nparticles+1)=xbk(2)
+         else
+            p1(0,1)=-99
+         endif
+      else                    !Failed cuts
+c         write(*,*) 'Failed cuts'
+         p1(0,1)=-99           
+      endif
+c
+c     comment out everything funny here
+c
+      endif
+      end
+
+
+      subroutine one_tree(itree,iconfig,nbranch,P,M,S,X,jac,pswgt)
+c************************************************************************
+c     Calculates the momentum for everything below in the tree until
+c     it reaches the end.
+c     Note that the tree structure must have at least one t channel
+c     part to it, and that the t-channel propagators must always appear
+c     as the first element, that is itree(1,i)
+c************************************************************************
+      implicit none
+c
+c     Constants
+c      
+      include 'genps.inc'
+      include 'nexternal.inc'
+      double precision pi            , one
+      parameter       (pi=3.1415926d0, one=1d0)
+c
+c     Arguments
+c
+      integer itree(2,-max_branch:-1) !Structure of configuration
+      integer iconfig                 !Which configuration working on
+      double precision P(0:3,-max_branch:max_particles)
+      double precision M(-max_branch:max_particles)
+      double precision S(-max_branch:0)
+c      double precision spole(-max_branch:0),swidth(-max_branch:0)
+      double precision jac,pswgt
+      integer nbranch
+      double precision x(21)
+c
+c     Local
+c
+      logical pass
+      integer ibranch,i,ns_channel,nt_channel,ix
+      double precision smin,smax,totmass,totmassin,xa2,xb2,wgt
+      double precision costh,phi,tmin,tmax,t, stot
+      double precision ma2,mb2,m12,mn2,s1
+c
+c     External
+c
+      double precision lambda,dot
+c
+c     Global
+c
+
+      include 'run.inc'
+
+c-----
+c  Begin Code
+c-----
+      jac   = 1d0
+      pswgt = 1d0
+      wgt   = 1d0
+      pass = .true.
+      stot = 4d0*ebeam(1)*ebeam(2)
+c-----------
+c     Trap for trivial case 2->1
+c----------
+      if (nexternal .eq. 3 .and. nincoming.ne.1) then
+         do i=0,3
+            p(i,3) = p(i,1)+p(i,2)
+         enddo
+         return
+      endif
+c
+c     Determine number of s channel branches, this doesn't count
+c     the s channel p1+p2
+c
+      ns_channel=1
+      do while(itree(1,-ns_channel) .ne. 1 .and.ns_channel.lt.nbranch)
+         m(-ns_channel)=0d0                 
+         ns_channel=ns_channel+1         
+      enddo
+      ns_channel=ns_channel - 1
+      nt_channel=nbranch-ns_channel-1
+
+      if (nt_channel .eq. 0 .and. nincoming .eq. 2) then
+         ns_channel=ns_channel-1
+      endif
+c      write(*,*) 'Number of t_channels',nt_channel,ns_channel,nbranch
+
+c
+c     Determine masses for all intermediate states.  Starting
+c     from outer most (real particle) states
+c
+c
+c     Make sure have enough mass for external particls
+c
+      totmassin=0d0
+      do ibranch=3-nincoming,2
+         totmassin=totmassin+m(ibranch)
+      enddo
+      totmass=0d0
+      do ibranch=3,nbranch+2
+         totmass=totmass+m(ibranch)
+      enddo
+      if (sqrt(s(-nbranch)) .lt. max(totmass,totmassin)) then
+         pass=.false.
+         jac = -5d0
+         return
+      endif
+
+      do ibranch = -1,-ns_channel,-1
+         smin = (m(itree(1,ibranch))+m(itree(2,ibranch)))**2
+         smax = (dsqrt(s(-nbranch))-totmass+sqrt(smin))**2
+c         write(*,*) ibranch,sqrt(smin),sqrt(smax)
+c
+c        Choose the appropriate s given our constraints smin,smax
+c     
+         call sample_get_x(wgt,x(-ibranch),-ibranch,iconfig,
+     &        smin/stot,smax/stot)
+         s(ibranch) = x(-ibranch)*stot
+
+c         write(*,*) 'using s',-ibranch
+
+         jac = jac*stot
+         if (jac .lt. 0d0 .or. .not. pass) then
+            jac = -6
+            return
+         endif
+         if (s(ibranch) .lt. smin) then
+            jac=-5
+            return
+         endif
+c
+c     Check that s is ok, and fill masses, update totmass
+c
+         m(ibranch) = sqrt(s(ibranch))
+         totmass=totmass+m(ibranch)-
+     &        m(itree(1,ibranch))-m(itree(2,ibranch))
+         if (totmass .gt. M(-nbranch)) then
+            jac = -4
+            return
+         endif
+         if (.not. pass) then
+            jac=-9
+            return
+         endif
+      enddo
+
+      if (nt_channel .eq. 0 .and. nincoming .eq. 2) then
+         s(-nbranch+1)=s(-nbranch) 
+         m(-nbranch+1)=m(-nbranch)      !Basic s-channel has s_hat 
+         p(0,-nbranch+1) = m(-nbranch+1)!and 0 momentum
+         p(1,-nbranch+1) = 0d0
+         p(2,-nbranch+1) = 0d0
+         p(3,-nbranch+1) = 0d0
+      endif
+
+c
+c     Next do the T-channel branchings
+c
+c
+c     First we need to determine the energy of the remaining particles
+c     this is essentially in place of the cos(theta) degree of freedom
+c     we have with the s channel decay sequence
+c
+
+
+      if (nt_channel .gt. 0) then               !t-channel stuff exists
+
+      totmass=0d0
+      do ibranch = -ns_channel-1,-nbranch,-1
+         totmass=totmass+m(itree(2,ibranch))
+      enddo
+      m(-ns_channel-1) = dsqrt(S(-nbranch))
+      do ibranch = -ns_channel-1,-nbranch+2,-1    !Choose invarient mass 
+         totmass=totmass-m(itree(2,ibranch))      !for remaining particles
+         smin = totmass**2                        !This affects t_min/max
+         smax = (m(ibranch) - m(itree(2,ibranch)))**2
+         if (smin .gt. smax) then
+            jac=-3d0
+            return
+         endif
+         call sample_get_x(wgt,x(nbranch-1+(-ibranch)*2),
+     &        nbranch-1+(-ibranch)*2,iconfig,
+     &        smin/stot,smax/stot)
+
+         m(ibranch-1)=dsqrt(stot*x(nbranch-1+(-ibranch)*2))
+
+c         write(*,*) 'Using s',nbranch-1+(-ibranch)*2
+
+         if (m(ibranch-1)**2.lt.smin.or.m(ibranch-1)**2.gt.smax
+     $        .or.m(ibranch-1).ne.m(ibranch-1)) then
+            jac=-1d0
+            return
+         endif
+         jac = jac * stot
+      enddo
+      m(-nbranch) = m(itree(2,-nbranch))
+c
+c     Now perform the t-channel decay sequence. Most of this comes from: 
+c     Particle Kinematics Chapter 6 section 3 page 166
+c
+c     From here, on we can just pretend this is a 2->2 scattering with
+c     Pa                    + Pb     -> P1          + P2
+c     p(0,itree(ibranch,1)) + p(0,2) -> p(0,ibranch)+ p(0,itree(ibranch,2))
+c     M(ibranch) is the total mass available (Pa+Pb)^2
+c     M(ibranch-1) is the mass of P2  (all the remaining particles)
+c
+      do ibranch=-ns_channel-1,-nbranch+1,-1
+         s1  = m(ibranch)**2                        !Total mass available
+         ma2 = m(2)**2
+         mb2 = dot(P(0,itree(1,ibranch)),P(0,itree(1,ibranch)))
+         m12 = m(itree(2,ibranch))**2
+         mn2 = m(ibranch-1)**2
+c         write(*,*) 'Enertering yminmax',sqrt(s1),sqrt(m12),sqrt(mn2)
+         call yminmax(s1,t,m12,ma2,mb2,mn2,tmin,tmax)
+c
+c     Call for 0<x<1
+c
+c         call sample_get_x(wgt,x(-ibranch),-ibranch,iconfig,
+c     &        .5d0*(tmin/stot+1d0),
+c     &        .5d0*(tmax/stot+1d0))
+c         t   = Stot*(x(-ibranch)*2d0-1d0)
+c
+c     call for -1<x<1
+c
+
+c         write(*,*) 'tmin, tmax',tmin,tmax
+
+         tmax = max(tmax,0d0) !This line if want really t freedom
+
+         call sample_get_x(wgt,x(-ibranch),-ibranch,iconfig,
+     $        -tmax/stot, -tmin/stot)
+         t = stot*(-x(-ibranch))
+c
+c     now reset tmax if messed it up for t freedom 3 lines above
+c
+         call yminmax(s1,t,m12,ma2,mb2,mn2,tmin,tmax) 
+
+c         write(*,*) tmin,t,tmax
+c         if (t .eq. 0d0) then
+c            jac = -3
+c            return
+c         endif
+         if (t .lt. tmin .or. t .gt. tmax) then
+            jac=-3d0
+            return
+         endif
+c
+c     tmin and tmax set to -s,+s for jacobian because part of jacobian
+c     was determined from choosing the point x from the grid based on
+c     tmin and tmax.  (ie wgt contains some of the jacobian)
+c
+         tmin=-stot
+         tmax= stot
+         call sample_get_x(wgt,x(nbranch+(-ibranch-1)*2),
+     &        nbranch+(-ibranch-1)*2,iconfig,0d0,1d0)
+         phi = 2d0*pi*x(nbranch+(-ibranch-1)*2)
+         jac = jac*(tmax-tmin)*2d0*pi /2d0              ! I need /2d0 if -1<x<1
+c
+c     Finally generate the momentum. The call is of the form
+c     pa+pb -> p1+ p2; t=(pa-p1)**2;   pr = pa-p1
+c     gentcms(pa,pb,t,phi,m1,m2,p1,pr) 
+c
+         call gentcms(p(0,itree(1,ibranch)),p(0,2),t,phi,
+     &        m(itree(2,ibranch)),m(ibranch-1),p(0,itree(2,ibranch)),
+     &        p(0,ibranch),jac)
+
+         if (jac .lt. 0d0) then
+            write(*,*) 'Failed gentcms',iconfig,ibranch
+         endif
+         if (jac .lt. 0d0) return          !Failed due to numerical precision
+
+         pswgt = pswgt/(4d0*dsqrt(lambda(s1,ma2,mb2)))
+      enddo
+c
+c     We need to get the momentum of the last external particle.
+c     This should just be the sum of p(0,2) and the remaining
+c     momentum from our last t channel 2->2
+c
+      do i=0,3
+         p(i,itree(2,-nbranch)) = p(i,-nbranch+1)+p(i,2)
+      enddo
+
+
+      endif                     !t-channel stuff
+
+
+c
+c     Now generate momentum for all intermediate and final states
+c     being careful to calculate from more massive to less massive states
+c     so the last states done are the final particle states.
+c
+c      do i = -ns_channel,-1      
+c      ix=0
+c      if (nt_channel .eq. 0) ix=-1
+      do i = -nbranch+nt_channel+(nincoming-1),-1         !Loop over all s-channel poles
+         ix = nbranch+(-i-1)*2+(2-nincoming)
+         if (nt_channel .eq. 0) ix=ix-1
+
+c         write(*,*) 'using costh,phi',ix,ix+1
+
+         call sample_get_x(wgt,x(ix),ix,iconfig,0d0,1d0)
+         costh= 2d0*x(ix)-1d0
+         call sample_get_x(wgt,x(ix+1),ix+1,iconfig,0d0,1d0)
+         phi  = 2d0*pi*x(ix+1)
+         jac = jac * 4d0*pi
+         xa2 = m(itree(1,i))*m(itree(1,i))/s(i)
+         xb2 = m(itree(2,i))*m(itree(2,i))/s(i)
+         if (m(itree(1,i))+m(itree(2,i)) .ge. m(i)) then
+            jac=-8
+            return
+         endif
+         pswgt = pswgt*.5D0*PI*SQRT(LAMBDA(ONE,XA2,XB2))/(4.D0*PI)
+         call mom2cx(m(i),m(itree(1,i)),m(itree(2,i)),costh,phi,
+     &        p(0,itree(1,i)),p(0,itree(2,i)))
+         call boostx(p(0,itree(1,i)),p(0,i),p(0,itree(1,i)))
+         call boostx(p(0,itree(2,i)),p(0,i),p(0,itree(2,i)))
+      enddo
+      jac = jac*wgt
+      if (.not. pass) jac = -99
+      end
+
+         
+      subroutine gen_s(x,smin,smax,spole,swidth,s,jac,pass)
+c*************************************************************************
+c     Given a random number x, the limits smin and smax and also
+c     any pole spole with swidth, returns s ans jac the jacobian
+c     for the transformation.  The jacobian is just multiplied by the
+c     new jacobian so if jac=0 on entry jac=0 on exit
+c*************************************************************************
+      implicit none
+c
+c     Arguments
+c
+      double precision smin,smax,spole,swidth,s,jac
+      double precision x
+      logical pass
+c
+c     Local
+c     
+      logical warned0
+c
+c     Data
+c
+      data warned0 /.false./
+c-----
+c  Begin Code
+c-----
+      pass=.true.
+      if (jac .eq. 0 .and. .not. warned0) then
+         print*,'Input jacobian 0 in genps'
+         warned0 = .true.
+      endif
+      if (spole .eq. 0d0) then
+         s = (smax-smin)*x + smin
+         jac = jac*(smax-smin)
+      else
+         if (spole*spole .lt. smax) then
+            CALL TRANSPOLE(spole*spole/smax,spole*swidth/smax,x,s,jac)
+            s = s*smax
+            jac = jac*smax
+         else
+            pass=.false.
+         endif
+      endif
+      if (s .gt. smax .or. s .lt. smin) then
+         pass = .false.
+      endif
+      end
+
+      subroutine gentcms(pa,pb,t,phi,m1,m2,p1,pr,jac)
+c*************************************************************************
+c     Generates 4 momentum for particle 1, and remainder pr
+c     given the values t, and phi
+c     Assuming incoming particles with momenta pa, pb
+c     And outgoing particles with mass m1,m2
+c     s = (pa+pb)^2  t=(pa-p1)^2
+c*************************************************************************
+      implicit none
+c
+c     Arguments
+c
+      double precision t,phi,m1,m2               !inputs
+      double precision pa(0:3),pb(0:3),jac
+      double precision p1(0:3),pr(0:3)           !outputs
+c
+c     local
+c
+      double precision ptot(0:3),E_acms,p_acms,pa_cms(0:3)
+      double precision esum,ed,pp,md2,ma2,pt,ptotm(0:3)
+      integer i
+c
+c     External
+c
+      double precision dot
+c-----
+c  Begin Code
+c-----
+      do i=0,3
+         ptot(i)  = pa(i)+pb(i)
+         if (i .gt. 0) then
+            ptotm(i) = -ptot(i)
+         else
+            ptotm(i) = ptot(i)
+         endif
+      enddo
+      ma2 = dot(pa,pa)
+c
+c     determine magnitude of p1 in cms frame (from dhelas routine mom2cx)
+c
+      ESUM = sqrt(max(0d0,dot(ptot,ptot)))
+      if (esum .eq. 0d0) then
+         jac=-8d0             !Failed esum must be > 0
+         return
+      endif
+      MD2=(M1-M2)*(M1+M2)
+      ED=MD2/ESUM
+      IF (M1*M2.EQ.0.) THEN
+         PP=(ESUM-ABS(ED))*0.5d0
+      ELSE
+         PP=(MD2/ESUM)**2-2.0d0*(M1**2+M2**2)+ESUM**2
+         if (pp .gt. 0) then
+            PP=SQRT(pp)*0.5d0
+         else
+            write(*,*) 'Error creating momentum in gentcms',pp
+            jac=-1
+            return
+         endif
+      ENDIF
+c
+c     Energy of pa in pa+pb cms system
+c
+      call boostx(pa,ptotm,pa_cms)
+      E_acms = pa_cms(0)
+      p_acms = dsqrt(pa_cms(1)**2+pa_cms(2)**2+pa_cms(3)**2)
+
+      p1(0) = MAX((ESUM+ED)*0.5d0,0.d0)
+      p1(3) = -(m1*m1+ma2-t-2d0*p1(0)*E_acms)/(2d0*p_acms)
+      pt = dsqrt(max(pp*pp-p1(3)*p1(3),0d0))
+      p1(1) = pt*cos(phi)
+      p1(2) = pt*sin(phi)
+
+      call rotxxx(p1,pa_cms,p1)          !Rotate back to pa_cms frame
+      call boostx(p1,ptot,p1)            !boost back to lab fram
+      do i=0,3
+         pr(i)=pa(i)-p1(i)               !Return remainder of momentum
+      enddo
+      end
+
+
+
+      DOUBLE PRECISION FUNCTION LAMBDA(S,MA2,MB2)
+      IMPLICIT NONE
+C****************************************************************************
+C     THIS IS THE LAMBDA FUNCTION FROM VERNONS BOOK COLLIDER PHYSICS P 662
+C     MA2 AND MB2 ARE THE MASS SQUARED OF THE FINAL STATE PARTICLES
+C     2-D PHASE SPACE = .5*PI*SQRT(1.,MA2/S^2,MB2/S^2)*(D(OMEGA)/4PI)
+C****************************************************************************
+      DOUBLE PRECISION MA2,MB2,S
+      LAMBDA=S**2+MA2**2+MB2**2-2d0*S*MA2-2d0*MA2*MB2-2d0*S*MB2
+      RETURN
+      END
+
+
+      DOUBLE PRECISION FUNCTION G(X,Y,Z,U,V,W)
+C**************************************************************************
+C     This is the G function from Particle Kinematics by
+C     E. Byckling and K. Kajantie, Chapter 4 p. 89 eqs 5.23
+C     It is used to determine if a set of invarients are physical or not
+C**************************************************************************
+      implicit none
+c
+c     Arguments
+c
+      Double precision x,y,z,u,v,w
+c-----
+c  Begin Code
+c-----
+      G = X*Y*(X+Y-Z-U-V-W)+Z*U*(Z+U-X-Y-V-W)+V*W*(V+W-X-Y-Z-U)
+     &     +X*Z*W +X*U*V +Y*Z*W +Y*U*W
+      end
+
+      SUBROUTINE YMINMAX(X,Y,Z,U,V,W,YMIN,YMAX)
+C**************************************************************************
+C     This is the G function from Particle Kinematics by
+C     E. Byckling and K. Kajantie, Chapter 4 p. 91 eqs 5.28
+C     It is used to determine physical limits for Y based on inputs
+C**************************************************************************
+      implicit none
+c
+c     Constant
+c
+      double precision tiny
+      parameter       (tiny=1d-199)
+c
+c     Arguments
+c
+      Double precision x,y,z,u,v,w              !inputs  y is dummy
+      Double precision ymin,ymax                !output
+c
+c     Local
+c
+      double precision y1,y2,yr,ysqr
+c     
+c     External
+c
+      double precision lambda
+c-----
+c  Begin Code
+c-----
+      ysqr = lambda(x,u,v)*lambda(x,w,z)
+      if (ysqr .ge. 0d0) then
+         yr = dsqrt(ysqr)
+      else
+         print*,'Error in yminymax sqrt(-x)',lambda(x,u,v),lambda(x,w,z)
+      endif
+      y1 = u+w -.5d0* ((x+u-v)*(x+w-z) - yr)/(x+tiny)
+      y2 = u+w -.5d0* ((x+u-v)*(x+w-z) + yr)/(x+tiny)
+      ymin = min(y1,y2)
+      ymax = max(y1,y2)
+      end
+
+      subroutine ungen_s(x,smin,smax,spole,swidth,s,jac,pass)
+c*************************************************************************
+c     Given s, the limits smin and smax and also
+c     any pole spole with swidth, returns x and jac the jacobian
+c     for the transformation.  The jacobian is just multiplied by the
+c     new jacobian so if jac=0 on entry jac=0 on exit
+c*************************************************************************
+      implicit none
+c
+c     Arguments
+c
+      double precision smin,smax,spole,swidth,s,jac,x
+      logical pass
+c
+c     Local
+c     
+      logical warned0
+c
+c     Data
+c
+      data warned0 /.false./
+c-----
+c  Begin Code
+c-----
+      pass=.true.
+      if (jac .eq. 0 .and. .not. warned0) then
+         print*,'Input jacobian 0 in genps'
+         warned0 = .true.
+      endif
+      if (spole .eq. 0d0) then
+         x = (s-smin)/(smax-smin)
+         jac = jac*(smax-smin)
+      else
+         if (spole*spole .lt. smax) then
+            s = s/smax
+            CALL UNTRANSPOLE(spole*spole/smax,spole*swidth/smax,x,s,jac)
+            s = s*smax
+            jac = jac*smax
+         else
+            pass=.false.
+            print*,'Skipping BW pole pass=',pass,spole*spole,smax
+         endif
+      endif
+      if (s .gt. smax .or. s .lt. smin) then
+         pass = .false.
+      endif
+      end
+
+
+      SUBROUTINE GENCMS(S,X1,X2,X,SMIN,SJACOBI)
+C***********************************************************************
+C     PICKS PARTON MOMENTUM FRACTIONS X1 AND X2 BY CHOOSING ETA AND TAU
+C     X(1) --> TAU = X1*X2
+C     X(2) --> ETA = .5*LOG(X1/X2)
+C***********************************************************************
+      IMPLICIT NONE
+
+C     ARGUMENTS
+
+      DOUBLE PRECISION X1,X2,S,SMIN,SJACOBI
+      DOUBLE PRECISION X(2)
+
+C     LOCAL
+
+      DOUBLE PRECISION TAU,TAUMIN,TAUMAX
+      DOUBLE PRECISION ETA,ETAMIN,ETAMAX
+      logical warned
+      data warned/.false./
+
+C------------
+C  BEGIN CODE
+C------------
+
+      IF (S .LT. SMIN) THEN
+         PRINT*,'ERROR CMS ENERGY LESS THAN MINIMUM CMS ENERGY',S,SMIN
+         RETURN
+      ENDIF
+
+C     TO FLATTEN BRIET WIGNER POLE AT WMASS WITH WWIDTH USE BELOW:
+C      CALL TRANSPOLE(REAL(WMASS**2/S),REAL(WMASS*WWIDTH/S),
+C     &     X(1),TAU,SJACOBI)
+
+C     IF THERE IS NO S CHANNEL POLE USE BELOW:
+
+      TAUMIN = SMIN/S
+      TAUMAX = 1D0
+      TAU    = (TAUMAX-TAUMIN)*X(1)+TAUMIN
+      SJACOBI=  sjacobi*(TAUMAX-TAUMIN)
+
+C     FROM HERE ON SAME WITH OR WITHOUT POLE
+      ETAMIN = .5d0*LOG(TAU)
+      ETAMAX = -ETAMIN
+      ETA    = (ETAMAX-ETAMIN)*X(2)+ETAMIN
+c      if (.not. warned) then
+c         write(*,*) 'Fixing eta = 0'
+c         warned=.true.
+c      endif
+c      eta = 0d0
+
+      SJACOBI = SJACOBI*(ETAMAX-ETAMIN)
+
+      X1 = SQRT(TAU)*EXP(ETA)
+      X2 = SQRT(TAU)*EXP(-ETA)
+
+      END

=== added file 'Template/SubProcesses/initcluster.f'
--- Template/SubProcesses/initcluster.f	1970-01-01 00:00:00 +0000
+++ Template/SubProcesses/initcluster.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,61 @@
+      subroutine initcluster()
+
+      implicit none
+
+      include 'message.inc'
+      include 'run.inc'
+      include 'nexternal.inc'
+      include 'cluster.inc'
+C
+C     SPECIAL CUTS
+C
+      real*8 xptj,xptb,xpta,xptl,xmtc
+      real*8 xetamin,xqcut,deltaeta
+      common /to_specxpt/xptj,xptb,xpta,xptl,xmtc,xetamin,xqcut,deltaeta
+
+      integer i,j
+      logical filmap, cluster
+      external filmap, cluster
+
+c     
+c     check whether y_cut is used -> set scale to y_cut*S
+c
+
+c      if (ickkw.le.0) return
+      if (ickkw.le.0.and.xqcut.le.0d0.and.fixed_ren_scale.and.fixed_fac_scale) return
+
+c      if(ickkw.eq.2.and.xqcut.le.0d0)then
+c        write(*,*)'Must set qcut > 0 for ickkw = 2'
+c        write(*,*)'Exiting...'
+c        stop
+c      endif
+
+c      if(xqcut.gt.0d0)then
+c      if(ickkw.eq.2)then
+c        scale = xqcut
+c        q2fact(1) = scale**2    ! fact scale**2 for pdf1
+c        q2fact(2) = scale**2    ! fact scale**2 for pdf2
+c        fixed_ren_scale=.true.
+c        fixed_fac_scale=.true.
+c      endif
+c   
+c     initialize clustering map
+c         
+      if (.not.filmap()) then
+        write(*,*) 'cuts.f: cluster map initialization failed'
+        stop
+      endif
+      if (btest(mlevel,3)) then
+        do i=1,ishft(1,nexternal+1)
+          write(*,*) 'prop ',i,' in'
+          do j=1,id_cl(i,0)
+            write(*,*) '  graph ',id_cl(i,j)
+          enddo
+        enddo
+        write(*,*)'ok'
+      endif
+      igscl(0)=0
+       
+      RETURN
+      END
+

=== added file 'Template/SubProcesses/makefile'
--- Template/SubProcesses/makefile	1970-01-01 00:00:00 +0000
+++ Template/SubProcesses/makefile	2010-10-30 03:26:37 +0000
@@ -0,0 +1,46 @@
+F77   = f77
+FFLAGS= -O -ffixed-line-length-132
+#FFLAGS = -g -ffixed-line-length-132
+LIBDIR = ../../lib/
+BINDIR = ../../bin/
+# $B$ obj_for_MW $B$ !this is a tag for MadWeight. Don't edit this line
+PROG   = madevent
+# $E$ obj_for_MW $E$ !this is a tag for MadWeight. Don't edit this line
+LINKLIBS =  -L../../lib/ -ldhelas3 -ldsample -lmodel -lgeneric -lpdf -lcernlib
+LIBS = $(LIBDIR)libdhelas3.a $(LIBDIR)libdsample.a $(LIBDIR)libgeneric.a $(LIBDIR)libpdf.a $(LIBDIR)libmodel.a $(LIBDIR)libcernlib.a
+
+
+PROCESS= driver.o myamp.o auto_dsig.o genps.o matrix.o unwgt.o setcuts.o cuts.o cluster.o reweight.o initcluster.o addmothers.o setscales.o
+SYMMETRY = myamp.o genps.o matrix.o  initcluster.o setscales.o reweight.o
+# $B$ obj_for_MW $E$ !this is a tag for MadWeight. Don't edit this line
+
+%.o : %.f
+	$(F77) $(FFLAGS) -c $<
+
+# $B$ main_make $B$ !this is a tag for MadWeight. Don't edit this line
+$(PROG): $(PROCESS)  makefile $(LIBS)
+	$(F77) $(FFLAGS) -o $(PROG) $(PROCESS) $(LINKLIBS)
+# $E$ main_make $E$ !this is a tag for MadWeight. Don't edit this line
+
+symmetry.dat: mg.sym gensym
+	./gensym
+
+gensym: symmetry.o genps.inc setcuts.o cuts.o cluster.o $(SYMMETRY) configs.inc  
+	$(F77) $(FFLAGS) -o gensym symmetry.o setcuts.o cuts.o cluster.o $(SYMMETRY) $(LINKLIBS)
+
+driver.f: genps.inc qmass.inc
+setcuts.f: qmass.inc
+
+qmass.inc: nexternal.inc
+	touch qmass.inc
+
+symmetry.o: genps.inc nexternal.inc configs.inc
+genps.o: genps.inc nexternal.inc configs.inc 
+cuts.o: genps.inc nexternal.inc pmass.inc
+invarients.o: genps.inc nexternal.inc 
+myamp.o: props.inc genps.inc nexternal.inc
+reweight.o: sudakov.inc cluster.inc sudakov.inc run.inc message.inc
+cluster.o: cluster.inc genps.inc nexternal.inc message.inc
+addmothers.o: genps.inc nexternal.inc symswap.inc message.inc
+unwgt.o: genps.inc nexternal.inc symswap.inc cluster.inc run.inc message.inc
+initcluster.o: message.inc

=== added file 'Template/SubProcesses/makefile_dip'
--- Template/SubProcesses/makefile_dip	1970-01-01 00:00:00 +0000
+++ Template/SubProcesses/makefile_dip	2010-10-30 03:26:37 +0000
@@ -0,0 +1,19 @@
+F77   = f77
+FFLAGS= -O -ffixed-line-length-132
+LIBDIR = ../../lib/
+PROG   = check
+PROG1  = checkint
+LINKLIBS =  -L../../lib/ -ldhelas3 -lmodel 
+LIBS = $(LIBDIR)libdhelas3.a $(LIBDIR)libmodel.a 
+PROCESS=  check_dip.o matrix.o $(patsubst %.f,%.o,$(wildcard dipol*.f)) transform.o finiteterms.o intdipoles.o transformint.o epsterms.o
+PROCESS1= check_intdip.o matrix.o $(patsubst %.f,%.o,$(wildcard dipol*.f)) transform.o finiteterms.o intdipoles.o transformint.o epsterms.o
+ 
+%.o : %.f
+	$(F77) $(FFLAGS) -c $<
+
+$(PROG): $(PROCESS)  makefile $(LIBS)
+	$(F77) $(FFLAGS) -o $(PROG) $(PROCESS) $(LINKLIBS)
+$(PROG1): $(PROCESS1)  makefile $(LIBS)
+	$(F77) $(FFLAGS) -o $(PROG1) $(PROCESS1) $(LINKLIBS)	
+
+driver.f: nexternal.inc pmass.inc ngraphs.inc coupl.inc

=== added file 'Template/SubProcesses/makefile_dlhapdf'
--- Template/SubProcesses/makefile_dlhapdf	1970-01-01 00:00:00 +0000
+++ Template/SubProcesses/makefile_dlhapdf	2010-10-30 03:26:37 +0000
@@ -0,0 +1,39 @@
+F77   = gfortran
+FFLAGS= -O -fPIC -ffixed-line-length-132
+#FFLAGS = -g -ffixed-line-length-132
+LIBDIR = ../../lib/
+SOURCEDIR = ../../Source/
+BINDIR = ../../bin/
+PROG   = madevent
+LINKLIBS =  -L../../lib/ -ldhelas3 -ldsample -lmodel -lgeneric -lpdf -lcernlib -lLHAPDF -lstdc++
+LIBS = $(LIBDIR)libdhelas3.so $(LIBDIR)libdsample.so $(LIBDIR)libgeneric.so $(LIBDIR)libpdf.so $(LIBDIR)libmodel.so $(LIBDIR)libcernlib.so
+
+PROCESS= driver.o myamp.o auto_dsig.o genps.o matrix.o unwgt.o setcuts.o cuts.o cluster.o reweight.o initcluster.o addmothers.o setscales.o
+SYMMETRY = myamp.o genps.o matrix.o  initcluster.o setscales.o reweight.o 
+
+%.o : %.f
+	$(F77) $(FFLAGS) -c $<
+
+$(PROG): $(PROCESS)  makefile $(LIBS)
+	$(F77) $(FFLAGS) -o $(PROG) $(PROCESS) $(LINKLIBS)
+
+symmetry.dat: mg.sym gensym
+	./gensym
+
+gensym: symmetry.o genps.inc setcuts.o cuts.o cluster.o $(SYMMETRY) configs.inc  
+	$(F77) $(FFLAGS) -o gensym symmetry.o setcuts.o cuts.o cluster.o $(SYMMETRY) $(LINKLIBS)
+
+driver.f: genps.inc 
+
+genps.inc: nexternal.inc
+	touch genps.inc
+
+symmetry.o: genps.inc configs.inc
+genps.o: genps.inc configs.inc 
+cuts.o: genps.inc pmass.inc
+invarients.o: genps.inc 
+myamp.o: props.inc genps.inc
+reweight.o: message.inc sudakov.inc
+cluster.o: cluster.inc genps.inc
+addmothers.o: genps.inc symswap.inc message.inc
+unwgt.o: genps.inc symswap.inc message.inc

=== added file 'Template/SubProcesses/makefile_dynamic'
--- Template/SubProcesses/makefile_dynamic	1970-01-01 00:00:00 +0000
+++ Template/SubProcesses/makefile_dynamic	2010-10-30 03:26:37 +0000
@@ -0,0 +1,40 @@
+F77   = f77
+FFLAGS= -O -fPIC -ffixed-line-length-132
+#FFLAGS = -g -ffixed-line-length-132
+LIBDIR = ../../lib/
+SOURCEDIR = ../../Source/
+BINDIR = ../../bin/
+PROG   = madevent
+LINKLIBS =  -L../../lib/ -ldhelas3 -ldsample -lmodel -lgeneric -lpdf -lcernlib
+LIBS = $(LIBDIR)libdhelas3.so $(LIBDIR)libdsample.so $(LIBDIR)libgeneric.so $(LIBDIR)libpdf.so $(LIBDIR)libmodel.so $(LIBDIR)libcernlib.so
+
+
+PROCESS= driver.o myamp.o auto_dsig.o genps.o matrix.o unwgt.o setcuts.o cuts.o cluster.o reweight.o initcluster.o addmothers.o setscales.o
+SYMMETRY = myamp.o genps.o matrix.o  initcluster.o setscales.o reweight.o 
+
+%.o : %.f
+	$(F77) $(FFLAGS) -c $<
+
+$(PROG): $(PROCESS)  makefile $(LIBS)
+	$(F77) $(FFLAGS) -o $(PROG) $(PROCESS) $(LINKLIBS)
+
+symmetry.dat: mg.sym gensym
+	./gensym
+
+gensym: symmetry.o genps.inc setcuts.o cuts.o cluster.o $(SYMMETRY) configs.inc  
+	$(F77) $(FFLAGS) -o gensym symmetry.o setcuts.o cuts.o cluster.o $(SYMMETRY) $(LINKLIBS)
+
+driver.f: genps.inc 
+
+genps.inc: nexternal.inc
+	touch genps.inc
+
+symmetry.o: genps.inc configs.inc
+genps.o: genps.inc configs.inc 
+cuts.o: genps.inc pmass.inc
+invarients.o: genps.inc 
+myamp.o: props.inc genps.inc
+reweight.o: message.inc sudakov.inc
+cluster.o: cluster.inc genps.inc
+addmothers.o: genps.inc symswap.inc message.inc
+unwgt.o: genps.inc symswap.inc message.inc

=== added file 'Template/SubProcesses/makefile_lhapdf'
--- Template/SubProcesses/makefile_lhapdf	1970-01-01 00:00:00 +0000
+++ Template/SubProcesses/makefile_lhapdf	2010-10-30 03:26:37 +0000
@@ -0,0 +1,50 @@
+F77   = gfortran
+FFLAGS= -O -ffixed-line-length-132
+#FFLAGS = -g -ffixed-line-length-132
+LIBDIR = ../../lib/
+BINDIR = ../../bin/
+# $B$ obj_for_MW $B$ !this is a tag for MadWeight. Don't edit this line
+PROG   = madevent
+# $E$ obj_for_MW $E$ !this is a tag for MadWeight. Don't edit this line
+LINKLIBS =  -L../../lib/ -ldhelas3 -ldsample -lmodel -lgeneric -lpdf -lcernlib -lLHAPDF -lstdc++
+LIBS = $(LIBDIR)libdhelas3.a $(LIBDIR)libdsample.a $(LIBDIR)libgeneric.a $(LIBDIR)libpdf.a $(LIBDIR)libmodel.a $(LIBDIR)libLHAPDF.a $(LIBDIR)libcernlib.a
+
+
+PROCESS= driver.o myamp.o auto_dsig.o genps.o matrix.o unwgt.o setcuts.o cuts.o cluster.o reweight.o initcluster.o addmothers.o setscales.o
+SYMMETRY = myamp.o genps.o matrix.o  initcluster.o setscales.o reweight.o
+# $B$ obj_for_MW $E$ !this is a tag for MadWeight. Don't edit this line
+
+
+%.o : %.f
+	$(F77) $(FFLAGS) -c $<
+
+# $B$ main_make $B$ !this is a tag for MadWeight. Don't edit this line
+$(PROG): $(PROCESS)  makefile $(LIBS)
+	$(F77) $(FFLAGS) -o $(PROG) $(PROCESS) $(LINKLIBS)
+# $E$ main_make $E$ !this is a tag for MadWeight. Don't edit this line
+
+symmetry.dat: mg.sym gensym
+	./gensym
+
+gensym: symmetry.o genps.inc setcuts.o cuts.o cluster.o $(SYMMETRY) configs.inc  
+	$(F77) $(FFLAGS) -o gensym symmetry.o setcuts.o cuts.o cluster.o $(SYMMETRY) $(LINKLIBS)
+
+driver.f: genps.inc qmass.inc 
+setcuts.f: qmass.inc
+
+genps.inc: nexternal.inc
+	touch genps.inc
+
+qmass.inc: nexternal.inc
+	touch qmass.inc
+
+symmetry.o: genps.inc configs.inc
+genps.o: genps.inc configs.inc 
+cuts.o: genps.inc pmass.inc
+invarients.o: genps.inc 
+myamp.o: props.inc genps.inc
+reweight.o: sudakov.inc cluster.inc sudakov.inc run.inc message.inc
+cluster.o: cluster.inc genps.inc message.inc
+addmothers.o: genps.inc symswap.inc message.inc
+unwgt.o: genps.inc symswap.inc cluster.inc run.inc message.inc
+initcluster.o: message.inc

=== added file 'Template/SubProcesses/makefile_mo'
--- Template/SubProcesses/makefile_mo	1970-01-01 00:00:00 +0000
+++ Template/SubProcesses/makefile_mo	2010-10-30 03:26:37 +0000
@@ -0,0 +1,42 @@
+F77   = f77
+FFLAGS= -O -ffixed-line-length-132
+#FFLAGS = -g -ffixed-line-length-132
+LIBDIR = ../../lib/
+BINDIR = ../../bin/
+PROG   = madevent
+LINKLIBS =  -L../../lib/ -ldhelas3 -ldsample -lmodel -lgeneric -lpdf -lcernlib
+LIBS = $(LIBDIR)libdhelas3.a $(LIBDIR)libdsample.a $(LIBDIR)libgeneric.a $(LIBDIR)libpdf.a $(LIBDIR)libmodel.a $(LIBDIR)libcernlib.a
+
+
+PROCESS= driver.o myamp.o auto_dsig.o genps.o matrix.o unwgt.o setcuts.o cuts.o cluster.o reweight.o initcluster.o addmothers.o setscales.o projection.o
+SYMMETRY = myamp.o genps.o matrix.o  initcluster.o setscales.o reweight.o projection.o
+# $B$ obj_for_MW $E$ !this is a tag for MadWeight. Don't edit this line
+
+%.o : %.f
+	$(F77) $(FFLAGS) -c $<
+
+# $B$ main_make $B$ !this is a tag for MadWeight. Don't edit this line
+$(PROG): $(PROCESS)  makefile $(LIBS)
+	$(F77) $(FFLAGS) -o $(PROG) $(PROCESS) $(LINKLIBS)
+# $E$ main_make $E$ !this is a tag for MadWeight. Don't edit this line
+
+symmetry.dat: mg.sym gensym
+	./gensym
+
+gensym: symmetry.o genps.inc setcuts.o cuts.o cluster.o $(SYMMETRY) configs.inc  
+	$(F77) $(FFLAGS) -o gensym symmetry.o setcuts.o cuts.o cluster.o $(SYMMETRY) $(LINKLIBS)
+
+driver.f: genps.inc 
+
+genps.inc: nexternal.inc
+	touch genps.inc
+
+symmetry.o: genps.inc configs.inc
+genps.o: genps.inc configs.inc 
+cuts.o: genps.inc pmass.inc
+invarients.o: genps.inc 
+myamp.o: props.inc genps.inc
+reweight.o: message.inc sudakov.inc
+cluster.o: cluster.inc genps.inc
+addmothers.o: genps.inc symswap.inc message.inc
+unwgt.o: genps.inc symswap.inc message.inc

=== added file 'Template/SubProcesses/makefile_mo_dlhapdf'
--- Template/SubProcesses/makefile_mo_dlhapdf	1970-01-01 00:00:00 +0000
+++ Template/SubProcesses/makefile_mo_dlhapdf	2010-10-30 03:26:37 +0000
@@ -0,0 +1,42 @@
+F77   = gfortran
+FFLAGS= -O -fPIC -ffixed-line-length-132
+#FFLAGS = -g -ffixed-line-length-132
+LIBDIR = ../../lib/
+BINDIR = ../../bin/
+PROG   = madevent
+LINKLIBS =  -L../../lib/ -ldhelas3 -ldsample -lmodel -lgeneric -lpdf -lcernlib -lLHAPDF -lstdc++
+LIBS = $(LIBDIR)libdhelas3.so $(LIBDIR)libdsample.so $(LIBDIR)libgeneric.so $(LIBDIR)libpdf.so $(LIBDIR)libmodel.so $(LIBDIR)libcernlib.so
+
+
+PROCESS= driver.o myamp.o auto_dsig.o genps.o matrix.o unwgt.o setcuts.o cuts.o cluster.o reweight.o initcluster.o addmothers.o setscales.o projection.o
+SYMMETRY = myamp.o genps.o matrix.o  initcluster.o setscales.o reweight.o projection.o
+# $B$ obj_for_MW $E$ !this is a tag for MadWeight. Don't edit this line
+
+%.o : %.f
+	$(F77) $(FFLAGS) -c $<
+
+# $B$ main_make $B$ !this is a tag for MadWeight. Don't edit this line
+$(PROG): $(PROCESS)  makefile $(LIBS)
+	$(F77) $(FFLAGS) -o $(PROG) $(PROCESS) $(LINKLIBS)
+# $E$ main_make $E$ !this is a tag for MadWeight. Don't edit this line
+
+symmetry.dat: mg.sym gensym
+	./gensym
+
+gensym: symmetry.o genps.inc setcuts.o cuts.o cluster.o $(SYMMETRY) configs.inc  
+	$(F77) $(FFLAGS) -o gensym symmetry.o setcuts.o cuts.o cluster.o $(SYMMETRY) $(LINKLIBS)
+
+driver.f: genps.inc 
+
+genps.inc: nexternal.inc
+	touch genps.inc
+
+symmetry.o: genps.inc configs.inc
+genps.o: genps.inc configs.inc 
+cuts.o: genps.inc pmass.inc
+invarients.o: genps.inc 
+myamp.o: props.inc genps.inc
+reweight.o: message.inc sudakov.inc
+cluster.o: cluster.inc genps.inc
+addmothers.o: genps.inc symswap.inc message.inc
+unwgt.o: genps.inc symswap.inc message.inc

=== added file 'Template/SubProcesses/makefile_mo_lhapdf'
--- Template/SubProcesses/makefile_mo_lhapdf	1970-01-01 00:00:00 +0000
+++ Template/SubProcesses/makefile_mo_lhapdf	2010-10-30 03:26:37 +0000
@@ -0,0 +1,43 @@
+F77   = gfortran
+FFLAGS= -O -ffixed-line-length-132
+#FFLAGS = -g -ffixed-line-length-132
+LIBDIR = ../../lib/
+BINDIR = ../../bin/
+PROG   = madevent
+LINKLIBS =  -L../../lib/ -ldhelas3 -ldsample -lmodel -lgeneric -lpdf -lcernlib -lLHAPDF -lstdc++
+LIBS = $(LIBDIR)libdhelas3.a $(LIBDIR)libdsample.a $(LIBDIR)libgeneric.a $(LIBDIR)libpdf.a $(LIBDIR)libmodel.a $(LIBDIR)libLHAPDF.a $(LIBDIR)libcernlib.a
+
+
+
+PROCESS= driver.o myamp.o auto_dsig.o genps.o matrix.o unwgt.o setcuts.o cuts.o cluster.o reweight.o initcluster.o addmothers.o setscales.o projection.o
+SYMMETRY = myamp.o genps.o matrix.o  initcluster.o setscales.o reweight.o projection.o
+# $B$ obj_for_MW $E$ !this is a tag for MadWeight. Don't edit this line
+
+%.o : %.f
+	$(F77) $(FFLAGS) -c $<
+
+# $B$ main_make $B$ !this is a tag for MadWeight. Don't edit this line
+$(PROG): $(PROCESS)  makefile $(LIBS)
+	$(F77) $(FFLAGS) -o $(PROG) $(PROCESS) $(LINKLIBS)
+# $E$ main_make $E$ !this is a tag for MadWeight. Don't edit this line
+
+symmetry.dat: mg.sym gensym
+	./gensym
+
+gensym: symmetry.o genps.inc setcuts.o cuts.o cluster.o $(SYMMETRY) configs.inc  
+	$(F77) $(FFLAGS) -o gensym symmetry.o setcuts.o cuts.o cluster.o $(SYMMETRY) $(LINKLIBS)
+
+driver.f: genps.inc 
+
+genps.inc: nexternal.inc
+	touch genps.inc
+
+symmetry.o: genps.inc configs.inc
+genps.o: genps.inc configs.inc 
+cuts.o: genps.inc pmass.inc
+invarients.o: genps.inc 
+myamp.o: props.inc genps.inc
+reweight.o: message.inc sudakov.inc
+cluster.o: cluster.inc genps.inc
+addmothers.o: genps.inc symswap.inc message.inc
+unwgt.o: genps.inc symswap.inc message.inc

=== added file 'Template/SubProcesses/makefile_sa'
--- Template/SubProcesses/makefile_sa	1970-01-01 00:00:00 +0000
+++ Template/SubProcesses/makefile_sa	2010-10-30 03:26:37 +0000
@@ -0,0 +1,15 @@
+F77   = f77
+FFLAGS= -O -ffixed-line-length-132
+LIBDIR = ../../lib/
+PROG   = check
+LINKLIBS =  -L../../lib/ -ldhelas3 -lmodel 
+LIBS = $(LIBDIR)libdhelas3.a $(LIBDIR)libmodel.a 
+PROCESS=  check_sa.o matrix.o
+ 
+%.o : %.f
+	$(F77) $(FFLAGS) -c $<
+
+$(PROG): $(PROCESS)  makefile $(LIBS)
+	$(F77) $(FFLAGS) -o $(PROG) $(PROCESS) $(LINKLIBS)
+
+driver.f: nexternal.inc pmass.inc ngraphs.inc coupl.inc
\ No newline at end of file

=== added file 'Template/SubProcesses/message.inc'
--- Template/SubProcesses/message.inc	1970-01-01 00:00:00 +0000
+++ Template/SubProcesses/message.inc	2010-10-30 03:26:37 +0000
@@ -0,0 +1,2 @@
+      integer mlevel
+      parameter (mlevel=0)

=== added file 'Template/SubProcesses/myamp.f'
--- Template/SubProcesses/myamp.f	1970-01-01 00:00:00 +0000
+++ Template/SubProcesses/myamp.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,1081 @@
+      double precision function testamp(p)
+c*****************************************************************************
+c     Approximates matrix element by propagators
+c*****************************************************************************
+      implicit none
+c
+c     Constants
+c     
+      include 'genps.inc'
+      include 'nexternal.inc'
+      double precision   zero
+      parameter (zero = 0d0)
+c
+c     Arguments
+c
+      double precision p(0:3,nexternal)
+c      integer iconfig
+c
+c     Local
+c
+      double precision xp(0:3,-nexternal:nexternal)
+      double precision mpole(-nexternal:0),shat,tsgn
+      integer i,j,iconfig
+
+      double precision pmass(-nexternal:0,lmaxconfigs)
+      double precision pwidth(-nexternal:0,lmaxconfigs)
+      integer pow(-nexternal:0,lmaxconfigs)
+      logical first_time
+c
+c     Global
+c
+      integer iforest(2,-max_branch:-1,lmaxconfigs)
+      common/to_forest/ iforest
+      integer            mapconfig(0:lmaxconfigs), this_config
+      common/to_mconfigs/mapconfig, this_config
+      
+      include 'coupl.inc'
+c
+c     External
+c
+      double precision dot
+
+      save pmass,pwidth,pow
+      data first_time /.true./
+c-----
+c  Begin Code
+c-----      
+      iconfig = this_config
+      if (first_time) then
+c         include 'props.inc'
+         first_time=.false.
+      endif
+
+      do i=1,nexternal
+         mpole(-i)=0d0
+         do j=0,3
+            xp(j,i)=p(j,i)
+         enddo
+      enddo
+c      mpole(-3) = 174**2
+c      shat = dot(p(0,1),p(0,2))/(1800)**2
+      shat = dot(p(0,1),p(0,2))/(10)**2
+c      shat = 1d0
+      testamp = 1d0
+      tsgn    = +1d0
+      do i=-1,-(nexternal-3),-1              !Find all the propagotors
+         if (iforest(1,i,iconfig) .eq. 1) tsgn=-1d0
+         do j=0,3
+            xp(j,i) = xp(j,iforest(1,i,iconfig))
+     $           +tsgn*xp(j,iforest(2,i,iconfig))
+         enddo
+         if (pwidth(i,iconfig) .ne. 0d0 .and. .false.) then
+            testamp=testamp/((dot(xp(0,i),xp(0,i))
+     $                        -pmass(i,iconfig)**2)**2
+     $         -(pmass(i,iconfig)*pwidth(i,iconfig))**2)
+         else
+            testamp = testamp/((dot(xp(0,i),xp(0,i)) -
+     $                          pmass(i,iconfig)**2)
+     $                          **(pow(i,iconfig)))
+         endif
+        testamp=testamp*shat**(pow(i,iconfig))
+c        write(*,*) i,iconfig,pow(i,iconfig),pmass(i,iconfig)
+      enddo
+c      testamp = 1d0/dot(xp(0,-1),xp(0,-1))
+      testamp=abs(testamp)
+c      testamp = 1d0
+      end
+
+      logical function cut_bw(p)
+c*****************************************************************************
+c     Approximates matrix element by propagators
+c*****************************************************************************
+      implicit none
+c
+c     Constants
+c     
+      include 'genps.inc'
+      include 'nexternal.inc'
+      double precision   zero
+      parameter (zero = 0d0)
+      include 'run.inc'
+c
+c     Arguments
+c
+      double precision p(0:3,nexternal)
+c
+c     Local
+c
+      double precision xp(0:3,-nexternal:nexternal)
+      double precision mpole(-nexternal:0),shat,tsgn
+      integer i,j,iconfig
+
+      double precision pmass(-nexternal:0,lmaxconfigs)
+      double precision pwidth(-nexternal:0,lmaxconfigs)
+      integer pow(-nexternal:0,lmaxconfigs)
+      logical first_time, onshell
+      double precision xmass
+      integer nbw
+
+      integer ida(2),idenpart
+c
+c     Global
+c
+      include 'maxamps.inc'
+      integer iforest(2,-max_branch:-1,lmaxconfigs)
+      common/to_forest/ iforest
+      integer sprop(-max_branch:-1,lmaxconfigs)
+      integer tprid(-max_branch:-1,lmaxconfigs)
+      common/to_sprop/sprop,tprid
+      integer            mapconfig(0:lmaxconfigs), this_config
+      common/to_mconfigs/mapconfig, this_config
+
+      integer        lbw(0:nexternal)  !Use of B.W.
+      common /to_BW/ lbw
+
+      logical             OnBW(-nexternal:0)     !Set if event is on B.W.
+      common/to_BWEvents/ OnBW
+      
+      include 'coupl.inc'
+
+      integer idup(nexternal,maxproc)
+      integer mothup(2,nexternal,maxproc)
+      integer icolup(2,nexternal,maxflow)
+      include 'leshouche.inc'
+
+      logical gForceBW(-max_branch:-1,lmaxconfigs)  ! Forced BW
+      include 'decayBW.inc'
+c
+c     External
+c
+      double precision dot
+
+      save pmass,pwidth,pow
+      data first_time /.true./
+c-----
+c  Begin Code
+c-----      
+      cut_bw = .false.    !Default is we passed the cut
+      iconfig = this_config
+      if (first_time) then
+         include 'props.inc'
+         nbw = 0
+         tsgn = 1d0
+         do i=-1,-(nexternal-3),-1
+            if (iforest(1,i,iconfig) .eq. 1) tsgn=-1d0
+            if (pwidth(i,iconfig) .gt. 0 .and. tsgn .eq. 1d0) then
+               nbw=nbw+1
+               if (lbw(nbw) .eq. 1) then
+                  write(*,*) 'Requiring BW ',i,nbw
+               elseif(lbw(nbw) .eq. 2) then
+                  write(*,*) 'Excluding BW ',i,nbw
+               else
+                  write(*,*) 'No cut BW ',i,nbw
+               endif
+            endif
+         enddo
+         first_time=.false.
+      endif
+
+      do i=1,nexternal
+         mpole(-i)=0d0
+         do j=0,3
+            xp(j,i)=p(j,i)
+         enddo
+      enddo
+      nbw = 0
+      tsgn    = +1d0
+      do i=-1,-(nexternal-3),-1              !Loop over propagators
+         onbw(i) = .false.
+         if (iforest(1,i,iconfig) .eq. 1) tsgn=-1d0
+         do j=0,3
+            xp(j,i) = xp(j,iforest(1,i,iconfig))
+     $           +tsgn*xp(j,iforest(2,i,iconfig))
+         enddo
+         if (tsgn .gt. 0d0 .and. pwidth(i,iconfig) .gt. 0d0 ) then !This is B.W.
+            nbw = nbw+1
+c            write(*,*) 'Checking BW',nbw
+            xmass = sqrt(dot(xp(0,i),xp(0,i)))
+c            write(*,*) 'xmass',xmass,pmass(i,iconfig)
+            onshell = (abs(xmass - pmass(i,iconfig)) .lt.
+     $           bwcutoff*pwidth(i,iconfig))
+
+c
+c           Here we set if the BW is "on-shell" for LesHouches
+c
+            if(onshell)then
+c           Only allow onshell if no "decay" to identical particle
+              OnBW(i) = .true.
+              idenpart=0
+              do j=1,2
+                ida(j)=iforest(j,i,iconfig)
+                if((ida(j).lt.0.and.sprop(i,iconfig).eq.sprop(ida(j),iconfig))
+     $             .or.(ida(j).gt.0.and.sprop(i,iconfig).eq.IDUP(ida(j),1)))
+     $             idenpart=ida(j)
+              enddo
+c           Always remove if daughter final-state
+              if(idenpart.gt.0) then
+                OnBW(i)=.false.
+c           Else remove if daughter forced to be onshell
+              elseif(idenpart.lt.0.and.gForceBW(idenpart, iconfig)) then
+                OnBW(i)=.false.
+c           Else remove daughter if forced to be onshell
+              elseif(idenpart.lt.0.and.gForceBW(i, iconfig)) then
+                OnBW(idenpart)=.false.
+c           Else remove either this resonance or daughter, which is closer to mass shell
+              elseif(idenpart.lt.0.and.abs(xmass-pmass(i,iconfig)).gt.
+     $             abs(sqrt(dot(xp(0,idenpart),xp(0,idenpart)))-
+     $             pmass(i,iconfig))) then
+                OnBW(i)=.false.
+c           Else remove OnBW for daughter
+              else if(idenpart.lt.0) then
+                OnBW(idenpart)=.false.
+              endif
+            endif
+            if (onshell .and. (lbw(nbw).eq. 2) ) cut_bw=.true.
+            if (.not. onshell .and. (lbw(nbw).eq. 1)) cut_bw=.true.
+c            write(*,*) nbw,xmass,onshell,lbw(nbw),cut_bw
+         endif
+
+      enddo
+      end
+
+
+      subroutine set_peaks
+c*****************************************************************************
+c     Attempts to determine peaks for this configuration
+c*****************************************************************************
+      implicit none
+c
+c     Constants
+c     
+      include 'genps.inc'
+      include 'nexternal.inc'
+      double precision   zero
+      parameter (zero = 0d0)
+c
+c     Arguments
+c
+c
+c     Local
+c
+      double precision  xm(-nexternal:nexternal)
+      double precision  xe(-nexternal:nexternal)
+      double precision tsgn, xo, a
+      double precision x1,x2,xk(nexternal)
+      double precision dr,mtot,etot,stot,xqfact
+      integer i, iconfig, l1, l2, j, nt, nbw
+
+      double precision pmass(-nexternal:0,lmaxconfigs)
+      double precision pwidth(-nexternal:0,lmaxconfigs)
+      integer pow(-nexternal:0,lmaxconfigs)
+
+c
+c     Global
+c
+      integer iforest(2,-max_branch:-1,lmaxconfigs)
+      common/to_forest/ iforest
+
+      integer            mapconfig(0:lmaxconfigs), this_config
+      common/to_mconfigs/mapconfig, this_config
+
+      real*8         emass(nexternal)
+      common/to_mass/emass
+
+      include 'run.inc'
+
+      double precision etmin(nincoming+1:nexternal),etamax(nincoming+1:nexternal)
+      double precision emin(nincoming+1:nexternal)
+      double precision                    r2min(nincoming+1:nexternal,nincoming+1:nexternal)
+      double precision s_min(nexternal,nexternal)
+      common/to_cuts/  etmin, emin, etamax, r2min, s_min
+
+      double precision xqcutij(nexternal,nexternal),xqcuti(nexternal)
+      common/to_xqcuts/xqcutij,xqcuti
+
+      double precision      spole(maxinvar),swidth(maxinvar),bwjac
+      common/to_brietwigner/spole          ,swidth          ,bwjac
+
+      integer        lbw(0:nexternal)  !Use of B.W.
+      common /to_BW/ lbw
+      
+      include 'coupl.inc'
+
+c
+c     External
+c
+
+c-----
+c  Begin Code
+c-----      
+      include 'props.inc'
+      stot = 4d0*ebeam(1)*ebeam(2)
+c      etmin = 10
+      nt = 0
+      iconfig = this_config
+      mtot = 0d0
+      etot = 0d0   !Total energy needed
+      xqfact=1d0
+      if(ickkw.eq.2.or.ktscheme.eq.2) xqfact=0.3d0
+      do i=nincoming+1,nexternal  !assumes 2 incoming
+         xm(i)=emass(i)
+c-fax
+         xe(i)=max(emass(i),max(etmin(i),0d0))
+         xe(i)=max(xe(i),max(emin(i),0d0))
+c-JA 1/2009: Set grid also based on xqcut
+         xe(i)=max(xe(i),xqfact*xqcuti(i))
+         xk(i)= 0d0
+         etot = etot+xe(i)
+         mtot=mtot+xm(i)         
+      enddo
+      tsgn    = +1d0
+      nbw = 0
+      do i=-1,-(nexternal-3),-1              !Find all the propagotors
+         if (iforest(1,i,iconfig) .eq. 1) tsgn=-1d0
+         if (tsgn .eq. 1d0) then                         !s channel
+            xm(i) = xm(iforest(1,i,iconfig))+xm(iforest(2,i,iconfig))
+            xe(i) = xe(iforest(1,i,iconfig))+xe(iforest(2,i,iconfig))
+            mtot = mtot - xm(i)
+            etot = etot - xe(i)
+            if (iforest(1,i,iconfig) .gt. 0
+     &           .and. iforest(2,i,iconfig) .gt. 0) then
+c-JA 1/2009: Set deltaR cuts here together with s_min cuts
+              l1 = iforest(1,i,iconfig)
+              l2 = iforest(2,i,iconfig)
+              xm(i)=max(xm(i),sqrt(max(s_min(l1,l2),0d0)))
+              dr = max(r2min(l1,l2)*dabs(r2min(l1,l2)),0d0)*0.8d0
+              xm(i)=max(xm(i),
+     &           sqrt(max(etmin(l2),0d0)*max(etmin(l1),0d0)*dr))
+c-JA 1/2009: Set grid also based on xqcut
+              xm(i)=max(xm(i),sqrt(max(xqcutij(l1,l2),0d0)))
+              xe(i)=max(xe(i),xm(i))
+            endif
+c            write(*,*) 'iconfig,i',iconfig,i
+c            write(*,*) pwidth(i,iconfig),pmass(i,iconfig)
+            if (pwidth(i,iconfig) .gt. 0) nbw=nbw+1
+            if (pwidth(i,iconfig) .gt. 0 .and. lbw(nbw) .le. 1) then         !B.W.
+c               nbw = nbw +1
+
+               if (i .eq. -(nexternal-(nincoming+1))) then  !This is s-hat
+                  j = 3*(nexternal-2)-4+1    !set i to ndim+1
+c-----
+c tjs 11/2008 if require BW then force even if worried about energy
+c----
+                  if(pmass(i,iconfig).ge.xe(i) .or. lbw(nbw).eq.1) then
+                     write(*,*) 'Setting PDF BW',j,nbw,pmass(i,iconfig)
+                     spole(j)=pmass(i,iconfig)*pmass(i,iconfig)/stot
+                     swidth(j) = pwidth(i,iconfig)*pmass(i,iconfig)/stot
+                     xm(i) = pmass(i,iconfig)
+                  else
+                     spole(j)=0d0
+                     swidth(j) = 0d0
+                  endif
+               else
+                  write(*,*) 'Setting BW',i,nbw,pmass(i,iconfig)
+                  spole(-i)=pmass(i,iconfig)*pmass(i,iconfig)/stot
+                  swidth(-i) = pwidth(i,iconfig)*pmass(i,iconfig)/stot
+                  xm(i) = pmass(i,iconfig)
+c RF & TJS, should start from final state particle masses, not only at resonance.
+c Therefore remove the next line.
+c                  xe(i) = max(xe(i),xm(i))
+               endif
+            else                                  !1/x^pow
+c-JA 1/2009: Comment out this whole section, since it only sets (wrong) xm(i)
+c               if (xm(i) - pmass(i,iconfig) .le. 0d0) then !Can hit pole
+cc                  write(*,*) 'Setting new min',i,xm(i),pmass(i,iconfig)
+c                  l1 = iforest(1,i,iconfig)                  !need dr cut
+c                  l2 = iforest(2,i,iconfig)
+c                  if (l2 .lt. l1) then
+c                     j = l1
+c                     l1 = l2
+c                     l2 = j
+c                  endif
+c                  dr = 0
+cc-fax
+c                  if (l1 .gt. 0) 
+c     &  dr = max(r2min(l2,l1)*dabs(r2min(l2,l1)),0d0) !dr only for external
+cc                  write(*,*) 'using r2min',l2,l1,sqrt(dr)
+c                  dr = dr*.8d0                        !0.8 to hit peak hard
+c                  xo = 0.5d0*pmass(i,iconfig)**2      !0.5 to hit peak hard
+cc-fax
+c                  if (dr .gt. 0d0) 
+c     &            xo = max(xo,max(etmin(l2),0d0)*max(etmin(l1),0d0)*dr)
+cc                  write(*,*) 'Got dr',i,l1,l2,dr
+cc------
+cctjs 11/2008  if explicitly missing pole, don't want to include mass in xm
+cc-----
+c                 if (pwidth(i,iconfig) .le. 0) then
+cc                     write(*,*) "Including mass",i,pmass(i,iconfig)
+c                    xo = xo+pmass(i,iconfig)**2
+c                 else
+cc                     write(*,*) "Skipping mass", i,pmass(i,iconfig),sqrt(xo)
+c                 endif
+cc                  write(*,*) 'Setting xm',i,xm(i),sqrt(xo)
+c                  xm(i) = sqrt(xo)    !Reset xm to realistic minimum
+c                  xo = xo/stot
+cc                  xo = sqrt(pmass(i,iconfig)**2+ pmass(i,iconfig)**2)
+cc-fax
+cc                  xo = pmass(i,iconfig)+max(etmin,0d0)
+c               else
+c                  write(*,*) 'Using xm',i,xm(i)
+c                  xo = xm(i)**2/stot
+c               endif
+              xo = xm(i)**2/stot
+              a=pmass(i,iconfig)**2/stot
+c               call setgrid(-i,xo,a,pow(i,iconfig))
+c               write(*,*) 'Enter minimum for ',-i, xo
+c               read(*,*) xo
+
+
+               if (pwidth(i,iconfig) .eq. 0) call setgrid(-i,xo,a,1)
+               if (pwidth(i,iconfig) .gt. 0) then
+                  write(*,*) 'Using flat grid for BW',i,nbw,
+     $                 pmass(i,iconfig)
+               endif
+            endif
+c            xe(i) = max(xm(i),xe(i))               
+            etot = etot+xe(i)
+            mtot=mtot+max(xm(i),xm(i))
+c            write(*,*) 'New mtot',i,mtot,xm(i)
+         else                                        !t channel
+c
+c     Check closest to p1
+c
+            nt = nt+1
+            l2 = iforest(2,i,iconfig) !need dr cut
+            x1 = 0            
+c-fax
+c-JA 1/2009: Set grid also based on xqcut
+            if (l2 .gt. 0) x1 = max(etmin(l2),max(xqfact*xqcuti(l2),0d0))
+            x1 = max(x1, xm(l2)/1d0)
+            if (nt .gt. 1) x1 = max(x1,xk(nt-1))
+            xk(nt)=x1
+c            write(*,*) 'Using 1',l2,x1
+
+c
+c     Check closest to p2
+c
+            j = i-1
+            l2 = iforest(2,j,iconfig)
+            x2 = 0
+c-JA 1/2009: Set grid also based on xqcut
+            if (l2 .gt. 0) x2 = max(etmin(l2),max(xqfact*xqcuti(l2),0d0))
+c            if (l2 .gt. 0) x2 = max(etmin(l2),0d0)
+            x2 = max(x2, xm(l2)/1d0)
+c            if (nt .gt. 1) x2 = max(x2,xk(nt-1))
+            
+c            write(*,*) 'Using 2',l2,x2
+
+            xo = min(x1,x2)
+
+            xo = xo*xo/stot
+            a=-pmass(i,iconfig)**2/stot
+c            call setgrid(-i,xo,a,pow(i,iconfig))
+
+c               write(*,*) 'Enter minimum for ',-i, xo
+c               read(*,*) xo
+
+             if (i .ne. -1 .or. .true.) call setgrid(-i,xo,a,1)
+         endif
+      enddo
+      if (abs(lpp(1)) .eq. 1 .or. abs(lpp(2)) .eq. 1) then
+         write(*,*) 'etot',etot,nexternal
+         xo = etot**2/stot
+         i = 3*(nexternal-2) - 4 + 1
+c-----------------------
+c     tjs  4/29/2008 use analytic transform for s-hat
+c-----------------------
+         if (swidth(i) .eq. 0d0) then
+            swidth(i) = xo
+            spole(i)= -2.0d0    ! 1/s pole
+            write(*,*) "Transforming s_hat 1/s ",i,xo
+         else
+            write(*,*) "Transforming s_hat BW ",spole(i),swidth(i)
+         endif
+c-----------------------
+         if (swidth(i) .eq. 0d0) then
+            call setgrid(i,xo,0d0,1)
+         endif
+      endif
+
+      i=-8
+c      write(*,*) 'Enter minimum for ',-i, xo
+c      read(*,*) xo      
+c      if (xo .gt. 0)      call setgrid(-i,xo,a,1)
+
+      i=-10
+c      write(*,*) 'Enter minimum for ',-i, xo
+c      read(*,*) xo      
+c      if (xo .gt. 0) call setgrid(-i,xo,a,1)
+
+      end
+
+
+
+c      subroutine find_matches(iconfig,isym)
+cc*****************************************************************************
+cc     Finds all of the matches to see what gains may be possible
+cc*****************************************************************************
+c      implicit none
+cc
+cc     Constants
+cc     
+c      include 'genps.inc'
+c      double precision   zero
+c      parameter (zero = 0d0)
+cc
+cc     Arguments
+cc
+c      integer iconfig,isym(0:10)
+cc
+cc     Local
+cc
+c      integer i,j, nc, imatch
+c      double precision tprop(3,nexternal),xprop(3,nexternal)
+cc
+cc     Global
+cc
+c      integer iforest(2,-max_branch:-1,lmaxconfigs)
+c      common/to_forest/ iforest
+c
+c      integer            mapconfig(0:lmaxconfigs), this_config
+c      common/to_mconfigs/mapconfig, this_config
+c
+cc      include 'coupl.inc'
+cc      include 'configs.inc'
+cc
+cc     External
+cc
+c
+cc-----
+cc  Begin Code
+cc-----      
+cc
+cc     First get peaks for configuration interested in
+cc
+c      if (.false.) then
+c         isym(0)=1
+c         isym(1)=iconfig
+c      else
+c         call get_peaks(iconfig,tprop)
+c         isym(0)=0
+c         do i=1,mapconfig(0)
+c            call get_peaks(i,xprop)
+cc        call sort_prop(xprop)
+c            call match_peak(tprop,xprop,imatch)
+c            if (imatch .eq. 1) then
+c               write(*,*) 'Found Match',iconfig,i
+c               isym(0)=isym(0)+1
+c               isym(isym(0)) = i
+c            endif
+c         enddo
+c      endif
+c      write(*,'(20i4)') (isym(i),i=0,isym(0))
+c      end
+c
+c      subroutine find_all_matches()
+cc*****************************************************************************
+cc     Finds all of the matches to see what gains may be possible
+cc*****************************************************************************
+c      implicit none
+cc
+cc     Constants
+cc     
+c      include 'genps.inc'
+c      double precision   zero
+c      parameter (zero = 0d0)
+cc
+cc     Arguments
+cc
+c      double precision tprop(3,nexternal),xprop(3,nexternal)
+c      integer iconfig
+cc
+cc     Local
+cc
+c      integer i,j, nc, imatch
+c      logical gm(lmaxconfigs)
+cc
+cc     Global
+cc
+c      integer iforest(2,-max_branch:-1,lmaxconfigs)
+c      common/to_forest/ iforest
+c
+c      integer            mapconfig(0:lmaxconfigs), this_config
+c      common/to_mconfigs/mapconfig, this_config
+c
+cc      include 'coupl.inc'
+cc      include 'configs.inc'
+cc
+cc     External
+cc
+c
+cc-----
+cc  Begin Code
+cc-----      
+c      nc = 0
+c      do i=1,mapconfig(0)
+c         gm(i)=.false.
+c      enddo
+c      do j=1,mapconfig(0)
+c         if (.not. gm(j)) then
+c            nc=nc+1
+cc            write(*,*) 'Need config ',j
+c            call get_peaks(j,tprop)
+cc            call sort_prop(tprop)
+c            write(*,'(i4,4e12.4)') j,(tprop(1,i), i=1,4)
+c            do i=j+1,mapconfig(0)
+c               call get_peaks(i,xprop)
+cc               call sort_prop(xprop)
+c               call match_peak(tprop,xprop,imatch)
+c               if (imatch .eq. 1) then
+c                  write(*,*) 'Found Match',j,i
+c                  gm(i)=.true.
+c               endif
+c            enddo
+c         endif
+c      enddo
+c      write(*,*) 'Found matches',mapconfig(0),nc
+c      stop
+c      end
+
+c      subroutine sort_prop(xprop)
+cc*****************************************************************************
+cc     Sort props in order from min to max based on 1st component only
+cc*****************************************************************************
+c      implicit none
+cc
+cc     Constants
+cc     
+c      include 'genps.inc'
+c      double precision   zero
+c      parameter (zero = 0d0)
+cc
+cc     Arguments
+cc
+c      double precision xprop(3,nexternal)
+cc
+cc     Local
+cc
+c      integer i,j,imin
+c      double precision temp(3,nexternal),xmin
+c      logical used(nexternal)
+cc
+cc     Global
+cc
+cc
+cc     External
+cc
+cc-----
+cc  Begin Code
+cc-----      
+c      do i=1,nexternal-3
+c         used(i)=.false.
+c      enddo
+c      do j=1,nexternal-3
+c         do i=1,nexternal-3
+c            xmin = 2d0
+c            if (.not. used(i) .and. xprop(1,i) .lt. xmin) then
+c               xmin = xprop(1,i)
+c               imin = i
+c            endif
+c         enddo
+c         do i=1,3
+c            temp(i,j)=xprop(i,imin)
+c         enddo
+c         used(i)=.true.
+c      enddo
+c      do i=1,nexternal-3
+c         do j=1,3
+c            xprop(j,i)=temp(j,i)
+c         enddo
+c      enddo
+c      end
+c
+c
+c      subroutine match_peak(tprop,xprop,imatch)
+cc*****************************************************************************
+cc     Determines if two sets of peaks are equivalent
+cc*****************************************************************************
+c      implicit none
+cc
+cc     Constants
+cc     
+c      include 'genps.inc'
+c      double precision   zero
+c      parameter (zero = 0d0)
+cc
+cc     Arguments
+cc
+c      double precision xprop(3,nexternal),tprop(3,nexternal)
+c      integer imatch
+cc
+cc     Local
+cc
+c      integer i,j
+cc
+cc     Global
+cc
+cc
+cc     External
+cc
+cc-----
+cc  Begin Code
+cc-----      
+c      imatch = 1                     !By default assume match
+c      do i=1,nexternal-3
+c         do j=1,3
+c            if (tprop(j,i) .ne. xprop(j,i)) imatch=0
+c         enddo
+c      enddo
+c      end
+
+c      subroutine get_peaks(iconfig,xt)
+cc*****************************************************************************
+cc     Attempts to determine peaks for this configuration
+cc*****************************************************************************
+c      implicit none
+cc
+cc     Constants
+cc     
+c      include 'genps.inc'
+c      double precision   zero
+c      parameter (zero = 0d0)
+cc
+cc     Arguments
+cc
+c      double precision xt(3,nexternal)
+c      integer iconfig
+c
+cc
+cc     Local
+cc
+c      double precision  xm(-nexternal:nexternal)
+c      double precision tsgn, xo, a
+c      double precision x1,x2
+c      double precision dr,mtot, stot
+c      integer i, l1, l2, j
+c
+c      double precision pmass(-nexternal:0,lmaxconfigs)
+c      double precision pwidth(-nexternal:0,lmaxconfigs)
+c      integer pow(-nexternal:0,lmaxconfigs)
+c
+c      integer imatch(0:lmaxconfigs)
+c
+cc
+cc     Global
+cc
+c      integer iforest(2,-max_branch:-1,lmaxconfigs)
+c      common/to_forest/ iforest
+c
+c      integer            mapconfig(0:lmaxconfigs), this_config
+c      common/to_mconfigs/mapconfig, this_config
+c
+c      real*8         emass(nexternal)
+c      common/to_mass/emass
+c
+c      include 'run.inc'
+c
+c      double precision etmin(nincoming+1:nexternal),etamax(nincoming+1:nexternal)
+c      double precision emin(nincoming+1:nexternal)
+c      double precision                    r2min(nincoming+1:nexternal,nincoming+1:nexternal)
+c      double precision s_min(nexternal,nexternal)
+c      common/to_cuts/  etmin, emin, etamax, r2min, s_min
+c
+c      double precision      spole(maxinvar),swidth(maxinvar),bwjac
+c      common/to_brietwigner/spole          ,swidth          ,bwjac
+c      
+c      include 'coupl.inc'
+cc      include 'props.inc'
+c
+cc
+cc     External
+cc
+c
+cc-----
+cc  Begin Code
+cc-----      
+c      stot = 4d0*ebeam(1)*ebeam(2)
+cc      iconfig = this_config
+c      mtot = 0d0
+c      do i=1,nexternal
+c         xm(i)=emass(i)
+c         mtot=mtot+xm(i)
+c      enddo
+c      tsgn    = +1d0
+c      do i=-1,-(nexternal-3),-1              !Find all the propagotors
+c         if (iforest(1,i,iconfig) .eq. 1) tsgn=-1d0
+c         if (tsgn .eq. 1d0) then                         !s channel
+c            xm(i) = xm(iforest(1,i,iconfig))+xm(iforest(2,i,iconfig))
+c            mtot = mtot - xm(i)
+c            if (pwidth(i,iconfig) .gt. 0) then    !B.W.
+c               write(*,*) 'Setting BW',i,pmass(i,iconfig)
+c               spole(-i)=pmass(i,iconfig)*pmass(i,iconfig)/stot
+c               swidth(-i) = pwidth(i,iconfig)*pmass(i,iconfig)/stot
+c               xm(i) = pmass(i,iconfig)
+c               xt(1,-i) = spole(-i)
+c               xt(2,-i) = swidth(-i)
+c               xt(3,-i) = 2
+c            else                                  !1/x^pow
+c               if (xm(i) - pmass(i,iconfig) .le. 0d0) then !Can hit pole
+cc                  write(*,*) 'Setting new min',i,xm(i),pmass(i,iconfig)
+c                  l1 = iforest(1,i,iconfig)                  !need dr cut
+c                  l2 = iforest(2,i,iconfig)
+c                  if (l2 .lt. l1) then
+c                     j = l1
+c                     l1 = l2
+c                     l2 = j
+c                  endif
+c                  dr = 0
+cc-fax
+c                  if (l1 .gt. 0) 
+c     &  dr = max(r2min(l2,l1)*dabs(r2min(l2,l1)),0d0) !dr only for external
+c                  dr = dr*.8d0                        !0.8 to hit peak hard
+c                  xo = 0.5d0*pmass(i,iconfig)**2      !0.5 to hit peak hard
+cc-fax
+c                  if (dr .gt. 0d0) 
+c     &            xo = max(xo,max(etmin(l2),0d0)*max(etmin(l1),0d0)*dr)
+cc                  write(*,*) 'Got dr',i,l1,l2,dr
+c                  xo = xo+pmass(i,iconfig)**2
+cc                  write(*,*) 'Setting xm',i,xm(i),sqrt(xo)
+c                  xm(i) = sqrt(xo)    !Reset xm to realistic minimum
+c                  xo = xo/stot
+cc                  xo = sqrt(pmass(i,iconfig)**2+ pmass(i,iconfig)**2)
+cc-fax
+cc                  xo = pmass(i,iconfig)+max(etmin,0d0)
+c               else
+cc                  write(*,*) 'Using xm',i,xm(i)
+c                  xo = xm(i)**2/stot
+c               endif
+c               a=pmass(i,iconfig)**2/stot
+cc               call setgrid(-i,xo,a,pow(i,iconfig))
+cc               call setgrid(-i,xo,a,1)
+c               xt(1,-i) = xo
+c               xt(2,-i) = a
+c               xt(3,-i) = 1
+c            endif
+c            mtot=mtot+xm(i)
+cc            write(*,*) 'New mtot',i,mtot,xm(i)
+c         else                                        !t channel
+cc
+cc     Check closest to p1
+cc
+c            l2 = iforest(2,i,iconfig) !need dr cut
+c            x1 = 0
+cc-fax
+c            if (l2 .gt. 0) x1 = max(etmin(l2),0d0)
+c            x1 = max(x1, xm(l2)/2d0)
+cc            write(*,*) 'Using 1',l2,x1
+c
+cc
+cc     Check closest to p2
+cc
+c            j = i-1
+c            l2 = iforest(2,j,iconfig)
+c            x2 = 0
+cc-fax
+c            if (l2 .gt. 0) x2 = max(etmin(l2),0d0)
+c            x2 = max(x2, xm(l2)/2d0)
+c            
+cc            write(*,*) 'Using 2',l2,x2
+c
+c            xo = min(x1,x2)
+c
+c            xo = xo*xo/stot
+c            a=-pmass(i,iconfig)**2/stot
+cc            call setgrid(-i,xo,a,pow(i,iconfig))
+cc            call setgrid(-i,xo,a,1)
+c               xt(1,-i) = xo
+c               xt(2,-i) = a
+c               xt(3,-i) = 1
+c         endif
+c      enddo
+cc---------------------
+cc     tjs routine for x-hat
+cc------------------------
+c      if (abs(lpp(1)) .eq. 1 .or. abs(lpp(2)) .eq. 1) then
+c         write(*,*) "setting s_hat",mtot,sqrt(stot)
+c         xo = mtot**2/stot
+c         i = 3*(nexternal-2) - 4 + 1
+cc         call setgrid(i,xo,0d0,1)
+c      endif
+c      end
+
+
+c       subroutine writeamp(p)
+cc
+cc     Constants
+cc     
+c      include 'genps.inc'
+cc
+cc     Arguments
+cc
+c      double precision p(0:3,nexternal)
+cc
+cc     Local
+cc
+c      double precision xp(0:3,-nexternal:nexternal)
+c      integer i,j,iconfig
+cc
+cc     Global
+cc
+c      integer iforest(2,-max_branch:-1,lmaxconfigs)
+c      common/to_forest/ iforest
+c
+c      integer            mapconfig(0:lmaxconfigs), this_config
+c      common/to_mconfigs/mapconfig, this_config
+c
+cc
+cc     External
+cc
+c      double precision dot
+cc-----
+cc  Begin Code
+cc-----
+c      iconfig = this_config
+c      do i=1,nexternal
+c         do j=0,3
+c            xp(j,i)=p(j,i)
+c         enddo
+c      enddo
+c      shat = dot(p(0,1),p(0,2))
+c      testamp = 1d0
+c      tsgn    = +1d0
+c      do i=-1,-(nexternal-3),-1              !Find all the propagotors
+c         if (iforest(1,i,iconfig) .eq. 1) tsgn=-1d0
+c         do j=0,3
+c            xp(j,i) = xp(j,iforest(1,i,iconfig))
+c     $           +tsgn*xp(j,iforest(2,i,iconfig))
+c         enddo
+cc         testamp=testamp*shat/(dot(xp(0,i),xp(0,i)))**2
+cc         testamp=testamp**2
+c      enddo
+c      if(nexternal.gt.3)
+c     $   write(*,'(A,4e15.5)') 'V',(dot(xp(0,-i),xp(0,-i)),i=1,nexternal-3)
+cc      testamp=abs(testamp)
+c      end
+c
+c
+c      subroutine histamp(p,dwgt)
+cc
+cc     Constants
+cc     
+c      include 'genps.inc'
+cc
+cc     Arguments
+cc
+c      double precision p(0:3,nexternal),dwgt
+cc
+cc     Local
+cc
+c      double precision xp(0:3,-nexternal:nexternal)
+c      integer i,j,iconfig
+c      real wgt
+cc
+cc     Global
+cc
+c      integer iforest(2,-max_branch:-1,lmaxconfigs)
+c      common/to_forest/ iforest
+c
+c      integer            mapconfig(0:lmaxconfigs), this_config
+c      common/to_mconfigs/mapconfig, this_config
+c
+cc
+cc     External
+cc
+c      double precision dot
+cc-----
+cc  Begin Code
+cc-----
+c      wgt = dwgt
+c      iconfig = this_config
+c      do i=1,nexternal
+c         do j=0,3
+c            xp(j,i)=p(j,i)
+c         enddo
+c      enddo
+c      shat = dot(p(0,1),p(0,2))
+c      testamp = 1d0
+c      tsgn    = +1d0
+c      do i=-1,-(nexternal-3),-1              !Find all the propagotors
+c         if (iforest(1,i,iconfig) .eq. 1) tsgn=-1d0
+c         do j=0,3
+c            xp(j,i) = xp(j,iforest(1,i,iconfig))
+c     $           +tsgn*xp(j,iforest(2,i,iconfig))
+c         enddo
+c      enddo
+c      do i=1,nexternal-3
+cc         write(*,*) sqrt(abs(dot(xp(0,-i),xp(0,-i)))),wgt
+c         call hfill(10+i,real(sqrt(abs(dot(xp(0,-i),xp(0,-i))))),0.,wgt)
+c      enddo
+c      end
+c
+c
+c      subroutine check_limits(p,xlimit, iconfig)
+cc*************************************************************************
+cc     Checks limits on all of the functions being integrated
+cc*************************************************************************
+c      implicit none
+cc
+cc     Constants
+cc
+c      include 'genps.inc'
+cc
+cc     Arguments
+cc
+c      double precision p(0:3,nexternal), xlimit(2,nexternal)
+c      integer iconfig
+cc
+cc     Local
+cc
+c      double precision xp(0:3,-nexternal:nexternal), tsgn
+c      double precision sm
+c      integer ik(4)
+c      integer i,j, k1,k2
+cc
+cc     Global
+cc
+c      integer iforest(2,-max_branch:-1,lmaxconfigs)
+c      common/to_forest/ iforest
+c      integer            mapconfig(0:lmaxconfigs), this_config
+c      common/to_mconfigs/mapconfig, this_config
+cc
+cc     External
+cc
+c      double precision dot
+c      external dot
+c
+cc      data ik/1,2,3,0/
+cc-----
+cc  Begin Code
+cc-----
+cc
+cc     Transform from rambo(1:4) format to helas (0:3)
+cc     
+c      do i=1,nexternal
+c         do j=0,3
+c            xp(j,i)=p(j,i)
+c         enddo
+c      enddo
+cc
+cc     Now build propagators
+cc      
+c      tsgn=+1d0
+c      do i=-1,-(nexternal-3),-1
+c         if (iforest(1,i,iconfig) .eq. 1) tsgn=-1d0
+c         k1=iforest(1,i,iconfig)
+c         k2=iforest(2,i,iconfig)
+c         do j=0,3
+c            xp(j,i)=xp(j,k1)+tsgn*xp(j,k2)
+c         enddo
+c         sm = tsgn*dot(xp(0,i),xp(0,i))
+c         if (sm .lt. xlimit(1,-i)) then
+c            xlimit(1,-i)=sm
+cc            write(*,*) 'New limit',-i,sm
+c         endif
+c         if (sm .gt. xlimit(2,-i)) then
+c            xlimit(2,-i)=sm
+cc            write(*,*) 'New limit',-i,sm
+c         endif
+c      enddo
+c      end
+c

=== added file 'Template/SubProcesses/projection.f'
--- Template/SubProcesses/projection.f	1970-01-01 00:00:00 +0000
+++ Template/SubProcesses/projection.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,2046 @@
+c++++++++++++++++++++++
+c  CONTENT
+c++++++++++++++++++++++
+ 
+c      real*8  function PROJ_ETA(P,NHEL,IC)
+c      real*8 function PROJ_psi(P,NHEL,IC)
+c      real*8 function PROJ_PSI_REL(P,NHEL,IC)
+c      real*8 function PROJ_CHI(P,NHEL,IC,J_qn)
+c      real*8 function PROJ_H(P,NHEL,IC)
+c      real*8 function PROJ_PSILEPT(P,NHEL,IC)
+
+c      subroutine spin_projection(P,NHEL,IC,TEMP)
+c      subroutine spin_singlet_proj(P,NHEL,IC,TEMP)
+c      subroutine pseudoscalar(P1,P2,LAMBDA1,LAMBDA2,MC,PS)
+c      subroutine pseudoscalar0(P1,P2,LAMBDA1,LAMBDA2,M1,M2,PS)
+c      subroutine vector0(P1,P2,LAMBDA1,LAMBDA2,M1,M2,jio)
+c      subroutine VECTOR(P1,P2,LAMBDA1,LAMBDA2,MQ,jio)
+c      subroutine vectorBc(P1,P2,LAMBDA1,LAMBDA2,M1,M2,jio)
+c      subroutine leptonic_current(k1,k2,l1,l2,mq, jio)
+c      subroutine genmom_lept(P,x,k1,k2,three_k1)
+c      SUBROUTINE polariz(P,EPS)
+c      subroutine get_helicity(P,eps)
+c      subroutine get_helicity2(P,eps)
+
+
+
+      real*8  function PROJ_ETA(P,NHEL,IC)
+C
+C******************************************************************************
+C     THIS FUNCTION PROJECTS THE AMPLITUDE ONTO A CC~(3S1) STATE               * 
+C     AND SQUARE IT                                                           *
+C     THE ROUTINE IS UNIVERSAL                                                *
+C******************************************************************************
+C
+      implicit none
+      include 'nexternal.inc'
+      include 'coupl.inc'
+      include 'color_data.inc'
+C
+C     PARAMETERS
+C
+      INTEGER  NEXT_AMP                    ! number of  particles
+      PARAMETER (NEXT_AMP=NEXTERNAL+1)     ! # of external particles before the projection
+C
+C     ARGUMENTS
+C
+      double precision  P(0:3,NEXTERNAL)
+      INTEGER NHEL(NEXTERNAL), IC(NEXTERNAL)
+C
+C     LOCAL VARIABLES
+C
+C         1. for the projection
+      INTEGER NHEL_AMP(next_amp),IC_AMP(next_amp), L1,L2,J,K,n
+      DOUBLE COMPLEX PS
+      DOUBLE PRECISION P_AMP(0:3,next_amp),
+     &                  P1(0:3),P2(0:3)  ! MOMENTA OF c AND c~ 
+     & , weight1,weight2
+C
+      COMPLEX*16 JAMP(NCOLOR)
+      DOUBLE COMPLEX PROJAMP(NCOLOR)
+C
+C         2.  to  square the amplitude
+      COMPLEX*16 ZTEMP
+C
+c--masses
+      DOUBLE PRECISION       qmass(2)
+      COMMON/to_qmass/qmass      
+C
+C----
+C  Begin code
+C----
+C     SPECIFYING THE MOMENTA OF C,C~ + THE TOTAL MOMENTUM
+C
+
+      weight1=qmass(1)/(qmass(1)+qmass(2))
+      weight2=qmass(2)/(qmass(1)+qmass(2))
+
+      DO L1=0,3
+      DO L2=1, next_amp-2
+      P_AMP(L1,L2)=P(L1,L2)
+      ENDDO
+      P_AMP(L1,next_amp-1)=P(L1,nexternal)*weight1
+      P_AMP(L1,next_amp)=P(L1,nexternal)*weight2
+      P1(L1)=P(L1,nexternal)*weight1
+      P2(L1)=P(L1,nexternal)*weight2
+      ENDDO
+C
+C     RECORD THE POLARIZATIONS
+C
+      DO J=1,next_amp-2
+      NHEL_AMP(J)=NHEL(J)
+      IC_AMP(J)=IC(J)
+      ENDDO
+      IC_AMP(next_amp-1)=1
+      IC_AMP(next_amp)=1
+C
+C************************************* 
+C     START THE SUM   
+C************************************* 
+C
+C     INITIALIZATION
+C
+      DO K=1,NCOLOR
+       projamp(K)=(0.0D0,0.0D0)
+      ENDDO
+
+      DO L1=-1,1,2  ! SUM OVER HELICITIES
+      DO L2=-1,1,2
+      NHEL_AMP(next_amp-1)=L1
+      NHEL_AMP(next_amp)=L2 
+c      write(*,*) 'P1',P1
+c      write(*,*) 'P2',P2
+c      write(*,*) 'L1',L1
+c      write(*,*) 'L2',L2
+      CALL pseudoscalar0(P1,P2,L1,L2,qmass(1),
+     & qmass(2),PS)
+c      write(*,*) 'PS',PS
+      CALL matrix(P_AMP,NHEL_AMP,IC_AMP,JAMP)
+c      write(*,*) 'Jamp',Jamp
+C 
+      DO K=1, NCOLOR    ! INDEX OF JAMP
+          projamp(K)=projamp(K)+JAMP(K)*PS  ! THE COLOR FACTOR IS INCLUDED IN SQAMP
+      ENDDO
+C  
+      ENDDO
+      ENDDO
+C       
+C************************************ 
+C    SQUARE THE AMPLITUDE
+C***********************************
+C
+      PROJ_ETA = 0.D0
+      DO n = 1, NCOLOR
+          ZTEMP = (0.D0,0.D0)
+          DO J = 1, NCOLOR
+              ZTEMP = ZTEMP + CF(J,n)*PROJAMP(J)
+          ENDDO
+          PROJ_ETA =PROJ_ETA
+     &         +dble(ZTEMP*DCONJG(PROJAMP(n))/DENOM(n))
+      ENDDO
+      RETURN 
+      END 
+C
+      real*8 function PROJ_psi(P,NHEL,IC)
+C
+C******************************************************************************
+C     THIS FUNCTION PROJECT THE AMPLITUDE ONTO A QQ~(3S1) STATE               * 
+C     AND SQUARE IT                                                           *
+C     THE ROUTINE IS UNIVERSAL                                                *
+C******************************************************************************
+C
+      implicit none
+      include 'nexternal.inc'
+      include 'coupl.inc'
+      include 'color_data.inc'
+C
+C     PARAMETERS
+C
+      INTEGER  NEXT_AMP                   
+      PARAMETER (NEXT_AMP=NEXTERNAL+1)     ! # of external particles before the projection
+C
+C     ARGUMENTS
+C
+      REAL*8 P(0:3,NEXTERNAL)
+      INTEGER NHEL(NEXTERNAL), IC(NEXTERNAL)
+C
+C     LOCAL VARIABLES
+C
+C         1. for the projection
+      INTEGER NHEL_AMP(next_amp),IC_AMP(next_amp), L1,L2,J,K
+      DOUBLE COMPLEX JIO(6),TEMP(4,NCOLOR)
+      DOUBLE PRECISION P_AMP(0:3,next_amp),
+     &                  P1(0:3),P2(0:3),PTOT(0:3)   ! MOMENTA OF c AND c~ AND TOTAL MOMENTUM
+      DOUBLE complex EPS(0:3,-1:1)
+C
+      COMPLEX*16 JAMP(NCOLOR)
+      DOUBLE COMPLEX PROJAMP(NCOLOR)
+C
+C         2.  to  square the amplitude
+      COMPLEX*16 ZTEMP
+C
+c--masses
+      DOUBLE PRECISION       qmass(2)
+      COMMON/to_qmass/qmass      
+      DOUBLE PRECISION weight1,weight2
+C
+C----
+C  Begin code
+C----
+C     SPECIFYING THE MOMENTA OF C,C~ + THE TOTAL MOMENTUM
+C
+
+      weight1=qmass(1)/(qmass(1)+qmass(2))
+      weight2=qmass(2)/(qmass(1)+qmass(2))
+
+      DO L1=0,3
+      DO L2=1, next_amp-2
+      P_AMP(L1,L2)=P(L1,L2)
+      ENDDO
+      P_AMP(L1,next_amp-1)=P(L1,nexternal)*weight1
+      P_AMP(L1,next_amp)=P(L1,nexternal)*weight2
+      P1(L1)=P(L1,nexternal)*weight1
+      P2(L1)=P(L1,nexternal)*weight2
+      PTOT(L1)=P1(L1)+P2(L1)
+      ENDDO
+
+C
+C     RECORD THE POLARIZATIONS
+C
+      DO J=1,next_amp-2
+      NHEL_AMP(J)=NHEL(J)
+      IC_AMP(J)=IC(J)
+      ENDDO
+      IC_AMP(next_amp-1)=1
+      IC_AMP(next_amp)=1
+C
+C************************************* 
+C     START THE SUM   
+C************************************* 
+C
+C     INITIALIZATION
+C
+      DO J=1,4,1
+      DO K=1,NCOLOR
+       TEMP(J,K)=(0.0D0,0.0D0)
+      ENDDO
+      ENDDO
+
+      DO L1=-1,1,2  ! SUM OVER HELICITIES
+      DO L2=-1,1,2
+      NHEL_AMP(next_amp-1)=L1
+      NHEL_AMP(next_amp)=L2  
+      CALL VECTOR0(P1,P2,L1,L2,qmass(1),qmass(2),JIO)
+
+
+      CALL matrix(P_AMP,NHEL_AMP,IC_AMP,JAMP)
+C 
+C 
+      DO K=1, NCOLOR    ! INDEX OF JAMP
+          DO J=1,4,1   ! PAY ATTENTION TO THE RANGE : J IN [1,4]
+          TEMP(J,K)=TEMP(J,K)+JAMP(K)*JIO(J)  ! THE COLOR FACTOR IS INCLUDED IN SQAMP
+          ENDDO
+      ENDDO
+C 
+      ENDDO
+      ENDDO
+C       
+c       CALL polariz(PTOT,EPS)
+       CALL get_helicity2(PTOT,EPS,(qmass(1)+qmass(2)))
+
+C
+      DO K=1,NCOLOR
+      PROJAMP(K)=TEMP(1,K)*EPS(0,NHEL(nexternal))-
+     &  TEMP(2,K)*EPS(1,NHEL(nexternal))-
+     & TEMP(3,K)*EPS(2,NHEL(nexternal))- 
+     & TEMP(4,K)*EPS(3,NHEL(nexternal))
+      ENDDO
+C     
+
+C************************************ 
+C    SQUARE THE AMPLITUDE
+C***********************************
+C
+      PROJ_PSI = 0.D0
+      DO I = 1, NCOLOR
+          ZTEMP = (0.D0,0.D0)
+          DO J = 1, NCOLOR
+              ZTEMP = ZTEMP + CF(J,I)*PROJAMP(J)
+          ENDDO
+          PROJ_PSI =PROJ_PSI
+     &         +DBLE(ZTEMP*DCONJG(PROJAMP(I)))/DENOM(I)
+      ENDDO
+      RETURN 
+      END 
+C
+      real*8 function PROJ_PSI_REL(P,NHEL,IC)
+C
+C******************************************************************************
+C     THIS FUNCTION PROJECT THE AMPLITUDE ONTO A CC~(3S1) STATE               * 
+C     AND SQUARE IT                                                           *
+C     THE ROUTINE IS UNIVERSAL                                                *
+C******************************************************************************
+C
+      include 'nexternal.inc'
+      include 'coupl.inc'
+      include 'color_data.inc'
+C
+C     PARAMETERS
+C
+      INTEGER  NEXT_AMP                    ! number of  particles
+      PARAMETER (NEXT_AMP=NEXTERNAL+1)     ! # of external particles before the projection
+C
+C     ARGUMENTS
+C
+      REAL*8 P(0:3,NEXTERNAL)
+      INTEGER NHEL(NEXTERNAL), IC(NEXTERNAL)
+C
+C     LOCAL VARIABLES
+C
+C         1. for the projection
+      INTEGER NHEL_AMP(next_amp),IC_AMP(next_amp), L1,L2,J,K
+      DOUBLE COMPLEX JIO(6),TEMP(4,NCOLOR)
+      DOUBLE COMPLEX JIOSTAR(6),TEMPSTAR(4,NCOLOR)
+      DOUBLE PRECISION P_AMP(0:3,next_amp),
+     &                  P1(0:3),P2(0:3),PTOT(0:3)   ! MOMENTA OF c AND c~ AND TOTAL MOMENTUM
+      DOUBLE PRECISION P_AMPSTAR(0:3,next_amp),
+     &                  P1STAR(0:3),P2STAR(0:3)
+      DOUBLE PRECISION EPS(0:3,-1:1)
+C
+      COMPLEX*16 JAMP(NCOLOR)
+      DOUBLE COMPLEX PROJAMP(NCOLOR)
+      COMPLEX*16 JAMPSTAR(NCOLOR)
+      DOUBLE COMPLEX PROJAMPSTAR(NCOLOR)
+C
+C         2.  to  square the amplitude
+      COMPLEX*16 ZTEMP
+      complex*16 proj_matrix_temp
+C
+c--masses
+      DOUBLE PRECISION       qmass(2)
+      COMMON/to_qmass/qmass      
+C
+C     global
+C
+      double precision prel1(0:3),prel2(0:3)
+      double precision BOUND, RHOSQ          ! BOUND IS THE UPPER BOUND FOR q_{REL}^2
+      common /to_rel_mom/prel1,prel2,BOUND, RHOSQ
+C
+C----
+C  Begin code
+C----
+C     SPECIFYING THE MOMENTA OF C,C~ + THE TOTAL MOMENTUM
+C
+      DO L1=0,3
+      DO L2=1, next_amp-2
+      P_AMP(L1,L2)=P(L1,L2)
+      P_AMPSTAR(L1,L2)=P(L1,L2)
+      ENDDO
+C                 in the amplitude
+      P_AMP(L1,next_amp-1)=P(L1,nexternal)/2+prel1(L1)
+      P_AMP(L1,next_amp)=P(L1,nexternal)/2-prel1(L1)
+      P1(L1)=P(L1,nexternal)/2+prel1(L1)
+      P2(L1)=P(L1,nexternal)/2-prel1(L1)
+C                 in the compl. conj. amplitude 
+      P_AMPSTAR(L1,next_amp-1)=P(L1,nexternal)/2+prel2(L1)
+      P_AMPSTAR(L1,next_amp)=P(L1,nexternal)/2-prel2(L1)
+      P1STAR(L1)=P(L1,nexternal)/2+prel2(L1)
+      P2STAR(L1)=P(L1,nexternal)/2-prel2(L1)
+c
+      PTOT(L1)=P(L1,nexternal)
+      ENDDO
+C
+C     RECORD THE POLARIZATIONS
+C
+      DO J=1,next_amp-2
+      NHEL_AMP(J)=NHEL(J)
+      IC_AMP(J)=IC(J)
+      ENDDO
+      IC_AMP(next_amp-1)=1
+      IC_AMP(next_amp)=1
+C
+C************************************* 
+C     START THE SUM   
+C************************************* 
+
+C
+C     INITIALIZATION
+C
+      DO J=1,4,1
+      DO K=1,NCOLOR
+       TEMP(J,K)=(0.0D0,0.0D0)
+       TEMPSTAR(J,K)=(0.0D0,0.0D0)
+      ENDDO
+      ENDDO
+
+      DO L1=-1,1,2  ! SUM OVER HELICITIES
+      DO L2=-1,1,2
+      NHEL_AMP(next_amp-1)=L1
+      NHEL_AMP(next_amp)=L2  
+      CALL VECTOR(P1,P2,L1,L2,qmass(1),JIO)              ! for amp.
+      CALL VECTOR(P1STAR,P2STAR,L1,L2,qmass(1),JIOSTAR)  ! for amp*
+
+      CALL matrix(P_AMP,NHEL_AMP,IC_AMP,JAMP)         ! for amp.
+      CALL matrix(P_AMPSTAR,NHEL_AMP,IC_AMP,JAMPSTAR) ! for amp*
+C 
+c       
+      DO K=1, NCOLOR    ! INDEX OF JAMP
+          DO J=1,4,1   ! PAY ATTENTION TO THE RANGE : J IN [1,4]
+C                  THE COLOR FACTOR IS INCLUDED IN SQAMP
+          TEMP(J,K)=TEMP(J,K)+JAMP(K)*JIO(J)  ! for amp
+          TEMPSTAR(J,K)=TEMPSTAR(J,K)+JAMPSTAR(K)*JIOSTAR(J)  ! for amp*
+          ENDDO
+      ENDDO
+C 
+C  
+      ENDDO
+      ENDDO
+C       
+      CALL polariz(PTOT,EPS)
+C
+      DO K=1,NCOLOR
+c                          for amp.
+      PROJAMP(K)=TEMP(1,K)*EPS(0,NHEL(nexternal))-
+     &  TEMP(2,K)*EPS(1,NHEL(nexternal))-
+     & TEMP(3,K)*EPS(2,NHEL(nexternal))- 
+     & TEMP(4,K)*EPS(3,NHEL(nexternal))
+C                           for amp*
+      PROJAMPSTAR(K)=TEMPSTAR(1,K)*EPS(0,NHEL(nexternal))-
+     &  TEMPSTAR(2,K)*EPS(1,NHEL(nexternal))-
+     & TEMPSTAR(3,K)*EPS(2,NHEL(nexternal))-
+     & TEMPSTAR(4,K)*EPS(3,NHEL(nexternal))
+      ENDDO
+C     
+
+C************************************ 
+C    SQUARE THE AMPLITUDE
+C***********************************
+C
+      PROJ_MATRIX_TEMP = (0.0D0,0.0D0)
+      DO I = 1, NCOLOR
+          ZTEMP = (0.D0,0.D0)
+          DO J = 1, NCOLOR
+              ZTEMP = ZTEMP + CF(J,I)*PROJAMP(J)
+          ENDDO
+          PROJ_MATRIX_TEMP =PROJ_MATRIX_TEMP
+     &         +ZTEMP*DCONJG(PROJAMPSTAR(I))/DENOM(I)
+      ENDDO
+      
+      PROJ_PSI_REL = DBLE(proj_matrix_temp)
+      RETURN 
+      END 
+C
+      real*8 function PROJ_CHI(PP,NHEL,IC,J_qn)
+C
+C******************************************************************************
+C     THIS FUNCTION PROJECT THE AMPLITUDE ONTO A P wave CC~ STATE             * 
+C     AND SQUARE IT                                                           *
+C     THE ROUTINE IS UNIVERSAL.                                               *     
+C     MOMENTA MUST BE GIVEN IN THE QUARKONIUM REST FRAME                      *
+C     UNDER WORK         !!                                                   *
+C******************************************************************************
+C
+      implicit none
+      include 'nexternal.inc'
+      include 'coupl.inc'
+      include 'color_data.inc'
+C
+C     ARGUMENTS
+C
+      REAL*8 PP(0:3,NEXTERNAL)
+      INTEGER NHEL(NEXTERNAL), IC(NEXTERNAL),J_qn
+C
+C     LOCAL VARIABLES
+C
+C         1. for the projection
+      DOUBLE PRECISION Pboost(0:3)  !,Pboostnd(0:3)
+      Double precision P(0:3,NEXTERNAL),Z(0:3)
+      double complex eps(1:3,-1:1)
+c      double precision Ponium(0:3),Poniumnd(0:3)
+C
+      DOUBLE COMPLEX TEMP(4,NCOLOR),
+     & TEMP1(4,NCOLOR),TEMP2(4,NCOLOR),TEMP3(4,NCOLOR)
+C
+      DOUBLE COMPLEX AMP(3,3,NCOLOR)
+      DOUBLE COMPLEX hel_AMP(NCOLOR)
+      DOUBLE COMPLEX hel_AMPJm1(NCOLOR,3),spin_mat(NCOLOR,3,-1:1)
+C
+C         2.  to  square the amplitude
+      double precision sqm2,sqm6,sqm3
+      COMPLEX*16 ZTEMP
+      integer j,k,l,ia,ib,mu
+C
+c--masses
+      DOUBLE PRECISION       qmass(2)
+      COMMON/to_qmass/qmass
+C
+C     global
+C
+      double precision prel(0:3)
+      common /to_pWAVE/prel
+c
+      double precision pnd(0:3,nexternal),delta
+
+      double complex rho11,rho00,rho1m1,rhom1m1,rhom11
+      double precision plam,pnu
+      common /to_pol_param/rho11,rho00,rho1m1,rhom1m1,rhom11,plam,pnu
+
+C
+C----
+C  Begin code
+C----
+      delta=0.00001d0
+      
+c
+c   go to the quarkonium rest frame
+c
+
+
+       pboost(0)=pp(0,nexternal)
+       do k=1,3
+       pboost(k)=-pp(k,nexternal)
+       enddo
+       do j=1,nexternal
+       call boostx(PP(0,j),pboost,P(0,j))
+       do mu=0,3
+       Pnd(mu,j)=P(mu,j)
+       enddo
+       enddo
+       Pnd(0,nexternal)=dsqrt(P(0,nexternal)**2+delta**2)
+c
+c    define the tensor projected amplitude with UPPER indices
+c
+c    PAY ATTENTION : d/dq_i = - d/d_q^j
+c
+c      a) no relative momentum
+c
+       do k=0,3
+       prel(K)=0d0
+       enddo
+c
+       prel(1)=delta/1000000d0
+       call spin_projection(P,NHEL,IC,TEMP)
+c
+c       a) component q_1
+c
+       prel(1)=delta
+
+       call spin_projection(Pnd,NHEL,IC,TEMP1)
+c
+c       b) component q_2
+c
+       prel(1)=0d0
+       prel(2)=delta
+
+       call spin_projection(Pnd,NHEL,IC,TEMP2)
+c
+c       c) component q_3
+c
+       prel(2)=0d0
+       prel(3)=delta
+
+       call spin_projection(Pnd,NHEL,IC,TEMP3)
+c
+c      computing derivatives
+c
+       do k=1,NCOLOR
+         do j=1,3
+c       amp(0,j,k)=(0d0, 0d0)
+       amp(1,j,k)=-(temp1(j+1,k)-temp(j+1,k))/dcmplx(delta)
+       amp(2,j,k)=-(temp2(j+1,k)-temp(j+1,k))/dcmplx(delta)
+       amp(3,j,k)=-(temp3(j+1,k)-temp(j+1,k))/dcmplx(delta)
+         enddo
+       enddo
+
+C************************************ 
+C    Select helicity state
+C***********************************
+C
+
+      call get_helicity(PP(0,nexternal),eps)
+
+       sqm6=1d0/dsqrt(6d0)
+       sqm2=1d0/dsqrt(2d0)
+       sqm3=1d0/dsqrt(3d0)
+
+      if(j_qn.eq.0) then
+
+      do L=1,Ncolor
+      hel_amp(L)=(0d0,0d0)
+
+          do Ia=1,3
+          do IB=1,3
+           hel_amp(l)=hel_amp(l)+ amp(Ia,Ib,L)*(eps(Ia,1)*eps(Ib,-1)
+     &+eps(Ia,-1)*eps(Ib,1) -eps(Ia,0)*eps(Ib,0))*sqm3 
+          enddo
+          enddo
+      enddo !L
+
+
+      elseif(j_qn.eq.1) then
+
+      do L=1,Ncolor
+      hel_amp(L)=(0d0,0d0)
+
+        if (nhel(nexternal).eq.1 ) then
+          do Ia=1,3
+          do IB=1,3
+           hel_amp(l)=hel_amp(l)+ 
+     & amp(Ia,Ib,L)*(eps(Ia,1)*eps(Ib,0)-eps(Ia,0)*eps(Ib,1))*sqm2 
+          enddo
+          enddo
+
+        elseif (nhel(nexternal).eq.0 ) then
+          do Ia=1,3
+          do IB=1,3
+           hel_amp(l)=hel_amp(l)+ 
+     & amp(Ia,Ib,L)*(eps(Ia,1)*eps(Ib,-1)-eps(Ia,-1)*eps(Ib,1))*sqm2 
+          enddo
+          enddo
+
+        elseif (nhel(nexternal).eq.-1 ) then
+          do Ia=1,3
+          do IB=1,3
+           hel_amp(l)=hel_amp(l)+
+     & amp(Ia,Ib,L)*(eps(Ia,0)*eps(Ib,-1)-eps(Ia,-1)*eps(Ib,0))*sqm2
+          enddo
+          enddo
+        endif
+
+      enddo !L
+
+      elseif(j_qn.eq.2) then
+
+      do L=1,Ncolor
+      hel_amp(L)=(0d0,0d0)
+
+        if (nhel(nexternal).eq.2 ) then
+          do Ia=1,3
+          do IB=1,3
+           hel_amp(l)=hel_amp(l)+ 
+     & amp(Ia,Ib,L)*(eps(Ia,1)*eps(Ib,1)) 
+          enddo
+          enddo
+
+        elseif (nhel(nexternal).eq.1 ) then
+          do Ia=1,3
+          do IB=1,3
+           hel_amp(l)=hel_amp(l)+ 
+     & amp(Ia,Ib,L)*(eps(Ia,1)*eps(Ib,0)+eps(Ia,0)*eps(Ib,1))*sqm2 
+          enddo
+          enddo
+
+        elseif (nhel(nexternal).eq.0 ) then
+          do Ia=1,3
+          do IB=1,3
+           hel_amp(l)=hel_amp(l)+
+     & amp(Ia,Ib,L)*(eps(Ia,1)*eps(Ib,-1)+eps(Ia,-1)*eps(Ib,1)+
+     & 2d0*eps(Ia,0)*eps(Ib,0))*sqm6
+          enddo
+          enddo
+
+        elseif (nhel(nexternal).eq.-1 ) then
+          do Ia=1,3
+          do IB=1,3
+           hel_amp(l)=hel_amp(l)+
+     & amp(Ia,Ib,L)*(eps(Ia,0)*eps(Ib,-1)+eps(Ia,-1)*eps(Ib,0))*sqm2
+          enddo
+          enddo
+
+        elseif (nhel(nexternal).eq.-2 ) then
+          do Ia=1,3
+          do IB=1,3
+           hel_amp(l)=hel_amp(l)+
+     & amp(Ia,Ib,L)*eps(Ia,-1)*eps(Ib,-1)
+          enddo
+          enddo
+        endif
+     
+c      write(*,*) 'hel_amp for hel,col',nhel(nexternal),L,hel_amp(l)
+      enddo !L
+
+
+      elseif(j_qn.eq.-1) then
+c     here is a special option: 
+c       * I average over the angular momentum degrees of freedom
+c       * I keep track of the spin of the QQ~ pair
+c     This is used for polarization studies involving transitions 3PJ[8]> J/psi
+      do L=1,Ncolor
+      do Ia=1,3
+      hel_ampJm1(L,Ia)=(0d0,0d0)
+c
+          do IB=1,3
+           hel_ampJm1(l,Ia)=hel_ampJm1(l,Ia)+
+     & amp(Ia,Ib,L)*eps(Ib,nhel(nexternal))
+          enddo
+
+      enddo !angular momentum
+      enddo !color
+
+      ZTEMP = (0.D0,0.D0)
+      do Ia=1,3 !angular momentum
+      DO L = 1, NCOLOR
+          DO K = 1, NCOLOR
+          ZTEMP = ZTEMP+CF(K,L)*hel_ampJm1(K,Ia)*dconjg(hel_ampJm1(L,Ia))/DENOM(L)
+          ENDDO
+      ENDDO
+      ENDDO
+      PROJ_CHI = DBLE(ztemp)
+      return
+c
+      elseif(j_qn.eq.-7) then
+c     here is another special option:
+c       * I average over the angular momentum degrees of freedom
+c       * I compute the spin density matrix
+c     This is used for polarization studies involving transitions 3PJ[8]> J/psi
+      do L=1,Ncolor
+      do Ia=1,3
+        hel_ampJm1(L,Ia)=(0d0,0d0)
+        spin_mat(l,Ia,-1)=(0d0,0d0)
+        spin_mat(l,Ia,1)=(0d0,0d0)
+        spin_mat(l,Ia,0)=(0d0,0d0)
+c
+          do IB=1,3
+
+           spin_mat(l,Ia,-1)=spin_mat(l,Ia,-1)+
+     & amp(Ia,Ib,L)*eps(Ib,-1)
+           spin_mat(l,Ia,1)=spin_mat(l,Ia,1)+
+     & amp(Ia,Ib,L)*eps(Ib,1)
+           spin_mat(l,Ia,0)=spin_mat(l,Ia,0)+
+     & amp(Ia,Ib,L)*eps(Ib,0)
+          enddo
+          enddo
+      enddo !L
+
+      ZTEMP = (0.D0,0.D0)
+      do Ia=1,3
+      do Ib=1,3
+      DO L = 1, NCOLOR
+          DO K = 1, NCOLOR
+          ZTEMP = ZTEMP+CF(K,L)*amp(Ia,Ib,K)*dconjg(amp(Ia,Ib,L))/DENOM(L)
+          ENDDO
+      ENDDO
+      ENDDO
+      ENDDO
+      PROJ_CHI = DBLE(ztemp)
+
+      do Ia=1,3
+      DO L = 1, NCOLOR
+          DO K = 1, NCOLOR
+          rho11 = rho11+CF(K,L)*spin_mat(K,Ia,1)*dconjg(spin_mat(L,Ia,1))/DENOM(L)
+          rho00 = rho00+CF(K,L)*spin_mat(K,Ia,0)*dconjg(spin_mat(L,Ia,0))/DENOM(L)
+          rho1m1 = rho1m1+CF(K,L)*spin_mat(K,Ia,1)*dconjg(spin_mat(L,Ia,-1))/DENOM(L)
+          rhom11 = rhom11+CF(K,L)*spin_mat(K,Ia,-1)*dconjg(spin_mat(L,Ia,1))/DENOM(L)
+          rhom1m1 = rhom1m1+CF(K,L)*spin_mat(K,Ia,-1)*dconjg(spin_mat(L,Ia,-1))/DENOM(L)
+          ENDDO
+      ENDDO
+      ENDDO
+
+      return
+
+
+      endif ! end if J_qn= ...
+
+C************************************ 
+C     sum over colored amplitudes
+C***********************************
+
+      ZTEMP = (0.D0,0.D0)
+      DO L = 1, NCOLOR
+          DO K = 1, NCOLOR
+          ZTEMP = ZTEMP+CF(K,L)*hel_amp(K)*dconjg(hel_amp(L))/DENOM(L)
+          ENDDO
+c          PROJ_chi =proj_chi+ZTEMP*DCONJG(JAMP(L))/DENOM(L)
+      ENDDO
+      PROJ_CHI = DBLE(ztemp)
+c      write(*,*) 'proj_chi',proj_chi
+c      pause 
+ 
+c
+c
+c      Here I directly sum over the chi_c polarization (not used anymore)
+c
+c      ztemp=(0d0,0d0)
+c      do Ia=2,4
+c      do IB=2,4
+c      DO K=1,ncolor
+c      DO L=1,ncolor
+c      if (j_qn.eq.0) then
+c      ztemp=ztemp+amp(Ia,Ia,K)*DCONJG(amp(Ib,Ib,L))/3d0
+c     &  *CF(K,L)/DENOM(L)
+c       elseif (j_qn.eq.1) then
+c      ztemp=ztemp+(amp(Ia,Ib,K)*DCONJG(amp(Ia,Ib,L))-
+c     &     amp(Ia,Ib,K)*DCONJG(amp(Ib,Ia,L)))
+c     &  *CF(K,L)/DENOM(L)/2d0
+c      elseif (j_qn.eq.2) then
+c      ztemp=ztemp+((amp(Ia,Ib,K)*DCONJG(amp(Ia,Ib,L))+
+c     &     amp(Ia,Ib,K)*DCONJG(amp(Ib,Ia,L)))/2d0-
+c     &   amp(Ia,Ia,K)*DCONJG(amp(Ib,Ib,L))/3d0)
+c     &  *CF(K,L)/DENOM(L)
+c      endif
+c      enddo
+c      enddo
+c      enddo
+c      enddo
+c
+c      PROJ_CHI = DBLE(ztemp)
+
+      RETURN 
+      END 
+C
+
+
+
+      subroutine spin_projection(P,NHEL,IC,TEMP)
+c***********************************************************
+c     This subroutine performs the spin projection.
+c     The relative momentum is recorded in common block
+c     NHEL runs from 1 to nexternal-2, since the sum over 
+c     helicities of the bound state is performed in proj_matrix
+c***********************************************************
+      include 'nexternal.inc'
+      include 'coupl.inc'
+      include 'color_data.inc'
+C
+C     PARAMETERS
+C
+      INTEGER  NEXT_AMP                    ! number of  particles
+      PARAMETER (NEXT_AMP=NEXTERNAL+1)     ! # of external particles before the projection
+C
+C     ARGUMENTS
+C
+      REAL*8 P(0:3,NEXTERNAL)
+      INTEGER NHEL(NEXTERNAL), IC(NEXTERNAL)
+c      double precision Ponium(0:3), Pboost(0:3)
+C
+C     LOCAL VARIABLES
+C
+      INTEGER NHEL_AMP(next_amp),IC_AMP(next_amp), L1,L2,J,K
+      DOUBLE COMPLEX JIO(6),TEMP(4,NCOLOR)
+      DOUBLE PRECISION P_AMP(0:3,next_amp),
+     &                  P1(0:3),P2(0:3),PTOT(0:3)   ! MOMENTA OF c AND c~ AND TOTAL MOMENTUM
+      double precision Pthree2,Eq2_quark1,Eq2_quark2
+C
+      COMPLEX*16 JAMP(NCOLOR)
+      DOUBLE PRECISION WEIGHT1, WEIGHT2
+c      DOUBLE COMPLEX PROJAMP(NCOLOR)
+C
+C     global
+C
+      double precision prel(0:3)
+      common /to_pWAVE/prel
+
+      double precision qmass(2)
+      COMMON/to_qmass/qmass
+
+c      include 'qmass.inc'
+
+      Pthree2=P(1,nexternal)**2
+     & +P(2,nexternal)**2+P(3,nexternal)**2
+      if(Pthree2.gt.0.001d0) then
+      write(*,*) 'warning : we are not in the Quarkonium rest frame'
+      endif
+      Eq2_quark1=prel(1)**2+prel(2)**2+prel(3)**2+qmass(1)**2
+      Eq2_quark2=prel(1)**2+prel(2)**2+prel(3)**2+qmass(2)**2
+      PTOT(0)=dsqrt( Eq2_quark1)+dsqrt( Eq2_quark2)
+      PTOT(1)=0d0
+      PTOT(2)=0d0
+      PTOT(3)=0d0
+
+      weight1=dsqrt(Eq2_quark1)/(dsqrt(Eq2_quark1)+dsqrt(Eq2_quark2))
+      weight2=dsqrt(Eq2_quark2)/(dsqrt(Eq2_quark1)+dsqrt(Eq2_quark2))
+
+      DO L1=0,3
+      DO L2=1, next_amp-2
+      P_AMP(L1,L2)=P(L1,L2)
+      ENDDO
+C                 in the amplitude
+      P_AMP(L1,next_amp-1)=PTOT(L1)*weight1+prel(L1)
+      P_AMP(L1,next_amp)=PTOT(L1)*weight2-prel(L1)
+      P1(L1)=PTOT(L1)*weight1+prel(L1)
+      P2(L1)=PTOT(L1)*weight2-prel(L1)
+c
+      ENDDO
+C     RECORD THE POLARIZATIONS
+C
+      DO J=1,next_amp-2
+      NHEL_AMP(J)=NHEL(J)
+      IC_AMP(J)=IC(J)
+      ENDDO
+      IC_AMP(next_amp-1)=1
+      IC_AMP(next_amp)=1
+C
+C************************************* 
+C     START THE SUM   
+C************************************* 
+C
+C     INITIALIZATION
+C
+      DO J=1,4,1
+      DO K=1,NCOLOR
+       TEMP(J,K)=(0.0D0,0.0D0)
+      ENDDO
+      ENDDO
+
+      DO L1=-1,1,2  ! SUM OVER HELICITIES
+      DO L2=-1,1,2
+      NHEL_AMP(next_amp-1)=L1
+      NHEL_AMP(next_amp)=L2  
+      CALL VECTOR0(P1,P2,L1,L2,qmass(1),qmass(2),JIO)! for amp.
+
+      CALL matrix(P_AMP,NHEL_AMP,IC_AMP,JAMP)         ! for amp.
+C 
+C 
+
+      DO K=1, NCOLOR    ! INDEX OF JAMP
+          DO J=1,4,1   ! PAY ATTENTION TO THE RANGE : J IN [1,4]
+C                  THE COLOR FACTOR IS INCLUDED IN SQAMP
+          TEMP(J,K)=TEMP(J,K)+JAMP(K)*JIO(J)
+          ENDDO
+      ENDDO
+C 
+C  
+      ENDDO
+      ENDDO
+c
+c     above, J is the spin index, K is the color index
+c
+      return
+      end
+      real*8 function PROJ_H(PP,NHEL,IC)
+C
+C******************************************************************************
+C     THIS FUNCTION PROJECTS THE AMPLITUDE ONTO A P wave CC~ STATE             * 
+C     AND SQUARE IT                                                           *
+C     THE ROUTINE IS UNIVERSAL.                                               *     
+C     MOMENTA MUST BE GIVEN IN THE QUARKONIUM REST FRAME                      *
+C******************************************************************************
+C
+      implicit none
+      include 'nexternal.inc'
+      include 'coupl.inc'
+      include 'color_data.inc'
+C
+C     ARGUMENTS
+C
+      REAL*8 PP(0:3,NEXTERNAL)
+      INTEGER NHEL(NEXTERNAL), IC(NEXTERNAL)
+C
+C     LOCAL VARIABLES
+C
+C         1. for the projection
+      DOUBLE PRECISION Pboost(0:3) !,Pboostnd(0:3)
+      REAL*8 P(0:3,NEXTERNAL)
+c      double precision Ponium(0:3),Poniumnd(0:3)
+C
+      DOUBLE COMPLEX TEMP(NCOLOR),
+     & TEMP1(NCOLOR),TEMP2(NCOLOR),TEMP3(NCOLOR)
+C
+      DOUBLE COMPLEX AMP(3,NCOLOR)
+      DOUBLE COMPLEX hel_AMP(NCOLOR),eps(3,-1:1)
+C
+C         2.  to  square the amplitude
+      COMPLEX*16 ZTEMP
+      integer j,k,l,ia,mu
+C
+c--masses
+      DOUBLE PRECISION       qmass(2)
+      COMMON/to_qmass/qmass      
+C
+C     global
+C
+      double precision prel(0:3)
+      common /to_pWAVE/prel
+
+      double precision pnd(0:3,nexternal),delta
+c      common/modif_p/pnd,delta
+C
+C----
+C  Begin code
+C----
+
+      delta=0.0001d0      
+c
+c   go to the quarkonium rest frame
+c
+
+       pboost(0)=pp(0,nexternal)
+c       pboostnd(0)=pnd(0,nexternal)
+       do k=1,3
+       pboost(k)=-pp(k,nexternal)
+c       pboostnd(k)=-pnd(k,nexternal)
+       enddo
+       do j=1,nexternal
+       call boostx(PP(0,j),pboost,P(0,j))
+c       call boostx(Pnd(0,j),pboostnd,Pnd(0,j))
+        do mu=0,3
+        Pnd(mu,j)=P(mu,j)
+        enddo
+        enddo
+ 
+        Pnd(0,nexternal)=dsqrt(P(0,nexternal)**2+delta**2)
+
+c
+c      a) no relative momentum
+c
+       do k=0,3
+       prel(K)=0d0
+       enddo
+c
+
+       prel(1)=delta/10000d0
+       call spin_singlet_proj(P,NHEL,IC,TEMP)
+
+c
+c       a) component q_1
+c
+       prel(1)=delta
+
+       call spin_singlet_proj(Pnd,NHEL,IC,TEMP1)
+c
+c       b) component q_2
+c
+       prel(1)=0d0
+       prel(2)=delta
+
+       call spin_singlet_proj(Pnd,NHEL,IC,TEMP2)
+c
+c       c) component q_3
+c
+       prel(2)=0d0
+       prel(3)=delta
+
+       call spin_singlet_proj(Pnd,NHEL,IC,TEMP3)
+c
+c      computing derivatives
+c
+       do k=1,NCOLOR
+       amp(1,k)=-(temp1(k)-temp(k))/dcmplx(delta)
+       amp(2,k)=-(temp2(k)-temp(k))/dcmplx(delta)
+       amp(3,k)=-(temp3(k)-temp(k))/dcmplx(delta)
+       enddo
+
+C************************************
+C    Selecting helicity state
+C    and squaring the amplitude
+C************************************
+
+      call get_helicity(PP(0,nexternal),eps)
+
+      do L=1,ncolor
+        hel_amp(l)=(0d0,0d0)
+        do Ia=1,3
+          hel_amp(l)=hel_amp(l)+amp(Ia,l)*eps(Ia,nhel(nexternal))
+        enddo
+      enddo
+ 
+      ztemp=(0d0,0d0)
+      DO K=1,ncolor
+      DO L=1,ncolor
+      ztemp=ztemp+hel_amp(K)
+     &*DCONJG(hel_amp(L)) 
+     &  *CF(K,L)/DENOM(L)
+      enddo
+      enddo
+
+      PROJ_H = DBLE(ztemp)
+      RETURN 
+      END 
+C
+
+
+
+      subroutine spin_singlet_proj(P,NHEL,IC,TEMP)
+c***********************************************************
+c     This subroutine performs the spin projection.
+c     The relative momentum is recorded in common block
+c     NHEL runs from 1 to nexternal-1, since the sum over 
+c     helicities of the bound state is performed in proj_matrix
+c***********************************************************
+      include 'nexternal.inc'
+      include 'coupl.inc'
+      include 'color_data.inc'
+C
+C     PARAMETERS
+C
+      INTEGER  NEXT_AMP                    ! number of  particles
+      PARAMETER (NEXT_AMP=NEXTERNAL+1)     ! # of external particles before the projection
+C
+C     ARGUMENTS
+C
+      REAL*8 P(0:3,NEXTERNAL)
+      INTEGER NHEL(NEXTERNAL), IC(NEXTERNAL)
+c      double precision Ponium(0:3), Pboost(0:3)
+C
+C     LOCAL VARIABLES
+C
+      INTEGER NHEL_AMP(next_amp),IC_AMP(next_amp), L1,L2,J,K
+      DOUBLE COMPLEX PS,TEMP(NCOLOR)
+      DOUBLE PRECISION P_AMP(0:3,next_amp),
+     &                  P1(0:3),P2(0:3),PTOT(0:3)   ! MOMENTA OF c AND c~ AND TOTAL MOMENTUM
+      double precision Pthree2,Eq2_quark1,Eq2_quark2,weight1,weight2
+C
+      COMPLEX*16 JAMP(NCOLOR)
+c      DOUBLE COMPLEX PROJAMP(NCOLOR)
+C
+C     global
+C
+
+      double precision prel(0:3)
+      common /to_pWAVE/prel
+
+      DOUBLE PRECISION       qmass(2)
+      COMMON/to_qmass/qmass
+
+
+
+      Pthree2=P(1,nexternal)**2+P(2,nexternal)**2
+     & +P(3,nexternal)**2
+      if(Pthree2.gt.0.001d0) then
+      write(*,*) 'warning : we are not in the Quarkonium rest frame'
+      endif
+      Eq2_quark1=prel(1)**2+prel(2)**2+prel(3)**2+qmass(1)**2
+      Eq2_quark2=prel(1)**2+prel(2)**2+prel(3)**2+qmass(2)**2
+      PTOT(0)=dsqrt(Eq2_quark1)+dsqrt(Eq2_quark2)
+      PTOT(1)=0d0
+      PTOT(2)=0d0
+      PTOT(3)=0d0
+      DO L1=0,3
+      DO L2=1, next_amp-2
+      P_AMP(L1,L2)=P(L1,L2)
+      ENDDO
+
+      weight1=dsqrt(Eq2_quark1)/(dsqrt(Eq2_quark1)+dsqrt(Eq2_quark2))
+      weight2=dsqrt(Eq2_quark2)/(dsqrt(Eq2_quark1)+dsqrt(Eq2_quark2))
+C                 in the amplitude
+      P_AMP(L1,next_amp-1)=PTOT(L1)*weight1+prel(L1)
+      P_AMP(L1,next_amp)=PTOT(L1)*weight2-prel(L1)
+      P1(L1)=PTOT(L1)*weight1+prel(L1)
+      P2(L1)=PTOT(L1)*weight2-prel(L1)
+c
+      ENDDO
+c
+c      boost
+c
+c      do k=1,next_amp
+c      call boostx(p_amp(0,k),Ponium,p_amp(0,k))
+c      enddo
+      do L1=0,3
+      P1(L1)=p_amp(L1,next_amp-1)
+      P2(L1)=p_amp(L1,next_amp)
+      enddo
+C
+C     RECORD THE POLARIZATIONS
+C
+      DO J=1,next_amp-2
+      NHEL_AMP(J)=NHEL(J)
+      IC_AMP(J)=IC(J)
+      ENDDO
+      IC_AMP(next_amp-1)=1
+      IC_AMP(next_amp)=1
+C
+C************************************* 
+C     START THE SUM   
+C************************************* 
+
+C
+C     INITIALIZATION
+C
+      DO K=1,NCOLOR
+       TEMP(K)=(0.0D0,0.0D0)
+      ENDDO
+
+      DO L1=-1,1,2  ! SUM OVER HELICITIES
+      DO L2=-1,1,2
+      NHEL_AMP(next_amp-1)=L1
+      NHEL_AMP(next_amp)=L2  
+      CALL pseudoscalar0(P1,P2,L1,L2,
+     &    qmass(1),qmass(2),PS)              ! for amp.
+
+      CALL matrix(P_AMP,NHEL_AMP,IC_AMP,JAMP)         ! for amp.
+C 
+c       
+C 
+
+      DO K=1, NCOLOR    ! INDEX OF JAMP
+C                  THE COLOR FACTOR IS INCLUDED IN SQAMP
+          TEMP(K)=TEMP(K)+JAMP(K)*PS
+      ENDDO
+C 
+      ENDDO
+      ENDDO
+c
+c     above, J is the spin index, K is the color index
+c
+      
+c
+c     go back to the rest frame
+c
+c      do k=1,ncolor
+c      call boostx(temp(1,k),pboost,temp(1,k))
+c      enddo
+c
+      return
+      end
+
+
+      real*8 function PROJ_PSILEPT(P,NHEL,IC)
+C
+C******************************************************************************
+C     THIS FUNCTION PROJECT THE AMPLITUDE ONTO A CC~(3S1) STATE               * 
+C     AND SQUARE IT. The quarkonium is decayed into leptons.                  *
+C     The routine is universal.                                               *
+C******************************************************************************
+C
+      implicit none
+      include 'nexternal.inc'
+      include 'coupl.inc'
+      include 'color_data.inc'
+C
+C     PARAMETERS
+C
+      INTEGER  NEXT_AMP                    ! initial number of particles
+      PARAMETER (NEXT_AMP=NEXTERNAL+1)     ! # of external particles before the projection
+C
+C     ARGUMENTS
+C
+      REAL*8 P(0:3,NEXTERNAL)
+      INTEGER NHEL(NEXT_amp), IC(NEXTERNAL)    ! number of helicities =nexternal  !
+C
+C     LOCAL VARIABLES
+C
+C         1. for the projection
+      INTEGER NHEL_AMP(next_amp),IC_AMP(next_amp), L1,L2,J,K
+      DOUBLE COMPLEX JIO(6),TEMP(4,NCOLOR), jio_lept(6)
+      DOUBLE PRECISION P_AMP(0:3,next_amp),
+     &                  P1(0:3),P2(0:3),PTOT(0:3)   ! MOMENTA OF c AND c~ AND TOTAL MOMENTUM
+
+      DOUBLE PRECISION WEIGHT1, WEIGHT2
+c      DOUBLE PRECISION EPS(0:3,-1:1)
+C
+      COMPLEX*16 JAMP(NCOLOR)
+      DOUBLE COMPLEX PROJAMP(NCOLOR)
+C
+C         3.  to  square the amplitude
+      COMPLEX*16 ZTEMP
+c
+      double precision k1(0:3),k2(0:3),three_k1(3)
+      common /lepton_stuff/ k1,k2,three_k1
+C
+c--masses
+      DOUBLE PRECISION       qmass(2)
+      COMMON/to_qmass/qmass      
+C
+C     SPECIFYING THE MOMENTA OF C,C~ + THE TOTAL MOMENTUM
+C
+
+      weight1=qmass(1)/(qmass(1)+qmass(2))
+      weight2=qmass(2)/(qmass(1)+qmass(2))
+
+      DO L1=0,3
+      DO L2=1, next_amp-2
+      P_AMP(L1,L2)=P(L1,L2)
+      ENDDO
+      P_AMP(L1,next_amp-1)=P(L1,nexternal)*WEIGHT1
+      P_AMP(L1,next_amp)=P(L1,nexternal)*WEIGHT2
+      P1(L1)=P(L1,nexternal)*WEIGHT1
+      P2(L1)=P(L1,nexternal)*WEIGHT2
+      PTOT(L1)=P1(L1)+P2(L1)
+      ENDDO
+
+C
+C     RECORD THE POLARIZATIONS
+C
+      DO J=1,next_amp-2
+      NHEL_AMP(J)=NHEL(J)
+      IC_AMP(J)=IC(J)
+      ENDDO
+      IC_AMP(next_amp-1)=1
+      IC_AMP(next_amp)=1
+C
+C************************************* 
+C     START THE SUM   
+C************************************* 
+C
+C     INITIALIZATION
+C
+      DO J=1,4,1
+      DO K=1,NCOLOR
+       TEMP(J,K)=(0.0D0,0.0D0)
+      ENDDO
+      ENDDO
+
+      DO L1=-1,1,2  ! SUM OVER HELICITIES
+      DO L2=-1,1,2
+      NHEL_AMP(next_amp-1)=L1
+      NHEL_AMP(next_amp)=L2  
+      CALL VECTOR0(P1,P2,L1,L2,qmass(1),qmass(2),JIO)
+
+
+      CALL matrix(P_AMP,NHEL_AMP,IC_AMP,JAMP)
+C 
+c       
+      DO K=1, NCOLOR    ! INDEX OF JAMP
+          DO J=1,4,1   ! PAY ATTENTION TO THE RANGE : J IN [1,4]
+          TEMP(J,K)=TEMP(J,K)+JAMP(K)*JIO(J)  ! THE COLOR FACTOR IS INCLUDED IN SQAMP
+          ENDDO
+      ENDDO
+C 
+      ENDDO
+      ENDDO
+C       
+      l1=nhel(next_amp-1)
+      l2=nhel(next_amp)
+      call leptonic_current(k1,k2,l1,l2,qmass(1), jio_lept)
+C
+      DO K=1,NCOLOR
+      PROJAMP(K)=TEMP(1,K)*jio_lept(1)-
+     &  TEMP(2,K)*jio_lept(2)-
+     & TEMP(3,K)*jio_lept(3)- 
+     & TEMP(4,K)*jio_lept(4)
+      ENDDO
+C     
+
+C************************************ 
+C    SQUARE THE AMPLITUDE
+C***********************************
+C
+      PROJ_PSILEPT = 0.D0
+      DO I = 1, NCOLOR
+          ZTEMP = (0.D0,0.D0)
+          DO J = 1, NCOLOR
+              ZTEMP = ZTEMP + CF(J,I)*PROJAMP(J)
+          ENDDO
+          PROJ_PSILEPT =PROJ_PSILEPT
+     &         +DBLE(ZTEMP*DCONJG(PROJAMP(I)))/DENOM(I)
+      ENDDO
+c      write(*,*) 'result ', projected_matrix
+      RETURN 
+      END 
+C
+      subroutine pseudoscalar(P1,P2,LAMBDA1,LAMBDA2,MC,PS)
+c
+c This subroutine computes the relevant current for s=0 projection.
+c
+c    input : P1 = momentum of c
+c            P2 = momentum of c~
+c            LAMBDA1 = helicity of c
+c            LAMBDA2 = helicity of c~
+c
+c    output : PS = the scalar current
+c           
+c   
+      implicit none
+      double complex fi(6),fo(6),PS, MOMENTUM(2) 
+      double precision q(0:3),MC,Norm,q2     
+
+      DOUBLE COMPLEX MAT1(1:4,1:4),GAM5(1:4,1:4),MATRIX(1:4,1:4) 
+c
+c     "MAT1" IS THE MATRIX   SL(q)+2 E
+c     "MATRIX" IS THE MATRIX    GAMMA^5 * MAT1
+c 
+      DOUBLE PRECISION E
+      integer J1, J2,K,LAMBDA1,LAMBDA2                         
+
+      DOUBLE PRECISION P1(0:3), P2(0:3)       
+      double complex cImag, cZero, cOne
+      parameter( cImag = ( 0.0d0, 1.0d0 ), cZero = ( 0.0d0, 0.0d0 ),
+     & cOne=(1.0D0,0.0D0) )
+
+      CALL IXXXXX(P1,MC,LAMBDA1,1,FI)     
+      CALL OXXXXX(P2,MC,LAMBDA2,-1,FO)
+
+      MOMENTUM(1) = -fo(5)+fi(5)
+      MOMENTUM(2) = -fo(6)+fi(6)
+
+      q(0) = dble( MOMENTUM(1))   
+      q(1) = dble( MOMENTUM(2))   
+      q(2) = dimag(MOMENTUM(2))   
+      q(3) = dimag(MOMENTUM(1))
+      q2 = q(0)**2-(q(1)**2+q(2)**2+q(3)**2)
+      E=dsqrt(q2)/2   
+C
+C      DEFINITION OF MAT1
+C 
+      MAT1(1,1)=2*E
+      MAT1(1,2)=cZero
+      MAT1(1,3)=q(0)-q(3)
+      MAT1(1,4)=-q(1)+cImag*q(2)
+      MAT1(2,1)=cZero
+      MAT1(2,2)=2*E
+      MAT1(2,3)=-q(1)-cImag*q(2)
+      MAT1(2,4)=q(0)+q(3)
+      MAT1(3,1)=q(0)+q(3)
+      MAT1(3,2)=q(1)-cImag*q(2)
+      MAT1(3,3)=2*E
+      MAT1(3,4)=cZero
+      MAT1(4,1)=q(1)+cImag*q(2)
+      MAT1(4,2)=q(0)-q(3)
+      MAT1(4,3)=cZero
+      MAT1(4,4)=2*E 
+C
+C     INITIALIZATION OF GAMMA MATRICES
+C 
+      DO J1=1,4,1
+        DO J2=1,4,1
+          GAM5(J1,J2)=cZero
+        ENDDO
+      ENDDO
+C
+C     DEFINITION OF GAMMA 5 MATRIX
+C     CHIRAL REPRESENTATION
+C:$
+
+c     gamma 5
+
+      GAM5(1,1)=-cOne
+      GAM5(2,2)=-cOne
+      GAM5(3,3)=+cOne
+      GAM5(4,4)=+cOne
+
+c
+c     DEFINITION OF MAT2 = GAMMA^MU (SL(q)+2E)
+
+      DO J1=1,4,1
+        DO J2=1,4,1
+          MATRIX(J1,J2)=cZero
+          DO K=1,4,1 
+            MATRIX(J1,J2)=MATRIX(J1,J2)+GAM5(J1,K)*MAT1(K,J2)
+          ENDDO
+        ENDDO
+      ENDDO
+C
+
+C    NORMALIZATION - does not contain the factor 1/sqrt(E) from the wave function
+
+      Norm=1.0D0/(4*E*DSQRT(2.0D0)*(E+MC))
+
+c    DEFINITION OF THE CURRENT
+
+
+      PS=0
+        DO J1=1,4,1
+          DO J2 =1,4,1
+          PS=PS+Norm*FO(J1)*MATRIX(J1,J2)*FI(J2)
+          ENDDO
+        ENDDO
+      return
+      end
+      subroutine pseudoscalar0(P1,P2,LAMBDA1,LAMBDA2,M1,M2,PS)
+c
+c This subroutine computes the relevant current for s=0 projection.
+c
+c    input : P1 = momentum of c
+c            P2 = momentum of c~
+c            LAMBDA1 = helicity of c
+c            LAMBDA2 = helicity of c~
+c
+c    output : PS = the scalar current
+c           
+c   
+      implicit none
+      double complex fi(6),fo(6),PS
+      double precision M1,M2,N 
+      integer lambda1,lambda2
+
+      DOUBLE PRECISION P1(0:3), P2(0:3)       
+      double complex cImag, cZero, cOne
+      parameter( cImag = ( 0.0d0, 1.0d0 ), cZero = ( 0.0d0, 0.0d0 ),
+     & cOne=(1.0D0,0.0D0) )
+
+      CALL IXXXXX(P1,M1,LAMBDA1,1,FI)
+      CALL OXXXXX(P2,M2,LAMBDA2,-1,FO)
+
+      N=dsqrt(8.0d0*M1*M2)
+
+      PS = (-fo(1)*fi(1)-fo(2)*fi(2)+fo(3)*fi(3)+fo(4)*fi(4))/N
+      return
+      end
+      subroutine vector0(P1,P2,LAMBDA1,LAMBDA2,M1,M2,jio)
+c
+c This subroutine computes an off-shell vector current from an external
+c fermion pair.  The vector boson propagator is given in Feynman gauge
+c for a massless vector and in unitary gauge for a massive vector.
+c
+c input:
+c       complex fi(6)          : flow-in  fermion                   |fi>
+c       complex fo(6)          : flow-out fermion                   <fo|
+c       complex gc(2)          : coupling constants                  gvf
+c       real    vmass          : mass  of OUTPUT vector v
+c       real    vwidth         : width of OUTPUT vector v
+c
+c output:
+c       complex jio(6)         : vector current          j^mu(<fo|v|fi>)
+c     
+      implicit none
+      double complex fi(6),fo(6),gc(2),jio(6)
+      double precision q(0:3),q2,p1(0:3),p2(0:3),N
+      integer lambda1,lambda2
+      double precision m1,m2
+      
+      double complex cImag
+      parameter( cImag = ( 0.0d0, 1.0d0 ) )
+
+      gc(1)=(1.0d0,0.0d0)
+      gc(2)=(1.0d0,0.0d0)
+
+      CALL IXXXXX(P1,M1,LAMBDA1,1,FI)     
+      CALL OXXXXX(P2,M2,LAMBDA2,-1,FO)
+
+      N=dsqrt(8.0d0*M1*M2)
+      jio(5) = -fo(5)+fi(5)
+      jio(6) = -fo(6)+fi(6)
+
+      q(0) = dble( jio(5))
+      q(1) = dble( jio(6))
+      q(2) = dimag(jio(6))
+      q(3) = dimag(jio(5))
+      q2 = q(0)**2-(q(1)**2+q(2)**2+q(3)**2)
+
+
+
+
+            jio(1) = ( gc(1)*( fo(3)*fi(1)+fo(4)*fi(2))
+     &                +gc(2)*( fo(1)*fi(3)+fo(2)*fi(4)) )/N
+            jio(2) = (-gc(1)*( fo(3)*fi(2)+fo(4)*fi(1))
+     &                +gc(2)*( fo(1)*fi(4)+fo(2)*fi(3)) )/N
+            jio(3) = ( gc(1)*( fo(3)*fi(2)-fo(4)*fi(1))
+     &                +gc(2)*(-fo(1)*fi(4)+fo(2)*fi(3)))
+     &               *cImag/N
+            jio(4) = ( gc(1)*(-fo(3)*fi(1)+fo(4)*fi(2))
+     &                +gc(2)*( fo(1)*fi(3)-fo(2)*fi(4)) )/N
+
+c 
+      return
+      end
+      subroutine VECTOR(P1,P2,LAMBDA1,LAMBDA2,MQ,jio)
+c
+c This subroutine computes the relevant current for s=1 projection.
+c
+c    input : P1 = momentum of c
+c            P2 = momentum of c~
+c            LAMBDA1 = helicity of c
+c            LAMBDA2 = helicity of c~
+c
+c    output : jio(1->4) = the current,
+c             jio(5->6) = the total momentum q=p1+p2  
+c   
+      implicit none
+      double complex fi(6),fo(6),jio(6)  
+      double precision q(0:3),MQ,Norm,q2     
+
+      DOUBLE COMPLEX MAT1(1:4,1:4),GAM(1:4,1:4,0:3),MATRIX(1:4,1:4,0:3) 
+c
+c     "MAT1" IS THE MATRIX   SL(q)+2 E
+c     "MATRIX" IS THE MATRIX    GAMMA^\MU * MAT1
+c 
+      DOUBLE PRECISION E
+      integer J1, J2,K,L,LAMBDA1,LAMBDA2                         
+      DOUBLE PRECISION P1(0:3), P2(0:3)       
+      double complex cImag, cZero, cOne
+      parameter( cImag = ( 0.0d0, 1.0d0 ), cZero = ( 0.0d0, 0.0d0 ),
+     & cOne=(1.0D0,0.0D0) )
+
+      CALL IXXXXX(P1,MQ,LAMBDA1,1,FI)     
+      CALL OXXXXX(P2,MQ,LAMBDA2,-1,FO)
+
+      jio(5) = -fo(5)+fi(5)
+      jio(6) = -fo(6)+fi(6)
+
+      q(0) = dble( jio(5))   
+      q(1) = dble( jio(6))   
+      q(2) = dimag(jio(6))   
+      q(3) = dimag(jio(5))   
+      q2 = q(0)**2-(q(1)**2+q(2)**2+q(3)**2)
+      E=dsqrt(q2)/2   
+C
+C      DEFINITION OF MAT1
+C 
+      MAT1(1,1)=2*E
+      MAT1(1,2)=cZero
+      MAT1(1,3)=q(0)-q(3)
+      MAT1(1,4)=-q(1)+cImag*q(2)
+      MAT1(2,1)=cZero
+      MAT1(2,2)=2*E
+      MAT1(2,3)=-q(1)-cImag*q(2)
+      MAT1(2,4)=q(0)+q(3)
+      MAT1(3,1)=q(0)+q(3)
+      MAT1(3,2)=q(1)-cImag*q(2)
+      MAT1(3,3)=2*E
+      MAT1(3,4)=cZero
+      MAT1(4,1)=q(1)+cImag*q(2)
+      MAT1(4,2)=q(0)-q(3)
+      MAT1(4,3)=cZero
+      MAT1(4,4)=2*E 
+C
+C     INITIALIZATION OF GAMMA MATRICES
+C 
+      DO J1=1,4,1
+        DO J2=1,4,1
+          DO L=0,3,1
+          GAM(J1,J2,L)=cZero
+          ENDDO
+        ENDDO
+      ENDDO
+
+C
+C     DEFINITION OF GAMMA MATRICES
+C     CHIRAL REPRESENTATION
+C
+c     gamma 0
+
+      GAM(1,3,0)=cOne
+      GAM(2,4,0)=cOne
+      GAM(3,1,0)=cOne
+      GAM(4,2,0)=cOne
+
+c
+c     gamma 1
+c
+
+      GAM(1,4,1)=cOne
+      GAM(2,3,1)=cOne
+      GAM(3,2,1)=-cOne
+      GAM(4,1,1)=-cOne
+c
+c     gamma 2
+c
+
+      GAM(1,4,2)=-cImag
+      GAM(2,3,2)=cImag
+      GAM(3,2,2)=cImag
+      GAM(4,1,2)=-cImag
+c
+c
+c     gamma 3
+c
+
+      GAM(1,3,3)=cOne
+      GAM(2,4,3)=-cOne
+      GAM(3,1,3)=-cOne
+      GAM(4,2,3)=cOne
+
+c
+c     DEFINITION OF MAT2 = GAMMA^MU (SL(q)+2E)
+
+      DO L=0,3,1
+        DO J1=1,4,1
+          DO J2=1,4,1
+          MATRIX(J1,J2,L)=cZero
+            DO K=1,4,1
+            MATRIX(J1,J2,L)=MATRIX(J1,J2,L)+GAM(J1,K,L)*MAT1(K,J2)
+            ENDDO
+          ENDDO
+        ENDDO
+      ENDDO
+C
+
+C    NORMALIZATION - does not contain the factor 1/sqrt(E) from the wave function
+
+      Norm=1.0D0/(4*E*DSQRT(2.0D0)*(E+MQ))
+
+c    DEFINITION OF THE CURRENT
+
+
+      DO L=0,3,1
+        jio(L+1)=0
+        DO J1=1,4,1
+          DO J2 =1,4,1
+          jio(L+1)=jio(L+1)+Norm*FO(J1)*MATRIX(J1,J2,L)*FI(J2)
+          ENDDO
+        ENDDO
+      ENDDO
+
+
+      return
+      end
+      subroutine vectorBc(P1,P2,LAMBDA1,LAMBDA2,M1,M2,jio)
+c
+c This subroutine computes an off-shell vector current from an external
+c fermion pair.  The vector boson propagator is given in Feynman gauge
+c for a massless vector and in unitary gauge for a massive vector.
+c
+c input:
+c       complex fi(6)          : flow-in  fermion                   |fi>
+c       complex fo(6)          : flow-out fermion                   <fo|
+c       complex gc(2)          : coupling constants                  gvf
+c       real    vmass          : mass  of OUTPUT vector v
+c       real    vwidth         : width of OUTPUT vector v
+c
+c output:
+c       complex jio(6)         : vector current          j^mu(<fo|v|fi>)
+c     
+      implicit none
+      double complex fi(6),fo(6),gc(2),jio(6)
+      double precision q(0:3),q2,p1(0:3),p2(0:3),N
+      integer lambda1,lambda2
+      double precision m1,m2
+      
+      double precision rZero, rOne
+      parameter( rZero = 0.0d0, rOne = 1.0d0 )
+      double complex cImag, cZero
+      parameter( cImag = ( 0.0d0, 1.0d0 ), cZero = ( 0.0d0, 0.0d0 ) )
+
+      gc(1)=(1.0d0,0.0d0)
+      gc(2)=(1.0d0,0.0d0)
+
+      CALL IXXXXX(P1,M1,LAMBDA1,1,FI)     
+      CALL OXXXXX(P2,M2,LAMBDA2,-1,FO)
+
+      N=dsqrt(2d0*2d0*M1*2d0*M2)
+      jio(5) = -fo(5)+fi(5)
+      jio(6) = -fo(6)+fi(6)
+
+      q(0) = dble( jio(5))
+      q(1) = dble( jio(6))
+      q(2) = dimag(jio(6))
+      q(3) = dimag(jio(5))
+      q2 = q(0)**2-(q(1)**2+q(2)**2+q(3)**2)
+
+
+
+
+            jio(1) = ( gc(1)*( fo(3)*fi(1)+fo(4)*fi(2))
+     &                +gc(2)*( fo(1)*fi(3)+fo(2)*fi(4)) )/N
+            jio(2) = (-gc(1)*( fo(3)*fi(2)+fo(4)*fi(1))
+     &                +gc(2)*( fo(1)*fi(4)+fo(2)*fi(3)) )/N
+            jio(3) = ( gc(1)*( fo(3)*fi(2)-fo(4)*fi(1))
+     &                +gc(2)*(-fo(1)*fi(4)+fo(2)*fi(3)))
+     &               *cImag/N
+            jio(4) = ( gc(1)*(-fo(3)*fi(1)+fo(4)*fi(2))
+     &                +gc(2)*( fo(1)*fi(3)-fo(2)*fi(4)) )/N
+
+c 
+      return
+      end
+      subroutine leptonic_current(k1,k2,l1,l2,mq, jio)
+c
+      implicit none
+c
+c     arguments
+c
+      double precision k1(0:3),k2(0:3),mq
+      integer l1,l2
+      double complex jio(6)
+c
+c     local
+c
+      double complex fi(6),fo(6),gc(2)
+      double precision N
+c
+      double precision rZero,  pi
+      parameter( rZero = 0.0d0, PI=3.1415926d0 )
+      double complex cImag
+      parameter( cImag = ( 0.0d0, 1.0d0 ))
+c
+      N=dsqrt(3.0d0)/(8.0d0*MQ*dsqrt(pi))
+c
+      call oxxxxx(k1,rZero,l1,1,FO)
+      call ixxxxx(k2,rZero,l2,-1,FI)
+c
+      gc(1)=(1.0d0,0.0d0)
+      gc(2)=(1.0d0,0.0d0)
+c
+      jio(5) = fo(5)-fi(5)
+      jio(6) = fo(6)-fi(6)
+c
+            jio(1) = ( gc(1)*( fo(3)*fi(1)+fo(4)*fi(2))
+     &                +gc(2)*( fo(1)*fi(3)+fo(2)*fi(4)) )*N
+            jio(2) = (-gc(1)*( fo(3)*fi(2)+fo(4)*fi(1))
+     &                +gc(2)*( fo(1)*fi(4)+fo(2)*fi(3)) )*N
+            jio(3) = ( gc(1)*( fo(3)*fi(2)-fo(4)*fi(1))
+     &                +gc(2)*(-fo(1)*fi(4)+fo(2)*fi(3)))
+     &               *N*cImag
+            jio(4) = ( gc(1)*(-fo(3)*fi(1)+fo(4)*fi(2))
+     &                +gc(2)*( fo(1)*fi(3)-fo(2)*fi(4)) )*N
+c
+      return
+      end
+
+      subroutine genmom_lept(P,x,k1,k2,three_k1)
+C************************************************************************
+C     GIVEN X(2) AND P SETS UP THE MOMENTUM k1-k2
+C     AND ALSO SETS UP THE APPROPRIATE
+C     JACOBIAN VALUE = JAC AND PHASESPACE WEIGTH PSWGT
+C     X(1) = COSTHETA OF FIRST DECAY psi -> mu mu
+C     X(2) = PHI OF FIRST DECAY psi -> mu mu
+C************************************************************************
+      IMPLICIT NONE
+C     
+C     CONSTANTS
+C
+      REAL*8     ZERO    ,      PI
+      PARAMETER (ZERO=0D0,  PI=3.1415926d0 )
+C
+C     ARGUMENTS
+C
+      REAL*8 P(0:3),k1(0:3),k2(0:3)
+      REAL*8 three_k1(3)
+      REAL*8 X(2)
+C
+C     LOCAL
+C
+      REAL*8 RSH,SH,COSTH,PHI
+      integer j
+C
+C     EXTERNAL
+C
+      REAL*8 DOT
+C
+C     GLOBAL
+C
+      DOUBLE PRECISION              S,X1,X2,PSWGT,JAC
+      COMMON /PHASESPACE/ S,X1,X2,PSWGT,JAC
+c
+      SH = DOT(P,P)
+      RSH = dsqrt(SH)
+C
+C       PICK VALUE OF THETA AND PHI FOR FIRST DECAY SH->M1+S1
+C
+        COSTH=-1.D0+2.D0*X(1)
+        PHI = 2D0*PI*X(2)
+C
+C       DETERMINE JACOBIAN FOR THETA AND PHI
+C     
+        JAC =  JAC * 4D0*PI
+C
+C       CALCULATE COMPONENTS OF MOMENTUM FOUR-VECTORS
+C       OF THE FINAL STATE MASSLESS PARTONS IN THEIR CM FRAME
+C
+        CALL MOM2CX(RSH,zero,zero,COSTH,PHI,k1,k2)
+c
+c       record three_k1
+c
+        do j=1,3
+        three_k1(j)=k1(j)
+        enddo
+c
+c       boost the momenta in the lab frame
+c
+        call boostx(k1,P,k1)
+        call boostx(k2,P,k2)
+
+      RETURN
+      END
+C
+C*********************************************************************
+      SUBROUTINE polariz(P,EPS)
+C*********************************************************************
+C 
+C     ARGUMENTS 
+      IMPLICIT NONE
+C 
+      DOUBLE PRECISION P(0:3),EPS(0:3,-1:1)
+      
+C
+C     LOCAL
+C 
+      DOUBLE PRECISION E1(1:3),E2(1:3),E3(1:3)
+      DOUBLE PRECISION J1(1:3),J2(1:3)
+      DOUBLE PRECISION ALPHA(3),BETA(2)
+      INTEGER J
+      DOUBLE PRECISION SQP, SQNORM_P
+      DOUBLE PRECISION EPS_SQMIN,EPS_SQMAX,j2_epsmin,norm1,norm2
+C 
+C     EXTERNAL
+C     
+      DOUBLE PRECISION DOT
+      EXTERNAL DOT
+C
+C      PARAMETER
+C
+      DOUBLE PRECISION ZERO
+      PARAMETER (ZERO=0.0D0)
+C
+C     POLARIZATIONS OF J=1 STATE
+C 
+      E1(1)=1.0D0
+      E1(2)=0.0D0
+      E1(3)=0.0D0
+C 
+      E2(1)=0.0D0
+      E2(2)=1.0D0
+      E2(3)=0.0D0
+C 
+      E3(1)=0.0D0
+      E3(2)=0.0D0
+      E3(3)=1.0D0
+
+C
+C     IF THE STATE IS AT REST, THE SUBROUTINE RETURNS 
+C     THE THREE VECTORS ABOVE
+C
+      IF (P(1).EQ.zero.AND.P(2).eq.zero.AND.P(3).eq.zero) THEN
+      DO J=1,3,1
+      EPS(J,-1)=E1(J)
+      EPS(J,0)=E2(J)
+      EPS(J,1)=E3(J)
+      EPS(0,-1)=ZERO
+      EPS(0,0)=ZERO
+      EPS(0,1)=ZERO
+      ENDDO
+      RETURN
+      ENDIF
+C 
+C     PROJECTIONS
+C
+
+      ALPHA(1)=P(1)
+      ALPHA(2)=P(2)
+      ALPHA(3)=P(3)
+
+      IF (dabs(ALPHA(1)).LT.dabs(ALPHA(3)).AND.dabs(ALPHA(2))
+     &.LT.dabs(ALPHA(3))) THEN
+      DO J=1,3,1
+      J1(J)=E1(J)
+      J2(J)=E2(J)
+      ENDDO
+      BETA(1)=ALPHA(1)
+      BETA(2)=ALPHA(2)
+      ELSEIF (dabs(ALPHA(1)).LT.dabs(ALPHA(2)).AND.dabs(ALPHA(3))
+     & .LT.dabs(ALPHA(2))) THEN
+      DO J=1,3,1
+      J1(J)=E1(J)
+      J2(J)=E3(J)
+      ENDDO
+      BETA(1)=ALPHA(1)
+      BETA(2)=ALPHA(3)
+      ELSEIF (dabs(ALPHA(2)).LT.dabs(ALPHA(1)).AND.dabs(ALPHA(3)).LT.
+     & dabs(ALPHA(1))) THEN
+      DO J=1,3,1
+      J1(J)=E2(J)
+      J2(J)=E3(J)
+      ENDDO 
+      BETA(1)=ALPHA(2)
+      BETA(2)=ALPHA(3)
+      ENDIF
+C
+      SQNORM_P=P(1)**2+P(2)**2+P(3)**2
+C
+      EPS_SQMIN=0d0
+      EPS_SQMAX=0d0
+      j2_epsmin=0d0
+      DO J=1,3,1
+      EPS(J,-1)=J1(J)-BETA(1)*P(J)/SQNORM_P
+C
+      EPS_SQMIN=EPS_SQMIN+EPS(J,-1)*EPS(J,-1)
+      j2_epsmin=j2_epsmin+EPS(j,-1)*J2(J) 
+      ENDDO
+C
+      NORM1=DSQRT(EPS_SQMIN)
+      j2_epsmin=j2_epsmin/norm1
+C
+      DO J=1,3
+      EPS(J,-1)=EPS(J,-1)/norm1
+      EPS(J,1)=J2(J)-BETA(2)*P(J)/SQNORM_P-j2_epsmin*EPS(J,-1)
+      EPS_SQMAX=EPS_SQMAX+EPS(J,1)*EPS(J,1)
+      ENDDO
+      NORM2=DSQRT(EPS_SQMAX)
+
+      EPS(0,-1)=0d0
+      EPS(0,1)=0d0
+
+      SQP=P(0)**2-SQNORM_P
+      DO J=1,3,1
+      EPS(J,1)=EPS(J,1)/norm2
+      EPS(J,0)=P(0)*P(J)/DSQRT(SQNORM_P*SQP)
+      ENDDO 
+      EPS(0,0)=DSQRT(SQNORM_P/SQP)
+      RETURN
+      END
+
+      subroutine get_helicity(P,eps)
+c
+c     Given P (momentum in the lab), this subroutine gets the polarization vector 
+c     Frame: px=py=pz=0 (rest frame of the particle)
+c     Quantization axis: P
+
+c
+c     arguments
+c
+      double precision P(0:3)
+      double complex eps(3,-1:1)
+c
+c      local:
+c
+      double precision pt, pp,sqh
+c---
+c Begin code     
+c---
+      pt=dsqrt(p(1)**2+p(2)**2)
+      pp=dsqrt(p(1)**2+p(2)**2+p(3)**2)
+      sqh=dsqrt(1d0/2d0)
+c
+      eps(1,0)=dcmplx(p(1)/pp)
+      eps(2,0)=dcmplx(p(2)/pp)
+      eps(3,0)=dcmplx(p(3)/pp)
+c
+      eps(1,1)=dcmplx(-p(2)/pt*sqh , p(3)*p(1)/(pt*pp)*sqh)
+      eps(2,1)=dcmplx(p(1)/pt*sqh , p(3)*p(2)/(pt*pp)*sqh)
+      eps(3,1)=dcmplx( 0d0 , -pt/pp*sqh )
+c
+      eps(1,-1)=dcmplx( p(2)/pt*sqh , p(3)*p(1)/(pt*pp)*sqh)
+      eps(2,-1)=dcmplx(-p(1)/pt*sqh , p(3)*p(2)/(pt*pp)*sqh)
+      eps(3,-1)=dcmplx( 0d0 , -pt/pp*sqh )
+c
+      return
+      end
+
+      subroutine get_helicity2(P,eps,m)
+c
+c     Given P (momentum in the lab), this subroutine gets the polarization vector
+c     Frame: lab
+c     Quantization axis: P
+
+c
+c     arguments
+c
+      double precision P(0:3),m
+      double complex eps(0:3,-1:1)
+c
+c      local:
+c
+      double precision pt, pp,sqh
+c---
+c Begin code
+c---
+      pt=dsqrt(p(1)**2+p(2)**2)
+      pp=dsqrt(p(1)**2+p(2)**2+p(3)**2)
+      sqh=dsqrt(1d0/2d0)
+c 
+      if (pt.ne.0d0) then
+      eps(0,0)=dcmplx(pp/m)
+      eps(1,0)=dcmplx(p(1)/pp*P(0)/m)
+      eps(2,0)=dcmplx(p(2)/pp*P(0)/m)
+      eps(3,0)=dcmplx(p(3)/pp*P(0)/m)
+c
+      eps(0,1)=dcmplx(0d0)
+      eps(1,1)=dcmplx(-p(2)/pt*sqh , p(3)*p(1)/(pt*pp)*sqh)
+      eps(2,1)=dcmplx(p(1)/pt*sqh , p(3)*p(2)/(pt*pp)*sqh)
+      eps(3,1)=dcmplx( 0d0 , -pt/pp*sqh )
+c
+      eps(0,-1)=dcmplx(0d0)
+      eps(1,-1)=dcmplx( p(2)/pt*sqh , p(3)*p(1)/(pt*pp)*sqh)
+      eps(2,-1)=dcmplx(-p(1)/pt*sqh , p(3)*p(2)/(pt*pp)*sqh)
+      eps(3,-1)=dcmplx( 0d0 , -pt/pp*sqh )
+c
+      else
+  
+      eps(0,0)=dcmplx(p(3)/m)
+      eps(1,0)=dcmplx(0d0)
+      eps(2,0)=dcmplx(0d0)
+      eps(3,0)=dcmplx(P(0)/m)
+c
+      eps(0,1)=dcmplx(0d0)
+      eps(1,1)=dcmplx(-sqh , 0d0)
+      eps(2,1)=dcmplx( 0d0 , sign(sqh,p(3)))
+      eps(3,1)=dcmplx( 0d0  )
+c
+      eps(0,-1)=dcmplx(0d0)
+      eps(1,-1)=dcmplx( sqh , 0d0)
+      eps(2,-1)=dcmplx(0d0 , sign(sqh,p(3)))
+      eps(3,-1)=dcmplx( 0d0  )
+      endif
+
+      return
+      end

=== added file 'Template/SubProcesses/randinit'
--- Template/SubProcesses/randinit	1970-01-01 00:00:00 +0000
+++ Template/SubProcesses/randinit	2010-10-30 03:26:37 +0000
@@ -0,0 +1,1 @@
+r=21

=== added file 'Template/SubProcesses/reweight.f'
--- Template/SubProcesses/reweight.f	1970-01-01 00:00:00 +0000
+++ Template/SubProcesses/reweight.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,938 @@
+      double precision function gamma(q0)
+c**************************************************
+c   calculates the branching probability
+c**************************************************
+      implicit none
+      include 'nexternal.inc'
+      include 'message.inc'
+      include 'cluster.inc'
+      include 'sudakov.inc'
+      include 'run.inc'
+      integer i
+      double precision q0, val, add, add2
+      double precision qr,lf
+      double precision alphas
+      external alphas
+      double precision pi
+      parameter (pi=3.141592654d0)
+
+      gamma=0.0d0
+
+      if (Q1<m_qmass(iipdg)) return
+      m_lastas=Alphas(alpsfact*q0)
+      val=2d0*m_colfac(iipdg)*m_lastas/PI/q0
+c   if (m_mode & bpm::power_corrs) then
+      qr=q0/Q1
+      if(m_pca(iipdg,iimode).eq.0)then
+        lf=log(1d0/qr-1d0)
+      else 
+        lf=log(1d0/qr)
+      endif
+      val=val*(m_dlog(iipdg)*(1d0+m_kfac*m_lastas/(2d0*PI))*lf+m_slog(iipdg)
+     $   +qr*(m_power(iipdg,1,iimode)+qr*(m_power(iipdg,2,iimode)
+     $   +qr*m_power(iipdg,3,iimode))))
+c   else
+c   val=val*m_dlog*(1d0+m_kfac*m_lastas/(2d0*PI))*log(Q1/q0)+m_slog;
+c   endif
+      if(m_qmass(iipdg).gt.0d0)then
+        val=val+m_colfac(iipdg)*m_lastas/PI/q0*(0.5-q0/m_qmass(iipdg)*
+     $     atan(m_qmass(iipdg)/q0)-
+     $     (1.0-0.5*(q0/m_qmass(iipdg))**2)*log(1.0+(m_qmass(iipdg)/q0)**2))
+      endif
+      val=max(val,0d0)
+      if (iipdg.eq.21) then
+        add=0d0
+        do i=-6,-1
+          if(m_qmass(abs(i)).gt.0d0)then
+            add2=m_colfac(i)*m_lastas/PI/q0/
+     $         (1.0+(m_qmass(abs(i))/q0)**2)*
+     $         (1.0-1.0/3.0/(1.0+(m_qmass(abs(i))/q0)**2))
+          else
+            add2=2d0*m_colfac(i)*m_lastas/PI/q0*(m_slog(i)
+     $         +qr*(m_power(i,1,iimode)+qr*(m_power(i,2,iimode)
+     $         +qr*m_power(i,3,iimode))))
+          endif
+          add=add+max(add2,0d0)
+        enddo
+        val=val+add
+      endif
+      
+      gamma = max(val,0d0)
+
+      if (btest(mlevel,6)) then
+        write(*,*)'       \\Delta^I_{',iipdg,'}(',
+     &     q0,',',q1,') -> ',gamma
+        write(*,*) val,m_lastas,m_dlog(iipdg),m_slog(iipdg)
+        write(*,*) m_power(iipdg,1,iimode),m_power(iipdg,2,iimode),m_power(iipdg,3,iimode)
+      endif
+
+      return
+      end
+
+      double precision function sud(q0,Q11,ipdg,imode)
+c**************************************************
+c   actually calculates is sudakov weight
+c**************************************************
+      implicit none
+      include 'message.inc'
+      include 'nexternal.inc'
+      include 'cluster.inc'      
+      integer ipdg,imode
+      double precision q0, Q11
+      double precision gamma,DGAUSS
+      external gamma,DGAUSS
+      double precision eps
+      parameter (eps=1d-5)
+      
+      sud=0.0d0
+
+      Q1=Q11
+      iipdg=iabs(ipdg)
+      iimode=imode
+
+      sud=exp(-DGAUSS(gamma,q0,Q1,eps))
+
+      if (btest(mlevel,6)) then
+        write(*,*)'       \\Delta^',imode,'_{',ipdg,'}(',
+     &     2*log10(q0/q1),') -> ',sud
+      endif
+
+      return
+      end
+
+      double precision function sudwgt(q0,q1,q2,ipdg,imode)
+c**************************************************
+c   calculates is sudakov weight
+c**************************************************
+      implicit none
+      include 'message.inc'
+      integer ipdg,imode
+      double precision q0, q1, q2
+      double precision sud
+      external sud
+      
+      sudwgt=1.0d0
+
+      if(q2.le.q1)then
+         if(q2.lt.q1.and.btest(mlevel,4))
+     $        write(*,*)'Warning! q2 < q1 in sudwgt. Return 1.'
+         return
+      endif
+
+      sudwgt=sud(q0,q2,ipdg,imode)/sud(q0,q1,ipdg,imode)
+
+      if (btest(mlevel,5)) then
+        write(*,*)'       \\Delta^',imode,'_{',ipdg,'}(',
+     &     q0,',',q1,',',q2,') -> ',sudwgt
+      endif
+
+      return
+      end
+
+      logical function isqcd(ipdg)
+c**************************************************
+c   determines whether particle is qcd particle
+c**************************************************
+      implicit none
+      integer ipdg, irfl
+
+      isqcd=.true.
+
+      irfl=iand(abs(ipdg),63)
+      if (irfl.gt.8.and.irfl.ne.21) isqcd=.false.
+c      write(*,*)'iqcd? pdg = ',ipdg,' -> ',irfl,' -> ',isqcd
+
+      return
+      end
+
+      logical function isjet(ipdg)
+c**************************************************
+c   determines whether particle is qcd jet particle
+c**************************************************
+      implicit none
+
+      include 'cuts.inc'
+
+      integer ipdg, irfl
+
+      isjet=.true.
+
+      irfl=abs(ipdg)
+      if (irfl.gt.maxjetflavor.and.irfl.ne.21) isjet=.false.
+c      write(*,*)'isjet? pdg = ',ipdg,' -> ',irfl,' -> ',isjet
+
+      return
+      end
+
+      logical function isparton(ipdg)
+c**************************************************
+c   determines whether particle is qcd jet particle
+c**************************************************
+      implicit none
+
+      include 'cuts.inc'
+
+      integer ipdg, irfl
+
+      isparton=.true.
+
+      irfl=abs(ipdg)
+      if (irfl.gt.5.and.irfl.ne.21) isparton=.false.
+c      write(*,*)'isparton? pdg = ',ipdg,' -> ',irfl,' -> ',isparton
+
+      return
+      end
+
+
+      subroutine ipartupdate(p,imo,ida1,ida2,ipdg,ipart)
+c**************************************************
+c   Traces particle lines according to CKKW rules
+c**************************************************
+      implicit none
+
+      include 'ncombs.inc'
+      include 'nexternal.inc'
+      include 'message.inc'
+
+      double precision p(0:3,nexternal)
+      integer imo,ida1,ida2,i,idmo,idda1,idda2
+      integer ipdg(n_max_cl),ipart(2,n_max_cl)
+
+      do i=1,2
+        ipart(i,imo)=0
+      enddo
+
+      idmo=ipdg(imo)
+      idda1=ipdg(ida1)
+      idda2=ipdg(ida2)
+
+      if (btest(mlevel,1)) then
+        write(*,*) ' updating ipart for: ',ida1,ida2,imo
+      endif
+
+        if (btest(mlevel,1)) then
+          write(*,*) ' daughters: ',(ipart(i,ida1),i=1,2),(ipart(i,ida2),i=1,2)
+        endif
+
+c     IS clustering - just transmit info on incoming line
+      if((ipart(1,ida1).ge.1.and.ipart(1,ida1).le.2).or.
+     $   (ipart(1,ida2).ge.1.and.ipart(1,ida2).le.2))then
+        if(ipart(1,ida2).ge.1.and.ipart(1,ida2).le.2)
+     $     ipart(1,imo)=ipart(1,ida2)        
+        if(ipart(1,ida1).ge.1.and.ipart(1,ida1).le.2)
+     $     ipart(1,imo)=ipart(1,ida1)
+        if (btest(mlevel,1)) then
+          write(*,*) ' -> ',(ipart(i,imo),i=1,2)
+c     Set intermediate particle identity
+          if(iabs(idmo).lt.6)then
+            if(iabs(idda1).lt.6) ipdg(imo)=-idda1
+            if(iabs(idda2).lt.6) ipdg(imo)=-idda2
+            idmo=ipdg(imo)
+            if (btest(mlevel,1)) then
+              write(*,*) ' particle identities: ',idda1,idda2,idmo
+            endif
+          endif
+        endif
+        return
+      endif        
+
+c     FS clustering
+      if(idmo.eq.21.and.idda1.eq.21.and.idda2.eq.21)then
+c     gluon -> 2 gluon splitting: Choose hardest gluon
+        if(p(1,ipart(1,ida1))**2+p(2,ipart(1,ida1))**2.gt.
+     $     p(1,ipart(1,ida2))**2+p(2,ipart(1,ida2))**2) then
+          ipart(1,imo)=ipart(1,ida1)
+          ipart(2,imo)=ipart(2,ida1)
+        else
+          ipart(1,imo)=ipart(1,ida2)
+          ipart(2,imo)=ipart(2,ida2)
+        endif
+      else if(idmo.eq.21.and.idda1.eq.-idda2)then
+c     gluon -> quark anti-quark: use both, but take hardest as 1
+        if(p(1,ipart(1,ida1))**2+p(2,ipart(1,ida1))**2.gt.
+     $     p(1,ipart(1,ida2))**2+p(2,ipart(1,ida2))**2) then
+          ipart(1,imo)=ipart(1,ida1)
+          ipart(2,imo)=ipart(1,ida2)
+        else
+          ipart(1,imo)=ipart(1,ida2)
+          ipart(2,imo)=ipart(1,ida1)
+        endif
+      else if(idmo.eq.idda1.or.idmo.eq.idda1+sign(1,idda2))then
+c     quark -> quark-gluon or quark-Z or quark-h or quark-W
+        ipart(1,imo)=ipart(1,ida1)
+      else if(idmo.eq.idda2.or.idmo.eq.idda2+sign(1,idda1))then
+c     quark -> gluon-quark or Z-quark or h-quark or W-quark
+        ipart(1,imo)=ipart(1,ida2)
+      endif
+      
+      if (btest(mlevel,1)) then
+        write(*,*) ' -> ',(ipart(i,imo),i=1,2)
+      endif
+
+c     Set intermediate particle identity
+      if(iabs(idmo).lt.6)then
+        if(iabs(idda1).lt.6) ipdg(imo)=idda1
+        if(iabs(idda2).lt.6) ipdg(imo)=idda2
+        idmo=ipdg(imo)
+        if (btest(mlevel,1)) then
+          write(*,*) ' particle identities: ',idda1,idda2,idmo
+        endif
+      endif
+
+      return
+      end
+      
+      logical function isjetvx(imo,ida1,ida2,ipdg,ipart)
+c***************************************************
+c   Checks if a qcd vertex generates a jet
+c***************************************************
+      implicit none
+
+      include 'ncombs.inc'
+      include 'nexternal.inc'
+
+      integer imo,ida1,ida2,idmo,idda1,idda2,i
+      integer ipdg(n_max_cl),ipart(2,n_max_cl)
+      logical isqcd,isjet
+      external isqcd,isjet
+
+      idmo=ipdg(imo)
+      idda1=ipdg(ida1)
+      idda2=ipdg(ida2)
+
+c     Check QCD vertex
+      if(.not.isqcd(idmo).or..not.isqcd(idda1).or.
+     &     .not.isqcd(idda2)) then
+         isjetvx = .false.
+         return
+      endif
+
+c     IS clustering
+      if((ipart(1,ida1).ge.1.and.ipart(1,ida1).le.2).or.
+     $   (ipart(1,ida2).ge.1.and.ipart(1,ida2).le.2))then
+c     Check if ida1 is outgoing parton or ida2 is outgoing parton
+        if(ipart(1,ida2).ge.1.and.ipart(1,ida2).le.2.and.isjet(idda1).or.
+     $        ipart(1,ida1).ge.1.and.ipart(1,ida1).le.2.and.isjet(idda2))then
+           isjetvx=.true.
+        else
+           isjetvx=.false.
+        endif
+        return
+      endif        
+
+c     FS clustering
+      if(isjet(idda1).or.isjet(idda2))then
+         isjetvx=.true.
+      else
+         isjetvx=.false.
+      endif
+      
+      return
+      end
+
+      logical function setclscales(p)
+c**************************************************
+c   reweight the hard me according to ckkw
+c   employing the information in common/cl_val/
+c**************************************************
+      implicit none
+
+      include 'message.inc'
+      include 'genps.inc'
+      include 'nexternal.inc'
+      include 'cluster.inc'
+      include 'run.inc'
+      include 'coupl.inc'
+C   
+C   ARGUMENTS 
+C   
+      DOUBLE PRECISION P(0:3,NEXTERNAL)
+
+C   local variables
+      integer i, j, idi, idj
+      real*8 PI
+      parameter( PI = 3.14159265358979323846d0 )
+
+      integer mapconfig(0:lmaxconfigs), this_config
+      integer iforest(2,-max_branch:-1,lmaxconfigs)
+      integer sprop(-max_branch:-1,lmaxconfigs)
+      integer tprid(-max_branch:-1,lmaxconfigs)
+      include 'configs.inc'
+      real*8 xptj,xptb,xpta,xptl,xmtc
+      real*8 xetamin,xqcut,deltaeta
+      common /to_specxpt/xptj,xptb,xpta,xptl,xmtc,xetamin,xqcut,deltaeta
+      real*8 q2bck(2)
+      save q2bck
+      include 'maxamps.inc'
+      integer idup(nexternal,maxproc)
+      integer mothup(2,nexternal,maxproc)
+      integer icolup(2,nexternal,maxflow)
+      include 'leshouche.inc'
+      double precision asref, pt2prev(n_max_cl),pt2min
+      integer n, icmp, ibeam(2), iqcd(0:2)!, ilast(0:nexternal)
+      integer idfl, ipdg(n_max_cl), idmap(-nexternal:nexternal)
+      integer ipart(2,n_max_cl)
+      double precision xnow(2)
+      integer jlast(2),jfirst(2)
+      logical qcdline(2),qcdrad(2)
+      logical failed,first
+      data first/.true./
+
+      logical isqcd,isjet,isparton,isjetvx,cluster
+      double precision alphas
+      external isqcd, isjet, isparton, isjetvx, cluster, alphas
+
+      setclscales=.true.
+
+      if(ickkw.le.0.and.xqcut.le.0d0.and.q2fact(1).gt.0.and.scale.gt.0) return
+
+c   
+c   Cluster the configuration
+c   
+      
+      if (.not.cluster(p(0,1))) then
+c        if (xqcut.gt.0d0) then
+c          failed=.false.          
+cc          if(pt2ijcl(1).lt.xqcut**2) failed=.true.
+c          if(failed) then
+c            if (btest(mlevel,3)) then
+c              write(*,*)'q_min = ',pt2ijcl(1),' < ',xqcut**2
+c            endif
+c            setclscales=.false.
+c            return
+c          endif
+c        endif
+c      else
+        write(*,*)'setclscales: Error. Clustering failed.'
+        setclscales=.false.
+        return
+      endif
+
+c   Preparing graph particle information
+      do i=1,nexternal
+        ipart(1,ishft(1,i))=i
+        ipart(2,ishft(1,i))=0
+      enddo
+      ibeam(1)=ishft(1,1)
+      ibeam(2)=ishft(1,2)
+      if (btest(mlevel,1)) then
+        write(*,*)'setclscales: identified tree {'
+        do i=1,nexternal-2
+          write(*,*)'  ',i,': ',idacl(i,1),'&',idacl(i,2),
+     &       ' -> ',imocl(i),', ptij = ',dsqrt(pt2ijcl(i)) 
+        enddo
+        write(*,*)'  graphs (',igscl(0),'):',(igscl(i),i=1,igscl(0))
+        write(*,*)'}'
+      endif
+c   fill particle information
+      icmp=ishft(1,nexternal+1)-2
+      do i=1,nexternal
+        idmap(i)=ishft(1,i)
+        ipdg(idmap(i))=idup(i,1)
+        if(btest(mlevel,3))
+     $     write(*,*) i,' got id ',idmap(i),' -> ',ipdg(idmap(i))
+      enddo
+      do i=1,nexternal-2
+        idi=iforest(1,-i,igscl(1))
+        idj=iforest(2,-i,igscl(1))
+        idmap(-i)=idmap(idi)+idmap(idj)
+        idfl=sprop(-i,igscl(1))
+        if (idfl.ne.0) then
+          ipdg(idmap(-i))=idfl
+          ipdg(icmp-idmap(-i))=idfl
+        endif
+        idfl=tprid(-i,igscl(1))
+        if (idfl.ne.0) then
+          ipdg(idmap(-i))=idfl
+          ipdg(icmp-idmap(-i))=idfl
+        endif
+c     write(*,*) -i,' (',idi,',',idj,') got id ',idmap(-i),
+c     &        ' -> ',ipdg(idmap(-i))
+      enddo
+
+cc
+cc   Set factorization scale as for the MLM case
+cc
+c      if(xqcut.gt.0) then
+cc     Using last clustering value
+c        if(pt2ijcl(nexternal-2).lt.max(4d0,xqcut**2))then
+c           setclscales=.false.
+c           return
+c        endif
+
+c     If last clustering is s-channel QCD (e.g. ttbar) use mt2last instead
+c     (i.e. geom. average of transverse mass of t and t~)
+        if(mt2last.gt.4d0 .and. nexternal.gt.3 .and. isqcd(ipdg(idacl(nexternal-3,1)))
+     $      .and. isqcd(ipdg(idacl(nexternal-3,2)))
+     $      .and. isqcd(ipdg(imocl(nexternal-3))))then
+           mt2ij(nexternal-2)=mt2last
+           mt2ij(nexternal-3)=mt2last
+           if (btest(mlevel,3)) then
+              write(*,*)' setclscales: set last vertices to mtlast: ',sqrt(mt2last)
+           endif
+        endif
+
+C   If we have fixed factorization scale, for ickkw>0 means central
+C   scale, i.e. last two scales (ren. scale for these vertices are
+C   anyway already set by "scale" above
+      if(ickkw.gt.0) then
+         if(fixed_fac_scale.and.first)then
+            q2bck(1)=q2fact(1)
+            q2bck(2)=q2fact(2)
+            first=.false.
+         else if(fixed_fac_scale) then
+            q2fact(1)=q2bck(1)
+            q2fact(2)=q2bck(2)
+         endif
+      endif
+      jfirst(1)=0
+      jfirst(2)=0
+
+      jlast(1)=0
+      jlast(2)=0
+      qcdline(1)=.false.
+      qcdline(2)=.false.
+      qcdrad(1)=.true.
+      qcdrad(2)=.true.
+
+c   Go through clusterings and set factorization scales for use in dsig
+      do n=1,nexternal-2
+c   Update particle tree map
+        call ipartupdate(p,imocl(n),idacl(n,1),idacl(n,2),
+     $     ipdg,ipart)
+
+        do i=1,2
+          if (isqcd(ipdg(idacl(n,i)))) then
+            do j=1,2
+              if ((isparton(ipdg(idacl(n,i))).and.idacl(n,i).eq.ibeam(j).or.
+     $           isparton(ipdg(imocl(n))).and.imocl(n).eq.ibeam(j))
+     $           .and.qcdrad(j)) then
+c             is emission - this is what we want
+c             Total pdf weight is f1(x1,pt2E)*fj(x1*z,Q)/fj(x1*z,pt2E)
+c             f1(x1,pt2E) is given by DSIG, just need to set scale.
+                ibeam(j)=imocl(n)
+                if(ickkw.eq.0.or.jfirst(j).eq.0) jfirst(j)=n
+                jlast(j)=n
+                qcdline(j)=isqcd(ipdg(imocl(n)))
+                if(n.lt.nexternal-2)then
+                   qcdrad(j)=isqcd(ipdg(idacl(n,3-i)))
+                endif
+              endif
+            enddo
+          endif
+        enddo
+      enddo
+
+      if (btest(mlevel,3))
+     $     write(*,*) 'jfirst is ',jfirst(1),jfirst(2),
+     $     ' and jlast is ',jlast(1),jlast(2)
+
+c     Set central scale to mT2 and multiply with scalefact
+      if(jlast(1).gt.0.and.mt2ij(jlast(1)).gt.0d0)
+     $     pt2ijcl(jlast(1))=mt2ij(jlast(1))
+      if(jlast(2).gt.0.and.mt2ij(jlast(2)).gt.0d0)
+     $     pt2ijcl(jlast(2))=mt2ij(jlast(2))
+      if(qcdline(1).and.qcdline(2).and.jlast(1).ne.jlast(2)) then
+c     If not WBF or similar, set uniform scale to be geom. average
+         pt2ijcl(jlast(1))=sqrt(pt2ijcl(jlast(1))*pt2ijcl(jlast(2)))
+         pt2ijcl(jlast(2))=pt2ijcl(jlast(1))
+      endif
+      if(jlast(1).gt.0) pt2ijcl(jlast(1))=scalefact**2*pt2ijcl(jlast(1))
+      if(jlast(2).gt.0) pt2ijcl(jlast(2))=scalefact**2*pt2ijcl(jlast(2))
+      if(lpp(1).eq.0.and.lpp(2).eq.0)then
+         pt2ijcl(nexternal-2)=scalefact**2*pt2ijcl(nexternal-2)
+         pt2ijcl(nexternal-3)=pt2ijcl(nexternal-2)
+      endif
+
+c     Check xqcut for vertices with jet daughters only
+      if(xqcut.gt.0) then
+         do n=1,nexternal-2
+            if (n.lt.nexternal-2.and.n.ne.jlast(1).and.n.ne.jlast(2).and.
+     $           (isjet(ipdg(idacl(n,1))).or.isjet(ipdg(idacl(n,2)))).and.
+     $           sqrt(pt2ijcl(n)).lt.xqcut)then
+               setclscales=.false.
+               return
+            endif
+         enddo
+      endif
+
+c     JA: Check xmtc cut for central process
+      if(pt2ijcl(jlast(1)).lt.xmtc**2.or.pt2ijcl(jlast(2)).lt.xmtc**2)then
+         setclscales=.false.
+         if(btest(mlevel,3)) write(*,*)'Failed xmtc cut ',
+     $        sqrt(pt2ijcl(jlast(1))),sqrt(pt2ijcl(jlast(1))),' < ',xmtc
+         return
+      endif
+      
+      if(ickkw.eq.0.and.(fixed_fac_scale.or.q2fact(1).gt.0).and.
+     $     (fixed_ren_scale.or.scale.gt.0)) return
+
+c     Set renormalization scale to largest factorization scale
+      if(scale.eq.0d0) then
+         if(jlast(1).gt.0.and.jlast(2).gt.0) then
+            scale=(pt2ijcl(jlast(1))*pt2ijcl(jlast(2)))**0.25d0
+         elseif(jlast(1).gt.0) then
+            scale=sqrt(pt2ijcl(jlast(1)))
+         elseif(jlast(2).gt.0) then
+            scale=sqrt(pt2ijcl(jlast(2)))
+         elseif(lpp(1).eq.0.and.lpp(2).eq.0) then
+            scale=sqrt(pt2ijcl(nexternal-2))
+         endif
+         if(scale.gt.0)
+     $        G = SQRT(4d0*PI*ALPHAS(scale))
+      endif
+      if (btest(mlevel,3))
+     $     write(*,*) 'Set ren scale to ',scale
+
+      if(ickkw.gt.0.and.q2fact(1).gt.0) then
+c     Use the fixed or previously set scale for central scale
+         if(jlast(1).gt.0) pt2ijcl(jlast(1))=q2fact(1)
+         if(jlast(2).gt.0) pt2ijcl(jlast(2))=q2fact(2)
+      endif
+      
+      if(lpp(1).eq.0.and.lpp(2).eq.0)then
+         if(q2fact(1).gt.0)then
+            pt2ijcl(nexternal-2)=q2fact(1)
+            pt2ijcl(nexternal-3)=q2fact(1)
+         else
+            q2fact(1)=pt2ijcl(nexternal-2)
+            q2fact(2)=q2fact(1)
+         endif
+      elseif(ickkw.eq.2.or.pdfwgt)then
+c     Use the minimum scale found for fact scale in ME
+         if(jlast(1).gt.0) q2fact(1)=min(pt2ijcl(jfirst(1)),pt2ijcl(jlast(1)))
+         if(jlast(2).gt.0) q2fact(2)=min(pt2ijcl(jfirst(2)),pt2ijcl(jlast(2)))
+      else if(q2fact(1).eq.0d0) then
+         if(jlast(1).gt.0) q2fact(1)=pt2ijcl(jlast(1))
+         if(jlast(2).gt.0) q2fact(2)=pt2ijcl(jlast(2))
+      endif
+
+      if(nexternal.eq.3.and.nincoming.eq.2) then
+         if(q2fact(1).eq.0)
+     $        q2fact(1)=pt2ijcl(nexternal-2)
+         if(q2fact(2).eq.0)
+     $        q2fact(2)=pt2ijcl(nexternal-2)
+      endif
+
+      if (btest(mlevel,3))
+     $     write(*,*) 'Set fact scales to ',sqrt(q2fact(1)),sqrt(q2fact(2))
+      return
+      end
+      
+      double precision function rewgt(p)
+c**************************************************
+c   reweight the hard me according to ckkw
+c   employing the information in common/cl_val/
+c**************************************************
+      implicit none
+
+      include 'message.inc'
+      include 'genps.inc'
+      include 'nexternal.inc'
+      include 'cluster.inc'
+      include 'run.inc'
+      include 'coupl.inc'
+C   
+C   ARGUMENTS 
+C   
+      DOUBLE PRECISION P(0:3,NEXTERNAL)
+
+C   global variables
+      integer              IPROC 
+      DOUBLE PRECISION PD(0:MAXPROC)
+      COMMON /SubProc/ PD, IPROC
+
+C   local variables
+      integer i, j, idi, idj
+      real*8 PI
+      parameter( PI = 3.14159265358979323846d0 )
+
+      integer mapconfig(0:lmaxconfigs), this_config
+      integer iforest(2,-max_branch:-1,lmaxconfigs)
+      integer sprop(-max_branch:-1,lmaxconfigs)
+      integer tprid(-max_branch:-1,lmaxconfigs)
+      include 'configs.inc'
+      real*8 xptj,xptb,xpta,xptl,xmtc
+      real*8 xetamin,xqcut,deltaeta
+      common /to_specxpt/xptj,xptb,xpta,xptl,xmtc,xetamin,xqcut,deltaeta
+      include 'maxamps.inc'
+      integer idup(nexternal,maxproc)
+      integer mothup(2,nexternal,maxproc)
+      integer icolup(2,nexternal,maxflow)
+      include 'leshouche.inc'
+      double precision asref, pt2prev(n_max_cl),pt2pdf(n_max_cl),pt2min
+      integer n, icmp, ibeam(2), iqcd(0:2)!, ilast(0:nexternal)
+      integer idfl, ipdg(n_max_cl), idmap(-nexternal:nexternal)
+      integer ipart(2,n_max_cl)
+      double precision xnow(2)
+      double precision xtarget, tmp
+      integer iseed,np
+      data iseed/0/
+      logical isvx
+
+      logical isqcd,isjet,isparton,isjetvx
+      double precision alphas,getissud,pdg2pdf, sudwgt
+      real xran1
+      external isqcd,isjet,isparton
+      external alphas, isjetvx, getissud, pdg2pdf, xran1,  sudwgt
+
+      rewgt=1.0d0
+
+      if(ickkw.le.0) return
+
+      if(.not.clustered)then
+        write(*,*)'Error: No clustering done when calling rewgt!'
+        stop
+      endif
+      clustered=.false.
+
+c   Set mimimum kt scale, depending on highest mult or not
+      if(hmult.or.ickkw.eq.1)then
+        pt2min=0
+      else
+        pt2min=xqcut**2
+      endif
+      if (btest(mlevel,3))
+     $     write(*,*) 'pt2min set to ',pt2min
+
+c   Since we use pdf reweighting, need to know particle identities
+      iprocset=1
+      np = iproc
+      xtarget=xran1(iseed)*pd(np)
+      iprocset = 1
+      do while (pd(iprocset) .lt. xtarget .and. iprocset .lt. np)
+         iprocset=iprocset+1
+      enddo
+      if (btest(mlevel,1)) then
+         write(*,*) 'Set process number ',iprocset
+      endif
+
+c   Preparing graph particle information
+      do i=1,nexternal
+c        ilast(i)=ishft(1,i)
+         if(pt2min.gt.0)then
+            pt2prev(ishft(1,i))=max(pt2min,p(0,i)**2-p(1,i)**2-p(2,i)**2-p(3,i)**2)
+         else
+            pt2prev(ishft(1,i))=0d0
+         endif
+         pt2pdf(ishft(1,i))=pt2prev(ishft(1,i))
+         ptclus(i)=sqrt(pt2prev(ishft(1,i)))
+         ipart(1,ishft(1,i))=i
+         ipart(2,ishft(1,i))=0
+      enddo
+c      ilast(0)=nexternal
+      ibeam(1)=ishft(1,1)
+      ibeam(2)=ishft(1,2)
+      if (btest(mlevel,1)) then
+        write(*,*)'rewgt: identified tree {'
+        do i=1,nexternal-2
+          write(*,*)'  ',i,': ',idacl(i,1),'&',idacl(i,2),
+     &       ' -> ',imocl(i),', ptij = ',dsqrt(pt2ijcl(i)) 
+        enddo
+        write(*,*)'  graphs (',igscl(0),'):',(igscl(i),i=1,igscl(0))
+        write(*,*)'}'
+      endif
+c   fill particle information
+      icmp=ishft(1,nexternal+1)-2
+      do i=1,nexternal
+        idmap(i)=ishft(1,i)
+        ipdg(idmap(i))=idup(i,iprocset)
+        if(btest(mlevel,3))
+     $     write(*,*) i,' got id ',idmap(i),' -> ',ipdg(idmap(i))
+      enddo
+      do i=1,nexternal-2
+        idi=iforest(1,-i,igscl(1))
+        idj=iforest(2,-i,igscl(1))
+        idmap(-i)=idmap(idi)+idmap(idj)
+        idfl=sprop(-i,igscl(1))
+        if (idfl.ne.0) then
+          ipdg(idmap(-i))=idfl
+          ipdg(icmp-idmap(-i))=idfl
+        endif
+        idfl=tprid(-i,igscl(1))
+        if (idfl.ne.0) then
+          ipdg(idmap(-i))=idfl
+          ipdg(icmp-idmap(-i))=idfl
+        endif
+c     write(*,*) -i,' (',idi,',',idj,') got id ',idmap(-i),
+c     &        ' -> ',ipdg(idmap(-i))
+      enddo
+c     Set x values for the two sides, for IS Sudakovs
+      do i=1,2
+        xnow(i)=xbk(i)
+      enddo
+      if(btest(mlevel,3))then
+        write(*,*) 'Set x values to ',xnow(1),xnow(2)
+      endif
+
+c     Prepare for resetting q2fact based on PDF reweighting
+      if(ickkw.eq.2.or.pdfwgt)then
+         q2fact(1)=0d0
+         q2fact(2)=0d0
+      endif
+c   
+c   Set strong coupling used
+c   
+      asref=G**2/(4d0*PI)
+
+c   Perform alpha_s reweighting based on type of vertex
+      do n=1,nexternal-2
+        if (btest(mlevel,3)) then
+          write(*,*)'  ',n,': ',idacl(n,1),'(',ipdg(idacl(n,1)),
+     &       ')&',idacl(n,2),'(',ipdg(idacl(n,2)),') -> ',
+     &       imocl(n),'(',ipdg(imocl(n)),'), ptij = ',
+     &       dsqrt(pt2ijcl(n)) 
+        endif
+c     perform alpha_s reweighting only for vertices where a jet is produced
+c     and not for the last clustering (use non-fixed ren. scale for these)
+        if (n.lt.nexternal-2.and.
+     $     isjetvx(imocl(n),idacl(n,1),idacl(n,2),ipdg,ipart)) then
+c       alpha_s weight
+          rewgt=rewgt*alphas(alpsfact*sqrt(pt2ijcl(n)))/asref
+          if (btest(mlevel,3)) then
+             write(*,*)' reweight vertex: ',ipdg(imocl(n)),ipdg(idacl(n,1)),ipdg(idacl(n,2))
+            write(*,*)'       as: ',alphas(alpsfact*dsqrt(pt2ijcl(n))),
+     &         '/',asref,' -> ',alphas(alpsfact*dsqrt(pt2ijcl(n)))/asref
+            write(*,*)' and G=',SQRT(4d0*PI*ALPHAS(scale))
+          endif
+        endif
+c   Update starting values for FS parton showering
+        do i=1,2
+          do j=1,2
+            if(ipart(j,idacl(n,i)).gt.0)then
+              ptclus(ipart(j,idacl(n,i)))=dsqrt(pt2ijcl(n))
+            endif
+          enddo
+        enddo
+c   Update particle tree map
+        call ipartupdate(p,imocl(n),idacl(n,1),idacl(n,2),ipdg,ipart)
+        if(ickkw.eq.2.or.pdfwgt) then
+c       Perform PDF and, if ickkw=2, Sudakov reweighting
+          isvx=.false.
+          do i=1,2
+c         write(*,*)'weight ',idacl(n,i),', ptij=',pt2prev(idacl(n,i))
+            if (isqcd(ipdg(idacl(n,i)))) then
+               if(pt2min.eq.0d0) then
+                  pt2min=pt2ijcl(n)
+                  if (btest(mlevel,3))
+     $                 write(*,*) 'pt2min set to ',pt2min
+               endif
+               if(pt2prev(idacl(n,i)).eq.0d0) pt2prev(idacl(n,i))=
+     $              max(pt2min,p(0,i)**2-p(1,i)**2-p(2,i)**2-p(3,i)**2)
+               do j=1,2
+                  if (isparton(ipdg(idacl(n,i))).and.idacl(n,i).eq.ibeam(j)) then
+c               is sudakov weight - calculate only once for each parton
+c               line where parton line ends with change of parton id or
+c               non-radiation vertex
+                     isvx=.true.
+                     ibeam(j)=imocl(n)
+                     if(pt2pdf(idacl(n,i)).eq.0d0) pt2pdf(idacl(n,i))=pt2prev(idacl(n,i))
+                     if(ickkw.eq.2.and.(ipdg(idacl(n,i)).ne.ipdg(imocl(n)).or.
+     $                    .not.isjetvx(imocl(n),idacl(n,1),idacl(n,2),ipdg,ipart)).and.
+     $                    pt2prev(idacl(n,i)).lt.pt2ijcl(n).and.zcl(n).gt.1d-20)then
+                        tmp=min(1d0,max(getissud(ibeam(j),ipdg(idacl(n,i)),xnow(j),xnow(3-j),pt2ijcl(n)),1d-20)/
+     $                       max(getissud(ibeam(j),ipdg(idacl(n,i)),xnow(j),xnow(3-j),pt2prev(idacl(n,i))),1d-20))
+                        rewgt=rewgt*tmp
+                        pt2prev(imocl(n))=pt2ijcl(n)
+                        if (btest(mlevel,3)) then
+                           write(*,*)' reweight line: ',ipdg(idacl(n,i)), idacl(n,i)
+                           write(*,*)'     pt2prev, pt2new, x1, x2: ',pt2prev(idacl(n,i)),pt2ijcl(n),xnow(j),xnow(3-j)
+                           write(*,*)'           Sud: ',tmp
+                           write(*,*)'        -> rewgt: ',rewgt
+                        endif
+                     else
+                        pt2prev(imocl(n))=pt2prev(idacl(n,i))
+                     endif
+c               Total pdf weight is f1(x1,pt2E)*fj(x1*z,Q)/fj(x1*z,pt2E)
+c               f1(x1,pt2E) is given by DSIG, already set scale for that
+                     xnow(j)=xnow(j)*zcl(n)
+                     if(q2fact(j).eq.0d0.and.ickkw.eq.2)then
+                        q2fact(j)=pt2min ! Starting scale for PS
+                        if (btest(mlevel,3)) then
+                           write(*,*)' reweight: set fact scale ',j,' for PS scale to: ',q2fact(j)
+                        endif
+                     else if(q2fact(j).eq.0d0)then
+                        q2fact(j)=pt2ijcl(n)
+                     else if(pt2pdf(idacl(n,i)).lt.pt2ijcl(n).and.zcl(n).gt.1d-20) then
+                        if(ickkw.eq.1) q2fact(j)=pt2ijcl(n)
+                        rewgt=rewgt*max(pdg2pdf(abs(ibeam(j)),ipdg(idacl(n,i))*sign(1,ibeam(j)),xnow(j),sqrt(pt2ijcl(n))),1d-20)/
+     $                       max(pdg2pdf(abs(ibeam(j)),ipdg(idacl(n,i))*sign(1,ibeam(j)),xnow(j),sqrt(pt2pdf(idacl(n,i)))),1d-20)
+                        if (btest(mlevel,3)) then
+                           write(*,*)' reweight ',ipdg(idacl(n,i)),' by pdfs: '
+                           write(*,*)'     x, pt2prev, ptnew: ',xnow(j),pt2pdf(idacl(n,i)),pt2ijcl(n)
+                           write(*,*)'           PDF: ',
+     $                          pdg2pdf(abs(ibeam(j)),ipdg(idacl(n,i))*sign(1,ibeam(j)),xnow(j),sqrt(pt2ijcl(n))),' / ',
+     $                          pdg2pdf(abs(ibeam(j)),ipdg(idacl(n,i))*sign(1,ibeam(j)),xnow(j),sqrt(pt2pdf(idacl(n,i))))
+                           write(*,*)'        -> rewgt: ',rewgt
+c                           write(*,*)'  (compare for glue: ',
+c     $                          pdg2pdf(ibeam(j),21,xbk(j),sqrt(pt2pdf(idacl(n,i)))),' / ',
+c     $                          pdg2pdf(ibeam(j),21,xbk(j),sqrt(pt2ijcl(n)))
+c                           write(*,*)'       = ',pdg2pdf(ibeam(j),21,xbk(j),sqrt(pt2pdf(idacl(n,i))))/
+c     $                          pdg2pdf(ibeam(j),21,xbk(j),sqrt(pt2ijcl(n)))
+c                           write(*,*)'       -> ',pdg2pdf(ibeam(j),21,xbk(j),sqrt(pt2pdf(idacl(n,i))))/
+c     $                          pdg2pdf(ibeam(j),21,xbk(j),sqrt(pt2ijcl(n)))*rewgt,' )'
+                        endif
+                     endif
+c               End both Sudakov and pdf reweighting when we reach a
+c               non-radiation vertex
+                     if(isjetvx(imocl(n),idacl(n,1),idacl(n,2),ipdg,ipart)) then
+                        pt2pdf(imocl(n))=pt2ijcl(n)
+                     else
+                        pt2pdf(imocl(n))=1d30
+                        pt2prev(imocl(n))=1d30
+                        if (btest(mlevel,3)) then
+                           write(*,*)' rewgt: for vertex ',idacl(n,1),idacl(n,2),imocl(n),
+     $                          ' with ids ',ipdg(idacl(n,1)),ipdg(idacl(n,2)),ipdg(imocl(n))
+                           write(*,*)'    set pt2prev, pt2pdf: ',pt2prev(imocl(n)),pt2pdf(imocl(n))
+                        endif
+                     endif
+                     goto 10
+                  endif
+               enddo
+c           fs sudakov weight
+               if(ickkw.eq.2.and.pt2prev(idacl(n,i)).lt.pt2ijcl(n).and.
+     $              (isvx.or.ipdg(idacl(n,i)).ne.ipdg(imocl(n)).or.
+     $              (ipdg(idacl(n,i)).ne.ipdg(idacl(n,3-i)).and.
+     $              pt2prev(idacl(n,i)).gt.pt2prev(idacl(n,3-i))))) then
+                  tmp=sudwgt(sqrt(pt2min),sqrt(pt2prev(idacl(n,i))),
+     &                 dsqrt(pt2ijcl(n)),ipdg(idacl(n,i)),1)
+                  rewgt=rewgt*tmp
+                  if (btest(mlevel,3)) then
+                     write(*,*)' reweight fs line: ',ipdg(idacl(n,i)), idacl(n,i)
+                     write(*,*)'     pt2prev, pt2new: ',pt2prev(idacl(n,i)),pt2ijcl(n)
+                     write(*,*)'           Sud: ',tmp
+                     write(*,*)'        -> rewgt: ',rewgt
+                  endif
+                  pt2prev(imocl(n))=pt2ijcl(n)
+               else
+                  pt2prev(imocl(n))=pt2prev(idacl(n,i))
+               endif 
+            endif
+ 10         continue
+          enddo
+          if (ickkw.eq.2.and.n.eq.nexternal-2.and.isqcd(ipdg(imocl(n))).and.
+     $         pt2prev(imocl(n)).lt.pt2ijcl(n)) then
+             tmp=sudwgt(sqrt(pt2min),sqrt(pt2prev(imocl(n))),
+     &            dsqrt(pt2ijcl(n)),ipdg(imocl(n)),1)
+             rewgt=rewgt*tmp
+             if (btest(mlevel,3)) then
+                write(*,*)' reweight last fs line: ',ipdg(imocl(n)), imocl(n)
+                write(*,*)'     pt2prev, pt2new: ',pt2prev(imocl(n)),pt2ijcl(n)
+                write(*,*)'           Sud: ',tmp
+                write(*,*)'        -> rewgt: ',rewgt
+             endif
+          endif
+        endif
+      enddo
+
+      if((ickkw.eq.2.or.pdfwgt).and.lpp(1).eq.0.and.lpp(2).eq.0)then
+         q2fact(1)=pt2min
+         q2fact(2)=q2fact(1)
+      endif
+
+      if (btest(mlevel,3)) then
+        write(*,*)'} ->  w = ',rewgt
+      endif
+      return
+      end
+      

=== added file 'Template/SubProcesses/setcuts.f'
--- Template/SubProcesses/setcuts.f	1970-01-01 00:00:00 +0000
+++ Template/SubProcesses/setcuts.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,484 @@
+      SUBROUTINE SETCUTS
+C**************************************************************************
+C     SET THE CUTS 
+C**************************************************************************
+      IMPLICIT NONE
+c
+c     INCLUDE
+c
+      include 'genps.inc'
+      include 'nexternal.inc'
+      include 'coupl.inc'
+      include 'run.inc'
+      include 'cuts.inc'
+c
+c     Constants
+c
+      double precision zero
+      parameter       (ZERO = 0d0)
+      real*8 Pi
+      parameter( Pi = 3.14159265358979323846d0 )
+      integer    lun
+      parameter (lun=22)
+c
+c     LOCAL
+c
+      integer i,j
+      integer icollider,detail_level
+      logical  do_cuts(nexternal)
+      integer ncheck
+      logical done,fopened
+C     
+C     GLOBAL
+C
+c--masses and poles
+      double precision pmass(nexternal)
+      common/to_mass/  pmass
+      DOUBLE PRECISION       qmass(2)
+      COMMON/to_qmass/qmass
+      double precision      spole(maxinvar),swidth(maxinvar),bwjac
+      common/to_brietwigner/spole          ,swidth          ,bwjac
+c--cuts
+      double precision etmin(nincoming+1:nexternal)
+      double precision etamax(nincoming+1:nexternal)
+      double precision emin(nincoming+1:nexternal)
+      double precision r2min(nincoming+1:nexternal,nincoming+1:nexternal)
+      double precision s_min(nexternal,nexternal)
+      double precision etmax(nincoming+1:nexternal)
+      double precision etamin(nincoming+1:nexternal)
+      double precision emax(nincoming+1:nexternal)
+      double precision r2max(nincoming+1:nexternal,nincoming+1:nexternal)
+      double precision s_max(nexternal,nexternal)
+      common/to_cuts/  etmin, emin, etamax, r2min, s_min,
+     $     etmax, emax, etamin, r2max, s_max
+
+      double precision ptjmin4(4),ptjmax4(4),htjmin4(2:4),htjmax4(2:4)
+      logical jetor
+      common/to_jet_cuts/ ptjmin4,ptjmax4,htjmin4,htjmax4,jetor
+
+      double precision xqcutij(nexternal,nexternal),xqcuti(nexternal)
+      common/to_xqcuts/xqcutij,xqcuti
+c
+c     les houches accord stuff to identify neutrinos
+c
+      include 'maxamps.inc'
+      integer idup(nexternal,maxproc)
+      integer mothup(2,nexternal,maxproc)
+      integer icolup(2,nexternal,maxflow)
+      include 'leshouche.inc'
+C
+      LOGICAL  IS_A_J(NEXTERNAL),IS_A_L(NEXTERNAL)
+      LOGICAL  IS_A_B(NEXTERNAL),IS_A_A(NEXTERNAL),IS_A_ONIUM(NEXTERNAL)
+      LOGICAL  IS_A_NU(NEXTERNAL),IS_HEAVY(NEXTERNAL)
+      COMMON /TO_SPECISA/IS_A_J,IS_A_A,IS_A_L,IS_A_B,IS_A_NU,IS_HEAVY,
+     . IS_A_ONIUM 
+c
+c
+c     reading parameters
+      integer maxpara
+      parameter (maxpara=100)
+      character*20 param(maxpara),value(maxpara)
+      integer npara
+c
+c     setup masses for the final-state particles
+c
+      include 'pmass.inc'
+      include 'qmass.inc'
+
+C-----
+C  BEGIN CODE
+C-----
+c
+c     read the cuts from the run_card.dat - this should already be done in main program
+c
+c      call setrun
+
+c
+c     No pdfs for decay processes - set here since here we know the nincoming
+c     Also set stot here, and use mass of incoming particle for ren scale
+c
+         if(nincoming.eq.1)then
+            lpp(1)=0
+            lpp(2)=0
+            ebeam(1)=pmass(1)/2d0
+            ebeam(2)=pmass(1)/2d0
+            scale=pmass(1)
+            fixed_ren_scale=.true.
+            fixed_fac_scale=.true.
+         endif
+c
+c     check if I have to apply cuts on the particles
+c
+      do i=nincoming+1,nexternal
+         do_cuts(i)=.true.
+         if(nincoming.eq.1) do_cuts(i)=.false.
+         is_a_j(i)=.false.
+         is_a_l(i)=.false.
+         is_a_b(i)=.false.
+         is_a_a(i)=.false.
+         is_a_nu(i)=.false.
+
+
+c-do not apply cuts to these
+         if (pmass(i).gt.20d0)     do_cuts(i)=.false.  ! no cuts on top,W,Z,H
+         if (abs(idup(i,1)).eq.12) do_cuts(i)=.false.  ! no cuts on ve ve~
+         if (abs(idup(i,1)).eq.14) do_cuts(i)=.false.  ! no cuts on vm vm~
+         if (abs(idup(i,1)).eq.16) do_cuts(i)=.false.  ! no cuts on vt vt~
+c-flavor-jets
+         if (abs(idup(i,1)).le.min(maxjetflavor,5)) then
+              is_a_j(i)=.true.
+c              write(*,*)'jet:ithe pdg is ',abs(idup(i,1)),' maxflavor=',maxjetflavor
+         else if (abs(idup(i,1)).ge.maxjetflavor+1 .and. abs(idup(i,1)).le.5) then
+              is_a_b(i)=.true.
+c              write(*,*)'bjet:the pdg is ',abs(idup(i,1)),' maxflavor=',maxjetflavor
+         endif
+
+         if (abs(idup(i,1)).eq.21)  is_a_j(i)=.true. ! gluon is a jet
+c-charged-leptons
+         if (abs(idup(i,1)).eq.11)  is_a_l(i)=.true. ! e+  e-
+         if (abs(idup(i,1)).eq.13)  is_a_l(i)=.true. ! mu+ mu-
+         if (abs(idup(i,1)).eq.15)  is_a_l(i)=.true. ! ta+ ta-
+c-b-quarks
+c         if (abs(idup(i,1)).eq.5)   is_a_b(i)=.true. ! b b~
+c-photon
+         if (idup(i,1).eq.22)   is_a_a(i)=.true. ! photon
+c-neutrino's for missing et
+         if (abs(idup(i,1)).eq.12) is_a_nu(i)=.true.  ! no cuts on ve ve~
+         if (abs(idup(i,1)).eq.14) is_a_nu(i)=.true.  ! no cuts on vm vm~
+         if (abs(idup(i,1)).eq.16) is_a_nu(i)=.true.  ! no cuts on vt vt~
+         if (pmass(i).gt.10d0)     is_heavy(i)=.true. ! heavy fs particle
+c-onium
+         if (idup(i,1).eq.441)   is_a_onium(i)=.true. ! charmonium
+         if (idup(i,1).eq.10441)   is_a_onium(i)=.true. ! charmonium
+         if (idup(i,1).eq.100441)   is_a_onium(i)=.true. ! charmonium
+         if (idup(i,1).eq.443)   is_a_onium(i)=.true. ! charmonium
+         if (idup(i,1).eq.10443)   is_a_onium(i)=.true. ! charmonium
+         if (idup(i,1).eq.20443)   is_a_onium(i)=.true. ! charmonium
+         if (idup(i,1).eq.100443)   is_a_onium(i)=.true. ! charmonium
+         if (idup(i,1).eq.30443)   is_a_onium(i)=.true. ! charmonium
+         if (idup(i,1).eq.9000443)   is_a_onium(i)=.true. ! charmonium
+         if (idup(i,1).eq.9010443)   is_a_onium(i)=.true. ! charmonium
+         if (idup(i,1).eq.9020443)   is_a_onium(i)=.true. ! charmonium
+         if (idup(i,1).eq.445)   is_a_onium(i)=.true. ! charmonium
+         if (idup(i,1).eq.9000445)   is_a_onium(i)=.true. ! charmonium
+
+         if (idup(i,1).eq.551)   is_a_onium(i)=.true. ! bottomonium
+         if (idup(i,1).eq.10551)   is_a_onium(i)=.true. ! bottomonium
+         if (idup(i,1).eq.100551)   is_a_onium(i)=.true. ! bottomonium
+         if (idup(i,1).eq.110551)   is_a_onium(i)=.true. ! bottomonium
+         if (idup(i,1).eq.200551)   is_a_onium(i)=.true. ! bottomonium
+         if (idup(i,1).eq.210551)   is_a_onium(i)=.true. ! bottomonium
+         if (idup(i,1).eq.553)   is_a_onium(i)=.true. ! bottomonium
+         if (idup(i,1).eq.10553)   is_a_onium(i)=.true. ! bottomonium
+         if (idup(i,1).eq.20553)   is_a_onium(i)=.true. ! bottomonium
+         if (idup(i,1).eq.30553)   is_a_onium(i)=.true. ! bottomonium
+         if (idup(i,1).eq.100553)   is_a_onium(i)=.true. ! bottomonium
+         if (idup(i,1).eq.110553)   is_a_onium(i)=.true. ! bottomonium
+         if (idup(i,1).eq.120553)   is_a_onium(i)=.true. ! bottomonium
+         if (idup(i,1).eq.130553)   is_a_onium(i)=.true. ! bottomonium
+         if (idup(i,1).eq.200553)   is_a_onium(i)=.true. ! bottomonium
+         if (idup(i,1).eq.210553)   is_a_onium(i)=.true. ! bottomonium
+         if (idup(i,1).eq.220553)   is_a_onium(i)=.true. ! bottomonium
+         if (idup(i,1).eq.300553)   is_a_onium(i)=.true. ! bottomonium
+         if (idup(i,1).eq.9000553)   is_a_onium(i)=.true. ! bottomonium
+         if (idup(i,1).eq.9010553)   is_a_onium(i)=.true. ! bottomonium
+         if (idup(i,1).eq.555)   is_a_onium(i)=.true. ! bottomonium
+         if (idup(i,1).eq.10555)   is_a_onium(i)=.true. ! bottomonium
+         if (idup(i,1).eq.20555)   is_a_onium(i)=.true. ! bottomonium
+         if (idup(i,1).eq.100555)   is_a_onium(i)=.true. ! bottomonium
+         if (idup(i,1).eq.110555)   is_a_onium(i)=.true. ! bottomonium
+         if (idup(i,1).eq.200555)   is_a_onium(i)=.true. ! bottomonium
+         if (idup(i,1).eq.557)   is_a_onium(i)=.true. ! bottomonium
+         if (idup(i,1).eq.100557)   is_a_onium(i)=.true. ! bottomonium
+
+         if (idup(i,1).eq.541)   is_a_onium(i)=.true. ! Bc
+         if (idup(i,1).eq.10541)   is_a_onium(i)=.true. ! Bc
+         if (idup(i,1).eq.543)   is_a_onium(i)=.true. ! Bc
+         if (idup(i,1).eq.10543)   is_a_onium(i)=.true. ! Bc
+         if (idup(i,1).eq.20543)   is_a_onium(i)=.true. ! Bc
+         if (idup(i,1).eq.545)   is_a_onium(i)=.true. ! Bc
+      enddo
+
+c
+c     et and eta cuts
+c
+      do i=nincoming+1,nexternal
+
+         etmin(i)  = 0d0
+         etmax(i)  = 1d5
+
+         emin(i)   = 0d0
+         emax(i)   = 1d5
+
+         etamin(i) = 0d0
+         etamax(i) = 1d2
+
+         if(do_cuts(i)) then
+
+            if(is_a_j(i)) etmin(i)=ptj
+            if(is_a_l(i)) etmin(i)=ptl
+            if(is_a_b(i)) etmin(i)=ptb
+            if(is_a_a(i)) etmin(i)=pta
+            if(is_a_onium(i)) etmin(i)=ptonium
+
+            if(is_a_j(i)) etmax(i)=ptjmax
+            if(is_a_l(i)) etmax(i)=ptlmax
+            if(is_a_b(i)) etmax(i)=ptbmax
+            if(is_a_a(i)) etmax(i)=ptamax
+
+c
+            if(is_a_j(i)) emin(i)=ej
+            if(is_a_l(i)) emin(i)=el
+            if(is_a_b(i)) emin(i)=eb
+            if(is_a_a(i)) emin(i)=ea
+
+            if(is_a_j(i)) emax(i)=ejmax
+            if(is_a_l(i)) emax(i)=elmax
+            if(is_a_b(i)) emax(i)=ebmax
+            if(is_a_a(i)) emax(i)=eamax
+
+            if(is_a_j(i)) etamax(i)=etaj
+            if(is_a_l(i)) etamax(i)=etal
+            if(is_a_b(i)) etamax(i)=etab
+            if(is_a_a(i)) etamax(i)=etaa
+            if(is_a_onium(i)) etamax(i)=etaonium
+
+            if(is_a_j(i)) etamin(i)=etajmin
+            if(is_a_l(i)) etamin(i)=etalmin
+            if(is_a_b(i)) etamin(i)=etabmin
+            if(is_a_a(i)) etamin(i)=etaamin
+         endif
+      enddo
+c
+c     delta r cut
+c
+      do i=nincoming+1,nexternal-1
+         do j=i+1,nexternal
+            r2min(j,i)=0d0
+            r2max(j,i)=1d2
+            if(do_cuts(i).and.do_cuts(j)) then
+
+               if(is_a_j(i).and.is_a_j(j)) r2min(j,i)=drjj
+               if(is_a_b(i).and.is_a_b(j)) r2min(j,i)=drbb
+               if(is_a_l(i).and.is_a_l(j)) r2min(j,i)=drll
+               if(is_a_a(i).and.is_a_a(j)) r2min(j,i)=draa
+
+               if((is_a_b(i).and.is_a_j(j)).or.
+     &           (is_a_j(i).and.is_a_b(j))) r2min(j,i)=drbj
+               if((is_a_a(i).and.is_a_j(j)).or.
+     &           (is_a_j(i).and.is_a_a(j))) r2min(j,i)=draj
+               if((is_a_l(i).and.is_a_j(j)).or.
+     &           (is_a_j(i).and.is_a_l(j))) r2min(j,i)=drjl
+               if((is_a_b(i).and.is_a_a(j)).or.
+     &           (is_a_a(i).and.is_a_b(j))) r2min(j,i)=drab
+               if((is_a_b(i).and.is_a_l(j)).or.
+     &           (is_a_l(i).and.is_a_b(j))) r2min(j,i)=drbl
+               if((is_a_l(i).and.is_a_a(j)).or.
+     &           (is_a_a(i).and.is_a_l(j))) r2min(j,i)=dral
+
+               if(is_a_j(i).and.is_a_j(j)) r2max(j,i)=drjjmax
+               if(is_a_b(i).and.is_a_b(j)) r2max(j,i)=drbbmax
+               if(is_a_l(i).and.is_a_l(j)) r2max(j,i)=drllmax
+               if(is_a_a(i).and.is_a_a(j)) r2max(j,i)=draamax
+
+               if((is_a_b(i).and.is_a_j(j)).or.
+     &           (is_a_j(i).and.is_a_b(j))) r2max(j,i)=drbjmax
+               if((is_a_a(i).and.is_a_j(j)).or.
+     &           (is_a_j(i).and.is_a_a(j))) r2max(j,i)=drajmax
+               if((is_a_l(i).and.is_a_j(j)).or.
+     &           (is_a_j(i).and.is_a_l(j))) r2max(j,i)=drjlmax
+               if((is_a_b(i).and.is_a_a(j)).or.
+     &           (is_a_a(i).and.is_a_b(j))) r2max(j,i)=drabmax
+               if((is_a_b(i).and.is_a_l(j)).or.
+     &           (is_a_l(i).and.is_a_b(j))) r2max(j,i)=drblmax
+               if((is_a_l(i).and.is_a_a(j)).or.
+     &           (is_a_a(i).and.is_a_l(j))) r2max(j,i)=dralmax
+ 
+            endif
+         enddo
+      enddo
+c     
+c     smin cut
+c
+      do i=nincoming+1,nexternal-1
+         do j=i+1,nexternal
+            s_min(j,i)=0.0d0**2
+            s_max(j,i)=1d5**2
+            if(do_cuts(i).and.do_cuts(j)) then
+               if(is_a_j(i).and.is_a_j(j)) s_min(j,i)=mmjj*dabs(mmjj)   
+               if(is_a_a(i).and.is_a_a(j)) s_min(j,i)=mmaa*dabs(mmaa)  
+               if( is_a_b(i).and.is_a_b(j) ) s_min(j,i)=mmbb*dabs(mmbb)     
+               if((is_a_l(i).and.is_a_l(j)).and.
+     &            (abs(idup(i,1)).eq.abs(idup(j,1))).and.
+     &            (idup(i,1)*idup(j,1).lt.0)) 
+     &            s_min(j,i)=mmll*dabs(mmll)  !only on l+l- pairs (same flavour) 
+
+               if(is_a_j(i).and.is_a_j(j)) s_max(j,i)=mmjjmax*dabs(mmjjmax)   
+               if(is_a_a(i).and.is_a_a(j)) s_max(j,i)=mmaamax*dabs(mmaamax)  
+               if( is_a_b(i).and.is_a_b(j) ) s_max(j,i)=mmbbmax*dabs(mmbbmax)     
+               if((is_a_l(i).and.is_a_l(j)).and.
+     &            (abs(idup(i,1)).eq.abs(idup(j,1))).and.
+     &            (idup(i,1)*idup(j,1).lt.0)) 
+     &            s_max(j,i)=mmllmax*dabs(mmllmax)  !only on l+l- pairs (same flavour)
+
+            endif
+         enddo
+      enddo      
+
+c
+c   EXTRA JET CUTS
+c
+      ptjmin4(1)=ptj1min
+      ptjmin4(2)=ptj2min
+      ptjmin4(3)=ptj3min
+      ptjmin4(4)=ptj4min
+
+      ptjmax4(1)=ptj1max
+      ptjmax4(2)=ptj2max
+      ptjmax4(3)=ptj3max
+      ptjmax4(4)=ptj4max
+
+      Htjmin4(2)=ht2min
+      htjmin4(3)=ht3min
+      htjmin4(4)=ht4min
+
+      htjmax4(2)=ht2max
+      htjmax4(3)=ht3max
+      htjmax4(4)=ht4max
+
+      jetor = cutuse.eq.0d0
+c
+c    ERROR TRAPS 
+c
+        do i=nincoming+1,nexternal
+           if(is_a_j(i).and.etmin(i).eq.0.and.emin(i).eq.0) then
+              write (*,*) "Warning: pt or E min of a jet should in general be >0"
+           endif
+           if(is_a_a(i).and.etmin(i).eq.0.and.emin(i).eq.0) then
+              write (*,*) "Warning: pt or E min of a gamma should in general be >0"
+           endif
+        enddo
+
+c    count number of jets to see if special cuts are applicable or not
+
+        ncheck=0
+        do i=nincoming+1,nexternal
+           if(is_a_j(i)) ncheck=ncheck+1
+        enddo
+
+        if(ncheck.eq.0.and. xptj .gt. 0d0) then
+           write (*,*) "Warning: cuts on the jet will be ignored"
+           xptj = 0d0
+        endif
+
+        if(ncheck.lt.2.and. xetamin .gt. 0 .and. deltaeta .gt.0) then
+           write (*,*) "Warning: WBF cuts not will be ignored"
+           xetamin = 0d0
+           deltaeta =0d0
+        endif
+
+c    count number of photons to see if special cuts are applicable or not
+
+        ncheck=0
+        do i=nincoming+1,nexternal
+           if(is_a_a(i)) ncheck=ncheck+1
+        enddo
+
+        if(ncheck.eq.0.and. xpta .gt. 0d0) then
+           write (*,*) "Warning: cuts on the photon will be ignored"
+           xpta =0d0
+        endif
+
+c    count number of b-quarks to see if special cuts are applicable or not
+
+        Ncheck=0
+        do i=nincoming+1,nexternal
+           if(is_a_b(i)) ncheck=ncheck+1
+        enddo
+
+        if(ncheck.eq.0.and. xptb .gt. 0d0) then
+           write (*,*) "Warning: cuts on the b-quarks will be ignored"
+           xptb = 0d0
+        endif
+
+c    count number of leptons to see if special cuts are applicable or not
+
+        ncheck=0
+        do i=nincoming+1,nexternal
+           if(is_a_l(i)) ncheck=ncheck+1
+        enddo
+
+        if(ncheck.eq.0.and. xptl .gt. 0d0) then
+           write (*,*) "Warning: cuts on the lepton will be ignored"
+           xptl = 0d0
+        endif
+
+c     set possible xqcut combinations (for better grid preparation)
+        if(xqcut.gt.0)
+     $       call setxqcuts()
+
+c      call write_cuts()
+      RETURN
+
+      END
+
+
+      subroutine setxqcuts()
+c**************************************************
+c     Set xqcuti and xqcutij between all particles
+c     to allow for grid preparation based on xqcut
+c**************************************************
+      implicit none
+      include 'genps.inc'
+      include 'nexternal.inc'
+      include 'cuts.inc'
+
+      double precision pmass(nexternal)
+      common/to_mass/  pmass
+      integer iforest(2,-max_branch:-1,lmaxconfigs)
+      common/to_forest/ iforest
+      integer mapconfig(0:lmaxconfigs), this_config
+      common/to_mconfigs/mapconfig, this_config
+
+      double precision xqcutij(nexternal,nexternal),xqcuti(nexternal)
+      common/to_xqcuts/xqcutij,xqcuti
+
+      
+      integer i,j,k
+      logical foundpartner
+      include 'maxamps.inc'
+      integer idup(nexternal,maxproc)
+      integer mothup(2,nexternal,maxproc)
+      integer icolup(2,nexternal,maxflow)
+      include 'leshouche.inc'
+
+      do i=3,nexternal
+         xqcuti(i)=0d0
+         do j=3,nexternal
+            xqcutij(i,j)=0d0
+         enddo
+      enddo
+
+      do i=3,nexternal
+         do j=1,mapconfig(0)
+            foundpartner=.false.
+            do k=-1,-(nexternal-3),-1
+               if(iforest(1,k,j).eq.i.and.iforest(2,k,j).gt.2.or.
+     $              iforest(2,k,j).eq.i.and.iforest(1,k,j).gt.2)then
+                  foundpartner=.true.
+                  if(iabs(idup(iforest(2,k,j),1)).le.maxjetflavor.or.
+     $                 idup(iforest(2,k,j),1).eq.21.or.
+     $                 iabs(idup(iforest(2,k,j),1)).le.maxjetflavor.or.
+     $                 idup(iforest(2,k,j),1).eq.21)then
+                     xqcutij(iforest(2,k,j),iforest(1,k,j))=xqcut
+                     xqcutij(iforest(1,k,j),iforest(2,k,j))=xqcut
+                  endif
+               endif
+            enddo
+            if(.not.foundpartner.and.(iabs(idup(i,1)).le.maxjetflavor.or.
+     $           idup(i,1).eq.21)) xqcuti(i)=max(0d0,sqrt(xqcut**2-pmass(i)**2))
+         enddo
+      enddo
+
+      end
+

=== added file 'Template/SubProcesses/setscales.f'
--- Template/SubProcesses/setscales.f	1970-01-01 00:00:00 +0000
+++ Template/SubProcesses/setscales.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,175 @@
+      subroutine set_ren_scale(P,rscale)
+c----------------------------------------------------------------------
+c     This is the USER-FUNCTION to calculate the renormalization
+c     scale on event-by-event basis.
+c----------------------------------------------------------------------      
+      implicit none
+      integer    maxexternal
+      parameter (maxexternal=15)
+      real*8   alphas
+      external alphas
+c
+c     INCLUDE and COMMON
+c
+      include 'genps.inc'
+      include 'nexternal.inc'
+      include 'coupl.inc'
+
+      integer i
+      include 'maxamps.inc'
+      integer idup(nexternal,maxproc)
+      integer mothup(2,nexternal,maxproc)
+      integer icolup(2,nexternal,maxflow)
+      include 'leshouche.inc'
+      include 'run.inc'
+
+      double precision pmass(nexternal)
+      common/to_mass/  pmass
+
+      real*8 xptj,xptb,xpta,xptl,xmtc
+      real*8 xetamin,xqcut,deltaeta
+      common /to_specxpt/xptj,xptb,xpta,xptl,xmtc,xetamin,xqcut,deltaeta
+
+c
+c     ARGUMENTS
+c      
+      REAL*8 P(0:3,maxexternal)
+      REAL*8 rscale
+c
+c     EXTERNAL
+c
+      REAL*8 R2,DOT,ET,ETA,DJ,SumDot,PT
+
+c----------
+c     start
+c----------
+
+      rscale=0d0
+
+c
+c-some examples of dynamical scales
+c
+
+c      if(first) then
+c         write(*,*) 'Using event- by event renormalization/factorization scale:'
+c         write(*,*) 'scalefact^2*(Max of squared masses of final-state particles + '
+c         write(*,*) '             sum of pT^2 for jets and massless particles)'
+c      endif
+c      do i=3,nexternal
+c         rscale=max(rscale,pmass(i)**2)
+c      enddo
+c      do i=3,nexternal
+c         if(iabs(idup(i,1)).le.5.or.idup(i,1).eq.21.or.pmass(i).eq.0d0)then
+c            rscale=rscale+pt(p(0,i))**2
+c         endif
+c      enddo
+
+c      rscale=sqrt(rscale)
+
+c      rscale=rscale*scalefact
+
+
+c---------------------------------------
+c-- total transverse energy of the event 
+c---------------------------------------
+c     rscale=0d0
+c     do i=3,nexternal
+c      rscale=rscale+et(P(0,i))
+c     enddo
+
+c--------------------------------------
+c-- scale^2 = \sum_i  (pt_i^2+m_i^2)  
+c--------------------------------------
+c     rscale=0d0
+c     do i=3,nexternal
+c      rscale=rscale+pt(P(0,i))**2+dot(p(0,i),p(0,i))
+c     enddo
+c     rscale=dsqrt(rscale)
+
+c--------------------------------------
+c-- \sqrt(s): partonic energy
+c--------------------------------------
+c     rscale=dsqrt(2d0*dot(P(0,1),P(0,2)))
+
+      return
+      end
+
+
+      subroutine set_fac_scale(P,q2fact)
+c----------------------------------------------------------------------
+c     This is the USER-FUNCTION to calculate the factorization 
+c     scales^2 on event-by-event basis.
+c----------------------------------------------------------------------      
+      implicit none
+      integer    maxexternal
+      parameter (maxexternal=15)
+c
+c     INCLUDE and COMMON
+c
+      include 'genps.inc'
+      include 'nexternal.inc'
+      include 'coupl.inc'
+c--masses and poles
+c
+c     ARGUMENTS
+c      
+      REAL*8 P(0:3,maxexternal)
+      real*8 q2fact(2)
+c
+c     EXTERNAL
+c
+      REAL*8 R2,DOT,ET,ETA,DJ,SumDot,PT
+c
+c     LOCAL
+c
+      integer i
+      logical first
+      data first/.true./
+
+c----------
+c     start
+c----------
+      
+      
+      q2fact(1)=0d0             !factorization scale**2 for pdf1
+
+c      call set_ren_scale(P,q2fact(1))
+c
+c      q2fact(1)=q2fact(1)**2
+c
+c      q2fact(2)=q2fact(1)       !factorization scale**2 for pdf2
+      
+
+c
+c-some examples of dynamical scales
+c
+
+c---------------------------------------
+c-- total transverse energy of the event 
+c---------------------------------------
+c     q2fact(1)=0d0
+c     do i=3,nexternal
+c      q2fact(1)= q2fact(1)+et(P(0,i))**2
+c     enddo
+c     q2fact(2)=q2fact(1)  
+
+c--------------------------------------
+c-- scale^2 = \sum_i  (pt_i^2+m_i^2)  
+c--------------------------------------
+c     q2fact(1)=0d0
+c     do i=3,nexternal
+c      q2fact(1)=q2fact(1)+pt(P(0,i))**2+dot(p(0,i),p(0,i))
+c     enddo
+c     q2fact(2)=q2fact(1)  
+
+c--------------------------------------
+c-- \sqrt(s): partonic energy
+c--------------------------------------
+c     q2fact(1)=2d0*dot(P(0,1),P(0,2))
+c     q2fact(2)=q2fact(1)  
+
+      
+      return
+      end
+
+

=== added file 'Template/SubProcesses/shrinktops.f'
--- Template/SubProcesses/shrinktops.f	1970-01-01 00:00:00 +0000
+++ Template/SubProcesses/shrinktops.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,552 @@
+      program ShrinkTops
+c*******************************************************************************
+c     Program that takes topologies from configs.inc and writes
+c     out new topologies with last particle removed in file
+c     configs-1.inc and props-1.inc
+c******************************************************************************
+      implicit none
+c
+c     Constants
+c     
+      include 'genps.inc'
+      include 'nexternal.inc'
+c
+c     Local
+c
+      integer iconfig,igraph,i,jbranch,ibranch,jconfig
+      integer isubprop, isubval
+      integer iforest(2,-max_branch:-1,lmaxconfigs)
+      integer iforest2(2,-max_branch:-1,lmaxconfigs)
+      integer t_chan
+      integer            mapconfig(0:lmaxconfigs)
+      integer            mapconfig2(0:lmaxconfigs)
+      double precision      spole(maxinvar),swidth(maxinvar),bwjac
+      integer sprop(-max_branch:-1,lmaxconfigs)
+      integer tprid(-max_branch:-1,lmaxconfigs)
+      integer sprop2(-max_branch:-1,lmaxconfigs)
+      integer tprid2(-max_branch:-1,lmaxconfigs)
+      character*50 buff_pmass 
+      character*50 buff_pwidth 
+      character*50 buff_pow
+      character*10 oniumtype
+      integer nchars
+c
+c     external
+c
+      logical one_gluon_config
+      logical two_gluon_config
+c
+c     data
+c
+      include 'configs.inc'
+c-----
+c  Begin Code
+c----
+      open(unit=35, file="configs_temp.inc",status="unknown",err=999)
+      open(unit=36, file="props.inc",status="old",err=999)
+      open(unit=37, file="props_temp.inc",status="unknown",err=999)
+
+      open(unit=38, file="oniumtype.mg",status="unknown",err=999)
+      read(38,'(a)') oniumtype
+      close(38)
+      call no_spaces(oniumtype,nchars)
+
+      jconfig=0
+
+      do iconfig = 1, mapconfig(0)     !Loop over all configurations
+c
+c     first quick check if we need to keep the conf.
+c
+
+      if(oniumtype(4:4).eq.'1') then
+        if(one_gluon_config(iforest,
+     & sprop,tprid,iconfig)) then
+c
+c      jump lines in props.inc
+c
+        ibranch = 0
+         do while (ibranch .lt. nexternal-2)
+            ibranch = ibranch + 1 
+              read(36,'(a)') buff_pmass
+              read(36,'(a)') buff_pwidth
+              read(36,'(a)') buff_pow
+         enddo
+c
+c     jump to the next config
+c
+        goto 12
+        endif
+      endif 
+
+      if(oniumtype(1:1).eq.'3'.and.oniumtype(2:2).eq.'S') then
+        if (two_gluon_config(iforest,
+     & sprop,tprid,iconfig)) then
+c
+c      jump lines in props.inc
+c
+        ibranch = 0
+         do while (ibranch .lt. nexternal-2)
+            ibranch = ibranch + 1
+              read(36,'(a)') buff_pmass
+              read(36,'(a)') buff_pwidth
+              read(36,'(a)') buff_pow
+         enddo
+c
+c     jump to the next config
+c
+        goto 12
+        endif
+
+      endif
+
+      jconfig=jconfig+1
+      mapconfig2(jconfig)=mapconfig(iconfig)
+
+c
+c        Second  write out configuration # and graphs
+c
+         igraph = mapconfig(iconfig)       
+
+         write(35,'(a,i6)') 'c   Graph ',igraph
+         write(35,'(6x,a,i4,a,i4,a)')
+     $        'data mapconfig(',jconfig,') /',igraph,'/'
+c
+c        Reset all parameters for configuration
+c
+         t_chan = 0
+         isubprop = 0
+         isubval  = 0
+         jbranch = 0
+         ibranch = 0
+         do while (ibranch .lt. nexternal-2+t_chan)
+            ibranch = ibranch + 1
+c
+            if (iforest(1,-ibranch,iconfig) .eq. 1) t_chan=1
+c             sometimes there is 1 branch less in props.inc 
+              if(t_chan.ne.1.or. ibranch.ne.nexternal-1) then
+              read(36,'(a)') buff_pmass
+              read(36,'(a)') buff_pwidth
+              read(36,'(a)') buff_pow
+c              write(*,'(i2,a)') ibranch, buff_pmass
+              endif
+            if (iforest(1,-ibranch,iconfig) .eq. (nexternal+1) .or.
+     $          iforest(2,-ibranch,iconfig) .eq. (nexternal+1)) then   !Remove this one
+c   isubprop records the index of the removed branch 
+c   isubval records the index of the particle initially grouped with particle nexternal+1
+c   isubprop is to be replaced by isubval later on
+               isubprop  = -ibranch
+               isubval = iforest(1,-ibranch,iconfig)+
+     $              iforest(2,-ibranch,iconfig)-nexternal-1
+            else   !write out this line
+               jbranch=jbranch+1  !new ordering for branches
+               do i=1,2
+                  if (iforest(i,-ibranch,iconfig) .eq. isubprop) then
+                     iforest(i,-ibranch,iconfig) = isubval
+cPierre: here we have to add another condition
+                  elseif(isubprop.ne.0.and. ! we have already met part. nexternal+1            
+     &             isubprop.gt.iforest(i,-ibranch,iconfig)) then ! i.e iforest(i,-ibr) is an intermediate part with an index smaller then isubprop 
+                     iforest(i,-ibranch,iconfig)=
+     &               iforest(i,-ibranch,iconfig)+1
+c end modif Pierre
+                  endif
+               enddo
+
+              if(jbranch.ne.ibranch) then
+                write(buff_pmass(13:15),'(i3)') -jbranch
+                write(buff_pwidth(14:16),'(i3)') -jbranch
+                write(buff_pow(11:13),'(i3)') -jbranch
+              endif
+               write(buff_pmass(17:20),'(i4)') jconfig
+               write(buff_pwidth(18:21),'(i4)') jconfig
+               write(buff_pow(15:18),'(i4)') jconfig
+
+
+c write info in configs-1.inc
+               write(35,99) -jbranch,jconfig,iforest(1,-ibranch,iconfig)
+     $              ,iforest(2,-ibranch,iconfig),"?","?"
+               iforest2(1,-jbranch,jconfig)=iforest(1,-ibranch,iconfig)
+               iforest2(2,-jbranch,jconfig)=iforest(2,-ibranch,iconfig)
+               if(t_chan.eq.0) then
+               write(35,92) -jbranch,jconfig,sprop(-ibranch,iconfig) 
+               sprop2(-jbranch,jconfig)=sprop(-ibranch,iconfig)
+               elseif(jbranch.lt.nexternal-2) then
+               write(35,93) -jbranch,jconfig,tprid(-ibranch,iconfig)  
+               tprid2(-jbranch,jconfig)=tprid(-ibranch,iconfig)
+               endif
+c             here we should also write pmass,pwidth,pow
+c             (sometimes there is 1 branch less in props.inc > condition on jbranch)
+              if(t_chan.ne.1.or. ibranch.ne.nexternal-1) then
+
+c               here break the loop in case we have just read the one-to-last branch 
+c               and haven't met particle nexternal
+                if(isubprop.eq.0.and.ibranch.eq.nexternal-2) then
+                  goto 11 
+                endif
+
+               write(37,'(a)') buff_pmass
+               write(37,'(a)') buff_pwidth
+               write(37,'(a)') buff_pow
+             endif
+              endif
+11          continue
+         enddo
+
+12    enddo
+cPierre: add forgotten line
+      write(35,'(6x,a,i4,a,i4,a)')
+     $        'data mapconfig(',0,') /',jconfig,'/'
+      mapconfig2(0)=jconfig
+c end modif Pierre
+      close(35)
+      close(36)
+      close(37)
+
+
+c here we should remove equivalent configs
+      call check_equivalent_configs(mapconfig2,iforest2,sprop2,tprid2)
+
+
+ 99   format(6x,'data(iforest(i,',i3,',',i4,'),i=1,2) /',i3,',',i3,'/',
+     &     10x,'!  ',2a)
+
+
+ 92   format(6x,'data sprop(',i4,',',i4,') /',i8,'/')
+ 93   format(6x,'data tprid(',i4,',',i4,') /',i8,'/')
+
+
+
+ 999  continue
+      end
+         
+
+      subroutine check_equivalent_configs(mapconfig,iforest,sprop,
+     & tprid)
+c*******************************************************************************
+c     Program that removes redundant topologies from configs_temp.inc 
+c     and props_temp.inc. Results written in configs-1.inc
+c******************************************************************************
+      implicit none
+c
+c     Constants
+c
+      include 'genps.inc'
+      include 'nexternal.inc'
+c
+c     argument
+c
+      integer            mapconfig(0:lmaxconfigs)
+      integer iforest(2,-max_branch:-1,lmaxconfigs)
+      integer sprop(-max_branch:-1,lmaxconfigs)
+      integer tprid(-max_branch:-1,lmaxconfigs)
+c
+c     Local
+c
+      integer iconfig,igraph,i,jbranch,ibranch,temp_config
+      integer t_chan,nb_configs
+      character*50 buff_pmass(-nexternal:0,lmaxconfigs)
+      character*50 buff_pwidth(-nexternal:0,lmaxconfigs)
+      character*50 buff_pow(-nexternal:0,lmaxconfigs)
+      character*50 buff_pmass_temp 
+      character*50 buff_pwidth_temp
+      character*50 buff_pow_temp
+      logical foundmatch,foundmatch2
+c
+c     data
+c
+c-----
+c  Begin Code
+c----
+      open(unit=35, file="configs-1.inc",status="unknown",err=998)
+      open(unit=36, file="props_temp.inc",status="old",err=998)
+      open(unit=37, file="props-1.inc",status="unknown",err=998)
+
+
+      nb_configs=0
+
+c      write(*,*) 'nb of configs before check equiv: ',mapconfig(0)
+
+      do iconfig = 1, mapconfig(0)     !Loop over all configurations
+        foundmatch2=.false.
+        ibranch = 0
+        t_chan = 0
+      do while (ibranch .lt. nexternal-3+t_chan)
+        ibranch = ibranch + 1
+        if (iforest(1,-ibranch,iconfig) .eq. 1) t_chan=1
+c       sometimes there is 1 branch less in props.inc
+        if((t_chan.ne.1).or. (ibranch.lt.(nexternal-2))) then
+          read(36,'(a)') buff_pmass(ibranch,iconfig)
+          read(36,'(a)') buff_pwidth(ibranch,iconfig)
+          read(36,'(a)') buff_pow(ibranch,iconfig)
+        endif
+      enddo
+
+        temp_config=1
+        do while (temp_config .lt. iconfig.and..not.foundmatch2)
+         ibranch=0
+         t_chan=0
+            foundmatch=.true.
+         do while (ibranch .lt. nexternal-3+t_chan)
+            ibranch = ibranch + 1
+            if (iforest(1,-ibranch,iconfig) .eq. 1) t_chan=1
+            if(iforest(1,-ibranch, temp_config).ne.
+     & iforest(1,-ibranch,iconfig).and.iforest(1,-ibranch,temp_config)
+     & .ne. iforest(2,-ibranch,iconfig)) foundmatch=.false.
+
+            if(iforest(2,-ibranch, temp_config).ne.
+     & iforest(1,-ibranch,iconfig).and.iforest(2,-ibranch,temp_config)
+     & .ne. iforest(2,-ibranch,iconfig)) foundmatch=.false.
+
+            if (t_chan.eq.0) then
+              if(sprop(-ibranch, temp_config).ne.
+     & sprop(-ibranch,iconfig)) foundmatch=.false.
+            else
+              if(tprid(-ibranch, temp_config).ne.
+     & tprid(-ibranch,iconfig)) foundmatch=.false.
+            endif
+
+c now check props.inc
+            if(.false.) then
+         if (buff_pmass(ibranch,temp_config)(23:50).ne.
+     & buff_pmass(ibranch,iconfig)(23:50))  foundmatch=.false.
+         if (buff_pwidth(ibranch,temp_config)(24:50).ne.
+     & buff_pwidth(ibranch,iconfig)(24:50)) foundmatch=.false.
+         if (buff_pow(ibranch,temp_config)(21:50).ne.
+     & buff_pow(ibranch,iconfig)(21:50)) foundmatch=.false.
+
+         if (buff_pmass(ibranch,temp_config)(1:16).ne.
+     & buff_pmass(ibranch,iconfig)(1:16))  foundmatch=.false.
+         if (buff_pwidth(ibranch,temp_config)(1:17).ne.
+     & buff_pwidth(ibranch,iconfig)(1:17)) foundmatch=.false.
+         if (buff_pow(ibranch,temp_config)(1:14).ne.
+     & buff_pow(ibranch,iconfig)(1:14)) foundmatch=.false.
+             endif           
+
+         enddo  ! end loop over branches
+         if (foundmatch) then 
+          foundmatch2=.true.
+c          write(*,*) 'Removing config ',iconfig
+         endif
+
+         temp_config=temp_config+1
+        enddo ! inner loop over configs
+        if(.not.foundmatch2) then !write config
+         nb_configs=nb_configs+1
+         igraph = mapconfig(iconfig)
+         write(35,'(a,i6)') 'c   Graph ',igraph
+         write(35,'(6x,a,i4,a,i4,a)')
+     $        'data mapconfig(',nb_configs,') /',igraph,'/'
+         ibranch=0
+         t_chan=0
+         do while (ibranch .lt. nexternal-3+t_chan)
+            ibranch = ibranch + 1
+            if (iforest(1,-ibranch,iconfig) .eq. 1) t_chan=1
+
+            write(35,20) -ibranch,nb_configs,iforest(1,-ibranch,iconfig)
+     $       ,iforest(2,-ibranch,iconfig),"?","?"
+               if(t_chan.eq.0) then
+               write(35,21) -ibranch,nb_configs,sprop(-ibranch,iconfig)
+               elseif(ibranch.lt.nexternal-2) then
+               write(35,22) -ibranch,nb_configs,tprid(-ibranch,iconfig)
+               endif
+
+              if(t_chan.ne.1.or. ibranch.lt.nexternal-2) then
+               buff_pmass_temp=buff_pmass(ibranch,iconfig)             
+               buff_pwidth_temp=buff_pwidth(ibranch,iconfig)             
+               buff_pow_temp=buff_pow(ibranch,iconfig)    
+               write(buff_pmass_temp(17:20),'(i4)') nb_configs        
+               write(buff_pwidth_temp(18:21),'(i4)') nb_configs        
+               write(buff_pow_temp(15:18),'(i4)') nb_configs       
+c              
+              write(37,'(a)') buff_pmass_temp
+              write(37,'(a)') buff_pwidth_temp
+              write(37,'(a)') buff_pow_temp
+              endif 
+         enddo
+        endif
+
+      enddo
+      write(35,'(6x,a,i4,a,i4,a)')
+     $        'data mapconfig(',0,') /',nb_configs,'/'
+
+      close(35)
+      close(36)
+      close(37)
+
+ 21   format(6x,'data sprop(',i4,',',i4,') /',i8,'/')
+ 22   format(6x,'data tprid(',i4,',',i4,') /',i8,'/')
+
+ 20   format(6x,'data(iforest(i,',i3,',',i4,'),i=1,2) /',i3,',',i3,'/',
+     &     10x,'!  ',2a)
+ 998  continue
+      end
+
+      logical function one_gluon_config(iforest,sprop,tprid,iconfig)
+
+      implicit none
+      include 'genps.inc'
+      include 'nexternal.inc'
+      integer iforest(2,-max_branch:-1,lmaxconfigs)
+      integer iforest2(2,-max_branch:-1,lmaxconfigs)
+      integer sprop(-max_branch:-1,lmaxconfigs)
+      integer tprid(-max_branch:-1,lmaxconfigs)
+      integer iconfig
+c
+c     local
+c
+      integer ibranch,t_chan
+
+      one_gluon_config=.false.
+         t_chan = 0
+         ibranch = 0
+c              write(*,*) 'iconfig',iconfig
+         do while (ibranch .lt. nexternal-2+t_chan)
+            ibranch = ibranch + 1
+c
+         if (iforest(1,-ibranch,iconfig) .eq. 1) t_chan=1
+c
+         if (iforest(1,-ibranch,iconfig).eq.(nexternal+1)) then
+           if(iforest(2,-ibranch,iconfig).eq.(nexternal).and.
+     & sprop(-ibranch,iconfig).eq.21) then
+          one_gluon_config=.true.
+          return
+          endif
+     
+         endif    
+c
+         if (iforest(1,-ibranch,iconfig).eq.nexternal) then
+           if(iforest(2,-ibranch,iconfig).eq.(nexternal+1).and.
+     & sprop(-ibranch,iconfig).eq.21) then
+          one_gluon_config=.true.
+          return
+          endif
+           
+         endif     
+         enddo
+      end
+
+      logical function two_gluon_config(iforest,sprop,tprid,iconfig)
+
+      implicit none
+      include 'maxamps.inc'
+      include 'genps.inc'
+      include 'nexternal.inc'
+      integer iforest(2,-max_branch:-1,lmaxconfigs)
+      integer iforest2(2,-max_branch:-1,lmaxconfigs)
+      integer sprop(-max_branch:-1,lmaxconfigs)
+      integer tprid(-max_branch:-1,lmaxconfigs)
+      integer iconfig
+      integer q_ass,qb_ass,prop_qb, prop_q
+c
+c     local
+c
+      integer ibranch,t_chan,i
+      integer idup(nexternal,maxproc)
+      integer mothup(2,nexternal,maxproc)
+      integer icolup(2,nexternal,maxflow)
+      include 'leshouche.inc'
+      two_gluon_config=.false.
+
+         t_chan = 0
+         ibranch = 0
+         do while (ibranch .lt. nexternal-2+t_chan)
+            ibranch = ibranch + 1
+c
+         if (iforest(1,-ibranch,iconfig) .eq. 1) t_chan=1
+
+            if (iforest(1,-ibranch,iconfig) .eq. (nexternal+1) .or.
+     $          iforest(2,-ibranch,iconfig) .eq. (nexternal+1)) then
+               prop_qb  = -ibranch
+               qb_ass = iforest(1,-ibranch,iconfig)+
+     $              iforest(2,-ibranch,iconfig)-nexternal-1
+            endif
+
+            if (iforest(1,-ibranch,iconfig) .eq. (nexternal) .or.
+     $          iforest(2,-ibranch,iconfig) .eq. (nexternal)) then
+               prop_q  = -ibranch
+               q_ass = iforest(1,-ibranch,iconfig)+
+     $              iforest(2,-ibranch,iconfig)-nexternal
+            endif
+         enddo
+
+      if(qb_ass.eq.prop_q) then
+
+        if(q_ass.gt.0) then
+          if (idup(q_ass,1).ne.21) return     
+        endif    
+
+        if(q_ass.lt.0) then
+          if(sprop(q_ass,iconfig).ne.21.and.tprid(q_ass,iconfig).ne.21) return         
+        endif
+       
+        if(t_chan.eq.1.and.prop_qb.eq.(-nexternal+1) ) then
+          if(idup(2,1).ne.21) return
+        else
+           if(sprop(prop_qb,iconfig).ne.21.and.tprid(prop_qb,iconfig).ne.21) return
+        endif
+
+      two_gluon_config=.true.
+      endif
+
+      if(q_ass.eq.prop_qb) then
+        if(qb_ass.gt.0) then 
+         if (idup(qb_ass,1).ne.21) return
+        endif
+
+        if(qb_ass.lt.0) then
+          if(sprop(qb_ass,iconfig).ne.21.and.tprid(qb_ass,iconfig).ne.21) return
+        endif
+
+        if(t_chan.eq.1.and.prop_q.eq.(-nexternal+1) ) then
+           if(idup(2,1).ne.21) return
+        else
+          if(sprop(prop_q,iconfig).ne.21.and.tprid(prop_q,iconfig).ne.21) return
+        endif
+
+       two_gluon_config=.true.
+       endif
+
+      return
+      end
+
+
+      subroutine no_spaces(buff,nchars)
+c**********************************************************************
+c     Given buff a buffer of words separated by spaces
+c     returns it where all space are moved to the right
+c     returns also the length of the single word.
+c     maxlength is the length of the buffer
+c     AUTHOR: FABIO MALTONI
+c**********************************************************************
+      implicit none
+c
+c     Constants
+c
+      integer    maxline
+      parameter (maxline=10)
+      character*1 null
+      parameter  (null=' ')
+c
+c     Arguments
+c
+      character*(maxline) buff
+      integer nchars,maxlength
+c
+c     Local
+c
+      integer i,j
+      character*(maxline) temp
+c-----
+c  Begin Code
+c-----
+      nchars=0
+c      write (*,*) "buff=",buff(1:maxlength)
+      do i=1,maxline
+         if(buff(i:i).ne.null) then
+            nchars=nchars+1
+            temp(nchars:nchars)=buff(i:i)
+         endif
+c         write(*,*) i,":",buff(1:maxlength),":",temp(1:nchars),":"
+      enddo
+      buff=temp
+      end
+

=== added file 'Template/SubProcesses/status'
--- Template/SubProcesses/status	1970-01-01 00:00:00 +0000
+++ Template/SubProcesses/status	2010-10-30 03:26:37 +0000
@@ -0,0 +1,1 @@
+ 0 / 1 

=== added file 'Template/SubProcesses/subproc.txt'
--- Template/SubProcesses/subproc.txt	1970-01-01 00:00:00 +0000
+++ Template/SubProcesses/subproc.txt	2010-10-30 03:26:37 +0000
@@ -0,0 +1,1 @@
+PROCESS = 
\ No newline at end of file

=== added file 'Template/SubProcesses/sudakov.inc'
--- Template/SubProcesses/sudakov.inc	1970-01-01 00:00:00 +0000
+++ Template/SubProcesses/sudakov.inc	2010-10-30 03:26:37 +0000
@@ -0,0 +1,18 @@
+c*************************************************************************
+c	Initialization of parameters for the Sudakov
+c*************************************************************************
+      data m_colfac/6*0.5d0,0d0,6*1.33333333333d0,14*0d0,3d0/
+c                                      4/3
+      data m_dlog/7*0d0,6*1d0,14*0d0,1d0/
+      data m_slog/6*3.33333333333d-1,0d0,6*-7.5d-1,14*0d0,-9.16666666666d-1/
+c                       1/3                     -3/4              -11/12
+      data m_power/6*-1d0,0d0,6*1.5d0,14*0d0,2d0,
+     &   6*1d0,0d0,6*0d0,14*0d0,-0.5d0,
+     &   6*-6.66666666666d-1,0d0,6*0d0,14*0d0,3.3333333333333d-1,
+     &   6*-0.5d0,0d0,6*1d0,14*0d0,2d0,
+     &   6*0.5d0,0d0,6*-0.25d0,14*0d0,-0.5d0,
+     &   6*-3.33333333333333d-1,0d0,6*0d0,14*0d0,3.333333333333333d-1/
+      data m_qmass/4*0d0,4.8d0,173d0,14*0d0,0d0/ ! 1d-2,5d-3,0.2d0,1.42d0,
+      data m_as_factor,m_kfac/1d0,0d0/
+      data m_pca/28*0,6*1,0,6*1,15*0/
+

=== added file 'Template/SubProcesses/symmetry.f'
--- Template/SubProcesses/symmetry.f	1970-01-01 00:00:00 +0000
+++ Template/SubProcesses/symmetry.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,793 @@
+      program symmetry
+c*****************************************************************************
+c     Given identical particles, and the configurations. This program identifies
+c     identical configurations and specifies which ones can be skipped
+c*****************************************************************************
+      implicit none
+c
+c     Constants
+c
+      include 'genps.inc'
+      include 'nexternal.inc'
+      include '../../Source/run_config.inc'
+      include 'maxamps.inc'
+      
+      double precision ZERO
+      parameter       (ZERO = 0d0)
+      integer   maxswitch
+      parameter(maxswitch=99)
+      integer lun
+      parameter (lun=28)
+c
+c     Local
+c
+      integer iforest(2,-max_branch:-1,lmaxconfigs)
+      integer mapconfig(0:lmaxconfigs)
+      integer sprop(-max_branch:-1,lmaxconfigs)
+      integer itree(2,-max_branch:-1)
+      integer imatch
+      integer use_config(0:lmaxconfigs)
+      integer i,j, k, n, nsym
+      double precision diff
+      double precision pmass(-max_branch:-1,lmaxconfigs)   !Propagotor mass
+      double precision pwidth(-max_branch:-1,lmaxconfigs)  !Propagotor width
+      integer pow(-max_branch:-1,lmaxconfigs)
+c
+c     Local for generating amps
+c
+      double precision p(0:3,99), wgt, x(99), fx
+      double precision p1(0:3,99)
+      integer ninvar, ndim, iconfig, minconfig, maxconfig
+      integer ncall,itmax,nconfigs,ntry, ngraphs
+      integer ic(nexternal,maxswitch), jc(12),nswitch
+      double precision saveamp(maxamps)
+      integer nmatch, ibase
+      logical mtc, even
+
+c
+c     Global
+c
+      Double Precision amp2(maxamps), jamp2(0:maxflow)
+      common/to_amps/  amp2,       jamp2
+      include 'coupl.inc'
+      
+c
+c     External
+c
+      logical pass_point
+      logical check_swap
+      double precision dsig
+      external pass_point, dsig
+      external check_swap
+
+c      integer icomp
+c
+c     DATA
+c
+      integer tprid(-max_branch:-1,lmaxconfigs)
+      include 'configs.inc'
+
+c-----
+c  Begin Code
+c-----
+c      write(*,*) 'Enter compression (0=none, 1=sym, 2=BW, 3=full)'
+c      read(*,*) icomp
+c      if (icomp .gt. 3 .or. icomp .lt. 0) icomp=0
+      if (icomp .eq. 0) then
+         write(*,*) 'No compression, summing every diagram and ',
+     $        'every B.W.'
+      elseif (icomp .eq. 1) then
+         write(*,*) 'Using symmetry but summing every B.W. '
+      elseif (icomp .eq. 2) then
+         write(*,*) 'Assuming B.W. but summing every diagram. '
+      elseif (icomp .eq. 3) then
+         write(*,*) 'Full compression. Using symmetry and assuming B.W.'
+      else
+         write(*,*) 'Unknown compression',icomp
+         stop
+      endif
+
+      call setrun                !Sets up run parameters
+      call setpara('param_card.dat',.true.)   !Sets up couplings and masses
+      call setcuts               !Sets up cuts 
+      call printout
+      call run_printout
+c
+      ndim = 22
+      ncall = 10000
+      itmax = 10
+      ninvar = 35
+      nconfigs = 1
+      iconfig=1
+      include 'props.inc'
+      call sample_init(ndim,ncall,itmax,ninvar,nconfigs)
+
+      open(unit=lun,file='symswap.inc',status='unknown')
+
+c     
+c     Get momentum configuration
+c
+      do i = 1,23   !Not needed, but ok
+      ntry = 1
+      wgt=1d0
+      call x_to_f_arg(ndim,iconfig,minconfig,maxconfig,ninvar,wgt,x,p)
+      do while ((.not. pass_point(p) .or. wgt .lt. 0 .or. p(0,1) .le. 0d0) .and. ntry .lt. 1000)
+         call x_to_f_arg(ndim,iconfig,minconfig,maxconfig,ninvar,wgt,x,p)
+         ntry=ntry+1
+      enddo
+      call smatrix(p,fx) 
+c      write(*,*) i,ntry,fx
+c      do j=1,nexternal
+c         write(*,'(2i3,4e15.5)') i,j,(p(k,j),k=0,3)
+c      enddo
+      
+      enddo
+      nconfigs = mapconfig(0)
+c
+c     Get and save base amplitudes
+c
+      do j = 1 , mapconfig(mapconfig(0))
+         saveamp(j)=amp2(j)
+      enddo
+      do j=1,nexternal
+         write(*,'(i4,4e15.5)') j,(p(i,j),i=0,3)
+      enddo
+c
+c     Start using all configurations
+c
+      do j=1,mapconfig(0)
+         use_config(j) = 1
+      enddo
+c
+c     Swap amplitudes looking for matches
+c
+      nswitch = 1
+      do k=1,nexternal
+         ic(k,1)=k
+      enddo
+      nmatch = 0
+      mtc=.false.
+      nsym = 1
+      write(lun,'(a,i2,a$)') '       data (isym(i,',nsym,'),i=1,nexternal) /1 '
+      do i=2,nexternal
+         write(lun,'(a,i2$)') ",",ic(i,1)
+c         write(*,'(a,i2$)') ",",ic(i,1)
+      enddo
+c      write(*,*)
+      write(lun,'(a)') "/"
+      call nexper(nexternal-2,ic(3,1),mtc,even)
+c      write(*,*) 'mtc',mtc, (ic(i,1),i=1,nexternal)
+      do while(mtc)
+         call nexper(nexternal-2,ic(3,1),mtc,even)
+c         write(*,*) 'mtc',mtc, (ic(i,1),i=1,nexternal)
+         do j=3,nexternal
+            ic(j,1)=ic(j,1)+2
+         enddo
+         if (mtc) then
+             CALL SWITCHMOM(P,P1,IC(1,1),JC,NEXTERNAL)
+c
+c     Now check if it is a valid swap to make
+c
+
+         if (check_swap(ic(1,1))) then
+            write(*,*) 'Good swap', (ic(i,1),i=1,nexternal)
+            nsym=nsym+1
+            write(lun,'(a,i2,a$)') '       data (isym(i,',nsym,'),i=1,nexternal) /1 '
+            do i=2,nexternal
+               write(lun,'(a,i2$)') ",",ic(i,1)
+            enddo
+            write(lun,'(a)') "/"
+
+            call smatrix(p1,fx) 
+c            write(*,*) 'dsig=',fx
+c         write(*,'(7i6)') i,(ic(k,i),k=1,nexternal)
+c         do n = i+1,nswitch
+c            CALL SWITCHMOM(P,P1,IC(1,n),JC,NEXTERNAL)
+c            call smatrix(p1,fx)
+c
+c        Look for matches, but only for diagrams < current diagram
+c     
+         do j=2,mapconfig(0)
+            do k=1,j-1
+               diff = abs((amp2(mapconfig(j)) - saveamp(mapconfig(k)))/
+     $              (amp2(mapconfig(j))+1d-99))
+               if (diff .lt. 1d-8 ) then
+c                  write(*,*) "Found match graph",mapconfig(j),mapconfig(k),diff
+                  if (use_config(j) .gt. 0 ) then  !Not found yet
+                     nmatch=nmatch+1
+                     if (use_config(k) .gt. 0) then !Match is real config
+                        use_config(k)=use_config(k)+use_config(j)
+                        use_config(j)=-k
+                     else
+                        ibase = -use_config(k)
+                        use_config(ibase) = use_config(ibase)+use_config(j)
+                        use_config(j) = -ibase
+                     endif
+                  endif
+               endif
+            enddo
+         enddo
+         else
+            write(*,*) 'Bad swap', (ic(i,1),i=1,nexternal)
+         endif   !Good Swap
+         endif   !Real Swap
+         do j=3,nexternal
+            ic(j,1)=ic(j,1)-2
+         enddo
+      enddo
+      write(lun,*) '      data nsym /',nsym,'/'
+      close(lun)
+      write(*,*) 'Found ',nmatch, ' matches. ',mapconfig(0)-nmatch,
+     $     ' channels remain for integration.'
+      call write_bash(mapconfig,use_config,pwidth,icomp,iforest)
+      call write_input(j)
+      end
+
+      subroutine store_events()
+c**********************************************************************
+c     Dummy routine
+c**********************************************************************
+      end
+
+      subroutine write_symswap
+c***********************************************************************
+c     This information is used to symmeterize identical particle
+c     data
+c***********************************************************************
+c      implicit none
+c      
+c      open(unit=lun,file='symswap.inc',status='unknown')
+c      write(lun,*) '      data nsym /1/'
+c      write(lun,'(a$)') '       data (isym(i,1),i=1,nexternal) /1 '
+c      do i=2,nexternal
+c         write(lun,'(a,i2$)') ",",i
+c      enddo
+c      write(lun,'(a)') "/"
+c      close(lun)
+      end
+
+      logical function check_swap(ic)
+c**************************************************************************
+c     check that only identical particles were swapped
+c**************************************************************************
+      implicit none
+c
+c     Constants
+c
+      include 'genps.inc'
+      include 'nexternal.inc'
+      include 'maxamps.inc'
+c
+c     Arguments
+c
+      integer ic(nexternal)
+c
+c     local
+c
+      integer i
+      integer idup(nexternal,maxproc)
+      integer mothup(2,nexternal,maxproc)
+      integer icolup(2,nexternal,maxflow)
+c
+c     Process info
+c
+      include 'leshouche.inc'
+c------
+c Begin Code
+c-----
+      check_swap=.true.
+      do i=1,nexternal
+         if (idup(i,1) .ne. idup(ic(i),1)) check_swap=.false.
+      enddo
+      end
+
+      subroutine nexper(n,a,mtc,even)
+c*******************************************************************************
+c     Gives all permutations for a group
+c http://www.cs.sunysb.edu/~algorith/implement/wilf/distrib/processed/nexper_2.f
+c next permutation of {1,...,n}. Ref NW p 59.
+c*******************************************************************************
+      integer a(n),s,d
+      logical mtc,even
+      if(mtc)goto 10
+      nm3=n-3
+      do 1 i=1,n
+ 1        a(i)=i
+      mtc=.true.
+ 5     even=.true.
+      if(n.eq.1)goto 8
+ 6     if(a(n).ne.1.or.a(1).ne.2+mod(n,2))return
+      if(n.le.3)goto 8
+      do 7 i=1,nm3
+      if(a(i+1).ne.a(i)+1)return
+ 7     continue
+ 8      mtc=.false.
+      return
+ 10    if(n.eq.1)goto 27
+      if(.not.even)goto 20
+      ia=a(1)
+      a(1)=a(2)
+      a(2)=ia
+      even=.false.
+      goto 6
+ 20    s=0
+      do 26 i1=2,n
+ 25       ia=a(i1)
+      i=i1-1
+      d=0
+      do 30 j=1,i
+ 30       if(a(j).gt.ia) d=d+1
+      s=d+s
+      if(d.ne.i*mod(s,2)) goto 35
+ 26    continue
+ 27     a(1)=0
+      goto 8
+ 35    m=mod(s+1,2)*(n+1)
+      do 40 j=1,i
+      if(isign(1,a(j)-ia).eq.isign(1,a(j)-m))goto 40
+      m=a(j)
+      l=j
+ 40    continue
+      a(l)=ia
+      a(i1)=m
+      even=.true.
+      return
+      end
+
+
+      integer function n_unwgted()
+c
+c     dummy routine
+c     
+      n_unwgted = 1
+      end
+
+      subroutine clear_events()
+      end
+
+       subroutine write_input(nconfigs)
+c***************************************************************************
+c     Writes out input file for approximate calculation based on the
+c     number of active configurations
+c***************************************************************************
+      implicit none
+c
+c     Constants
+c
+      include 'genps.inc'
+      include 'nexternal.inc'
+      include '../../Source/run_config.inc'
+      integer    maxpara
+      parameter (maxpara=1000)
+c      integer   npoint_tot,         npoint_min
+c      parameter (npoint_tot=50000, npoint_min=1000)
+c
+c     Arguments
+c
+      integer nconfigs
+c
+c     local
+c
+      integer npoints
+      character*20 param(maxpara),value(maxpara)
+      integer npara, nreq
+      logical gridpack
+c-----
+c  Begin Code
+c-----
+      call load_para(npara,param,value)
+      call get_logical(npara,param,value," gridpack ",gridpack,.false.)
+
+      npoints = min_events_subprocess/nconfigs
+      npoints = max(npoints,min_events_channel)
+      open (unit=26, file = 'input_app.txt', status='unknown',
+     $     err=99)
+      if (gridpack) then
+         write(26,*) npoints_wu,itmax_wu,
+     &     '     !Number of events and iterations'      
+         write(26,'(f8.4,a)') acc_wu, '    !Accuracy'
+         write(26,*) ' 2       !Grid Adjustment 0=none'
+      else
+         write(26,*) npoints,iter_survey,
+     &     '     !Number of events and iterations'      
+         write(26,*) ' 0.0    !Accuracy'
+         write(26,*) ' 0       !Grid Adjustment 0=none'
+      endif
+      write(26,*) ' 1       !Suppress Amplitude 1=yes'
+      write(26,*) nhel_survey,'       !Helicity Sum/event 0=exact'
+      close(26)
+      return
+ 99   close(26)
+      write(*,*) 'Error opening input_app.txt'
+      end
+
+      subroutine open_bash_file(lun)
+c***********************************************************************
+c     Opens bash file for looping including standard header info
+c     which can be used with pbs, or stand alone
+c***********************************************************************
+      implicit none
+c
+c     Constants
+c
+      include '../../Source/run_config.inc'
+c
+c     Arguments
+c
+      integer lun
+c
+c     Local
+c
+      character*30 fname
+      integer ic
+
+      data ic/0/
+c-----
+c  Begin Code
+c-----
+      ic=ic+1
+      fname='ajob'
+      if (ic .lt. 10) then
+         write(fname(5:5),'(i1)') ic
+      elseif (ic .lt. 100) then
+         write(fname(5:6),'(i2)') ic
+      elseif (ic .lt. 1000) then
+         write(fname(5:7),'(i3)') ic
+      endif
+      open (unit=lun, file = fname, status='unknown')
+      write(lun,15) '#!/bin/bash'
+      write(lun,15) '#PBS -q ' // PBS_QUE
+      write(lun,15) '#PBS -o PBS.log'
+      write(lun,15) '#PBS -e PBS.err'
+      write(lun,15) 'if [[ "$PBS_O_WORKDIR" != "" ]]; then' 
+      write(lun,15) '    cd $PBS_O_WORKDIR'
+      write(lun,15) 'fi'
+      write(lun,15) 'k=run1_app.log'
+      write(lun,15) 'script=' // fname
+      write(lun,15) 'rm -f wait.$script >& /dev/null'
+      write(lun,15) 'touch run.$script'
+      write(lun,15) 'echo $script'
+      write(lun,'(a$)') 'for i in '
+ 15   format(a)
+      end
+
+      subroutine write_bash(mapconfig,use_config, pwidth, jcomp,iforest)
+c***************************************************************************
+c     Writes out bash commands to run integration over all of the various
+c     configurations, but only for "non-identical" configurations.
+c     Also labels multiplication factor for each used configuration
+c***************************************************************************
+      implicit none
+c
+c     Constants
+c
+      include 'genps.inc'
+      include 'nexternal.inc'
+      include '../../Source/run_config.inc'
+      integer    imax,   ibase
+      parameter (imax=max_branch-1, ibase=3)
+c
+c     Arguments
+c
+      integer mapconfig(0:lmaxconfigs),use_config(0:lmaxconfigs)
+      double precision pwidth(-max_branch:-1,lmaxconfigs)  !Propagotor width
+      integer iforest(2,-max_branch:-1,lmaxconfigs)
+      integer jcomp
+
+c
+c     local
+c
+      integer i, j, nbw, ic, icode
+      integer iarray(imax)
+      logical lconflict(-max_branch:nexternal)
+      logical done
+      logical gForceBW(-max_branch:-1,lmaxconfigs)  ! Forced BW
+      include 'decayBW.inc'
+
+c-----
+c  Begin Code
+c-----
+      call open_bash_file(26)
+      ic = 0      
+      do i=1,mapconfig(0)
+         if (use_config(i) .gt. 0) then
+            call bw_conflict(i,iforest(1,-max_branch,i),lconflict)
+            nbw=0               !Look for B.W. resonances
+            if (jcomp .eq. 0 .or. jcomp .eq. 1 .or. .true.) then
+               do j=1,imax
+                  iarray(j)=0   !Assume no cuts on BW
+               enddo
+               do j=1,nexternal-3
+c                  write(*,*) 'Width',pwidth(-j,i),j,i
+                  if (pwidth(-j,i) .gt. 1d-20) then
+                     nbw=nbw+1
+                     write(*,*) 'Got bw',-nbw,j
+                     if(lconflict(-j).or.gForceBW(-j,i)) then
+                        if(lconflict(-j)) write(*,*) 'Got conflict ',-nbw,j
+                        if(gForceBW(-j,i)) write(*,*) 'Got forced BW ',-nbw,j
+                        iarray(nbw)=1 !Cuts on BW
+                        if (nbw .gt. imax) then
+                           write(*,*) 'Too many BW w conflicts',nbw,imax
+                        endif
+                     endif
+                  endif
+               enddo
+            endif
+c            do j=1,2**nbw
+            done = .false.
+            do while (.not. done)
+               call enCode(icode,iarray,ibase,imax)
+               ic=ic+1
+               if (ic .gt. ChanPerJob) then
+                  call close_bash_file(26)
+                  call open_bash_file(26)
+                  ic = 1
+               endif
+c               write(*,*) 'mapping',ic,mapconfig(i)
+               if (mapconfig(i) .lt. 10) then
+                  write(26,'(i1$)') mapconfig(i)
+               elseif (mapconfig(i) .lt. 100) then
+                  write(26,'(i2$)') mapconfig(i)
+               elseif (mapconfig(i) .lt. 1000) then
+                  write(26,'(i3$)') mapconfig(i)
+               elseif (mapconfig(i) .lt. 10000) then
+                  write(26,'(i4$)') mapconfig(i)
+               endif
+               if (icode .eq. 0) then
+c                 write(26,'($a)') '.000'
+               elseif (icode .lt. 10) then
+                  write(26,'(a,i1$)') '.00', icode
+               elseif (icode .lt. 100) then
+                  write(26,'(a,i2$)') '.0', icode
+               elseif (icode .lt. 1000) then
+                  write(26,'(a,i3$)') '.', icode
+               else
+                  write(*,*) 'Error too many B.W. in symmetry.f',icode
+                  stop
+               endif
+               write(26,'(a$)') ' '
+               call bw_increment_array(iarray,imax,ibase,gForceBW(-imax,i),done)
+            enddo
+         endif
+      enddo
+      call close_bash_file(26)
+      if (mapconfig(0) .gt. 9999) then
+         write(*,*) 'Only writing first 9999 jobs',mapconfig(0)
+      endif
+c
+c     Now write out the symmetry factors for each graph
+c
+      open (unit=26, file = 'symfact.dat', status='unknown')
+      do i=1,mapconfig(0)
+         if (use_config(i) .gt. 0) then
+c
+c        Need to write appropriate number of BW sets this is
+c        same thing as above for the bash file
+c
+            call bw_conflict(i,iforest(1,-max_branch,i),lconflict)
+            nbw=0               !Look for B.W. resonances
+            if (jcomp .eq. 0 .or. jcomp .eq. 1 .or. .true.) then
+               do j=1,imax
+                  iarray(j)=0   !Assume no cuts on BW
+               enddo
+               do j=1,nexternal-3
+                  if (pwidth(-j,i) .gt. 1d-20) then
+                     nbw=nbw+1
+                     write(*,*) 'Got bw',nbw,j
+                     if(lconflict(-j).or.gForceBW(-j,i)) then
+                        iarray(nbw)=1 !Cuts on BW
+                        if (nbw .gt. imax) then
+                           write(*,*) 'Too many BW w conflicts',nbw,imax
+                        endif
+                     endif
+                  endif
+               enddo
+            endif            
+            done = .false.
+            do while (.not. done)
+               call enCode(icode,iarray,ibase,imax)
+               if (icode .gt. 0) then
+                  write(26,'(f9.3,i6)') mapconfig(i)+real(icode)/1000.,
+     $                 use_config(i)
+               else
+                  write(26,'(2i6)') mapconfig(i),use_config(i)
+               endif
+               call bw_increment_array(iarray,imax,ibase,gForceBW(-imax,i),done)
+            enddo
+         else
+            write(26,'(2i6)') mapconfig(i),-mapconfig(-use_config(i))
+         endif
+      enddo
+      end
+
+
+      subroutine BW_Conflict(iconfig,itree,lconflict)
+c***************************************************************************
+c     Determines which BW conflict
+c***************************************************************************
+      implicit none
+c
+c     Constants
+c
+      include 'genps.inc'
+      include 'nexternal.inc'
+      double precision zero
+      parameter       (zero=0d0)
+c      include '../../Source/run_config.inc'
+c
+c     Arguments
+c
+      integer itree(2,-max_branch:-1),iconfig
+      logical lconflict(-max_branch:nexternal)
+
+c
+c     local
+c
+      integer i,j
+      double precision pwidth(-max_branch:-1,lmaxconfigs)  !Propagator width
+      double precision pmass(-max_branch:-1,lmaxconfigs)   !Propagator mass
+      double precision pow(-max_branch:-1,lmaxconfigs)    !Not used, in props.inc
+      double precision xmass(-max_branch:nexternal)
+c
+c     Global
+c
+      include 'coupl.inc'                     !Mass and width info
+c-----
+c  Begin Code
+c-----
+      include 'props.inc'   !Propagator mass and width information pmass,pwidth
+      write(*,*) 'Checking for BW ',iconfig
+c
+c     Reset variables
+c      
+      do i=1,nexternal
+         xmass(i) = 0d0
+         lconflict(-i) = .false.
+      enddo
+c
+c     Start by determining which propagators are part of the same 
+c     chain, or could potentially conflict
+c
+      i=1
+      do while (i .lt. nexternal-2 .and. itree(1,-i) .ne. 1)
+         xmass(-i) = xmass(itree(1,-i))+xmass(itree(2,-i))
+         if (pwidth(-i,iconfig) .gt. 0d0) then
+            if (xmass(-i) .gt. pmass(-i,iconfig)) then  !Can't be on shell
+               lconflict(-i)=.true.
+               write(*,*) "Found Conflict", iconfig,i,
+     $              pmass(-i,iconfig),xmass(-i)
+            endif
+         endif
+         xmass(-i) = max(xmass(-i),pmass(-i,iconfig)+3d0*pwidth(-i,iconfig))        
+         i=i+1
+      enddo
+c
+c     Mark all daughters of conflicted BW as conflicting
+c
+      do j=i,1,-1
+         if (lconflict(-j)) then 
+            lconflict(itree(1,-j)) = .true.
+            lconflict(itree(2,-j)) = .true.
+            write(*,*) 'Adding conflict ',itree(1,-j),itree(2,-j)
+         endif
+      enddo
+c
+c     Only include BW props as conflicting
+c
+      do j=i,1,-1
+         if (lconflict(-j)) then 
+            if (pwidth(-j,iconfig) .le. 0) then 
+               lconflict(-j) = .false.
+               write(*,*) 'No conflict BW',iconfig,j
+            else
+               write(*,*) 'Conflicting BW',iconfig,j
+            endif
+         endif
+      enddo                  
+
+      end
+
+      subroutine close_bash_file(lun)
+c***********************************************************************
+c     Opens bash file for looping including standard header info
+c     which can be used with pbs, or stand alone
+c***********************************************************************
+      implicit none
+c
+c     Constants
+c
+c
+c     Constants
+c
+c     Arguments
+c
+      integer lun
+c
+c     local
+c
+      character*30 fname
+      integer ic
+
+      data ic/0/
+c-----
+c  Begin Code
+c-----
+
+      write(lun,'(a)') '; do'
+c
+c     Now write the commands
+c      
+      write(lun,20) 'echo $i'
+      write(lun,20) 'echo $i >& run.$script'
+      write(lun,20) 'j=G$i'
+      write(lun,20) 'if [[ ! -e $j ]]; then'
+      write(lun,25) 'mkdir $j'
+      write(lun,20) 'fi'
+      write(lun,20) 'cd $j'
+      write(lun,20) 'rm -f ftn25 ftn99'
+      write(lun,20) 'rm -f $k'
+      write(lun,20) 'cat ../input_app.txt >& input_app.txt'
+      write(lun,20) 'echo $i >> input_app.txt'
+      if (.false.) then
+         write(lun,20) 'cp ../../public.sh .'
+         write(lun,20) 'qsub -N $1$i public.sh'
+      else
+         write(lun,20) 'time ../madevent > $k <input_app.txt'
+         write(lun,20) 'rm -f ftn25 ftn99'
+         write(lun,20) 'cp $k log.txt'
+      endif
+      write(lun,20) 'cd ../'
+      write(lun,15) 'done'
+      write(lun,15) 'rm -f run.$script'
+      write(lun,15) 'touch done.$script'
+ 15   format(a)
+ 20   format(5x,a)
+ 25   format(10x,a)
+      close(lun)
+      end
+
+
+
+      subroutine bw_increment_array(iarray,imax,ibase,force,done)
+c************************************************************************
+c     Increments iarray     
+c************************************************************************
+      implicit none
+c
+c     Arguments
+c
+      integer imax          !Input, number of elements in iarray
+      integer ibase         !Base for incrementing, 0 is skipped
+      logical force(imax)   !Force onshell BW, counting from -imax to -1
+      integer iarray(imax)  !Output:Array of values being incremented
+      logical done          !Output:Set when no more incrementing
+
+c
+c     Global
+c
+      include 'genps.inc'
+      include 'nexternal.inc'
+
+c
+c     Local
+c
+      integer i,j
+      logical found
+c-----
+c  Begin Code
+c-----
+      found = .false.
+      i = 1
+      do while (i .le. imax .and. .not. found)
+         if (iarray(i) .eq. 0) then    !don't increment this
+            i=i+1
+         elseif (iarray(i) .lt. ibase-1 .and. .not. force(imax+1-i)) then
+            found = .true.
+            iarray(i)=iarray(i)+1
+         else
+            iarray(i)=1
+            i=i+1
+         endif
+      enddo
+      done = .not. found
+      end

=== added file 'Template/SubProcesses/transform.f'
--- Template/SubProcesses/transform.f	1970-01-01 00:00:00 +0000
+++ Template/SubProcesses/transform.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,295 @@
+      subroutine transform(p,q,ip,jp,kp,ijp,kpp,mass_i,mass_j,mass_k)
+************************************************************************
+*     Author: R.K. Ellis                                               *
+*     September, 1999.                                                 *
+*     Given p (p1 + p2 --> p3 ... px .. p_(nexternal))                 *
+*     produce q (q1 + q2 --> q3 ... qx .. q_(nexternal-1))             *
+*                                                                      *
+*     ip is the emitter, jp the unresolved and kp is the spectator     *
+*     after branching.                                                 *
+*     ijp and kpp are the emitter and spectator before branching       *
+*                                                                      *
+*     Correct branch chosen automatically                              *
+*                                                                      *
+*     Adapted for MadGraph/MadEvent by RF and NG, June 2008            *
+*                                                                      *
+************************************************************************
+      implicit none 
+      include 'nexternal.inc'
+      double precision p(0:3,nexternal),q(0:3,nexternal),x,omx,y,omy,
+     . k(0:3),kt(0:3),ks(0:3),kDk,ksDks,
+     . kDp(nincoming+1:nexternal),ksDp(nincoming+1:nexternal)
+      integer ip,kp,j,nu,jp,ipart,inp,fip,ijp,kpp
+
+      double precision dot,dotij,dotik,dotjk,mass_i,mass_j,mass_k,mu_i,mu_j
+      double precision mu_k,mu_ij,qtot(0:3),qsq,pij(0:3),lambda_tr,msq_ij
+      double precision msq_k,msq_i,msq_j,porig(0:3,nexternal),beta,gamma
+      external dot,lambda_tr
+      double precision one, two
+      parameter (one=1d0,two=2d0)
+      logical firsttime
+      data firsttime /.false./
+
+      if (firsttime) then
+         write (*,*)'Using the "transform(..)" subroutine, '//
+     &        'originally written by R.K. Ellis, Sep 1999.'
+         write (*,*)'Adapted for MadDipole by '//
+     &        'N. Greiner & R. Frederix Jun. 2008.'
+         firsttime=.false.
+      endif
+      
+      do j=1,nexternal
+         do nu=0,3
+            q(nu,j)=0d0
+c            porig(nu,j)=p(nu,j)
+         enddo
+      enddo
+      
+      dotij=dot(p(0,ip),p(0,jp))
+      dotik=dot(p(0,ip),p(0,kp))
+      dotjk=dot(p(0,jp),p(0,kp))
+
+      if((ijp.ge.nexternal).or.(ijp.le.0).or.
+     .   (kpp.ge.nexternal).or.(kpp.le.0).or.
+     .   (ip .gt.nexternal).or.(ip .le.0).or.
+     .   (jp .gt.nexternal).or.(jp .le.0).or.
+     .   (kp .gt.nexternal).or.(kp .le.0)) then
+         write (*,*) 'ERROR in momentum mapping.'
+         write (*,*) 'ip, jp, kp, ijp and/or kpp too large: '
+     .                ,ip,jp,kp,ijp,kpp
+         return
+      endif
+      
+
+
+      if(mass_i.lt.1d-5.and. mass_k .lt.1d-5) then
+c  massles particles
+      if ((ip .le. nincoming) .and. (kp .le. nincoming)) then
+c---  initial-initial
+
+         x=one-(dotij+dotjk)/dotik
+
+         do nu=0,3
+            q(nu,ijp)=  x*p(nu,ip)
+            q(nu,kpp)=  p(nu,kp)
+            k(nu)    =  p(nu,ip)+p(nu,kp)-p(nu,jp)
+            kt(nu)   =  q(nu,ijp)+p(nu,kp)
+            ks(nu)   =  k(nu)+kt(nu)
+         enddo
+         
+         kDk  = dot(k(0),k(0))
+         ksDks= dot(ks(0),ks(0))
+         
+         ipart=nincoming+1
+         do j=nincoming+1,nexternal
+            if (j .eq. jp) then
+               go to 19
+            else
+               kDp(j) = dot(k(0),p(0,j))
+               ksDp(j)= dot(ks(0),p(0,j))
+               do nu=0,3
+                  q(nu,ipart)=p(nu,j)-two*ksDp(j)*ks(nu)/ksDks
+     .                               +two*kDp(j)*kt(nu)/kDk
+               enddo
+               ipart=ipart+1
+               if(ipart.gt.nexternal)then
+                  write(*,*) 'ERROR, ipart .ge. nexternal in ii',ipart
+               endif
+            endif
+ 19         continue
+         enddo
+
+         return
+      
+      elseif (((ip .le. nincoming) .and. (kp .gt. nincoming)) .or.
+     .        ((ip .gt. nincoming) .and. (kp .le. nincoming))) then
+c---initial-final or final-initial
+         if (ip .le. nincoming) then
+            inp=ip
+            fip=kp  
+            x = one - dotjk/(dotik+dotij)
+         else
+            inp=kp
+            fip=ip
+            x = one - dotij/(dotik+dotjk)
+         endif
+
+         ipart=1
+         omx=one-x
+         do j=1,nexternal
+            do nu=0,3
+               if (j.eq.inp) then
+                  q(nu,ipart)=x*p(nu,inp)
+                  if ((ipart.ne.ijp).and.(ipart.ne.kpp))then
+                     write(*,*)'ERROR, problem with momentum mapping fi'
+                  endif
+               elseif (j.eq.jp) then
+                  goto 20
+               elseif (j.eq.fip) then
+                  q(nu,ipart)=p(nu,jp)+p(nu,fip)-omx*p(nu,inp)
+                  if ((ipart.ne.ijp).and.(ipart.ne.kpp))then
+                     write(*,*)'ERROR, problem with momentum mapping fi'
+                  endif
+               else
+                  q(nu,ipart)=p(nu,j)
+               endif
+            enddo
+            ipart=ipart+1
+            if(ipart.gt.nexternal)then
+               write(*,*) 'ERROR, ipart .ge. nexternal in fi'
+            endif
+ 20         continue
+         enddo
+
+         return
+         
+      elseif ((ip .gt. nincoming) .and. (kp .gt. nincoming)) then
+c---  final-final
+         ipart=1
+         y=dotij/(dotij+dotjk+dotik)
+         omy=one-y
+         do j=1,nexternal
+            do nu=0,3
+               if (j.eq.ip) then
+                  q(nu,ipart)=p(nu,jp)+p(nu,ip)-y/omy*p(nu,kp)
+                  if (ipart.ne.ijp)then
+                     write(*,*)'ERROR, problem with momentum mapping ff'
+                  endif
+               elseif (j.eq.jp) then
+                  goto 21
+               elseif (j.eq.kp) then
+                  q(nu,ipart)=p(nu,kp)/omy
+                  if (ipart.ne.kpp)then
+                     write(*,*)'ERROR, problem with momentum mapping ff'
+                  endif
+               else
+                  q(nu,ipart)=p(nu,j)
+               endif
+            enddo
+            ipart=ipart+1
+            if(ipart.gt.nexternal)then
+               write(*,*) 'ERROR, ipart .ge. nexternal in ff'
+            endif
+ 21         continue
+         enddo
+
+         return
+      endif
+
+      else
+
+c massive case
+
+      msq_i=mass_i**2
+      msq_k=mass_k**2
+      msq_j=mass_j**2
+      if(mass_i .eq.mass_j) then
+       msq_ij=0d0
+      else
+       msq_ij=msq_i
+      endif
+
+      if((ip.le.nincoming) .and. (kp.le.nincoming)) then
+c --- initial-initial
+       write(*,*) 'ERROR, no massive particles in initial state allowed'
+
+      elseif (((ip .le. nincoming) .and. (kp .gt. nincoming)) .or.
+     .        ((ip .gt. nincoming) .and. (kp .le. nincoming))) then
+c---initial-final or final-initial
+         if (ip .le. nincoming) then
+            inp=ip
+            fip=kp  
+            x = one - dotjk/(dotik+dotij)
+         else
+            inp=kp
+            fip=ip
+            x = one - (dotij-0.5d0*(msq_ij-msq_i-msq_j))/(dotik+dotjk)
+         endif
+
+         ipart=1
+         omx=one-x
+         do j=1,nexternal
+            do nu=0,3
+               if (j.eq.inp) then
+                  q(nu,ipart)=x*p(nu,inp)
+                  if ((ipart.ne.ijp).and.(ipart.ne.kpp))then
+                     write(*,*)'ERROR, problem with momentum mapping fi'
+                  endif
+               elseif (j.eq.jp) then
+                  goto 23
+               elseif (j.eq.fip) then
+                  q(nu,ipart)=p(nu,jp)+p(nu,fip)-omx*p(nu,inp)
+                  if ((ipart.ne.ijp).and.(ipart.ne.kpp))then
+                     write(*,*)'ERROR, problem with momentum mapping fi'
+                  endif
+               else
+                  q(nu,ipart)=p(nu,j)
+               endif
+            enddo
+            ipart=ipart+1
+            if(ipart.gt.nexternal)then
+               write(*,*) 'ERROR, ipart .ge. nexternal in fi'
+            endif
+ 23         continue
+         enddo
+
+         return
+
+      elseif ((ip .gt. nincoming) .and. (kp .gt. nincoming)) then
+c---  final-final
+       ipart=1
+       do nu=0,3
+        qtot(nu)=p(nu,ip)+p(nu,jp)+p(nu,kp)
+        pij(nu)=p(nu,ip)+p(nu,jp)
+       enddo
+       qsq=dot(qtot,qtot)
+         do j=1,nexternal
+            do nu=0,3
+               if (j.eq.ip) then
+                 q(nu,ipart)=qtot(nu)-(sqrt(lambda_tr(qsq,msq_ij,msq_k))/
+     &                 sqrt(lambda_tr(qsq,dot(pij,pij),msq_k))
+     &                        *(p(nu,kp)-dot(qtot,p(0,kp))/qsq*qtot(nu))
+     &                        +(qsq+msq_k-msq_ij)/two/qsq*qtot(nu))
+                  if (ipart.ne.ijp)then
+                     write(*,*)'ERROR, problem with momentum mapping ff'
+                  endif
+               elseif (j.eq.jp) then
+                  goto 24
+               elseif (j.eq.kp) then
+c                  print*, msq_ij,msq_k,dot(pij,pij),(2d0*dot(p(0,ip),p(0,jp)))
+                  q(nu,ipart)=sqrt(lambda_tr(qsq,msq_ij,msq_k))/
+     &                 sqrt(lambda_tr(qsq,dot(pij,pij),msq_k))
+     &                        *(p(nu,kp)-dot(qtot,p(0,kp))/qsq*qtot(nu))
+     &                        +(qsq+msq_k-msq_ij)/two/qsq*qtot(nu)
+                  if (ipart.ne.kpp)then
+                     write(*,*)'ERROR, problem with momentum mapping ff'
+                  endif
+               else
+                  q(nu,ipart)=p(nu,j)
+               endif
+            enddo
+            ipart=ipart+1
+            if(ipart.gt.nexternal)then
+               write(*,*) 'ERROR, ipart .ge. nexternal in ff'
+            endif
+ 24         continue
+         enddo
+
+         return
+
+      endif
+      endif
+
+      end
+
+
+      REAL*8 function lambda_tr(x,y,z)
+c  triangular function
+      implicit none
+
+c   Arguments
+      real*8 x,y,z
+
+      lambda_tr=x**2+y**2+z**2-2d0*x*y-2d0*x*z-2d0*y*z
+
+      end

=== added file 'Template/SubProcesses/transformint.f'
--- Template/SubProcesses/transformint.f	1970-01-01 00:00:00 +0000
+++ Template/SubProcesses/transformint.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,28 @@
+      subroutine transformint(p,q,ip,jp,kp,ijp,kpp,mass_i,mass_j,mass_k)
+************************************************************************
+*     Author: NG                                                       *
+*     July, 2008.                                                      *
+*     Given p (p1 + p2 --> p3 ... px .. p_(nexternal))                 *
+*     produce q (q1 + q2 --> q3 ... qx .. q_(nexternal-1))             *
+*                                                                      *
+*     ip is the emitter, jp the unresolved and kp is the spectator     *
+*     after branching.                                                 *
+*     ijp and kpp are the emitter and spectator before branching       *
+*                                                                      *
+*     
+************************************************************************
+      implicit none 
+      include 'nexternal.inc'
+
+      double precision p(0:3,nexternal),q(0:3,nexternal)
+      integer j,nu,ip,jp,kp,ijp,kpp
+      double precision mass_i,mass_j,mass_k
+
+      do j=1,nexternal
+         do nu=0,3
+            q(nu,j)=p(nu,j)
+         enddo
+      enddo
+
+      end
+

=== added file 'Template/SubProcesses/unwgt.f'
--- Template/SubProcesses/unwgt.f	1970-01-01 00:00:00 +0000
+++ Template/SubProcesses/unwgt.f	2010-10-30 03:26:37 +0000
@@ -0,0 +1,652 @@
+      subroutine Zoom_Event(wgt,p)
+C**************************************************************************
+C     Determines if region needs to be investigated in case of large
+c     weight events.
+C**************************************************************************
+      IMPLICIT NONE
+c
+c     Constant
+c
+      integer    max_zoom
+      parameter (max_zoom=2000)
+      include 'genps.inc'
+      include 'nexternal.inc'
+
+c
+c     Arguments
+c
+      double precision wgt, p(0:3,nexternal)
+c
+c     Local
+c
+      double precision xstore(2),gstore,qstore(2)
+      double precision trunc_wgt, xsum, wstore,pstore(0:3,nexternal)
+      integer ix, i,j
+
+C     
+C     GLOBAL
+C
+      double precision twgt, maxwgt,swgt(maxevents)
+      integer                             lun, nw
+      common/to_unwgt/twgt, maxwgt, swgt, lun, nw
+      integer nzoom
+      double precision  tx(1:3,maxinvar)
+      common/to_xpoints/tx, nzoom
+      double precision xzoomfact
+      common/to_zoom/  xzoomfact
+      include 'run.inc'
+      include 'coupl.inc'
+c
+c     DATA
+c
+      data trunc_wgt /-1d0/
+      data xsum/0d0/
+      data wstore /0d0/
+      save ix, pstore, wstore, xstore, gstore, qstore
+c-----
+c  Begin Code
+c-----
+      if (trunc_Wgt .lt. 0d0 .and. twgt .gt. 0d0) then
+         write(*,*) 'Selecting zoom level', twgt*500, wgt
+      endif
+      if (twgt .lt. 0d0) then
+         write(*,*) 'Resetting zoom iteration', twgt
+         twgt = -twgt
+         trunc_wgt = twgt * 500d0
+      endif
+      if (nw .eq. 0) then
+         trunc_wgt = twgt * 500d0
+      endif
+      trunc_wgt=max(trunc_wgt, twgt*500d0)
+      if (nzoom .eq. 0 .and. trunc_wgt .gt. 0d0 ) then
+         if (wgt .gt. trunc_wgt) then
+            write(*,*) 'Zooming on large event ',wgt / trunc_wgt
+            wstore=wgt
+            do i=1,nexternal
+               do j=0,3
+                  pstore(j,i) = p(j,i)
+               enddo
+            enddo
+            do i=1,2
+               xstore(i)=xbk(i)
+               qstore(i)=q2fact(i)
+            enddo
+            gstore=g
+            xsum = wgt
+            nzoom = max_zoom
+            wgt=0d0
+            ix = 1
+         endif
+      elseif (trunc_wgt .gt. 0 .and. wgt .gt. 0d0) then
+         xsum = xsum + wgt
+         if (nzoom .gt. 1) wgt = 0d0
+         ix = ix + 1
+      endif
+      if (xsum .ne. 0d0 .and. nzoom .le. 1) then
+         if (wgt .gt. 0d0) then
+c            xzoomfact = xsum/real(max_zoom) / wgt !Store avg wgt
+            xzoomfact = wstore / wgt  !Store large wgt
+         else
+            xzoomfact = -xsum/real(max_zoom)
+         endif
+         wgt = max(xsum/real(max_zoom),trunc_wgt)  !Don't make smaller then truncated wgt
+         do i=1,nexternal
+            do j=0,3
+               p(j,i) = pstore(j,i)
+            enddo
+         enddo
+         do i=1,2
+            xbk(i)=xstore(i)
+            q2fact(i)=qstore(i)
+         enddo
+         g=gstore
+         write(*,'(a,2e15.3,2f15.3, i8)') 'Stored wgt ',
+     $            wgt/trunc_wgt, wstore, wstore/wgt, real(ix)/max_zoom, ix
+         trunc_wgt = max(trunc_wgt, wgt)
+         xsum = 0d0
+         nzoom = 0
+      endif
+      end
+
+      subroutine clear_events
+c-------------------------------------------------------------------
+c     delete all events thus far, start from scratch
+c------------------------------------------------------------------
+      implicit none
+c
+c     Constants
+c
+      include 'genps.inc'
+      include 'nexternal.inc'
+c
+c     Global
+c
+      integer iseed, nover, nstore
+C     
+C     GLOBAL
+C
+      double precision twgt, maxwgt,swgt(maxevents)
+      integer                             lun, nw
+      common/to_unwgt/twgt, maxwgt, swgt, lun, nw
+
+c-----
+c  Begin Code
+c-----
+c      write(*,*) 'storing Events'
+      call store_events
+      rewind(lun)
+      nw = 0
+      maxwgt = 0d0
+      end
+
+      SUBROUTINE unwgt(px,wgt)
+C**************************************************************************
+C     Determines if event should be written based on its weight
+C**************************************************************************
+      IMPLICIT NONE
+c
+c     Constants
+c
+      include 'genps.inc'
+      include 'nexternal.inc'
+c
+c     Arguments
+c
+      double precision px(0:3,nexternal),wgt
+c
+c     Local
+c
+      integer idum, i,j
+      double precision uwgt,yran,fudge, p(0:3,nexternal), xwgt
+C     
+C     GLOBAL
+C
+      double precision twgt, maxwgt,swgt(maxevents)
+      integer                             lun, nw
+      common/to_unwgt/twgt, maxwgt, swgt, lun, nw
+
+      double precision    matrix
+      common/to_maxmatrix/matrix
+
+      logical               zooming
+      common /to_zoomchoice/zooming
+
+c
+c     External
+c
+      real xran1
+      external xran1
+c
+c     Data
+c
+      data idum/-1/
+      data yran/1d0/
+      data fudge/10d0/
+C-----
+C  BEGIN CODE
+C-----
+      if (twgt .ge. 0d0) then
+         do i=1,nexternal
+            do j=0,3
+               p(j,i)=px(j,i)
+            enddo
+         enddo
+         xwgt = wgt
+         if (zooming) call zoom_event(xwgt,P)
+         if (xwgt .eq. 0d0) return
+         yran = xran1(idum)
+         if (xwgt .gt. twgt*fudge*yran) then
+            uwgt = max(xwgt,twgt*fudge)
+            if (twgt .gt. 0) uwgt=uwgt/twgt/fudge
+c            call write_event(p,uwgt)
+c            write(29,'(2e15.5)') matrix,wgt
+c $B$ S-COMMENT_C $B$
+            call write_leshouche(p,uwgt)
+         elseif (xwgt .gt. 0d0 .and. nw .lt. 5) then
+            call write_leshouche(p,wgt/twgt*1d-6)
+c $E$ S-COMMENT_C $E$
+         endif
+         maxwgt=max(maxwgt,xwgt)
+      endif
+      end
+
+      subroutine store_events()
+C**************************************************************************
+C     Takes events from scratch file (lun) and writes them to a permanent
+c     file  events.dat
+C**************************************************************************
+      IMPLICIT NONE
+c
+c     Constants
+c
+      include 'genps.inc'
+      include 'nexternal.inc'
+      double precision trunc_max
+      parameter       (trunc_max = 0.01)  !Maximum % cross section to truncate
+c
+c     Arguments
+c
+c
+c     Local
+c
+      integer i, lunw, ic(7,2*nexternal-3), n, j
+      logical done
+      double precision wgt,p(0:4,2*nexternal-3)
+      double precision xsec,xerr,xscale,xtot
+      double precision xsum, xover
+      double precision target_wgt,orig_Wgt(maxevents)
+      logical store_event(maxevents)
+      integer iseed, nover, nstore
+      double precision scale,aqcd,aqed
+      integer ievent
+      character*140 buff
+C     
+C     GLOBAL
+C
+      double precision twgt, maxwgt,swgt(maxevents)
+      integer                             lun, nw
+      common/to_unwgt/twgt, maxwgt, swgt, lun, nw
+
+      integer                   neventswritten
+      common /to_eventswritten/ neventswritten
+c      save neventswritten
+
+      integer ngroup
+      common/to_group/ngroup
+
+c
+c     external
+c
+      real xran1
+
+      data iseed/0/
+      data neventswritten/0/
+C-----
+C  BEGIN CODE
+C-----
+c
+c     First scale all of the events to the total cross section
+c
+      if (nw .le. 0) return
+      call sample_result(xsec,xerr)
+      xtot=0
+      call dsort(nw, swgt)
+      do i=1,nw
+         xtot=xtot+swgt(i)
+      enddo
+c
+c     Determine minimum target weight given truncation parameter
+c
+      xsum = 0d0
+      i = nw
+      do while (xsum-swgt(i)*(nw-i) .lt. xtot*trunc_max .and. i .gt. 2)
+         xsum = xsum + swgt(i)
+         i = i-1
+      enddo
+      if (i .lt. nw) i=i+1
+      target_wgt = swgt(i)
+c
+c     Select events which will be written
+c
+      xsum = 0d0
+      nstore = 0
+      rewind(lun)
+      done = .false. 
+      do i=1,nw
+         if (.not. done) then
+            call read_event(lun,P,wgt,n,ic,ievent,scale,aqcd,aqed,buff,done)
+         else
+            wgt = 0d0
+         endif
+         if (wgt .gt. target_wgt*xran1(iseed)) then
+            xsum=xsum+max(wgt,target_Wgt)
+            store_event(i)=.true.
+            nstore=nstore+1
+         else
+            store_event(i) = .false.
+         endif
+      enddo
+      xscale = xsec/xsum
+      target_wgt = target_wgt*xscale
+      rewind(lun)
+      if (nstore .le. neventswritten) then
+         write(*,*) 'No improvement in events',nstore, neventswritten
+         return
+      endif
+      lunw = 25
+      open(unit = lunw, file='events.lhe', status='unknown')
+      done = .false.
+      i=0      
+      xtot = 0
+      xover = 0
+      nover = 0
+      do j=1,nw
+         if (.not. done) then
+            call read_event(lun,P,wgt,n,ic,ievent,scale,aqcd,aqed,buff,done)
+         else
+            write(*,*) 'Error done early',j,nw
+         endif
+         if (store_event(j) .and. .not. done) then
+            wgt=wgt*xscale
+            wgt = max(wgt, target_wgt)
+            if (wgt .gt. target_wgt) then
+               xover = xover + wgt - target_wgt
+               nover = nover+1
+            endif
+            xtot = xtot + wgt
+            i=i+1
+            call write_Event(lunw,p,wgt,n,ic,ngroup,scale,aqcd,aqed,buff)
+         endif
+      enddo
+      write(*,*) 'Found ',nw,' events.'
+      write(*,*) 'Wrote ',i ,' events.'
+      write(*,*) 'Correct xsec ',xsec
+      write(*,*) 'Event xsec ', xtot
+      write(*,*) 'Events wgts > 1: ', nover
+      write(*,*) '% Cross section > 1: ',xover, xover/xtot*100.
+      neventswritten = i
+ 99   close(lunw)
+c      close(lun)
+      end
+
+      SUBROUTINE write_leshouche(p,wgt)
+C**************************************************************************
+C     Writes out information for event
+C**************************************************************************
+      IMPLICIT NONE
+c
+c     Constants
+c
+      double precision zero
+      parameter       (ZERO = 0d0)
+      include 'genps.inc'
+      include 'nexternal.inc'
+      include 'maxamps.inc'
+      include 'message.inc'
+      include 'cluster.inc'
+      include 'run.inc'
+c
+c     Arguments
+c
+      double precision p(0:3,nexternal),wgt
+c
+c     Local
+c
+      integer i,j,k
+      double precision sum_wgt,sum_wgt2, xtarget,targetamp(maxflow)
+      integer ip, np, ic, nc, jpart(7,-nexternal+3:2*nexternal-3)
+      integer ida(2),ito(-nexternal+3:nexternal),ns,nres,ires,icloop
+      integer iseed
+      double precision pboost(0:3),pb(0:4,-nexternal+3:2*nexternal-3),eta
+      double precision ptcltmp(nexternal)
+
+      integer idup(nexternal,maxproc)
+      integer mothup(2,nexternal,maxproc)
+      integer icolup(2,nexternal,maxflow)
+
+      integer isym(nexternal,99), nsym, jsym
+
+      double precision sscale,aaqcd,aaqed
+      integer ievent,npart
+
+      real ran1
+      external ran1
+
+      character*140 buff
+
+C     
+C     GLOBAL
+C
+      double precision twgt, maxwgt,swgt(maxevents)
+      integer                             lun, nw
+      common/to_unwgt/twgt, maxwgt, swgt, lun, nw
+
+      integer              IPROC 
+      DOUBLE PRECISION PD(0:MAXPROC)
+      COMMON /SubProc/ PD, IPROC
+
+      Double Precision amp2(maxamps), jamp2(0:maxflow)
+      common/to_amps/  amp2,       jamp2
+
+      character*79       hel_buf
+      common/to_helicity/hel_buf
+
+      integer           mincfig, maxcfig
+      common/to_configs/mincfig, maxcfig
+
+      integer ngroup
+      common/to_group/ngroup
+
+c
+c     Data
+c
+      include 'leshouche.inc'
+      data iseed /0/
+
+      double precision pmass(nexternal)
+      common/to_mass/  pmass
+
+c      integer ncols,ncolflow(maxamps),ncolalt(maxamps)
+c      common/to_colstats/ncols,ncolflow,ncolalt,ic
+c      data ncolflow/maxamps*0/
+c      data ncolalt/maxamps*0/
+
+      include 'symswap.inc'
+      include 'coupl.inc'
+C-----
+C  BEGIN CODE
+C-----
+      
+      if (nw .ge. maxevents) return
+      nw = nw+1
+      swgt(nw)=wgt
+      sum_wgt=sum_wgt+wgt
+      sum_wgt2=sum_wgt2+wgt**2
+c
+c     First choose a process  iproc comes set to the number of processes
+c
+      if(ickkw.gt.0)then
+        ip = iprocset
+      else
+        np = iproc
+        xtarget=ran1(iseed)*pd(np)
+        ip = 1
+        do while (pd(ip) .lt. xtarget .and. ip .lt. np)
+          ip=ip+1
+        enddo
+      endif
+      
+c
+c     Now choose a color flow
+c
+      nc = jamp2(0)
+c      ncols=jamp2(0)
+      if(nc.gt.0)then
+        targetamp(1)=jamp2(1)
+        do ic =2,nc
+          targetamp(ic) = jamp2(ic)+targetamp(ic-1)
+        enddo
+        xtarget=ran1(iseed)*targetamp(nc)
+        ic = 1
+        do while (targetamp(ic) .lt. xtarget .and. ic .lt. nc)
+          ic=ic+1
+        enddo
+c        ncolflow(ic)=ncolflow(ic)+1
+      endif
+c
+c     In case of identical particles symmetry, choose assignment
+c
+      xtarget = ran1(iseed)*nsym
+      jsym = 1
+      do while (xtarget .gt. jsym .and. jsym .lt. nsym)
+         jsym = jsym+1
+      enddo
+c
+c     Fill jpart color and particle info
+c
+      do i=1,nexternal
+         jpart(1,isym(i,jsym)) = idup(i,ip)
+         jpart(2,isym(i,jsym)) = mothup(1,i,ip)
+         jpart(3,isym(i,jsym)) = mothup(2,i,ip)
+         jpart(4,isym(i,jsym)) = icolup(1,i,ic)
+         jpart(5,isym(i,jsym)) = icolup(2,i,ic)
+         jpart(6,isym(i,jsym)) = 1
+      enddo
+      do i=1,nincoming
+         jpart(6,isym(i,jsym))=-1
+      enddo
+
+c   Set helicities
+c      write(*,*) 'Getting helicity',hel_buf(1:50)
+      read(hel_buf,'(15i5)') (jpart(7,isym(i, jsym)),i=1,nexternal)
+c      write(*,*) 'ihel',jpart(7,1),jpart(7,2)
+
+c   Fix ordering of ptclus
+      do i=1,nexternal
+        ptcltmp(isym(i,jsym)) = ptclus(i)
+      enddo
+      do i=1,nexternal
+        ptclus(i) = ptcltmp(i)
+      enddo
+
+c
+c     Boost momentum to lab frame
+c
+      pboost(0)=1d0
+      pboost(1)=0d0
+      pboost(2)=0d0
+      pboost(3)=0d0
+      if (xbk(2)*xbk(1) .gt. 0d0) then
+         eta = sqrt(xbk(1)*ebeam(1)/(xbk(2)*ebeam(2)))
+         pboost(0)=p(0,1)*(eta + 1d0/eta)
+         pboost(3)=p(0,1)*(eta - 1d0/eta)
+      else
+         write(*,*) 'Warning bad x1 or x2 in write_leshouche',
+     $           xbk(1),xbk(2)
+      endif
+      do j=1,nexternal
+         call boostx(p(0,j),pboost,pb(0,isym(j,jsym)))
+c      Add mass information in pb(4)
+         pb(4,isym(j,jsym))=pmass(j)
+      enddo
+
+c
+c     Add info on resonant mothers
+c
+      call addmothers(ip,jpart,pb,isym,jsym,sscale,aaqcd,aaqed,buff,npart)
+
+c
+c     Write events to lun
+c
+c      write(*,*) 'Writing event'
+      if(q2fact(1).gt.0.and.q2fact(2).gt.0)then
+         sscale = (q2fact(1)*q2fact(2))**0.25
+      else if(q2fact(1).gt.0)then
+         sscale = sqrt(q2fact(1))
+      else if(q2fact(2).gt.0)then
+         sscale = sqrt(q2fact(2))
+      else
+         sscale = 0d0
+      endif
+      aaqcd = g*g/4d0/3.1415926d0
+      aaqed = gal(1)*gal(1)/4d0/3.1415926d0
+
+      if (btest(mlevel,3)) then
+        write(*,*)' write_leshouche: SCALUP to: ',sscale
+      endif
+      
+      
+      call write_event(lun,pb(0,1),wgt,npart,jpart(1,1),ngroup,
+     &   sscale,aaqcd,aaqed,buff)
+      if(btest(mlevel,1))
+     &   call write_event(6,pb(0,1),wgt,npart,jpart(1,1),ngroup,
+     &   sscale,aaqcd,aaqed,buff)
+
+      end
+      
+      integer function n_unwgted()
+c************************************************************************
+c     Determines the number of unweighted events which have been written
+c************************************************************************
+      implicit none
+c
+c     Parameter
+c
+      include 'genps.inc'
+      include 'nexternal.inc'
+c
+c     Local
+c
+      integer i
+      double precision xtot, sum
+C     
+C     GLOBAL
+C
+      double precision twgt, maxwgt,swgt(maxevents)
+      integer                             lun, nw
+      common/to_unwgt/twgt, maxwgt, swgt, lun, nw
+c-----
+c  Begin Code
+c-----
+
+c      write(*,*) 'Sorting ',nw
+      if (nw .gt. 1) call dsort(nw,swgt)
+      sum = 0d0
+      do i=1,nw
+         sum=sum+swgt(i)
+      enddo
+      xtot = 0d0
+      i = nw
+      do while (xtot .lt. sum/100d0 .and. i .gt. 2)    !Allow for 1% accuracy
+         xtot = xtot + swgt(i)
+         i=i-1
+      enddo
+      if (i .lt. nw) i = i+1
+c      write(*,*) 'Found ',nw,' events'
+c      write(*,*) 'Integrated weight',sum
+c      write(*,*) 'Maximum wgt',swgt(nw), swgt(i)
+c      write(*,*) 'Average wgt', sum/nw
+c      write(*,*) 'Unweight Efficiency', (sum/nw)/swgt(i)
+      n_unwgted = sum/swgt(i)
+c      write(*,*) 'Number unweighted ',sum/swgt(i), nw
+      if (nw .ge. maxevents) n_unwgted = -sum/swgt(i)
+      end
+
+
+      subroutine dsort(n,ra)
+      integer n
+      double precision ra(n)
+
+      l=n/2+1
+      ir=n
+10    continue
+        if(l.gt.1)then
+          l=l-1
+          rra=ra(l)
+        else
+          rra=ra(ir)
+          ra(ir)=ra(1)
+          ir=ir-1
+          if(ir.eq.1)then
+            ra(1)=rra
+            return
+          endif
+        endif
+        i=l
+        j=l+l
+20      if(j.le.ir)then
+          if(j.lt.ir)then
+            if(ra(j).lt.ra(j+1))j=j+1
+          endif
+          if(rra.lt.ra(j))then
+            ra(i)=ra(j)
+            i=j
+            j=j+j
+          else
+            j=ir+1
+          endif
+        go to 20
+        endif
+        ra(i)=rra
+      go to 10
+      end

=== added file 'Template/TemplateVersion.txt'
--- Template/TemplateVersion.txt	1970-01-01 00:00:00 +0000
+++ Template/TemplateVersion.txt	2010-10-30 03:26:37 +0000
@@ -0,0 +1,1 @@
+2.4.25
\ No newline at end of file

=== added directory 'Template/bin'
=== added file 'Template/bin/Passto_gfortran.py'
--- Template/bin/Passto_gfortran.py	1970-01-01 00:00:00 +0000
+++ Template/bin/Passto_gfortran.py	2010-10-30 03:26:37 +0000
@@ -0,0 +1,77 @@
+#!/usr/bin/env python
+import sys, os
+sys.path+=['../'*i+'./Source/MadWeight_File/Python' for i in range(0,2)]
+sys.path+=['../'*i+'Template/Source/MadWeight_File/Python' for i in range(0,2)]
+import mod_file, MW_param
+
+def mod_dir_to_gfortran(directory):
+    #define global regular expression
+    rule={'S-REGEXP_f77+gfortran+re.I':'','S-REGEXP_g77+gfortran+re.I':''}
+
+    if type(directory)!=list:
+        directory=[directory]
+
+    #search file
+    file_to_change=find_makefile_in_dir(directory)
+
+    #modify all those makefile
+    mod_file.mod_file(file_to_change,rule,opt={'nowarning':'\'all\''})
+    print 'remove old compile file'
+    
+def find_makefile_in_dir(directory):
+    """ retrun a list of all file startinf with makefile in the given directory"""
+
+    out=[]
+    #list mode
+    if type(directory)==list:
+        for name in directory:
+            out+=find_makefile_in_dir(name)
+        return out
+
+    #single mode
+    for name in os.listdir(directory):
+        if os.path.isdir(directory+'/'+name):
+            out+=find_makefile_in_dir(directory+'/'+name)
+        elif os.path.isfile(directory+'/'+name) and name.lower().startswith('makefile'):
+            out.append(directory+'/'+name)
+
+    return out
+
+
+def rm_old_compile_file():
+
+    # remove all the .o files
+    os.path.walk('.', rm_file_extension, '.o')
+    
+    # remove related libraries
+    libraries = ['libblocks.a', 'libgeneric_mw.a', 'libMWPS.a', 'libtools.a', 'libdhelas3.a',
+                 'libdsample.a', 'libgeneric.a', 'libmodel.a', 'libpdf.a', 'libdhelas3.so', 'libTF.a', 
+                 'libdsample.so', 'libgeneric.so', 'libmodel.so', 'libpdf.so']
+    lib_pos='./lib'
+    [os.remove(os.path.join(lib_pos, lib)) for lib in libraries \
+                                 if os.path.exists(os.path.join(lib_pos, lib))]
+
+
+def rm_file_extension( ext, dirname, names):
+
+    [os.remove(os.path.join(dirname, name)) for name in names if name.endswith(ext)]
+
+
+
+    
+if "__main__"==__name__:
+    print 'start main'
+    value=0
+#    while value not in ['1','2']:
+#        value=raw_input('On which directory do you want to apply this script? (1/2)\n' + \
+#                               ' 1: On this copy of the Template directory\n' + \
+#                               ' 2: On the full MG_ME directory\n')
+    value='1'
+    if value == '1':
+        directory=['Source','SubProcesses']
+    else:
+        directory=['..']
+
+    MW_param.go_to_main_dir()
+    mod_dir_to_gfortran(directory)
+    rm_old_compile_file()

=== added file 'Template/bin/TheChopper-pl'
--- Template/bin/TheChopper-pl	1970-01-01 00:00:00 +0000
+++ Template/bin/TheChopper-pl	2010-10-30 03:26:37 +0000
@@ -0,0 +1,118 @@
+#!/usr/bin/perl -w
+#------------------------------------------------------------
+# Simple script to chop out sub-processes  which have a small
+# impact on the cross section, in the grid pack.
+# This is meant to be run after the gridpack warming up run
+# and before packing it up.
+#
+# The script should be run from the main directory of madevent
+# and sits in the bin directory.
+#
+# This is still version 0, where no classes can be defined.
+# However, the result is a script, chop_procs sitting in 
+# SubProcesses, that can be edited by hand. 
+#
+# Author: Fabio Maltoni
+# Date: 10/4/08
+# Version: 0.1
+#
+# HISTORY
+# 
+# 0.2 Fix bug in writing subproc.mg
+#
+# 0.1 Added the possibility to list SubProc IDs
+#
+# 0.0 Original
+#
+#------------------------------------------------------------
+
+#------------------------------------------------------------
+# Auxiliary Ordering function
+#------------------------------------------------------------
+
+    sub OrderInc {
+     $all{$a} <=> $all{$b};
+    };
+
+#------------------------------------------------------------
+# Input the chopping value. Example : 0.01 = 1%
+#------------------------------------------------------------
+
+    print "input chopping off value (e.g., 0.01=1% ):\n";
+    $cutoff_lim=<STDIN>;
+
+#------------------------------------------------------------
+# Input the SubProcesses ids on which the script should run 
+#------------------------------------------------------------
+    
+    print "Input SubProcesses ids to process (space separated):\n";
+    @id_list=split('\s+',<STDIN>);
+    
+
+#------------------------------------------------------------
+# Parse the form, look for known variables
+#------------------------------------------------------------
+
+   
+    
+    chdir("SubProcesses");
+    open(SCRIPT,">chop_procs")  or die "Could not write chop_procs \n";
+     
+    foreach $id (@id_list) {
+    
+    print "\n\nNow processing SubProcesses with ID = $id\n";
+    
+    my @all_Pdirs = <P$id*>;
+    my $xsec = 0;
+    my $perc = 0;
+    %all = ();
+    %below = ();
+    
+    foreach $arg (@all_Pdirs) {
+    chdir("$arg");
+    open(RES,"<default_results.dat")  or die "Could not read default_results.dat\n";
+    my $buff;
+    my $number_read = read(RES,$buff,12);
+    print "$arg has xsec $buff\n";
+    $all{$arg} .= $buff;
+    $xsec = $xsec + $buff;
+    close(RES);
+    chdir("..");
+    };     	
+
+    print " total xsec for ID = $id : $xsec\n";
+    $cutoff=$cutoff_lim*$xsec;
+    print " cutoff for ID = $id : $cutoff \n";
+
+
+#   now I have to order them and find those procs with fall
+#   below xsec*cutoff.    
+
+    $i=0;
+    $integ[0]=0;
+    print "Processes in order FOR ID = $id:\n";
+    foreach $key (sort OrderInc (keys(%all))) {
+    $integ[$i+1] = $integ[$i] + $all{$key}; 	
+    if($integ[$i+1] < $cutoff) { 
+	$below{$key} .= $all{$key};
+	print "$integ[$i+1] : $all{$key} $key => below cutoff\n";}
+    else {
+	print "$integ[$i+1] : $all{$key} $key => above cutoff\n";}
+    $i =$i + 1;
+};
+#
+#  Now I move the corresponding procs out of the way
+#
+    print "The following SubProcess will be tagged to be removed:\n";
+    foreach $key (keys(%below)){
+	print "$key ";
+	print SCRIPT "mv $key XXX$key \# $below{$key}\n";
+#        system("mv $key XXX$key "); 
+    };
+#	print SCRIPT "ls -d P$id* >subproc.mg\n";
+#        system("ls -d P* >subproc.mg");  
+ }
+ print SCRIPT "ls -d P* >subproc.mg";  
+ close(SCRIPT);
+ system("chmod +x chop_procs");
+   

=== added file 'Template/bin/addmasses.py'
--- Template/bin/addmasses.py	1970-01-01 00:00:00 +0000
+++ Template/bin/addmasses.py	2010-10-30 03:26:37 +0000
@@ -0,0 +1,320 @@
+#!/usr/bin/python
+#
+# doubleswitch.py
+# Author: Stephen Mrenna
+# Add masses to charged leptons, fix kinematics
+# Insert W/Z when missing
+
+import math,sys,re
+from xml.dom import minidom
+
+#tolerance for energy momentum conservation
+toler = 1e-4
+#lepton masses from PDGLive
+massDict = {}
+massDict[11]=0.000510998910
+massDict[-11]=massDict[11]
+massDict[13]=105.6583668e-3
+massDict[-13]=massDict[13]
+massDict[15]=1.77684
+massDict[-15]=massDict[15]
+
+#print out messages if true
+verbose=0
+
+#default is NOT to insert missing mothers
+motherFlag=1
+
+#useful class to describe 4 momentum
+class Momentum:
+    def __init__(self,px,py,pz,E,m):
+        self.px=px
+        self.py=py
+        self.pz=pz
+        self.E=E
+        self.m=m
+    def __add__(self,other):
+        t=Momentum(self.px+other.px,self.py+other.py,self.pz+other.pz,self.E+other.E,0)
+        t.m=t.calcMass()
+        return t
+    def __sub__(self,other):
+        t=Momentum(self.px-other.px,self.py-other.py,self.pz-other.pz,self.E-other.E,0)
+        t.m=t.calcMass()
+        return t
+    def calcMass(self):
+        tempMass2=self.E**2-self.px**2-self.py**2-self.pz**2
+        if tempMass2 > 0:
+            t=math.sqrt(tempMass2)
+            if t>toler:
+                return t
+            else:
+                return 0
+        else:
+            return 0
+    def boost(self,ref,rdir):
+        pmag=ref.E
+        DBX=ref.px*rdir/pmag
+        DBY=ref.py*rdir/pmag
+        DBZ=ref.pz*rdir/pmag
+        DB=math.sqrt(DBX**2+DBY**2+DBZ**2)
+        DGA=1.0/math.sqrt(1.0-DB**2)        
+        DBP=DBX*self.px+DBY*self.py+DBZ*self.pz
+        DGABP=DGA*(DGA*DBP/(1.0+DGA)+self.E)
+        self.px = self.px+DGABP*DBX
+        self.py = self.py+DGABP*DBY
+        self.pz = self.pz+DGABP*DBZ
+        self.E  = DGA*(self.E+DBP)
+    def reScale(self,pi,po):
+        self.px = self.px/pi*po
+        self.py = self.py/pi*po
+        self.pz = self.pz/pi*po
+    def printMe(self):
+        li = [self.px,self.py, self.pz, self.E, self.m]
+        print "| %18.10E %18.10E %18.10E %18.10E %18.10E |" % tuple(li)    
+
+#useful class to describe a particle
+class Particle:
+    def __init__(self,i,l):
+        self.no = i
+        self.id = l[0]
+        self.status = l[1]
+        self.mo1 = l[2]
+        self.mo2 = l[3]
+        self.co1 = l[4]
+        self.co2 = l[5]
+        self.mom = Momentum(l[6],l[7],l[8],l[9],l[10])
+        self.life = l[11]
+        self.polar = l[12]
+    def printMe(self):
+        li = [self.no, self.id, self.status,self.mo1, self.mo2, self.co1, self.co2, self.mom.px,self.mom.py, self.mom.pz, self.mom.E, self.mom.m, self.life, self.polar]
+        print "%2i | %9i | %4i | %4i %4i | %4i %4i | %18.10E %18.10E %18.10E %18.10E %18.10E | %1.0f. %2.0f" % tuple(li)
+    def writeMe(self):
+        li = [self.id, self.status,self.mo1, self.mo2, self.co1, self.co2, self.mom.px,self.mom.py, self.mom.pz, self.mom.E, self.mom.m, self.life, self.polar]
+        return "%9i %4i %4i %4i %4i %4i %18.10E %18.10E %18.10E %18.10E %18.10E  %1.0f. %2.0f\n" % tuple(li)        
+
+#useful function for converting a string to variables
+def parseStringToVars(input):
+    if input.find(".")>-1 :
+        return float(input)
+    else:
+        return int(input)
+
+#main part of analysis
+if len(sys.argv)!=3:
+    print "Usage: addmasses.py <infile> <outfile>    "
+    print " Last modified: Fri Nov 21 10:49:14 CST 2008 "
+    sys.exit(0)
+else:
+    print "Running addmasses.py to add masses and correct kinematics of fixed particles"
+    
+#first print out leading information
+try:
+    f=open(sys.argv[1],'r')
+except IOError:
+    print "need a file for reading"
+    sys.exit(0)
+
+try:
+    g=open(sys.argv[2],'w')
+except IOError:
+    print "need a file for writing"
+    sys.exit(0)
+
+while 1:
+    try:
+        line=f.readline()
+    except IOError:
+        print "Problem reading from file ",sys.argv[1]
+        sys.exit(0)
+    if line.find("<event>")==-1:
+        g.write(line)
+    else:
+        break
+
+f.close()
+
+#let xml find the event tags
+try:
+    xmldoc = minidom.parse(sys.argv[1])
+except IOError:
+    print " could not open file for xml parsing ",sys.argv[1]
+    sys.exit(0)
+    
+    
+reflist = xmldoc.getElementsByTagName('event')    
+
+for ref in reflist:
+    lines = ref.toxml()
+    slines = lines.split("\n")
+    next = 0
+    nup = 0
+    nlines = len(slines)
+    counter = 0
+    event = []
+    event_description=""
+    event_poundSign=""
+
+    while counter<nlines:
+        s=slines[counter]
+        if s.find("<event>")>-1:
+            next=1
+        elif s.find("</event>")>-1:
+            pass
+        elif s.find("#")>-1:
+            event_poundSign=s
+        elif next==1:
+            event_description=s
+            next=0
+        elif not s:
+            continue
+        else:
+            t=[]
+            for l in s.split(): t.append(parseStringToVars(l))
+            nup = nup+1
+            event.append(Particle(nup,t))
+        counter=counter+1
+
+
+#default is to skip this
+    if motherFlag:
+
+        noMotherList=[]
+        for p in event:
+            if p.status == -1: continue
+            idabs = abs(p.id)
+            idmo = p.mo1
+            pmo = event[idmo-1]
+            if idabs>=11 and idabs<=16:
+                if p.mo1==1 or (pmo.co1 !=0 or pmo.co2 !=0):
+                    noMotherList.append(p.no)
+            elif idabs<=5 and abs(pmo.id)==6:
+                if not ( p.co1==pmo.co1 and p.co2==pmo.co2):
+                    noMotherList.append(p.no)                
+
+        nAdded=0
+        if len(noMotherList)==0:
+            pass
+        elif len(noMotherList)%2 != 0:
+            print "single orphan; do not know how to process"
+        else:
+            ki=0
+            while ki<len(noMotherList)-1:
+                l1=event[noMotherList[ki]-1]
+                ki=ki+1
+                l2=event[noMotherList[ki]-1]
+                lq=l1.id + l2.id
+                if lq==-1 or lq==1:
+                    idMom=24*lq
+                elif lq==0:
+                    idMom=23
+                else:
+                    break
+                lMom=l1.mom+l2.mom            
+                lm=[idMom,2,l1.mo1,l1.mo2,0,0,lMom.px,lMom.py,lMom.pz,lMom.E,lMom.calcMass(),0,0]
+                nup=nup+1
+                nAdded=nAdded+1
+                event.append(Particle(nup,lm))
+                l1.mo1=l1.mo2=l2.mo1=l2.mo2=nup
+                ki=ki+1
+
+# update number of partons if mothers added
+            if nAdded>0:
+                s1=event_description.split()[0]
+                mySub = re.compile(s1)
+                event_description = mySub.sub(str(nup),event_description)
+
+
+    if nAdded>0:
+        totalLength = len(event)+1
+        newPosition = []
+        iPos=0
+        while iPos<totalLength:           
+            for p in event:
+                if p.mo1==iPos:
+                    newPosition.append(p.no)
+            iPos=iPos+1
+
+        iUp=1
+        event0=[]
+        for ip in newPosition:
+            event0.append(event[ip-1])
+
+        iUp=0
+        for p in event0:
+            iUp=iUp+1
+            if p.no != iUp:
+                ip=iUp                
+                while ip<totalLength-1:
+                    pp=event0[ip]
+                    if pp.mo1==p.no and pp.mo1>pp.no:
+                        pp.mo1=pp.mo2=iUp
+                    ip=ip+1
+            p.no=iUp
+
+        iUp=0
+        for p in event0:
+            event[iUp]=event0[iUp]
+            iUp=iUp+1
+
+
+
+
+# identify mothers
+    particleDict={}
+    for p in event:
+        idabs = abs(p.id)
+        if idabs>=11 and idabs<=16:
+            if p.mo1==1:
+                pass
+            else:
+                if p.mo1 in particleDict:
+                    l=[particleDict[p.mo1]]
+                    l.append(p.no)
+                else:
+                    l=p.no
+                particleDict[p.mo1]=l
+
+# repair kinematics
+    for k in particleDict:
+        t=particleDict[k]
+        p1=event[t[0]-1]
+        p1.mom.boost(event[k-1].mom,-1)
+        p2=event[t[1]-1]
+        p2.mom.boost(event[k-1].mom,-1)
+        rsh=event[k-1].mom.m
+        if p1.id in massDict: p1.mom.m=massDict[p1.id]
+        if p2.id in massDict: p2.mom.m=massDict[p2.id]
+        p1.mom.E = (rsh*rsh + p1.mom.m**2 - p2.mom.m**2)/(2.0*rsh)
+        pmagOld=math.sqrt(p1.mom.px**2+p1.mom.py**2+p1.mom.pz**2)
+        pmagNew=math.sqrt(p1.mom.E**2-p1.mom.m**2)
+        p1.mom.reScale(pmagOld,pmagNew)
+        p2.mom = Momentum(0,0,0,rsh,rsh) - p1.mom
+        p1.mom.boost(event[k-1].mom,1)
+        p2.mom.boost(event[k-1].mom,1)
+
+    pSum = Momentum(0,0,0,0,0)
+    for p in event:
+        if p.status== 2 :
+            pass
+        elif p.status==-1:
+            pSum = pSum - p.mom
+        elif p.status==1:
+            pSum = pSum + p.mom
+
+    if abs(pSum.px)>toler or abs(pSum.py)>toler or abs(pSum.pz)>toler or abs(pSum.E)>toler:
+        print "Event does not pass tolerance ",toler
+        pSum.printMe()
+
+    if 1:
+        g.write("<event>\n")
+        g.write(event_description+"\n")
+        for p in event:
+            g.write(p.writeMe())
+        g.write(event_poundSign+"\n")
+        g.write("</event>\n")
+#at the end
+g.write("</LesHouchesEvents>\n")
+g.close()
+
+    
+

=== added file 'Template/bin/calculate_crossx'
--- Template/bin/calculate_crossx	1970-01-01 00:00:00 +0000
+++ Template/bin/calculate_crossx	2010-10-30 03:26:37 +0000
@@ -0,0 +1,140 @@
+#!/bin/bash
+#
+#  This runs survey,refine,unweight_events, one after the other
+#  
+#   First we need to get into the main directory
+#
+#
+#  Usage: generate_events compression events parallel [name]
+#
+
+if [[  ! -d ./bin  ]]; then
+    cd ../
+    if [[ ! -d ./bin ]]; then
+        echo "Error: it must be executed from the main, or bin directory"
+        exit
+    fi
+fi
+#
+#  Now let shell know where to find important executables
+#
+main=`pwd`
+dirbin=$main/bin
+pydir=$main/../pythia-pgs/src
+pgsdir=$pydir
+ERAdir=$main/../ExRootAnalysis
+webbin=$dirbin
+td=$dirbin/td
+web=0
+
+echo $$ >> myprocid
+
+#if ( "$1" == "" ) then
+#    echo 'Number of unweighted events. This is ingnored and read from run_card.dat ' 
+#    set a  = $< 
+#else
+#    set a = $1
+#endif
+if [[  "$1" == ""  ]]; then
+    echo 'Enter 1 for parallel 0 for serial run' 
+     read p 
+else
+     p=$1
+fi
+n=MadEvent
+if [[  $p -gt 0 ]]; then
+   if [[  "$2" == ""  ]]; then
+    echo 'Enter name for jobs on pbs queue'
+       read n
+   else
+       n=$2
+   fi
+   if [[  "$3" == ""  ]]; then
+       echo 'Enter run name'
+       read t
+   else
+       t=$3
+   fi
+else
+   if [[  "$2" == ""  ]]; then
+      echo 'Enter run name'
+      read t
+   else
+      t=$2
+   fi
+fi
+#set t = TeV2
+if [[  ${#argv} -gt 3  ]]; then
+    web=1
+    webbin="$MADGRAPH_BASE/MG_ME/WebBin"
+    pydir="$webbin/pythia-pgs"
+    pgsdir=$pydir
+    ERAdir="$MADGRAPH_BASE/MG_ME/ExRootAnalysis"
+    td=$webbin/td
+    touch Online
+fi
+date
+a=`awk '/^[^#].*=.*nevents/{print $1}' Cards/run_card.dat`
+echo Generating $a events
+#
+#  Check if run already exists. If so, store run w/ new name
+#  and remove old run before starting.
+#
+
+if [[  -e status  ]]; then
+  rm status
+fi
+if [[  -e error  ]]; then
+  rm error
+fi
+touch RunWeb
+echo "Cleaning directories" > status
+$dirbin/gen_crossxhtml-pl $t
+$dirbin/clean
+touch survey
+echo "Starting jobs" > status
+$dirbin/gen_crossxhtml-pl $t
+$dirbin/survey $p $n $t
+if [[  -e error  ]]; then
+  cat error
+  date
+  cp -f error status
+  rm refine
+  rm RunWeb
+  $dirbin/gen_crossxhtml-pl $t
+  $dirbin/gen_cardhtml-pl
+  exit
+fi
+#
+#  Now collect the events - just to get the banner in fact
+#
+echo "Combining Events" >& status
+echo "Combining Events" 
+$dirbin/gen_crossxhtml-pl $t
+pushd ./Source > /dev/null
+make ../bin/combine_events
+popd > /dev/null
+pushd SubProcesses > /dev/null
+$dirbin/run_combine $p
+mv events.lhe ../Events/
+mv unweighted_events.lhe ../Events/
+popd > /dev/null
+#
+#  do the banner
+#
+cd ./Events
+echo "putting the banner"
+$dirbin/put_banner events.lhe
+$dirbin/put_banner unweighted_events.lhe
+cd ../
+#
+#  Store Events
+#
+echo "Storing Events" >& status
+$dirbin/gen_crossxhtml-pl $t
+$dirbin/store $t
+rm -f RunWeb
+echo " " >& status
+$dirbin/gen_crossxhtml-pl $t
+$dirbin/gen_cardhtml-pl
+date

=== added file 'Template/bin/clean'
--- Template/bin/clean	1970-01-01 00:00:00 +0000
+++ Template/bin/clean	2010-10-30 03:26:37 +0000
@@ -0,0 +1,80 @@
+#!/bin/bash
+#
+#  Cleans up directories removing leaving only the results
+#     object files
+#     executable files
+#     events.dat   (Except in Events)
+#
+#  Usage: clean
+#
+#  
+#   First we need to get into the main directory
+#
+if [[  ! -d ./bin  ]]; then
+    cd ../
+    if [[ ! -d ./bin ]]; then
+	echo "Error: survey must be executed from the main, or bin directory"
+	exit
+    fi
+fi
+if [[ -d SubProcesses ]]; then
+    cd SubProcesses
+    echo -n "Cleaning  SubProcesses"
+    for i in `cat subproc.mg` ; do
+	cd $i
+	echo -n "."
+	rm -f *.o >& /dev/null
+	rm -f madevent >& /dev/null
+	rm -f *ajob* >& /dev/null
+	rm -f gensym >& /dev/null
+        rm -f G*/ftn* >& /dev/null
+	rm -f G*/events.lhe >& /dev/null
+	cd ..
+    done
+    echo " "
+    cd ../
+else
+    echo "Error could not find SubProcesses"
+    exit
+fi
+if [[ -d Source ]]; then
+    cd Source
+    echo "Cleaning Source:"
+    rm -f *.o >& /dev/null
+    rm -f DHELAS/*.o >& /dev/null
+    rm -f PDF/*.o >& /dev/null
+    rm -f MODEL/*.o >& /dev/null
+    rm -f DECAY/*.o >& /dev/null
+    cd ../
+else
+    echo "Error could not find Source"
+    exit
+fi
+if [[ -d lib ]]; then
+    cd lib
+    echo "Cleaning lib:"
+    rm -f libdhelas3.a libdsample.a libgeneric.a libmodel.a libpdf.a libdhelas3.so libdsample.so libgeneric.so libmodel.so libpdf.so >& /dev/null
+    cd ../
+else
+    echo "Error could not find lib"
+    exit
+fi
+if [[ -d bin ]]; then
+    cd bin
+    echo "Cleaning bin:"
+    for i in gen_ximprove scale_events select_events sum_html ; do
+	rm -f $i >& /dev/null
+    done
+    cd ../
+else
+    echo "Error could not find bin"
+    exit
+fi
+if [[ -e Source/makefile_default ]];then
+    mv Source/makefile_default Source/makefile
+    mv Source/PDF/makefile_default Source/PDF/makefile
+    mv Source/DHELAS/Makefile_default Source/DHELAS/Makefile
+    mv Source/MODEL/makefile_default Source/MODEL/makefile
+    mv SubProcesses/makefile_default SubProcesses/makefile
+    mv SubProcesses/makefile_mo_default SubProcesses/makefile_mo
+fi

=== added file 'Template/bin/clean4grid'
--- Template/bin/clean4grid	1970-01-01 00:00:00 +0000
+++ Template/bin/clean4grid	2010-10-30 03:26:37 +0000
@@ -0,0 +1,95 @@
+#!/bin/bash
+#
+################################################################################
+#                                                                             ##
+#                    MadGraph/MadEvent                                        ##
+#                                                                             ##
+# FILE : clean4grid                                                           ##
+# VERSION : 1.0                                                               ##
+# DATE : 29 Jan 2008                                                          ##
+# AUTHORS : MH & RF - MadGraph team                                           ##
+#                                                                             ##
+# DESCRIPTION : script to clean package for the grid                          ##
+# USAGE : ./clean4grid                                                        ##
+################################################################################
+
+set nonomatch
+
+if [[ ! -d ./bin ]]; then
+    cd ../
+    if [[ ! -d ./bin ]]; then
+        echo "Error: it must be executed from the main, or bin directory"
+        exit
+    fi
+fi
+
+if [[ -d SubProcesses ]]; then
+    cd SubProcesses
+    echo -n "Cleaning  SubProcesses"
+    rm -f *.f  >& /dev/null
+    for i in `cat subproc.mg` ; do
+	cd $i
+	echo -n "."
+	rm -f *.o >& /dev/null
+        rm -f *.f  >& /dev/null
+#	rm -f madevent >& /dev/null
+#	rm -f *ajob* >& /dev/null
+	rm -f gensym >& /dev/null
+        rm -f matrix*.jpg >& /dev/null
+        rm -f matrix.ps >& /dev/null
+	rm -f G*/ftn25 >& /dev/null
+	rm -f G*/ftn26 >& /dev/null
+	rm -f G*/events.lhe >& /dev/null
+	cd ..
+    done
+    echo " "
+    cd ../
+else
+    echo "Error could not find SubProcesses"
+    exit
+fi
+if [[ -d Source ]]; then
+    echo "Removing Source:"
+    cd Source
+    rm -f *.o >& /dev/null
+    rm -f *.f >& /dev/null
+    rm -f *.inc >& /dev/null
+    rm -f DHELAS/*.F >& /dev/null
+    rm -f DHELAS/*.f >& /dev/null
+    rm -f DHELAS/*.o >& /dev/null
+    rm -f DHELAS/*.inc >& /dev/null
+    rm -rf DHELAS/Doc >& /dev/null
+    rm -f MODEL/*.f >& /dev/null
+    rm -f MODEL/*.o >& /dev/null
+    rm -f MODEL/*.dat >& /dev/null
+    rm -f MODEL/*.html >& /dev/null
+    rm -f PDF/*.f >& /dev/null
+    rm -f PDF/*.o >& /dev/null
+    rm -f PDF/*.inc >& /dev/null
+    cd ..
+fi
+if [[ -d HTML ]]; then
+    echo "Removing HTML files:"
+    rm -f HTML/*  >& /dev/null
+fi
+#if [[ -d lib ]]; then
+#    cd lib
+#    echo "Cleaning lib:"
+#    rm -f *.a >& /dev/null
+#    cd ../
+#else
+#    echo "Error could not find lib"
+#    exit
+#fi
+#if [[ -d bin ]]; then
+#    cd bin
+#    echo "Cleaning bin:"
+#    for i in gen_ximprove scale_events select_events sum_html combine_events; do
+#	rm -f $i >& /dev/null
+#    done
+#    cd ../
+#else
+#    echo "Error could not find bin"
+#    exit
+#fi
+

=== added file 'Template/bin/clean_template'
--- Template/bin/clean_template	1970-01-01 00:00:00 +0000
+++ Template/bin/clean_template	2010-10-30 03:26:37 +0000
@@ -0,0 +1,99 @@
+#!/bin/bash
+#
+#  First get to main level directory for this process
+#
+
+if [[  ! -d ./bin  ]]; then
+    cd ../
+    if [[ ! -d ./bin ]]; then
+	echo "Error: store must be executed from the main, or bin directory"
+	exit
+    fi
+fi
+
+#  Now let shell know where to find important executables
+
+main=`pwd`
+if [[ $MADGRAPH_BASE != '' ]]; then
+        dirbin=$MADGRAPH_BASE/MG_ME/WebBin
+        mgmedir=$MADGRAPH_BASE/MG_ME
+else
+        dirbin=$main/bin
+        mgmedir=$main/..
+fi
+
+#	Clear out any old information/directories
+
+rm -f *.html >& /dev/null
+cp -p HTML/info-default.html HTML/info.html
+rm -f bin/plot_events >& /dev/null
+rm -f bin/scale_events >& /dev/null
+rm -f bin/sum_html >& /dev/null
+rm -f bin/select_events >& /dev/null
+if [[ ! -d lib ]]; then
+    echo "Error: lib directory not found"
+    exit
+fi
+cd lib/
+rm -f libdhelas3.a libdsample.a libgeneric.a libmodel.a libpdf.a libdhelas3.so libdsample.so libgeneric.so libmodel.so libpdf.so >&/dev/null
+cd ..
+if [[ ! -d Source ]]; then
+    echo "Error: Source directory not found"
+    exit
+fi
+rm -f Source/*.o  >& /dev/null
+rm -f Source/DHELAS/* >& /dev/null
+rm -f Source/MODEL/* >& /dev/null
+rm -f Source/PDF/*.o >& /dev/null
+rm -f Source/DECAY/*.o >& /dev/null
+rm -f Source/nexternal.inc >& /dev/null
+rm -f Source/leshouche.inc >& /dev/null
+rm -f Source/coupl.inc >& /dev/null
+
+# MG5 info are copied inside the Python script 
+
+#   Now we need to get into the SubProcesses Directory
+
+if [[ ! -d SubProcesses ]]; then
+    echo "Error: SubProcesses directory not found"
+    exit
+fi
+cd SubProcesses
+
+#	Clear out any old information/directories
+
+rm -r `find . -mindepth 1 -maxdepth 1 -type d -name "P*_*_*"` >& /dev/null
+rm -f minput.mg  >& /dev/null
+rm -f dname.mg  >& /dev/null
+rm -f subproc.mg  >& /dev/null
+rm -f *.html >& /dev/null
+rm -f procdef_mg5.dat >& /dev/null 
+rm -f particles.dat >& /dev/null
+rm -f interactions.dat >& /dev/null
+rm -f coupl.inc >& /dev/null
+
+cp -p ../HTML/thinking.gif ../HTML/card.jpg
+ln -sf ../Source/cuts.inc cuts.inc
+ln -sf ../Source/genps.inc genps.inc
+
+if [[ -e ../param_card.dat  ]]; then
+  mv ../param_card.dat ./Cards/param_card.dat
+fi
+if [[ -e ../run_card.dat  ]]; then
+  mv ../run_card.dat ./Cards/run_card.dat
+fi
+if [[ -e ../pythia_card.dat  ]]; then
+  mv ../pythia_card.dat ./Cards/pythia_card.dat
+fi
+if [[ -e ../pgs_card.dat  ]]; then
+  mv ../pgs_card.dat ./Cards/pgs_card.dat
+fi
+if [[ -e ../delphes_card.dat  ]]; then
+  mv ../delphes_card.dat ./Cards/delphes_card.dat
+fi
+if [[ -e ../delphes_trigger.dat  ]]; then
+  mv ../delphes_trigger.dat ./Triggers/delphes_trigger.dat
+fi
+if [[ -e ../grid_card.dat  ]]; then
+  mv ../grid_card.dat ./Cards/grid_card.dat
+fi

=== added file 'Template/bin/compile'
--- Template/bin/compile	1970-01-01 00:00:00 +0000
+++ Template/bin/compile	2010-10-30 03:26:37 +0000
@@ -0,0 +1,188 @@
+#!/bin/bash
+#
+################################################################################
+#                                                                             ##
+#                    MadGraph/MadEvent                                        ##
+#                                                                             ##
+# FILE : compile                                                              ##
+# VERSION : 1.0                                                               ##
+# DATE : 23 Septembre 2007                                                    ##
+# AUTHOR : MH - MadGraph team                                                 ##
+#                                                                             ##
+# DESCRIPTION : script to compile madevent                                    ##
+# USAGE : ./make_package                                                      ##
+################################################################################
+
+# set nonomatch
+
+if [[ ! -d ./bin ]]; then
+    cd ../
+    if [[ ! -d ./bin ]]; then
+        echo "Error: it must be executed from the main, or bin directory"
+        exit
+    fi
+fi
+
+
+#
+# If argument is equal to 'd' use dynamic libraries
+#
+echo $PWD
+if [[  "$1" == ""  ]]; then
+    echo "Using default makefiles"
+elif [[ "$1" == "dynamic" && "$2" == "lhapdf" ]]; then
+    echo "Changing makefiles for the generation of dynamic libraries including LHAPDF support (might not work under MacOsX)"
+    if [[ -e ./Source/makefile_dlhapdf ]]; then
+	mv ./Source/makefile ./Source/makefile_static
+        cp ./Source/makefile_dlhapdf ./Source/makefile
+    else
+        echo "Error: Could not replace Source/makefile"
+        exit
+    fi
+    if [[ -e SubProcesses/makefile_dlhapdf ]]; then
+	mv SubProcesses/makefile SubProcesses/makefile_static
+        cp SubProcesses/makefile_dlhapdf SubProcesses/makefile
+    else
+        echo "Error: Could not replace SubProcesses/makefile"
+        exit
+    fi
+    if [[ -e SubProcesses/makefile_mo_dlhapdf ]]; then
+        mv SubProcesses/makefile SubProcesses/makefile_static
+        cp SubProcesses/makefile_mo_dlhapdf SubProcesses/makefile_mo
+    else
+        echo "Error: Could not replace SubProcesses/makefile_mo"
+        exit
+    fi
+    if [[ -e Source/DHELAS/Makefile_dynamic ]]; then
+	mv Source/DHELAS/Makefile Source/DHELAS/Makefile_static
+        cp Source/DHELAS/Makefile_dynamic Source/DHELAS/Makefile
+	sed -i.bak "s|f77|gfortran|g" Source/DHELAS/Makefile
+    else
+        echo "Error: Could not replace Source/DHELAS/Makefile"
+        exit
+    fi
+    if [[ -e Source/MODEL/makefile_dynamic ]]; then
+	mv Source/MODEL/makefile Source/MODEL/makefile_static
+        cp Source/MODEL/makefile_dynamic Source/MODEL/makefile
+	sed -i.bak "s|f77|gfortran|g" Source/MODEL/makefile
+    else
+        echo "Error: Could not replace Source/MODEL/makefile"
+        exit
+    fi
+    if [[ -e Source/CERNLIB/makefile_dynamic ]]; then
+	mv Source/CERNLIB/makefile Source/CERNLIB/makefile_static
+        cp Source/CERNLIB/makefile_dynamic Source/CERNLIB/makefile
+	sed -i.bak "s|f77|gfortran|g" Source/CERNLIB/makefile
+    else
+        echo "Error: Could not replace Source/CERNLIB/makefile"
+        exit
+    fi
+    if [[ -e Source/PDF/makefile_dlhapdf ]]; then
+	mv Source/PDF/makefile Source/PDF/makefile_static
+        cp Source/PDF/makefile_dlhapdf Source/PDF/makefile
+    else
+        echo "Error: Could not replace Source/PDF/makefile"
+        exit
+    fi
+elif [[ "$1" == "dynamic" ]]; then
+    echo "Changing makefiles for the generation of dynamic libraries (might not work under MacOsX)"
+    if [[ -e ./Source/makefile_dynamic ]]; then
+	mv ./Source/makefile ./Source/makefile_static
+        cp ./Source/makefile_dynamic ./Source/makefile
+    else
+        echo "Error: Could not replace Source/makefile"
+        exit
+    fi
+    if [[ -e SubProcesses/makefile_dynamic ]]; then
+	mv SubProcesses/makefile SubProcesses/makefile_static
+        cp SubProcesses/makefile_dynamic SubProcesses/makefile
+    else
+        echo "Error: Could not replace SubProcesses/makefile"
+        exit
+    fi
+    if [[ -e Source/DHELAS/Makefile_dynamic ]]; then
+	mv Source/DHELAS/Makefile Source/DHELAS/Makefile_static
+        cp Source/DHELAS/Makefile_dynamic Source/DHELAS/Makefile
+    else
+        echo "Error: Could not replace Source/DHELAS/Makefile"
+        exit
+    fi
+    if [[ -e Source/MODEL/makefile_dynamic ]]; then
+	mv Source/MODEL/makefile Source/MODEL/makefile_static
+        cp Source/MODEL/makefile_dynamic Source/MODEL/makefile
+    else
+        echo "Error: Could not replace Source/MODEL/makefile"
+        exit
+    fi
+    if [[ -e Source/CERNLIB/makefile_dynamic ]]; then
+	mv Source/CERNLIB/makefile Source/CERNLIB/makefile_static
+        cp Source/CERNLIB/makefile_dynamic Source/CERNLIB/makefile
+    else
+        echo "Error: Could not replace Source/CERNLIB/makefile"
+        exit
+    fi
+    if [[ -e Source/PDF/makefile_dynamic ]]; then
+	mv Source/PDF/makefile Source/PDF/makefile_static
+        cp Source/PDF/makefile_dynamic Source/PDF/makefile
+    else
+        echo "Error: Could not replace Source/PDF/makefile"
+        exit
+    fi
+else
+    echo Error: invalid argument $1
+    exit
+fi
+
+#
+#  Now let shell know where to find important executables
+#
+
+if [[ -d Source ]]; then
+    cd Source
+    make ../bin/sum_html
+    make ../bin/gen_ximprove
+    make all
+    make ../bin/combine_events
+    cd ..
+else
+    echo 'Error Source directory not found'
+    exit
+fi
+
+if [[ -d SubProcesses ]]; then
+    cd SubProcesses
+    for i in `cat subproc.mg` ; do
+	cd $i
+	echo $i
+	rm -f ajob* >& /dev/null
+	rm -f wait.ajob* >& /dev/null
+	rm -f run.ajob* >& /dev/null
+	rm -f done.ajob* >& /dev/null
+#        if [[ -e ajob1 ]]; then
+#	   chmod +x ajob*
+        make madevent > /dev/null
+#        fi
+	cd ..
+     done
+    cd ..
+else
+    echo "Error could not find SubProcesses"
+    exit
+fi
+
+if [[ -d ../DECAY ]]; then
+    echo "DECAY directory found, compiling..."
+    cd ../DECAY
+    if [[  "$1" == ""  ]]; then
+	sed -i.bak "s|HELAS/lib/libdhelas3.a|madevent/lib/libdhelas3.a|g" makefile
+    elif [[ "$1" == "dynamic" ]]; then
+	sed -i.bak "s|HELAS/lib/libdhelas3.a|madevent/lib/libdhelas3.so|g" makefile
+    else
+	echo Error: invalid argument $1
+	exit
+    fi
+    make
+fi
+
+echo ""
+

=== added file 'Template/bin/cpall'
--- Template/bin/cpall	1970-01-01 00:00:00 +0000
+++ Template/bin/cpall	2010-10-30 03:26:37 +0000
@@ -0,0 +1,4 @@
+#!/bin/bash
+for i in `cat subproc.mg` ; do
+   cp -p $1 $i/$1
+done

=== added file 'Template/bin/extract_banner-pl'
--- Template/bin/extract_banner-pl	1970-01-01 00:00:00 +0000
+++ Template/bin/extract_banner-pl	2010-10-30 03:26:37 +0000
@@ -0,0 +1,30 @@
+#!/usr/bin/perl -w
+
+$numArgs = $#ARGV + 1;
+
+if ($numArgs < 2){
+    print "You must supply at least one event file name and one text file name where to write the banner\n";
+    exit;
+}
+
+$events=$ARGV[0];
+$banner=$ARGV[1];
+
+if (open FILE,"$events"){
+}
+else {
+     print "Event file $events not found\n";
+     exit;
+}
+
+open(OUT,"> $banner");
+
+$found=0;
+
+EXTRACT: while ($i = <FILE>){
+    if($i =~ '</header>'){last EXTRACT;}
+    if($found==1){print OUT "$i";}
+    if($i =~ '<header>'){$found=1;}
+}
+
+close(OUT);

=== added file 'Template/bin/gen_cardhtml-pl'
--- Template/bin/gen_cardhtml-pl	1970-01-01 00:00:00 +0000
+++ Template/bin/gen_cardhtml-pl	2010-10-30 03:26:37 +0000
@@ -0,0 +1,376 @@
+#!/usr/bin/perl -w
+
+$server = $ENV{'SERVER_NAME'};
+  my($interaction, $model, $qcdOrder, $qedOrder);
+#
+#    Make sure we are in the main directory, not bin
+#
+  if (-d "bin") {
+#      print "We are in main directory \n";
+  }
+  else{
+#      print "Not in correct directory \n";
+      chdir("../");
+      if (-d "bin") {
+#	  print "We are in main directory \n";
+      }
+      else{
+	  print "Error gen_indexhtml-pl must be run from main or bin directory \n";
+	  exit;
+      }	  
+  }  
+#
+#  get the name of the directory
+#
+  my $fullname=qx(pwd);
+  print $fullname;
+  my @temp=split /\//,$fullname;
+  my @couplings;
+#  foreach $ciccio (@temp){
+#      if( $ciccio =~ /p*__*/){
+#	  $procname=$ciccio;
+#      }
+#  chomp $procname;
+#  print $procname;
+
+#
+#	Writes out html page index.html with links to results
+#	and code.
+#
+  if (-e "SubProcesses/procdef_mg5.dat"){
+    open (INCARD,"SubProcesses/procdef_mg5.dat") || die "Error reading file proc_card.dat";
+    @incard=<INCARD>;
+    close (INCARD);
+  } else {
+    open (INCARD,"Cards/proc_card.dat") || die "Error reading file proc_card.dat";
+    @incard=<INCARD>;
+    close (INCARD);
+  }
+
+# process
+$listpos = 0;
+until($listpos>$#incard){
+    if($incard[$listpos] =~ /^#(\s+)Begin(\s+)PROCESS/) {$ini=$listpos};
+    if($incard[$listpos] =~ /^#(\s+)End(\s+)PROCESS/)   {$end=$listpos};
+    $listpos = $listpos + 1;
+    }
+$listpos=$ini;
+$numcoup=0;
+while($listpos < $end){
+    if($incard[$listpos] =~ /^#/) {$listpos = $listpos + 1;
+                                   next;};
+    if($incard[$listpos] =~ ">") {$interaction=$incard[$listpos]};
+    if($incard[$listpos] =~ "=") {
+	$numcoup++;
+	$couplings[$numcoup]=$incard[$listpos];
+    }
+    if($incard[$listpos] =~ "end_coup"){$listpos = $end;}
+    $listpos = $listpos + 1;
+}
+($interaction, $junk)=split(/#/ , $interaction);
+($interaction, $junk)=split(/\@/ , $interaction);
+
+for($couppos=1;$couppos<=$numcoup;$couppos++){
+    ($couplings[$couppos], $junk)=split(/#/, $couplings[$couppos]);
+    chomp($couplings[$couppos]);
+}
+
+#model
+$listpos = 0;
+until($listpos>$#incard){
+    if($incard[$listpos] =~ /^#(\s+)Begin(\s+)MODEL/) {$ini=$listpos};
+    if($incard[$listpos] =~ /^#(\s+)End(\s+)MODEL/)   {$end=$listpos};
+    $listpos = $listpos + 1;
+    }
+#
+      ($model, $junk)   =split(/#/ , $incard[$ini+1]);
+
+   chomp($interaction);
+#   chomp($qcdOrder);
+#   chomp($qedOrder);
+   chomp($model);
+   
+
+  $htfile =  "index"."\.html"; #name the file
+  open(PAGE,"> $htfile" )|| die "Error writing $htfile"; 
+  print PAGE "\<HTML\> \n";
+  print PAGE "\<HEAD\> \n";
+  print PAGE "\<TITLE\>MadEvent Card for $interaction \<\/TITLE\> \n";
+  if (! -e "SubProcesses/done"){
+      print PAGE "<META HTTP-EQUIV=\"REFRESH\" CONTENT=\"30\" > \n";
+  }
+  if ( -e "RunWeb"){
+      print PAGE "<META HTTP-EQUIV=\"REFRESH\" CONTENT=\"30\" > \n";
+  }
+
+
+  print PAGE "<META HTTP-EQUIV=\"EXPIRES\" CONTENT=\"20\" >";
+  print PAGE "\<\/HEAD\> \n";
+
+  print PAGE "<script language=\"JavaScript\" type=\"text/JavaScript\"> \n";
+  print PAGE "<!--- \n \n";
+  print PAGE "function MM_openBrWindow(theURL,winName,features) { //v2.0 \n";
+  print PAGE "   window.open(theURL,winName,features); \n";
+  print PAGE "} \n //--> \n </script> \n";
+
+  print PAGE "<body text=\"\#000000\" bgcolor=\"\#FFFFFF\" link=\"#007BF0\" vlink=\"\#309372\"> \n";
+  print PAGE "<center> \n";
+  print PAGE "<h3> <font color=\"#008080\"> <a href=\"index.html\" target=\"_top\">MadEvent Card for $interaction</a> </font></h3> \n ";
+  
+  print PAGE "<b><font size=-1> Created: </b> ";
+  my ($created) = "Unknown";
+  if (open FILE, "CREATED") {
+      $created = <FILE>;
+      chomp $created;
+  }
+  close FILE;
+  print PAGE " $created </font> \n ";
+
+  print PAGE "<table BORDER CELLPADDING=5 WIDTH=\"80%\" BGCOLOR=\"#F0FFFF\"> \n";
+  print PAGE "<tr> \n";
+  print PAGE "<td VALIGN=\"center\" WIDTH=\"50%\" BGCOLOR=\"#F0FFFF\" > \n";
+  print PAGE "<center> \n";
+  print PAGE "<table> \n <b> \n";
+  print PAGE "<tr> <td> <b> Process:       <td><b> $interaction </tr> \n";
+  for($couppos=1;$couppos<=$numcoup;$couppos++){
+     print PAGE "<tr> <td> <td> <b> $couplings[$couppos] </tr> \n";
+  }
+  print PAGE "<tr> <td> <b> Model:         <td> <b> $model </tr> \n";
+  print PAGE "</b> \n </table> \n <center> \n";
+  print PAGE "<td VALIGN=\"TOP\" WIDTH=\"50%\" BGCOLOR=\"#F0FFFF\" > \n";
+  print PAGE "<img SRC=\"HTML/card.jpg\"  ALT=\"\" BORDER=0  align=CENTER> \n";
+  print PAGE "</center> \n";
+  print PAGE "</td> \n </tr> \n <tr> \n";
+  print PAGE "<td COLSPAN=2 ALIGN=CENTER > \n";
+  print PAGE "<table  CELLPADDING=5 WIDTH=\"100%\" BGCOLOR=\"#F0FFFF\"> \n";
+
+  print PAGE "<td align=center> <font color=\"#000000\"><font size=+1> Links  </font></font> \n";
+  print PAGE "<td align=center> <font color=\"#000000\"><font size=+1> Status </font></font> \n";  
+  print PAGE "<tr> \n";
+#
+#   Process information
+#
+  my($options) = "'toolbar=yes, location=yes, directories=no, status=no, menubar=yes, scrollbars=yes,resizeable=yes,width=600,height=525'";
+  print PAGE "<td ALIGN=center><a href=\"HTML/info.html\"> \n ";
+  print PAGE  "Process Information </a> \n";
+  print PAGE "<td ALIGN=center> ";
+  my($failed) = 0;
+  if (!-e "./SubProcesses/done") {
+      $created = " ";
+      if (open FILE, "./SubProcesses/status") {
+	  $created = <FILE>;
+	  chomp $created;
+      }
+      close FILE;
+      print PAGE "Generating Process $created </td> \n";
+  if (-e "./generating") {
+      print  PAGE "<FORM ACTION=\"/cgi-bin/NewProcess/stop_gen.cgi\" METHOD=\"POST\">";
+      print  PAGE "<INPUT TYPE=HIDDEN NAME=dir_name VALUE=\"$fullname\"> \n";
+      print  PAGE "<INPUT TYPE=SUBMIT VALUE=\"Stop Process Generation\">  \n";
+      print  PAGE "</FORM> \n";
+  }
+  }else { 
+         if (-e "SubProcesses/subproc.mg") {
+	     print PAGE "Generation Complete </td> \n";
+	 }else {
+	     print PAGE "No Diagrams Exist! </td> \n";
+             $failed = 1;
+	 }
+   }
+  print PAGE "</tr><tr> \n";
+#
+#    Download code
+#
+  if (!-e "./madevent.tar.gz") {
+      print PAGE "<td ALIGN=center>";
+      print PAGE  "Code Download </a> </td>\n";
+      print PAGE "<td ALIGN=center> Not Available </td> \n";
+  }else { 
+      print PAGE "<td ALIGN=center><a href=madevent.tar.gz>";
+      print PAGE  "Code Download </a> </td>\n";
+      print PAGE "<td ALIGN=center> Available </td> \n";
+  }
+#
+#    On-Line Event Generation
+#
+  print PAGE "</tr><tr> \n";
+
+  if ($failed == 0) {
+  my($options2) = "'toolbar=yes, location=yes, directories=no, status=yes, menubar=yes, scrollbars=yes,resizeable=yes,width=600,height=525'";
+  if (-e "Online") {
+    print PAGE "<td ALIGN=center><a href=\"http://$server/cgi-bin/RunProcess/print_run_web_form-pl\"> \n ";
+    print PAGE  "On-line Event Generation </a> \n";
+    print PAGE "<td ALIGN=center> ";
+
+    if (!-e "./RunWeb") {
+      print PAGE "Available (access restricted)</td> \n";
+    }else { 
+      print PAGE "Running </td> \n";
+    }
+  }
+  else {
+    print PAGE "<td ALIGN=center> \n ";
+    print PAGE  "On-line Event Generation\n";
+    print PAGE "<td ALIGN=center> ";
+    print PAGE "<a href=\"README\">Only available from the web</a></td> \n";
+  }     
+
+#
+#   Results and Event Data base
+# 
+  print PAGE "</tr><tr> \n";
+
+  print PAGE "<td ALIGN=center><a href=\"HTML/crossx.html\"> \n ";
+  print PAGE  "Results and Event Database </a> \n";
+  print PAGE "<td ALIGN=center> ";
+
+  $nfound = 0;
+  if (chdir("./SubProcesses")){ 
+      if (opendir DIR, ".") {
+	  @entries = readdir DIR;
+	  @found = grep /results.html$/, @entries;
+	  $nfound = $#found + 1;
+      }
+      if ($nfound == "0") {
+	  print PAGE "No runs available </td> \n";
+      }else { 
+	  $nfound = $nfound -1;
+	  print PAGE "$nfound "; 
+	  print PAGE " runs available </td> \n";
+      }
+  }
+  }
+  print PAGE "</tr> \n";
+  
+#  my @keywords =  &GetKeyInfo( $interaction, $model) ;
+#   my @keywords = {};
+  print PAGE "</table> \n";
+  print PAGE "<tr> <td align\=center colspan\=2> <font size\=-1> \n";
+#  print PAGE "Keywords: @keywords \n";
+  print PAGE "Notes:  \n";
+#  print "@keywords \n";
+  print PAGE "</font> \n </td> \n </table> \n <p> \n";
+  my($today) = `date`;
+  print PAGE "<b> Last Update: </b> $today";
+  
+  print PAGE "</center> \n </body> \n </html> \n";
+  close PAGE;
+
+sub GetKeyInfo {
+    my($process, $model)= @_;
+    
+#-------------------------------------------
+# start keyword generation
+# result is an array of keywords (@keywords)
+#-------------------------------------------
+
+#get rid of spaces
+    $process =~ s/\s+//g; 
+
+#set everything to lowercase
+    $process =~ s/(.)/\L$1/g;
+
+# divide it into initial, intermediate and final state
+    ($process, my $forbid) = split /\//, $process;
+    my @splitprocess = split />/, $process; 
+    my $k= @splitprocess;
+
+    my $in= $splitprocess[0]; 
+    my $out=$splitprocess[$k-1]; 
+
+    if ($k > 2) {
+	my $inter=$splitprocess[$k-2];
+    };
+
+    my @keywords=();
+
+## start filling the keyowords array
+
+# initial state classification (trivial)
+
+    push @keywords, "$in-collision";
+
+# final state particle content extraction
+
+    $out =~ s/(.)/$1 /gi;
+    $out =~ s/( ~)/~/gi;
+
+    $out =~ s/( \+)/\+/gi;
+    $out =~ s/( \-)/\-/gi;
+
+    $out =~ s/(t a\+)/ta\+/gi;
+    $out =~ s/(t a\-)/ta\-/gi;
+    $out =~ s/(m u\-)/mu\-/gi;
+    $out =~ s/(m u\+)/mu\+/gi;
+
+    $out =~ s/(l e)/le/gi;
+    $out =~ s/(v l e )/vle /gi;
+
+    $out =~ s/(v )/v/gi;
+
+# count the number of final-state particles
+
+    my @entries= split /\s+/, $out;
+    my $nfinal= @entries; 
+
+    print " final state particles: @entries\n";
+    push @keywords, "2->$nfinal";
+
+#loop over particles
+
+    my $njets=0;
+    my $neutrinos=0;
+    my $cleptons=0;
+    my $top=0;
+    my $bottom=0;
+    my $higgs=0;
+    my $wb=0;
+
+    foreach (@entries){
+	if (substr($_,0,1) eq "v") {
+	    $neutrinos=1;
+	};
+	if (substr($_,0,1) eq "e"  ||
+	    substr($_,0,2) eq "mu" ||
+	    substr($_,0,2) eq "ta" || 
+            substr($_,0,1) eq "l" ) {
+	    $cleptons=1;
+	};
+	if (substr($_,1,1) =~ /([udcsgj])/) {
+	    $njets=$njets+1
+	    };
+	if ($_ eq "t" || $_ eq "t~") {
+	    $top=1;
+	};
+	if ($_ eq "b" || $_ eq "b~") {
+	    $bottom=1;
+	};
+	if ($_ eq "w+" || $_ eq "w-" || $_ eq "z") {
+	    $wb=1;
+	};
+	if ($_ eq "h") {
+	    $higgs=1;
+	};
+    };
+
+    if ($njets gt 1){push @keywords, "multi-jet";};
+    if ($top)       {push @keywords, "top";};
+    if ($bottom)    {push @keywords, "bottom";};
+    if ($higgs)     {push @keywords, "higgs";};
+    if ($wb)        {push @keywords, "weak-boson";};
+    if ($neutrinos) {push @keywords, "missing-energy";};
+    if ($cleptons)  {push @keywords, "charged-lepton";};
+
+# model
+
+	push @keywords, $model;
+
+
+
+#-------------------------
+# end keyword generation
+#-------------------------
+
+# final result
+    @keywords;
+}

=== added file 'Template/bin/gen_crossxhtml-pl'
--- Template/bin/gen_crossxhtml-pl	1970-01-01 00:00:00 +0000
+++ Template/bin/gen_crossxhtml-pl	2010-10-30 03:26:37 +0000
@@ -0,0 +1,390 @@
+#!/usr/bin/perl -w
+
+$server = $ENV{'SERVER_NAME'};
+
+
+
+&writeHtmlProcessPage;
+
+
+sub writeHtmlProcessPage {
+ 
+#
+#    Make sure we are in the main directory, not bin
+#
+  if (-d "bin") {
+#       print "We are in main directory \n";
+#       print qx(pwd); 	
+  }
+  else{
+#      print "Not in correct directory \n";
+      chdir("../");
+      if (-d "bin") {
+#	  print "We are in main directory \n";
+      }
+      else{
+	  print "Error gen_crossxhtml-pl must be run from main or bin directory \n";
+	  exit;
+      }	  
+  }  
+  $directory=qx(pwd);
+
+#
+# name of the output file
+#
+  $htfile =  "HTML/crossx" . "\.html"; 
+  open(PAGE,"> $htfile");
+#
+# The name of the current run
+#
+  if($#ARGV < 0) {
+      $RunName="Web";
+  } else {
+      $RunName="$ARGV[0]";
+  }
+
+#
+# Write out the current running situation
+#
+
+#--------
+# Getting info
+#--------
+  if (-e "SubProcesses/procdef_mg5.dat"){
+    open (INCARD,"SubProcesses/procdef_mg5.dat") || die "Error reading file proc_card.dat";
+    @incard=<INCARD>;
+    close (INCARD);
+  } else {
+    open (INCARD,"Cards/proc_card.dat") || die "Error reading file proc_card.dat";
+    @incard=<INCARD>;
+    close (INCARD);
+  }
+
+  # process
+  $listpos = 0;
+  until($listpos>$#incard){
+    if($incard[$listpos] =~ /^#(\s+)Begin(\s+)PROCESS/) {$ini=$listpos};
+    if($incard[$listpos] =~ /^#(\s+)End(\s+)PROCESS/)   {$end=$listpos};
+    $listpos = $listpos + 1;
+  }
+#
+  $listpos=$ini;
+  while($listpos < $end){
+    if($incard[$listpos] =~ /^#/) {$listpos = $listpos + 1;
+                                   next;};
+    if($incard[$listpos] =~ ">") {$interaction=$incard[$listpos]};
+    if($incard[$listpos] =~ "end_coup"){$listpos = $end;}
+    $listpos = $listpos + 1;
+  }
+  ($interaction, $junk)=split(/#/ , $interaction);
+#($interaction, $junk)=split(/\@/ , $interaction);
+
+#model
+  $listpos = 0;
+  until($listpos>$#incard){
+    if($incard[$listpos] =~ /^#(\s+)Begin(\s+)MODEL/) {$ini=$listpos};
+    if($incard[$listpos] =~ /^#(\s+)End(\s+)MODEL/)   {$end=$listpos};
+    $listpos = $listpos + 1;
+  }
+#
+      ($model, $junk)   =split(/#/ , $incard[$ini+1]);
+
+  chomp($interaction);
+  chomp($model);
+   
+#--------
+# end getting info
+#--------
+  print PAGE  "<HTML> <HEAD> \n";
+
+  if (-e "RunWeb") {
+      print PAGE "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"30\" > ";
+  }
+  print PAGE "<META HTTP-EQUIV=\"EXPIRES\" CONTENT=\"20\" > ";
+  print PAGE "\n <TITLE>Online Event Generation</TITLE></HEAD> \n <BODY>";
+  print PAGE "<H2 align=center> Results for $interaction in the $model</H2> <HR>";
+
+  if (-e "RunWeb" || -e "error") {
+
+     print PAGE "<H2 ALIGN=CENTER><P> Currently Running </H2>";
+     print PAGE "<TABLE BORDER=2 ALIGN=CENTER>";
+     print PAGE "\<TR ALIGN=CENTER>";
+     print PAGE "\<TH nowrap ROWSPAN=2 font color=\"\#0000FF\"> Run Name \n";
+     print PAGE "\<TH nowrap ROWSPAN=2 font color=\"\#0000FF\"> Cards\n";
+     print PAGE "\<TH nowrap ROWSPAN=2 font color=\"\#0000FF\"> Status   \n";
+     print PAGE "\<TH nowrap ROWSPAN=2 font color=\"\#0000FF\"> Results  \n";
+     print PAGE "\<TH nowrap ROWSPAN=1 COLSPAN=4 font color=\"\#0000FF\"> Jobs on the cluster\n";
+     print PAGE "\<TR> \<TH>   Queued \<TH>  Running \<TH> Done \<TH> Total";
+
+     chdir("./SubProcesses");
+#     if (!-e "$RunName"."_results.html") {  
+#     if (-e "../RunWeb" || -e "../error") {
+     if (-e "../$RunName.log") {print PAGE "\<TR ALIGN=CENTER> \<TD nowrap> <a href=\"../$RunName.log\">$RunName</a> \</TD>";}
+     else {print PAGE "\<TR ALIGN=CENTER> \<TD nowrap> $RunName \</TD>";}
+     print PAGE "<TD nowrap> <a href=\"../Cards/param_card.dat\">param_card</a><BR><a href=\"../Cards/run_card.dat\">run_card</a><BR><a href=\"../Cards/plot_card.dat\">plot_card</a>";
+     if (-e "../Cards/pythia_card.dat") {
+	 print PAGE "<BR><a href=\"../Cards/pythia_card.dat\">pythia_card</a>";
+	 if (-e "../Cards/pgs_card.dat") {print PAGE "<BR><a href=\"../Cards/pgs_card.dat\">pgs_card</a>";}
+	 elsif (-e "../Cards/delphes_card.dat") {print PAGE "<BR><a href=\"../Cards/delphes_card.dat\">delphes_card</a>";}
+     }
+     print PAGE " \</TD><TD nowrap> "; 
+     if (-e "../survey") {
+	 print PAGE "Running Survey\</TD> \<TD nowrap> No results yet \</TD> ";
+     }
+     else {
+	 if (-e "../refine"){
+	     print PAGE "Running 1<sup>st</sup> Refine\</TD> \<TD nowrap>";
+	 }
+	 elsif(-e "../refine2") {
+	     print PAGE "Running 2<sup>nd</sup>  Refine\</TD> \<TD nowrap>";
+	 }
+	 elsif (-e "../error"){
+	     print PAGE "Error generating events\</TD> \<TD nowrap>";
+	 }
+	 else {
+	     print PAGE "Running\</TD> \<TD nowrap>";
+	 }
+	 if (open SIGFILE, "results.html") {
+	     $line = <SIGFILE>;
+	     $line = <SIGFILE>;
+	     $line = <SIGFILE>;
+	     $line = <SIGFILE>;
+	     
+	     print PAGE " \<A HREF\=\"../SubProcesses/results.html\"\>  ";
+	     $line = <SIGFILE>;
+	     chomp $line;
+	     print PAGE "$line";
+	     print PAGE "</A> \</TD> \n";
+	 }
+	 else
+	 {print PAGE "</A> \</TD> \n";}
+	 
+	 close(SIGFILE);
+	      
+     }
+     my($Status,@jobs);
+     if( -e "../status"){$Status = qx(cat ../status)}
+     else{$Status="Unknown"};
+     
+     @jobs = split / /, $Status;
+     if ( $jobs[0] =~ /^\d+$/){
+	      print PAGE "  \<TD> $jobs[0] \<TD>  $jobs[1] \<TD> $jobs[2] \<TD> $jobs[3] \</TR>";}
+     else
+     {print PAGE " \<TD COLSPAN=4 ALIGN=CENTER> $Status \</TR>"  };
+#      }
+#}
+#  }
+  	
+     print PAGE "</TABLE>\n";
+     print PAGE "\<BR\> \n";
+     chdir("../");
+     if (-e "Online" && -e "RunWeb") {
+	 print PAGE "<H1 align=center> \n";
+	 print PAGE "<FORM ACTION=\"http://$server/cgi-bin/RunProcess/handle_jobs-pl\" METHOD=\"POST\">";
+	 print PAGE "<INPUT TYPE=HIDDEN NAME=dir_name VALUE=\"$directory\"> \n";
+	 print PAGE "<INPUT TYPE=HIDDEN NAME=whattodo VALUE=\"kill\"> \n";
+	 print PAGE "<INPUT TYPE=SUBMIT VALUE=\"Stop Job\">  \n";
+	 print PAGE "</FORM> \n";
+     }
+  }
+#
+# start writing the old runs information
+#    
+  @runs=();
+  chdir("Events/");
+  foreach $f (<*_banner.txt>) { 
+      if ($f =~ /(.+)_banner.txt/) {push(@runs,$1)}
+  }  
+  chdir("../");
+#  print "run labels : @runs \n";
+
+  print PAGE "<BR>\n";
+  print PAGE "\<HTML\> \n";
+  print PAGE "\<HEAD\> \n";
+  print PAGE "\<\/HEAD\> \n";
+  print PAGE "\<BODY\> \n";
+  print PAGE "<P> <H2 align=\"center\"> Available Results <\/H2>";	
+  
+  if(-e "gridpack.tar.gz"){
+         print PAGE "<center>Current Grid package for this run: <a href=\"../gridpack.tar.gz\">gridpack.tar.gz</a></center>";
+  }
+      
+  print PAGE "<TABLE BORDER=2 align=\"center\" >  \n";	
+  print PAGE "<TR align=\"center\">";	
+  print PAGE "<TH>Links</TH> <TH>Events</TH> <TH NOWRAP> Tag </TH><TH NOWRAP> Run </TH> \n";
+  print PAGE "<TH>Collider</TH> <TH> Cross section (pb) </TH> <TH> Events  </TH> </TR> \n";
+  $collider="";
+  $nevents=0;
+  $cross=0;
+  
+  foreach $i (@runs) {
+      $res="SubProcesses/".$i."_results.html";
+      $eve="Events/".$i."_unweighted_events.lhe.gz";
+      $roo="Events/".$i."_unweighted_events.root";
+      $plo="Events/".$i."_plots.html";
+      $ban="Events/".$i."_banner.txt";
+      $pythia="Events/".$i."_pythia_events.hep.gz";
+      $pythiaroot="Events/".$i."_pythia_events.root";
+      $pythialog="Events/".$i."_pythia.log";
+      $pythialhe="Events/".$i."_pythia_events.lhe.gz";
+      $pythialheroot="Events/".$i."_pythia_lhe_events.root";
+      $pythiaplots="Events/".$i."_pyplots.html";
+      $pgs="Events/".$i."_pgs_events.lhco.gz";
+      $pgslog="Events/".$i."_pgs.log";
+      $pgsroot="Events/".$i."_pgs_events.root";
+      $delphes="Events/".$i."_delphes_events.lhco.gz";
+      $delpheslog="Events/".$i."_delphes.log";
+      $delphesroot="Events/".$i."_delphes_events.root";
+     
+      
+      print PAGE "<TR align=\"center\"> ";
+      print PAGE "<TD>";
+      if(-e "Events/".$i."_1_unweighted_events.lhe.gz"){
+         print PAGE "Multi Run $i TOTAL: <br>";
+      } elsif (-e "$res"){
+         print PAGE "     <a href=\"../$res\">results</a>";
+      }
+      if(-e "$plo") {print PAGE "     <a href=\"../$plo\">plots</a> ";}
+      print PAGE "     <a href=\"../$ban\">banner</a> ";
+      print PAGE "<BR> </TD>\n<TD><TABLE BORDER=2 width=\"100%\" align=\"center\" >";
+      if(-e "$eve") {print PAGE "    <TR align=\"center\"> <td> Parton-level </td><td><a href=\"../$eve\">LHE</a> ";}
+      elsif ( -e "Online" ){
+         print PAGE "<FORM ACTION=\"http://$server/cgi-bin/RunProcess/handle_runs-pl\"  ENCTYPE=\"multipart/form-data\" METHOD=\"POST\">";
+         print PAGE "<INPUT TYPE=HIDDEN NAME=directory VALUE=\"$directory\"> \n";
+         print PAGE "<INPUT TYPE=HIDDEN NAME=whattodo VALUE=\"banner_run\"> \n";
+         print PAGE "<INPUT TYPE=HIDDEN NAME=run VALUE=\"$i\"> \n";
+         print PAGE "<INPUT TYPE=SUBMIT VALUE=\"Regenerate events\"> \n";
+         print PAGE "</FORM> \n";
+      }
+      if(-e "$roo") {print PAGE "     <a href=\"../$roo\">rootfile</a> </td> </tr>";} else {print PAGE "</td> </tr>";}
+      if(-e "$pythia") {print PAGE "  <TR align=\"center\">  <td>Hadron-level<br>(<a href=\"../$pythialog\">Pythia</a>)</td> <td><a href=\"../$pythia\">STDHEP</a> ";
+      } elsif(-e "$eve" && -e "Online" ) {
+         print PAGE "  <TR align=\"center\">  <td>Hadron-level<br>(Pythia)</td> <td> ";
+         print PAGE "<FORM ACTION=\"http://$server/cgi-bin/RunProcess/handle_runs-pl\"  ENCTYPE=\"multipart/form-data\" METHOD=\"POST\">";
+         print PAGE "<INPUT TYPE=HIDDEN NAME=directory VALUE=\"$directory\"> \n";
+         print PAGE "<INPUT TYPE=HIDDEN NAME=whattodo VALUE=\"pythia\"> \n";
+         print PAGE "<INPUT TYPE=HIDDEN NAME=run VALUE=\"$i\"> \n";
+         print PAGE "<INPUT TYPE=SUBMIT VALUE=\"Run Pythia\"> \n";
+         print PAGE "</FORM> \n";
+      }
+      if(-e "$pythiaroot") {print PAGE "     <a href=\"../$pythiaroot\">rootfile</a>";}
+      if(-e "$pythialhe") {print PAGE "     <a href=\"../$pythialhe\">LHE</a>";}
+      if(-e "$pythialheroot") {print PAGE "     <a href=\"../$pythialheroot\">rootfile (LHE)</a>";}
+      if(-e "$pythiaplots") {print PAGE "     <a href=\"../$pythiaplots\">plots</a> </td></tr>";} else {print PAGE "</td> </tr>";}
+      if(-e "$pgs") {print PAGE "  <TR align=\"center\">  <td>Reco. Objects.<br> (<a href=\"../$pgslog\">PGS</a>)</td><td><a href=\"../$pgs\">LHCO</a>";}
+      elsif(-e "$delphes") {print PAGE "  <TR align=\"center\">  <td>Reco. Objects.<br> (<a href=\"../$delpheslog\">Delphes</a>)</td><td><a href=\"../$delphes\">LHCO</a>";}
+      else {
+          if (-e "Online" && -e "$pythia") {
+              print PAGE "  <TR align=\"center\">  <td>Reco. Objects.<br>(PGS/Delphes)</td> <td> ";
+              print PAGE "<FORM ACTION=\"http://$server/cgi-bin/RunProcess/handle_runs-pl\"  ENCTYPE=\"multipart/form-data\" METHOD=\"POST\">";
+              print PAGE "<INPUT TYPE=HIDDEN NAME=directory VALUE=\"$directory\"> \n";
+              print PAGE "<INPUT TYPE=HIDDEN NAME=whattodo VALUE=\"pgs\"> \n";
+              print PAGE "<INPUT TYPE=HIDDEN NAME=run VALUE=\"$i\"> \n";
+              print PAGE "<INPUT TYPE=SUBMIT VALUE=\"Run Det. Sim.\"> \n";
+              print PAGE "</FORM> \n";
+          }
+      }
+      if(-e "$pgsroot") {
+	  print PAGE "     <a href=\"../$pgsroot\">rootfile</a> </td></tr>";
+      }elsif(-e "$delphesroot") {
+	  print PAGE "     <a href=\"../$delphesroot\">rootfile</a> </td></tr>";
+      } else {print PAGE "</td> </tr>";}
+      print PAGE "</table></TD>";
+#extract the information from the banner:
+      open(INPUT , "$ban") or die "Could not read from file $ban \n";
+      @input=<INPUT>; 
+#
+# start loop over stored results
+#
+      foreach $j (@input) {
+#find the tag
+	  if($j =~ /^(.+)\=.*run_tag.*\!/){$tag=$1;$tag =~ s/'||"//g;}
+#find the collider
+	  if($j =~ /^(.+)\=.*lpp1.*\!/){$lpp1=$1}
+	  if($j =~ /^(.+)\=.*lpp2.*\!/){$lpp2=$1}
+	  if($j =~ /^(.+)\=.*ebeam1.*\!/){$ebeam1=$1}
+	  if($j =~ /^(.+)\=.*ebeam2.*\!/){$ebeam2=$1}
+#find the cross section
+	  if($j =~ /^#.*Integrated weight.*:(.+)/){$cross=$1}
+#find the number of events
+	  if($j =~ /^#.*Number of Events.*:(.+)/){$nevents=$1}
+	  
+      }# end loop over banner
+
+
+      $lpp1 =~ s/\s+//g;
+      $lpp2 =~ s/\s+//g;
+      if($lpp1 eq "0") {$lpp1="e"}
+      if($lpp1 eq "1") {$lpp1="p"}
+      if($lpp1 eq "-1") {$lpp1="pbar"}
+      if($lpp2 eq "0") {$lpp2="e"}
+      if($lpp2 eq "1") {$lpp2="p"}
+      if($lpp2 eq "-1") {$lpp2="pbar"}
+      $collider=$lpp1."     ".$lpp2;
+      $collider= $collider."<BR>".$ebeam1." x ".$ebeam2." GeV";
+      if (-e "$i.log") {print PAGE "<TD> $tag  </TD> <TD> <a href=\"../$i.log\">$i</a> </TD> <TD> $collider </TD> <TD> $cross </TD> <TD> $nevents";}
+      else {print PAGE "<TD> $tag  </TD> <TD> $i </TD> <TD> $collider </TD> <TD> $cross </TD> <TD> $nevents";}
+  if (-e "Online") {
+      print PAGE "</TD><TD><FORM ACTION=\"http://$server/cgi-bin/RunProcess/handle_runs-pl\" ENCTYPE=\"multipart/form-data\" METHOD=\"POST\">";
+      print PAGE "<INPUT TYPE=HIDDEN NAME=directory VALUE=\"$directory\"> \n";
+      print PAGE "<INPUT TYPE=HIDDEN NAME=run VALUE=\"$i\"> \n";
+      if(-e "$eve"){
+         print PAGE "<INPUT TYPE=HIDDEN NAME=whattodo VALUE=\"remove\"> \n";
+         print PAGE "<INPUT TYPE=SUBMIT VALUE=\"Remove run\"> \n";
+      } else {
+         print PAGE "<INPUT TYPE=HIDDEN NAME=whattodo VALUE=\"removebanner\"> \n";
+         print PAGE "<INPUT TYPE=SUBMIT VALUE=\"Remove banner\"> \n";
+      }
+      print PAGE "</FORM> \n";
+      if(-e "$pythia") {
+        print PAGE "<FORM ACTION=\"http://$server/cgi-bin/RunProcess/handle_runs-pl\" ENCTYPE=\"multipart/form-data\" METHOD=\"POST\">";
+        print PAGE "<INPUT TYPE=HIDDEN NAME=directory VALUE=\"$directory\"> \n";
+        print PAGE "<INPUT TYPE=HIDDEN NAME=run VALUE=\"$i\"> \n";
+        print PAGE "<INPUT TYPE=HIDDEN NAME=whattodo VALUE=\"remove_pythia\"> \n";
+        print PAGE "<INPUT TYPE=SUBMIT VALUE=\"Remove Pythia\"> \n";
+        print PAGE "</FORM> \n";
+      }
+      if(-e "$pgs") {
+        print PAGE "<FORM ACTION=\"http://$server/cgi-bin/RunProcess/handle_runs-pl\" ENCTYPE=\"multipart/form-data\" METHOD=\"POST\">";
+        print PAGE "<INPUT TYPE=HIDDEN NAME=directory VALUE=\"$directory\"> \n";
+        print PAGE "<INPUT TYPE=HIDDEN NAME=run VALUE=\"$i\"> \n";
+        print PAGE "<INPUT TYPE=HIDDEN NAME=whattodo VALUE=\"remove_pgs\"> \n";
+        print PAGE "<INPUT TYPE=SUBMIT VALUE=\"Remove PGS\"> \n";
+        print PAGE "</FORM> \n";
+      }elsif(-e "$delphes") {
+        print PAGE "<FORM ACTION=\"http://$server/cgi-bin/RunProcess/handle_runs-pl\" ENCTYPE=\"multipart/form-data\" METHOD=\"POST\">";
+        print PAGE "<INPUT TYPE=HIDDEN NAME=directory VALUE=\"$directory\"> \n";
+        print PAGE "<INPUT TYPE=HIDDEN NAME=run VALUE=\"$i\"> \n";
+        print PAGE "<INPUT TYPE=HIDDEN NAME=whattodo VALUE=\"remove_delphes\"> \n";
+        print PAGE "<INPUT TYPE=SUBMIT VALUE=\"Remove Delphes\"> \n";
+        print PAGE "</FORM> \n";
+      }
+      
+      
+  }
+      print PAGE "</TD></TR>\n";
+} # end loop over stored results
+  print PAGE "</table>";	
+
+#  if (-e "Online") {
+#  print PAGE "<H1 align=center> \n";
+#  print PAGE "<FORM ACTION=\"http://$server/cgi-bin/RunProcess/handle_runs-pl\" METHOD=\"POST\">";
+#  print PAGE "<INPUT TYPE=HIDDEN NAME=directory VALUE=\"$directory\"> \n";
+#  print PAGE "<INPUT TYPE=HIDDEN NAME=whattodo VALUE=\"rmgrid\"> \n";
+#  print PAGE "<INPUT TYPE=SUBMIT VALUE=\"Reset VEGAS grid\">  \n";
+#  print PAGE "</FORM> \n";
+#  }
+
+  print PAGE "\<P><H3 align=center>\<A HREF\=\"../index.html\"\> Main Page \<\/A\>";
+
+  print PAGE "\<\/BODY\> \n";
+  print PAGE "\<\/HTML\> \n";
+  close(PAGE);
+  
+} #end sub writeHtmlProcessPage
+
+
+
+
+
+

=== added file 'Template/bin/gen_infohtml-pl'
--- Template/bin/gen_infohtml-pl	1970-01-01 00:00:00 +0000
+++ Template/bin/gen_infohtml-pl	2010-10-30 03:26:37 +0000
@@ -0,0 +1,122 @@
+#!/usr/bin/perl -w
+&writeHtmlProcessPage;
+
+
+sub writeHtmlProcessPage {
+  my($interaction, $qcdOrder, $qedOrder);
+  #
+  #    Make sure we are in the main directory, not bin
+  #
+  if (-d "bin") {
+    #      print "We are in main directory \n";
+  } else {
+    #      print "Not in correct directory \n";
+    chdir("../");
+    if (-d "bin") {
+      #	  print "We are in main directory \n";
+    } else {
+      print "Error gen_infohtml-pl must be run from main or bin directory \n";
+      exit;
+    }	  
+  }  
+  #
+  #	Writes out html page index.html with links to results
+  #	and code.
+  #
+  my $totdiag=0;
+  $htfile =  "HTML/info" . "\.html"; #name the file
+  open(PAGE,"> $htfile");
+  print PAGE "\<HTML\> \n";
+  print PAGE "\<HEAD\> \n";
+  print PAGE "\<TITLE\>  \<\/TITLE\> \n";
+  if (! -e "SubProcesses/done") {
+    print PAGE "<META HTTP-EQUIV=\"REFRESH\" CONTENT=\"30\" > \n";
+  }
+  print PAGE "<META HTTP-EQUIV=\"EXPIRES\" CONTENT=\"20\" >";
+  print PAGE "\<\/HEAD\> \n";
+  print PAGE "\<BODY\> \n";
+  if (-e "SubProcesses/subproc.mg") {
+    chdir("./SubProcesses");
+
+      print PAGE "<P> <H2 ALIGN=CENTER> SubProcesses and Feynman diagrams <\/H2>";
+    print PAGE "<TABLE BORDER=2 ALIGN=CENTER> \n";	
+    print PAGE "<TR>";	
+    print PAGE "<TH>Directory</TH> <TH NOWRAP># Diagrams </TH><TH NOWRAP># Subprocesses </TH> \n";
+    print PAGE "<TH COLSPAN=2>FEYNMAN DIAGRAMS</TH> <TH COLSPAN=4> SUBPROCESS </TH></TR> \n";
+    print PAGE "</TR>";	
+    my($line);
+    my($proc);
+    my($after);
+    my($before);
+    $line= "Failed";
+    if (open FILE, "subproc.mg") {
+      while ($line = <FILE>) {
+	chomp $line;
+	print PAGE "<TR> <TD> $line </TD> \n";
+	if (open FILE2, "$line/matrix.f") {
+	  @lines = <FILE2>;
+	  @tlines = grep /NGRAPHS=/, @lines;
+	  foreach $one (@tlines) {
+	    ($before,$after) = split /=/,$one;
+	    ($before,$one) = split /,/,$after;
+	    print PAGE "<TD> $before </TD> \n";
+	    $totdiag+=$before;
+	    close(FILE2);
+	  }
+		      
+	  if (open FILE2, "$line/auto_dsig.f") {
+	    @lines = <FILE2>;
+	    $nlines = grep /IPROC=IPROC/, @lines;
+	    print PAGE "<TD> $nlines </TD> \n";
+	  }
+		      
+		      
+	  print PAGE "<TD> \<A HREF=\"../SubProcesses/$line/diagrams.html\" \> html \<\/A\> </TD> \n";
+	  print PAGE "<TD> \<A HREF=\"../SubProcesses/$line/matrix.ps\" \> postscript \<\/A\> </TD> \n";
+		      
+	  if (open FILE2, "$line/auto_dsig.f") {
+	    @lines = <FILE2>;
+	    @tlines = grep /IPROC=IPROC/, @lines; 	       
+	    foreach $one (@tlines) {
+	      ($before,$after) = split /!/,$one;
+	      #		   print "$after \n ";
+	      print PAGE "<TD NOWRAP> $after </TD> \n ";
+	    }
+	    print PAGE "</TR>";
+	    close(FILE2);
+	  }
+	}
+      }
+      print PAGE "</TABLE>";
+      close FILE;
+      #       close(IDENT);	 
+    }
+    print PAGE "\<BR\> \n";
+    chdir("../"); 
+  } else {
+    print PAGE "<H2> No diagrams were generated <\/H2> <BR> \n";
+    print PAGE "Check process text and number of couplings. Also look at the log file";
+    print PAGE "<BR> \n";
+  }
+  
+  print PAGE "<CENTER> $totdiag diagrams have been generated.</CENTER>";
+  open(NUMDIAG,"> ./numdiag");
+  print NUMDIAG $totdiag;
+  close(NUMDIAG);
+
+  print PAGE "<TABLE ALIGN=CENTER>";
+  
+  print PAGE "<TR> <TD ALIGN=CENTER> <A HREF\=\"../proc_log.txt\"\>proc_log.txt<\/A\> <TD> Log file from MadGraph code generation. ";  
+  if (-e "SubProcesses/procdef_mg5.dat") {
+    print PAGE "<TR> <TD ALIGN=CENTER> <A HREF\=\"../Cards/proc_card_mg5.dat\"\>proc_card_mg5.dat\<\/A\> <TD> Input file used for code generation.";
+  } else {
+    print PAGE "<TR> <TD ALIGN=CENTER> <A HREF\=\"../Cards/proc_card.dat\"\>proc_card.dat\<\/A\> <TD> Input file used for code generation.";
+  }
+  print PAGE "<TR> <TD ALIGN=CENTER> <A HREF\=\"../Source/MODEL/particles.dat\"\>particles.dat\<\/A\> <TD> Particles file used for code generation.";
+  print PAGE "<TR> <TD ALIGN=CENTER> <A HREF\=\"../Source/MODEL/interactions.dat\"\>interactions.dat\<\/A\> <TD> Interactions file used for code generation.";
+  print PAGE "</TABLE>";
+  print PAGE "\<P><H3 align=center>\<A HREF\=\"../index.html\"\> Main Page \<\/A\>";
+  print PAGE "\<\/BODY\> \n";
+  print PAGE "\<\/HTML\> \n";
+  close(PAGE);
+}				#end sub writeHtmlProcessPage

=== added file 'Template/bin/gen_jpeg-pl'
--- Template/bin/gen_jpeg-pl	1970-01-01 00:00:00 +0000
+++ Template/bin/gen_jpeg-pl	2010-10-30 03:26:37 +0000
@@ -0,0 +1,74 @@
+#!/usr/bin/perl -w
+
+
+#---------------------------------------------------------------------
+# Run GS to create jpeg files defined as $gs
+#---------------------------------------------------------------------
+  system("/bin/bash -c \"rm -f matrix*.jpg\" ");
+  system "/bin/bash -c \"nice gs  \-sDEVICE\=jpeg \-sOutputFile\=matrix\%00d.jpg \-q \-dNOPAUSE \-dBATCH matrix.ps\" ";
+
+#--------------------------------------------------------------------------------
+# not sure how many jpegs produced so we need to loop
+# file still in cgi directory at this point
+#--------------------------------------------------------------------------------
+      $max_jpg = 13;
+      $i=1;      
+      while(-e "matrix$i.jpg" && $i < $max_jpg){
+           $i++;
+      }#end of while
+      
+      #reduce it by one  
+      $pages=$i-1;
+
+   open(PAGE,"> diagrams.html") || die "Error creating diagrams.html";
+   print PAGE "\<HTML\> \n";
+   print PAGE "\<HEAD\> \n";
+   print PAGE "\<TITLE\>Feynman Diagrams \<\/TITLE\> \n";
+   print PAGE "\<\/HEAD\> \n";
+   print PAGE "\<BODY\> \n";
+#   print PAGE "\<H1 id=\"TOP\" \>MadGraph ll\<\/H1\> \n";
+
+#   print PAGE "<P>\<A HREF\=\"results.html\"\> Results \<\/A\> \<BR\> \n";
+   print PAGE "<P>\<A HREF\=\"matrix.ps\"\> Postscript Diagrams \<\/A\> \<BR\> \n";
+#   print PAGE "\<H2\>Diagrams: \<\/H2/> \n";
+   for($j=1;$j<$pages+1;$j++){
+#       print PAGE "\<P>\<A NAME=\"matrix$j\" \> \<B\>Page $j of $pages \<\/B\> \<BR\> \n";
+#       print PAGE "\<A HREF=\"\#TOP\" onMouseOver=\"window\.status=\'Back to top of page\'\; return true\" onMouseOut=\"window.status=\'  \'\; return true\"  \>back to top of page<\/A\> \<BR\> \n";
+       print PAGE "\<IMG SRC=\"matrix$j.jpg\" ALT=\"Page $j of $pages \" \> \<BR\> \n";
+   }#end of for
+#
+#   In case I didn't include all of the diagrams as jpeg, warn user
+#
+   if (-e "matrix$max_jpg.jpg" ) {
+       print PAGE "<P> <H3> To save bandwidth not all diagrams were converted to jpeg.";
+       print PAGE "<P> To view all diagrams click on ";
+       print PAGE "\<A HREF\=\"matrix.ps\"\> postscript. \<\/A\> \<BR\> \n";
+       print PAGE "\<\/H3\> \n";
+#
+#    Delete files which aren't included in diagrams.html
+#
+      $i = $max_jpg;	   
+      while(-e "matrix$i.jpg"){
+#	  print "Deleting matrix$i.jpg";
+	  system ("/bin/bash -c \"rm -f matrix$i.jpg\" ");
+           $i++;
+      }#end of while
+
+    }
+   print PAGE
+   print PAGE "\<\/BODY\> \n";
+   print PAGE "\<\/HTML\> \n";
+   close(PAGE);
+#
+#  Now create jpeg file for card
+#
+    system ("/bin/bash -c \"head -339 matrix.ps >& junk.ps\" ");
+    open(PAGE,">> junk.ps") || die "Error opening junk.ps";  
+  
+    print PAGE "-20 -390 translate \n";
+    print PAGE "0.7 0.7 scale \n";
+    close(PAGE);
+
+    system ("/bin/bash -c \"cat matrix.ps | sed 1,339d >> junk.ps\" ");
+
+    system "/bin/bash -c \"nice gs  \-sDEVICE\=jpeg \-sOutputFile\=card.jpg \-q \-dNOPAUSE \-dBATCH \-g180x150 junk.ps; rm -f junk.ps; cp -p card.jpg ../../card.jpg\" ";

=== added file 'Template/bin/generate_events'
--- Template/bin/generate_events	1970-01-01 00:00:00 +0000
+++ Template/bin/generate_events	2010-10-30 03:26:37 +0000
@@ -0,0 +1,361 @@
+#!/bin/bash
+#
+#  This runs survey,refine,unweight_events, one after the other
+#  
+#   First we need to get into the main directory
+#
+#
+#  Usage: generate_events compression events parallel [name]
+#
+#  parallel is 0 for serial, 1 for PBS, 2 for multicore
+#  name is queue name for PBS or number of cores for multicore
+#
+
+if [[  ! -d ./bin  ]]; then
+    cd ../
+    if [[ ! -d ./bin ]]; then
+        echo "Error: it must be executed from the main, or bin directory"
+        exit
+    fi
+fi
+#
+#  Now let shell know where to find important executables
+#
+main=`pwd`
+dirbin=$main/bin
+pydir=$main/../pythia-pgs/src
+pgsdir=$pydir
+delphesdir=$main/../Delphes
+ERAdir=$main/../ExRootAnalysis
+MAdir=$main/../MadAnalysis
+webbin=$dirbin
+td=$main/../td
+web=0
+
+echo $$ >> myprocid
+
+if [[  "$1" == ""  ]]; then
+    echo 'Enter 2 for multi-core, 1 for parallel, 0 for serial run' 
+     read mode 
+else
+     mode=$1
+fi
+n=MadEvent
+if [[  $mode -gt 0 ]]; then
+   if [[  "$2" == ""  ]]; then
+     if [[  $mode -eq 1 ]]; then
+       echo 'Enter name for jobs on pbs queue'
+     elif [[  $mode -eq 2 ]]; then
+       echo 'Enter number of cores'
+     fi
+       read n
+   else
+       n=$2
+   fi
+   if [[  "$3" == ""  ]]; then
+       echo 'Enter run name'
+       read t
+   else
+       t=$3
+   fi
+else
+   if [[  "$2" == ""  ]]; then
+      echo 'Enter run name'
+      read t
+   else
+      t=$2
+   fi
+fi
+#set t = TeV2
+if [[  "$4" -ne ""  ]]; then
+    web=1
+    webbin="$MADGRAPH_BASE/MG_ME/WebBin"
+    pydir="$webbin/pythia-pgs"
+    pgsdir=$pydir
+    delphesdir="$webbin/Delphes"
+    ERAdir="$MADGRAPH_BASE/MG_ME/ExRootAnalysis"
+    MAdir="$MADGRAPH_BASE/MG_ME/MadAnalysis"
+    td="$MADGRAPH_BASE/MG_ME/td"
+    touch Online
+fi
+date
+a=`awk '/^[^#].*=.*nevents/{print $1}' Cards/run_card.dat`
+b=`awk '/^[^#].*=.*gridpack/{print $1}' Cards/run_card.dat`
+c=`awk '/^[^#].*=.*pdlabel/{print $1}' Cards/run_card.dat`
+ickkw=`awk '/^[^#].*=.*ickkw.*!/{print $1}' Cards/run_card.dat`
+echo Generating $a events
+if [[ $b == ".true." ]]; then
+    echo Generating GridPack $b
+fi
+#
+#  Check if run already exists. If so, store run w/ new name
+#  and remove old run before starting.
+#
+
+if [[  -e status  ]]; then
+  rm status
+fi
+if [[  -e error  ]]; then
+  rm error
+fi
+touch RunWeb
+#echo "Cleaning directories" > status
+#$dirbin/gen_crossxhtml-pl $t
+#$dirbin/clean
+if [[ $c == "'lhapdf'" ]]; then
+    echo Using LHAPDF interface!
+    if [[ -e $main/Source/makefile_default ]]; then
+	echo already loaded
+    else
+	cp $main/Source/makefile $main/Source/makefile_default
+	cp $main/Source/PDF/makefile $main/Source/PDF/makefile_default
+	cp $main/Source/DHELAS/Makefile $main/Source/DHELAS/Makefile_default
+	cp $main/Source/MODEL/makefile $main/Source/MODEL/makefile_default
+	cp $main/Source/CERNLIB/makefile $main/Source/CERNLIB/makefile_default
+	cp $main/SubProcesses/makefile $main/SubProcesses/makefile_default
+	cp $main/SubProcesses/makefile_mo $main/SubProcesses/makefile_mo_default
+	cp $main/Source/makefile_lhapdf $main/Source/makefile
+	cp $main/Source/PDF/makefile_lhapdf $main/Source/PDF/makefile    
+	cp $main/SubProcesses/makefile_lhapdf $main/SubProcesses/makefile    
+	cp $main/SubProcesses/makefile_mo_lhapdf $main/SubProcesses/makefile_mo  
+	sed -i.bak "s|f77|gfortran|g" $main/Source/DHELAS/Makefile
+	sed -i.bak "s|f77|gfortran|g" $main/Source/MODEL/makefile
+	sed -i.bak "s|f77|gfortran|g" $main/Source/CERNLIB/makefile
+        #    cp $lhadir/lib/libLHAPDF.a $main/lib/.
+    fi
+else
+    if [[ -e $main/Source/makefile_default ]]; then
+	    mv Source/makefile_default Source/makefile
+	    mv Source/PDF/makefile_default Source/PDF/makefile
+	    mv Source/DHELAS/Makefile_default Source/DHELAS/Makefile
+	    mv Source/MODEL/makefile_default Source/MODEL/makefile
+	    mv Source/CERNLIB/makefile_default Source/CERNLIB/makefile
+	    mv SubProcesses/makefile_default SubProcesses/makefile
+    fi
+fi
+if [ "$ickkw" = "2" ];then
+  echo "Running with CKKW matching"
+  lpp1=`awk '/^[^#].*=.*lpp1/{print $1}' Cards/run_card.dat`
+  lpp2=`awk '/^[^#].*=.*lpp2/{print $1}' Cards/run_card.dat`
+  e1=`awk '/^[^#].*=.*ebeam1/{print $1}' Cards/run_card.dat`
+  e2=`awk '/^[^#].*=.*ebeam2/{print $1}' Cards/run_card.dat`
+  pd=`awk '/^[^#].*=.*pdlabel/{print $1}' Cards/run_card.dat`
+  lha=`awk '/^[^#].*=.*lhaid/{print $1}' Cards/run_card.dat`
+  xq=`awk '/^[^#].*=.*xqcut/{print $1}' Cards/run_card.dat`
+  
+  if [[ $lpp1 -ne 0 || $lpp2 -ne 0 ]];then
+
+  # Remove ':s from pd
+  pd=${pd#\'*}
+  pd=${pd%*\'}
+  
+  if [[ $xq -gt 2 || $xq -eq 0 ]];then
+    xq=2
+  fi
+
+  if [ "$web" = "1" ];then
+    issudfile=$webbin/lib/issudgrid-$e1-$e2-$pd-$xq.dat.gz
+    if [ "$pd" = "lhapdf" ];then
+      issudfile=$webbin/lib/issudgrid-$e1-$e2-$pd-$lha-$xq.dat.gz
+    fi
+  else
+    issudfile=lib/issudgrid-$e1-$e2-$pd-$xq.dat.gz
+    if [ "$pd" = "lhapdf" ];then
+      issudfile=lib/issudgrid-$e1-$e2-$pd-$lha-$xq.dat.gz
+    fi
+  fi
+  echo "Sudakov grid file: $issudfile"
+
+  if [[ ! -e $issudfile ]];then
+    echo "No sudakov grid file for parameter choice. Please generate a sudakov grid file and restart." > error
+    cat error
+    date
+    cp -f error status
+    rm RunWeb
+    $dirbin/gen_crossxhtml-pl $t
+    $dirbin/gen_cardhtml-pl
+    exit
+  else
+    rm -f lib/issudgrid.dat
+    gunzip -c $issudfile > lib/issudgrid.dat
+  fi
+  fi # if [[ $lpp1 -ne 0 || $lpp2 -ne 0 ]]
+fi
+
+touch survey
+echo "Starting jobs" > status
+$dirbin/gen_crossxhtml-pl $t
+$dirbin/survey $mode $n $t
+if [[  -e error  ]]; then
+  cat error
+  date
+  cp -f error status
+  rm survey
+  rm RunWeb
+  $dirbin/gen_crossxhtml-pl $t
+  $dirbin/gen_cardhtml-pl
+  exit
+fi
+if [[ $b != ".true." ]]; then
+   mv survey refine
+   $dirbin/gen_crossxhtml-pl $t
+   $dirbin/refine $a $mode $n 5 $t
+   #$dirbin/refine 0.01 $mode $n
+   mv refine refine2
+   $dirbin/gen_crossxhtml-pl $t
+   $dirbin/refine $a $mode $n 1 $t
+   rm -f refine2
+else
+   rm survey
+fi
+#
+#  Now collect the events
+#
+echo "Combining Events" >& status
+echo "Combining Events" 
+$dirbin/gen_crossxhtml-pl $t
+pushd ./Source > /dev/null
+make ../bin/combine_events
+popd > /dev/null
+pushd SubProcesses > /dev/null
+$dirbin/run_combine $mode
+mv events.lhe ../Events/
+mv unweighted_events.lhe ../Events/
+popd > /dev/null
+#
+#  do the banner
+#
+cd ./Events
+echo "putting the banner"
+$dirbin/put_banner events.lhe
+$dirbin/put_banner unweighted_events.lhe
+
+#if [[ -e ../Cards/replace_card.dat ]];then
+#    $dirbin/replace.pl unweighted_events.lhe temp.lhe < ../Cards/replace_card.dat
+#    if [[ -e temp.lhe ]];then
+#	mv -f temp.lhe unweighted_events.lhe
+#    fi
+#fi
+
+#
+#  Create root file
+#
+
+
+if [[ (-x $ERAdir/ExRootLHEFConverter) && (-e unweighted_events.lhe) ]]; then
+    echo "Creating Root File" >& ../status
+    $dirbin/gen_crossxhtml-pl $t
+    $ERAdir/ExRootLHEFConverter unweighted_events.lhe unweighted_events.root
+fi
+
+#if ((-x $ERAdir/ExRootMain) && (-e unweighted_events.root) && (-e ../Cards/plot_card.dat)) then
+#    echo "Creating Root Plots" >& ../status
+#    $dirbin/gen_crossxhtml-pl $t
+#    mkdir $t
+#    cd $t
+#    echo "../unweighted_events.root" > events.list
+#    $dirbin/plot $ERAdir > plot.log
+#    cd ..
+#    $dirbin/plot_page-pl $t
+#endif
+if [[ (-x $MAdir/plot_events) && (-e unweighted_events.lhe) && (-e ../Cards/plot_card.dat) ]]; then
+    echo "Creating Plots"
+    echo "Creating Plots" >& ../status
+    $dirbin/gen_crossxhtml-pl $t
+    mkdir $t
+    cd $t
+    echo "../unweighted_events.lhe" > events.list
+    $dirbin/plot $MAdir $td > plot.log
+    cd ..
+    $dirbin/plot_page-pl $t
+fi
+
+$dirbin/store $t
+$dirbin/gen_crossxhtml-pl $t
+
+if [[ $b == ".true." ]]; then
+   cd ../
+   sed -i.bak "s/\s*.false.*=.*GridRun/  .true.  =  GridRun/g" Cards/grid_card.dat
+   $dirbin/restore_data $t
+   $dirbin/store4grid default
+   $dirbin/clean
+   make gridpack.tar.gz
+   cd Events
+fi
+
+#
+#  Run Pythia and PGS on events
+#
+
+# Compile pythia if not there
+if [[ !(-x $pydir/pythia) && (-d $pydir) && (-e ../Cards/pythia_card.dat) ]]; then
+    pushd $pydir > /dev/null
+    echo "No pythia executable - running make"
+    make
+    popd > /dev/null
+fi
+
+if [[ (-x $pydir/pythia) && (-e ../Cards/pythia_card.dat) ]]; then
+    gunzip -c ${t}_unweighted_events.lhe.gz > unweighted_events.lhe
+    echo "Running Pythia" >& ../status
+    $dirbin/gen_crossxhtml-pl $t
+# shower and hadronize event through Pythia
+    echo "Running pythia..."
+#    qsub -v pydir=$pydir $dirbin/run_pythia >> ../running_jobs
+    $dirbin/run_pythia $pydir $mode  
+fi
+
+if [[ (-x $pydir/hep2lhe) && (-e ../Cards/pythia_card.dat) && (-e pythia_events.hep) ]]; then
+    echo "Creating Pythia LHE File" >& ../status
+    $dirbin/gen_crossxhtml-pl $t
+    $dirbin/run_hep2lhe $pydir $mode  
+fi
+
+if [[ (-x $ERAdir/ExRootLHEFConverter) && (-e pythia_events.lhe) ]]; then
+    echo "Creating Pythia LHE Root File" >& ../status
+    $dirbin/gen_crossxhtml-pl $t
+    $ERAdir/ExRootLHEFConverter pythia_events.lhe pythia_lhe_events.root
+fi
+
+# Compile pgs if not there
+if [[ !(-x $pgsdir/pgs) && (-d $pgsdir) && (-e ../Cards/pgs_card.dat) ]]; then
+    pushd $pgsdir > /dev/null
+    echo "No pgs executable - running make"
+    make
+    popd > /dev/null
+fi
+
+if [[ (-x $pgsdir/pgs) && (-e ../Cards/pgs_card.dat) ]]; then
+    echo "Running PGS" >& ../status
+    $dirbin/gen_crossxhtml-pl $t
+    # now pass the event to a detector simulator and reconstruct objects
+    echo "Running PGS..."
+#    qsub -v pgsdir=$pgsdir $dirbin/run_pgs >> ../running_jobs
+    $dirbin/run_pgs $pgsdir $mode
+else
+    if [[ (-x $delphesdir/Delphes) && (-e ../Cards/delphes_card.dat) ]]; then
+	echo "Running Delphes" >& ../status
+	echo "Running Delphes..."
+	$dirbin/run_delphes $delphesdir $mode
+    fi
+fi
+#
+
+if [[ (-x $ERAdir/ExRootLHCOlympicsConverter) && (-e pgs_events.lhco) ]]; then
+    echo "Creating PGS Root File" >& ../status
+    $dirbin/gen_crossxhtml-pl $t
+    $ERAdir/ExRootLHCOlympicsConverter pgs_events.lhco pgs_events.root
+fi
+
+cd ../
+#
+#  Store Events
+#
+echo "Storing Events" >& status
+$dirbin/gen_crossxhtml-pl $t
+$dirbin/store $t
+rm -f RunWeb
+echo " " >& status
+$dirbin/gen_crossxhtml-pl $t
+$dirbin/gen_cardhtml-pl
+date

=== added file 'Template/bin/gridrun'
--- Template/bin/gridrun	1970-01-01 00:00:00 +0000
+++ Template/bin/gridrun	2010-10-30 03:26:37 +0000
@@ -0,0 +1,246 @@
+#!/bin/bash
+#
+#  This runs survey,refine,unweight_events, one after the other
+#  
+#   First we need to get into the main directory
+#
+#
+#  Usage: grid_run
+#
+
+if [[  ! -d ./bin  ]]; then
+    cd ../
+    if [[ ! -d ./bin ]]; then
+        echo "Error: it must be executed from the main, or bin directory"
+        exit
+    fi
+fi
+#
+#  Now let shell know where to find important executables
+#
+main=`pwd`
+dirbin=$main/bin
+pydir=$main/../pythia-pgs/src
+pgsdir=$pydir
+ERAdir=$main/../ExRootAnalysis
+MAdir=$main/../MadAnalysis
+webbin=$dirbin
+td=$main/../td
+web=0
+
+echo $$ >> myprocid
+
+#if ( "$1" == "" ) then
+#    echo 'Number of unweighted events. This is ingnored and read from run_card.dat ' 
+#    set a  = $< 
+#else
+#    set a = $1
+#endif
+
+#if [[  "$1" == ""  ]]; then
+#    echo 'Enter 1 for parallel 0 for serial run' 
+#     read p 
+#else
+#     p=$1
+#fi
+p=0
+n=MadEvent
+#if [[  $p -gt 0 ]]; then
+#   if [[  "$2" == ""  ]]; then
+#    echo 'Enter name for jobs on pbs queue'
+#       read n
+#   else
+#       n=$2
+#   fi
+#   if [[  "$3" == ""  ]]; then
+#       echo 'Enter run name'
+#       read t
+#   else
+#       t=$3
+#   fi
+#else
+#   if [[  "$2" == ""  ]]; then
+#      echo 'Enter run name'
+#      read t
+       t=GridRun
+#   else
+#      t=$2
+#   fi
+#fi
+#set t = TeV2
+if [[  "$4" -ne ""  ]]; then
+    web=1
+    webbin="$MADGRAPH_BASE/MG_ME/WebBin"
+    pydir="$webbin/pythia-pgs"
+    pgsdir=$pydir
+    ERAdir="$MADGRAPH_BASE/MG_ME/ExRootAnalysis"
+    MAdir="$MADGRAPH_BASE/MG_ME/MadAnalysis"
+    td="$MADGRAPH_BASE/MG_ME/td"
+    touch Online
+fi
+date
+a=`awk '/^[^#].*=.*gevents/{print $1}' Cards/grid_card.dat`
+echo Generating $a events
+
+echo 'restoring default data...'
+$dirbin/restore_data default
+echo '...default data restored.'
+#
+#  Check if run already exists. If so, store run w/ new name
+#  and remove old run before starting.
+#
+
+if [[  -e status  ]]; then
+  rm status
+fi
+if [[  -e error  ]]; then
+  rm error
+fi
+touch RunWeb
+#echo "Cleaning directories" > status
+#$dirbin/gen_crossxhtml-pl $t
+#$dirbin/clean
+touch survey
+#echo "Starting jobs" > status
+#$dirbin/gen_crossxhtml-pl $t
+#$dirbin/survey $p $n $t
+if [[  -e error  ]]; then
+  cat error
+  date
+  cp -f error status
+  rm survey
+  rm RunWeb
+  $dirbin/gen_crossxhtml-pl $t
+  $dirbin/gen_cardhtml-pl
+  exit
+fi
+mv survey refine
+#
+#  Changes for gen_grid_job don't need refine
+#
+$dirbin/refine4grid $a $p $n 1 $t
+mv refine refine2
+rm -f refine2
+#
+#  Now collect the events
+#
+echo "Combining Events" >& status
+echo "Combining Events" 
+$dirbin/gen_crossxhtml-pl $t
+pushd ./Source > /dev/null
+# make ../bin/combine_events
+popd > /dev/null
+pushd SubProcesses > /dev/null
+$dirbin/run_combine $p
+mv events.lhe ../Events/
+mv unweighted_events.lhe ../Events/
+popd > /dev/null
+#
+#  do the banner
+#
+cd ./Events
+echo "putting the banner"
+$dirbin/put_banner events.lhe
+$dirbin/put_banner unweighted_events.lhe
+
+#
+#  Create root file
+#
+
+
+if [[ (-x $ERAdir/ExRootLHEFConverter) && (-e unweighted_events.lhe) ]]; then
+    echo "Creating Root File" >& ../status
+    $dirbin/gen_crossxhtml-pl $t
+    $ERAdir/ExRootLHEFConverter unweighted_events.lhe unweighted_events.root
+fi
+
+#if ((-x $ERAdir/ExRootMain) && (-e unweighted_events.root) && (-e ../Cards/plot_card.dat)) then
+#    echo "Creating Root Plots" >& ../status
+#    $dirbin/gen_crossxhtml-pl $t
+#    mkdir $t
+#    cd $t
+#    echo "../unweighted_events.root" > events.list
+#    $dirbin/plot $ERAdir > plot.log
+#    cd ..
+#    $dirbin/plot_page-pl $t
+#endif
+if [[ (-x $MAdir/plot_events) && (-e unweighted_events.lhe) && (-e ../Cards/plot_card.dat) ]]; then
+    echo "Creating Plots" >& ../status
+    $dirbin/gen_crossxhtml-pl $t
+    mkdir $t
+    cd $t
+    echo "../unweighted_events.lhe" > events.list
+    $dirbin/plot $MAdir $td > plot.log
+    cd ..
+    $dirbin/plot_page-pl $t
+fi
+
+exit
+#
+#  Below is for Pythia runs...
+#
+$dirbin/store $t
+$dirbin/gen_crossxhtml-pl $t
+
+#
+#  Run Pythia and PGS on events
+#
+
+# Compile pythia if not there
+if [[ !(-x $pydir/pythia) && (-d $pydir) && (-e ../Cards/pythia_card.dat) ]]; then
+    pushd $pydir > /dev/null
+    echo "No pythia executable - running make"
+    make
+    popd > /dev/null
+fi
+
+if [[ (-x $pydir/pythia) && (-e ../Cards/pythia_card.dat) ]]; then
+    gunzip -c ${t}_unweighted_events.lhe.gz > unweighted_events.lhe
+    echo "Running Pythia" >& ../status
+    $dirbin/gen_crossxhtml-pl $t
+# shower and hadronize event through Pythia
+    echo "Running pythia..."
+#    qsub -v pydir=$pydir $dirbin/run_pythia >> ../running_jobs
+    $dirbin/run_pythia $pydir $p  
+fi
+
+if [[ (-x $pydir/hep2lhe) && (-e ../Cards/pythia_card.dat) && (-e pythia_events.hep) ]]; then
+    echo "Creating Pythia LHE File" >& ../status
+    $dirbin/gen_crossxhtml-pl $t
+    $dirbin/run_hep2lhe $pydir $p  
+fi
+
+if [[ (-x $ERAdir/ExRootLHEFConverter) && (-e pythia_events.lhe) ]]; then
+    echo "Creating Pythia LHE Root File" >& ../status
+    $dirbin/gen_crossxhtml-pl $t
+    $ERAdir/ExRootLHEFConverter pythia_events.lhe pythia_lhe_events.root
+fi
+
+# Compile pgs if not there
+if [[ !(-x $pgsdir/pgs) && (-d $pgsdir) && (-e ../Cards/pgs_card.dat) ]]; then
+    pushd $pgsdir > /dev/null
+    echo "No pgs executable - running make"
+    make
+    popd > /dev/null
+fi
+
+if [[ (-x $pgsdir/pgs) && (-e ../Cards/pgs_card.dat) ]]; then
+    echo "Running PGS" >& ../status
+    $dirbin/gen_crossxhtml-pl $t
+    # now pass the event to a detector simulator and reconstruct objects
+    echo "Running PGS..."
+#    qsub -v pgsdir=$pgsdir $dirbin/run_pgs >> ../running_jobs
+    $dirbin/run_pgs $pgsdir $p
+fi
+#
+
+if [[ (-x $ERAdir/ExRootLHCOlympicsConverter) && (-e pgs_events.lhco) ]]; then
+    echo "Creating PGS Root File" >& ../status
+    $dirbin/gen_crossxhtml-pl $t
+    $ERAdir/ExRootLHCOlympicsConverter pgs_events.lhco pgs_events.root
+fi
+
+cd ../
+echo " " >& status
+$dirbin/gen_cardhtml-pl
+date

=== added file 'Template/bin/makefile_gridpack'
--- Template/bin/makefile_gridpack	1970-01-01 00:00:00 +0000
+++ Template/bin/makefile_gridpack	2010-10-30 03:26:37 +0000
@@ -0,0 +1,27 @@
+FILES = Cards HTML SubProcesses bin lib Source Events index.html README \
+        TemplateVersion.txt MGMEVersion.txt
+
+madevent.tar.gz: madevent.tar
+	rm -f madevent.tar.gz
+	gzip madevent.tar
+
+madevent.tar: 
+	tar cf madevent.tar $(FILES)
+
+gridpack.tar.gz: gridpack.tar
+	rm -f gridpack.tar.gz
+	gzip gridpack.tar
+
+gridpack.tar: 
+	mv Events Events1
+	mkdir Events
+	cp Events1/banner_header.txt Events/
+	mkdir madevent
+	cp bin/run.sh ./
+	mv -f $(FILES) madevent
+	tar -cf gridpack.tar madevent run.sh
+	mv -f madevent/* ./ 
+	rmdir madevent
+	rm run.sh
+	rm -rf Events
+	mv Events1 Events

=== added file 'Template/bin/merge.pl'
--- Template/bin/merge.pl	1970-01-01 00:00:00 +0000
+++ Template/bin/merge.pl	2010-10-30 03:26:37 +0000
@@ -0,0 +1,277 @@
+#!/usr/bin/perl -w
+
+################################################################################
+# merge.pl
+#  Richard Corke (richard.corke@thep.lu.se)
+#
+# Changed structure to not read entire files into memory
+# 
+# Based on merge.pl v1.2 by Michel Herquet (UCL-CP3)
+# DESCRIPTION : script to merge to LHE events files
+# USAGE :
+# ./merge.pl eventfile1.lhe.gz eventfile2.lhe.gz ... result.lhe.gz banner.txt
+# Note that result can be eventfile1, eventfile2, ...
+# OUTPUT : merged file, banner
+################################################################################
+
+use Compress::Zlib;
+use List::Util qw[min max];
+
+
+###########################################################################
+# Initialisation
+###########################################################################
+# Set tag names for later
+my $begin_header = '<header>';
+my $end_header   = '</header>';
+my $begin_event  = '<event>';
+my $end_event    = '</event>';
+my $begin_init   = '<init>';
+my $end_init     = '</init>';
+
+# Parse the command line arguments
+if ( $#ARGV < 3 ) {
+  die "This script must be called with at least four filenames as arguments!\n";
+}
+my $bannerfile = pop(@ARGV);
+my $outfile = pop(@ARGV);
+
+
+###########################################################################
+# First pass - extract number of events and cross-sections
+###########################################################################
+foreach $infile (@ARGV) {
+  $gzin = gzopen($infile, "r") || die ("Couldn't open file $infile\n");
+
+  # No. events and cross-section from current file
+  $noevents = $xsec = -1;
+
+  # Storage for current file's init block
+  @gzinit = ();
+
+  # Keep track if we are in the init block or not
+  $initblock = 0;
+
+  while (1) {
+    $gzbytes = $gzin->gzreadline($gzline);
+    if ($gzbytes == -1) { die("Error reading from file $infile\n"); }
+    if ($gzbytes == 0)  { last; }
+
+    # Extract <MGGenerationInfo> information
+    if ($initblock == 0) {
+      if ($gzline =~ s/#  Number of Events\s*:\s*(.*)\n/$1/) { $noevents = $gzline; }
+      if ($gzline =~ s/#  Integrated weight \(pb\)\s*:\s*(.*)\n/$1/) { $xsec = $gzline; }
+
+      # Check if we enter <init> block
+      if ($gzline =~ m/$begin_init/) { $initblock++; next; }
+
+    # Extract <init> information
+    } else {
+ 
+      # Check for end of <init> block
+      if ($gzline =~ m/$end_init/) { last; }
+
+      # Remove leading whitespace and split
+      $gzline  =~ s/^\s+//;
+      @gzparam = split(/\s+/, $gzline);
+
+      # Check <init> block line has right no. of entries
+      if ($initblock == 1) {
+        if ($#gzparam != 9) { die "Not right number of params in init"; }
+      } else {
+        if ($#gzparam != 3) { die "Not right number of params in init"; }
+      }
+
+      push(@gzinit, [ @gzparam ]);
+      $initblock++;
+
+    }
+  }
+  $gzin->gzclose();
+
+  # Check the file contained all the information we need
+  if ($noevents == -1 || $xsec == -1) {
+    die("Couldn't extract No. Events / Cross-section from $infile")
+  }
+
+  # Store information for later
+  push(@infiles, [ $infile, $noevents, $xsec, [ @gzinit ] ]);
+}
+
+
+###########################################################################
+# Check/compute cross-sections, totals and unit weight
+###########################################################################
+$oldxsec        = $infiles[0][2];
+@oldinit        = @{$infiles[0][3]};
+$totevents = 0;  $totxsec = 0.0;
+foreach $infile (@infiles) {
+  print "Input file: $infile->[0]\n";
+  print " No. Events = $infile->[1], Cross-section = $infile->[2]\n";
+
+  # Check that cross sections do not differ too much
+  $newxsec = $infile->[2];
+  if (abs(($newxsec - $oldxsec) / $newxsec) > 0.05 ) {
+    print " WARNING Cross sections do not agree with a 5\% precision!\n";
+  }
+  $oldxsec = $newxsec;
+
+  @currinit = @{$infile->[3]};
+  # Same number of lines in <init> block?
+  if ($#oldinit != $#currinit)             { die("Init blocks do not match"); }
+
+  # Same number of entries on first line of <init> block?
+  if ($#{$oldinit[0]} != $#{$currinit[0]}) { die("Init blocks do not match"); }
+
+  # All entries the same on first line of <init> block?
+  for ($i = 0; $i <= $#{$oldinit[0]}; $i++) {
+    if ($oldinit[0][$i] != $currinit[0][$i])
+      { die("Init blocks do not match"); }
+  }
+
+  # Create new init block (overwrite first file's init block data)
+  for ($i = 1; $i <= $#oldinit; $i++) {
+    if ($oldinit[$i][3] != $currinit[$i][3]) { die("Init blocks do not match"); }
+
+    print " xsecup = $currinit[$i][0], xerrup = $currinit[$i][1]\n";
+    print " xmaxup = $currinit[$i][2], lprup = $currinit[$i][3]\n";
+
+    # XSECUP = sum(xsecup * no.events) / tot.events
+    # XERRUP = sqrt( sum(sigma^2 * no.events^2) ) / tot.events
+
+    # Here we temporarily store:
+    #  sum(xsecup * no.events)
+    #  sum(sigma^2 * no.events^2)
+    if (\$oldinit == \$currinit) {
+      $oldinit[$i][0] *= $infile->[1];
+      $oldinit[$i][1] *= $oldinit[$i][1] * $infile->[1]**2;
+
+    } else {
+      $oldinit[$i][0] += ($currinit[$i][0] * $infile->[1]);
+      $oldinit[$i][1] += $currinit[$i][1]**2 * $infile->[1]**2;
+
+    }
+
+    # XMAXUP = max(xmaxup)
+    $oldinit[$i][2] = max($oldinit[$i][2], $currinit[$i][2]);
+  }
+
+  # Total number of events and total cross-section
+  $totevents += $infile->[1];
+  $totxsec += ($infile->[1] * $infile->[2]);
+
+  print "\n";
+}
+print "\n";
+
+# Finish calculation of XSECUP and XERRUP
+for ($i = 1; $i <= $#oldinit; $i++) {
+  $oldinit[$i][0] /= $totevents;
+  $oldinit[$i][0] = sprintf('%0.5E', $oldinit[$i][0]);
+
+  $oldinit[$i][1] = sqrt($oldinit[$i][1]);
+  $oldinit[$i][1] /= $totevents;
+  $oldinit[$i][1] = sprintf('%0.5E', $oldinit[$i][1]);
+}
+
+# Finish calculation of total xsec and new unit weight
+$totxsec /= $totevents;
+$dispxsec = sprintf('%0.5E', $totxsec);
+$uwgt = sprintf('%0.5E', $totxsec / $totevents);
+
+# Display new information
+print "Banner file: $bannerfile\n";
+print "Output file: $outfile\n";
+print " No. Events = $totevents, Cross-section = $dispxsec\n";
+for ($i = 1; $i <= $#oldinit; $i++) {
+  print " xsecup = $oldinit[$i][0], xerrup = $oldinit[$i][1]\n";
+  print " xmaxup = $oldinit[$i][2], lprup = $oldinit[$i][3]\n";
+}
+print "\n";
+print " Unit weight = $uwgt\n";
+
+
+###########################################################################
+# Second pass - output file with new information
+###########################################################################
+# The first file is written out with changes to the header, init block
+# and unit weight of each event.
+# All events from other files are then written out with their unit weight
+# changed.
+###########################################################################
+
+$gzout    = gzopen($outfile, "w") || die ("Couldn't open file $outfile\n");
+open(BANNER, ">$bannerfile")      || die ("Couldn't open file $outfile\n");
+
+$stage = 0;
+$eventcount = 0;
+foreach $infile (@infiles) {
+  $gzin = gzopen($infile->[0], "r") || die ("Couldn't open file $infile\n");
+
+  while (1) {
+    $gzbytes = $gzin->gzreadline($gzline);
+    if ($gzbytes == -1) { die("Error reading from file $infile\n"); }
+    if ($gzbytes == 0)  { last; }
+
+    # Pre-header
+    if ($stage == 0) {
+      if ($gzline =~ m/$begin_header/) { $stage++; }
+
+    # Header (and output to banner)
+    } elsif ($stage == 1) {
+      $gzline =~ s/#  Integrated weight \(pb\)\s*:(.*)\n/#  Integrated weight (pb)  :  $dispxsec\n/;
+      $gzline =~ s/#  Number of Events\s*:(.*)\n/#  Number of Events        :  $totevents\n/;
+      $gzline =~ s/#  Unit wgt\s*:(.*)\n/#  Unit wgt                :  $uwgt\n/;
+
+      if ($gzline =~ m/$end_header/)   { $stage++; }
+      else { print BANNER $gzline; }
+
+    # Init block
+    } elsif ($stage == 2) {
+      if ($gzline =~ m/$end_init/) {
+        $gzline = "<init>\n";
+
+        for ($i = 0; $i <= $#oldinit; $i++) {
+          $gzline .= "  ";
+          for ($j = 0; $j <= $#{$oldinit[$i]}; $j++) {
+            $gzline .= "$oldinit[$i][$j] ";
+          }
+          $gzline .= "\n";
+        }
+
+        $gzline .= "</init>\n";
+        
+        $stage++;
+      } else { next; }
+
+    # Pre-event
+    } elsif ($stage == 3) {
+      if ($gzline =~ m/$begin_event/)  { $stage++; } else { next; }
+
+    # Event information
+    } elsif ($stage == 4) {
+      $gzline  =~ s/^\s+//;
+      @gzparam = split(/\s+/, $gzline);
+      if ($#gzparam != 5) { die "Not right number of param in first line of event"; }
+      $gzline = " $gzparam[0] $gzparam[1] $uwgt $gzparam[3] $gzparam[4] $gzparam[5]\n";
+
+      $stage++;
+
+    # Event particles
+    } elsif ($stage == 5) {
+      if ($gzline =~ m/$end_event/)    { $stage = 3; $eventcount++ }
+
+    }
+
+    # Write out the line
+    $gzout->gzwrite($gzline);
+  }
+}
+
+# Write out closing tag and close
+$gzout->gzwrite("</LesHouchesEvents>\n");
+$gzout->gzclose();
+
+print "Wrote $eventcount events\n";
+exit(0);
+

=== added file 'Template/bin/monitor'
--- Template/bin/monitor	1970-01-01 00:00:00 +0000
+++ Template/bin/monitor	2010-10-30 03:26:37 +0000
@@ -0,0 +1,39 @@
+#!/bin/bash
+#  
+#   First we need to get into the main directory
+#
+if [[  ! -d ./bin  ]]; then
+    cd ../
+    if [[ ! -d ./bin ]]; then
+	echo "Error: survey must be executed from the main, or bin directory"
+	exit
+    fi
+fi
+#
+#  Now let shell know where to find important executables
+#
+main=`pwd`
+dirbin=$main/bin
+# Begin Local versions
+# set dirbin = /home/tstelzer/bin/MG_ME
+# End Local versions 
+cd SubProcesses
+t=`find ./ -maxdepth 2 -name "ajob*" |wc -l`
+r=`find ./ -maxdepth 2 -name "run.ajob*" |wc -l`
+w=`find ./ -maxdepth 2 -name "wait.ajob*" |wc -l`
+d=`find ./ -maxdepth 2 -name "done.ajob*" |wc -l`
+
+echo "waiting while finishing jobs on cluster"
+while [[  $d -lt $t  ]]; do    
+    echo $w $r $d $t
+    rm -f ../status
+    echo $w $r $d $t > ../status
+    $dirbin/gen_crossxhtml-pl $1
+    sleep 10
+    t=`find ./ -maxdepth 2 -name "ajob*" |wc -l`
+    r=`find ./ -maxdepth 2 -name "run.ajob*" |wc -l`
+    w=`find ./ -maxdepth 2 -name "wait.ajob*" |wc -l`
+    d=`find ./ -maxdepth 2 -name "done.ajob*" |wc -l`
+done
+
+rm -f ../running_jobs

=== added file 'Template/bin/multi_run'
--- Template/bin/multi_run	1970-01-01 00:00:00 +0000
+++ Template/bin/multi_run	2010-10-30 03:26:37 +0000
@@ -0,0 +1,124 @@
+#!/bin/bash
+
+if [[  ! -d ./bin  ]]; then
+    cd ../
+    if [[ ! -d ./bin ]]; then
+        echo "Error: it must be executed from the main, or bin directory"
+        exit
+    fi
+fi
+
+echo $$ > myprocid
+
+main=`pwd`
+dirbin=$main/bin
+ERAdir=$main/../ExRootAnalysis
+MAdir=$main/../MadAnalysis
+td=$main/../td
+
+p=0
+n=''
+t='default'
+nrun=5
+add=''
+
+if [[  "$4" == ""  ]]; then
+    echo 'Enter 1 for parallel 0 for serial run' 
+    read p
+    if [[  $p -gt 0 ]]; then
+    echo 'Enter name for jobs on pbs queue'
+    read n
+    fi
+    echo 'Enter run name'
+    read t
+    echo 'Enter number of wanted runs'
+    read nrun 
+else
+     p=$1
+     n=$2
+     if [[  $p == 0  ]]; then
+       n=' '
+     fi
+     t=$3
+     nrun=$4
+     if [[  $# -gt 5  ]]; then
+       add=$5
+       ERAdir="$MADGRAPH_BASE/MG_ME/ExRootAnalysis"
+       MAdir="$MADGRAPH_BASE/MG_ME/MadAnalysis"
+       td="$MADGRAPH_BASE/MG_ME/td"
+     fi
+fi
+
+#$dirbin/generate_events $p $n $t\_1 $add
+#cp -p $main/Events/$t\_1\_unweighted_events\.lhe\.gz $main/Events/$t\_unweighted_events\.lhe\.gz
+#cp -p $main/Events/$t\_1\_banner.txt $main/Events/$t\_banner.txt
+i=1
+
+while [[  $i -le $nrun  ]]; do 
+    echo "Running generate_events for run ${t}_$i (see ${t}_$i.log)"
+    $dirbin/generate_events $p $n $t\_$i $add >& $t\_$i.log
+#  $dirbin/merge.pl $main/Events/$t\_unweighted_events\.lhe\.gz $main/Events/$t\_$i\_unweighted_events\.lhe\.gz $main/Events/$t\_unweighted_events\.lhe\.gz $main/Events/$t\_banner.txt
+  i=`expr $i + 1`
+done 
+
+#set allfiles = `ls $main/Events/$t\_\*\_unweighted_events\.lhe\.gz`
+touch RunWeb
+
+echo "Merging LHE files"
+echo "Merging LHE files" >& ../status
+$dirbin/merge.pl $main/Events/$t\_*\_unweighted_events\.lhe\.gz $main/Events/$t\_unweighted_events\.lhe\.gz $main/Events/$t\_banner.txt
+
+$dirbin/gen_crossxhtml-pl $t
+
+#
+#  Create root file and plots
+#
+
+cd $main/Events
+
+if [[ (-e $t\_unweighted_events.lhe.gz) ]]; then
+    gunzip $t\_unweighted_events.lhe.gz
+fi
+
+if [[ (-x $ERAdir/ExRootLHEFConverter) && (-e $t\_unweighted_events.lhe) ]]; then
+    echo "Creating Root File"
+    echo "Creating Root File" >& ../status
+    $dirbin/gen_crossxhtml-pl $t
+    $ERAdir/ExRootLHEFConverter $t\_unweighted_events.lhe $t\_unweighted_events.root
+fi
+
+#if [[ (-x $ERAdir/ExRootMain) && (-e $t\_unweighted_events.root) && (-e ../Cards/plot_card.dat) ]]; then
+#    echo "Creating Root Plots" >& ../status
+#    $dirbin/gen_crossxhtml-pl
+#    mkdir $t
+#    cd $t
+#    echo "../$t""_unweighted_events.root" > events.list
+#    $dirbin/plot $ERAdir > plot.log
+#    cd ..
+#    $dirbin/plot_page-pl $t
+#    mv plots.html $t\_plots.html
+#    $dirbin/gen_crossxhtml-pl
+#fi
+
+if [[ (-x $MAdir/plot_events) && (-e $t\_unweighted_events.lhe) && (-e ../Cards/plot_card.dat) ]]; then
+    echo "Creating Plots"
+    echo "Creating Plots" >& ../status
+    $dirbin/gen_crossxhtml-pl $t
+    mkdir $t
+    cd $t
+    echo "../${t}_unweighted_events.lhe" > events.list
+    $dirbin/plot $MAdir $td > plot.log
+    cd ..
+    $dirbin/plot_page-pl $t
+    mv plots.html ${t}_plots.html
+fi
+
+if [[ -e $t\_unweighted_events.lhe ]]; then
+    gzip $t\_unweighted_events.lhe
+fi
+
+cd ..
+rm RunWeb
+rm status
+
+$dirbin/gen_crossxhtml-pl 

=== added file 'Template/bin/multicore'
--- Template/bin/multicore	1970-01-01 00:00:00 +0000
+++ Template/bin/multicore	2010-10-30 03:26:37 +0000
@@ -0,0 +1,22 @@
+#!/bin/bash
+#  
+#   Script to run jobs on multicore machines
+#
+
+if [[  "$2" == ""  ]]; then
+    echo 'Error! multicore must be run with number of cores and jobname as arguments!'
+    exit
+fi
+mult=$1
+job=$2
+
+r=`find ../../SubProcesses -maxdepth 2 -name "run.ajob*" |wc -l`
+
+echo "waiting until less then $mult jobs are running to launch, now $r"
+
+while [[  $r -ge $mult  ]]; do    
+    sleep 2
+    r=`find ../../SubProcesses  -maxdepth 2 -name "run.ajob*" |wc -l`
+done
+nohup ./$job >& log.$job &
+echo $! >> ../../running_jobs

=== added file 'Template/bin/newprocess_mg5'
--- Template/bin/newprocess_mg5	1970-01-01 00:00:00 +0000
+++ Template/bin/newprocess_mg5	2010-10-30 03:26:37 +0000
@@ -0,0 +1,97 @@
+#!/bin/bash
+#
+#  First get to main level directory for this process
+#
+
+if [[  ! -d ./bin || ! -d ./SubProcesses ]]; then
+    cd ../
+    if [[ ! -d ./bin || ! -d ./SubProcesses  ]]; then
+        echo "Error: store must be executed from the main, or bin directory"
+        exit
+    fi
+fi
+
+# Check that mg5 exists
+main=`pwd`
+mgdir=$main/../bin
+if [[  ! -x $mgdir/mg5 ]]; then
+    mgdir=$main/../madgraph5/bin
+fi
+if [[ ! -x $mgdir/mg5 ]]; then
+   echo "Error no mg5 executable $mgdir/mg5 found"
+   exit
+fi
+
+
+dirbin=$main/bin
+
+# Local versions to work on the cluster
+tag=''
+while [[ "$1" != ""  ]]; do
+    if [[ "$1" == "--web" ]]; then
+    mgdir=$MADGRAPH_BASE/MG_ME/mg5
+    dirbin=$MADGRAPH_BASE/MG_ME/WebBin
+    tag="--web"
+    fi
+    shift 1
+done
+
+# some external executable
+gen_card=$dirbin/gen_cardhtml-pl
+gen_info=$dirbin/gen_infohtml-pl
+
+# Check if we have to use MG4 proc_card.dat or MG5 proc_card.dat
+if [[ -e ./Cards/proc_card_mg5.dat ]]; then 
+   if [[ -e ./Cards/proc_card.dat ]]; then
+      if [[ $tag != '--web' ]]; then
+          echo "both mg4 and mg5 proc_card.dat are detected. Which one do you want to use? [4/5]"
+      	  read card_use 
+      else
+           card_use='5'
+      fi
+   else
+	card_use='5'
+   fi
+elif [[ -e ./Cards/proc_card.dat ]]; then
+     card_use='4'
+else
+    echo "neither proc_card.dat or proc_card_mg5.dat" 
+    echo "are present in directory Cards"
+    echo "Prepare a card (see examples on the web) and"
+    echo "copy it there."
+    exit
+fi
+
+echo $$ > generating
+rm proc_log.txt >& /dev/null
+echo "Started `date`" >  ./proc_log.txt
+echo "Running..."
+
+$gen_card >& /dev/null
+
+# launch the mg5 program
+if [[ $card_use == '4' ]]; then
+# Run ./mg5 with stderr going to both the file proc_log.txt and to terminal
+# output. See http://acs.lbl.gov/~ksb/Scratch/sh_redir_pipe.html
+    ((echo import proc_v4 ./Cards/proc_card.dat | $mgdir/mg5 3>&1 1>&2 2>&3) | tee /dev/tty) >> proc_log.txt 2>&1
+    exit
+elif [[ $card_use == '5' ]]; then
+# Run ./mg5 with stderr going to both the file proc_log.txt and to terminal
+# output. See http://acs.lbl.gov/~ksb/Scratch/sh_redir_pipe.html
+     (($mgdir/mg5 ./Cards/proc_card_mg5.dat 3>&1 1>&2 2>&3) | tee /dev/tty) >> proc_log.txt 2>&1
+else
+    echo 'not recognized mode'
+fi
+
+echo "Finished `date` " >> ./proc_log.txt
+echo "`date` " >& ./CREATED
+cd SubProcesses
+touch done
+cd ..
+
+if [[  $tag == "--web"  ]]; then
+   touch Online
+fi
+rm generating
+echo 'done'
+$gen_card >& /dev/null

=== added file 'Template/bin/plot'
--- Template/bin/plot	1970-01-01 00:00:00 +0000
+++ Template/bin/plot	2010-10-30 03:26:37 +0000
@@ -0,0 +1,70 @@
+#!/bin/bash
+
+
+
+
+if [[  "$1" == ""  ]]; then
+    echo 'Path to MadAnalysis and topdrawer must be given to plot'
+    exit 
+else
+     MAdir=$1
+     td=$2
+fi
+
+if [[ -x $MAdir/plot_events ]]; then
+    echo 'plot_events found'
+else
+    echo 'plot_events not found'
+    exit
+fi
+
+if [[ -x $td/td ]]; then
+    echo 'topdrawer found'
+else
+    echo 'topdrawer not found'
+    exit
+fi
+
+if [[ -x $MAdir/epstosmth ]]; then
+    echo 'epstosmth found'
+else
+    echo 'epstosmth not found'
+    exit
+fi
+
+if [[ -e events.list ]]; then
+    echo 'events.list found'
+else
+    echo 'events.list not found'
+    exit
+fi
+
+if [[ -e ../../Cards/plot_card.dat ]]; then
+    echo 'plot_card found'
+    cp ../../Cards/plot_card.dat ./ma_card.dat
+else
+    echo 'plot_card not found'
+    exit
+fi
+
+$MAdir/plot_events < events.list
+
+#$td/td -device=ps plots.top -sideways
+$td/td plots.top 
+csplit -ks -n 3 -f ma_plot plots.top "/   NEW PLOT/" '{250}'
+    
+for file in ma_plot??? ; do
+  echo ">> Converting topdrawer file $file to postscript" >> log.convert
+#  $td/td -device=ps $file -sideways
+  rm -f $file\.top
+  echo "SET DEVICE POSTSCRIPT ORIENT=3" > $file\.top
+  cat $file >> $file\.top
+  $td/td $file\.top
+done
+
+
+for file in ma_plot???.ps ; do
+  echo ">> Converting file $file" >> log.convert
+  $MAdir/epstosmth --gsopt='-r60x60 -dGraphicsAlphaBits=4' --gsdev=jpeg $file
+done
+

=== added file 'Template/bin/plot_page-pl'
--- Template/bin/plot_page-pl	1970-01-01 00:00:00 +0000
+++ Template/bin/plot_page-pl	2010-10-30 03:26:37 +0000
@@ -0,0 +1,83 @@
+#!/usr/bin/perl -w
+
+if (-e "../SubProcesses/procdef_mg5.dat"){
+  open (INCARD,"../SubProcesses/procdef_mg5.dat") || die "Error reading file proc_card.dat";
+  @incard=<INCARD>;
+  close (INCARD);
+} elsif (open (INCARD,"../Cards/proc_card.dat")){
+  @incard=<INCARD>;
+  close (INCARD);
+}
+if ($#incard > 0){
+# process
+$listpos = 0;
+until($listpos>$#incard){
+    if($incard[$listpos] =~ /^#(\s+)Begin(\s+)PROCESS/) {$ini=$listpos};
+    if($incard[$listpos] =~ /^#(\s+)End(\s+)PROCESS/)   {$end=$listpos};
+       $listpos = $listpos + 1;
+   }
+#
+      ($interaction, $junk)=split(/#/ , $incard[$ini+1]);
+      ($qcdOrder, $junk)   =split(/#/ , $incard[$ini+2]);
+      ($qedOrder, $junk)   =split(/#/ , $incard[$ini+3]);
+#model
+				  $listpos = 0;
+				  until($listpos>$#incard){
+    if($incard[$listpos] =~ /^#(\s+)Begin(\s+)MODEL/) {$ini=$listpos};
+    if($incard[$listpos] =~ /^#(\s+)End(\s+)MODEL/)   {$end=$listpos};
+       $listpos = $listpos + 1;
+   }
+#
+      ($model, $junk)   =split(/#/ , $incard[$ini+1]);
+
+			       chomp($interaction);
+			       chomp($qcdOrder);
+			       chomp($qedOrder);
+			       chomp($model);
+     }
+  else{
+      $interaction = "Unknown";
+      $qcdOrder = "";
+      $qedOrder = "";
+      $model    = "";
+  }      
+
+
+
+   open(PAGE,"> plots.html") || die "Error creating diagrams.html";
+   print PAGE "\<HTML\> \n";
+   print PAGE "\<HEAD\> \n";
+   print PAGE "\<TITLE\>Plots \<\/TITLE\> \n";
+   print PAGE "\<\/HEAD\> \n";
+   print PAGE "\<BODY\> \n";
+   print PAGE "<CENTER>\n";
+   print PAGE "<H1 align=center> Plots for $interaction</H1>\n";
+   print PAGE "<p align=\"center\">";
+   print PAGE "<table border=\"1\"  cellspacing=\"1\">";
+   print PAGE "<tr  align=\"center\">";
+   print PAGE "<TD> Name </TD>";
+   print PAGE "<TD> Variable </TD>";
+   print PAGE "<TR align=center><td bgcolor=\"#00FFFF\">weigth </td> <TD> weights of the events (normally 1)</td> ";
+   print PAGE "<TR align=center><td bgcolor=\"#00FFFF\">Ht     </td> <TD> scalar sum of pt of all particles + missing Et</td> ";
+   print PAGE "<TR align=center><td bgcolor=\"#00FFFF\">pt(i)  </td> <TD> transverse momentum</td> ";
+   print PAGE "<TR align=center><td bgcolor=\"#00FFFF\">y(i)   </td> <TD> rapidity in the lab</td> ";
+   print PAGE "<TR align=center><td bgcolor=\"#00FFFF\">R(i,j) </td> <TD> distance in the (y,phi) plane</td>"; 
+   print PAGE "<TR align=center><td bgcolor=\"#00FFFF\">m(i,j) </td> <TD> invariant mass     </td> ";
+   print PAGE "<TR align=center><td bgcolor=\"#00FFFF\">cos(i,j) </td> <TD> angle between direction of i in the resframe of i+j<BR>and the direction of i+j in the labframe </td> ";
+   print PAGE "</table><BR>";
+
+   foreach $f (<./$ARGV[0]/*.jpg>) { 
+     print PAGE "\<IMG SRC=\"$f\" BORDER\=1\> \<BR\> \n";
+     $fps=substr($f,0,-3)."ps";
+     ($junk, $fname)   =split("$ARGV[0]\/" , $fps);
+     print PAGE "\<A HREF\=\"$fps\"\>Download PS $fname\</A\> \<BR\> \<BR\> \<BR\>\n"; 
+   }
+
+   
+   print PAGE "\<A HREF\=./$ARGV[0]/plots.ps>Download all plots in one postscript file\</A\> \<BR\> \<BR\> \<BR\>\n"; 
+   print PAGE "\<A HREF\=./$ARGV[0]/plots.top>Download all plots in topdrawer format\</A\> \<BR\> \<BR\> \<BR\>\n"; 
+   print PAGE "\<\/CENTER\>\n";
+   print PAGE "\<\/BODY\> \n";
+   print PAGE "\<\/HTML\> \n";
+   close(PAGE)
+

=== added file 'Template/bin/plot_pypage-pl'
--- Template/bin/plot_pypage-pl	1970-01-01 00:00:00 +0000
+++ Template/bin/plot_pypage-pl	2010-10-30 03:26:37 +0000
@@ -0,0 +1,72 @@
+#!/usr/bin/perl -w
+
+if(open (INCARD,"../Cards/proc_card.dat")){
+@incard=<INCARD>;
+close (INCARD);
+# process
+$listpos = 0;
+until($listpos>$#incard){
+    if($incard[$listpos] =~ /^#(\s+)Begin(\s+)PROCESS/) {$ini=$listpos};
+    if($incard[$listpos] =~ /^#(\s+)End(\s+)PROCESS/)   {$end=$listpos};
+       $listpos = $listpos + 1;
+   }
+#
+      ($interaction, $junk)=split(/#/ , $incard[$ini+1]);
+      ($qcdOrder, $junk)   =split(/#/ , $incard[$ini+2]);
+      ($qedOrder, $junk)   =split(/#/ , $incard[$ini+3]);
+#model
+				  $listpos = 0;
+				  until($listpos>$#incard){
+    if($incard[$listpos] =~ /^#(\s+)Begin(\s+)MODEL/) {$ini=$listpos};
+    if($incard[$listpos] =~ /^#(\s+)End(\s+)MODEL/)   {$end=$listpos};
+       $listpos = $listpos + 1;
+   }
+#
+      ($model, $junk)   =split(/#/ , $incard[$ini+1]);
+
+			       chomp($interaction);
+			       chomp($qcdOrder);
+			       chomp($qedOrder);
+			       chomp($model);
+     }
+  else{
+      $interaction = "Unknown";
+      $qcdOrder = "";
+      $qedOrder = "";
+      $model    = "";
+  }      
+
+
+
+   open(PAGE,"> pyplots.html") || die "Error creating diagrams.html";
+   print PAGE "\<HTML\> \n";
+   print PAGE "\<HEAD\> \n";
+   print PAGE "\<TITLE\>Pythia Plots \<\/TITLE\> \n";
+   print PAGE "\<\/HEAD\> \n";
+   print PAGE "\<BODY\> \n";
+   print PAGE "<CENTER>\n";
+   print PAGE "<H1 align=center> Pythia plots for $interaction</H1>\n";
+   print PAGE "<p align=\"center\">";
+   print PAGE "<table border=\"1\"  cellspacing=\"1\">";
+   print PAGE "<tr  align=\"center\">";
+   print PAGE "<TD> Name </TD>";
+   print PAGE "<TD> Variable </TD>";
+   print PAGE "<TR align=center><td bgcolor=\"#00FFFF\">R(i,j)</td> <TD> distance in the (y,phi) plane</td>"; 
+   print PAGE "<TR align=center><td bgcolor=\"#00FFFF\">m(i,j)</td> <TD> invariant mass     </td> ";
+   print PAGE "<TR align=center><td bgcolor=\"#00FFFF\">pt(i) </td> <TD> transverse momentum</td> ";
+   print PAGE "<TR align=center><td bgcolor=\"#00FFFF\">y(i)  </td> <TD> rapidity in the lab</td> ";
+   print PAGE "</table><BR>";
+
+   foreach $f (<./$ARGV[0]/*.jpg>) { 
+     print PAGE "\<IMG SRC=\"$f\" BORDER\=1\> \<BR\> \n";
+     $feps=substr($f,0,-3)."eps";
+     ($junk, $fname)   =split("$ARGV[0]\/" , $feps);
+     print PAGE "\<A HREF\=\"$feps\"\>Download EPS $fname\</A\> \<BR\> \<BR\> \<BR\>\n"; 
+   }
+
+   
+   print PAGE "\<\/CENTER\>\n";
+   print PAGE "\<\/BODY\> \n";
+   print PAGE "\<\/HTML\> \n";
+   close(PAGE)
+

=== added file 'Template/bin/put_banner'
--- Template/bin/put_banner	1970-01-01 00:00:00 +0000
+++ Template/bin/put_banner	2010-10-30 03:26:37 +0000
@@ -0,0 +1,108 @@
+#!/bin/bash
+#
+#  Stick a banner on top of the event file and update iseed
+#  
+#  Usage: put_banner event_file
+#
+#   First we need to get into the main directory
+#
+if [[  ! -d ./bin  ]]; then
+    cd ../
+    if [[ ! -d ./bin ]]; then
+	echo "Error: put_banner be executed from the main, or bin directory"
+	exit
+    fi
+fi
+if [[  "$1" == ""  ]]; then
+    echo 'Enter file with events (in directory Events)' 
+    read c 
+else
+    c=$1
+fi
+if [[ -d Events ]]; then
+    cd Events
+# Put all the info in a long banner
+# First the header
+# $B$ begin_banner $B$ !this is a tag for MadWeight. Don't edit this line
+  cat banner_header.txt >& b.txt
+# $E$ begin_banner $E$ !this is a tag for MadWeight. Don't edit this line
+# Now the version information
+# grab the info first
+   mgme=`awk '/.*/{print $1}' ../MGMEVersion.txt`
+   mg=`awk '/.*/{print $1}' ../SubProcesses/MGVersion.txt`
+   template=`awk '/.*/{print $1}' ../TemplateVersion.txt`
+   helas=`awk '/.*/{print $1}' ../Source/DHELAS/HELASVersion.txt`
+   model=`awk '/.*/{print $1}' ../Source/MODEL/ModelVersion.txt`
+# $B$version_info$E$  ! Tag for add info in MW_version. Don't edit this line
+   echo "<MGVersion>">& version.txt
+   echo "# MG/ME version    : $mgme"    >>version.txt
+   echo "# madgraph version : $mg"      >>version.txt
+   echo "# template version : $template" >>version.txt
+   echo "# helas version    : $helas"    >>version.txt
+   echo "# model version    : $model"    >>version.txt
+# $B$ write_version $E$  ! Tag for add info in MW_version. Don't edit this line
+   echo "</MGVersion>" >> version.txt 
+   cat version.txt >> b.txt
+   rm -f version.txt
+#proc_card.dat
+   if [[ -e "../SubProcesses/procdef_mg5.dat" ]];then
+       echo "<MG5ProcCard>" >>b.txt
+       cat ../Cards/proc_card_mg5.dat  >> b.txt
+       echo "</MG5ProcCard>" >>b.txt
+       echo "<MGProcCard>" >>b.txt
+       cat ../SubProcesses/procdef_mg5.dat  >> b.txt
+       echo "</MGProcCard>" >>b.txt
+   else
+       echo "<MGProcCard>" >>b.txt
+       cat ../Cards/proc_card.dat  >> b.txt
+       echo "</MGProcCard>" >>b.txt
+   fi
+# $B$ param_card $B$  ! Tag for add info in MW_version. Don't edit this line
+# param_card.dat
+   echo "<slha>">>b.txt
+   cp ../Cards/param_card.dat param_card_temp.dat
+#   ../bin/qnumbers.pl ../Source/MODEL/particles.dat param_card_temp.dat
+   cat param_card_temp.dat >> b.txt
+   rm param_card_temp.dat
+   echo "</slha>">>b.txt
+# $E$ param_card $E$  ! Tag for add info in MW_version. Don't edit this line
+# run_card.dat
+   echo "<MGRunCard>">>b.txt
+   cat ../Cards/run_card.dat   >> b.txt
+   echo "</MGRunCard>">>b.txt
+# grid_card.dat
+   b=`awk '/^[^#].*=.*gridpack/{print $1}' ../Cards/run_card.dat`
+   if [[ $b == ".true." ]]; then
+      echo "<MGGridCard>">>b.txt
+      cat ../Cards/grid_card.dat   >> b.txt
+      echo "</MGGridCard>">>b.txt
+   fi
+# $B$ other_card $E$  ! Tag for add info in MW_version. Don't edit this line
+# $B$ end_file $B$  ! Tag for add info in MW_version. Don't edit this line
+#  
+#  sed -e "s/^/#/g" b.txt > bb.txt
+#  cat bb.txt >> b.txt
+#now update the random seed
+    r=0
+    if [[ -e ../SubProcesses/randinit ]]; then
+	source ../SubProcesses/randinit
+#	echo "Got r "
+    fi
+#    echo $r
+#    echo '<LesHouchesEvents version="1.0">' >& banner.txt
+#    echo '<!---' >> banner.txt
+    sed -e "s/\s0.*iseed/$r = iseed/g" b.txt >& banner.txt
+    rm -f b.txt 
+#now copy things over 
+    cat $c >> banner.txt
+    rm -f $c
+    echo '</LesHouchesEvents>' >> banner.txt
+    sed -e '/^ *$/d' banner.txt > $c
+    rm -f temp.dat
+    rm -f banner.txt
+    cd ..
+else
+    echo 'Error Events directory not found'
+    exit
+fi
+# $E$ end_file $E$  ! Tag for add info in MW_version. Don't edit this line

=== added file 'Template/bin/qdeljob'
--- Template/bin/qdeljob	1970-01-01 00:00:00 +0000
+++ Template/bin/qdeljob	2010-10-30 03:26:37 +0000
@@ -0,0 +1,13 @@
+#!/usr/bin/perl
+
+    if (open jobline,"running_jobs"){
+	while ($jobid = <jobline>){
+	    system("qdel $jobid > /dev/null");
+	}
+	close (jobline);
+        system("rm -f running_jobs");
+    }
+    else {
+	print "Error executing qdel \n";
+    }
+

=== added file 'Template/bin/qholdjob'
--- Template/bin/qholdjob	1970-01-01 00:00:00 +0000
+++ Template/bin/qholdjob	2010-10-30 03:26:37 +0000
@@ -0,0 +1,25 @@
+#!/usr/bin/perl
+
+if ($#ARGV == -1) {
+    open whom,"whoami | ";
+    $name = <whom>;
+    chomp $name;
+    print "You must specify job (or user) name to delete (eg qholdjob $name) \n";
+    close (whom);
+}
+else {
+    if (open jobline,"/usr/local/bin/qstat | grep $ARGV[0] |"){
+	$i = 0;
+	while ($line = <jobline>){
+	    $i++;
+	    chomp $line;
+	    ($jobid,$back) = split(/\./,$line);
+	    system("/usr/local/bin/qhold $jobid");
+	}
+	close (jobline);
+	print "Holding $i jobs \n";
+    }
+    else {
+	print "Error executing qstat \n";
+    }
+}

=== added file 'Template/bin/qrlsjob'
--- Template/bin/qrlsjob	1970-01-01 00:00:00 +0000
+++ Template/bin/qrlsjob	2010-10-30 03:26:37 +0000
@@ -0,0 +1,25 @@
+#!/usr/bin/perl
+
+if ($#ARGV == -1) {
+    open whom,"whoami | ";
+    $name = <whom>;
+    chomp $name;
+    print "You must specify job (or user) name to delete (eg qholdjob $name) \n";
+    close (whom);
+}
+else {
+    if (open jobline,"/usr/local/bin/qstat | grep $ARGV[0] |"){
+	$i = 0;
+	while ($line = <jobline>){
+	    $i++;
+	    chomp $line;
+	    ($jobid,$back) = split(/\./,$line);
+	    system("/usr/local/bin/qrls $jobid");
+	}
+	close (jobline);
+	print "Released $i jobs \n";
+    }
+    else {
+	print "Error executing qstat \n";
+    }
+}

=== added file 'Template/bin/qsub'
--- Template/bin/qsub	1970-01-01 00:00:00 +0000
+++ Template/bin/qsub	2010-10-30 03:26:37 +0000
@@ -0,0 +1,3 @@
+#!/bin/bash
+qsub $*
+

=== added file 'Template/bin/refine'
--- Template/bin/refine	1970-01-01 00:00:00 +0000
+++ Template/bin/refine	2010-10-30 03:26:37 +0000
@@ -0,0 +1,160 @@
+#!/bin/bash
+#
+#  After a survey has been run and created results.dat to determine
+#  which channels in each process are important, this routine can 
+#  run to give an accurate integration of the cross section.
+#
+#  Usage: integrate accuracy parallel [name]
+#
+#  parallel is 0 for serial, 1 for PBS, 2 for multicore
+#  name is queue name for PBS or number of cores for multicore
+#  
+#   First we need to get into the main directory
+#
+if [[  ! -d ./bin  ]]; then
+    cd ../
+    if [[ ! -d ./bin ]]; then
+	echo "refine must be executed from the main, or bin directory"
+	exit
+    fi
+fi
+#
+#  Now let shell know where to find important executables
+#
+main=`pwd`
+dirbin=$main/bin
+# Begin Local versions
+# set dirbin = /home/tstelzer/bin/MG_ME
+# End Local versions 
+qsub=qsub
+
+if [[  "$1" == ""  ]]; then
+    echo 'Desired accuracy (< 1), or number of unweighted events (>1)' 
+    read a 
+else
+    a=$1
+fi
+if [[  "$2" == ""  ]]; then
+    echo 'Enter 2 for multi-core, 1 for parallel, 0 for serial run' 
+    read mode 
+else
+    mode=$2
+fi
+
+np=5
+if [[  $mode -gt 0 ]]; then
+   if [[  "$3" == ""  ]]; then
+     if [[  $mode -eq 1 ]]; then
+       echo 'Enter name for jobs on pbs queue'
+     elif [[  $mode -eq 2 ]]; then
+       echo 'Enter number of cores'
+     fi
+     read n
+   else
+       n=$3
+   fi
+   if [[  $# -gt 3  ]]; then
+       np=$4
+   fi
+fi
+
+c=`awk '/^[^#].*=.*pdlabel/{print $1}' Cards/run_card.dat`
+if [[ $c == "'lhapdf'" ]]; then
+    echo Using LHAPDF interface!
+    if [[ -e $main/Source/makefile_default ]]; then
+	echo already loaded
+    else
+        cp $main/Source/makefile $main/Source/makefile_default
+        cp $main/Source/PDF/makefile $main/Source/PDF/makefile_default
+        cp $main/Source/DHELAS/Makefile $main/Source/DHELAS/Makefile_default
+        cp $main/Source/MODEL/makefile $main/Source/MODEL/makefile_default
+        cp $main/Source/CERNLIB/makefile $main/Source/CERNLIB/makefile_default
+        cp $main/SubProcesses/makefile $main/SubProcesses/makefile_default
+        cp $main/SubProcesses/makefile_mo $main/SubProcesses/makefile_mo_default
+        cp $main/Source/makefile_lhapdf $main/Source/makefile
+        cp $main/Source/PDF/makefile_lhapdf $main/Source/PDF/makefile
+        cp $main/SubProcesses/makefile_lhapdf $main/SubProcesses/makefile
+        cp $main/SubProcesses/makefile_mo_lhapdf $main/SubProcesses/makefile_mo
+	sed -i.bak "s|f77|gfortran|g" $main/Source/DHELAS/Makefile
+	sed -i.bak "s|f77|gfortran|g" $main/Source/MODEL/makefile
+	sed -i.bak "s|f77|gfortran|g" $main/Source/CERNLIB/makefile
+        #    cp $lhadir/lib/libLHAPDF.a $main/lib/.
+    fi
+else
+    if [[ -e $main/Source/makefile_default ]]; then
+	    mv Source/makefile_default Source/makefile
+	    mv Source/PDF/makefile_default Source/PDF/makefile
+	    mv Source/DHELAS/Makefile_default Source/DHELAS/Makefile
+	    mv Source/MODEL/makefile_default Source/MODEL/makefile
+	    mv Source/CERNLIB/makefile_default Source/CERNLIB/makefile
+	    mv SubProcesses/makefile_default SubProcesses/makefile
+    fi
+fi
+
+if [[ -d Source ]]; then
+    echo "Compiling Libraries" >& status
+    cd Source
+    make ../bin/sum_html >& /dev/null
+    make ../bin/gen_ximprove >&/dev/null
+    make all >& /dev/null
+    cd ..
+else
+    echo 'Error Source directory not found'
+    exit
+fi
+if [[ -d SubProcesses ]]; then
+    if [[  $mode -gt 0 ]]; then    
+	echo "Creating Jobs" >& status
+    else
+	echo " " >& status
+    fi
+    cd SubProcesses
+    r=0
+    if [[ -e randinit ]]; then
+	source ./randinit
+    fi
+    echo "Using random number seed offset = " $r
+    for i in `cat subproc.mg` ; do
+	cd $i
+	echo $i
+	rm -f ajob* >& /dev/null	
+	rm -f wait.ajob* >& /dev/null
+	rm -f run.ajob* >& /dev/null
+	rm -f done.ajob* >& /dev/null
+	echo $a $np | ../../bin/gen_ximprove >& gen_ximprove.log
+
+	if [[ -e ajob1 ]]; then
+	    make madevent > /dev/null
+	    chmod +x ajob*
+	    for job in ajob*  ; do
+	      touch wait.$job
+	      if [[ $mode == 1 ]]; then
+		$qsub -N $n $job>> ../../running_jobs
+	      elif [[ $mode == 2 ]]; then
+		../../bin/multicore $n $job
+		sleep 1
+	      else
+		nice ./$job > /dev/null
+		../../bin/sum_html >/dev/null
+	      fi
+	    done
+	fi
+
+	cd ..
+	if [[ $mode == 0  ]]; then 
+	    ../bin/sum_html 
+	fi
+    done
+#    echo "r=" $r >& randinit
+else
+    echo "Error unable to find SubProcesses directory"
+    exit
+fi
+if [[ $mode -ge 1 ]]; then
+    $dirbin/monitor $5
+fi
+    cd ../SubProcesses
+    echo "Combining runs" >& ../status
+    ../bin/sumall
+cd ..
+$dirbin/gen_crossxhtml-pl $5

=== added file 'Template/bin/refine4grid'
--- Template/bin/refine4grid	1970-01-01 00:00:00 +0000
+++ Template/bin/refine4grid	2010-10-30 03:26:37 +0000
@@ -0,0 +1,116 @@
+#!/bin/bash
+#
+#  After a survey has been run and created results.dat to determine
+#  which channels in each process are important, this routine can 
+#  run to give an accurate integration of the cross section.
+#
+#  Usage: integrate accuracy parallel [name]
+#
+#  
+#   First we need to get into the main directory
+#
+if [[  ! -d ./bin  ]]; then
+    cd ../
+    if [[ ! -d ./bin ]]; then
+	echo "refine must be executed from the main, or bin directory"
+	exit
+    fi
+fi
+#
+#  Now let shell know where to find important executables
+#
+main=`pwd`
+dirbin=$main/bin
+# Begin Local versions
+# set dirbin = /home/tstelzer/bin/MG_ME
+# End Local versions 
+qsub=qsub
+
+if [[  "$1" == ""  ]]; then
+    echo 'Desired accuracy (< 1), or number of unweighted events (>1)' 
+    read a 
+else
+    a=$1
+fi
+if [[  "$2" == ""  ]]; then
+    echo 'Enter 1 for parallel 0 for serial run' 
+     read p 
+else
+     p=$2
+fi
+np=1
+if [[  $p -gt 0 ]]; then
+   if [[  "$3" == ""  ]]; then
+    echo 'Enter name for jobs on pbs queue'
+       read n
+   else
+       n=$3
+   fi
+   if [[ $# -gt 3 ]]; then
+      np=$4
+   fi
+fi
+#if [[ -d Source ]]; then
+#    echo "Compiling Libraries" >& status
+#    cd Source
+#    make ../bin/sum_html >& /dev/null
+#    make ../bin/gen_ximprove >&/dev/null
+#    make all >& /dev/null
+#    cd ..
+#else
+#    echo 'Error Source directory not found'
+#    exit
+#fi
+if [[ -d SubProcesses ]]; then
+    if [[  $p -gt 0 ]]; then    
+	echo "Creating Jobs" >& status
+    else
+	echo " " >& status
+    fi
+    cd SubProcesses
+    r=0
+    if [[ -e randinit ]]; then
+	source ./randinit
+    fi
+#    echo "Using random number seed offset = " $r
+    for i in `cat subproc.mg` ; do
+	cd $i
+	echo $i
+#	rm -f ajob* >& /dev/null	
+#	rm -f wait.ajob* >& /dev/null
+#	rm -f run.ajob* >& /dev/null
+#	rm -f done.ajob* >& /dev/null
+	echo $a $np | ../../bin/gen_ximprove >& gen_ximprove.log
+
+	if [[ -e ajob1 ]]; then
+#	    make madevent > /dev/null
+	    chmod +x ajob*
+	    for j in ajob*  ; do
+	      touch wait.$j
+	      if [[ $p == 1 ]]; then
+		$qsub -N $n $j>> ../../running_jobs
+	      else
+		nice ./$j > /dev/null
+		../../bin/sum_html >/dev/null
+	      fi
+	    done
+	fi
+
+	cd ..
+	if [[ $p == 0  ]]; then 
+	    ../bin/sum_html 
+	fi
+    done
+#    echo "r=" $r >& randinit
+else
+    echo "Error unable to find SubProcesses directory"
+    exit
+fi
+if [[ $p == 1 ]]; then
+    $dirbin/monitor $5
+fi
+    cd ../SubProcesses
+    echo "Combining runs" >& ../status
+    ../bin/sumall
+cd ..
+$dirbin/gen_crossxhtml-pl $5

=== added file 'Template/bin/remove'
--- Template/bin/remove	1970-01-01 00:00:00 +0000
+++ Template/bin/remove	2010-10-30 03:26:37 +0000
@@ -0,0 +1,60 @@
+#!/bin/bash
+#  
+#   First we need to get into the main directory
+#
+if [[  ! -d ./bin  ]]; then
+    cd ../
+    if [[ ! -d ./bin ]]; then
+	echo "Error: store must be executed from the main, or bin directory"
+	exit
+    fi
+fi
+if [[ ! -d SubProcesses ]]; then
+    echo "Error: SubProcesses directory not found"
+    exit
+fi
+cd SubProcesses
+if [[  "$1" == ""  ]]; then
+    echo 'Enter you must specify a name of files to remove. (eg store TeV)'     
+    exit
+fi
+files='results.dat ftn25 ftn99 log.txt'
+
+if [[ -e $1_results.html ]]; then
+    rm -f $1_results.html
+fi
+
+for i in P*_*_* ; do
+    if [[ ! -d $i ]]; then
+       continue
+    fi
+    cd $i
+    echo $i
+    if [[ -e $1_results.html ]]; then
+	rm -f $1_results.html
+    fi
+
+    for k in G* ; do
+	if [[ ! -d $k ]]; then
+	    continue
+	fi
+	cd $k
+	for j in $files ; do
+	    if [[ -e $1_$j ]]; then
+		rm -f $1_$j >& /dev/null
+	    fi
+	done
+	rm -f $1_events.lhe.gz >& /dev/null
+	rm -f $1_ftn25.gz  >&/dev/null
+	rm -f $1_ftn99.gz  >&/dev/null
+	cd ../
+    done
+    cd ../
+done
+cd ../
+./bin/gen_cardhtml-pl
+rm -f Events/$1_events.lhe*
+rm -f Events/$1_unweighted_events.lhe*
+rm -rf Events/$1_Resultdir
+
+

=== added file 'Template/bin/replace.pl'
--- Template/bin/replace.pl	1970-01-01 00:00:00 +0000
+++ Template/bin/replace.pl	2010-10-30 03:26:37 +0000
@@ -0,0 +1,187 @@
+#!/usr/bin/perl -w
+
+################################################################################
+# replace.pl
+#  Johan Alwall (alwall@slac.stanford.edu)
+#
+# DESCRIPTION : script to replace particle codes in MG/ME event files
+# USAGE :
+# replace.pl infile.lhe outfile.lhe
+# Asks for list of particles to replace. To replace electrons and neutrinos
+# with electrons, muons and taus, give
+# 11: 11 13 15
+# -12: -12 -14 -16
+# done
+# To replace electrons and positrons in W-W+ pair production please run
+# script twice, ones for the e-/ve~, once for e+/ve.
+# Automatically increases cross section with correct factor.
+################################################################################
+
+use Compress::Zlib;
+use List::Util qw[min max];
+
+print "Running script replace.pl to replace particle codes in event file.\n";
+
+###########################################################################
+# Initialisation
+###########################################################################
+# Set tag names for later
+my $begin_header = '<header>';
+my $end_header   = '</header>';
+my $begin_event  = '<event>';
+my $end_event    = '</event>';
+my $begin_init   = '<init>';
+my $end_init     = '</init>';
+
+# Parse the command line arguments
+if ( $#ARGV != 1 ) {
+  die "Usage: replace.pl infile.lhe outfile.lhe\n";
+}
+my $outfile = pop(@ARGV);
+my $infile = pop(@ARGV);
+
+open INFILE, "<$infile" or die ("Error: Couldn't open file $infile\n");
+
+###########################################################################
+# Read which particles to replace
+###########################################################################
+
+print "Enter particles to be replaced in syntax PID : PID1 PID2 PID3 ...\n";
+print "(note that they will be replaced together, so must be same number of\n";
+print " particles in each line)\n";
+print "Enter \"done\" or <return> when ready\n";
+$line=<STDIN>;
+my %particles;
+my $nparts=0;
+my $i=0;
+
+while ($line !~ m/^\s*done\s*$/i && $line !~ m/^\s*$/){
+    # Remove leading whitespace
+    $line  =~ s/^\s+//;
+    if($line =~ m/^(-?\d+)\s*\:\s*((-?\d+\s+)+)/){
+	@tmp = split (/\s+/,$2);
+	if($i == 0) { $nparts = $#tmp+1; }
+	elsif($#tmp+1 != $nparts){
+	    die "Error: Not same number of particles in each replace: ",$#tmp+1," $nparts\n";
+	}
+	$i = $1;
+	$particles{$i}=[ @tmp ];
+	print "Replacing $i with @{$particles{$i}}\n";
+    }
+    elsif($line !~ m/^#/){
+	print "Please use syntax PID1 : PID2 PID3 ... or \"done\" or <return> when ready\n";
+    }
+    $line=<STDIN>;
+}
+@keys = keys %particles;
+if($#keys < 0) {die "Error: No particles to replace\n";}
+print "Multiplying cross section and weight by $nparts\n";
+
+###########################################################################
+# Go through file and perform replacements
+###########################################################################
+
+open OUTFILE, ">$outfile" or die ("Error: Couldn't open file $outfile for writing\n");
+
+# No. events and cross-section numbers file
+$nevents = $xsec = $trunc = $unitwgt = -1;
+
+# Keep track in which block we are
+$initblock = 0;
+$headerblock = 0;
+$eventblock = 0;
+$eventcount = 0;
+$rdnseed = 0;
+
+while (my $line = <INFILE>) {
+
+    # Extract <MGGenerationInfo> information
+    if ($line =~ m/$end_header/) { 
+	if($nevents == -1 || $xsec == -1 || $trunc == -1 || $unitwgt == -1) {
+	    die "Error: Couldn't find number of events and cross section in $infile.\n";
+	}
+	$headerblock = 0; 
+	print OUTFILE "<ReplaceParticleInfo>\n";
+	printf OUTFILE "#  Number of Events        : %11i\n",$nevents;
+	printf OUTFILE "#  Integrated weight (pb)  : %11.4E\n",$xsec;
+	printf OUTFILE "#  Truncated wgt (pb)      : %11.4E\n",$trunc;
+	printf OUTFILE "#  Unit wgt                : %11.4E\n",$unitwgt;
+	if($rdnseed > 0){
+	    print OUTFILE " ", $rdnseed+1, "  = gseed ! Random seed for next iteration of replace.pl\n";}
+	print OUTFILE "</ReplaceParticleInfo>\n";
+	if($rdnseed > 0) {print "Initialize random seed with $rdnseed\n";srand($rdnseed);}
+	else {print "Warning: Random seed 0, use default random seed (unreproducible)\n";}
+    }
+    if ($line =~ m/$end_init/) { $initblock=0; }
+    if ($line =~ m/$end_event/) { 
+	$eventcount++;
+	$eventblock=0; 
+    }
+    
+    if ($headerblock == 1) {
+	# In header
+	if ($line =~ m/^#\s+Number of Events\s*:\s*(.*)\n/) { $nevents = $1; }
+	if ($line =~ m/^#\s+Integrated weight \(pb\)\s*:\s*(.*)\n/) { $xsec = $1*$nparts; }
+	if ($line =~ m/^#\s+Truncated wgt \(pb\)\s*:\s*(.*)\n/) { $trunc = $1*$nparts; }
+	if ($line =~ m/^#\s+Unit wgt\s*:\s*(.*)\n/) { $unitwgt = $1*$nparts; }
+	if ($line =~ m/^\s*(\d+)\s*=\s*gseed/) { $rdnseed = $1; }
+    } elsif ($initblock > 0) {
+	# In <init> block
+
+	if($initblock > 1) {
+	# Remove leading whitespace and split
+	    $line  =~ s/^\s+//;
+	    @param = split(/\s+/, $line);
+	    if ($#param != 3) { die "Error: Wrong number of params in init ($#param)"; }
+	    $param[0]*=$nparts;
+	    $param[1]*=$nparts;
+	    $param[2]*=$nparts;
+	    $line = sprintf " %18.11E %18.11E %18.11E %3i\n",$param[0],$param[1],$param[2],$param[3];
+	}
+	$initblock++;
+
+    } elsif ($eventblock > 0) {
+	# In <event> block
+	# Remove leading whitespace and split
+	$line  =~ m/^\s+(.*)/;
+	if($line=~/^\#/){
+	#    print OUTFILE $line;
+	}
+	else{
+	    @param = split(/\s+/, $1);
+	    if($eventblock == 1){
+		if ($#param != 5) { die "Error: Wrong number of params in event $eventcount \($#param / 5\)"; }
+		$param[2]*=$nparts;
+		$line = sprintf "%2i %3i %13.6E %13.6E %13.6E %13.6E\n",$param[0],$param[1],$param[2],$param[3],$param[4],$param[5];
+		
+		# Randomly choose a particle from the lists
+		$rnumber = int(rand($nparts));
+	    }
+	    else {
+#	    @param = split(/\s+/, $1);
+		if ($#param != 12) { die "Error: Wrong number of params in event $eventcount \($#param / 12\)"; }
+		if($particles{$param[0]}){
+		    $line = sprintf "%9i %4i %4i %4i %4i %4i %18.10E %18.10E %18.10E %18.10E %18.10E %1.0f. %2.0f.\n",
+		    $particles{$param[0]}[$rnumber],$param[1],$param[2],$param[3],$param[4],$param[5],$param[6],$param[7],$param[8],$param[9],$param[10],$param[11],$param[12];
+		}
+	    }
+	}
+	$eventblock++;
+    }
+	    
+    if ($line =~ m/$begin_header/) { $headerblock = 1; }
+    if ($line =~ m/$begin_init/) { $initblock=1; }
+    if ($line =~ m/$begin_event/) { $eventblock=1; }
+
+    print OUTFILE "$line";
+}
+
+close OUTFILE;
+close INFILE;
+
+print "Wrote $eventcount events\n";
+if( $eventcount < $nevents ) { print "Warning: $infile ended early\n"; }
+
+exit(0);
+
+

=== added file 'Template/bin/restore_data'
--- Template/bin/restore_data	1970-01-01 00:00:00 +0000
+++ Template/bin/restore_data	2010-10-30 03:26:37 +0000
@@ -0,0 +1,64 @@
+#!/bin/bash
+#
+#   Routine to copy all of the necessary results.dat files
+#   into the appropriate location so gen_grid_jobs has necessary
+#   information
+#
+#  
+#   First we need to get into the main directory
+#
+if [[  ! -d ./bin  ]]; then
+    cd ../
+    if [[ ! -d ./bin ]]; then
+	echo "Error: store must be executed from the main, or bin directory"
+	exit
+    fi
+fi
+if [[ ! -d SubProcesses ]]; then
+    echo "Error: SubProcesses directory not found"
+    exit
+fi
+cd SubProcesses
+if [[  "$1" == ""  ]]; then
+    echo 'Enter you must specify a name to store files under. (eg restore_data TeV)'     
+    exit
+fi
+
+
+if [[  "$1" == ""  ]]; then
+    echo 'Enter you must specify a name to store files under. (eg restore_data TeV)'     
+    exit
+fi
+
+
+cp  $1_results.dat results.dat  >& /dev/null
+for i in `cat subproc.mg` ; do
+    cd $i
+    echo $i
+    rm -f ftn25 ftn26 >& /dev/null
+    cp $1_results.dat results.dat  >& /dev/null
+    for k in G* ; do
+	if [[ ! -d $k ]]; then
+	    continue
+	fi
+	cd $k
+	for j in $1_results.dat ; do
+	    if [[ -e $j ]] ; then
+		cp  $j results.dat
+	    fi
+	done
+	for j in $1_ftn26.gz ; do
+	    if [[ -e $j ]]; then
+		rm -f ftn26 >& /dev/null
+		rm -f $1_ftn26 >& /dev/null
+		gunzip $j
+		cp $1_ftn26 ftn26
+		gzip $1_ftn26
+	    fi
+	done
+	cd ../
+    done
+    cd ../
+done
+
+

=== added file 'Template/bin/rmrun'
--- Template/bin/rmrun	1970-01-01 00:00:00 +0000
+++ Template/bin/rmrun	2010-10-30 03:26:37 +0000
@@ -0,0 +1,53 @@
+#!/bin/bash
+#  
+#   First we need to get into the main directory
+#
+if [[  ! -d ./bin  ]]; then
+    cd ../
+    if [[ ! -d ./bin ]]; then
+	echo "Error: store must be executed from the main, or bin directory"
+	exit
+    fi
+fi
+
+if [[  "$1" == ""  ]]; then
+    echo 'Enter you must specify a name of the run to remove. (eg rmrun run_01)'     
+    exit
+fi
+
+if [[ ! -d Events ]]; then
+    echo "Error: Events directory not found"
+    exit
+fi
+
+# Remove the run from the Events directory
+cd Events;rm -rf `find . -name "$1*"|grep -v banner`;cd ..
+
+if [[ ! -d SubProcesses ]]; then
+    echo "Error: SubProcesses directory not found"
+    exit
+fi
+
+# Remove the run from the SubProcesses directory
+cd SubProcesses
+rm -f $1*
+for i in `cat subproc.mg` ; do
+    cd $i
+    echo $i
+    rm -f $1*
+
+    for k in G* ; do
+	if [[ ! -d $k ]]; then
+	    continue
+	fi
+	cd $k
+	rm -f $1*
+
+	cd ../
+    done
+    cd ../
+done
+cd ../
+./bin/gen_cardhtml-pl
+./bin/gen_crossxhtml-pl
+

=== added file 'Template/bin/run.sh'
--- Template/bin/run.sh	1970-01-01 00:00:00 +0000
+++ Template/bin/run.sh	2010-10-30 03:26:37 +0000
@@ -0,0 +1,107 @@
+#!/bin/bash
+
+#############################################################################
+#                                                                          ##
+#                    MadGraph/MadEvent                                     ##
+#                                                                          ##
+# FILE : run.sh                                                            ##
+# VERSION : 1.0                                                            ##
+# DATE : 29 January 2008                                                   ##
+# AUTHOR : Michel Herquet (UCL-CP3)                                        ##
+#                                                                          ##
+# DESCRIPTION : script to save command line param in a grid card and       ##
+#   call gridrun                                                           ##
+# USAGE : run [num_events] [iseed]                                         ##
+#############################################################################
+
+if [[ ! -d ./madevent ]]; then
+        echo "Error: no madevent directory found !"
+        exit
+fi
+
+export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${PWD}/madevent/lib
+
+card=./madevent/Cards/grid_card.dat
+
+
+if [[  ($1 != "") && ("$2" != "") && ("$3" == "") ]]; then
+   num_events=$1
+   seed=$2
+   echo "Updating grid_card.dat..."
+   sed -i.bak "s/\s*\d*.*gevents/  $num_events = gevents/g" $card
+   sed -i.bak "s/\s*\d*.*gseed/  $seed = gseed/g" $card
+   gran=`awk '/^[^#].*=.*ngran/{print $1}' $card`
+elif [[  ($1 != "") && ("$2" != "") && ("$3" != "") ]]; then
+   num_events=$1
+   seed=$2
+   gran=$3
+   echo "Updating grid_card.dat..."
+   sed -i.bak "s/\s*\d*.*gevents/  $num_events = gevents/g" $card
+   sed -i.bak "s/\s*\d*.*gseed/  $seed = gseed/g" $card
+   sed -i.bak "s/\s*\d*.*ngran/  $gran = ngran/g" $card
+else
+   echo "Warning: input is not correct, using values from the grid_card.dat."
+   if [[ ! -e $card ]]; then
+        echo "Error: $card not found !"
+        exit
+   fi
+   num_events=`awk '/^[^#].*=.*gevents/{print $1}' $card`
+   seed=`awk '/^[^#].*=.*gseed/{print $1}' $card`
+   gran=`awk '/^[^#].*=.*ngran/{print $1}' $card`
+fi
+
+
+echo "Now generating $num_events events with random seed $seed and granularity $gran"
+
+
+if [[ ! -x ./madevent/bin/gridrun ]]; then
+    echo "Error: gridrun script not found !"
+    exit
+else
+    cd ./madevent
+    ./bin/gridrun
+fi
+
+if [[ ! -e ./Events/unweighted_events.lhe ]]; then
+    echo "Error: event file not found !"
+    exit
+else
+    echo "Moving events"
+    mv ./Events/unweighted_events.lhe ../events.lhe
+    cd ..
+fi
+
+if [[ -e ./DECAY/decay ]]; then
+    cd DECAY
+    echo -$seed > iseed.dat
+    for ((i = 1 ;  i <= 20;  i++)) ; do
+	if [[ -e decay_$i\.in ]]; then
+	    echo "Decaying events..."
+	    mv ../events.lhe ../events_in.lhe
+	    ./decay < decay_$i\.in
+	fi
+    done
+    cd ..
+fi
+
+if [[ -e ./REPLACE/replace.pl ]]; then
+    for ((i = 1 ;  i <= 20;  i++)) ; do
+	if [[ -e ./REPLACE/replace_card$i\.dat ]];then
+	    echo "Adding flavors..."
+	    mv ./events.lhe ./events_in.lhe
+	    cd ./REPLACE
+	    ./replace.pl ../events_in.lhe ../events.lhe < replace_card$i\.dat
+	    cd ..
+	fi
+    done
+fi
+
+# part added by Stephen Mrenna to correct the kinematics of the replaced
+#  particles
+if [[ -e ./madevent/bin/addmasses.py ]]; then
+  mv ./events.lhe ./events.lhe.0
+  python ./madevent/bin/addmasses.py ./events.lhe.0 ./events.lhe
+fi  
+
+gzip -f events.lhe
+exit

=== added file 'Template/bin/run_combine'
--- Template/bin/run_combine	1970-01-01 00:00:00 +0000
+++ Template/bin/run_combine	2010-10-30 03:26:37 +0000
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+p=$1
+
+rm -f combine.log > /dev/null
+rm -f combine.err > /dev/null
+rm -f combine.out > /dev/null
+if [ "$p" = "1" ] 
+then
+echo '#!/bin/bash' > combine.pbs
+echo 'if [[ "$PBS_O_WORKDIR" != "" ]]; then' >> combine.pbs
+echo '    cd $PBS_O_WORKDIR' >> combine.pbs
+echo 'fi' >> combine.pbs
+echo "../bin/combine_events;touch combine.out" >> combine.pbs
+chmod u+x combine.pbs
+qsub -N combine_run -e combine.err -o combine.log -V -q madgraph combine.pbs >> ../running_jobs 
+while [ ! -e combine.out ]
+do
+  sleep 1
+done  
+rm -f combine.pbs
+cat combine.log
+cat combine.err
+
+else
+../bin/combine_events 
+fi
+
+# Remove huge scratch file
+rm -f scratch

=== added file 'Template/bin/run_delphes'
--- Template/bin/run_delphes	1970-01-01 00:00:00 +0000
+++ Template/bin/run_delphes	2010-10-30 03:26:37 +0000
@@ -0,0 +1,94 @@
+#!/bin/bash
+#
+#  This runs pgs on the pythia_events.hep
+#
+#  Usage: run_pgs [pgsdir [para/serial [run_name]]]
+#  where pgsdir is the path to the pgs executable
+
+if [ "$1" != "" ]
+then
+  delphesdir=$1
+else
+  delphesdir=../../Delphes
+fi
+
+main=`pwd`
+p=$2
+run=$3
+
+if [ ! -e ../Cards/delphes_card.dat ]; then
+  echo "No delphes_card.dat found. Quitting..."
+  exit
+fi
+
+if [ ! -e $delphesdir/Delphes ]; then
+  echo "No Delphes executable found. Quitting..."
+  exit
+fi
+
+echo $$ >> ../myprocid
+
+if [ "$run" != "" ]; then
+  if [ ! -e ${run}_pythia_events.hep.gz ]; then
+    echo "No file  ${run}_pythia_events.hep.gz. Quitting..."
+    exit
+  fi
+  echo gunzip ${run}_pythia_events.hep.gz
+  gunzip -c ${run}_pythia_events.hep.gz > pythia_events.hep
+  echo Running Delphes
+fi
+
+rm -f delphes.log > /dev/null
+rm -f delphes.err > /dev/null
+rm -f delphes.out > /dev/null
+
+echo pythia_events.hep > inputfiles.list
+
+# Set delphes path in delphes_card.dat
+
+sed -e "s:DELPHESDIR:$delphesdir:g" ../Cards/delphes_card.dat > ../Cards/tmp_card.dat
+
+if [ "$p" = "1" ]; then
+  echo '#!/bin/bash' > delphes.pbs
+  echo "cd $main;$delphesdir/Delphes inputfiles.list delphes.root ../Cards/tmp_card.dat ../Cards/delphes_trigger.dat;$delphesdir/LHCO_Only delphes.root;touch delphes.out" >> delphes.pbs
+  chmod u+x delphes.pbs
+  qsub -N delphes_run -e delphes.err -o delphes.log -V -q madgraph delphes.pbs >> ../running_jobs 
+
+  while [ ! -e delphes.out ]; do
+    sleep 5
+  done  
+  rm delphes.pbs
+else
+  $delphesdir/Delphes inputfiles.list delphes.root ../Cards/tmp_card.dat ../Cards/delphes_trigger.dat >& delphes.log
+  $delphesdir/LHCO_Only delphes.root >> delphes.log
+fi
+
+if [[ -e delphes.err ]];then
+  cat delphes.err
+fi
+
+if [ "$run" != "" ]; then
+  if [ -e delphes_events.lhco ]; then
+   echo Storing files
+   echo Storing Delphes files > ../status
+    ../bin/gen_crossxhtml-pl $run
+# delphes_card.dat
+   if [ -e ../Cards/delphes_card.dat ]; then
+     echo "<MGDelphesCard>" >>${run}_banner.txt
+     cat ../Cards/delphes_card.dat   >> ${run}_banner.txt
+     echo "</MGDelphesCard>" >>${run}_banner.txt
+     echo "<MGDelphesTrigger>" >>${run}_banner.txt
+     cat ../Cards/delphes_trigger.dat   >> ${run}_banner.txt
+     echo "</MGDelphesTrigger>" >>${run}_banner.txt
+   fi
+# write the delphes banner
+    sed -e "s/^/#/g" ${run}_banner.txt > temp.dat
+    cat delphes_events.lhco >> temp.dat
+    rm -f delphes_events.lhco
+    mv -f temp.dat ${run}_delphes_events.lhco
+    gzip -f ${run}_delphes_events.lhco
+    mv -f delphes_run.log ${run}_delphes.log
+    mv -f delphes.root ${run}_delphes_events.root
+  fi
+  rm -f pythia_events.hep
+fi

=== added file 'Template/bin/run_genissud'
--- Template/bin/run_genissud	1970-01-01 00:00:00 +0000
+++ Template/bin/run_genissud	2010-10-30 03:26:37 +0000
@@ -0,0 +1,87 @@
+#!/bin/bash
+#  This generates a grid file for the present choice of run_card
+#
+#  Usage: run_genissud [para/serial]
+
+qsub="qsub -N pythia_run -V -q madgraph"
+
+p=0
+if [ "$1" != "" ];then
+  p=$1
+fi
+
+if [ ! -e Cards/run_card.dat ]; then
+  echo "No Cards/run_card.dat found. Quitting..."
+  exit
+fi
+
+e1=`awk '/^[^#].*=.*ebeam1/{print $1}' Cards/run_card.dat`
+e2=`awk '/^[^#].*=.*ebeam2/{print $1}' Cards/run_card.dat`
+pd=`awk '/^[^#].*=.*pdlabel/{print $1}' Cards/run_card.dat`
+lha=`awk '/^[^#].*=.*lhaid/{print $1}' Cards/run_card.dat`
+xq=`awk '/^[^#].*=.*xqcut/{print $1}' Cards/run_card.dat`
+
+# Remove ':s from pd
+pd=${pd#\'*}
+pd=${pd%*\'}
+
+if [[ $xq -gt 2 || $xq -eq 0 ]];then
+  xq=2
+fi
+
+outfile=lib/issudgrid-$e1-$e2-$pd-$xq.dat
+if [ "$pd" = "lhapdf" ];then
+  outfile=lib/issudgrid-$e1-$e2-$pd-$lha-$xq.dat
+fi
+
+if [ -e $outfile.gz ];then
+  echo "File $outfile.gz already exists, no need to regenerate"
+  exit
+fi
+
+if [[ ! -e bin/gensudgrid ]];then
+  cd Source;make ../bin/gensudgrid;cd ..
+fi
+
+echo "Generating $outfile"
+
+main=`pwd`
+rm -f myprocid running_jobs
+echo $$ >> myprocid
+
+if [ "$p" = "1" ]; then 
+  for i in -2 -1 0 1 2 3 4 5;do
+    rm -f donegen$i rungen$i waitgen$i gensudgrid$i.log gensudgrid$i.pbs gen$i.log
+    echo '#!/bin/bash' > gensudgrid$i.pbs
+    touch waitgen$i
+    echo "cd $main;rm waitgen$i;touch rungen$i;bin/gensudgrid $i > gensudgrid$i.log;rm rungen$i;touch donegen$i" >> gensudgrid$i.pbs
+    chmod u+x gensudgrid$i.pbs
+    $qsub -e gensudgrid$i.err -o gen$i.log gensudgrid$i.pbs >> running_jobs
+  done
+  t=`find ./ -name "gensudgrid*.pbs" -maxdepth 1 |wc -l`
+  r=`find ./ -name "rungen*" -maxdepth 1 |wc -l`
+  w=`find ./ -name "waitgen*" -maxdepth 1 |wc -l`
+  d=`find ./ -name "donegen*" -maxdepth 1 |wc -l`
+  echo "waiting while finishing jobs on cluster"
+  echo $w $r $d $t
+  while [[  $d -lt $t  ]]; do    
+      sleep 10
+      t=`find ./ -name "gensudgrid*.pbs" -maxdepth 1 |wc -l`
+      r=`find ./ -name "rungen*" -maxdepth 1 |wc -l`
+      w=`find ./ -name "waitgen*" -maxdepth 1 |wc -l`
+      d=`find ./ -name "donegen*" -maxdepth 1 |wc -l`
+      echo $w $r $d $t
+  done
+  rm -f gensudgrid*.pbs donegen*
+else
+  for i in -2 -1 0 1 2 3 4 5;do
+    echo "Generating grid for parton number $i"
+    bin/gensudgrid $i > gensudgrid$i.log
+  done
+fi
+
+for i in -2 -1 0 1 2 3 4 5;do
+  cat gensudgrid$i.log >> $outfile
+  gzip $outfile
+  rm gensudgrid$i.log
+done

=== added file 'Template/bin/run_hep2lhe'
--- Template/bin/run_hep2lhe	1970-01-01 00:00:00 +0000
+++ Template/bin/run_hep2lhe	2010-10-30 03:26:37 +0000
@@ -0,0 +1,91 @@
+#!/bin/bash
+#
+#  This runs hep2lhe on the unweighted_events.dat
+#
+#  Usage: run_hep2lhe [pydir [para/serial [run_name]]]
+#  where pydir is the path to the hep2lhe executable
+
+if [ "$1" != "" ]
+then
+  pydir=$1
+else
+  pydir=../../pythia-pgs/src
+fi
+
+p=$2
+run=$3
+main=`pwd`
+
+if [ ! -e ../Cards/pythia_card.dat ]; then
+  echo "No pythia_card.dat found. Quitting..."
+  exit
+fi
+
+echo $$ >> ../myprocid
+
+if [ "$run" != "" ]; then
+  if [ ! -e ${run}_pythia_events.hep.gz ]; then
+    echo "No file  ${run}_pythia_events.hep.gz. Quitting..."
+    exit
+  fi
+  echo gunzip ${run}_pythia_events.hep.gz
+  gunzip -c ${run}_pythia_events.hep.gz > pythia_events.hep
+fi
+
+rm -f hep2lhe.log > /dev/null
+rm -f hep2lhe.err > /dev/null
+rm -f hep2lhe.out > /dev/null
+
+echo "Running hep2lhe"
+if [ "$p" = "1" ]; 
+then 
+echo '#!/bin/bash' > hep2lhe.pbs
+echo "cd $main;$pydir/hep2lhe;touch hep2lhe.out" >> hep2lhe.pbs
+chmod u+x hep2lhe.pbs
+qsub -N hep2lhe_run -e hep2lhe.err -o hep2lhe.log -V -q madgraph hep2lhe.pbs >> ../running_jobs
+while [ ! -e hep2lhe.out ]
+do
+  sleep 5
+done
+rm -f hep2lhe.pbs
+else
+$pydir/hep2lhe >& hep2lhe.log
+fi
+
+echo "pythia_events.lhe file generated, with simple jet clustering"
+echo "Warning! Never use this file for detector studies!"
+
+if [ -e pythia_events.lhe ] && [ -e pythia_events.init ]; then
+   echo "<LesHouchesEvents version=\"1.0\">" > temp.lhe
+   cat pythia_events.init >> temp.lhe
+   cat pythia_events.lhe >> temp.lhe
+   mv temp.lhe pythia_events.lhe
+   rm pythia_events.init
+fi
+
+if [ "$run" != "" ]; then
+  echo "Storing files"
+  if [ -e pythia_events.lhe ]; then
+# pythia_card.dat
+   echo "#>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>" >> ${run}_banner.txt
+   echo "# Begin pythia_card.dat" >>${run}_banner.txt
+   echo "#">>${run}_banner.txt
+   if [ -e ../Cards/pythia_card.dat ] ; then 
+      cat ../Cards/pythia_card.dat   >> ${run}_banner.txt
+   fi
+   echo "#" >> ${run}_banner.txt
+   echo "# End pythia_card.dat" >>${run}_banner.txt
+   echo "#<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<">>${run}_banner.txt
+   echo \<LesHouchesEvents version=\"1.0\"\> > temp.lhe
+   echo \<\!-- >> temp.lhe
+   echo "# Warning\! Never use this file for detector studies\!" >> temp.lhe
+   echo --\> >> temp.lhe
+   cat ${run}_banner.txt >> temp.lhe
+   sed /'<LesHouchesEvents version=\"1.0\">'/s//'-->'/ pythia_events.lhe >> temp.lhe
+   rm pythia_events.lhe
+   mv -f temp.lhe ${run}_pythia_events.lhe
+   gzip -f ${run}_pythia_events.lhe
+   mv -f hep2lhe.log ${run}_hep2lhe.log
+  fi
+  rm -f pythia_events.hep  
+fi

=== added file 'Template/bin/run_pgs'
--- Template/bin/run_pgs	1970-01-01 00:00:00 +0000
+++ Template/bin/run_pgs	2010-10-30 03:26:37 +0000
@@ -0,0 +1,107 @@
+#!/bin/bash
+#
+#  This runs pgs on the pythia_events.hep
+#
+#  Usage: run_pgs [pgsdir [para/serial [run_name]]]
+#  where pgsdir is the path to the pgs executable
+
+if [ "$1" != "" ]
+then
+  pgsdir=$1
+else
+  pgsdir=../../pythia-pgs/src
+fi
+
+main=`pwd`
+p=$2
+run=$3
+
+if [ "$4" != "" ]
+then
+  ERAdir=$4
+else
+  ERAdir=../../ExRootAnalysis
+fi
+
+if [ ! -e ../Cards/pgs_card.dat ]; then
+  echo "No pgs_card.dat found. Quitting..."
+  exit
+fi
+
+echo $$ >> ../myprocid
+
+if [ "$run" != "" ]; then
+  if [ ! -e ${run}_pythia_events.hep.gz ]; then
+    echo "No file  ${run}_pythia_events.hep.gz. Quitting..."
+    exit
+  fi
+  echo gunzip ${run}_pythia_events.hep.gz
+  gunzip -c ${run}_pythia_events.hep.gz > pythia_events.hep
+  echo Running PGS
+fi
+
+export PDG_MASS_TBL=$pgsdir/mass_width_2004.mc
+
+rm -f pgs.log > /dev/null
+rm -f pgs.err > /dev/null
+rm -f pgs.out > /dev/null
+
+if [ "$p" = "1" ]; then
+  echo '#!/bin/bash' > pgs.pbs
+  echo "export PDG_MASS_TBL=$pgsdir/mass_width_2004.mc;cd $main;$pgsdir/pgs --stdhep pythia_events.hep --nev 100000 --L0 --detector ../Cards/pgs_card.dat pgs_uncleaned_events.lhco;$pgsdir/clean_output -muon pgs_uncleaned_events.lhco pgs_events.lhco;touch pgs.out" >> pgs.pbs
+  chmod u+x pgs.pbs
+  qsub -N pgs_run -e pgs.err -o pgs.log -V -q madgraph pgs.pbs >> ../running_jobs 
+
+  while [ ! -e pgs.out ]; do
+    sleep 5
+  done  
+  rm pgs.pbs
+else
+  $pgsdir/pgs  --stdhep pythia_events.hep --nev 100000 --L0 --detector ../Cards/pgs_card.dat pgs_uncleaned_events.lhco >& pgs.log
+  $pgsdir/clean_output -muon pgs_uncleaned_events.lhco pgs_events.lhco
+fi
+
+if [[ -e pgs.err ]];then
+cat pgs.err
+fi
+
+if [[ ! -e pgs_events.lhco && -e pgs_uncleaned_events.lhco ]];then
+    mv pgs_uncleaned_events.lhco pgs_events.lhco
+fi
+
+# Remove tauola output file
+rm -f fort.45 > /dev/null
+
+if [ "$run" != "" ]; then
+  if [ -e pgs_events.lhco ]; then
+    if [[ -x $ERAdir/ExRootLHCOlympicsConverter && -e pgs_events.lhco ]]; then
+      echo "Creating PGS Root File" > ../status
+      echo "Creating PGS Root File"
+      ../bin/gen_crossxhtml-pl $run
+      $ERAdir/ExRootLHCOlympicsConverter pgs_events.lhco ${run}_pgs_events.root
+    fi
+   echo Storing files
+   echo Storing PGS files > ../status
+    ../bin/gen_crossxhtml-pl $run
+# pgs_card.dat
+   if [ -e ../Cards/pgs_card.dat ]; then
+     echo "<MGPGSCard>" >>${run}_banner.txt
+     cat ../Cards/pgs_card.dat   >> ${run}_banner.txt
+     echo "</MGPGSCard>" >>${run}_banner.txt
+   fi
+# write the pgs banner
+    sed -e "s/^/#/g" ${run}_banner.txt > temp.dat
+    cat pgs_events.lhco >> temp.dat
+    rm -f pgs_events.lhco
+    mv -f temp.dat ${run}_pgs_events.lhco
+    gzip -f ${run}_pgs_events.lhco
+    if [ -e olympics.log ];then
+	mv -f olympics.log ${run}_pgs.log
+    else
+	mv -f pgs.log ${run}_pgs.log
+    fi
+    mv -f pgs_uncleaned_events.lhco ${run}_pgs_uncleaned_events.lhco
+    gzip -f ${run}_pgs_uncleaned_events.lhco
+  fi
+  rm -f pythia_events.hep
+fi

=== added file 'Template/bin/run_plot'
--- Template/bin/run_plot	1970-01-01 00:00:00 +0000
+++ Template/bin/run_plot	2010-10-30 03:26:37 +0000
@@ -0,0 +1,47 @@
+#!/bin/bash
+#
+#  This runs MadAnalysis on the unweighted_events.lhe
+#
+#  Usage: run_plot run_name [madir [tddir]]
+#  where madir is the path to the MadAnalysis package
+
+main=`pwd`
+
+if [ "$1" != "" ]
+then
+  run=$1
+else
+  echo "Usage: run_plot runname [MAdir [tddir]]"
+  exit
+fi
+
+if [ "$2" != "" ]
+then
+  MAdir=$main/$2
+else
+  MAdir=$main/../../MadAnalysis
+fi
+
+if [ "$3" != "" ]; then
+  td=$main/$3
+else
+  td=$main/../../td
+fi
+
+dirbin=$main/../bin
+
+if [[ $run != "" && -e ${run}_unweighted_events.lhe.gz ]];then
+    gunzip -c ${run}_unweighted_events.lhe.gz > unweighted_events.lhe
+fi
+
+if [[ (-x $MAdir/plot_events) && (-e unweighted_events.lhe) && (-e ../Cards/plot_card.dat) ]]; then
+    echo "Creating Plots"
+    mkdir $run
+    cd $run
+    echo "../unweighted_events.lhe" > events.list
+    $dirbin/plot $MAdir $td > plot.log
+    cd ..
+    $dirbin/plot_page-pl $run
+    mv plots.html ${run}_plots.html
+fi
+

=== added file 'Template/bin/run_pythia'
--- Template/bin/run_pythia	1970-01-01 00:00:00 +0000
+++ Template/bin/run_pythia	2010-10-30 03:26:37 +0000
@@ -0,0 +1,115 @@
+#!/bin/bash
+#
+#  This runs pythia on the unweighted_events.dat
+#
+#  Usage: run_pythia [pydir [para/serial [run_name]]]
+#  where pydir is the path to the pythia executable
+
+if [ "$1" != "" ]
+then
+  pydir=$1
+else
+  pydir=../../pythia-pgs/src
+fi
+
+p=$2
+run=$3
+main=`pwd`
+
+if [ "$4" != "" ]
+then
+  ERAdir=$4
+else
+  ERAdir=../../ExRootAnalysis
+fi
+
+if [ ! -e ../Cards/pythia_card.dat ]; then
+  echo "No pythia_card.dat found. Quitting..."
+  exit
+fi
+
+echo $$ >> ../myprocid
+
+if [ "$run" != "" ]; then
+  if [ ! -e ${run}_unweighted_events.lhe.gz ]; then
+    echo "No file  ${run}_unweighted_events.lhe.gz. Quitting..."
+    exit
+  fi
+  echo gunzip ${run}_unweighted_events.lhe.gz
+  gunzip -c ${run}_unweighted_events.lhe.gz > unweighted_events.lhe
+  echo Running Pythia
+fi
+
+# shower and hadronize event through Pythia
+
+echo " " >> ../Cards/pythia_card.dat
+echo "      LHAPATH=$pydir/PDFsets" >> ../Cards/pythia_card.dat
+export PDG_MASS_TBL=$pydir/mass_width_2004.mc
+rm -f pythia.log > /dev/null
+rm -f pythia.err > /dev/null
+rm -f pythia.out > /dev/null
+
+if [ "$p" = "1" ]; 
+then 
+echo '#!/bin/bash' > pythia.pbs
+echo "export PDG_MASS_TBL=$pydir/mass_width_2004.mc;cd $main;$pydir/pythia;touch pythia.out" >> pythia.pbs
+chmod u+x pythia.pbs
+qsub -N pythia_run -e pythia.err -o pythia.log -V -q madgraph pythia.pbs >> ../running_jobs
+while [ ! -e pythia.out ]
+do
+  sleep 5
+done
+rm -f pythia.pbs
+else
+$pydir/pythia >& pythia.log
+fi
+
+if [[ -e pythia.err ]];then
+  cat pythia.err
+fi
+
+if [ "$run" != "" ]; then
+  if [ -e pythia_events.hep ]; then
+    if [ -x $pydir/hep2lhe ]; then
+      echo "Creating Pythia LHE File" > ../status
+      echo "Creating Pythia LHE File"
+      ../bin/gen_crossxhtml-pl $run
+      ../bin/run_hep2lhe $pydir $p  
+    fi
+    if [[ -x $ERAdir/ExRootLHEFConverter && -e pythia_events.lhe ]]; then
+      echo "Creating Pythia LHE Root File" > ../status
+      echo "Creating Pythia LHE Root File"
+      ../bin/gen_crossxhtml-pl $run
+      $ERAdir/ExRootLHEFConverter pythia_events.lhe ${run}_pythia_lhe_events.root
+    fi
+    echo Storing files
+    echo Storing Pythia files > ../status
+    ../bin/gen_crossxhtml-pl $run
+    mv -f pythia_events.hep ${run}_pythia_events.hep
+    gzip -f ${run}_pythia_events.hep
+    mv -f pythia.log ${run}_pythia.log
+# pythia_card.dat
+   if [ -e ../Cards/pythia_card.dat ] ; then 
+      echo "<MGPythiaCard>" >>${run}_banner.txt
+      cat ../Cards/pythia_card.dat   >> ${run}_banner.txt
+      echo "</MGPythiaCard>" >>${run}_banner.txt
+   fi
+  fi
+  if [ -e events.tree ]; then
+    mv -f events.tree ${run}_events.tree
+    gzip -f ${run}_events.tree
+    mv -f xsecs.tree ${run}_xsecs.tree
+    mv -f beforeveto.tree ${run}_beforeveto.tree
+    gzip -f ${run}_beforeveto.tree
+  fi
+  if [ -e pythia_events.lhe ]; then
+    echo \<LesHouchesEvents version=\"1.0\"\> > temp.lhe
+    echo \<\!-- >> temp.lhe
+    cat ${run}_banner.txt >> temp.lhe
+    sed /'<LesHouchesEvents version=\"1.0\">'/s//'-->'/ pythia_events.lhe >> temp.lhe
+    rm -f pythia_events.lhe
+    mv -f temp.lhe ${run}_pythia_events.lhe
+    gzip -f ${run}_pythia_events.lhe
+  fi
+  rm -f unweighted_events.lhe  
+fi

=== added file 'Template/bin/setup_model-pl'
--- Template/bin/setup_model-pl	1970-01-01 00:00:00 +0000
+++ Template/bin/setup_model-pl	2010-10-30 03:26:37 +0000
@@ -0,0 +1,126 @@
+#!/usr/bin/perl -w
+#
+#    Make sure we are in the main directory, not bin
+#
+  if (-d "bin") {
+#      print "We are in main directory \n";
+  }
+  else{
+#      print "Not in correct directory \n";
+      chdir("../");
+      if (-d "bin") {
+#         print "We are in main directory \n";
+      }
+      else{
+          print "Error gen_indexhtml-pl must be run from main or bin directory \
+n";
+          exit;
+      }   
+  }  
+
+# Setting up the model 
+
+# 0. decide if running from the web or not
+
+    $web    = 0;
+    $bindir = "bin";
+    $modeldir = "../Models";
+    foreach $line (@ARGV){
+    chomp($line);
+	if($line eq "--web"){
+    	$web      = 1;
+	$bindir   = "$ENV{'MADGRAPH_BASE'}/MG_ME/WebBin";
+        $modeldir = "$ENV{'MADGRAPH_BASE'}/MG_ME/Models";
+     }
+    }
+    
+# 1. Reads in the proc_card.dat 
+
+open (INPUT, "Cards/proc_card.dat");
+@input=<INPUT>;
+$length=$#input;
+close(INPUT);
+
+# 2. Extracts the model name and copies the relevant files into Source/MODEL
+    my $model='none';
+    my $found=0;
+    foreach $i (@input){
+	if($found==1){$model = $i;$found=0};
+	if($i =~ '# Begin MODEL'){$found=1};
+	}
+	chomp($model);
+    $model =~ s/\s+//g;  # clean from spaces
+	print ">>$model<< \n";
+  
+    
+	if (-d $modeldir."/".$model) {
+      print "Model $model found  in $modeldir \n";
+      }
+  	else{print "Error Model $model not found \n";
+          exit;
+      }   
+
+system ("rm -f Source/MODEL/* >/dev/null");
+system ("cp -p $modeldir/$model/* Source/MODEL/.");
+if (-e "Source/MODEL/ident_card.dat") {
+    system ("cd Cards;ln -sf ../Source/MODEL/ident_card.dat");
+}
+if (-e "Source/MODEL/param_card.dat") {
+    system ("mv Source/MODEL/param_card.dat Cards/");
+    system ("cp -p Cards/param_card.dat Cards/param_card_default.dat");
+}
+if (-e "Source/MODEL/particles.dat") {
+    system ("cd SubProcesses;ln -sf ../Source/MODEL/particles.dat .");
+}
+if (-e "Source/MODEL/interactions.dat") {
+    system ("cd SubProcesses;ln -sf ../Source/MODEL/interactions.dat .");
+}
+if (-e "Source/MODEL/coupl.inc") {
+    system ("cd SubProcesses;ln -sf ../Source/MODEL/coupl.inc .");
+    system ("cd Source;ln -sf ./MODEL/coupl.inc .");
+}
+if (-e "Source/run.inc") {
+    system ("cd SubProcesses;ln -sf ../Source/run.inc .");
+}
+
+# $B$ EXTRACT_TF $E$ ! Don't edit this line, this is a tag for MadWeight
+
+# 3. Extracts information on multiparticles 
+
+    $found=0;
+    @multi=();
+    foreach $i (@input){
+	if($i =~ '#\s+End\s+MULTIPARTICLES'){$found=0};
+	if($found==1){push(@multi,$i)};
+	if($i =~ '#\s+Begin\s+MULTIPARTICLES'){$found=1};
+	}
+
+# 4. Write the information on multiparticles in particles.dat 	
+
+open (INPUT, "Source/MODEL/particles.dat");
+@input=<INPUT>;
+$length=$#input;
+close(INPUT);
+
+open (OUTPUT, "> Source/MODEL/particles.dat");
+$ini = 0;
+$listpos = 0;
+while($listpos<=$length && $ini==0){
+    if($input[$listpos] =~ /MULTIPARTICLES/) {
+	$ini=$listpos;
+	print OUTPUT $input[$listpos]
+	}        
+    else{ 
+	print OUTPUT $input[$listpos]
+	}
+    $listpos = $listpos + 1;
+}
+
+foreach $line (@multi){
+    print OUTPUT "$line";
+};
+close(OUTPUT);
+
+
+
+

=== added file 'Template/bin/split_banner.pl'
--- Template/bin/split_banner.pl	1970-01-01 00:00:00 +0000
+++ Template/bin/split_banner.pl	2010-10-30 03:26:37 +0000
@@ -0,0 +1,166 @@
+#!/usr/bin/perl -w
+
+#############################################################################
+#                                                                          ##
+#                    MadGraph/MadEvent                                     ##
+#                                                                          ##
+# FILE : split_banner.pl                                                   ##
+# VERSION : 1.0                                                            ##
+# DATE : 6 April 2007                                                      ##
+# AUTHOR : Michel Herquet (UCL-CP3)                                        ##
+#                                                                          ##
+# DESCRIPTION : script to recover cards from a banner                      ##
+# USAGE : split_banner.pl banner.txt                                       ##
+# OUTPUT : all found cards                                                 ##
+#############################################################################
+
+
+# Parse the command line arguments
+
+if ( $#ARGV != 0 ) {
+     die "This script must be called with one banner filename as argument!\n";
+}
+
+my $banner=$ARGV[0];
+
+
+print "Reading input file ... \n";
+open(BANNER,"$banner") || die "Cannot open banner file called $banner, stopping\n";
+
+# Define tags and extract cards
+
+my $begin_proc='# Begin proc_card.dat'."\n".'#'."\n";
+my $end_proc="\n".'#'."\n".'# End proc_card.dat';
+
+my $begin_param='# Begin param_card.dat'."\n".'#'."\n";
+my $end_param="\n".'#'."\n".'# End param_card.dat';
+
+my $begin_run='# Begin run_card.dat'."\n".'#'."\n";
+my $end_run="\n".'#'."\n".'# End run_card.dat';
+
+my $begin_pythia='# Begin pythia_card.dat'."\n".'#'."\n";
+my $end_pythia="\n".'#'."\n".'# End pythia_card.dat';
+
+my $begin_pgs='# Begin pgs_card.dat'."\n".'#'."\n";
+my $end_pgs="\n".'# End pgs_card.dat';
+
+while(<BANNER>)
+{
+    $fullbanner .= $_;
+} 
+
+close(BANNER);
+
+if ( $fullbanner=~ /<MGProcCard>/ || $fullbanner=~ /<MG5ProcCard>/ ) {
+# New version of banner
+    $begin_proc='<MGProcCard>'."\n";
+    $end_proc="\n".'<\/MGProcCard>';
+    
+    $begin_mg5proc='<MG5ProcCard>'."\n";
+    $end_mg5proc="\n".'<\/MG5ProcCard>';
+    
+    $begin_param='<slha>'."\n";
+    $end_param="\n".'<\/slha>';
+    
+    $begin_run='<MGRunCard>'."\n";
+    $end_run="\n".'<\/MGRunCard>';
+    
+    $begin_grid='<MGGridCard>'."\n";
+    $end_grid="\n".'<\/MGGridCard>';
+    
+    $begin_pythia='<MGPythiaCard>'."\n";
+    $end_pythia="\n".'<\/MGPythiaCard>';
+    
+    $begin_pgs='<MGPGSCard>'."\n";
+    $end_pgs="\n".'<\/MGPGSCard>';
+
+    $begin_delphes='<MGDelphesCard>'."\n";
+    $end_delphes="\n".'<\/MGDelphesCard>';
+
+    $begin_trigger='<MGDelphesTrigger>'."\n";
+    $end_trigger="\n".'<\/MGDelphesTrigger>';
+}
+
+if ( $fullbanner=~ m/$begin_proc/ ) {
+	print "proc_card found ... ";
+	($proc_card)= $fullbanner=~ m/$begin_proc(.*?)$end_proc/s;
+        open(PROC,">proc_card.dat") || die "Cannot open proc_card.dat for writing, stopping\n";
+	print PROC $proc_card."\n";
+        close(PROC);
+	print "Extracted\n";
+} else { print "proc_card not found!\n"; }
+
+if ( $fullbanner=~ m/$begin_mg5proc/ ) {
+	print "proc_card_mg5 found ... ";
+	($proc_card_mg5)= $fullbanner=~ m/$begin_mg5proc(.*?)$end_mg5proc/s;
+        open(PROC,">proc_card_mg5.dat") || die "Cannot open proc_card_mg5.dat for writing, stopping\n";
+	print PROC $proc_card_mg5."\n";
+        close(PROC);
+	print "Extracted\n";
+} else { print "proc_card_mg5 not found!\n"; }
+
+if ( $fullbanner=~ m/$begin_param/ ) {
+	print "param_card found ... ";
+	($param_card)= $fullbanner=~ m/$begin_param(.*?)$end_param/s;
+        open(PARAM,">param_card.dat") || die "Cannot open param_card.dat for writing, stopping\n";
+	print PARAM $param_card."\n";
+        close(PARAM);
+	print "Extracted\n";
+} else { print "param_card not found!\n"; }
+
+if ( $fullbanner=~ m/$begin_run/ ) {
+	print "run_card found ... ";
+	($run_card)= $fullbanner=~ m/$begin_run(.*?)$end_run/s;
+        open(RUN,">run_card.dat") || die "Cannot open run_card.dat for writing, stopping\n";
+	print RUN $run_card."\n";
+        close(RUN);
+	print "Extracted\n";
+} else { print "run_card not found!\n"; }
+
+if ( $fullbanner=~ m/$begin_grid/ ) {
+	print "grid_card found ... ";
+	($grid_card)= $fullbanner=~ m/$begin_grid(.*?)$end_grid/s;
+        open(GRID,">grid_card.dat") || die "Cannot open grid_card.dat for writing, stopping\n";
+	print GRID $grid_card."\n";
+        close(GRID);
+	print "Extracted\n";
+} else { print "grid_card not found!\n"; }
+
+if ( $fullbanner=~ m/$begin_pythia/ ) {
+	print "pythia_card found ... ";
+	($pythia_card)= $fullbanner=~ m/$begin_pythia(.*?)$end_pythia/s;
+	#remove LHA path tags that are locally defined
+        $pythia_card =~ s/\n\s*LHAPATH=.*/\n/g;
+        open(PYTHIA,">pythia_card.dat") || die "Cannot open pythia_card.dat for writing, stopping\n";
+	print PYTHIA $pythia_card."\n";
+        close(PYTHIA);
+	print "Extracted\n";
+} else { print "pythia_card not found!\n"; }
+
+if ( $fullbanner=~ m/$begin_pgs/ ) {
+	print "pgs_card found ... ";
+	($pgs_card)= $fullbanner=~ m/$begin_pgs(.*?)$end_pgs/s;
+        open(PGS,">pgs_card.dat") || die "Cannot open pgs_card.dat for writing, stopping\n";
+	print PGS $pgs_card."\n";
+        close(PGS);
+	print "Extracted\n";
+} else { print "pgs_card not found!\n"; }
+
+if ( $fullbanner=~ m/$begin_delphes/ ) {
+	print "delphes_card found ... ";
+	($delphes_card)= $fullbanner=~ m/$begin_delphes(.*?)$end_delphes/s;
+        open(DELPHES,">delphes_card.dat") || die "Cannot open delphes_card.dat for writing, stopping\n";
+	print DELPHES $delphes_card."\n";
+        close(DELPHES);
+	print "Extracted\n";
+} else { print "delphes_card not found!\n"; }
+
+if ( $fullbanner=~ m/$begin_trigger/ ) {
+	print "delphes_trigger found ... ";
+	($delphes_trigger)= $fullbanner=~ m/$begin_trigger(.*?)$end_trigger/s;
+        open(TRIGGER,">delphes_trigger.dat") || die "Cannot open delphes_trigger.dat for writing, stopping\n";
+	print TRIGGER $delphes_trigger."\n";
+        close(TRIGGER);
+	print "Extracted\n";
+} else { print "delphes_trigger not found!\n"; }
+

=== added file 'Template/bin/standalone'
--- Template/bin/standalone	1970-01-01 00:00:00 +0000
+++ Template/bin/standalone	2010-10-30 03:26:37 +0000
@@ -0,0 +1,54 @@
+#!/bin/bash
+#
+#  First get to main level directory for this process
+#
+echo "Setting up the Template to work with the StandAlone version of MadGraphII"
+if [[  ! -d ./bin  ]]; then
+    cd ../
+    if [[ ! -d ./bin ]]; then
+	echo "Error: store must be executed from the main, or bin directory"
+	exit
+    fi
+fi
+
+#  Now let shell know where to find important executables
+
+main=`pwd`
+dirbin=$main/bin
+mgdir=$main/../MadGraphII
+mad2_sa=$mgdir/mg2_sa
+helas=$main/../HELAS
+mgmedir=$main/..
+
+
+#if ( ! -e $mgdir/mg2_sa ) then
+#echo "Compiling Stand Alone version of MadGraphII"
+#cd $mgdir
+#make mg2_sa
+#cd $main
+#endif
+
+echo "Transforming standard template in standalone version"
+cd $main
+mkdir temp
+mv ./bin/newprocess_sa ./temp/newprocess
+mv ./bin/setup_model-pl ./temp/
+mv ./bin/Passto_gfortran.py ./temp/
+mv ./Cards/proc_card.dat ./temp/
+mv ./SubProcesses/makefile_sa ./temp/makefile
+mv ./SubProcesses/check_sa.f ./temp/
+sed "s/all:\(\s\+\$(LIBDIR)lib\w\+\.\w\+\)*/all: \$(LIBDIR)libdhelas3.a \$(LIBDIR)libmodel.a/" < ./Source/makefile > ./temp/mfsource
+rm -rf bin/* Cards/* Events HTML Source/* lib/* SubProcesses/*
+mkdir Source/MODEL
+mkdir Source/DHELAS
+
+mv ./temp/newprocess ./bin/
+mv ./temp/setup_model-pl ./bin/
+mv ./temp/Passto_gfortran.py ./bin/
+mv ./temp/proc_card.dat ./Cards/
+mv ./temp/makefile ./SubProcesses/
+mv ./temp/check_sa.f ./SubProcesses/
+mv ./temp/mfsource ./Source/makefile
+rm -rf temp
+
+echo " Ready to go with StandAlone MadGraphII "

=== added file 'Template/bin/store'
--- Template/bin/store	1970-01-01 00:00:00 +0000
+++ Template/bin/store	2010-10-30 03:26:37 +0000
@@ -0,0 +1,178 @@
+#!/bin/bash
+#  
+#   First we need to get into the main directory
+#
+if [[  ! -d ./bin  ]]; then
+    cd ../
+    if [[ ! -d ./bin ]]; then
+	echo "Error: store must be executed from the main, or bin directory"
+	exit
+    fi
+fi
+if [[ ! -d SubProcesses ]]; then
+    echo "Error: SubProcesses directory not found"
+    exit
+fi
+cd SubProcesses
+if [[  "$1" == ""  ]]; then
+    echo 'Enter you must specify a name to store files under. (eg store TeV)'     
+    exit
+fi
+#$i=1;
+#$max_store = 99;
+#while(-e "SubProcesses/".$t.$i."_results.html" && $i < $max_store){
+#    $i++;
+#}
+
+echo "Storing files"
+echo "Storing files" > status
+../bin/gen_crossxhtml-pl $1
+
+if [[ -e $1_results.html ]]; then
+    rm -f $1_results.html
+fi
+sed s/results.html/$1_results.html/g results.html | sed s/log.txt/$1_log.txt/g | sed s/results.dat/$1_results.dat/g | sed s/plots.html/$1_plots.html/g | sed s/pyplots.html/$1_pyplots.html/g > $1_results.html
+mv -f results.dat $1_results.dat  >& /dev/null
+for i in `cat subproc.mg` ; do
+    cd $i
+    echo $i
+    if [[ -e $1_results.html ]]; then
+	rm -f $1_results.html
+    fi    
+    mv -f results.dat $1_results.dat  >& /dev/null
+    sed s/results.html/$1_results.html/g results.html | sed s/log.txt/$1_log.txt/g | sed s/results.dat/$1_results.dat/g > $1_results.html
+    for k in G* ; do
+	if [[ ! -d $k ]]; then
+	    continue
+	fi
+	cd $k
+	if [[ -e events.lhe ]]; then
+	    rm -f events.lhe
+#	    cp -f events.lhe $1_events.lhe
+#	    rm -f $1_events.lhe.gz >& /dev/null
+#	    gzip $1_events.lhe
+	fi
+	for j in results.dat log.txt ; do
+	    if [[ -e $j ]]; then
+		mv -f $j $1_$j
+	    fi
+	done
+	for j in ftn25 ftn99 ; do
+	    if [[ -e $j ]]; then
+		mv -f $j $1_$j
+		rm -f $1_$j.gz >&/dev/null
+		gzip $1_$j
+	    fi
+	done
+	cd ../
+    done
+    cd ../
+done
+cd ..
+./bin/gen_cardhtml-pl
+if [[ -e Events/events.lhe ]]; then
+    mv -f Events/events.lhe Events/$1_events.lhe 
+    rm -f Events/$1_events.lhe.gz >& /dev/null
+    gzip -f Events/$1_events.lhe
+fi
+if [[ -e Events/unweighted_events.lhe ]]; then
+    ./bin/extract_banner-pl Events/unweighted_events.lhe  Events/$1_banner.txt 
+    mv -f Events/unweighted_events.lhe Events/$1_unweighted_events.lhe 
+    rm -f Events/$1_unweighted_events.lhe.gz >& /dev/null
+    gzip -f Events/$1_unweighted_events.lhe 
+fi
+cd Events
+if [[ -e plots.html ]]; then
+    mv -f plots.html $1_plots.html
+fi
+if [[ -e pyplots.html ]]; then
+    mv -f pyplots.html $1_pyplots.html
+fi
+if [[ -e ./$1/events.list ]]; then
+    sed s/unweighted_events.root/$1_unweighted_events.root/g ./$1/events.list >  ./$1/events.list.temp
+    mv -f ./$1/events.list.temp ./$1/events.list
+fi
+if [[ -e unweighted_events.root ]]; then
+    mv -f unweighted_events.root $1_unweighted_events.root
+fi
+if [[ -e pythia_events.hep ]]; then
+    mv -f pythia_events.hep $1_pythia_events.hep
+    gzip -f $1_pythia_events.hep
+    mv -f pythia.log $1_pythia.log
+# pythia_card.dat
+   echo "<MGPythiaCard>" >>$1_banner.txt
+   if [[ -e ../Cards/pythia_card.dat ]]; then cat ../Cards/pythia_card.dat   >> $1_banner.txt; fi
+   echo "</MGPythiaCard>" >>$1_banner.txt
+fi
+
+if [[ -e pythia_events.lhe ]]; then
+# write the pythia banner
+    echo \<LesHouchesEvents version=\"1.0\"\> > temp.lhe
+    echo \<\!-- >> temp.lhe
+    echo "# Warning\! Never use this file for detector studies\!" >> temp.lhe
+    echo --\> >> temp.lhe
+    cat $1_banner.txt >> temp.lhe
+    sed /'<LesHouchesEvents version=\"1.0\">'/s//'-->'/ pythia_events.lhe >> temp.lhe
+    rm -f pythia_events.lhe
+    mv -f temp.lhe $1_pythia_events.lhe
+    gzip -f $1_pythia_events.lhe
+fi
+
+if [[ -e pythia_lhe_events.root ]]; then
+    mv -f pythia_lhe_events.root $1_pythia_lhe_events.root
+fi
+
+if [[ -e events.tree ]]; then
+    mv -f events.tree $1_events.tree
+    gzip -f $1_events.tree
+    mv -f xsecs.tree $1_xsecs.tree
+    mv -f beforeveto.tree $1_beforeveto.tree
+    gzip -f $1_beforeveto.tree
+fi
+if [[ -e pgs_events.lhco ]]; then
+# pgs_card.dat
+   echo "<MGPGSCard>" >>$1_banner.txt
+   if [[ -e ../Cards/pgs_card.dat ]]; then cat ../Cards/pgs_card.dat   >> $1_banner.txt; fi
+   echo "</MGPGSCard>" >>$1_banner.txt
+# write the pgs banner
+    sed -e "s/^/#/g" $1_banner.txt > temp.dat
+    cat pgs_events.lhco >> temp.dat
+    rm -f pgs_events.lhco
+    mv -f temp.dat $1_pgs_events.lhco
+    gzip -f $1_pgs_events.lhco
+    if [ -e olympics.log ];then
+	mv -f olympics.log $1_pgs.log
+    else
+	mv -f pgs.log $1_pgs.log
+    fi
+    mv -f pgs_uncleaned_events.lhco $1_pgs_uncleaned_events.lhco
+    gzip -f $1_pgs_uncleaned_events.lhco
+fi
+if [[ -e pgs_events.root ]]; then
+    mv -f pgs_events.root $1_pgs_events.root
+fi
+if [[ -e pythia_events.root ]]; then
+    mv -f pythia_events.root $1_pythia_events.root
+fi
+if [ -e delphes_events.lhco ]; then
+# delphes_card.dat
+   if [ -e ../Cards/delphes_card.dat ]; then
+     echo "<MGDelphesCard>" >>$1_banner.txt
+     cat ../Cards/delphes_card.dat   >> $1_banner.txt
+     echo "</MGDelphesCard>" >>$1_banner.txt
+     echo "<MGDelphesTrigger>" >>$1_banner.txt
+     cat ../Cards/delphes_trigger.dat   >> $1_banner.txt
+     echo "</MGDelphesTrigger>" >>$1_banner.txt
+   fi
+# write the delphes banner
+    sed -e "s/^/#/g" $1_banner.txt > temp.dat
+    cat delphes_events.lhco >> temp.dat
+    rm -f delphes_events.lhco
+    mv -f temp.dat $1_delphes_events.lhco
+    gzip -f $1_delphes_events.lhco
+    mv -f delphes_run.log $1_delphes.log
+fi
+if [ -e delphes.root ]; then
+    mv -f delphes.root $1_delphes_events.root
+fi
+cd ..

=== added file 'Template/bin/store4grid'
--- Template/bin/store4grid	1970-01-01 00:00:00 +0000
+++ Template/bin/store4grid	2010-10-30 03:26:37 +0000
@@ -0,0 +1,145 @@
+#!/bin/bash
+#  
+#   First we need to get into the main directory
+#
+if [[  ! -d ./bin  ]]; then
+    cd ../
+    if [[ ! -d ./bin ]]; then
+	echo "Error: store must be executed from the main, or bin directory"
+	exit
+    fi
+fi
+if [[ ! -d SubProcesses ]]; then
+    echo "Error: SubProcesses directory not found"
+    exit
+fi
+cd SubProcesses
+if [[  "$1" == ""  ]]; then
+    echo 'Enter you must specify a name to store files under. (eg store TeV)'     
+    exit
+fi
+#$i=1;
+#$max_store = 99;
+#while(-e "SubProcesses/".$t.$i."_results.html" && $i < $max_store){
+#    $i++;
+#}
+
+if [[ -e $1_results.html ]]; then
+    rm -f $1_results.html
+fi
+sed s/results.html/$1_results.html/g results.html | sed s/log.txt/$1_log.txt/g | sed s/results.dat/$1_results.dat/g | sed s/plots.html/$1_plots.html/g | sed s/pyplots.html/$1_pyplots.html/g > $1_results.html
+mv -f results.dat $1_results.dat  >& /dev/null
+for i in `cat subproc.mg` ; do
+    cd $i
+    echo $i
+    if [[ -e $1_results.html ]]; then
+	rm -f $1_results.html
+    fi    
+    mv -f results.dat $1_results.dat  >& /dev/null
+    sed s/results.html/$1_results.html/g results.html | sed s/log.txt/$1_log.txt/g | sed s/results.dat/$1_results.dat/g > $1_results.html
+    for k in G* ; do
+	if [[ ! -d $k ]]; then
+	    continue
+	fi
+	cd $k
+	if [[ -e events.lhe ]]; then
+	    rm -f events.lhe
+#	    cp -f events.lhe $1_events.lhe
+#	    rm -f $1_events.lhe.gz >& /dev/null
+#	    gzip $1_events.lhe
+	fi
+	for j in results.dat log.txt ; do
+	    if [[ -e $j ]]; then
+		mv -f $j $1_$j
+	    fi
+	done
+	for j in ftn26 ; do
+	    if [[ -e $j ]]; then
+		mv -f $j $1_$j
+		rm -f $1_$j.gz >&/dev/null
+		gzip $1_$j
+	    fi
+	done
+	cd ../
+    done
+    cd ../
+done
+cd ..
+./bin/gen_cardhtml-pl
+if [[ -e Events/events.lhe ]]; then
+    mv -f Events/events.lhe Events/$1_events.lhe 
+    rm -f Events/$1_events.lhe.gz >& /dev/null
+    gzip -f Events/$1_events.lhe
+fi
+if [[ -e Events/unweighted_events.lhe ]]; then
+    ./bin/extract_banner-pl Events/unweighted_events.lhe  Events/$1_banner.txt 
+    mv -f Events/unweighted_events.lhe Events/$1_unweighted_events.lhe 
+    rm -f Events/$1_unweighted_events.lhe.gz >& /dev/null
+    gzip -f Events/$1_unweighted_events.lhe 
+fi
+cd Events
+if [[ -e plots.html ]]; then
+    mv -f plots.html $1_plots.html
+fi
+if [[ -e pyplots.html ]]; then
+    mv -f pyplots.html $1_pyplots.html
+fi
+if [[ -e ./$1/events.list ]]; then
+    sed s/unweighted_events.root/$1_unweighted_events.root/g ./$1/events.list >  ./$1/events.list.temp
+    mv -f ./$1/events.list.temp ./$1/events.list
+fi
+if [[ -e unweighted_events.root ]]; then
+    mv -f unweighted_events.root $1_unweighted_events.root
+fi
+if [[ -e pythia_events.hep ]]; then
+    mv -f pythia_events.hep $1_pythia_events.hep
+    gzip -f $1_pythia_events.hep
+    mv -f pythia.log $1_pythia.log
+# pythia_card.dat
+   echo "<MGPythiaCard>" >>$1_banner.txt
+   if [[ -e ../Cards/pythia_card.dat ]]; then cat ../Cards/pythia_card.dat   >> $1_banner.txt; fi
+   echo "</MGPythiaCard>" >>$1_banner.txt
+fi
+
+if [[ -e pythia_events.lhe ]]; then
+# write the pythia banner
+    echo \<LesHouchesEvents version=\"1.0\"\> > temp.lhe
+    echo \<\!-- >> temp.lhe
+    cat $1_banner.txt >> temp.lhe
+    sed /'<LesHouchesEvents version=\"1.0\">'/s//'-->'/ pythia_events.lhe >> temp.lhe
+    rm -f pythia_events.lhe
+    mv -f temp.lhe $1_pythia_events.lhe
+    gzip -f $1_pythia_events.lhe
+fi
+
+if [[ -e pythia_lhe_events.root ]]; then
+    mv -f pythia_lhe_events.root $1_pythia_lhe_events.root
+fi
+
+if [[ -e events.tree ]]; then
+    mv -f events.tree $1_events.tree
+    gzip -f $1_events.tree
+    mv -f xsecs.tree $1_xsecs.tree
+    mv -f beforeveto.tree $1_beforeveto.tree
+    gzip -f $1_beforeveto.tree
+fi
+if [[ -e pgs_events.lhco ]]; then
+# pgs_card.dat
+   echo "<MGPGSCard>" >>$1_banner.txt
+   if [[ -e ../Cards/pgs_card.dat ]]; then cat ../Cards/pgs_card.dat   >> $1_banner.txt; fi
+   echo "</MGPGSCard>" >>$1_banner.txt
+# write the pgs banner
+    sed -e "s/^/#/g" $1_banner.txt > temp.dat
+    cat pgs_events.lhco >> temp.dat
+    rm -f pgs_events.lhco
+    mv -f temp.dat $1_pgs_events.lhco
+    gzip -f $1_pgs_events.lhco
+    mv -f pgs.log $1_pgs.log
+fi
+if [[ -e pgs_events.root ]]; then
+    mv -f pgs_events.root $1_pgs_events.root
+fi
+if [[ -e pythia_events.root ]]; then
+    mv -f pythia_events.root $1_pythia_events.root
+fi
+cd ..

=== added file 'Template/bin/sumall'
--- Template/bin/sumall	1970-01-01 00:00:00 +0000
+++ Template/bin/sumall	2010-10-30 03:26:37 +0000
@@ -0,0 +1,29 @@
+#!/bin/bash
+#  
+#   First we need to get into the main directory
+#
+if [[  ! -d ./bin  ]]; then
+    cd ../
+    if [[ ! -d ./bin ]]; then
+	echo "Error: sumall must be executed from the main, or bin directory"
+	exit
+    fi
+fi
+if [[ ! -d Source ]]; then
+    echo "Error: Source directory not found"
+    exit
+fi
+cd ./Source
+make ../bin/sum_html >& /dev/null
+cd ..
+if [[ ! -d SubProcesses ]]; then
+    echo "Error: SubProcesses directory not found"
+    exit
+fi
+cd SubProcesses
+for i in `cat subproc.mg` ; do
+cd $i
+../../bin/sum_html >/dev/null
+cd ..
+done
+../bin/sum_html

=== added file 'Template/bin/survey'
--- Template/bin/survey	1970-01-01 00:00:00 +0000
+++ Template/bin/survey	2010-10-30 03:26:37 +0000
@@ -0,0 +1,150 @@
+#!/bin/bash
+#
+#  This runs a quick survey over all of the processes to determine
+#  which channels in each process are important. This must be run
+#  before you call integrate since it sets up important information
+#  about each process. Must be run from main directory or bin directory
+#
+#  Usage: survey compression parallel [name]
+#
+#  parallel is 0 for serial, 1 for PBS, 2 for multicore
+#  name is queue name for PBS or number of cores for multicore
+#  
+#   First we need to get into the main directory
+#
+if [[  ! -d ./bin  ]]; then
+    cd ../
+    if [[ ! -d ./bin ]]; then
+	echo "Error: survey must be executed from the main, or bin directory"
+	exit
+    fi
+fi
+#
+#  Now let shell know where to find important executables
+#
+main=`pwd`
+dirbin=$main/bin
+# Begin Local versions
+# set dirbin = /home/tstelzer/bin/MG_ME
+# End Local versions 
+qsub=qsub
+
+if [[  "$1" == ""  ]]; then
+    echo 'Enter 2 for multi-core, 1 for parallel, 0 for serial run' 
+    read mode
+else
+    mode=$1
+fi
+if [[  $mode -gt 0 ]]; then
+   if [[  "$2" == ""  ]]; then
+     if [[  $mode -eq 1 ]]; then
+       echo 'Enter name for jobs on pbs queue'
+     elif [[  $mode -eq 2 ]]; then
+       echo 'Enter number of cores'
+     fi
+     read n
+   else
+       n=$2
+   fi
+fi
+
+# check makefile version
+c=`awk '/^[^#].*=.*pdlabel/{print $1}' Cards/run_card.dat`
+if [[ $c == "'lhapdf'" ]]; then
+    echo Using LHAPDF interface!
+    if [[ -e $main/Source/makefile_default ]]; then
+	echo already loaded
+    else
+	cp $main/Source/makefile $main/Source/makefile_default
+	cp $main/Source/PDF/makefile $main/Source/PDF/makefile_default
+	cp $main/Source/DHELAS/Makefile $main/Source/DHELAS/Makefile_default
+	cp $main/Source/MODEL/makefile $main/Source/MODEL/makefile_default
+	cp $main/Source/CERNLIB/makefile $main/Source/CERNLIB/makefile_default
+	cp $main/SubProcesses/makefile $main/SubProcesses/makefile_default
+	cp $main/SubProcesses/makefile_mo $main/SubProcesses/makefile_mo_default
+	cp $main/Source/makefile_lhapdf $main/Source/makefile
+	cp $main/Source/PDF/makefile_lhapdf $main/Source/PDF/makefile    
+	cp $main/SubProcesses/makefile_lhapdf $main/SubProcesses/makefile    
+	cp $main/SubProcesses/makefile_mo_lhapdf $main/SubProcesses/makefile_mo  
+	sed -i.bak "s|f77|gfortran|g" $main/Source/DHELAS/Makefile
+	sed -i.bak "s|f77|gfortran|g" $main/Source/MODEL/makefile
+	sed -i.bak "s|f77|gfortran|g" $main/Source/CERNLIB/makefile
+        #    cp $lhadir/lib/libLHAPDF.a $main/lib/.
+    fi
+else
+    if [[ -e $main/Source/makefile_default ]]; then
+	    mv Source/makefile_default Source/makefile
+	    mv Source/PDF/makefile_default Source/PDF/makefile
+	    mv Source/DHELAS/Makefile_default Source/DHELAS/Makefile
+	    mv Source/MODEL/makefile_default Source/MODEL/makefile
+	    mv Source/CERNLIB/makefile_default Source/CERNLIB/makefile
+	    mv SubProcesses/makefile_default SubProcesses/makefile
+    fi
+fi
+
+echo "Compiling libraries"
+if [[ -d Source ]]; then
+    echo "Compiling Libraries" >& status
+    cd Source
+    make ../bin/sum_html >/dev/null
+    make all >& /dev/null
+    cd ..
+else
+    echo 'Error Source directory not found'
+    exit
+fi
+if [[ -d SubProcesses ]]; then
+    if [[  $mode -gt 0 ]]; then    
+	echo "Creating Jobs" >& status
+    else
+	echo " " >& status
+    fi
+    cd SubProcesses
+    r=0
+    if [[ -e randinit ]]; then
+	source ./randinit
+    fi
+    for i in `cat subproc.mg` ; do
+	r=`expr $r + 1`
+    done
+#    echo "Using random number seed offset = " $r
+    echo "r=$r" >& randinit
+    echo "Working on subprocess:"
+    for i in `cat subproc.mg` ; do
+	cd $i
+	echo -n "   " $i "   "
+	rm -f ajob* >& /dev/null
+	rm -f wait.ajob* >& /dev/null
+	rm -f run.ajob* >& /dev/null
+	rm -f done.ajob* >& /dev/null
+	make gensym > /dev/null
+        ./gensym >& gensym.log
+	chmod +x ajob*
+	make madevent > /dev/null
+	for job in ajob*  ; do
+	    touch wait.$job
+	    if [[ $mode == 1 ]]; then
+		$qsub -N $n $job >> ../../running_jobs
+	    elif [[ $mode == 2 ]]; then
+		../../bin/multicore $n $job
+		sleep 1
+	    else
+		time nice ./$job >/dev/null
+		../../bin/sum_html >/dev/null
+	    fi
+	done
+	cd ..
+	if [[ $mode == 0  ]]; then 
+	    ../bin/sum_html 
+	fi
+    done
+    if [[ $mode -ge 1 ]]; then
+	$dirbin/monitor $3
+	../bin/sumall
+    fi
+    cd ../
+else
+    echo "Error could not find SubProcesses"
+    exit
+fi
+$dirbin/gen_crossxhtml-pl $3

=== added directory 'Template/lib'
=== added directory 'Template/lib/Pdfdata'
=== added file 'Template/lib/Pdfdata/cteq5l.tbl'
--- Template/lib/Pdfdata/cteq5l.tbl	1970-01-01 00:00:00 +0000
+++ Template/lib/Pdfdata/cteq5l.tbl	2010-10-30 03:26:37 +0000
@@ -0,0 +1,1849 @@
+ Parton Distribution Table : CTEQ5L
+  Ordr, Nfl, lambda        Qmass 1,  2,  3,         4,  5,  6
+    1.    5. 0.1460    0.000    0.000    0.200    1.300    4.500  180.000
+   NX,  NT,  NfMx
+   90   14    5
+QINI, QMAX, (QV(I), I =0, NT)
+ 1.00000E+00 1.00000E+04
+ 1.00000E+00 1.30000E+00 1.68633E+00 2.25626E+00 3.12523E+00 4.50000E+00
+ 7.26804E+00 1.25527E+01 2.34016E+01 4.75972E+01 1.06914E+02 2.68929E+02
+ 7.69591E+02 2.55116E+03 1.00000E+04
+XMIN, (XV(I), I =0, NX)
+ 1.00000E-05
+ 0.00000E+00 9.99983E-06 1.24433E-05 1.54836E-05 1.92668E-05 2.39740E-05
+ 2.98310E-05 3.71184E-05 4.61852E-05 5.74656E-05 7.14994E-05 8.89575E-05
+ 1.10674E-04 1.37686E-04 1.71280E-04 2.13055E-04 2.64997E-04 3.29564E-04
+ 4.09809E-04 5.09508E-04 6.33332E-04 7.87053E-04 9.77784E-04 1.21428E-03
+ 1.50728E-03 1.86993E-03 2.31825E-03 2.88037E-03 3.56397E-03 4.40443E-03
+ 5.43508E-03 6.69508E-03 8.22984E-03 1.00851E-02 1.23281E-02 1.50167E-02
+ 1.82174E-02 2.19985E-02 2.64278E-02 3.15720E-02 3.74800E-02 4.42088E-02
+ 5.17931E-02 6.02576E-02 6.96136E-02 7.98586E-02 9.09356E-02 1.02935E-01
+ 1.15681E-01 1.29293E-01 1.43599E-01 1.58606E-01 1.74271E-01 1.90550E-01
+ 2.07405E-01 2.24796E-01 2.42685E-01 2.61038E-01 2.79820E-01 2.99001E-01
+ 3.18550E-01 3.38442E-01 3.58653E-01 3.79067E-01 3.99881E-01 4.20953E-01
+ 4.42266E-01 4.63806E-01 4.85559E-01 5.07513E-01 5.29656E-01 5.51978E-01
+ 5.74483E-01 5.97187E-01 6.19860E-01 6.42828E-01 6.65921E-01 6.89135E-01
+ 7.12467E-01 7.35911E-01 7.59464E-01 7.83080E-01 8.06909E-01 8.30741E-01
+ 8.54673E-01 8.78696E-01 9.02804E-01 9.26992E-01 9.51257E-01 9.75603E-01
+ 1.00000E+00
+Parton Distribution Table:
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 2.48351E+05
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 1.34945E+05 1.01967E+05 7.57145E+04 5.61861E+04 4.16622E+04 3.08678E+04
+ 2.28511E+04 1.69017E+04 1.24900E+04 9.22112E+03 6.80115E+03 5.01115E+03
+ 3.68836E+03 2.71174E+03 1.99143E+03 1.46069E+03 1.07007E+03 7.82889E+02
+ 5.72010E+02 4.17344E+02 3.04057E+02 2.21186E+02 1.60653E+02 1.16496E+02
+ 8.43388E+01 6.09540E+01 4.39839E+01 3.15377E+01 2.26849E+01 1.62912E+01
+ 1.16822E+01 8.36576E+00 5.98368E+00 4.28027E+00 3.05762E+00 2.18423E+00
+ 1.56110E+00 1.11690E+00 8.00401E-01 5.74769E-01 4.14042E-01 2.99196E-01
+ 2.17011E-01 1.58036E-01 1.15578E-01 8.48915E-02 6.26969E-02 4.64105E-02
+ 3.45541E-02 2.57735E-02 1.93072E-02 1.45036E-02 1.09203E-02 8.23684E-03
+ 6.22016E-03 4.69996E-03 3.55109E-03 2.68108E-03 2.02127E-03 1.52037E-03
+ 1.13995E-03 8.51110E-04 6.31881E-04 4.66475E-04 3.40652E-04 2.45914E-04
+ 1.74888E-04 1.21939E-04 8.27573E-05 5.40432E-05 3.32611E-05 1.84728E-05
+ 8.22215E-06 1.30856E-06 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 3.10696E+05 2.34107E+05 1.73251E+05 1.28130E+05 9.46820E+04
+ 6.99059E+04 5.15675E+04 3.80049E+04 2.79826E+04 2.05828E+04 1.51242E+04
+ 1.11013E+04 8.13930E+03 5.96066E+03 4.35989E+03 3.18498E+03 2.32363E+03
+ 1.69289E+03 1.23162E+03 8.94699E+02 6.48954E+02 4.69952E+02 3.39770E+02
+ 2.45226E+02 1.76686E+02 1.27068E+02 9.12342E+01 6.50794E+01 4.65676E+01
+ 3.32647E+01 2.37238E+01 1.68946E+01 1.20152E+01 8.54500E+00 6.06795E+00
+ 4.30848E+00 3.06037E+00 2.17586E+00 1.54939E+00 1.10545E+00 7.91150E-01
+ 5.67949E-01 4.09216E-01 2.96023E-01 2.15049E-01 1.56889E-01 1.15094E-01
+ 8.46174E-02 6.25737E-02 4.63531E-02 3.44851E-02 2.57261E-02 1.92350E-02
+ 1.44063E-02 1.08019E-02 8.10369E-03 6.07896E-03 4.55688E-03 3.41125E-03
+ 2.54841E-03 1.89850E-03 1.40928E-03 1.04132E-03 7.66324E-04 5.59216E-04
+ 4.04881E-04 2.90391E-04 2.05932E-04 1.44056E-04 9.91012E-05 6.67725E-05
+ 4.38145E-05 2.77559E-05 1.67188E-05 9.39014E-06 4.61058E-06 1.66059E-06
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 5.33926E+05 4.01143E+05 2.95846E+05 2.18034E+05
+ 1.60549E+05 1.18114E+05 8.68148E+04 6.37477E+04 4.67628E+04 3.42676E+04
+ 2.50839E+04 1.83408E+04 1.33946E+04 9.77040E+03 7.11776E+03 5.17840E+03
+ 3.76230E+03 2.72950E+03 1.97729E+03 1.43013E+03 1.03274E+03 7.44513E+02
+ 5.35813E+02 3.84915E+02 2.76017E+02 1.97537E+02 1.41132E+02 1.00159E+02
+ 7.13008E+01 5.06657E+01 3.59407E+01 2.54551E+01 1.80025E+01 1.27304E+01
+ 8.98766E+00 6.34389E+00 4.47908E+00 3.16509E+00 2.23984E+00 1.58806E+00
+ 1.12935E+00 8.05553E-01 5.76680E-01 4.14467E-01 2.99142E-01 2.16817E-01
+ 1.58027E-01 1.15419E-01 8.47960E-02 6.24032E-02 4.61222E-02 3.41820E-02
+ 2.53897E-02 1.88908E-02 1.40710E-02 1.04863E-02 7.81422E-03 5.81897E-03
+ 4.32744E-03 3.21192E-03 2.37768E-03 1.75434E-03 1.28897E-03 9.43863E-04
+ 6.86002E-04 4.95397E-04 3.55155E-04 2.52539E-04 1.77951E-04 1.24153E-04
+ 8.57007E-05 5.85016E-05 3.94701E-05 2.63197E-05 1.74460E-05 1.14615E-05
+ 7.52457E-06 4.97350E-06 3.33957E-06 2.29551E-06 1.62410E-06 1.17516E-06
+ 8.56929E-07 6.18317E-07 4.29305E-07 2.77317E-07 1.59021E-07 7.47695E-08
+ 2.33396E-08 2.19712E-09 0.00000E+00 8.11487E+05 6.07881E+05 4.46744E+05
+ 3.28077E+05 2.40714E+05 1.76449E+05 1.29216E+05 9.45307E+04 6.90839E+04
+ 5.04322E+04 3.67746E+04 2.67841E+04 1.94839E+04 1.41554E+04 1.02705E+04
+ 7.44153E+03 5.38409E+03 3.88963E+03 2.80566E+03 2.02047E+03 1.45262E+03
+ 1.04252E+03 7.46870E+02 5.34051E+02 3.81160E+02 2.71470E+02 1.93010E+02
+ 1.36286E+02 9.65289E+01 6.82394E+01 4.81527E+01 3.39219E+01 2.38595E+01
+ 1.67785E+01 1.17786E+01 8.26591E+00 5.80193E+00 4.07548E+00 2.86673E+00
+ 2.02012E+00 1.42777E+00 1.01209E+00 7.20011E-01 5.14233E-01 3.68817E-01
+ 2.65628E-01 1.92387E-01 1.39625E-01 1.01934E-01 7.45412E-02 5.47465E-02
+ 4.03182E-02 2.97589E-02 2.20022E-02 1.62852E-02 1.20600E-02 8.93033E-03
+ 6.60835E-03 4.88382E-03 3.60253E-03 2.65072E-03 1.94440E-03 1.42068E-03
+ 1.03504E-03 7.48935E-04 5.38982E-04 3.85619E-04 2.74200E-04 1.93767E-04
+ 1.36115E-04 9.51251E-05 6.62299E-05 4.60257E-05 3.20147E-05 2.24596E-05
+ 1.58790E-05 1.13894E-05 8.30728E-06 6.15756E-06 4.61773E-06 3.47917E-06
+ 2.60225E-06 1.90363E-06 1.34363E-06 8.95497E-07 5.47879E-07 2.94528E-07
+ 1.28290E-07 3.70397E-08 3.56944E-09 0.00000E+00 1.15005E+06 8.58944E+05
+ 6.29021E+05 4.60285E+05 3.36496E+05 2.45760E+05 1.79309E+05 1.30689E+05
+ 9.51489E+04 6.91954E+04 5.02622E+04 3.64649E+04 2.64216E+04 1.91191E+04
+ 1.38160E+04 9.96946E+03 7.18323E+03 5.16761E+03 3.71164E+03 2.66138E+03
+ 1.90504E+03 1.36114E+03 9.70748E+02 6.90959E+02 4.90857E+02 3.47938E+02
+ 2.46190E+02 1.72976E+02 1.21907E+02 8.57443E+01 6.01935E+01 4.21822E+01
+ 2.95110E+01 2.06403E+01 1.44094E+01 1.00553E+01 7.01765E+00 4.90090E+00
+ 3.42713E+00 2.40070E+00 1.68660E+00 1.18836E+00 8.40282E-01 5.96476E-01
+ 4.25196E-01 3.04358E-01 2.19097E-01 1.58033E-01 1.14672E-01 8.33431E-02
+ 6.08386E-02 4.45326E-02 3.26701E-02 2.40081E-02 1.76624E-02 1.30008E-02
+ 9.56893E-03 7.03841E-03 5.17068E-03 3.79171E-03 2.77386E-03 2.02344E-03
+ 1.47059E-03 1.06618E-03 7.68146E-04 5.50889E-04 3.93238E-04 2.79437E-04
+ 1.97783E-04 1.39573E-04 9.83682E-05 6.93969E-05 4.91457E-05 3.50492E-05
+ 2.53463E-05 1.85504E-05 1.37888E-05 1.03952E-05 7.91407E-06 6.04302E-06
+ 4.58881E-06 3.42705E-06 2.48232E-06 1.72280E-06 1.12232E-06 6.67550E-07
+ 3.46860E-07 1.44807E-07 3.99023E-08 3.89994E-09 0.00000E+00 1.55596E+06
+ 1.15866E+06 8.45497E+05 6.16477E+05 4.49054E+05 3.26770E+05 2.37537E+05
+ 1.72483E+05 1.25105E+05 9.06351E+04 6.55828E+04 4.73952E+04 3.42067E+04
+ 2.46543E+04 1.77444E+04 1.27521E+04 9.15046E+03 6.55544E+03 4.68863E+03
+ 3.34757E+03 2.38586E+03 1.69721E+03 1.20505E+03 8.53857E+02 6.03803E+02
+ 4.25997E+02 3.00000E+02 2.09758E+02 1.47110E+02 1.02958E+02 7.19133E+01
+ 5.01370E+01 3.48931E+01 2.42755E+01 1.68557E+01 1.16980E+01 8.11866E+00
+ 5.63783E+00 3.91997E+00 2.73009E+00 1.90687E+00 1.33568E+00 9.38893E-01
+ 6.62535E-01 4.69493E-01 3.34070E-01 2.39068E-01 1.71411E-01 1.23646E-01
+ 8.93341E-02 6.48282E-02 4.71743E-02 3.44053E-02 2.51354E-02 1.83838E-02
+ 1.34531E-02 9.84450E-03 7.19944E-03 5.25885E-03 3.83473E-03 2.78998E-03
+ 2.02449E-03 1.46399E-03 1.05653E-03 7.58122E-04 5.41941E-04 3.86023E-04
+ 2.74128E-04 1.94273E-04 1.37612E-04 9.76446E-05 6.95918E-05 4.99728E-05
+ 3.62563E-05 2.67291E-05 1.99557E-05 1.51070E-05 1.15562E-05 8.88107E-06
+ 6.80614E-06 5.15612E-06 3.82218E-06 2.73527E-06 1.86809E-06 1.19304E-06
+ 6.92944E-07 3.49926E-07 1.40978E-07 3.73606E-08 3.69593E-09 0.00000E+00
+ 2.03504E+06 1.51095E+06 1.09867E+06 7.98222E+05 5.79351E+05 4.20054E+05
+ 3.04229E+05 2.20094E+05 1.59042E+05 1.14786E+05 8.27421E+04 5.95656E+04
+ 4.28233E+04 3.07433E+04 2.20389E+04 1.57748E+04 1.12734E+04 8.04310E+03
+ 5.72871E+03 4.07293E+03 2.89045E+03 2.04727E+03 1.44724E+03 1.02091E+03
+ 7.18684E+02 5.04720E+02 3.53793E+02 2.46190E+02 1.71835E+02 1.19679E+02
+ 8.31804E+01 5.77019E+01 3.99532E+01 2.76522E+01 1.90994E+01 1.31843E+01
+ 9.10061E+00 6.28504E+00 4.34572E+00 3.00962E+00 2.09023E+00 1.45579E+00
+ 1.01746E+00 7.13857E-01 5.02956E-01 3.55818E-01 2.53174E-01 1.80478E-01
+ 1.29443E-01 9.29855E-02 6.70934E-02 4.85450E-02 3.52043E-02 2.55738E-02
+ 1.85991E-02 1.35343E-02 9.84869E-03 7.16269E-03 5.20344E-03 3.77401E-03
+ 2.73151E-03 1.97220E-03 1.41946E-03 1.02003E-03 7.29210E-04 5.19753E-04
+ 3.69532E-04 2.62295E-04 1.86129E-04 1.32299E-04 9.44292E-05 6.78719E-05
+ 4.92732E-05 3.62036E-05 2.70429E-05 2.04407E-05 1.56291E-05 1.20327E-05
+ 9.26833E-06 7.08902E-06 5.33756E-06 3.91890E-06 2.76862E-06 1.86123E-06
+ 1.16651E-06 6.62697E-07 3.25910E-07 1.27077E-07 3.25164E-08 3.25291E-09
+ 0.00000E+00 2.59249E+06 1.91923E+06 1.39067E+06 1.00680E+06 7.28131E+05
+ 5.26029E+05 3.79600E+05 2.73615E+05 1.96986E+05 1.41641E+05 1.01715E+05
+ 7.29457E+04 5.22410E+04 3.73587E+04 2.66762E+04 1.90183E+04 1.35369E+04
+ 9.61883E+03 6.82295E+03 4.83077E+03 3.41389E+03 2.40774E+03 1.69473E+03
+ 1.19028E+03 8.34209E+02 5.83211E+02 4.06958E+02 2.81860E+02 1.95813E+02
+ 1.35732E+02 9.38827E+01 6.48074E+01 4.46498E+01 3.07470E+01 2.11280E+01
+ 1.45087E+01 9.96198E+00 6.84316E+00 4.70607E+00 3.24140E+00 2.23883E+00
+ 1.55065E+00 1.07774E+00 7.51929E-01 5.26824E-01 3.70616E-01 2.62238E-01
+ 1.85891E-01 1.32586E-01 9.47136E-02 6.79624E-02 4.89028E-02 3.52689E-02
+ 2.54805E-02 1.84303E-02 1.33388E-02 9.65421E-03 6.98390E-03 5.04698E-03
+ 3.64177E-03 2.62274E-03 1.88475E-03 1.35054E-03 9.66664E-04 6.88729E-04
+ 4.89636E-04 3.47589E-04 2.46672E-04 1.75294E-04 1.25011E-04 8.97038E-05
+ 6.49446E-05 4.75667E-05 3.52855E-05 2.65994E-05 2.02608E-05 1.55716E-05
+ 1.20119E-05 9.23874E-06 7.03260E-06 5.25295E-06 3.81599E-06 2.66048E-06
+ 1.76076E-06 1.08356E-06 6.02585E-07 2.88922E-07 1.09220E-07 2.70582E-08
+ 2.73585E-09 0.00000E+00 3.23277E+06 2.38636E+06 1.72316E+06 1.24316E+06
+ 8.95905E+05 6.44936E+05 4.63740E+05 3.33054E+05 2.38904E+05 1.71149E+05
+ 1.22449E+05 8.74851E+04 6.24161E+04 4.44643E+04 3.16272E+04 2.24599E+04
+ 1.59235E+04 1.12695E+04 7.96162E+03 5.61397E+03 3.95101E+03 2.77492E+03
+ 1.94493E+03 1.36016E+03 9.49135E+02 6.60628E+02 4.58929E+02 3.16401E+02
+ 2.18804E+02 1.50964E+02 1.03927E+02 7.13983E+01 4.89518E+01 3.35438E+01
+ 2.29345E+01 1.56694E+01 1.07036E+01 7.31437E+00 5.00369E+00 3.42809E+00
+ 2.35512E+00 1.62241E+00 1.12152E+00 7.78228E-01 5.42292E-01 3.79422E-01
+ 2.67017E-01 1.88248E-01 1.33544E-01 9.48818E-02 6.77174E-02 4.84656E-02
+ 3.47673E-02 2.49847E-02 1.79762E-02 1.29420E-02 9.31830E-03 6.70632E-03
+ 4.82197E-03 3.46235E-03 2.48176E-03 1.77550E-03 1.26699E-03 9.03558E-04
+ 6.41805E-04 4.55257E-04 3.22797E-04 2.29096E-04 1.63061E-04 1.16663E-04
+ 8.41222E-05 6.12865E-05 4.52115E-05 3.37820E-05 2.56267E-05 1.96085E-05
+ 1.51009E-05 1.16392E-05 8.91886E-06 6.74546E-06 4.99315E-06 3.58685E-06
+ 2.46739E-06 1.60779E-06 9.71833E-07 5.29321E-07 2.47613E-07 9.08655E-08
+ 2.18428E-08 2.23125E-09 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 4.73739E+04 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 3.05524E+04
+ 2.35130E+04 1.78397E+04 1.35324E+04 1.02619E+04 7.77928E+03 5.89527E+03
+ 4.46593E+03 3.38187E+03 2.55994E+03 1.93697E+03 1.46495E+03 1.10746E+03
+ 8.36795E+02 6.31962E+02 4.77014E+02 3.59857E+02 2.71314E+02 2.04432E+02
+ 1.53938E+02 1.15839E+02 8.71084E+01 6.54568E+01 4.91500E+01 3.68777E+01
+ 2.76475E+01 2.07126E+01 1.54417E+01 1.15524E+01 8.63674E+00 6.45292E+00
+ 4.81879E+00 3.59707E+00 2.68693E+00 2.00584E+00 1.49819E+00 1.12003E+00
+ 8.38423E-01 6.28737E-01 4.72479E-01 3.56112E-01 2.69188E-01 2.04168E-01
+ 1.55411E-01 1.18743E-01 9.10698E-02 7.01797E-02 5.41886E-02 4.20491E-02
+ 3.26795E-02 2.54911E-02 1.99307E-02 1.56134E-02 1.22492E-02 9.61930E-03
+ 7.55755E-03 5.93737E-03 4.66175E-03 3.65594E-03 2.86212E-03 2.23520E-03
+ 1.74023E-03 1.34940E-03 1.04247E-03 7.99292E-04 6.08375E-04 4.58946E-04
+ 3.42432E-04 2.52040E-04 1.82336E-04 1.29018E-04 8.85379E-05 5.83503E-05
+ 3.60231E-05 2.00365E-05 8.75212E-06 1.16498E-06 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 7.54602E+04 5.79070E+04 4.37869E+04 3.31001E+04 2.50117E+04 1.88918E+04
+ 1.42632E+04 1.07637E+04 8.11900E+03 6.12103E+03 4.61233E+03 3.47358E+03
+ 2.61449E+03 1.96669E+03 1.47846E+03 1.11071E+03 8.33857E+02 6.25560E+02
+ 4.68945E+02 3.51263E+02 2.62902E+02 1.96600E+02 1.46892E+02 1.09651E+02
+ 8.17778E+01 6.09294E+01 4.53572E+01 3.35917E+01 2.49637E+01 1.85359E+01
+ 1.37525E+01 1.01967E+01 7.55626E+00 5.60278E+00 4.15122E+00 3.07706E+00
+ 2.28274E+00 1.69561E+00 1.26169E+00 9.40764E-01 7.03567E-01 5.27720E-01
+ 3.97174E-01 3.00013E-01 2.27488E-01 1.73155E-01 1.32442E-01 1.01500E-01
+ 7.81812E-02 6.03119E-02 4.67000E-02 3.62456E-02 2.81858E-02 2.19499E-02
+ 1.71098E-02 1.33428E-02 1.04043E-02 8.10795E-03 6.31119E-03 4.90427E-03
+ 3.80231E-03 2.93953E-03 2.26425E-03 1.73882E-03 1.32652E-03 1.00607E-03
+ 7.57850E-04 5.66386E-04 4.19444E-04 3.07351E-04 2.22448E-04 1.58686E-04
+ 1.11277E-04 7.63733E-05 5.12791E-05 3.32745E-05 2.07273E-05 1.22069E-05
+ 6.61374E-06 3.10435E-06 1.03955E-06 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 1.38080E+05 1.05639E+05 7.95961E+04 5.99516E+04 4.51341E+04
+ 3.39621E+04 2.55424E+04 1.91998E+04 1.44241E+04 1.08300E+04 8.12643E+03
+ 6.09390E+03 4.56670E+03 3.41984E+03 2.55914E+03 1.91360E+03 1.42977E+03
+ 1.06737E+03 7.96150E+02 5.93307E+02 4.41735E+02 3.28563E+02 2.44144E+02
+ 1.81225E+02 1.34381E+02 9.95305E+01 7.36469E+01 5.42027E+01 4.00272E+01
+ 2.95297E+01 2.17654E+01 1.60299E+01 1.17979E+01 8.68734E+00 6.39135E+00
+ 4.70378E+00 3.46442E+00 2.55468E+00 1.88706E+00 1.39677E+00 1.03696E+00
+ 7.72105E-01 5.76875E-01 4.32598E-01 3.25664E-01 2.46109E-01 1.86913E-01
+ 1.42233E-01 1.08792E-01 8.33415E-02 6.40863E-02 4.93975E-02 3.81496E-02
+ 2.95058E-02 2.28421E-02 1.76911E-02 1.37003E-02 1.06033E-02 8.19699E-03
+ 6.32612E-03 4.87137E-03 3.74076E-03 2.86245E-03 2.18430E-03 1.65635E-03
+ 1.24935E-03 9.36706E-04 6.97579E-04 5.15621E-04 3.77996E-04 2.74612E-04
+ 1.97608E-04 1.40688E-04 9.90165E-05 6.91233E-05 4.76194E-05 3.24830E-05
+ 2.19712E-05 1.47779E-05 9.90469E-06 6.65452E-06 4.48629E-06 3.02705E-06
+ 2.03786E-06 1.34621E-06 8.50531E-07 4.91478E-07 2.43367E-07 8.47208E-08
+ 7.69627E-09 0.00000E+00 2.05645E+05 1.69349E+05 1.27135E+05 9.54023E+04
+ 7.15519E+04 5.36340E+04 4.01798E+04 3.00824E+04 2.25084E+04 1.68302E+04
+ 1.25758E+04 9.39018E+03 7.00629E+03 5.22351E+03 3.89122E+03 2.89626E+03
+ 2.15382E+03 1.60021E+03 1.18777E+03 8.80741E+02 6.52409E+02 4.82745E+02
+ 3.56813E+02 2.63425E+02 1.94255E+02 1.43063E+02 1.05250E+02 7.70007E+01
+ 5.65223E+01 4.14441E+01 3.03568E+01 2.22156E+01 1.62450E+01 1.18837E+01
+ 8.68474E+00 6.34856E+00 4.64400E+00 3.40101E+00 2.49488E+00 1.83386E+00
+ 1.35202E+00 9.99714E-01 7.41768E-01 5.52421E-01 4.13023E-01 3.09999E-01
+ 2.33852E-01 1.76750E-01 1.34296E-01 1.02195E-01 7.80660E-02 5.97785E-02
+ 4.58652E-02 3.52421E-02 2.71055E-02 2.08566E-02 1.60468E-02 1.23387E-02
+ 9.47667E-03 7.26636E-03 5.55932E-03 4.24179E-03 3.22532E-03 2.44607E-03
+ 1.84380E-03 1.38292E-03 1.03154E-03 7.64816E-04 5.63406E-04 4.12216E-04
+ 2.99486E-04 2.16106E-04 1.54845E-04 1.10225E-04 7.83097E-05 5.53453E-05
+ 3.90976E-05 2.76747E-05 1.96774E-05 1.40577E-05 1.01029E-05 7.26267E-06
+ 5.17312E-06 3.61546E-06 2.43053E-06 1.53032E-06 8.64796E-07 4.09370E-07
+ 1.33273E-07 1.23829E-08 0.00000E+00 3.51606E+05 2.67190E+05 1.99732E+05
+ 1.49233E+05 1.11434E+05 8.31576E+04 6.20158E+04 4.62178E+04 3.44200E+04
+ 2.56150E+04 1.90479E+04 1.41532E+04 1.05076E+04 7.79432E+03 5.77649E+03
+ 4.27701E+03 3.16370E+03 2.33779E+03 1.72569E+03 1.27243E+03 9.37171E+02
+ 6.89415E+02 5.06550E+02 3.71710E+02 2.72418E+02 1.99364E+02 1.45732E+02
+ 1.05911E+02 7.72278E+01 5.62427E+01 4.09125E+01 2.97305E+01 2.15849E+01
+ 1.56759E+01 1.13719E+01 8.25101E+00 5.99023E+00 4.35362E+00 3.16930E+00
+ 2.31171E+00 1.69122E+00 1.24092E+00 9.13674E-01 6.75244E-01 5.01018E-01
+ 3.73199E-01 2.79426E-01 2.09617E-01 1.58097E-01 1.19424E-01 9.05649E-02
+ 6.88499E-02 5.24473E-02 4.00128E-02 3.05565E-02 2.33454E-02 1.78343E-02
+ 1.36153E-02 1.03817E-02 7.90188E-03 6.00003E-03 4.54245E-03 3.42560E-03
+ 2.57535E-03 1.92279E-03 1.42698E-03 1.05172E-03 7.69022E-04 5.57249E-04
+ 3.99651E-04 2.83275E-04 1.98135E-04 1.36482E-04 9.22992E-05 6.13874E-05
+ 3.97952E-05 2.51301E-05 1.53965E-05 9.11477E-06 5.18916E-06 2.83999E-06
+ 1.50112E-06 7.77804E-07 4.15009E-07 2.40654E-07 1.53963E-07 1.00556E-07
+ 5.96073E-08 2.44100E-08 2.09883E-09 0.00000E+00 5.22093E+05 3.95295E+05
+ 2.94221E+05 2.18873E+05 1.62714E+05 1.20881E+05 8.97400E+04 6.65720E+04
+ 4.93474E+04 3.65503E+04 2.70494E+04 2.00009E+04 1.47759E+04 1.09056E+04
+ 8.04128E+03 5.92322E+03 4.35849E+03 3.20357E+03 2.35202E+03 1.72475E+03
+ 1.26324E+03 9.24019E+02 6.75019E+02 4.92431E+02 3.58743E+02 2.60942E+02
+ 1.89569E+02 1.36895E+02 9.91834E+01 7.17639E+01 5.18587E+01 3.74325E+01
+ 2.69916E+01 1.94673E+01 1.40234E+01 1.01027E+01 7.28202E+00 5.25422E+00
+ 3.79709E+00 2.74938E+00 1.99668E+00 1.45430E+00 1.06294E+00 7.79811E-01
+ 5.74393E-01 4.24746E-01 3.15736E-01 2.35148E-01 1.76091E-01 1.32067E-01
+ 9.94452E-02 7.50683E-02 5.67823E-02 4.30161E-02 3.26196E-02 2.47468E-02
+ 1.87720E-02 1.42304E-02 1.07742E-02 8.14285E-03 6.13945E-03 4.61544E-03
+ 3.45636E-03 2.58071E-03 1.91390E-03 1.41130E-03 1.03399E-03 7.52084E-04
+ 5.42664E-04 3.88113E-04 2.74928E-04 1.92768E-04 1.33694E-04 9.16135E-05
+ 6.22848E-05 4.18054E-05 2.78224E-05 1.84086E-05 1.21557E-05 8.04428E-06
+ 5.36358E-06 3.60701E-06 2.43289E-06 1.63366E-06 1.06903E-06 6.61101E-07
+ 3.68607E-07 1.71281E-07 5.37434E-08 5.02453E-09 0.00000E+00 7.40175E+05
+ 5.58386E+05 4.13836E+05 3.06526E+05 2.26880E+05 1.67805E+05 1.24017E+05
+ 9.15829E+04 6.75754E+04 4.98185E+04 3.66951E+04 2.70037E+04 1.98528E+04
+ 1.45809E+04 1.06979E+04 7.84043E+03 5.73979E+03 4.19700E+03 3.06521E+03
+ 2.23576E+03 1.62866E+03 1.18477E+03 8.60677E+02 6.24312E+02 4.52202E+02
+ 3.26991E+02 2.36143E+02 1.69483E+02 1.22041E+02 8.77523E+01 6.30109E+01
+ 4.51901E+01 3.23726E+01 2.31940E+01 1.65958E+01 1.18747E+01 8.50051E+00
+ 6.09093E+00 4.37108E+00 3.14280E+00 2.26636E+00 1.63910E+00 1.18957E+00
+ 8.66581E-01 6.33838E-01 4.65427E-01 3.43583E-01 2.54110E-01 1.88986E-01
+ 1.40765E-01 1.05273E-01 7.89278E-02 5.92976E-02 4.46182E-02 3.36062E-02
+ 2.53234E-02 1.90798E-02 1.43661E-02 1.08036E-02 8.11001E-03 6.07360E-03
+ 4.53549E-03 3.37399E-03 2.50291E-03 1.84449E-03 1.35195E-03 9.85015E-04
+ 7.12974E-04 5.12445E-04 3.65586E-04 2.58838E-04 1.81887E-04 1.26901E-04
+ 8.79209E-05 6.08237E-05 4.18860E-05 2.88752E-05 1.99923E-05 1.39406E-05
+ 9.80027E-06 6.94069E-06 4.92182E-06 3.45319E-06 2.36865E-06 1.55356E-06
+ 9.46064E-07 5.11420E-07 2.26456E-07 6.69277E-08 6.38510E-09 0.00000E+00
+ 1.01270E+06 7.61267E+05 5.61821E+05 4.14368E+05 3.05382E+05 2.24884E+05
+ 1.65470E+05 1.21651E+05 8.93569E+04 6.55761E+04 4.80789E+04 3.52157E+04
+ 2.57678E+04 1.88346E+04 1.37518E+04 1.00291E+04 7.30558E+03 5.31499E+03
+ 3.86189E+03 2.80226E+03 2.03061E+03 1.46930E+03 1.06161E+03 7.65835E+02
+ 5.51622E+02 3.96619E+02 2.84783E+02 2.03185E+02 1.45445E+02 1.03952E+02
+ 7.41885E+01 5.28774E+01 3.76415E+01 2.67977E+01 1.90507E+01 1.35422E+01
+ 9.63030E+00 6.85454E+00 4.88612E+00 3.48942E+00 2.49931E+00 1.79533E+00
+ 1.29412E+00 9.36363E-01 6.80257E-01 4.96146E-01 3.63816E-01 2.67271E-01
+ 1.97459E-01 1.46101E-01 1.08545E-01 8.08479E-02 6.03435E-02 4.51094E-02
+ 3.37552E-02 2.52704E-02 1.89164E-02 1.41507E-02 1.05728E-02 7.88549E-03
+ 5.86756E-03 4.35382E-03 3.21851E-03 2.37300E-03 1.73842E-03 1.26711E-03
+ 9.18519E-04 6.61939E-04 4.74161E-04 3.37601E-04 2.39001E-04 1.68351E-04
+ 1.18127E-04 8.26464E-05 5.80096E-05 4.07491E-05 2.88011E-05 2.05256E-05
+ 1.47568E-05 1.06823E-05 7.75180E-06 5.59092E-06 3.95419E-06 2.70868E-06
+ 1.75855E-06 1.05135E-06 5.53502E-07 2.36215E-07 6.68382E-08 6.46598E-09
+ 0.00000E+00 1.34635E+06 1.00856E+06 7.41249E+05 5.44423E+05 3.99539E+05
+ 2.92968E+05 2.14638E+05 1.57110E+05 1.14895E+05 8.39417E+04 6.12668E+04
+ 4.46706E+04 3.25353E+04 2.36702E+04 1.72008E+04 1.24844E+04 9.05006E+03
+ 6.55185E+03 4.73695E+03 3.41992E+03 2.46555E+03 1.77478E+03 1.27561E+03
+ 9.15322E+02 6.55740E+02 4.68892E+02 3.34811E+02 2.37515E+02 1.69048E+02
+ 1.20122E+02 8.52246E+01 6.03811E+01 4.27230E+01 3.02292E+01 2.13567E+01
+ 1.50860E+01 1.06600E+01 7.53881E+00 5.33921E+00 3.78822E+00 2.69565E+00
+ 1.92371E+00 1.37760E+00 9.90251E-01 7.14721E-01 5.17889E-01 3.77312E-01
+ 2.75391E-01 2.02156E-01 1.48619E-01 1.09713E-01 8.12008E-02 6.02244E-02
+ 4.47371E-02 3.32664E-02 2.47484E-02 1.84098E-02 1.36858E-02 1.01618E-02
+ 7.53209E-03 5.57023E-03 4.10821E-03 3.01887E-03 2.21302E-03 1.61228E-03
+ 1.16913E-03 8.43592E-04 6.05602E-04 4.32583E-04 3.07559E-04 2.17821E-04
+ 1.53849E-04 1.08560E-04 7.66359E-05 5.44617E-05 3.88663E-05 2.79773E-05
+ 2.03260E-05 1.48813E-05 1.09364E-05 8.01608E-06 5.80586E-06 4.09788E-06
+ 2.78454E-06 1.78302E-06 1.04555E-06 5.36654E-07 2.21426E-07 6.02784E-08
+ 5.90321E-09 0.00000E+00 1.74745E+06 1.30458E+06 9.54940E+05 6.98512E+05
+ 5.10509E+05 3.72778E+05 2.71960E+05 1.98221E+05 1.44336E+05 1.04993E+05
+ 7.62946E+04 5.53803E+04 4.01542E+04 2.90802E+04 2.10350E+04 1.51962E+04
+ 1.09639E+04 7.89956E+03 5.68376E+03 4.08342E+03 2.92932E+03 2.09804E+03
+ 1.50028E+03 1.07099E+03 7.63251E+02 5.42866E+02 3.85553E+02 2.72001E+02
+ 1.92525E+02 1.36038E+02 9.59687E+01 6.76020E+01 4.75527E+01 3.34479E+01
+ 2.34890E+01 1.64916E+01 1.15818E+01 8.14011E+00 5.72917E+00 4.03942E+00
+ 2.85632E+00 2.02551E+00 1.44134E+00 1.02953E+00 7.38390E-01 5.31673E-01
+ 3.84938E-01 2.79197E-01 2.03682E-01 1.48812E-01 1.09180E-01 8.03106E-02
+ 5.92004E-02 4.37087E-02 3.23043E-02 2.38872E-02 1.76619E-02 1.30508E-02
+ 9.63233E-03 7.09724E-03 5.21784E-03 3.82614E-03 2.79574E-03 2.03837E-03
+ 1.47740E-03 1.06627E-03 7.66196E-04 5.48206E-04 3.90696E-04 2.77535E-04
+ 1.96732E-04 1.39376E-04 9.88965E-05 7.03902E-05 5.05586E-05 3.65399E-05
+ 2.66598E-05 1.96198E-05 1.45191E-05 1.07482E-05 7.90013E-06 5.71144E-06
+ 4.00503E-06 2.69178E-06 1.69748E-06 9.75980E-07 4.88658E-07 1.95261E-07
+ 5.12972E-08 5.08138E-09 0.00000E+00 2.22182E+06 1.65327E+06 1.20539E+06
+ 8.78200E+05 6.39252E+05 4.64891E+05 3.37768E+05 2.45165E+05 1.77769E+05
+ 1.28765E+05 9.31679E+04 6.73352E+04 4.86085E+04 3.50470E+04 2.52375E+04
+ 1.81496E+04 1.30348E+04 9.34806E+03 6.69440E+03 4.78665E+03 3.41729E+03
+ 2.43561E+03 1.73309E+03 1.23099E+03 8.72837E+02 6.17611E+02 4.36359E+02
+ 3.06198E+02 2.15573E+02 1.51499E+02 1.06289E+02 7.44552E+01 5.20777E+01
+ 3.64219E+01 2.54294E+01 1.77494E+01 1.23914E+01 8.65708E+00 6.05636E+00
+ 4.24424E+00 2.98291E+00 2.10237E+00 1.48689E+00 1.05558E+00 7.52460E-01
+ 5.38501E-01 3.87528E-01 2.79369E-01 2.02584E-01 1.47120E-01 1.07295E-01
+ 7.84555E-02 5.74906E-02 4.21959E-02 3.10029E-02 2.27906E-02 1.67527E-02
+ 1.23071E-02 9.03105E-03 6.61623E-03 4.83686E-03 3.52729E-03 2.56359E-03
+ 1.85961E-03 1.34140E-03 9.63939E-04 6.90113E-04 4.92364E-04 3.50285E-04
+ 2.48738E-04 1.76553E-04 1.25491E-04 8.95289E-05 6.42010E-05 4.65330E-05
+ 3.39688E-05 2.50280E-05 1.85735E-05 1.38249E-05 1.02598E-05 7.53039E-06
+ 5.41612E-06 3.76421E-06 2.49863E-06 1.55065E-06 8.74080E-07 4.27065E-07
+ 1.65466E-07 4.20507E-08 4.21106E-09 0.00000E+00 2.77468E+06 2.05803E+06
+ 1.49473E+06 1.08477E+06 7.86515E+05 5.69720E+05 4.12274E+05 2.98034E+05
+ 2.15222E+05 1.55249E+05 1.11862E+05 8.05049E+04 5.78677E+04 4.15431E+04
+ 2.97849E+04 2.13255E+04 1.52474E+04 1.08856E+04 7.75992E+03 5.52291E+03
+ 3.92451E+03 2.78389E+03 1.97143E+03 1.39349E+03 9.83204E+02 6.92230E+02
+ 4.86616E+02 3.39696E+02 2.37920E+02 1.66328E+02 1.16072E+02 8.08709E+01
+ 5.62563E+01 3.91272E+01 2.71653E+01 1.88537E+01 1.30870E+01 9.09023E+00
+ 6.32237E+00 4.40469E+00 3.07746E+00 2.15620E+00 1.51594E+00 1.06983E+00
+ 7.58116E-01 5.39343E-01 3.85859E-01 2.76528E-01 1.99357E-01 1.43932E-01
+ 1.04362E-01 7.58709E-02 5.52773E-02 4.03392E-02 2.94697E-02 2.15405E-02
+ 1.57443E-02 1.15014E-02 8.39282E-03 6.11488E-03 4.44625E-03 3.22544E-03
+ 2.33233E-03 1.68378E-03 1.20919E-03 8.65516E-04 6.17631E-04 4.39603E-04
+ 3.12351E-04 2.21820E-04 1.57711E-04 1.12482E-04 8.06661E-05 5.82337E-05
+ 4.25291E-05 3.12876E-05 2.32115E-05 1.73119E-05 1.29166E-05 9.57883E-06
+ 7.00202E-06 4.99999E-06 3.43928E-06 2.25279E-06 1.37535E-06 7.60062E-07
+ 3.62504E-07 1.36323E-07 3.35824E-08 3.39847E-09 0.00000E+00 3.41046E+06
+ 2.52172E+06 1.82462E+06 1.31916E+06 9.52806E+05 6.87507E+05 4.95569E+05
+ 3.56836E+05 2.56659E+05 1.84395E+05 1.32322E+05 9.48387E+04 6.78880E+04
+ 4.85322E+04 3.46483E+04 2.47012E+04 1.75845E+04 1.24990E+04 8.87057E+03
+ 6.28506E+03 4.44582E+03 3.13920E+03 2.21272E+03 1.55668E+03 1.09311E+03
+ 7.65878E+02 5.35760E+02 3.72125E+02 2.59326E+02 1.80372E+02 1.25226E+02
+ 8.67936E+01 6.00571E+01 4.15477E+01 2.86894E+01 1.98023E+01 1.36693E+01
+ 9.44164E+00 6.52978E+00 4.52335E+00 3.14236E+00 2.18906E+00 1.53021E+00
+ 1.07371E+00 7.56500E-01 5.35106E-01 3.80651E-01 2.71234E-01 1.94435E-01
+ 1.39582E-01 1.00639E-01 7.27536E-02 5.27100E-02 3.82517E-02 2.77899E-02
+ 2.02006E-02 1.46840E-02 1.06685E-02 7.74323E-03 5.61174E-03 4.05930E-03
+ 2.92999E-03 2.10851E-03 1.51537E-03 1.08378E-03 7.72991E-04 5.50031E-04
+ 3.90723E-04 2.77385E-04 1.97081E-04 1.40393E-04 1.00476E-04 7.24073E-05
+ 5.25786E-05 3.86373E-05 2.85896E-05 2.13054E-05 1.59290E-05 1.18834E-05
+ 8.78688E-06 6.38564E-06 4.52116E-06 3.07520E-06 1.98668E-06 1.19293E-06
+ 6.46356E-07 3.01019E-07 1.09972E-07 2.63083E-08 2.68948E-09 0.00000E+00
+ 3.32208E+04 1.14604E+04 9.10386E+03 7.23189E+03 5.74487E+03 4.56364E+03
+ 3.62532E+03 2.87996E+03 2.28788E+03 1.81754E+03 1.44393E+03 1.14714E+03
+ 9.11387E+02 7.24108E+02 5.75339E+02 4.57160E+02 3.63280E+02 2.88703E+02
+ 2.29460E+02 1.82396E+02 1.45007E+02 1.15304E+02 9.17068E+01 7.29587E+01
+ 5.80631E+01 4.62276E+01 3.68229E+01 2.92549E+01 2.33364E+01 1.86313E+01
+ 1.48901E+01 1.19146E+01 9.54715E+00 7.66785E+00 6.16712E+00 4.97152E+00
+ 4.01800E+00 3.25651E+00 2.64728E+00 2.15859E+00 1.76609E+00 1.44932E+00
+ 1.19284E+00 9.84320E-01 8.14074E-01 6.74476E-01 5.59911E-01 4.64586E-01
+ 3.85955E-01 3.20097E-01 2.65359E-01 2.19602E-01 1.81320E-01 1.49282E-01
+ 1.22484E-01 1.00098E-01 8.14348E-02 6.59176E-02 5.30603E-02 4.24500E-02
+ 3.37350E-02 2.66146E-02 2.08312E-02 1.61838E-02 1.24372E-02 9.46113E-03
+ 7.11786E-03 5.29055E-03 3.88064E-03 2.80543E-03 1.99597E-03 1.39521E-03
+ 9.56109E-04 6.40566E-04 4.20162E-04 2.67319E-04 1.64820E-04 9.80186E-05
+ 5.58967E-05 3.03427E-05 1.55316E-05 7.41423E-06 3.22872E-06 1.26172E-06
+ 4.25999E-07 1.17816E-07 2.44070E-08 3.20252E-09 1.82627E-10 1.35687E-12
+ 0.00000E+00 3.83172E+04 2.76641E+04 2.14617E+04 1.66567E+04 1.29322E+04
+ 1.00442E+04 7.80410E+03 6.06584E+03 4.71653E+03 3.66874E+03 2.85480E+03
+ 2.22229E+03 1.73058E+03 1.34818E+03 1.05069E+03 8.19165E+02 6.38913E+02
+ 4.98524E+02 3.89145E+02 3.03893E+02 2.37422E+02 1.85576E+02 1.45121E+02
+ 1.13544E+02 8.88873E+01 6.96258E+01 5.45756E+01 4.26635E+01 3.34984E+01
+ 2.63274E+01 2.07141E+01 1.63183E+01 1.28739E+01 1.01808E+01 8.06221E+00
+ 6.39938E+00 5.09282E+00 4.06474E+00 3.25436E+00 2.61389E+00 2.10709E+00
+ 1.70412E+00 1.38269E+00 1.12526E+00 9.18205E-01 7.50913E-01 6.15643E-01
+ 5.04700E-01 4.14495E-01 3.39993E-01 2.78910E-01 2.28520E-01 1.86894E-01
+ 1.52485E-01 1.24041E-01 1.00546E-01 8.11688E-02 6.52230E-02 5.21390E-02
+ 4.14416E-02 3.27318E-02 2.56758E-02 1.99874E-02 1.54492E-02 1.18152E-02
+ 8.94645E-03 6.70042E-03 4.95771E-03 3.61907E-03 2.60204E-03 1.83889E-03
+ 1.27361E-03 8.61837E-04 5.66189E-04 3.60085E-04 2.17617E-04 1.22638E-04
+ 6.15313E-05 2.39598E-05 2.48916E-06 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 6.53928E+04 5.08479E+04 3.90485E+04 2.99946E+04
+ 2.30446E+04 1.77085E+04 1.36108E+04 1.04636E+04 8.04588E+03 6.18820E+03
+ 4.76055E+03 3.66315E+03 2.81943E+03 2.17059E+03 1.67152E+03 1.28756E+03
+ 9.92081E+02 7.64641E+02 5.89533E+02 4.54676E+02 3.50796E+02 2.70751E+02
+ 2.09058E+02 1.61494E+02 1.24815E+02 9.65155E+01 7.46820E+01 5.76188E+01
+ 4.46570E+01 3.46431E+01 2.69034E+01 2.09191E+01 1.62892E+01 1.27148E+01
+ 9.93848E+00 7.78686E+00 6.11750E+00 4.82043E+00 3.81082E+00 3.02284E+00
+ 2.40705E+00 1.92347E+00 1.54248E+00 1.24107E+00 1.00158E+00 8.10390E-01
+ 6.57627E-01 5.33782E-01 4.34239E-01 3.52940E-01 2.87007E-01 2.33190E-01
+ 1.89188E-01 1.53173E-01 1.23685E-01 9.95515E-02 7.98231E-02 6.37263E-02
+ 5.06261E-02 3.99992E-02 3.14117E-02 2.45055E-02 1.89748E-02 1.45914E-02
+ 1.11033E-02 8.36610E-03 6.23525E-03 4.59084E-03 3.33415E-03 2.38405E-03
+ 1.67439E-03 1.15112E-03 7.71758E-04 5.00573E-04 3.12496E-04 1.83349E-04
+ 9.79964E-05 4.38803E-05 1.13695E-05 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 1.09889E+05 8.49220E+04 6.47501E+04
+ 4.93735E+04 3.76490E+04 2.87092E+04 2.18927E+04 1.66951E+04 1.27319E+04
+ 9.70991E+03 7.40553E+03 5.64832E+03 4.30834E+03 3.28647E+03 2.50717E+03
+ 1.91284E+03 1.45955E+03 1.11381E+03 8.50091E+02 6.48913E+02 4.95442E+02
+ 3.78345E+02 2.88999E+02 2.20815E+02 1.68778E+02 1.29049E+02 9.87265E+01
+ 7.52866E+01 5.76770E+01 4.42226E+01 3.39401E+01 2.60792E+01 2.00666E+01
+ 1.54776E+01 1.19540E+01 9.25479E+00 7.18472E+00 5.59484E+00 4.37158E+00
+ 3.42780E+00 2.69870E+00 2.13264E+00 1.69171E+00 1.34678E+00 1.07576E+00
+ 8.61752E-01 6.92615E-01 5.56943E-01 4.49038E-01 3.61809E-01 2.91775E-01
+ 2.35165E-01 1.89318E-01 1.52137E-01 1.21965E-01 9.74866E-02 7.76435E-02
+ 6.15845E-02 4.86179E-02 3.81796E-02 2.98072E-02 2.31226E-02 1.78058E-02
+ 1.36206E-02 1.03120E-02 7.73246E-03 5.73692E-03 4.20635E-03 3.04363E-03
+ 2.16969E-03 1.52053E-03 1.04463E-03 7.01300E-04 4.57078E-04 2.88435E-04
+ 1.73047E-04 9.69439E-05 4.86959E-05 1.95703E-05 4.40313E-06 1.03980E-06
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 1.72108E+05 1.32342E+05
+ 1.00320E+05 7.60409E+04 5.76299E+04 4.36706E+04 3.30881E+04 2.50666E+04
+ 1.89873E+04 1.43804E+04 1.08900E+04 8.24576E+03 6.24286E+03 4.72594E+03
+ 3.57725E+03 2.70751E+03 2.04907E+03 1.55065E+03 1.17342E+03 8.87927E+02
+ 6.71902E+02 5.08442E+02 3.84781E+02 2.91223E+02 2.20454E+02 1.66909E+02
+ 1.26421E+02 9.54183E+01 7.23510E+01 5.48977E+01 4.16904E+01 3.16945E+01
+ 2.41261E+01 1.84087E+01 1.40640E+01 1.07703E+01 8.27070E+00 6.37106E+00
+ 4.92481E+00 3.82068E+00 2.97663E+00 2.32813E+00 1.82821E+00 1.44116E+00
+ 1.14014E+00 9.04825E-01 7.20701E-01 5.74443E-01 4.59242E-01 3.66995E-01
+ 2.93617E-01 2.34840E-01 1.87657E-01 1.49722E-01 1.19196E-01 9.46319E-02
+ 7.48773E-02 5.90135E-02 4.63007E-02 3.61417E-02 2.80517E-02 2.16376E-02
+ 1.65701E-02 1.26075E-02 9.49531E-03 7.08442E-03 5.23104E-03 3.81826E-03
+ 2.75153E-03 1.95451E-03 1.36591E-03 9.36945E-04 6.29125E-04 4.11306E-04
+ 2.61621E-04 1.59617E-04 9.25299E-05 5.00205E-05 2.43002E-05 1.08417E-05
+ 6.65480E-06 4.48629E-06 3.02705E-06 2.03786E-06 1.34621E-06 8.50531E-07
+ 4.91478E-07 2.43367E-07 8.47208E-08 7.69627E-09 0.00000E+00 1.96974E+05
+ 1.95749E+05 1.47625E+05 1.11312E+05 8.39097E+04 6.32363E+04 4.76437E+04
+ 3.58862E+04 2.70229E+04 2.03432E+04 1.53105E+04 1.15197E+04 8.66515E+03
+ 6.51621E+03 4.89895E+03 3.68212E+03 2.76687E+03 2.07861E+03 1.56123E+03
+ 1.17238E+03 8.80239E+02 6.60786E+02 4.95998E+02 3.72272E+02 2.79412E+02
+ 2.09707E+02 1.57433E+02 1.17739E+02 8.84578E+01 6.64938E+01 5.00192E+01
+ 3.76620E+01 2.83905E+01 2.14511E+01 1.62268E+01 1.23035E+01 9.35437E+00
+ 7.13446E+00 5.46057E+00 4.19488E+00 3.23659E+00 2.50735E+00 1.95052E+00
+ 1.52349E+00 1.19449E+00 9.39674E-01 7.42128E-01 5.86620E-01 4.65233E-01
+ 3.68884E-01 2.92904E-01 2.32557E-01 1.84513E-01 1.46198E-01 1.15610E-01
+ 9.11855E-02 7.16915E-02 5.61523E-02 4.37894E-02 3.39795E-02 2.62215E-02
+ 2.01121E-02 1.53169E-02 1.15915E-02 8.68433E-03 6.44646E-03 4.73679E-03
+ 3.44155E-03 2.46950E-03 1.74755E-03 1.21753E-03 8.33518E-04 5.59474E-04
+ 3.66580E-04 2.34673E-04 1.45150E-04 8.64390E-05 4.92477E-05 2.66993E-05
+ 1.47364E-05 1.01032E-05 7.26267E-06 5.17312E-06 3.61546E-06 2.43053E-06
+ 1.53032E-06 8.64796E-07 4.09370E-07 1.33273E-07 1.23829E-08 0.00000E+00
+ 3.84800E+05 2.93244E+05 2.19957E+05 1.64938E+05 1.23635E+05 9.26386E+04
+ 6.93863E+04 5.19496E+04 3.88791E+04 2.90852E+04 2.17495E+04 1.62571E+04
+ 1.21467E+04 9.07170E+03 6.77233E+03 5.05363E+03 3.76956E+03 2.81059E+03
+ 2.09477E+03 1.56065E+03 1.16231E+03 8.65334E+02 6.44056E+02 4.79224E+02
+ 3.56511E+02 2.65154E+02 1.97227E+02 1.46094E+02 1.08709E+02 8.09198E+01
+ 6.02670E+01 4.49208E+01 3.35161E+01 2.50624E+01 1.87604E+01 1.40749E+01
+ 1.05881E+01 7.98994E+00 6.05077E+00 4.59943E+00 3.51180E+00 2.69255E+00
+ 2.07337E+00 1.60332E+00 1.24483E+00 9.69928E-01 7.58925E-01 5.94439E-01
+ 4.67289E-01 3.67325E-01 2.89234E-01 2.27780E-01 1.79297E-01 1.40973E-01
+ 1.10644E-01 8.66303E-02 6.76236E-02 5.25957E-02 4.07344E-02 3.13956E-02
+ 2.40663E-02 1.83376E-02 1.38732E-02 1.04298E-02 7.76150E-03 5.72177E-03
+ 4.17420E-03 3.00978E-03 2.14190E-03 1.50178E-03 1.03520E-03 6.99684E-04
+ 4.62240E-04 2.96593E-04 1.84547E-04 1.09524E-04 6.12164E-05 3.14090E-05
+ 1.41248E-05 5.66520E-06 2.84023E-06 1.50112E-06 7.77804E-07 4.15009E-07
+ 2.40654E-07 1.53963E-07 1.00556E-07 5.96073E-08 2.44100E-08 2.09883E-09
+ 0.00000E+00 5.54849E+05 4.21008E+05 3.14184E+05 2.34377E+05 1.74759E+05
+ 1.30243E+05 9.70184E+04 7.22328E+04 5.37518E+04 3.99782E+04 2.97184E+04
+ 2.20796E+04 1.63954E+04 1.21678E+04 9.02537E+03 6.69070E+03 4.95724E+03
+ 3.67081E+03 2.71676E+03 2.00956E+03 1.48570E+03 1.09782E+03 8.10848E+02
+ 5.98611E+02 4.41769E+02 3.25874E+02 2.40372E+02 1.76516E+02 1.30207E+02
+ 9.60640E+01 7.09014E+01 5.23632E+01 3.87051E+01 2.86703E+01 2.12562E+01
+ 1.57937E+01 1.17660E+01 8.79247E+00 6.59376E+00 4.96354E+00 3.75328E+00
+ 2.85020E+00 2.17404E+00 1.66552E+00 1.28130E+00 9.89379E-01 7.67367E-01
+ 5.95863E-01 4.64484E-01 3.62114E-01 2.82845E-01 2.21005E-01 1.72631E-01
+ 1.34716E-01 1.04957E-01 8.15868E-02 6.32372E-02 4.88431E-02 3.75702E-02
+ 2.87626E-02 2.19023E-02 1.65800E-02 1.24627E-02 9.31003E-03 6.88476E-03
+ 5.04419E-03 3.65776E-03 2.62208E-03 1.85569E-03 1.29448E-03 8.88359E-04
+ 5.98424E-04 3.94681E-04 2.53526E-04 1.58680E-04 9.55432E-05 5.50780E-05
+ 3.01532E-05 1.56696E-05 8.37144E-06 5.36378E-06 3.60701E-06 2.43289E-06
+ 1.63366E-06 1.06903E-06 6.61101E-07 3.68607E-07 1.71281E-07 5.37434E-08
+ 5.02453E-09 0.00000E+00 7.72501E+05 5.83764E+05 4.33541E+05 3.21831E+05
+ 2.38773E+05 1.77049E+05 1.31205E+05 9.71738E+04 7.19258E+04 5.32048E+04
+ 3.93318E+04 2.90574E+04 2.14530E+04 1.58282E+04 1.16704E+04 8.59886E+03
+ 6.33149E+03 4.65874E+03 3.42564E+03 2.51718E+03 1.84844E+03 1.35646E+03
+ 9.94830E+02 7.29155E+02 5.34158E+02 3.91062E+02 2.86248E+02 2.08539E+02
+ 1.52601E+02 1.11671E+02 8.17377E+01 5.98575E+01 4.38654E+01 3.22108E+01
+ 2.36709E+01 1.74313E+01 1.28694E+01 9.53033E+00 7.08252E+00 5.28327E+00
+ 3.95912E+00 2.97963E+00 2.25264E+00 1.71063E+00 1.30466E+00 9.98855E-01
+ 7.68283E-01 5.91674E-01 4.57533E-01 3.53883E-01 2.74289E-01 2.12703E-01
+ 1.64919E-01 1.27764E-01 9.88319E-02 7.62881E-02 5.87232E-02 4.50492E-02
+ 3.44203E-02 2.61775E-02 1.98042E-02 1.48956E-02 1.11253E-02 8.25903E-03
+ 6.06972E-03 4.42003E-03 3.18620E-03 2.27104E-03 1.59863E-03 1.10972E-03
+ 7.58427E-04 5.09400E-04 3.35603E-04 2.15986E-04 1.36106E-04 8.32001E-05
+ 4.94053E-05 2.85819E-05 1.64018E-05 1.00248E-05 6.94086E-06 4.92182E-06
+ 3.45319E-06 2.36865E-06 1.55356E-06 9.46064E-07 5.11420E-07 2.26456E-07
+ 6.69277E-08 6.38510E-09 0.00000E+00 1.04461E+06 7.86316E+05 5.81273E+05
+ 4.29478E+05 3.17124E+05 2.34012E+05 1.72569E+05 1.27173E+05 9.36541E+04
+ 6.89213E+04 5.06839E+04 3.72449E+04 2.73490E+04 2.00671E+04 1.47128E+04
+ 1.07786E+04 7.89028E+03 5.77126E+03 4.21803E+03 3.08031E+03 2.24774E+03
+ 1.63888E+03 1.19408E+03 8.69340E+02 6.32503E+02 4.59823E+02 3.34186E+02
+ 2.41670E+02 1.75537E+02 1.27486E+02 9.25956E+01 6.72782E+01 4.89108E+01
+ 3.56261E+01 2.59661E+01 1.89630E+01 1.38832E+01 1.01945E+01 7.51207E+00
+ 5.55626E+00 4.12853E+00 3.08100E+00 2.30983E+00 1.73956E+00 1.31588E+00
+ 9.99316E-01 7.62559E-01 5.82661E-01 4.47115E-01 3.43209E-01 2.64046E-01
+ 2.03271E-01 1.56479E-01 1.20373E-01 9.24704E-02 7.08913E-02 5.42025E-02
+ 4.13056E-02 3.13536E-02 2.36911E-02 1.78088E-02 1.33104E-02 9.87917E-03
+ 7.28892E-03 5.32424E-03 3.85413E-03 2.76227E-03 1.95804E-03 1.37125E-03
+ 9.47546E-04 6.45195E-04 4.32314E-04 2.84714E-04 1.83744E-04 1.16680E-04
+ 7.24395E-05 4.42266E-05 2.67926E-05 1.64799E-05 1.08364E-05 7.75193E-06
+ 5.59092E-06 3.95419E-06 2.70868E-06 1.75855E-06 1.05135E-06 5.53502E-07
+ 2.36215E-07 6.68382E-08 6.46598E-09 0.00000E+00 1.37784E+06 1.03328E+06
+ 7.60451E+05 5.59341E+05 4.11134E+05 3.01982E+05 2.21648E+05 1.62564E+05
+ 1.19139E+05 8.72464E+04 6.38404E+04 4.66755E+04 3.40976E+04 2.48880E+04
+ 1.81504E+04 1.32250E+04 9.62783E+03 7.00269E+03 5.08882E+03 3.69460E+03
+ 2.68002E+03 1.94226E+03 1.40641E+03 1.01748E+03 7.35543E+02 5.31225E+02
+ 3.83506E+02 2.75424E+02 1.98668E+02 1.43266E+02 1.03308E+02 7.45121E+01
+ 5.37660E+01 3.88669E+01 2.81107E+01 2.03698E+01 1.47961E+01 1.07789E+01
+ 7.87959E+00 5.78162E+00 4.26178E+00 3.15516E+00 2.34673E+00 1.75348E+00
+ 1.31611E+00 9.91796E-01 7.51101E-01 5.69594E-01 4.33877E-01 3.30623E-01
+ 2.52546E-01 1.93050E-01 1.47582E-01 1.12754E-01 8.60343E-02 6.55192E-02
+ 4.97666E-02 3.76795E-02 2.84180E-02 2.13371E-02 1.59390E-02 1.18392E-02
+ 8.73343E-03 6.40487E-03 4.65074E-03 3.34715E-03 2.38557E-03 1.68211E-03
+ 1.17233E-03 8.06705E-04 5.47532E-04 3.66229E-04 2.41291E-04 1.56292E-04
+ 1.00092E-04 6.31205E-05 3.95395E-05 2.48881E-05 1.60873E-05 1.10421E-05
+ 8.01618E-06 5.80586E-06 4.09788E-06 2.78454E-06 1.78302E-06 1.04555E-06
+ 5.36654E-07 2.21426E-07 6.02784E-08 5.90321E-09 0.00000E+00 1.77852E+06
+ 1.32899E+06 9.73896E+05 7.13241E+05 5.21957E+05 3.81680E+05 2.78884E+05
+ 2.03609E+05 1.48529E+05 1.08258E+05 7.88372E+04 5.73612E+04 4.16979E+04
+ 3.02836E+04 2.19732E+04 1.59280E+04 1.15348E+04 8.34500E+03 6.03139E+03
+ 4.35476E+03 3.14114E+03 2.26341E+03 1.62940E+03 1.17180E+03 8.41970E+02
+ 6.04322E+02 4.33535E+02 3.09329E+02 2.21667E+02 1.58787E+02 1.13725E+02
+ 8.14599E+01 5.83670E+01 4.18930E+01 3.00803E+01 2.16374E+01 1.56005E+01
+ 1.12801E+01 8.18408E+00 5.95975E+00 4.35994E+00 3.20349E+00 2.36476E+00
+ 1.75375E+00 1.30655E+00 9.77347E-01 7.34797E-01 5.53209E-01 4.18414E-01
+ 3.16600E-01 2.40165E-01 1.82335E-01 1.38453E-01 1.05077E-01 7.96513E-02
+ 6.02653E-02 4.54827E-02 3.42179E-02 2.56456E-02 1.91361E-02 1.42072E-02
+ 1.04890E-02 7.69108E-03 5.60737E-03 4.04816E-03 2.89717E-03 2.05382E-03
+ 1.44095E-03 9.99742E-04 6.85360E-04 4.63926E-04 3.09964E-04 2.04464E-04
+ 1.33034E-04 8.59758E-05 5.50624E-05 3.53061E-05 2.29341E-05 1.53629E-05
+ 1.08208E-05 7.90021E-06 5.71144E-06 4.00503E-06 2.69178E-06 1.69748E-06
+ 9.75980E-07 4.88658E-07 1.95261E-07 5.12972E-08 5.08138E-09 0.00000E+00
+ 2.25249E+06 1.67736E+06 1.22411E+06 8.92743E+05 6.50557E+05 4.73682E+05
+ 3.44606E+05 2.50486E+05 1.81911E+05 1.31990E+05 9.56799E+04 6.92924E+04
+ 5.01338E+04 3.62360E+04 2.61646E+04 1.88727E+04 1.35988E+04 9.78813E+03
+ 7.03780E+03 5.05465E+03 3.62646E+03 2.59888E+03 1.86053E+03 1.33046E+03
+ 9.50467E+02 6.78185E+02 4.83623E+02 3.42940E+02 2.44233E+02 1.73850E+02
+ 1.23714E+02 8.80373E+01 6.26609E+01 4.46725E+01 3.18566E+01 2.27563E+01
+ 1.62923E+01 1.16970E+01 8.42609E+00 6.09203E+00 4.42473E+00 3.22774E+00
+ 2.36558E+00 1.74182E+00 1.28845E+00 9.57004E-01 7.14492E-01 5.34182E-01
+ 4.01265E-01 3.01561E-01 2.27226E-01 1.71371E-01 1.29276E-01 9.74786E-02
+ 7.34188E-02 5.51983E-02 4.13977E-02 3.09517E-02 2.30553E-02 1.70989E-02
+ 1.26186E-02 9.26098E-03 6.75087E-03 4.89376E-03 3.51319E-03 2.50074E-03
+ 1.76372E-03 1.23159E-03 8.50953E-04 5.81426E-04 3.92734E-04 2.62280E-04
+ 1.73344E-04 1.13374E-04 7.39681E-05 4.80840E-05 3.14795E-05 2.09768E-05
+ 1.44151E-05 1.03096E-05 7.53045E-06 5.41612E-06 3.76421E-06 2.49863E-06
+ 1.55065E-06 8.74080E-07 4.27065E-07 1.65466E-07 4.20507E-08 4.21106E-09
+ 0.00000E+00 2.80496E+06 2.08181E+06 1.51320E+06 1.09912E+06 7.97679E+05
+ 5.78402E+05 4.19028E+05 3.03290E+05 2.19313E+05 1.58435E+05 1.14344E+05
+ 8.24386E+04 5.93748E+04 4.27179E+04 3.07010E+04 2.20399E+04 1.58047E+04
+ 1.13203E+04 8.09911E+03 5.78758E+03 4.13104E+03 2.94505E+03 2.09719E+03
+ 1.49160E+03 1.05974E+03 7.51915E+02 5.33156E+02 3.75847E+02 2.66093E+02
+ 1.88276E+02 1.33164E+02 9.41743E+01 6.66062E+01 4.71819E+01 3.34274E+01
+ 2.37212E+01 1.68700E+01 1.20302E+01 8.60738E+00 6.18062E+00 4.45834E+00
+ 3.22994E+00 2.35095E+00 1.71919E+00 1.26304E+00 9.31756E-01 6.90972E-01
+ 5.13129E-01 3.82904E-01 2.85867E-01 2.14001E-01 1.60358E-01 1.20199E-01
+ 9.00622E-02 6.74094E-02 5.03668E-02 3.75427E-02 2.78991E-02 2.06566E-02
+ 1.52288E-02 1.11725E-02 8.15219E-03 5.90866E-03 4.25943E-03 3.04123E-03
+ 2.15355E-03 1.51147E-03 1.05080E-03 7.23301E-04 4.92794E-04 3.32339E-04
+ 2.21988E-04 1.47096E-04 9.67618E-05 6.37397E-05 4.20219E-05 2.80150E-05
+ 1.90514E-05 1.33292E-05 9.61303E-06 7.00206E-06 4.99999E-06 3.43928E-06
+ 2.25279E-06 1.37535E-06 7.60062E-07 3.62504E-07 1.36323E-07 3.35824E-08
+ 3.39847E-09 0.00000E+00 3.44035E+06 2.54520E+06 1.84286E+06 1.33334E+06
+ 9.63830E+05 6.96082E+05 5.02240E+05 3.62028E+05 2.60701E+05 1.87543E+05
+ 1.34774E+05 9.67492E+04 6.93770E+04 4.96929E+04 3.55534E+04 2.54070E+04
+ 1.81350E+04 1.29284E+04 9.20556E+03 6.54641E+03 4.64971E+03 3.29826E+03
+ 2.33678E+03 1.65343E+03 1.16854E+03 8.24669E+02 5.81570E+02 4.07679E+02
+ 2.87008E+02 2.01914E+02 1.41980E+02 9.98158E+01 7.01719E+01 4.94051E+01
+ 3.47857E+01 2.45301E+01 1.73345E+01 1.22821E+01 8.73067E+00 6.22823E+00
+ 4.46325E+00 3.21223E+00 2.32266E+00 1.68732E+00 1.23149E+00 9.02525E-01
+ 6.64953E-01 4.90597E-01 3.63745E-01 2.69826E-01 2.00716E-01 1.49461E-01
+ 1.11334E-01 8.29061E-02 6.16742E-02 4.58026E-02 3.39357E-02 2.50686E-02
+ 1.84516E-02 1.35240E-02 9.86474E-03 7.15720E-03 5.15860E-03 3.69864E-03
+ 2.62699E-03 1.85097E-03 1.29312E-03 8.95310E-04 6.14189E-04 4.17451E-04
+ 2.81234E-04 1.87998E-04 1.24968E-04 8.27118E-05 5.50041E-05 3.67362E-05
+ 2.48745E-05 1.71861E-05 1.21718E-05 8.81035E-06 6.38567E-06 4.52116E-06
+ 3.07520E-06 1.98668E-06 1.19293E-06 6.46356E-07 3.01019E-07 1.09972E-07
+ 2.63083E-08 2.68948E-09 0.00000E+00 2.65094E+04 2.86822E+04 2.27876E+04
+ 1.81048E+04 1.43847E+04 1.14293E+04 9.08137E+03 7.21603E+03 5.73408E+03
+ 4.55669E+03 3.62125E+03 2.87803E+03 2.28751E+03 1.81830E+03 1.44548E+03
+ 1.14923E+03 9.13816E+02 7.26736E+02 5.78059E+02 4.59894E+02 3.65974E+02
+ 2.91319E+02 2.31971E+02 1.84787E+02 1.47270E+02 1.17435E+02 9.37057E+01
+ 7.45906E+01 5.96251E+01 4.77129E+01 3.82283E+01 3.06738E+01 2.46540E+01
+ 1.98674E+01 1.60385E+01 1.29824E+01 1.05407E+01 8.58713E+00 7.02138E+00
+ 5.76330E+00 4.75133E+00 3.93352E+00 3.27063E+00 2.73118E+00 2.29028E+00
+ 1.92817E+00 1.63013E+00 1.38076E+00 1.17297E+00 9.95940E-01 8.44868E-01
+ 7.13827E-01 5.98966E-01 4.97735E-01 4.08719E-01 3.31256E-01 2.64968E-01
+ 2.09351E-01 1.63592E-01 1.26594E-01 9.71086E-02 7.38808E-02 5.57551E-02
+ 4.17822E-02 3.09792E-02 2.27474E-02 1.65250E-02 1.18629E-02 8.40410E-03
+ 5.86668E-03 4.02857E-03 2.71600E-03 1.79330E-03 1.15607E-03 7.28719E-04
+ 4.44584E-04 2.62261E-04 1.48820E-04 8.07222E-05 4.15228E-05 2.00517E-05
+ 8.98396E-06 3.64768E-06 1.31928E-06 4.08398E-07 1.02349E-07 1.89265E-08
+ 2.17328E-09 1.05541E-10 6.41736E-13 0.00000E+00 3.16290E+04 4.48028E+04
+ 3.50796E+04 2.74775E+04 2.15307E+04 1.68772E+04 1.32343E+04 1.03814E+04
+ 8.14651E+03 6.39505E+03 5.02197E+03 3.94514E+03 3.10034E+03 2.43735E+03
+ 1.91685E+03 1.50808E+03 1.18695E+03 9.34574E+02 7.36169E+02 5.80137E+02
+ 4.57389E+02 3.60788E+02 2.84741E+02 2.24852E+02 1.77671E+02 1.40486E+02
+ 1.11172E+02 8.77611E+01 6.95865E+01 5.52383E+01 4.39054E+01 3.49497E+01
+ 2.78682E+01 2.22801E+01 1.78434E+01 1.43285E+01 1.15407E+01 9.32641E+00
+ 7.56456E+00 6.15908E+00 5.03663E+00 4.13598E+00 3.41108E+00 2.82529E+00
+ 2.34979E+00 1.96184E+00 1.64462E+00 1.38086E+00 1.16252E+00 9.77805E-01
+ 8.21445E-01 6.87153E-01 5.70853E-01 4.69782E-01 3.82241E-01 3.07204E-01
+ 2.43885E-01 1.91410E-01 1.48689E-01 1.14451E-01 8.73673E-02 6.61742E-02
+ 4.97261E-02 3.71129E-02 2.74090E-02 2.00491E-02 1.45104E-02 1.03778E-02
+ 7.32398E-03 5.09166E-03 3.47991E-03 2.33188E-03 1.52747E-03 9.72706E-04
+ 6.01354E-04 3.54986E-04 1.97433E-04 1.00132E-04 4.26154E-05 1.07888E-05
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 1.35525E-20 1.01644E-20 0.00000E+00 3.70577E-22 0.00000E+00 8.66870E+04
+ 6.79156E+04 5.26102E+04 4.07709E+04 3.16078E+04 2.45135E+04 1.90189E+04
+ 1.47617E+04 1.14620E+04 8.90355E+03 6.91904E+03 5.37913E+03 4.18375E+03
+ 3.25545E+03 2.53427E+03 1.97377E+03 1.53797E+03 1.19899E+03 9.35200E+02
+ 7.29838E+02 5.69896E+02 4.45267E+02 3.48117E+02 2.72346E+02 2.13227E+02
+ 1.67070E+02 1.31024E+02 1.02504E+02 8.05654E+01 6.34003E+01 4.99618E+01
+ 3.94343E+01 3.11809E+01 2.47227E+01 1.96373E+01 1.56412E+01 1.24970E+01
+ 1.00192E+01 8.06288E+00 6.51401E+00 5.28620E+00 4.30813E+00 3.52651E+00
+ 2.89922E+00 2.39346E+00 1.98346E+00 1.65033E+00 1.37503E+00 1.14857E+00
+ 9.58251E-01 7.98352E-01 6.62220E-01 5.45530E-01 4.45289E-01 3.59526E-01
+ 2.86902E-01 2.26307E-01 1.76590E-01 1.36461E-01 1.04537E-01 7.94450E-02
+ 5.99221E-02 4.48441E-02 3.33367E-02 2.45237E-02 1.78689E-02 1.28824E-02
+ 9.17741E-03 6.45083E-03 4.46564E-03 3.03782E-03 2.02461E-03 1.31751E-03
+ 8.31494E-04 5.07447E-04 2.93445E-04 1.57419E-04 7.42092E-05 2.58364E-05
+ 3.48396E-07 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 1.31096E+05 1.01920E+05 7.82567E+04 6.01061E+04 4.61777E+04 3.54869E+04
+ 2.72791E+04 2.09760E+04 1.61345E+04 1.24145E+04 9.55550E+03 7.35756E+03
+ 5.66732E+03 4.36709E+03 3.36657E+03 2.59639E+03 2.00333E+03 1.54647E+03
+ 1.19441E+03 9.23001E+02 7.13680E+02 5.52167E+02 4.27496E+02 3.31209E+02
+ 2.56814E+02 1.99293E+02 1.54810E+02 1.19955E+02 9.34008E+01 7.28214E+01
+ 5.68611E+01 4.44740E+01 3.48516E+01 2.73901E+01 2.15670E+01 1.70313E+01
+ 1.34932E+01 1.07284E+01 8.56344E+00 6.86321E+00 5.52599E+00 4.46891E+00
+ 3.63041E+00 2.96232E+00 2.42742E+00 1.99669E+00 1.64902E+00 1.36352E+00
+ 1.13020E+00 9.35450E-01 7.73069E-01 6.36015E-01 5.19692E-01 4.20856E-01
+ 3.37261E-01 2.67271E-01 2.09488E-01 1.62525E-01 1.24929E-01 9.52341E-02
+ 7.20409E-02 5.40988E-02 4.03118E-02 2.98420E-02 2.18626E-02 1.58661E-02
+ 1.13941E-02 8.08713E-03 5.66491E-03 3.90956E-03 2.65282E-03 1.76517E-03
+ 1.14840E-03 7.26179E-04 4.45746E-04 2.61133E-04 1.44047E-04 7.24519E-05
+ 3.07304E-05 8.72718E-06 1.04065E-06 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 1.93230E+05 1.49272E+05 1.13772E+05 8.67306E+04 6.61246E+04
+ 5.04213E+04 3.84531E+04 2.93306E+04 2.23764E+04 1.70744E+04 1.30316E+04
+ 9.94835E+03 7.59658E+03 5.80239E+03 4.43334E+03 3.38843E+03 2.59075E+03
+ 1.98164E+03 1.51641E+03 1.16095E+03 8.89280E+02 6.81570E+02 5.22713E+02
+ 4.01157E+02 3.08111E+02 2.36838E+02 1.82241E+02 1.39864E+02 1.07885E+02
+ 8.33330E+01 6.44691E+01 4.99644E+01 3.88004E+01 3.02222E+01 2.35878E+01
+ 1.84659E+01 1.45054E+01 1.14370E+01 9.05448E+00 7.19864E+00 5.75067E+00
+ 4.61488E+00 3.72072E+00 3.01346E+00 2.45118E+00 2.00146E+00 1.64086E+00
+ 1.34665E+00 1.10780E+00 9.09823E-01 7.45994E-01 6.08890E-01 4.93632E-01
+ 3.96715E-01 3.15624E-01 2.48448E-01 1.93534E-01 1.49298E-01 1.14162E-01
+ 8.65998E-02 6.52043E-02 4.87458E-02 3.61628E-02 2.66554E-02 1.94448E-02
+ 1.40524E-02 1.00504E-02 7.10534E-03 4.95867E-03 3.41054E-03 2.30747E-03
+ 1.53216E-03 9.95946E-04 6.30483E-04 3.88768E-04 2.30214E-04 1.29927E-04
+ 6.86586E-05 3.28998E-05 1.39588E-05 6.65574E-06 4.48629E-06 3.02705E-06
+ 2.03786E-06 1.34621E-06 8.50531E-07 4.91478E-07 2.43367E-07 8.47208E-08
+ 7.69627E-09 0.00000E+00 1.90358E+05 2.12612E+05 1.61024E+05 1.21960E+05
+ 9.23709E+04 6.99605E+04 5.29877E+04 4.01336E+04 3.03989E+04 2.30268E+04
+ 1.74438E+04 1.32157E+04 1.00137E+04 7.58855E+03 5.75176E+03 4.36043E+03
+ 3.30647E+03 2.50795E+03 1.90290E+03 1.44434E+03 1.09676E+03 8.33217E+02
+ 6.33363E+02 4.81740E+02 3.66684E+02 2.79315E+02 2.12983E+02 1.61957E+02
+ 1.23797E+02 9.47603E+01 7.26507E+01 5.58023E+01 4.29499E+01 3.31617E+01
+ 2.56579E+01 1.99152E+01 1.55127E+01 1.21306E+01 9.52613E+00 7.51381E+00
+ 5.95609E+00 4.74357E+00 3.79608E+00 3.05202E+00 2.46462E+00 1.99794E+00
+ 1.62621E+00 1.32488E+00 1.08187E+00 8.81824E-01 7.17529E-01 5.81174E-01
+ 4.67597E-01 3.73035E-01 2.94718E-01 2.30483E-01 1.78461E-01 1.36906E-01
+ 1.04144E-01 7.86148E-02 5.89155E-02 4.38453E-02 3.23820E-02 2.37639E-02
+ 1.72600E-02 1.24200E-02 8.84560E-03 6.22811E-03 4.32963E-03 2.96726E-03
+ 2.00133E-03 1.32578E-03 8.60806E-04 5.45332E-04 3.37582E-04 2.01812E-04
+ 1.16169E-04 6.38890E-05 3.33195E-05 1.69923E-05 1.01041E-05 7.26267E-06
+ 5.17312E-06 3.61546E-06 2.43053E-06 1.53032E-06 8.64796E-07 4.09370E-07
+ 1.33273E-07 1.23829E-08 0.00000E+00 4.05740E+05 3.10029E+05 2.33295E+05
+ 1.75537E+05 1.32057E+05 9.93322E+04 7.47061E+04 5.61778E+04 4.22399E+04
+ 3.17567E+04 2.38733E+04 1.79456E+04 1.34892E+04 1.01393E+04 7.62135E+03
+ 5.72892E+03 4.30676E+03 3.23800E+03 2.43489E+03 1.83135E+03 1.37782E+03
+ 1.03695E+03 7.80751E+02 5.88139E+02 4.43325E+02 3.34378E+02 2.52453E+02
+ 1.90037E+02 1.43812E+02 1.08982E+02 8.27196E+01 6.29035E+01 4.79353E+01
+ 3.66477E+01 2.80788E+01 2.15846E+01 1.66537E+01 1.29015E+01 1.00389E+01
+ 7.84732E+00 6.16591E+00 4.86844E+00 3.86310E+00 3.08007E+00 2.46680E+00
+ 1.98331E+00 1.60110E+00 1.29358E+00 1.04747E+00 8.46493E-01 6.82854E-01
+ 5.48326E-01 4.37425E-01 3.46100E-01 2.71308E-01 2.10631E-01 1.61987E-01
+ 1.23487E-01 9.33825E-02 7.00954E-02 5.22463E-02 3.86757E-02 2.84123E-02
+ 2.07400E-02 1.49821E-02 1.07210E-02 7.59160E-03 5.31275E-03 3.66922E-03
+ 2.49655E-03 1.67002E-03 1.09552E-03 7.02748E-04 4.38140E-04 2.65357E-04
+ 1.53613E-04 8.41056E-05 4.25329E-05 1.90337E-05 7.24637E-06 2.84102E-06
+ 1.50112E-06 7.77804E-07 4.15009E-07 2.40654E-07 1.53963E-07 1.00556E-07
+ 5.96073E-08 2.44100E-08 2.09883E-09 0.00000E+00 5.75693E+05 4.37716E+05
+ 3.27461E+05 2.44928E+05 1.83144E+05 1.36906E+05 1.02314E+05 7.64420E+04
+ 5.70975E+04 4.26378E+04 3.18326E+04 2.37605E+04 1.77320E+04 1.32306E+04
+ 9.87059E+03 7.36297E+03 5.49202E+03 4.09628E+03 3.05532E+03 2.27900E+03
+ 1.70018E+03 1.26860E+03 9.46856E+02 7.06958E+02 5.28109E+02 3.94701E+02
+ 2.95262E+02 2.20172E+02 1.65062E+02 1.23911E+02 9.31658E+01 7.01797E+01
+ 5.29768E+01 4.01236E+01 3.04561E+01 2.31964E+01 1.77346E+01 1.36158E+01
+ 1.05014E+01 8.13782E+00 6.33993E+00 4.96411E+00 3.90673E+00 3.08966E+00
+ 2.45465E+00 1.95775E+00 1.56784E+00 1.25641E+00 1.00905E+00 8.08643E-01
+ 6.46840E-01 5.15041E-01 4.07465E-01 3.19804E-01 2.48775E-01 1.91745E-01
+ 1.46469E-01 1.10952E-01 8.34025E-02 6.22462E-02 4.61388E-02 3.39692E-02
+ 2.48199E-02 1.80208E-02 1.29480E-02 9.21595E-03 6.49134E-03 4.51910E-03
+ 3.10528E-03 2.10268E-03 1.40037E-03 9.15277E-04 5.85692E-04 3.64999E-04
+ 2.21752E-04 1.29615E-04 7.25628E-05 3.85249E-05 1.92646E-05 9.45712E-06
+ 5.36445E-06 3.60701E-06 2.43289E-06 1.63366E-06 1.06903E-06 6.61101E-07
+ 3.68607E-07 1.71281E-07 5.37434E-08 5.02453E-09 0.00000E+00 7.93249E+05
+ 6.00396E+05 4.46757E+05 3.32334E+05 2.47119E+05 1.83682E+05 1.36477E+05
+ 1.01364E+05 7.52565E+04 5.58524E+04 4.14366E+04 3.07308E+04 2.27836E+04
+ 1.68862E+04 1.25118E+04 9.26809E+03 6.86383E+03 5.08225E+03 3.76261E+03
+ 2.78534E+03 2.06189E+03 1.52638E+03 1.13013E+03 8.36918E+02 6.20010E+02
+ 4.59476E+02 3.40787E+02 2.51895E+02 1.87198E+02 1.39293E+02 1.03804E+02
+ 7.74995E+01 5.79820E+01 4.35256E+01 3.27463E+01 2.47219E+01 1.87367E+01
+ 1.42618E+01 1.09067E+01 8.38152E+00 6.47639E+00 5.03012E+00 3.92725E+00
+ 3.08150E+00 2.42908E+00 1.92225E+00 1.52741E+00 1.21429E+00 9.67437E-01
+ 7.68975E-01 6.10073E-01 4.81790E-01 3.78085E-01 2.94425E-01 2.27323E-01
+ 1.73977E-01 1.32017E-01 9.93804E-02 7.42609E-02 5.51073E-02 4.06205E-02
+ 2.97432E-02 2.16140E-02 1.56086E-02 1.11543E-02 7.89669E-03 5.53259E-03
+ 3.83159E-03 2.61965E-03 1.76547E-03 1.17084E-03 7.62694E-04 4.87097E-04
+ 3.03653E-04 1.85262E-04 1.09489E-04 6.27364E-05 3.48659E-05 1.90243E-05
+ 1.07692E-05 6.94141E-06 4.92182E-06 3.45319E-06 2.36865E-06 1.55356E-06
+ 9.46064E-07 5.11420E-07 2.26456E-07 6.69277E-08 6.38510E-09 0.00000E+00
+ 1.06526E+06 8.02871E+05 5.94428E+05 4.39932E+05 3.25433E+05 2.40615E+05
+ 1.77817E+05 1.31344E+05 9.69697E+04 7.15570E+04 5.27792E+04 3.89108E+04
+ 2.86736E+04 2.11203E+04 1.55504E+04 1.14448E+04 8.42016E+03 6.19279E+03
+ 4.55340E+03 3.34717E+03 2.46012E+03 1.80793E+03 1.32867E+03 9.76501E+02
+ 7.17849E+02 5.27810E+02 3.88361E+02 2.84714E+02 2.09863E+02 1.54871E+02
+ 1.14455E+02 8.47370E+01 6.28647E+01 4.67957E+01 3.49114E+01 2.61367E+01
+ 1.96450E+01 1.48307E+01 1.12500E+01 8.57628E+00 6.57474E+00 5.06685E+00
+ 3.92555E+00 3.05673E+00 2.39130E+00 1.87797E+00 1.48088E+00 1.16817E+00
+ 9.23434E-01 7.28163E-01 5.73080E-01 4.48968E-01 3.49562E-01 2.70141E-01
+ 2.07055E-01 1.57373E-01 1.18641E-01 8.87618E-02 6.59362E-02 4.86518E-02
+ 3.56634E-02 2.59710E-02 1.87701E-02 1.34819E-02 9.58262E-03 6.74775E-03
+ 4.70273E-03 3.24017E-03 2.20444E-03 1.47892E-03 9.76968E-04 6.34544E-04
+ 4.04712E-04 2.52598E-04 1.54939E-04 9.26929E-05 5.43729E-05 3.14981E-05
+ 1.83865E-05 1.13468E-05 7.75238E-06 5.59092E-06 3.95419E-06 2.70868E-06
+ 1.75855E-06 1.05135E-06 5.53502E-07 2.36215E-07 6.68382E-08 6.46598E-09
+ 0.00000E+00 1.39840E+06 1.04976E+06 7.73546E+05 5.69748E+05 4.19404E+05
+ 3.08555E+05 2.26873E+05 1.66716E+05 1.22440E+05 8.98702E+04 6.59262E+04
+ 4.83338E+04 3.54162E+04 2.59365E+04 1.89841E+04 1.38881E+04 1.01552E+04
+ 7.42221E+03 5.42257E+03 3.96014E+03 2.89132E+03 2.11041E+03 1.54025E+03
+ 1.12402E+03 8.20366E+02 5.98767E+02 4.37301E+02 3.18142E+02 2.32711E+02
+ 1.70404E+02 1.24950E+02 9.17791E+01 6.75497E+01 4.98848E+01 3.69204E+01
+ 2.74218E+01 2.04486E+01 1.53166E+01 1.15287E+01 8.72147E+00 6.63548E+00
+ 5.07538E+00 3.90299E+00 3.01674E+00 2.34265E+00 1.82616E+00 1.42933E+00
+ 1.11898E+00 8.77804E-01 6.86805E-01 5.36318E-01 4.16902E-01 3.22113E-01
+ 2.47081E-01 1.88035E-01 1.41953E-01 1.06333E-01 7.90701E-02 5.83946E-02
+ 4.28441E-02 3.12329E-02 2.26208E-02 1.62602E-02 1.16165E-02 8.21257E-03
+ 5.75242E-03 3.98827E-03 2.73415E-03 1.85138E-03 1.23676E-03 8.14097E-04
+ 5.27487E-04 3.36222E-04 2.10301E-04 1.29829E-04 7.87008E-05 4.72483E-05
+ 2.84032E-05 1.74691E-05 1.13921E-05 8.01653E-06 5.80586E-06 4.09788E-06
+ 2.78454E-06 1.78302E-06 1.04555E-06 5.36654E-07 2.21426E-07 6.02784E-08
+ 5.90321E-09 0.00000E+00 1.79899E+06 1.34539E+06 9.86932E+05 7.23600E+05
+ 5.30190E+05 3.88223E+05 2.84084E+05 2.07742E+05 1.51815E+05 1.10870E+05
+ 8.09136E+04 5.90120E+04 4.30104E+04 3.13272E+04 2.28031E+04 1.65880E+04
+ 1.20597E+04 8.76249E+03 6.36349E+03 4.61895E+03 3.35133E+03 2.43065E+03
+ 1.76248E+03 1.27770E+03 9.26251E+02 6.71403E+02 4.86935E+02 3.51706E+02
+ 2.55414E+02 1.85667E+02 1.35140E+02 9.85265E+01 7.19730E+01 5.27527E+01
+ 3.87489E+01 2.85632E+01 2.11401E+01 1.57165E+01 1.17422E+01 8.81770E+00
+ 6.65993E+00 5.05733E+00 3.86122E+00 2.96312E+00 2.28455E+00 1.76804E+00
+ 1.37382E+00 1.06756E+00 8.31230E-01 6.45428E-01 5.00171E-01 3.85855E-01
+ 2.95901E-01 2.25332E-01 1.70293E-01 1.27710E-01 9.50634E-02 7.02665E-02
+ 5.15940E-02 3.76427E-02 2.72906E-02 1.96586E-02 1.40548E-02 9.98760E-03
+ 7.02360E-03 4.89400E-03 3.37590E-03 2.30311E-03 1.55249E-03 1.03298E-03
+ 6.77834E-04 4.38391E-04 2.79469E-04 1.75344E-04 1.09057E-04 6.70298E-05
+ 4.11526E-05 2.55536E-05 1.63615E-05 1.10608E-05 7.90048E-06 5.71145E-06
+ 4.00503E-06 2.69178E-06 1.69748E-06 9.75980E-07 4.88658E-07 1.95261E-07
+ 5.12972E-08 5.08138E-09 0.00000E+00 2.27286E+06 1.69369E+06 1.23708E+06
+ 9.03055E+05 6.58752E+05 4.80195E+05 3.49783E+05 2.54601E+05 1.85182E+05
+ 1.34590E+05 9.77469E+04 7.09356E+04 5.14403E+04 3.72748E+04 2.69906E+04
+ 1.95295E+04 1.41212E+04 1.02036E+04 7.36822E+03 5.31747E+03 3.83551E+03
+ 2.76517E+03 1.99281E+03 1.43569E+03 1.03419E+03 7.44786E+02 5.36611E+02
+ 3.84962E+02 2.77672E+02 2.00460E+02 1.44893E+02 1.04895E+02 7.60818E+01
+ 5.53678E+01 4.03790E+01 2.95518E+01 2.17154E+01 1.60292E+01 1.18910E+01
+ 8.86661E+00 6.65006E+00 5.01470E+00 3.80212E+00 2.89754E+00 2.21844E+00
+ 1.70481E+00 1.31532E+00 1.01471E+00 7.84318E-01 6.04481E-01 4.64954E-01
+ 3.56030E-01 2.71040E-01 2.04941E-01 1.53832E-01 1.14618E-01 8.47916E-02
+ 6.23039E-02 4.54867E-02 3.30027E-02 2.37966E-02 1.70497E-02 1.21245E-02
+ 8.57061E-03 5.99569E-03 4.15642E-03 2.85297E-03 1.93728E-03 1.30033E-03
+ 8.62068E-04 5.64178E-04 3.64436E-04 2.32533E-04 1.46476E-04 9.18594E-05
+ 5.72626E-05 3.59056E-05 2.29244E-05 1.51350E-05 1.04741E-05 7.53065E-06
+ 5.41612E-06 3.76421E-06 2.49863E-06 1.55065E-06 8.74080E-07 4.27065E-07
+ 1.65466E-07 4.20507E-08 4.21106E-09 0.00000E+00 2.82523E+06 2.09807E+06
+ 1.52612E+06 1.10939E+06 8.05836E+05 5.84885E+05 4.24182E+05 3.07386E+05
+ 2.22569E+05 1.61024E+05 1.16401E+05 8.40743E+04 6.06752E+04 4.37518E+04
+ 3.15231E+04 2.26936E+04 1.63245E+04 1.17337E+04 8.42782E+03 6.04899E+03
+ 4.33893E+03 3.11038E+03 2.22866E+03 1.59615E+03 1.14288E+03 8.18019E+02
+ 5.85716E+02 4.17500E+02 2.99210E+02 2.14605E+02 1.54095E+02 1.10814E+02
+ 7.98349E+01 5.77068E+01 4.17985E+01 3.03822E+01 2.21734E+01 1.62559E+01
+ 1.19774E+01 8.87062E+00 6.60829E+00 4.94972E+00 3.72766E+00 2.82166E+00
+ 2.14571E+00 1.63762E+00 1.25474E+00 9.61119E-01 7.37591E-01 5.64336E-01
+ 4.30915E-01 3.27576E-01 2.47603E-01 1.85926E-01 1.38632E-01 1.02637E-01
+ 7.54673E-02 5.51295E-02 4.00220E-02 2.88785E-02 2.07106E-02 1.47597E-02
+ 1.04406E-02 7.34204E-03 5.10990E-03 3.52470E-03 2.40780E-03 1.62770E-03
+ 1.08820E-03 7.19092E-04 4.69585E-04 3.03149E-04 1.93746E-04 1.22628E-04
+ 7.75895E-05 4.90511E-05 3.13600E-05 2.04962E-05 1.38471E-05 9.72587E-06
+ 7.00222E-06 4.99999E-06 3.43928E-06 2.25279E-06 1.37535E-06 7.60062E-07
+ 3.62504E-07 1.36323E-07 3.35824E-08 3.39847E-09 0.00000E+00 3.46053E+06
+ 2.56138E+06 1.85572E+06 1.34356E+06 9.71950E+05 7.02536E+05 5.07370E+05
+ 3.66105E+05 2.63942E+05 1.90119E+05 1.36822E+05 9.83773E+04 7.06714E+04
+ 5.07220E+04 3.63715E+04 2.60575E+04 1.86522E+04 1.33397E+04 9.53253E+03
+ 6.80638E+03 4.85640E+03 3.46258E+03 2.46742E+03 1.75727E+03 1.25107E+03
+ 8.90256E+02 6.33685E+02 4.48947E+02 3.19791E+02 2.27950E+02 1.62654E+02
+ 1.16230E+02 8.32012E+01 5.97537E+01 4.30008E+01 3.10528E+01 2.25152E+01
+ 1.63990E+01 1.20042E+01 8.83270E+00 6.53735E+00 4.86479E+00 3.63984E+00
+ 2.73715E+00 2.06770E+00 1.56750E+00 1.19289E+00 9.07401E-01 6.91494E-01
+ 5.25297E-01 3.98247E-01 3.00596E-01 2.25628E-01 1.68279E-01 1.24657E-01
+ 9.17149E-02 6.70339E-02 4.86874E-02 3.51486E-02 2.52241E-02 1.79933E-02
+ 1.27557E-02 8.97607E-03 6.27991E-03 4.34873E-03 2.98510E-03 2.02981E-03
+ 1.36638E-03 9.10142E-04 5.99711E-04 3.90971E-04 2.52401E-04 1.61690E-04
+ 1.02898E-04 6.57110E-05 4.21114E-05 2.73980E-05 1.82555E-05 1.25435E-05
+ 8.88774E-06 6.38578E-06 4.52116E-06 3.07520E-06 1.98668E-06 1.19293E-06
+ 6.46356E-07 3.01019E-07 1.09972E-07 2.63083E-08 2.68948E-09 0.00000E+00
+ 2.64976E+04 2.86100E+04 2.27237E+04 1.80482E+04 1.43346E+04 1.13849E+04
+ 9.04206E+03 7.18124E+03 5.70328E+03 4.52943E+03 3.59713E+03 2.85668E+03
+ 2.26862E+03 1.80160E+03 1.43071E+03 1.13617E+03 9.02265E+02 7.16526E+02
+ 5.69037E+02 4.51924E+02 3.58934E+02 2.85102E+02 2.26482E+02 1.79942E+02
+ 1.42994E+02 1.13662E+02 9.03762E+01 7.16579E+01 5.70365E+01 4.54274E+01
+ 3.62092E+01 2.88884E+01 2.30733E+01 1.84650E+01 1.47917E+01 1.18708E+01
+ 9.54575E+00 7.69254E+00 6.21270E+00 5.02775E+00 4.07758E+00 3.31180E+00
+ 2.69250E+00 2.18955E+00 1.77937E+00 1.44361E+00 1.16893E+00 9.41767E-01
+ 7.56470E-01 6.04264E-01 4.81691E-01 3.83991E-01 3.07473E-01 2.48543E-01
+ 2.03595E-01 1.69146E-01 1.42134E-01 1.20179E-01 1.01662E-01 8.56180E-02
+ 7.15367E-02 5.91688E-02 4.83827E-02 3.91226E-02 3.11957E-02 2.45499E-02
+ 1.90580E-02 1.45852E-02 1.09957E-02 8.15798E-03 5.94949E-03 4.25880E-03
+ 2.98640E-03 2.04620E-03 1.37172E-03 8.91773E-04 5.61695E-04 3.41186E-04
+ 1.98712E-04 1.10164E-04 5.75925E-05 2.80806E-05 1.24931E-05 4.98821E-06
+ 1.72122E-06 4.86629E-07 1.03087E-07 1.38365E-08 8.07431E-10 6.14140E-12
+ 0.00000E+00 3.16156E+04 4.47260E+04 3.50116E+04 2.74173E+04 2.14774E+04
+ 1.68300E+04 1.31925E+04 1.03444E+04 8.11379E+03 6.36609E+03 4.99635E+03
+ 3.92248E+03 3.08030E+03 2.41962E+03 1.90118E+03 1.49423E+03 1.17471E+03
+ 9.23761E+02 7.26619E+02 5.71704E+02 4.49943E+02 3.54217E+02 2.78943E+02
+ 2.19737E+02 1.73160E+02 1.36508E+02 1.07664E+02 8.46729E+01 6.68627E+01
+ 5.28350E+01 4.17837E+01 3.30750E+01 2.62096E+01 2.08098E+01 1.65373E+01
+ 1.31650E+01 1.05004E+01 8.39219E+00 6.72133E+00 5.39357E+00 4.33717E+00
+ 3.49260E+00 2.81529E+00 2.27004E+00 1.82950E+00 1.47234E+00 1.18320E+00
+ 9.46602E-01 7.55765E-01 6.00721E-01 4.77127E-01 3.79428E-01 3.03302E-01
+ 2.44718E-01 1.99850E-01 1.65203E-01 1.37834E-01 1.15522E-01 9.67706E-02
+ 8.06770E-02 6.67360E-02 5.46691E-02 4.42919E-02 3.55023E-02 2.80715E-02
+ 2.19130E-02 1.68776E-02 1.28167E-02 9.58759E-03 7.05676E-03 5.10328E-03
+ 3.61918E-03 2.51163E-03 1.69900E-03 1.12056E-03 7.12369E-04 4.34281E-04
+ 2.50715E-04 1.34000E-04 6.33749E-05 2.31397E-05 2.42700E-06 0.00000E+00
+ 1.73472E-18 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 8.65957E+04 6.78346E+04 5.25385E+04 4.07074E+04
+ 3.15517E+04 2.44638E+04 1.89749E+04 1.47227E+04 1.14276E+04 8.87306E+03
+ 6.89208E+03 5.35529E+03 4.16267E+03 3.23682E+03 2.51780E+03 1.95922E+03
+ 1.52512E+03 1.18763E+03 9.25177E+02 7.20991E+02 5.62089E+02 4.38381E+02
+ 3.42044E+02 2.66992E+02 2.08507E+02 1.62910E+02 1.27358E+02 9.92791E+01
+ 7.77229E+01 6.08940E+01 4.77508E+01 3.74821E+01 2.94551E+01 2.31939E+01
+ 1.82806E+01 1.44337E+01 1.14187E+01 9.05213E+00 7.19139E+00 5.72443E+00
+ 4.56656E+00 3.64828E+00 2.91786E+00 2.33475E+00 1.86768E+00 1.49232E+00
+ 1.19124E+00 9.47133E-01 7.52101E-01 5.95091E-01 4.70970E-01 3.73513E-01
+ 2.97895E-01 2.39756E-01 1.95126E-01 1.60513E-01 1.33071E-01 1.10694E-01
+ 9.19702E-02 7.60326E-02 6.23727E-02 5.06850E-02 4.07459E-02 3.24180E-02
+ 2.54488E-02 1.97274E-02 1.50908E-02 1.13827E-02 8.45740E-03 6.18211E-03
+ 4.43871E-03 3.12372E-03 2.14965E-03 1.43989E-03 9.38427E-04 5.87382E-04
+ 3.50345E-04 1.95570E-04 9.85315E-05 4.10643E-05 9.40322E-06 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 1.31000E+05 1.01835E+05 7.81811E+04
+ 6.00392E+04 4.61185E+04 3.54345E+04 2.72327E+04 2.09350E+04 1.60982E+04
+ 1.23824E+04 9.52715E+03 7.33249E+03 5.64517E+03 4.34752E+03 3.34927E+03
+ 2.58111E+03 1.98984E+03 1.53456E+03 1.18391E+03 9.13732E+02 7.05506E+02
+ 5.44961E+02 4.21144E+02 3.25612E+02 2.51884E+02 1.94949E+02 1.50985E+02
+ 1.16592E+02 9.04393E+01 7.02122E+01 5.45610E+01 4.24449E+01 3.30595E+01
+ 2.58041E+01 2.01610E+01 1.57814E+01 1.23784E+01 9.73017E+00 7.66559E+00
+ 6.05160E+00 4.78834E+00 3.79484E+00 3.01125E+00 2.39101E+00 1.89850E+00
+ 1.50615E+00 1.19427E+00 9.43675E-01 7.45273E-01 5.86929E-01 4.62732E-01
+ 3.65830E-01 2.90949E-01 2.33452E-01 1.89254E-01 1.54886E-01 1.27591E-01
+ 1.05361E-01 8.68521E-02 7.12253E-02 5.79650E-02 4.67402E-02 3.72940E-02
+ 2.94593E-02 2.29660E-02 1.76838E-02 1.34403E-02 1.00744E-02 7.44016E-03
+ 5.40694E-03 3.86058E-03 2.70286E-03 1.85148E-03 1.23541E-03 8.03160E-04
+ 5.02606E-04 3.00956E-04 1.70057E-04 8.83707E-05 4.00978E-05 1.34447E-05
+ 1.20534E-06 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 1.93129E+05 1.49182E+05
+ 1.13693E+05 8.66603E+04 6.60624E+04 5.03662E+04 3.84044E+04 2.92875E+04
+ 2.23383E+04 1.70408E+04 1.30018E+04 9.92204E+03 7.57333E+03 5.78185E+03
+ 4.41520E+03 3.37241E+03 2.57662E+03 1.96917E+03 1.50541E+03 1.15125E+03
+ 8.80732E+02 6.74038E+02 5.16078E+02 3.95313E+02 3.02967E+02 2.32309E+02
+ 1.78256E+02 1.36364E+02 1.04804E+02 8.06210E+01 6.20806E+01 4.78592E+01
+ 3.69428E+01 2.85801E+01 2.21337E+01 1.71750E+01 1.33558E+01 1.04095E+01
+ 8.13218E+00 6.36703E+00 4.99711E+00 3.92879E+00 3.09328E+00 2.43754E+00
+ 1.92128E+00 1.51355E+00 1.19226E+00 9.36349E-01 7.35485E-01 5.76487E-01
+ 4.52694E-01 3.56680E-01 2.82774E-01 2.26113E-01 1.82534E-01 1.48601E-01
+ 1.21643E-01 9.97374E-02 8.15979E-02 6.64034E-02 5.36306E-02 4.29256E-02
+ 3.40041E-02 2.66749E-02 2.06555E-02 1.58011E-02 1.19334E-02 8.88997E-03
+ 6.52630E-03 4.71550E-03 3.34831E-03 2.33215E-03 1.59017E-03 1.05694E-03
+ 6.85391E-04 4.28755E-04 2.57658E-04 1.47219E-04 7.86085E-05 3.81240E-05
+ 1.57301E-05 5.38837E-06 3.02731E-06 2.03786E-06 1.34621E-06 8.50531E-07
+ 4.91478E-07 2.43367E-07 8.47208E-08 7.69627E-09 0.00000E+00 1.90338E+05
+ 2.12517E+05 1.60941E+05 1.21886E+05 9.23055E+04 6.99026E+04 5.29365E+04
+ 4.00883E+04 3.03589E+04 2.29914E+04 1.74126E+04 1.31881E+04 9.98930E+03
+ 7.56702E+03 5.73275E+03 4.34366E+03 3.29168E+03 2.49490E+03 1.89139E+03
+ 1.43420E+03 1.08783E+03 8.25353E+02 6.26440E+02 4.75647E+02 3.61324E+02
+ 2.74600E+02 2.08837E+02 1.58318E+02 1.20597E+02 9.19458E+01 7.01742E+01
+ 5.36219E+01 4.10280E+01 3.14648E+01 2.41572E+01 1.85849E+01 1.43300E+01
+ 1.10755E+01 8.58132E+00 6.66421E+00 5.18872E+00 4.04759E+00 3.16250E+00
+ 2.47360E+00 1.93575E+00 1.51449E+00 1.18535E+00 9.25357E-01 7.22969E-01
+ 5.64004E-01 4.41094E-01 3.46296E-01 2.73602E-01 2.17967E-01 1.75183E-01
+ 1.41857E-01 1.15400E-01 9.39686E-02 7.63217E-02 6.16532E-02 4.94316E-02
+ 3.92836E-02 3.09034E-02 2.40803E-02 1.85246E-02 1.40810E-02 1.05686E-02
+ 7.82588E-03 5.71152E-03 4.10342E-03 2.89789E-03 2.00822E-03 1.36311E-03
+ 9.02606E-04 5.83885E-04 3.65156E-04 2.20217E-04 1.27155E-04 6.95641E-05
+ 3.56037E-05 1.67653E-05 7.91319E-06 5.17337E-06 3.61546E-06 2.43053E-06
+ 1.53032E-06 8.64796E-07 4.09370E-07 1.33273E-07 1.23829E-08 0.00000E+00
+ 4.05627E+05 3.09929E+05 2.33206E+05 1.75459E+05 1.31988E+05 9.92710E+04
+ 7.46520E+04 5.61299E+04 4.21976E+04 3.17193E+04 2.38403E+04 1.79165E+04
+ 1.34635E+04 1.01165E+04 7.60130E+03 5.71124E+03 4.29117E+03 3.22426E+03
+ 2.42279E+03 1.82069E+03 1.36843E+03 1.02869E+03 7.73485E+02 5.81750E+02
+ 4.37709E+02 3.29442E+02 2.48117E+02 1.86235E+02 1.40473E+02 1.06048E+02
+ 8.01411E+01 6.06361E+01 4.59396E+01 3.48883E+01 2.65255E+01 2.02103E+01
+ 1.54345E+01 1.18166E+01 9.07027E+00 6.97924E+00 5.38501E+00 4.16354E+00
+ 3.22497E+00 2.50126E+00 1.94153E+00 1.50723E+00 1.17109E+00 9.08020E-01
+ 7.05104E-01 5.47078E-01 4.25818E-01 3.32863E-01 2.61882E-01 2.07680E-01
+ 1.66030E-01 1.33607E-01 1.07916E-01 8.71931E-02 7.02446E-02 5.62783E-02
+ 4.47547E-02 3.52825E-02 2.75377E-02 2.12930E-02 1.62556E-02 1.22629E-02
+ 9.13423E-03 6.71163E-03 4.85945E-03 3.46221E-03 2.42324E-03 1.66281E-03
+ 1.11614E-03 7.29294E-04 4.64122E-04 2.84090E-04 1.66306E-04 9.18750E-05
+ 4.68028E-05 2.10674E-05 7.57245E-06 1.95552E-06 7.78021E-07 4.15009E-07
+ 2.40654E-07 1.53963E-07 1.00556E-07 5.96073E-08 2.44100E-08 2.09883E-09
+ 0.00000E+00 5.75573E+05 4.37610E+05 3.27367E+05 2.44845E+05 1.83070E+05
+ 1.36841E+05 1.02257E+05 7.63914E+04 5.70528E+04 4.25983E+04 3.17978E+04
+ 2.37298E+04 1.77048E+04 1.32067E+04 9.84946E+03 7.34434E+03 5.47560E+03
+ 4.08182E+03 3.04259E+03 2.26780E+03 1.69033E+03 1.25993E+03 9.39239E+02
+ 7.00266E+02 5.22233E+02 3.89540E+02 2.90733E+02 2.16206E+02 1.61582E+02
+ 1.20857E+02 9.04856E+01 6.78262E+01 5.09085E+01 3.83033E+01 2.88520E+01
+ 2.17802E+01 1.64812E+01 1.25035E+01 9.51148E+00 7.25394E+00 5.54822E+00
+ 4.25302E+00 3.26670E+00 2.51298E+00 1.93527E+00 1.49104E+00 1.15029E+00
+ 8.85967E-01 6.83842E-01 5.27699E-01 4.08740E-01 3.18081E-01 2.49143E-01
+ 1.96633E-01 1.56342E-01 1.25021E-01 1.00270E-01 8.04000E-02 6.42602E-02
+ 5.10723E-02 4.02925E-02 3.15172E-02 2.44107E-02 1.87345E-02 1.41975E-02
+ 1.06332E-02 7.86435E-03 5.73842E-03 4.12650E-03 2.92041E-03 2.03085E-03
+ 1.38505E-03 9.24530E-04 6.01225E-04 3.81378E-04 2.33275E-04 1.37101E-04
+ 7.67261E-05 4.03469E-05 1.95978E-05 8.66525E-06 3.91770E-06 2.43307E-06
+ 1.63366E-06 1.06903E-06 6.61101E-07 3.68607E-07 1.71281E-07 5.37434E-08
+ 5.02453E-09 0.00000E+00 7.93122E+05 6.00283E+05 4.46658E+05 3.32246E+05
+ 2.47042E+05 1.83614E+05 1.36416E+05 1.01310E+05 7.52092E+04 5.58107E+04
+ 4.13998E+04 3.06983E+04 2.27549E+04 1.68609E+04 1.24895E+04 9.24847E+03
+ 6.84655E+03 5.06704E+03 3.74924E+03 2.77358E+03 2.05155E+03 1.51730E+03
+ 1.12216E+03 8.29917E+02 6.13867E+02 4.54087E+02 3.36063E+02 2.47763E+02
+ 1.83577E+02 1.36120E+02 1.01023E+02 7.50611E+01 5.58427E+01 4.16462E+01
+ 3.10936E+01 2.32661E+01 1.74517E+01 1.31248E+01 9.89817E+00 7.48459E+00
+ 5.67661E+00 4.31552E+00 3.28790E+00 2.50936E+00 1.91775E+00 1.46672E+00
+ 1.12374E+00 8.59914E-01 6.59821E-01 5.06426E-01 3.90352E-01 3.02381E-01
+ 2.35761E-01 1.85156E-01 1.46401E-01 1.16337E-01 9.26581E-02 7.37456E-02
+ 5.84893E-02 4.61255E-02 3.61099E-02 2.80316E-02 2.15491E-02 1.64181E-02
+ 1.23527E-02 9.18643E-03 6.74726E-03 4.88983E-03 3.49287E-03 2.45596E-03
+ 1.69726E-03 1.15083E-03 7.64234E-04 4.94921E-04 3.13194E-04 1.91670E-04
+ 1.13292E-04 6.43625E-05 3.49751E-05 1.81845E-05 9.24083E-06 5.13394E-06
+ 3.45334E-06 2.36865E-06 1.55356E-06 9.46064E-07 5.11420E-07 2.26456E-07
+ 6.69277E-08 6.38510E-09 0.00000E+00 1.06513E+06 8.02752E+05 5.94323E+05
+ 4.39840E+05 3.25351E+05 2.40543E+05 1.77753E+05 1.31287E+05 9.69198E+04
+ 7.15130E+04 5.27404E+04 3.88765E+04 2.86434E+04 2.10937E+04 1.55270E+04
+ 1.14242E+04 8.40201E+03 6.17682E+03 4.53936E+03 3.33483E+03 2.44928E+03
+ 1.79842E+03 1.32032E+03 9.69183E+02 7.11436E+02 5.22189E+02 3.83440E+02
+ 2.80415E+02 2.06101E+02 1.51579E+02 1.11574E+02 8.22152E+01 6.06563E+01
+ 4.48594E+01 3.32125E+01 2.46438E+01 1.83310E+01 1.36717E+01 1.02257E+01
+ 7.66907E+00 5.76962E+00 4.35137E+00 3.28936E+00 2.49136E+00 1.88996E+00
+ 1.43523E+00 1.09226E+00 8.30559E-01 6.33625E-01 4.83740E-01 3.71051E-01
+ 2.86098E-01 2.22022E-01 1.73491E-01 1.36410E-01 1.07720E-01 8.52087E-02
+ 6.73253E-02 5.29984E-02 4.14806E-02 3.22306E-02 2.48357E-02 1.89536E-02
+ 1.43380E-02 1.07121E-02 7.91143E-03 5.77148E-03 4.15493E-03 2.94872E-03
+ 2.06039E-03 1.41544E-03 9.54523E-04 6.30914E-04 4.07155E-04 2.57267E-04
+ 1.57714E-04 9.38884E-05 5.42146E-05 3.04160E-05 1.67532E-05 9.35353E-06
+ 5.73573E-06 3.95431E-06 2.70868E-06 1.75855E-06 1.05135E-06 5.53502E-07
+ 2.36215E-07 6.68382E-08 6.46598E-09 0.00000E+00 1.39825E+06 1.04964E+06
+ 7.73435E+05 5.69650E+05 4.19317E+05 3.08478E+05 2.26805E+05 1.66657E+05
+ 1.22387E+05 8.98237E+04 6.58853E+04 4.82977E+04 3.53844E+04 2.59084E+04
+ 1.89595E+04 1.38664E+04 1.01362E+04 7.40545E+03 5.40784E+03 3.94721E+03
+ 2.87997E+03 2.10046E+03 1.53153E+03 1.11639E+03 8.13678E+02 5.92913E+02
+ 4.32182E+02 3.13675E+02 2.28808E+02 1.66993E+02 1.21971E+02 8.91759E+01
+ 6.52744E+01 4.78941E+01 3.51779E+01 2.58946E+01 1.91084E+01 1.41385E+01
+ 1.04915E+01 7.80678E+00 5.82773E+00 4.36156E+00 3.27227E+00 2.46021E+00
+ 1.85304E+00 1.39754E+00 1.05668E+00 7.98589E-01 6.05805E-01 4.60085E-01
+ 3.51195E-01 2.69523E-01 2.08167E-01 1.61836E-01 1.26530E-01 9.92976E-02
+ 7.80179E-02 6.12067E-02 4.78310E-02 3.71618E-02 2.86645E-02 2.19291E-02
+ 1.66166E-02 1.24830E-02 9.26223E-03 6.79459E-03 4.92402E-03 3.52196E-03
+ 2.48385E-03 1.72514E-03 1.17847E-03 7.90714E-04 5.20477E-04 3.34949E-04
+ 2.11519E-04 1.30041E-04 7.80669E-05 4.58534E-05 2.65135E-05 1.53232E-05
+ 9.13107E-06 5.90472E-06 4.09797E-06 2.78454E-06 1.78302E-06 1.04555E-06
+ 5.36654E-07 2.21426E-07 6.02784E-08 5.90321E-09 0.00000E+00 1.79883E+06
+ 1.34526E+06 9.86814E+05 7.23496E+05 5.30098E+05 3.88142E+05 2.84013E+05
+ 2.07679E+05 1.51759E+05 1.10821E+05 8.08705E+04 5.89740E+04 4.29770E+04
+ 3.12977E+04 2.27772E+04 1.65652E+04 1.20397E+04 8.74491E+03 6.34805E+03
+ 4.60541E+03 3.33946E+03 2.42025E+03 1.75337E+03 1.26974E+03 9.19285E+02
+ 6.65314E+02 4.81616E+02 3.47073E+02 2.51371E+02 1.82140E+02 1.32064E+02
+ 9.58441E+01 6.96333E+01 5.07103E+01 3.69656E+01 2.70048E+01 1.97766E+01
+ 1.45222E+01 1.06949E+01 7.89834E+00 5.85219E+00 4.34762E+00 3.23818E+00
+ 2.41731E+00 1.80819E+00 1.35467E+00 1.01783E+00 7.64650E-01 5.76868E-01
+ 4.35856E-01 3.31097E-01 2.52906E-01 1.94395E-01 1.50353E-01 1.16890E-01
+ 9.11665E-02 7.11546E-02 5.54347E-02 4.30123E-02 3.31790E-02 2.54105E-02
+ 1.93033E-02 1.45256E-02 1.08382E-02 7.98793E-03 5.82127E-03 4.19152E-03
+ 2.97925E-03 2.08840E-03 1.44216E-03 9.79951E-04 6.54484E-04 4.29262E-04
+ 2.75679E-04 1.74146E-04 1.07487E-04 6.51363E-05 3.89246E-05 2.31416E-05
+ 1.39122E-05 8.67604E-06 5.77895E-06 4.00510E-06 2.69178E-06 1.69748E-06
+ 9.75980E-07 4.88658E-07 1.95261E-07 5.12972E-08 5.08138E-09 0.00000E+00
+ 2.27271E+06 1.69355E+06 1.23696E+06 9.02945E+05 6.58656E+05 4.80110E+05
+ 3.49708E+05 2.54534E+05 1.85124E+05 1.34538E+05 9.77014E+04 7.08956E+04
+ 5.14051E+04 3.72439E+04 2.69634E+04 1.95056E+04 1.41002E+04 1.01851E+04
+ 7.35207E+03 5.30331E+03 3.82311E+03 2.75432E+03 1.98332E+03 1.42740E+03
+ 1.02694E+03 7.38461E+02 5.31094E+02 3.80163E+02 2.73490E+02 1.96819E+02
+ 1.41723E+02 1.02136E+02 7.36807E+01 5.32769E+01 3.85581E+01 2.79652E+01
+ 2.03319E+01 1.48219E+01 1.08367E+01 7.94536E+00 5.84490E+00 4.31141E+00
+ 3.18877E+00 2.36413E+00 1.75664E+00 1.30759E+00 9.76479E-01 7.29334E-01
+ 5.47269E-01 4.11400E-01 3.11022E-01 2.36455E-01 1.80871E-01 1.39170E-01
+ 1.07587E-01 8.33967E-02 6.46652E-02 5.00358E-02 3.85533E-02 2.95316E-02
+ 2.24601E-02 1.69450E-02 1.26646E-02 9.38699E-03 6.87308E-03 4.97669E-03
+ 3.56095E-03 2.51569E-03 1.75320E-03 1.20408E-03 8.14136E-04 5.41477E-04
+ 3.54074E-04 2.27089E-04 1.43623E-04 8.90815E-05 5.45301E-05 3.31443E-05
+ 2.02036E-05 1.25378E-05 8.07016E-06 5.46220E-06 3.76426E-06 2.49863E-06
+ 1.55065E-06 8.74080E-07 4.27065E-07 1.65466E-07 4.20507E-08 4.21106E-09
+ 0.00000E+00 2.82507E+06 2.09792E+06 1.52599E+06 1.10927E+06 8.05734E+05
+ 5.84795E+05 4.24102E+05 3.07316E+05 2.22508E+05 1.60969E+05 1.16353E+05
+ 8.40322E+04 6.06382E+04 4.37193E+04 3.14945E+04 2.26686E+04 1.63025E+04
+ 1.17144E+04 8.41093E+03 6.03420E+03 4.32598E+03 3.09906E+03 2.21877E+03
+ 1.58752E+03 1.13535E+03 8.11456E+02 5.80001E+02 4.12535E+02 2.94892E+02
+ 2.10851E+02 1.50834E+02 1.07982E+02 7.73755E+01 5.55705E+01 3.99433E+01
+ 2.87706E+01 2.07730E+01 1.50385E+01 1.09188E+01 7.95018E+00 5.80817E+00
+ 4.25505E+00 3.12586E+00 2.30215E+00 1.69958E+00 1.25724E+00 9.33328E-01
+ 6.93176E-01 5.17403E-01 3.87011E-01 2.91193E-01 2.20337E-01 1.67723E-01
+ 1.28384E-01 9.86899E-02 7.60359E-02 5.85780E-02 4.50226E-02 3.44543E-02
+ 2.62114E-02 1.97995E-02 1.48374E-02 1.10160E-02 8.11208E-03 5.90160E-03
+ 4.24652E-03 3.02001E-03 2.12101E-03 1.46990E-03 1.00430E-03 6.75955E-04
+ 4.47912E-04 2.92179E-04 1.87276E-04 1.18680E-04 7.40274E-05 4.57921E-05
+ 2.82888E-05 1.76260E-05 1.12163E-05 7.37740E-06 5.03145E-06 3.43932E-06
+ 2.25279E-06 1.37535E-06 7.60062E-07 3.62504E-07 1.36323E-07 3.35824E-08
+ 3.39847E-09 0.00000E+00 3.46036E+06 2.56122E+06 1.85558E+06 1.34343E+06
+ 9.71842E+05 7.02441E+05 5.07286E+05 3.66031E+05 2.63877E+05 1.90062E+05
+ 1.36772E+05 9.83331E+04 7.06325E+04 5.06878E+04 3.63416E+04 2.60313E+04
+ 1.86292E+04 1.33195E+04 9.51488E+03 6.79094E+03 4.84291E+03 3.45080E+03
+ 2.45713E+03 1.74830E+03 1.24326E+03 8.83456E+02 6.27772E+02 4.43819E+02
+ 3.15339E+02 2.24088E+02 1.59305E+02 1.13327E+02 8.06870E+01 5.75756E+01
+ 4.11148E+01 2.94198E+01 2.11013E+01 1.51747E+01 1.09444E+01 7.91571E+00
+ 5.74464E+00 4.18076E+00 3.05127E+00 2.23284E+00 1.63812E+00 1.20447E+00
+ 8.89018E-01 6.56642E-01 4.87613E-01 3.62938E-01 2.71790E-01 2.04687E-01
+ 1.55050E-01 1.18066E-01 9.02488E-02 6.91137E-02 5.29068E-02 4.03965E-02
+ 3.07075E-02 2.32045E-02 1.74116E-02 1.29623E-02 9.56133E-03 6.99622E-03
+ 5.05798E-03 3.61730E-03 2.55732E-03 1.78589E-03 1.23106E-03 8.37025E-04
+ 5.61010E-04 3.70545E-04 2.41263E-04 1.54649E-04 9.82685E-05 6.16788E-05
+ 3.85579E-05 2.41831E-05 1.53540E-05 9.96216E-06 6.64662E-06 4.54265E-06
+ 3.07523E-06 1.98668E-06 1.19293E-06 6.46356E-07 3.01019E-07 1.09972E-07
+ 2.63083E-08 2.68948E-09 0.00000E+00 1.58142E+06 1.22471E+06 9.36100E+05
+ 7.15571E+05 5.47053E+05 4.18269E+05 3.19842E+05 2.44609E+05 1.87098E+05
+ 1.43131E+05 1.09514E+05 8.38070E+04 6.41469E+04 4.91090E+04 3.76050E+04
+ 2.88029E+04 2.20671E+04 1.69116E+04 1.29648E+04 9.94270E+03 7.62815E+03
+ 5.85505E+03 4.49636E+03 3.45493E+03 2.65643E+03 2.04396E+03 1.57401E+03
+ 1.20880E+03 9.32880E+02 7.20833E+02 5.57774E+02 4.32301E+02 3.35675E+02
+ 2.61395E+02 2.03926E+02 1.59550E+02 1.25234E+02 9.86491E+01 7.80110E+01
+ 6.19427E+01 4.94140E+01 3.95959E+01 3.18764E+01 2.57809E+01 2.09458E+01
+ 1.70923E+01 1.40159E+01 1.15234E+01 9.51822E+00 7.87724E+00 6.54134E+00
+ 5.44441E+00 4.53990E+00 3.79107E+00 3.16892E+00 2.65036E+00 2.21697E+00
+ 1.85394E+00 1.54928E+00 1.29325E+00 1.07788E+00 8.96607E-01 7.44005E-01
+ 6.16119E-01 5.07897E-01 4.17036E-01 3.40880E-01 2.77194E-01 2.24087E-01
+ 1.79953E-01 1.43430E-01 1.13351E-01 8.87092E-02 6.86388E-02 5.25642E-02
+ 3.96159E-02 2.93755E-02 2.13743E-02 1.52118E-02 1.05459E-02 7.08501E-03
+ 4.58486E-03 2.82289E-03 1.63917E-03 8.79093E-04 4.22881E-04 1.73732E-04
+ 5.56006E-05 1.12760E-05 7.48728E-07 0.00000E+00 3.02250E+06 2.33341E+06
+ 1.77686E+06 1.35285E+06 1.02986E+06 7.83855E+05 5.96513E+05 4.53865E+05
+ 3.45266E+05 2.62600E+05 1.99687E+05 1.51815E+05 1.15395E+05 8.76924E+04
+ 6.66256E+04 5.06080E+04 3.84327E+04 2.91797E+04 2.21497E+04 1.68097E+04
+ 1.27548E+04 9.67617E+03 7.33973E+03 5.56679E+03 4.22202E+03 3.20189E+03
+ 2.42872E+03 1.83544E+03 1.39322E+03 1.05811E+03 8.04187E+02 6.11806E+02
+ 4.66023E+02 3.55827E+02 2.72049E+02 2.08520E+02 1.60302E+02 1.23656E+02
+ 9.57585E+01 7.44639E+01 5.81889E+01 4.56878E+01 3.60536E+01 2.85958E+01
+ 2.27960E+01 1.82609E+01 1.47094E+01 1.18839E+01 9.65226E+00 7.85799E+00
+ 6.42237E+00 5.26327E+00 4.32308E+00 3.55714E+00 2.93068E+00 2.41654E+00
+ 1.99330E+00 1.64401E+00 1.35517E+00 1.11595E+00 9.17608E-01 7.53095E-01
+ 6.16496E-01 5.03643E-01 4.09502E-01 3.31597E-01 2.67247E-01 2.14221E-01
+ 1.70661E-01 1.35011E-01 1.05963E-01 8.24194E-02 6.34617E-02 4.82715E-02
+ 3.63200E-02 2.68692E-02 1.95385E-02 1.39266E-02 9.69664E-03 6.56728E-03
+ 4.30151E-03 2.70853E-03 1.61803E-03 9.08638E-04 4.69247E-04 2.16144E-04
+ 8.43912E-05 2.53830E-05 4.81793E-06 3.18389E-07 0.00000E+00 4.80375E+06
+ 3.69377E+06 2.79959E+06 2.12120E+06 1.60669E+06 1.21658E+06 9.20870E+05
+ 6.96787E+05 5.27036E+05 3.98484E+05 3.01168E+05 2.27521E+05 1.71810E+05
+ 1.29682E+05 9.78393E+04 7.37797E+04 5.56101E+04 4.18939E+04 3.15454E+04
+ 2.37409E+04 1.78587E+04 1.34271E+04 1.00906E+04 7.57972E+03 5.69150E+03
+ 4.27161E+03 3.20552E+03 2.39531E+03 1.79739E+03 1.34891E+03 1.01268E+03
+ 7.60731E+02 5.71953E+02 4.30917E+02 3.24978E+02 2.45634E+02 1.86172E+02
+ 1.41565E+02 1.08053E+02 8.28137E+01 6.37839E+01 4.93651E+01 3.84040E+01
+ 3.00346E+01 2.36142E+01 1.86608E+01 1.48336E+01 1.18284E+01 9.48583E+00
+ 7.62643E+00 6.15745E+00 4.98610E+00 4.04756E+00 3.29216E+00 2.68165E+00
+ 2.18646E+00 1.78355E+00 1.45486E+00 1.18616E+00 9.66148E-01 7.85800E-01
+ 6.37917E-01 5.16483E-01 4.17299E-01 3.35507E-01 2.68603E-01 2.13989E-01
+ 1.69520E-01 1.33433E-01 1.04263E-01 8.07960E-02 6.20253E-02 4.71181E-02
+ 3.53358E-02 2.62003E-02 1.90856E-02 1.36546E-02 9.56685E-03 6.54041E-03
+ 4.34384E-03 2.78544E-03 1.71415E-03 9.98379E-04 5.45134E-04 2.72740E-04
+ 1.21145E-04 4.53311E-05 1.29588E-05 2.33037E-06 1.50474E-07 0.00000E+00
+ 7.17986E+06 5.49720E+06 4.14552E+06 3.12484E+06 2.35443E+06 1.77315E+06
+ 1.33474E+06 1.00423E+06 7.55178E+05 5.67587E+05 4.26361E+05 3.20089E+05
+ 2.40165E+05 1.80086E+05 1.34952E+05 1.01063E+05 7.56338E+04 5.65637E+04
+ 4.22730E+04 3.15698E+04 2.35603E+04 1.75699E+04 1.30938E+04 9.75104E+03
+ 7.25715E+03 5.39689E+03 4.01203E+03 2.96865E+03 2.20551E+03 1.63831E+03
+ 1.21704E+03 9.04403E+02 6.72453E+02 5.00914E+02 3.73395E+02 2.78900E+02
+ 2.08850E+02 1.56879E+02 1.18273E+02 8.95274E+01 6.81025E+01 5.20564E+01
+ 4.00000E+01 3.09015E+01 2.40030E+01 1.87419E+01 1.47240E+01 1.16048E+01
+ 9.20115E+00 7.31462E+00 5.84078E+00 4.67847E+00 3.75730E+00 3.02385E+00
+ 2.43742E+00 1.96680E+00 1.58791E+00 1.28206E+00 1.03464E+00 8.34168E-01
+ 6.71557E-01 5.39613E-01 4.32387E-01 3.45733E-01 2.75035E-01 2.17833E-01
+ 1.71650E-01 1.34467E-01 1.04637E-01 8.08054E-02 6.18630E-02 4.68994E-02
+ 3.51690E-02 2.60185E-02 1.90216E-02 1.36513E-02 9.61433E-03 6.62466E-03
+ 4.44907E-03 2.89888E-03 1.82061E-03 1.09536E-03 6.22153E-04 3.30330E-04
+ 1.60097E-04 6.85440E-05 2.45590E-05 6.66291E-06 1.13088E-06 6.95051E-08
+ 0.00000E+00 1.02251E+07 7.79556E+06 5.84947E+06 4.38686E+06 3.28818E+06
+ 2.46327E+06 1.84424E+06 1.37994E+06 1.03189E+06 7.71116E+05 5.75861E+05
+ 4.29746E+05 3.20476E+05 2.38810E+05 1.77819E+05 1.32299E+05 9.83521E+04
+ 7.30537E+04 5.42170E+04 4.02014E+04 2.97833E+04 2.20449E+04 1.63031E+04
+ 1.20459E+04 8.89301E+03 6.55871E+03 4.83454E+03 3.54581E+03 2.61089E+03
+ 1.92175E+03 1.41426E+03 1.04090E+03 7.66354E+02 5.65152E+02 4.16967E+02
+ 3.08197E+02 2.28343E+02 1.69677E+02 1.26533E+02 9.47306E+01 7.12690E+01
+ 5.38774E+01 4.09447E+01 3.12858E+01 2.40381E+01 1.85676E+01 1.44327E+01
+ 1.12554E+01 8.83198E+00 6.94917E+00 5.49303E+00 4.35611E+00 3.46397E+00
+ 2.76062E+00 2.20375E+00 1.76119E+00 1.40835E+00 1.12628E+00 9.00306E-01
+ 7.18972E-01 5.73314E-01 4.56272E-01 3.62075E-01 2.86701E-01 2.25818E-01
+ 1.77055E-01 1.38091E-01 1.07048E-01 8.24089E-02 6.29404E-02 4.76400E-02
+ 3.56943E-02 2.64422E-02 1.93140E-02 1.39343E-02 9.86113E-03 6.84312E-03
+ 4.64185E-03 3.06572E-03 1.96192E-03 1.20835E-03 7.11731E-04 3.94838E-04
+ 2.04208E-04 9.60696E-05 3.97439E-05 1.36777E-05 3.53678E-06 5.68242E-07
+ 3.19989E-08 0.00000E+00 1.40118E+07 1.06387E+07 7.94425E+06 5.92856E+06
+ 4.42154E+06 3.29545E+06 2.45451E+06 1.82688E+06 1.35876E+06 1.00984E+06
+ 7.49938E+05 5.56479E+05 4.12586E+05 3.05637E+05 2.26212E+05 1.67273E+05
+ 1.23575E+05 9.12036E+04 6.72467E+04 4.95315E+04 3.64466E+04 2.67897E+04
+ 1.96718E+04 1.44295E+04 1.05737E+04 7.73888E+03 5.66021E+03 4.11793E+03
+ 3.00751E+03 2.19527E+03 1.60180E+03 1.16866E+03 8.52752E+02 6.23162E+02
+ 4.55501E+02 3.33499E+02 2.44717E+02 1.80075E+02 1.32966E+02 9.85591E+01
+ 7.34102E+01 5.49413E+01 4.13361E+01 3.12702E+01 2.37883E+01 1.81936E+01
+ 1.40047E+01 1.08158E+01 8.40636E+00 6.55169E+00 5.13055E+00 4.03111E+00
+ 3.17625E+00 2.50840E+00 1.98440E+00 1.57173E+00 1.24567E+00 9.87351E-01
+ 7.82255E-01 6.19159E-01 4.89333E-01 3.85955E-01 3.03508E-01 2.38143E-01
+ 1.85836E-01 1.44338E-01 1.11497E-01 8.55886E-02 6.52304E-02 4.93089E-02
+ 3.69277E-02 2.73662E-02 2.00436E-02 1.44671E-02 1.03095E-02 7.20155E-03
+ 4.92936E-03 3.29541E-03 2.14296E-03 1.34874E-03 8.15842E-04 4.71215E-04
+ 2.55796E-04 1.29146E-04 5.91245E-05 2.37072E-05 7.86669E-06 1.94837E-06
+ 2.97183E-07 1.45608E-08 0.00000E+00 1.92796E+07 1.45712E+07 1.08218E+07
+ 8.03151E+06 5.95641E+06 4.41417E+06 3.26874E+06 2.41862E+06 1.78813E+06
+ 1.32087E+06 9.74861E+05 7.18831E+05 5.29549E+05 3.89726E+05 2.86537E+05
+ 2.10449E+05 1.54403E+05 1.13157E+05 8.28371E+04 6.05702E+04 4.42380E+04
+ 3.22701E+04 2.35127E+04 1.71104E+04 1.24370E+04 9.02726E+03 6.54691E+03
+ 4.72141E+03 3.41792E+03 2.47240E+03 1.78743E+03 1.29186E+03 9.33607E+02
+ 6.75591E+02 4.88903E+02 3.54324E+02 2.57322E+02 1.87374E+02 1.36896E+02
+ 1.00392E+02 7.39764E+01 5.47710E+01 4.07657E+01 3.05086E+01 2.29616E+01
+ 1.73752E+01 1.32348E+01 1.01144E+01 7.78044E+00 6.00185E+00 4.65257E+00
+ 3.61906E+00 2.82337E+00 2.20785E+00 1.72964E+00 1.35669E+00 1.06488E+00
+ 8.35950E-01 6.55953E-01 5.14212E-01 4.02485E-01 3.14389E-01 2.44821E-01
+ 1.90215E-01 1.46957E-01 1.12989E-01 8.63853E-02 6.56186E-02 4.94762E-02
+ 3.69904E-02 2.73907E-02 2.00633E-02 1.45187E-02 1.03484E-02 7.27932E-03
+ 5.01577E-03 3.38426E-03 2.22842E-03 1.42596E-03 8.82170E-04 5.23834E-04
+ 2.96569E-04 1.57492E-04 7.76159E-05 3.45873E-05 1.34513E-05 4.31007E-06
+ 1.02493E-06 1.48302E-07 5.70970E-09 0.00000E+00 2.57471E+07 1.93729E+07
+ 1.43123E+07 1.05653E+07 7.79305E+06 5.74351E+06 4.22940E+06 3.11170E+06
+ 2.28730E+06 1.67972E+06 1.23235E+06 9.03211E+05 6.61296E+05 4.83652E+05
+ 3.53339E+05 2.57839E+05 1.87931E+05 1.36808E+05 9.94703E+04 7.22285E+04
+ 5.23807E+04 3.79351E+04 2.74378E+04 1.98175E+04 1.42948E+04 1.02946E+04
+ 7.40682E+03 5.29764E+03 3.80335E+03 2.72799E+03 1.95522E+03 1.40072E+03
+ 1.00320E+03 7.19337E+02 5.15719E+02 3.70226E+02 2.66291E+02 1.92022E+02
+ 1.38915E+02 1.00864E+02 7.35851E+01 5.39375E+01 3.97446E+01 2.94480E+01
+ 2.19435E+01 1.64408E+01 1.24009E+01 9.38480E+00 7.15003E+00 5.46289E+00
+ 4.19490E+00 3.23263E+00 2.49860E+00 1.93598E+00 1.50285E+00 1.16815E+00
+ 9.08641E-01 7.06899E-01 5.49722E-01 4.27075E-01 3.31281E-01 2.56438E-01
+ 1.97879E-01 1.52340E-01 1.16604E-01 8.88087E-02 6.72502E-02 5.05868E-02
+ 3.77636E-02 2.79466E-02 2.04780E-02 1.48386E-02 1.06186E-02 7.48106E-03
+ 5.19955E-03 3.53774E-03 2.35556E-03 1.52951E-03 9.64314E-04 5.87196E-04
+ 3.42793E-04 1.90537E-04 9.91614E-05 4.77961E-05 2.07773E-05 7.85665E-06
+ 2.43749E-06 5.57997E-07 7.64913E-08 1.94378E-09 0.00000E+00 3.35012E+07
+ 2.51001E+07 1.84495E+07 1.35494E+07 9.94214E+06 7.28868E+06 5.33847E+06
+ 3.90632E+06 2.85555E+06 2.08529E+06 1.52120E+06 1.10848E+06 8.06825E+05
+ 5.86570E+05 4.25932E+05 3.08898E+05 2.23736E+05 1.61836E+05 1.16905E+05
+ 8.43288E+04 6.07454E+04 4.36921E+04 3.13816E+04 2.25050E+04 1.61158E+04
+ 1.15201E+04 8.22618E+03 5.83788E+03 4.15842E+03 2.95886E+03 2.10344E+03
+ 1.49441E+03 1.06125E+03 7.54427E+02 5.36141E+02 3.81464E+02 2.71900E+02
+ 1.94277E+02 1.39252E+02 1.00170E+02 7.23968E+01 5.25701E+01 3.83746E+01
+ 2.81676E+01 2.07946E+01 1.54360E+01 1.15368E+01 8.65127E+00 6.53215E+00
+ 4.94631E+00 3.76483E+00 2.87597E+00 2.20378E+00 1.69297E+00 1.30309E+00
+ 1.00436E+00 7.74714E-01 5.97694E-01 4.60943E-01 3.55137E-01 2.73195E-01
+ 2.09718E-01 1.60474E-01 1.22508E-01 9.29725E-02 7.02016E-02 5.26968E-02
+ 3.92886E-02 2.90650E-02 2.13113E-02 1.54687E-02 1.11003E-02 7.86427E-03
+ 5.48330E-03 3.77054E-03 2.53689E-03 1.66951E-03 1.07081E-03 6.66429E-04
+ 4.00269E-04 2.30269E-04 1.25998E-04 6.44622E-05 3.04991E-05 1.29894E-05
+ 4.80090E-06 1.45162E-06 3.22522E-07 4.22437E-08 5.17815E-10 0.00000E+00
+ 4.26144E+07 3.17979E+07 2.32587E+07 1.69969E+07 1.24093E+07 9.05124E+06
+ 6.59530E+06 4.80079E+06 3.49084E+06 2.53552E+06 1.83955E+06 1.33304E+06
+ 9.64825E+05 6.97435E+05 5.03500E+05 3.63001E+05 2.61349E+05 1.87892E+05
+ 1.34887E+05 9.66867E+04 6.92009E+04 4.94490E+04 3.52806E+04 2.51296E+04
+ 1.78712E+04 1.26848E+04 8.99298E+03 6.33480E+03 4.47882E+03 3.16267E+03
+ 2.23096E+03 1.57254E+03 1.10778E+03 7.81096E+02 5.50492E+02 3.88380E+02
+ 2.74471E+02 1.94424E+02 1.38146E+02 9.85035E+01 7.05671E+01 5.07903E+01
+ 3.67493E+01 2.67380E+01 1.95671E+01 1.43989E+01 1.06697E+01 7.93278E+00
+ 5.93950E+00 4.46006E+00 3.36688E+00 2.55112E+00 1.93918E+00 1.47788E+00
+ 1.12860E+00 8.63092E-01 6.60597E-01 5.05734E-01 3.87039E-01 2.95922E-01
+ 2.25908E-01 1.72095E-01 1.30677E-01 9.89975E-02 7.45476E-02 5.58492E-02
+ 4.15918E-02 3.07608E-02 2.25712E-02 1.64128E-02 1.18125E-02 8.40329E-03
+ 5.90059E-03 4.07640E-03 2.77677E-03 1.84995E-03 1.20504E-03 7.64687E-04
+ 4.70600E-04 2.79330E-04 1.58696E-04 8.56869E-05 4.32137E-05 2.01324E-05
+ 8.43131E-06 3.05914E-06 9.06220E-07 1.96700E-07 2.48428E-08 2.25472E-11
+ 0.00000E+00 5.31384E+07 3.94956E+07 2.87537E+07 2.09125E+07 1.51945E+07
+ 1.10286E+07 7.99636E+06 5.79142E+06 4.18974E+06 3.02745E+06 2.18495E+06
+ 1.57492E+06 1.13374E+06 8.15052E+05 5.85139E+05 4.19475E+05 3.00275E+05
+ 2.14617E+05 1.53159E+05 1.09121E+05 7.76214E+04 5.51195E+04 3.90763E+04
+ 2.76530E+04 1.95359E+04 1.37729E+04 9.69763E+03 6.78286E+03 4.76156E+03
+ 3.33802E+03 2.33730E+03 1.63515E+03 1.14309E+03 7.99761E+02 5.59205E+02
+ 3.91376E+02 2.74352E+02 1.92752E+02 1.35830E+02 9.60501E+01 6.82383E+01
+ 4.87060E+01 3.49489E+01 2.52181E+01 1.83035E+01 1.33594E+01 9.81999E+00
+ 7.24273E+00 5.38035E+00 4.00876E+00 3.00304E+00 2.25825E+00 1.70377E+00
+ 1.28891E+00 9.77117E-01 7.41864E-01 5.63755E-01 4.28537E-01 3.25650E-01
+ 2.47240E-01 1.87425E-01 1.41783E-01 1.06908E-01 8.04253E-02 6.01353E-02
+ 4.47323E-02 3.30746E-02 2.42847E-02 1.76887E-02 1.27667E-02 9.11880E-03
+ 6.43685E-03 4.48401E-03 3.07253E-03 2.07555E-03 1.37083E-03 8.84947E-04
+ 5.56335E-04 3.39047E-04 1.99192E-04 1.11951E-04 5.97597E-05 2.97706E-05
+ 1.36886E-05 5.65178E-06 2.01907E-06 5.88016E-07 1.25227E-07 1.53743E-08
+ 0.00000E+00 0.00000E+00 6.51033E+07 4.82069E+07 3.49367E+07 2.52929E+07
+ 1.82918E+07 1.32142E+07 9.53535E+06 6.87266E+06 4.94758E+06 3.55729E+06
+ 2.55440E+06 1.83181E+06 1.31183E+06 9.38110E+05 6.69883E+05 4.77618E+05
+ 3.40010E+05 2.41654E+05 1.71471E+05 1.21460E+05 8.58894E+04 6.06249E+04
+ 4.27171E+04 3.00416E+04 2.10891E+04 1.47718E+04 1.03328E+04 7.17822E+03
+ 5.00487E+03 3.48431E+03 2.42257E+03 1.68267E+03 1.16773E+03 8.10970E+02
+ 5.62785E+02 3.90885E+02 2.71900E+02 1.89546E+02 1.32528E+02 9.29786E+01
+ 6.55370E+01 4.64103E+01 3.30409E+01 2.36558E+01 1.70370E+01 1.23398E+01
+ 9.00233E+00 6.58998E+00 4.85959E+00 3.59445E+00 2.67348E+00 1.99630E+00
+ 1.49571E+00 1.12379E+00 8.46197E-01 6.38186E-01 4.81774E-01 3.63828E-01
+ 2.74687E-01 2.07206E-01 1.56070E-01 1.17310E-01 8.78895E-02 6.56976E-02
+ 4.88079E-02 3.60721E-02 2.64981E-02 1.93285E-02 1.39853E-02 1.00260E-02
+ 7.11229E-03 4.98552E-03 3.44827E-03 2.34555E-03 1.57266E-03 1.03065E-03
+ 6.60021E-04 4.11484E-04 2.48597E-04 1.44726E-04 8.05621E-05 4.25689E-05
+ 2.09764E-05 9.53292E-06 3.88637E-06 1.36927E-06 3.92757E-07 8.22620E-08
+ 9.87865E-09 0.00000E+00 0.00000E+00 7.85162E+07 5.79285E+07 4.17986E+07
+ 3.01266E+07 2.16898E+07 1.55977E+07 1.12035E+07 8.03730E+06 5.75863E+06
+ 4.12058E+06 2.94451E+06 2.10115E+06 1.49719E+06 1.06523E+06 7.56735E+05
+ 5.36719E+05 3.80053E+05 2.68656E+05 1.89585E+05 1.33542E+05 9.38975E+04
+ 6.58952E+04 4.61583E+04 3.22677E+04 2.25142E+04 1.56720E+04 1.08936E+04
+ 7.51859E+03 5.20802E+03 3.60170E+03 2.48729E+03 1.71578E+03 1.18241E+03
+ 8.15367E+02 5.61778E+02 3.87353E+02 2.67468E+02 1.85079E+02 1.28443E+02
+ 8.94407E+01 6.25736E+01 4.39822E+01 3.10806E+01 2.20889E+01 1.57929E+01
+ 1.13565E+01 8.22646E+00 5.97981E+00 4.37945E+00 3.21735E+00 2.37711E+00
+ 1.76341E+00 1.31272E+00 9.80059E-01 7.33368E-01 5.49688E-01 4.12442E-01
+ 3.09596E-01 2.32348E-01 1.74230E-01 1.30460E-01 9.74854E-02 7.26089E-02
+ 5.39588E-02 3.98512E-02 2.92787E-02 2.13800E-02 1.55017E-02 1.11484E-02
+ 7.94318E-03 5.59958E-03 3.90016E-03 2.68002E-03 1.81079E-03 1.20583E-03
+ 7.84654E-04 4.98799E-04 3.08599E-04 1.84952E-04 1.06771E-04 5.89088E-05
+ 3.08346E-05 1.50401E-05 6.76051E-06 2.72327E-06 9.46909E-07 2.67704E-07
+ 5.52042E-08 6.51284E-09 0.00000E+00 0.00000E+00 9.33615E+07 6.86411E+07
+ 4.93188E+07 3.53944E+07 2.53718E+07 1.81653E+07 1.29896E+07 9.27666E+06
+ 6.61624E+06 4.71231E+06 3.35153E+06 2.38020E+06 1.68784E+06 1.19499E+06
+ 8.44692E+05 5.96077E+05 4.19921E+05 2.95292E+05 2.07279E+05 1.45220E+05
+ 1.01551E+05 7.08698E+04 4.93624E+04 3.43091E+04 2.37984E+04 1.64670E+04
+ 1.13769E+04 7.80309E+03 5.37123E+03 3.69091E+03 2.53239E+03 1.73540E+03
+ 1.18794E+03 8.13647E+02 5.56747E+02 3.81222E+02 2.61393E+02 1.79601E+02
+ 1.23760E+02 8.55695E+01 5.94422E+01 4.14870E+01 2.91123E+01 2.05466E+01
+ 1.45897E+01 1.04204E+01 7.49835E+00 5.41478E+00 3.94025E+00 2.87638E+00
+ 2.11203E+00 1.55725E+00 1.15233E+00 8.55257E-01 6.36279E-01 4.74197E-01
+ 3.53796E-01 2.64095E-01 1.97107E-01 1.46996E-01 1.09468E-01 8.13561E-02
+ 6.02673E-02 4.45457E-02 3.27203E-02 2.39082E-02 1.73622E-02 1.25186E-02
+ 8.95241E-03 6.34209E-03 4.44489E-03 3.07753E-03 2.10188E-03 1.41127E-03
+ 9.33770E-04 6.03566E-04 3.81024E-04 2.34028E-04 1.39194E-04 7.97119E-05
+ 4.36050E-05 2.26166E-05 1.09228E-05 4.85724E-06 1.93360E-06 6.63599E-07
+ 1.84933E-07 3.75625E-08 4.36651E-09 0.00000E+00 0.00000E+00 1.09601E+08
+ 8.03094E+07 5.74658E+07 4.10699E+07 2.93164E+07 2.09002E+07 1.48808E+07
+ 1.05808E+07 7.51302E+06 5.32703E+06 3.77152E+06 2.66612E+06 1.88175E+06
+ 1.32596E+06 9.32766E+05 6.55015E+05 4.59154E+05 3.21255E+05 2.24351E+05
+ 1.56365E+05 1.08767E+05 7.54986E+04 5.22997E+04 3.61488E+04 2.49330E+04
+ 1.71527E+04 1.17816E+04 8.03202E+03 5.49549E+03 3.75316E+03 2.55908E+03
+ 1.74262E+03 1.18523E+03 8.06535E+02 5.48255E+02 3.72918E+02 2.53990E+02
+ 1.73343E+02 1.18644E+02 8.14794E+01 5.62214E+01 3.89773E+01 2.71703E+01
+ 1.90507E+01 1.34403E+01 9.53840E+00 6.82105E+00 4.89539E+00 3.54097E+00
+ 2.56963E+00 1.87590E+00 1.37531E+00 1.01204E+00 7.47026E-01 5.52768E-01
+ 4.09774E-01 3.04130E-01 2.25845E-01 1.67694E-01 1.24422E-01 9.21876E-02
+ 6.81666E-02 5.02411E-02 3.69476E-02 2.70008E-02 1.96277E-02 1.41799E-02
+ 1.01704E-02 7.23446E-03 5.09730E-03 3.55273E-03 2.44589E-03 1.66077E-03
+ 1.10839E-03 7.28849E-04 4.68072E-04 2.93500E-04 1.78998E-04 1.05672E-04
+ 6.00374E-05 3.25658E-05 1.67381E-05 8.00397E-06 3.52099E-06 1.38503E-06
+ 4.69088E-07 1.28847E-07 2.57808E-08 2.95886E-09 0.00000E+00 0.00000E+00
+ 2.64976E+04 2.90822E+04 2.31470E+04 1.84277E+04 1.46748E+04 1.16899E+04
+ 9.31547E+03 7.42634E+03 5.92301E+03 4.72641E+03 3.77372E+03 3.01499E+03
+ 2.41055E+03 1.92884E+03 1.54478E+03 1.23844E+03 9.93962E+02 7.98744E+02
+ 6.42758E+02 5.18031E+02 4.18218E+02 3.38272E+02 2.74175E+02 2.22729E+02
+ 1.81387E+02 1.48121E+02 1.21314E+02 9.94028E+01 8.19695E+01 6.78471E+01
+ 5.63842E+01 4.70603E+01 3.94596E+01 3.32662E+01 2.81801E+01 2.40058E+01
+ 2.05707E+01 1.77360E+01 1.53896E+01 1.34400E+01 1.18166E+01 1.04567E+01
+ 9.31273E+00 8.34497E+00 7.52126E+00 6.81545E+00 6.20840E+00 5.67721E+00
+ 5.21464E+00 4.80398E+00 4.44060E+00 4.11566E+00 3.82299E+00 3.55704E+00
+ 3.31272E+00 3.08545E+00 2.87143E+00 2.66780E+00 2.47270E+00 2.28510E+00
+ 2.10456E+00 1.93097E+00 1.76445E+00 1.60587E+00 1.45376E+00 1.30931E+00
+ 1.17267E+00 1.04397E+00 9.23330E-01 8.10803E-01 7.06426E-01 6.10195E-01
+ 5.22012E-01 4.41723E-01 3.69891E-01 3.05271E-01 2.48163E-01 1.98273E-01
+ 1.55265E-01 1.18759E-01 8.83321E-02 6.35556E-02 4.37848E-02 2.86548E-02
+ 1.75013E-02 9.72861E-03 4.71920E-03 1.84613E-03 4.87858E-04 4.94171E-05
+ 0.00000E+00 3.16156E+04 4.52353E+04 3.54682E+04 2.78265E+04 2.18443E+04
+ 1.71588E+04 1.34873E+04 1.06087E+04 8.35063E+03 6.57839E+03 5.18664E+03
+ 4.09304E+03 3.23318E+03 2.55666E+03 2.02401E+03 1.60432E+03 1.27339E+03
+ 1.01221E+03 8.05898E+02 6.42769E+02 5.13646E+02 4.11325E+02 3.30141E+02
+ 2.65642E+02 2.14325E+02 1.73433E+02 1.40791E+02 1.14357E+02 9.35143E+01
+ 7.67766E+01 6.33050E+01 5.24364E+01 4.36461E+01 3.65373E+01 3.07415E+01
+ 2.60174E+01 2.21551E+01 1.89872E+01 1.63798E+01 1.42246E+01 1.24385E+01
+ 1.09487E+01 9.70014E+00 8.64750E+00 7.75416E+00 6.99089E+00 6.33599E+00
+ 5.76438E+00 5.26770E+00 4.82769E+00 4.43904E+00 4.09199E+00 3.77975E+00
+ 3.49630E+00 3.23634E+00 2.99528E+00 2.76939E+00 2.55594E+00 2.35315E+00
+ 2.15996E+00 1.97586E+00 1.80064E+00 1.63418E+00 1.47721E+00 1.32810E+00
+ 1.18785E+00 1.05644E+00 9.33843E-01 8.19989E-01 7.14791E-01 6.18127E-01
+ 5.29845E-01 4.49751E-01 3.77506E-01 3.13507E-01 2.56511E-01 2.06658E-01
+ 1.63568E-01 1.26829E-01 9.60037E-02 7.06119E-02 5.02026E-02 3.41438E-02
+ 2.20326E-02 1.32457E-02 7.23142E-03 3.43468E-03 1.30957E-03 3.36559E-04
+ 3.43834E-05 0.00000E+00 8.72013E+04 6.83780E+04 5.30256E+04 4.11440E+04
+ 3.19430E+04 2.48145E+04 1.92892E+04 1.50045E+04 1.16801E+04 9.09936E+03
+ 7.09489E+03 5.53704E+03 4.32555E+03 3.38278E+03 2.64860E+03 2.07642E+03
+ 1.63014E+03 1.28174E+03 1.00950E+03 7.96545E+02 6.29787E+02 4.99042E+02
+ 3.96399E+02 3.15702E+02 2.52160E+02 2.02043E+02 1.62441E+02 1.30690E+02
+ 1.05900E+02 8.61823E+01 7.04592E+01 5.78883E+01 4.78099E+01 3.97276E+01
+ 3.31909E+01 2.79035E+01 2.36116E+01 2.01149E+01 1.72547E+01 1.49041E+01
+ 1.29659E+01 1.13569E+01 1.00140E+01 8.88594E+00 7.93174E+00 7.11894E+00
+ 6.42342E+00 5.81792E+00 5.29304E+00 4.82907E+00 4.42008E+00 4.05548E+00
+ 3.72796E+00 3.43114E+00 3.15952E+00 2.90847E+00 2.67431E+00 2.45437E+00
+ 2.24685E+00 2.05066E+00 1.86518E+00 1.69007E+00 1.52502E+00 1.37061E+00
+ 1.22508E+00 1.08928E+00 9.63021E-01 8.46141E-01 7.38439E-01 6.39699E-01
+ 5.49675E-01 4.68105E-01 3.94708E-01 3.29024E-01 2.71317E-01 2.20358E-01
+ 1.76172E-01 1.38322E-01 1.06351E-01 7.97857E-02 5.81227E-02 4.09074E-02
+ 2.75138E-02 1.75376E-02 1.03995E-02 5.58929E-03 2.60654E-03 9.72018E-04
+ 2.43949E-04 2.51087E-05 0.00000E+00 1.31646E+05 1.02414E+05 7.87002E+04
+ 6.05044E+04 4.65355E+04 3.58081E+04 2.75676E+04 2.12351E+04 1.63671E+04
+ 1.26234E+04 9.74302E+03 7.52591E+03 5.81846E+03 4.50277E+03 3.48836E+03
+ 2.70571E+03 2.10144E+03 1.63453E+03 1.27344E+03 9.93925E+02 7.77324E+02
+ 6.09281E+02 4.78745E+02 3.77199E+02 2.98084E+02 2.36339E+02 1.88060E+02
+ 1.49758E+02 1.20163E+02 9.68609E+01 7.84645E+01 6.38989E+01 5.23313E+01
+ 4.31391E+01 3.57696E+01 2.98579E+01 2.50968E+01 2.12463E+01 1.81179E+01
+ 1.55629E+01 1.34680E+01 1.17377E+01 1.03001E+01 9.09732E+00 8.08358E+00
+ 7.22290E+00 6.48858E+00 5.85110E+00 5.29991E+00 4.81387E+00 4.38636E+00
+ 4.00604E+00 3.66505E+00 3.35668E+00 3.07526E+00 2.81608E+00 2.57549E+00
+ 2.35081E+00 2.14023E+00 1.94256E+00 1.75706E+00 1.58324E+00 1.42063E+00
+ 1.26962E+00 1.12836E+00 9.97507E-01 8.76753E-01 7.65790E-01 6.64299E-01
+ 5.71944E-01 4.88372E-01 4.13225E-01 3.46141E-01 2.86566E-01 2.34646E-01
+ 1.89174E-01 1.50082E-01 1.16890E-01 8.91088E-02 6.62485E-02 4.77927E-02
+ 3.32826E-02 2.21273E-02 1.39251E-02 8.13907E-03 4.30224E-03 1.96719E-03
+ 7.16045E-04 1.75020E-04 1.81674E-05 0.00000E+00 1.93816E+05 1.49799E+05
+ 1.14246E+05 8.71555E+04 6.65061E+04 5.07638E+04 3.87606E+04 2.96067E+04
+ 2.26243E+04 1.72969E+04 1.32313E+04 1.01276E+04 7.75746E+03 5.94677E+03
+ 4.56289E+03 3.50467E+03 2.69505E+03 2.07521E+03 1.60034E+03 1.23623E+03
+ 9.56800E+02 7.42125E+02 5.77015E+02 4.49851E+02 3.51775E+02 2.76002E+02
+ 2.17361E+02 1.71312E+02 1.36094E+02 1.08643E+02 8.71863E+01 7.03631E+01
+ 5.71297E+01 4.67109E+01 3.84320E+01 3.18473E+01 2.65867E+01 2.23643E+01
+ 1.89576E+01 1.61930E+01 1.39396E+01 1.20879E+01 1.05566E+01 9.28093E+00
+ 8.20970E+00 7.30329E+00 6.53235E+00 5.86499E+00 5.28953E+00 4.78337E+00
+ 4.33923E+00 3.94499E+00 3.59233E+00 3.27419E+00 2.98473E+00 2.71918E+00
+ 2.47387E+00 2.24607E+00 2.03392E+00 1.83613E+00 1.65181E+00 1.48034E+00
+ 1.32103E+00 1.17414E+00 1.03770E+00 9.12198E-01 7.97203E-01 6.92280E-01
+ 5.96995E-01 5.10909E-01 4.33573E-01 3.64546E-01 3.03392E-01 2.49489E-01
+ 2.02878E-01 1.62383E-01 1.27856E-01 9.87918E-02 7.46838E-02 5.50318E-02
+ 3.93220E-02 2.71030E-02 1.78151E-02 1.10713E-02 6.37993E-03 3.31779E-03
+ 1.48809E-03 5.29103E-04 1.26143E-04 1.32017E-05 0.00000E+00 1.90338E+05
+ 2.13173E+05 1.61529E+05 1.22412E+05 9.27773E+04 7.03252E+04 5.33151E+04
+ 4.04275E+04 3.06627E+04 2.32635E+04 1.76562E+04 1.34063E+04 1.01847E+04
+ 7.74198E+03 5.88939E+03 4.48387E+03 3.41718E+03 2.60722E+03 1.99190E+03
+ 1.52412E+03 1.16827E+03 8.97315E+02 6.90801E+02 5.33209E+02 4.12799E+02
+ 3.20642E+02 2.50007E+02 1.95075E+02 1.53471E+02 1.21353E+02 9.64878E+01
+ 7.71765E+01 6.21266E+01 5.03845E+01 4.11356E+01 3.38409E+01 2.80595E+01
+ 2.34536E+01 1.97633E+01 1.67877E+01 1.43761E+01 1.24050E+01 1.07825E+01
+ 9.43641E+00 8.31038E+00 7.36081E+00 6.55570E+00 5.86079E+00 5.26322E+00
+ 4.73898E+00 4.28012E+00 3.87380E+00 3.51123E+00 3.18505E+00 2.88925E+00
+ 2.61898E+00 2.37051E+00 2.14107E+00 1.92869E+00 1.73198E+00 1.54988E+00
+ 1.38162E+00 1.22634E+00 1.08413E+00 9.52923E-01 8.33056E-01 7.23970E-01
+ 6.25116E-01 5.35960E-01 4.55970E-01 3.84613E-01 3.21377E-01 2.65767E-01
+ 2.17106E-01 1.75348E-01 1.39351E-01 1.08908E-01 8.34957E-02 6.26016E-02
+ 4.57258E-02 3.23655E-02 2.20829E-02 1.43539E-02 8.81074E-03 5.00701E-03
+ 2.56247E-03 1.12784E-03 3.92022E-04 9.12979E-05 9.63081E-06 0.00000E+00
+ 4.06413E+05 3.10633E+05 2.33837E+05 1.76024E+05 1.32494E+05 9.97244E+04
+ 7.50580E+04 5.64936E+04 4.25232E+04 3.20109E+04 2.41013E+04 1.81502E+04
+ 1.36727E+04 1.03038E+04 7.76884E+03 5.86114E+03 4.42527E+03 3.34420E+03
+ 2.53005E+03 1.91660E+03 1.45417E+03 1.10532E+03 8.41969E+02 6.42944E+02
+ 4.92379E+02 3.78293E+02 2.91749E+02 2.25141E+02 1.75223E+02 1.37089E+02
+ 1.07874E+02 8.54203E+01 6.80999E+01 5.47217E+01 4.42866E+01 3.61335E+01
+ 2.97294E+01 2.46701E+01 2.06484E+01 1.74288E+01 1.48366E+01 1.27304E+01
+ 1.10059E+01 9.58199E+00 8.39599E+00 7.39973E+00 6.55811E+00 5.83411E+00
+ 5.21354E+00 4.67079E+00 4.19715E+00 3.77901E+00 3.40704E+00 3.07359E+00
+ 2.77242E+00 2.49859E+00 2.24827E+00 2.01861E+00 1.80752E+00 1.61340E+00
+ 1.43506E+00 1.27151E+00 1.12171E+00 9.85563E-01 8.60899E-01 7.47877E-01
+ 6.45806E-01 5.54022E-01 4.71883E-01 3.98765E-01 3.34055E-01 2.77174E-01
+ 2.27565E-01 1.84513E-01 1.47884E-01 1.16587E-01 9.03595E-02 6.86726E-02
+ 5.10164E-02 3.69023E-02 2.58491E-02 1.74411E-02 1.11992E-02 6.78302E-03
+ 3.79763E-03 1.91099E-03 8.24873E-04 2.80331E-04 6.38905E-05 6.79095E-06
+ 0.00000E+00 5.76416E+05 4.38366E+05 3.28044E+05 2.45451E+05 1.83613E+05
+ 1.37328E+05 1.02692E+05 7.67811E+04 5.74016E+04 4.29106E+04 3.20773E+04
+ 2.39799E+04 1.79286E+04 1.34068E+04 1.00285E+04 7.50444E+03 5.61874E+03
+ 4.20977E+03 3.15693E+03 2.36997E+03 1.78159E+03 1.34144E+03 1.01201E+03
+ 7.65227E+02 5.80207E+02 4.41286E+02 3.36894E+02 2.57313E+02 1.98247E+02
+ 1.53559E+02 1.19654E+02 9.38475E+01 7.41309E+01 5.90449E+01 4.73855E+01
+ 3.83564E+01 3.13242E+01 2.58130E+01 2.14646E+01 1.80072E+01 1.52411E+01
+ 1.30062E+01 1.11856E+01 9.68931E+00 8.44817E+00 7.40950E+00 6.53517E+00
+ 5.78551E+00 5.14501E+00 4.58659E+00 4.10077E+00 3.67322E+00 3.29415E+00
+ 2.95559E+00 2.65111E+00 2.37564E+00 2.12526E+00 1.89699E+00 1.68857E+00
+ 1.49827E+00 1.32470E+00 1.16667E+00 1.02298E+00 8.93343E-01 7.75512E-01
+ 6.69475E-01 5.74426E-01 4.89598E-01 4.14261E-01 3.47714E-01 2.89278E-01
+ 2.38322E-01 1.94242E-01 1.56303E-01 1.24300E-01 9.71953E-02 7.46879E-02
+ 5.62540E-02 4.13951E-02 2.96411E-02 2.05379E-02 1.36958E-02 8.68130E-03
+ 5.18339E-03 2.85568E-03 1.41069E-03 5.95887E-04 1.97415E-04 4.38805E-05
+ 4.70581E-06 0.00000E+00 7.94027E+05 6.01094E+05 4.47384E+05 3.32896E+05
+ 2.47624E+05 1.84135E+05 1.36883E+05 1.01728E+05 7.55827E+04 5.61449E+04
+ 4.16988E+04 3.09658E+04 2.29941E+04 1.70748E+04 1.26807E+04 9.41931E+03
+ 6.99919E+03 5.20339E+03 3.87099E+03 2.88228E+03 2.14857E+03 1.60386E+03
+ 1.19937E+03 8.98774E+02 6.75251E+02 5.08811E+02 3.84818E+02 2.91118E+02
+ 2.22189E+02 1.70503E+02 1.31640E+02 1.02323E+02 8.01242E+01 6.32877E+01
+ 5.03867E+01 4.04790E+01 3.28236E+01 2.68691E+01 2.22037E+01 1.85184E+01
+ 1.55872E+01 1.32315E+01 1.13218E+01 9.75910E+00 8.46802E+00 7.39147E+00
+ 6.48838E+00 5.71655E+00 5.05923E+00 4.48793E+00 3.99249E+00 3.55790E+00
+ 3.17394E+00 2.83234E+00 2.52649E+00 2.25118E+00 2.00237E+00 1.77693E+00
+ 1.57247E+00 1.38705E+00 1.21910E+00 1.06729E+00 9.30214E-01 8.07424E-01
+ 6.96620E-01 5.97627E-01 5.09540E-01 4.31504E-01 3.62714E-01 3.02409E-01
+ 2.49861E-01 2.04399E-01 1.65386E-01 1.32081E-01 1.04224E-01 8.08352E-02
+ 6.15887E-02 4.59737E-02 3.35109E-02 2.37543E-02 1.62811E-02 1.07306E-02
+ 6.71446E-03 3.95218E-03 2.14261E-03 1.03909E-03 4.29555E-04 1.38767E-04
+ 3.01035E-05 3.25716E-06 0.00000E+00 1.06610E+06 8.03621E+05 5.95101E+05
+ 4.40536E+05 3.25974E+05 2.41101E+05 1.78252E+05 1.31734E+05 9.73195E+04
+ 7.18704E+04 5.30600E+04 3.91623E+04 2.88988E+04 2.13220E+04 1.57308E+04
+ 1.16063E+04 8.56460E+03 6.32195E+03 4.66886E+03 3.45035E+03 2.55229E+03
+ 1.89024E+03 1.40214E+03 1.04206E+03 7.76329E+02 5.79969E+02 4.34847E+02
+ 3.26061E+02 2.46689E+02 1.87662E+02 1.43645E+02 1.10718E+02 8.59899E+01
+ 6.73885E+01 5.32489E+01 4.24739E+01 3.42102E+01 2.78275E+01 2.28594E+01
+ 1.89587E+01 1.58733E+01 1.34061E+01 1.14151E+01 9.79245E+00 8.45697E+00
+ 7.34725E+00 6.41945E+00 5.62901E+00 4.95798E+00 4.37662E+00 3.87408E+00
+ 3.43475E+00 3.04802E+00 2.70535E+00 2.39994E+00 2.12644E+00 1.88067E+00
+ 1.65935E+00 1.45991E+00 1.28027E+00 1.11866E+00 9.73573E-01 8.43477E-01
+ 7.27749E-01 6.24050E-01 5.32061E-01 4.50792E-01 3.79315E-01 3.16769E-01
+ 2.62344E-01 2.15279E-01 1.74875E-01 1.40477E-01 1.11347E-01 8.71850E-02
+ 6.70729E-02 5.06706E-02 3.74871E-02 2.70677E-02 1.89946E-02 1.28785E-02
+ 8.38936E-03 5.18225E-03 3.00720E-03 1.60439E-03 7.63927E-04 3.09139E-04
+ 9.74372E-05 2.06544E-05 2.25427E-06 0.00000E+00 1.39929E+06 1.05057E+06
+ 7.74269E+05 5.70396E+05 4.19985E+05 3.09076E+05 2.27339E+05 1.67135E+05
+ 1.22815E+05 9.02057E+04 6.62267E+04 4.86028E+04 3.56569E+04 2.61518E+04
+ 1.91767E+04 1.40603E+04 1.03092E+04 7.55975E+03 5.54541E+03 4.06982E+03
+ 2.98919E+03 2.19773E+03 1.61810E+03 1.19341E+03 8.82175E+02 6.53819E+02
+ 4.86293E+02 3.61648E+02 2.71395E+02 2.04787E+02 1.55499E+02 1.18914E+02
+ 9.16489E+01 7.12948E+01 5.59379E+01 4.43197E+01 3.54708E+01 2.86806E+01
+ 2.34277E+01 1.93265E+01 1.60992E+01 1.35306E+01 1.14666E+01 9.79092E+00
+ 8.41675E+00 7.27867E+00 6.33023E+00 5.52472E+00 4.84307E+00 4.25438E+00
+ 3.74720E+00 3.30536E+00 2.91788E+00 2.57599E+00 2.27270E+00 2.00250E+00
+ 1.76107E+00 1.54498E+00 1.35149E+00 1.17834E+00 1.02361E+00 8.85641E-01
+ 7.62756E-01 6.54188E-01 5.57572E-01 4.72464E-01 3.97800E-01 3.32601E-01
+ 2.75959E-01 2.27031E-01 1.85036E-01 1.49260E-01 1.19040E-01 9.36507E-02
+ 7.27649E-02 5.55279E-02 4.15950E-02 3.04998E-02 2.18157E-02 1.51560E-02
+ 1.01653E-02 6.54519E-03 3.99147E-03 2.28357E-03 1.19904E-03 5.60612E-04
+ 2.22131E-04 6.83499E-05 1.41742E-05 1.56016E-06 0.00000E+00 1.79995E+06
+ 1.34626E+06 9.87707E+05 7.24295E+05 5.30813E+05 3.88781E+05 2.84584E+05
+ 2.08190E+05 1.52216E+05 1.11228E+05 8.12348E+04 5.92993E+04 4.32674E+04
+ 3.15570E+04 2.30085E+04 1.67715E+04 1.22236E+04 8.90878E+03 6.49402E+03
+ 4.73537E+03 3.45512E+03 2.52313E+03 1.84484E+03 1.35102E+03 9.91473E+02
+ 7.29412E+02 5.38478E+02 3.97402E+02 2.95974E+02 2.21650E+02 1.67047E+02
+ 1.26807E+02 9.70332E+01 7.49629E+01 5.84265E+01 4.59997E+01 3.65958E+01
+ 2.94235E+01 2.39064E+01 1.96214E+01 1.62657E+01 1.36064E+01 1.14780E+01
+ 9.75637E+00 8.34929E+00 7.18764E+00 6.22263E+00 5.40554E+00 4.71627E+00
+ 4.12293E+00 3.61346E+00 3.17122E+00 2.78491E+00 2.44550E+00 2.14585E+00
+ 1.88029E+00 1.64434E+00 1.43442E+00 1.24764E+00 1.08156E+00 9.34122E-01
+ 8.03515E-01 6.87958E-01 5.86548E-01 4.96912E-01 4.18492E-01 3.50172E-01
+ 2.90930E-01 2.39829E-01 1.96007E-01 1.58671E-01 1.27103E-01 1.00643E-01
+ 7.85892E-02 6.05947E-02 4.58691E-02 3.40708E-02 2.47616E-02 1.75455E-02
+ 1.20677E-02 8.00722E-03 5.09600E-03 3.06814E-03 1.73068E-03 8.94417E-04
+ 4.10688E-04 1.59374E-04 4.79025E-05 9.72907E-06 1.07976E-06 0.00000E+00
+ 2.27390E+06 1.69462E+06 1.23792E+06 9.03800E+05 6.59420E+05 4.80793E+05
+ 3.50318E+05 2.55080E+05 1.85611E+05 1.34974E+05 9.80899E+04 7.12423E+04
+ 5.17144E+04 3.75197E+04 2.72093E+04 1.97248E+04 1.42954E+04 1.03590E+04
+ 7.50675E+03 5.44089E+03 3.94542E+03 2.86299E+03 2.07982E+03 1.51304E+03
+ 1.10290E+03 8.05808E+02 5.90744E+02 4.32872E+02 3.20119E+02 2.38045E+02
+ 1.78152E+02 1.34309E+02 1.02086E+02 7.83580E+01 6.06938E+01 4.75024E+01
+ 3.75793E+01 3.00537E+01 2.42953E+01 1.98445E+01 1.63743E+01 1.36355E+01
+ 1.14514E+01 9.69089E+00 8.25664E+00 7.07619E+00 6.09856E+00 5.27328E+00
+ 4.57932E+00 3.98388E+00 3.47436E+00 3.03372E+00 2.65034E+00 2.31499E+00
+ 2.02035E+00 1.76060E+00 1.53111E+00 1.32816E+00 1.14869E+00 9.90111E-01
+ 8.50239E-01 7.27138E-01 6.18928E-01 5.24592E-01 4.41764E-01 3.69788E-01
+ 3.07510E-01 2.53879E-01 2.07944E-01 1.68832E-01 1.35753E-01 1.07992E-01
+ 8.49015E-02 6.58054E-02 5.03507E-02 3.78092E-02 2.78485E-02 2.00609E-02
+ 1.40819E-02 9.58912E-03 6.29453E-03 3.95979E-03 2.35380E-03 1.30916E-03
+ 6.65969E-04 3.00350E-04 1.14184E-04 3.35439E-05 6.67934E-06 7.47276E-07
+ 0.00000E+00 2.82634E+06 2.09906E+06 1.52701E+06 1.11019E+06 8.06551E+05
+ 5.85525E+05 4.24754E+05 3.07898E+05 2.23027E+05 1.61433E+05 1.16767E+05
+ 8.44013E+04 6.09672E+04 4.40126E+04 3.17558E+04 2.29012E+04 1.65095E+04
+ 1.18985E+04 8.57464E+03 6.17966E+03 4.45515E+03 3.21369E+03 2.32044E+03
+ 1.67763E+03 1.21515E+03 8.82103E+02 6.42472E+02 4.67640E+02 3.43552E+02
+ 2.53789E+02 1.88696E+02 1.41347E+02 1.06763E+02 8.14534E+01 6.27250E+01
+ 4.88202E+01 3.84184E+01 3.05709E+01 2.45954E+01 1.99974E+01 1.64273E+01
+ 1.36201E+01 1.13892E+01 9.59672E+00 8.14095E+00 6.94631E+00 5.95992E+00
+ 5.12973E+00 4.43386E+00 3.83875E+00 3.33131E+00 2.89412E+00 2.51531E+00
+ 2.18544E+00 1.89702E+00 1.64410E+00 1.42190E+00 1.22655E+00 1.05485E+00
+ 9.04089E-01 7.71947E-01 6.56392E-01 5.55466E-01 4.68050E-01 3.91802E-01
+ 3.25984E-01 2.69418E-01 2.21039E-01 1.79889E-01 1.45100E-01 1.15888E-01
+ 9.15545E-02 7.14671E-02 5.49834E-02 4.17501E-02 3.11005E-02 2.27156E-02
+ 1.62193E-02 1.12793E-02 7.60437E-03 4.93843E-03 3.07093E-03 1.80234E-03
+ 9.88473E-04 4.94994E-04 2.19298E-04 8.16975E-05 2.34709E-05 4.58651E-06
+ 5.17169E-07 0.00000E+00 3.46172E+06 2.56244E+06 1.85667E+06 1.34441E+06
+ 9.72715E+05 7.03220E+05 5.07982E+05 3.66652E+05 2.64431E+05 1.90556E+05
+ 1.37212E+05 9.87257E+04 7.09823E+04 5.09993E+04 3.66188E+04 2.62779E+04
+ 1.88484E+04 1.35144E+04 9.68794E+03 6.94454E+03 4.97914E+03 3.57155E+03
+ 2.56408E+03 1.84296E+03 1.32697E+03 9.57445E+02 6.93089E+02 5.01331E+02
+ 3.66027E+02 2.68725E+02 1.98582E+02 1.47860E+02 1.11029E+02 8.42302E+01
+ 6.45108E+01 4.99495E+01 3.91126E+01 3.09765E+01 2.48090E+01 2.00830E+01
+ 1.64273E+01 1.35628E+01 1.12938E+01 9.47619E+00 8.00437E+00 6.80003E+00
+ 5.80856E+00 4.97660E+00 4.28147E+00 3.68899E+00 3.18561E+00 2.75359E+00
+ 2.38082E+00 2.05769E+00 1.77656E+00 1.53133E+00 1.31710E+00 1.12985E+00
+ 9.66265E-01 8.23509E-01 6.99163E-01 5.91109E-01 4.97330E-01 4.16626E-01
+ 3.46688E-01 2.86714E-01 2.35513E-01 1.92019E-01 1.55277E-01 1.24432E-01
+ 9.87173E-02 7.74535E-02 6.00317E-02 4.58455E-02 3.45473E-02 2.55300E-02
+ 1.84914E-02 1.30873E-02 9.01656E-03 6.01867E-03 3.86704E-03 2.37709E-03
+ 1.37752E-03 7.44996E-04 3.67281E-04 1.59867E-04 5.83782E-05 1.64108E-05
+ 3.15004E-06 3.57916E-07 0.00000E+00 2.65094E+04 2.89827E+04 2.30570E+04
+ 1.83463E+04 1.46012E+04 1.16234E+04 9.25533E+03 7.37198E+03 5.87388E+03
+ 4.68202E+03 3.73360E+03 2.97874E+03 2.37780E+03 1.89924E+03 1.51804E+03
+ 1.21428E+03 9.72129E+02 7.79013E+02 6.24925E+02 5.01910E+02 4.03642E+02
+ 3.25090E+02 2.62249E+02 2.11934E+02 1.71611E+02 1.39262E+02 1.13280E+02
+ 9.21193E+01 7.53494E+01 6.18214E+01 5.08904E+01 4.20416E+01 3.48643E+01
+ 2.90463E+01 2.42941E+01 2.04152E+01 1.72408E+01 1.46356E+01 1.24912E+01
+ 1.07196E+01 9.25286E+00 8.03178E+00 7.01129E+00 6.15428E+00 5.43067E+00
+ 4.81598E+00 4.29203E+00 3.83742E+00 3.44422E+00 3.09646E+00 2.78858E+00
+ 2.51198E+00 2.26114E+00 2.03217E+00 1.82261E+00 1.63101E+00 1.45642E+00
+ 1.29793E+00 1.15447E+00 1.02479E+00 9.07552E-01 8.01478E-01 7.05408E-01
+ 6.18731E-01 5.39719E-01 4.68237E-01 4.03708E-01 3.45642E-01 2.93613E-01
+ 2.47239E-01 2.06166E-01 1.70055E-01 1.38557E-01 1.11323E-01 8.82467E-02
+ 6.86501E-02 5.23692E-02 3.90599E-02 2.83817E-02 2.00002E-02 1.35891E-02
+ 8.84173E-03 5.43569E-03 3.12507E-03 1.64166E-03 7.62591E-04 2.96498E-04
+ 8.70393E-05 1.53063E-05 7.69188E-07 0.00000E+00 3.16290E+04 4.51268E+04
+ 3.53700E+04 2.77378E+04 2.17640E+04 1.70863E+04 1.34217E+04 1.05494E+04
+ 8.29708E+03 6.52999E+03 5.14291E+03 4.05352E+03 3.19747E+03 2.52439E+03
+ 1.99485E+03 1.57798E+03 1.24958E+03 9.90693E+02 7.86449E+02 6.25186E+02
+ 4.97746E+02 3.96943E+02 3.17128E+02 2.53863E+02 2.03657E+02 1.63764E+02
+ 1.32021E+02 1.06406E+02 8.62879E+01 7.01997E+01 5.73098E+01 4.69614E+01
+ 3.86353E+01 3.19389E+01 2.65108E+01 2.21128E+01 1.85394E+01 1.56271E+01
+ 1.32457E+01 1.12908E+01 9.68208E+00 8.35046E+00 7.24351E+00 6.31849E+00
+ 5.54099E+00 4.88333E+00 4.32489E+00 3.84217E+00 3.42623E+00 3.05989E+00
+ 2.73717E+00 2.44901E+00 2.18962E+00 1.95487E+00 1.74198E+00 1.54910E+00
+ 1.37482E+00 1.21783E+00 1.07670E+00 9.49941E-01 8.36069E-01 7.33711E-01
+ 6.41600E-01 5.59074E-01 4.84396E-01 4.17354E-01 3.57317E-01 3.03737E-01
+ 2.56134E-01 2.14072E-01 1.77147E-01 1.44974E-01 1.17180E-01 9.33667E-02
+ 7.33830E-02 5.65803E-02 4.27626E-02 3.15858E-02 2.27165E-02 1.58349E-02
+ 1.06384E-02 6.84330E-03 4.15456E-03 2.35576E-03 1.21861E-03 5.56319E-04
+ 2.12053E-04 6.08279E-05 1.04709E-05 5.36070E-07 0.00000E+00 8.70721E+04
+ 6.82611E+04 5.29199E+04 4.10484E+04 3.18566E+04 2.47364E+04 1.92186E+04
+ 1.49407E+04 1.16224E+04 9.04726E+03 7.04780E+03 5.49450E+03 4.28711E+03
+ 3.34804E+03 2.61721E+03 2.04806E+03 1.60451E+03 1.25857E+03 9.88557E+02
+ 7.77614E+02 6.12668E+02 4.83558E+02 3.82389E+02 3.03020E+02 2.40674E+02
+ 1.91633E+02 1.53000E+02 1.22132E+02 9.81239E+01 7.91069E+01 6.40120E+01
+ 5.20035E+01 4.24276E+01 3.47923E+01 2.86549E+01 2.37224E+01 1.97458E+01
+ 1.65290E+01 1.39172E+01 1.17876E+01 1.00461E+01 8.61303E+00 7.42827E+00
+ 6.44322E+00 5.61909E+00 4.92496E+00 4.33790E+00 3.83235E+00 3.39842E+00
+ 3.01780E+00 2.68410E+00 2.38776E+00 2.12271E+00 1.88455E+00 1.67017E+00
+ 1.47736E+00 1.30435E+00 1.14947E+00 1.01104E+00 8.87378E-01 7.76886E-01
+ 6.78115E-01 5.89723E-01 5.10998E-01 4.40202E-01 3.77058E-01 3.20892E-01
+ 2.71115E-01 2.27205E-01 1.88690E-01 1.55128E-01 1.26107E-01 1.01238E-01
+ 8.00944E-02 6.24954E-02 4.78214E-02 3.58582E-02 2.62680E-02 1.87283E-02
+ 1.29359E-02 8.61296E-03 5.48387E-03 3.29229E-03 1.84422E-03 9.41194E-04
+ 4.23197E-04 1.58545E-04 4.45763E-05 7.53311E-06 3.92029E-07 0.00000E+00
+ 1.31507E+05 1.02288E+05 7.85865E+04 6.04016E+04 4.64425E+04 3.57241E+04
+ 2.74916E+04 2.11665E+04 1.63051E+04 1.25673E+04 9.69240E+03 7.48017E+03
+ 5.77713E+03 4.46542E+03 3.45461E+03 2.67521E+03 2.07389E+03 1.60963E+03
+ 1.25094E+03 9.73577E+02 7.58927E+02 5.92641E+02 4.63691E+02 3.63574E+02
+ 2.85746E+02 2.25158E+02 1.77923E+02 1.40572E+02 1.11818E+02 8.92720E+01
+ 7.15533E+01 5.75950E+01 4.65705E+01 3.78621E+01 3.09254E+01 2.53993E+01
+ 2.09815E+01 1.74365E+01 1.45803E+01 1.22679E+01 1.03898E+01 8.85408E+00
+ 7.59176E+00 6.54784E+00 5.67875E+00 4.95007E+00 4.33640E+00 3.81010E+00
+ 3.36021E+00 2.96732E+00 2.62451E+00 2.32176E+00 2.05267E+00 1.81250E+00
+ 1.59783E+00 1.40608E+00 1.23512E+00 1.08299E+00 9.47760E-01 8.27599E-01
+ 7.20797E-01 6.25841E-01 5.41322E-01 4.66483E-01 3.99590E-01 3.40304E-01
+ 2.87914E-01 2.41795E-01 2.01395E-01 1.66208E-01 1.35768E-01 1.09643E-01
+ 8.74291E-02 6.86853E-02 5.32086E-02 4.04101E-02 3.00645E-02 2.18442E-02
+ 1.54408E-02 1.05691E-02 6.96295E-03 4.38573E-03 2.60246E-03 1.43922E-03
+ 7.24025E-04 3.20272E-04 1.17742E-04 3.23756E-05 5.35810E-06 2.84112E-07
+ 0.00000E+00 1.93666E+05 1.49664E+05 1.14123E+05 8.70450E+04 6.64062E+04
+ 5.06736E+04 3.86791E+04 2.95330E+04 2.25577E+04 1.72368E+04 1.31769E+04
+ 1.00785E+04 7.71308E+03 5.90667E+03 4.52666E+03 3.47194E+03 2.66547E+03
+ 2.04848E+03 1.57619E+03 1.21440E+03 9.37062E+02 7.24276E+02 5.60870E+02
+ 4.35242E+02 3.38550E+02 2.64020E+02 2.06501E+02 1.61475E+02 1.27164E+02
+ 1.00526E+02 7.97995E+01 6.36312E+01 5.09840E+01 4.10879E+01 3.32774E+01
+ 2.71106E+01 2.22229E+01 1.83329E+01 1.52232E+01 1.27241E+01 1.07083E+01
+ 9.07049E+00 7.73226E+00 6.63160E+00 5.71989E+00 4.95903E+00 4.32107E+00
+ 3.77624E+00 3.31250E+00 2.90932E+00 2.55927E+00 2.25181E+00 1.98017E+00
+ 1.73930E+00 1.52542E+00 1.33561E+00 1.16740E+00 1.01857E+00 8.86973E-01
+ 7.70642E-01 6.67777E-01 5.76804E-01 4.96264E-01 4.25353E-01 3.62345E-01
+ 3.06846E-01 2.58114E-01 2.15497E-01 1.78415E-01 1.46340E-01 1.18788E-01
+ 9.53110E-02 7.54994E-02 5.89061E-02 4.53116E-02 3.41596E-02 2.52196E-02
+ 1.81772E-02 1.27408E-02 8.64373E-03 5.64045E-03 3.51658E-03 2.06328E-03
+ 1.12711E-03 5.59391E-04 2.43768E-04 8.81572E-05 2.38323E-05 3.91085E-06
+ 2.14353E-07 0.00000E+00 1.90358E+05 2.13028E+05 1.61397E+05 1.22294E+05
+ 9.26701E+04 7.02284E+04 5.32276E+04 4.03484E+04 3.05913E+04 2.31989E+04
+ 1.75979E+04 1.33537E+04 1.01371E+04 7.69898E+03 5.85055E+03 4.44879E+03
+ 3.38547E+03 2.57857E+03 1.96602E+03 1.50074E+03 1.14713E+03 8.78202E+02
+ 6.73519E+02 5.17575E+02 3.98651E+02 3.07829E+02 2.38400E+02 1.84567E+02
+ 1.43937E+02 1.12694E+02 8.86146E+01 7.00085E+01 5.55901E+01 4.44119E+01
+ 3.56688E+01 2.88262E+01 2.34487E+01 1.92036E+01 1.58361E+01 1.31497E+01
+ 1.09975E+01 9.26002E+00 7.84871E+00 6.69426E+00 5.74282E+00 4.95249E+00
+ 4.29278E+00 3.73176E+00 3.25632E+00 2.84483E+00 2.48932E+00 2.17874E+00
+ 1.90595E+00 1.66555E+00 1.45342E+00 1.26632E+00 1.10147E+00 9.56390E-01
+ 8.28779E-01 7.16536E-01 6.17787E-01 5.30908E-01 4.54397E-01 3.87408E-01
+ 3.28231E-01 2.76419E-01 2.31207E-01 1.91921E-01 1.57961E-01 1.28783E-01
+ 1.03890E-01 8.28302E-02 6.51873E-02 5.05174E-02 3.85900E-02 2.88819E-02
+ 2.11627E-02 1.51331E-02 1.05194E-02 7.07446E-03 4.57332E-03 2.82278E-03
+ 1.63825E-03 8.84409E-04 4.33287E-04 1.86154E-04 6.62987E-05 1.76517E-05
+ 2.87700E-06 1.63262E-07 0.00000E+00 4.06238E+05 3.10476E+05 2.33695E+05
+ 1.75895E+05 1.32378E+05 9.96193E+04 7.49631E+04 5.64078E+04 4.24458E+04
+ 3.19409E+04 2.40381E+04 1.80931E+04 1.36211E+04 1.02572E+04 7.72677E+03
+ 5.82314E+03 4.39094E+03 3.31320E+03 2.50204E+03 1.89130E+03 1.43131E+03
+ 1.08466E+03 8.23294E+02 6.26058E+02 4.77107E+02 3.64469E+02 2.79234E+02
+ 2.13822E+02 1.64962E+02 1.27779E+02 9.94186E+01 7.77320E+01 6.10995E+01
+ 4.83361E+01 3.84531E+01 3.07939E+01 2.48319E+01 2.01683E+01 1.65010E+01
+ 1.35994E+01 1.12929E+01 9.44422E+00 7.95265E+00 6.74011E+00 5.74657E+00
+ 4.92568E+00 4.24398E+00 3.66714E+00 3.18078E+00 2.76207E+00 2.40237E+00
+ 2.09007E+00 1.81758E+00 1.57910E+00 1.37013E+00 1.18705E+00 1.02679E+00
+ 8.86606E-01 7.64020E-01 6.56816E-01 5.63049E-01 4.81045E-01 4.09265E-01
+ 3.46820E-01 2.92022E-01 2.44374E-01 2.03089E-01 1.67475E-01 1.36917E-01
+ 1.10862E-01 8.88070E-02 7.02958E-02 5.49154E-02 4.22317E-02 3.20075E-02
+ 2.37592E-02 1.72604E-02 1.22324E-02 8.42310E-03 5.60834E-03 3.58675E-03
+ 2.18833E-03 1.25396E-03 6.67499E-04 3.21868E-04 1.35768E-04 4.73043E-05
+ 1.22513E-05 1.93114E-06 1.08740E-07 0.00000E+00 5.76227E+05 4.38195E+05
+ 3.27890E+05 2.45311E+05 1.83487E+05 1.37214E+05 1.02589E+05 7.66881E+04
+ 5.73177E+04 4.28347E+04 3.20088E+04 2.39180E+04 1.78727E+04 1.33564E+04
+ 9.98296E+03 7.46332E+03 5.58161E+03 4.17624E+03 3.12666E+03 2.34263E+03
+ 1.75690E+03 1.31913E+03 9.91859E+02 7.47019E+02 5.63750E+02 4.26401E+02
+ 3.23430E+02 2.45146E+02 1.87228E+02 1.43574E+02 1.10598E+02 8.56251E+01
+ 6.66567E+01 5.22398E+01 4.11818E+01 3.26914E+01 2.61417E+01 2.10627E+01
+ 1.71020E+01 1.39929E+01 1.15397E+01 9.58708E+00 8.02177E+00 6.75691E+00
+ 5.72629E+00 4.87922E+00 4.17933E+00 3.59001E+00 3.09563E+00 2.67224E+00
+ 2.31056E+00 1.99842E+00 1.72781E+00 1.49254E+00 1.28776E+00 1.10951E+00
+ 9.54436E-01 8.19589E-01 7.02347E-01 6.00399E-01 5.11742E-01 4.34665E-01
+ 3.67605E-01 3.09635E-01 2.59097E-01 2.15452E-01 1.77899E-01 1.45738E-01
+ 1.18345E-01 9.51654E-02 7.56948E-02 5.94829E-02 4.61227E-02 3.51957E-02
+ 2.64633E-02 1.94807E-02 1.40298E-02 9.85283E-03 6.72003E-03 4.42940E-03
+ 2.80227E-03 1.69001E-03 9.56304E-04 5.02158E-04 2.38557E-04 9.90007E-05
+ 3.38973E-05 8.62994E-06 1.34937E-06 7.89885E-08 0.00000E+00 7.93822E+05
+ 6.00909E+05 4.47216E+05 3.32745E+05 2.47487E+05 1.84011E+05 1.36771E+05
+ 1.01627E+05 7.54918E+04 5.60628E+04 4.16246E+04 3.08988E+04 2.29337E+04
+ 1.70202E+04 1.26314E+04 9.37486E+03 6.95907E+03 5.16718E+03 3.83831E+03
+ 2.85278E+03 2.12194E+03 1.57982E+03 1.17767E+03 8.79174E+02 6.57549E+02
+ 4.92814E+02 3.70362E+02 2.78069E+02 2.10386E+02 1.59821E+02 1.21965E+02
+ 9.35543E+01 7.21676E+01 5.60580E+01 4.38108E+01 3.44889E+01 2.73587E+01
+ 2.18749E+01 1.76320E+01 1.43262E+01 1.17362E+01 9.68818E+00 8.05652E+00
+ 6.74562E+00 5.68324E+00 4.81449E+00 4.10024E+00 3.50173E+00 3.00215E+00
+ 2.57653E+00 2.21494E+00 1.90472E+00 1.63743E+00 1.40653E+00 1.20684E+00
+ 1.03409E+00 8.84711E-01 7.55560E-01 6.43904E-01 5.47358E-01 4.63879E-01
+ 3.91729E-01 3.29333E-01 2.75734E-01 2.29309E-01 1.89485E-01 1.55457E-01
+ 1.26520E-01 1.02054E-01 8.15039E-02 6.43737E-02 5.02224E-02 3.86542E-02
+ 2.92699E-02 2.18339E-02 1.59401E-02 1.13811E-02 7.92074E-03 5.35111E-03
+ 3.49179E-03 2.18543E-03 1.30291E-03 7.28101E-04 3.77198E-04 1.76576E-04
+ 7.21189E-05 2.42814E-05 6.08469E-06 9.46005E-07 5.76181E-08 0.00000E+00
+ 1.06587E+06 8.03420E+05 5.94920E+05 4.40372E+05 3.25826E+05 2.40967E+05
+ 1.78132E+05 1.31625E+05 9.72210E+04 7.17815E+04 5.29798E+04 3.90899E+04
+ 2.88334E+04 2.12630E+04 1.56777E+04 1.15583E+04 8.52129E+03 6.28288E+03
+ 4.63362E+03 3.41856E+03 2.52361E+03 1.86437E+03 1.37880E+03 1.02100E+03
+ 7.57325E+02 5.62811E+02 4.19359E+02 3.12097E+02 2.34076E+02 1.76262E+02
+ 1.33338E+02 1.01392E+02 7.75444E+01 5.97310E+01 4.63004E+01 3.61610E+01
+ 2.84671E+01 2.25953E+01 1.80857E+01 1.45969E+01 1.18816E+01 9.74796E+00
+ 8.05801E+00 6.70770E+00 5.61906E+00 4.73319E+00 4.00838E+00 3.40390E+00
+ 2.90182E+00 2.47625E+00 2.11667E+00 1.80994E+00 1.54726E+00 1.32173E+00
+ 1.12788E+00 9.61199E-01 8.17899E-01 6.94706E-01 5.88792E-01 4.97722E-01
+ 4.19426E-01 3.52149E-01 2.94315E-01 2.44944E-01 2.02457E-01 1.66253E-01
+ 1.35529E-01 1.09586E-01 8.78073E-02 6.96492E-02 5.46271E-02 4.23134E-02
+ 3.23273E-02 2.42919E-02 1.79783E-02 1.30175E-02 9.21481E-03 6.35560E-03
+ 4.25328E-03 2.74777E-03 1.70144E-03 1.00282E-03 5.53502E-04 2.82936E-04
+ 1.30540E-04 5.24878E-05 1.73849E-05 4.29068E-06 6.63361E-07 4.19484E-08
+ 0.00000E+00 1.39905E+06 1.05035E+06 7.74072E+05 5.70219E+05 4.19825E+05
+ 3.08931E+05 2.27209E+05 1.67017E+05 1.22708E+05 9.01096E+04 6.61400E+04
+ 4.85245E+04 3.55863E+04 2.60881E+04 1.91193E+04 1.40086E+04 1.02625E+04
+ 7.51766E+03 5.50746E+03 4.03561E+03 2.95835E+03 2.16993E+03 1.59304E+03
+ 1.17082E+03 8.61810E+02 6.35453E+02 4.69735E+02 3.46738E+02 2.57946E+02
+ 1.92652E+02 1.44546E+02 1.09022E+02 8.27096E+01 6.32081E+01 4.86181E+01
+ 3.76874E+01 2.94549E+01 2.32173E+01 1.84602E+01 1.48042E+01 1.19765E+01
+ 9.76766E+00 8.02786E+00 6.64497E+00 5.53560E+00 4.63712E+00 3.90544E+00
+ 3.29806E+00 2.79602E+00 2.37262E+00 2.01679E+00 1.71497E+00 1.45800E+00
+ 1.23869E+00 1.05131E+00 8.91136E-01 7.54209E-01 6.37148E-01 5.37058E-01
+ 4.51473E-01 3.78307E-01 3.15805E-01 2.62394E-01 2.17081E-01 1.78335E-01
+ 1.45536E-01 1.17890E-01 9.47074E-02 7.53848E-02 5.93914E-02 4.62587E-02
+ 3.55764E-02 2.69812E-02 2.01204E-02 1.47747E-02 1.06104E-02 7.44691E-03
+ 5.09046E-03 3.37470E-03 2.15856E-03 1.32244E-03 7.70634E-04 4.20147E-04
+ 2.11943E-04 9.63948E-05 3.81670E-05 1.24416E-05 3.02586E-06 4.65168E-07
+ 3.04754E-08 0.00000E+00 1.79969E+06 1.34602E+06 9.87494E+05 7.24103E+05
+ 5.30639E+05 3.88625E+05 2.84443E+05 2.08062E+05 1.52101E+05 1.11125E+05
+ 8.11412E+04 5.92149E+04 4.31913E+04 3.14883E+04 2.29466E+04 1.67157E+04
+ 1.21733E+04 8.86348E+03 6.45321E+03 4.69861E+03 3.42200E+03 2.49331E+03
+ 1.81798E+03 1.32683E+03 9.69692E+02 7.09792E+02 5.20812E+02 3.81518E+02
+ 2.81669E+02 2.08764E+02 1.55437E+02 1.16343E+02 8.75974E+01 6.64474E+01
+ 5.07385E+01 3.90534E+01 3.03141E+01 2.37374E+01 1.87544E+01 1.49485E+01
+ 1.20223E+01 9.74913E+00 7.96808E+00 6.55944E+00 5.43478E+00 4.52807E+00
+ 3.79307E+00 3.18570E+00 2.68606E+00 2.26678E+00 1.91626E+00 1.62057E+00
+ 1.37027E+00 1.15789E+00 9.77475E-01 8.24136E-01 6.93779E-01 5.82946E-01
+ 4.88697E-01 4.08549E-01 3.40418E-01 2.82552E-01 2.33397E-01 1.91950E-01
+ 1.56734E-01 1.27119E-01 1.02324E-01 8.16736E-02 6.45833E-02 5.05392E-02
+ 3.90925E-02 2.98520E-02 2.24749E-02 1.66331E-02 1.21189E-02 8.63241E-03
+ 6.00727E-03 4.06993E-03 2.67298E-03 1.69285E-03 1.02620E-03 5.91293E-04
+ 3.18463E-04 1.58557E-04 7.11020E-05 2.77305E-05 8.90008E-06 2.13400E-06
+ 3.26188E-07 2.20969E-08 0.00000E+00 2.27362E+06 1.69436E+06 1.23769E+06
+ 9.03592E+05 6.59232E+05 4.80624E+05 3.50165E+05 2.54942E+05 1.85487E+05
+ 1.34862E+05 9.79889E+04 7.11513E+04 5.16323E+04 3.74458E+04 2.71427E+04
+ 1.96647E+04 1.42414E+04 1.03103E+04 7.46293E+03 5.40145E+03 3.90993E+03
+ 2.83105E+03 2.05108E+03 1.48719E+03 1.07965E+03 7.84891E+02 5.71936E+02
+ 4.15987E+02 3.04937E+02 2.24394E+02 1.65876E+02 1.23269E+02 9.21534E+01
+ 6.94159E+01 5.26423E+01 4.02487E+01 3.10401E+01 2.41543E+01 1.89689E+01
+ 1.50315E+01 1.20210E+01 9.69467E+00 7.88097E+00 6.45329E+00 5.31862E+00
+ 4.40787E+00 3.67287E+00 3.06822E+00 2.57314E+00 2.15973E+00 1.81589E+00
+ 1.52741E+00 1.28457E+00 1.07969E+00 9.06632E-01 7.60361E-01 6.36693E-01
+ 5.32114E-01 4.43664E-01 3.68861E-01 3.05629E-01 2.52233E-01 2.07142E-01
+ 1.69355E-01 1.37452E-01 1.10795E-01 8.86250E-02 7.02872E-02 5.52161E-02
+ 4.29198E-02 3.29709E-02 2.50000E-02 1.86853E-02 1.37243E-02 9.92220E-03
+ 7.01044E-03 4.83738E-03 3.24838E-03 2.11361E-03 1.32545E-03 7.95076E-04
+ 4.53012E-04 2.41053E-04 1.18470E-04 5.23900E-05 2.01319E-05 6.36409E-06
+ 1.50505E-06 2.28730E-07 1.59930E-08 0.00000E+00 2.82604E+06 2.09879E+06
+ 1.52676E+06 1.10996E+06 8.06348E+05 5.85342E+05 4.24589E+05 3.07749E+05
+ 2.22893E+05 1.61312E+05 1.16658E+05 8.43032E+04 6.08789E+04 4.39330E+04
+ 3.16841E+04 2.28367E+04 1.64515E+04 1.18463E+04 8.52765E+03 6.13740E+03
+ 4.41716E+03 3.17954E+03 2.28974E+03 1.65005E+03 1.19038E+03 8.59847E+02
+ 6.22491E+02 4.49731E+02 3.27476E+02 2.39361E+02 1.75748E+02 1.29727E+02
+ 9.63344E+01 7.20888E+01 5.43164E+01 4.12673E+01 3.16312E+01 2.44685E+01
+ 1.91056E+01 1.50558E+01 1.19755E+01 9.60688E+00 7.76896E+00 6.32873E+00
+ 5.18909E+00 4.27825E+00 3.54636E+00 2.94691E+00 2.45836E+00 2.05237E+00
+ 1.71642E+00 1.43606E+00 1.20133E+00 1.00440E+00 8.38972E-01 6.99915E-01
+ 5.82979E-01 4.84623E-01 4.01883E-01 3.32291E-01 2.73793E-01 2.24678E-01
+ 1.83445E-01 1.49102E-01 1.20287E-01 9.63663E-02 7.66030E-02 6.03660E-02
+ 4.71137E-02 3.63777E-02 2.77544E-02 2.08969E-02 1.55058E-02 1.13035E-02
+ 8.10906E-03 5.68320E-03 3.88860E-03 2.58831E-03 1.66856E-03 1.03614E-03
+ 6.15063E-04 3.46566E-04 1.82213E-04 8.84100E-05 3.85631E-05 1.46045E-05
+ 4.54895E-06 1.06147E-06 1.60391E-07 1.15561E-08 0.00000E+00 3.46139E+06
+ 2.56214E+06 1.85640E+06 1.34417E+06 9.72496E+05 7.03022E+05 5.07804E+05
+ 3.66492E+05 2.64286E+05 1.90426E+05 1.37095E+05 9.86201E+04 7.08872E+04
+ 5.09137E+04 3.65418E+04 2.62086E+04 1.87862E+04 1.34584E+04 9.63763E+03
+ 6.89933E+03 4.93854E+03 3.53509E+03 2.53135E+03 1.81359E+03 1.30063E+03
+ 9.33811E+02 6.71904E+02 4.82374E+02 3.49043E+02 2.53512E+02 1.84958E+02
+ 1.35662E+02 1.00108E+02 7.44491E+01 5.57532E+01 4.21070E+01 3.20881E+01
+ 2.46825E+01 1.91676E+01 1.50245E+01 1.18886E+01 9.48858E+00 7.63457E+00
+ 6.18798E+00 5.04812E+00 4.14088E+00 3.41497E+00 2.82298E+00 2.34271E+00
+ 1.94550E+00 1.61847E+00 1.34697E+00 1.12089E+00 9.32239E-01 7.74626E-01
+ 6.42851E-01 5.32629E-01 4.40412E-01 3.63252E-01 2.98706E-01 2.44752E-01
+ 1.99711E-01 1.62120E-01 1.31000E-01 1.05052E-01 8.36477E-02 6.60799E-02
+ 5.17433E-02 4.01223E-02 3.07740E-02 2.33193E-02 1.74349E-02 1.28438E-02
+ 9.29308E-03 6.61562E-03 4.59932E-03 3.12066E-03 2.05898E-03 1.31512E-03
+ 8.08724E-04 4.75099E-04 2.64758E-04 1.37555E-04 6.59004E-05 2.83576E-05
+ 1.05871E-05 3.25030E-06 7.48606E-07 1.12470E-07 8.33735E-09 0.00000E+00

=== added file 'Template/lib/Pdfdata/cteq5m.tbl'
--- Template/lib/Pdfdata/cteq5m.tbl	1970-01-01 00:00:00 +0000
+++ Template/lib/Pdfdata/cteq5m.tbl	2010-10-30 03:26:37 +0000
@@ -0,0 +1,1728 @@
+ Parton Distribution Table : CTEQ5M
+  Ordr, Nfl, lambda        Qmass 1,  2,  3,         4,  5,  6
+    2.    5. 0.2260    0.000    0.000    0.200    1.300    4.500  180.000
+   NX,  NT,  NfMx
+   90   13    5
+QINI, QMAX, (QV(I), I =0, NT)
+ 1.00000E+00 1.00000E+04
+ 1.00000E+00 1.30000E+00 1.67097E+00 2.22659E+00 3.09171E+00 4.50000E+00
+ 7.54288E+00 1.38228E+01 2.81243E+01 6.46894E+01 1.71811E+02 5.40159E+02
+ 2.06963E+03 1.00000E+04
+XMIN, (XV(I), I =0, NX)
+ 1.00000E-05
+ 0.00000E+00 9.99983E-06 1.24433E-05 1.54836E-05 1.92668E-05 2.39740E-05
+ 2.98310E-05 3.71184E-05 4.61852E-05 5.74656E-05 7.14994E-05 8.89575E-05
+ 1.10674E-04 1.37686E-04 1.71280E-04 2.13055E-04 2.64997E-04 3.29564E-04
+ 4.09809E-04 5.09508E-04 6.33332E-04 7.87053E-04 9.77784E-04 1.21428E-03
+ 1.50728E-03 1.86993E-03 2.31825E-03 2.88037E-03 3.56397E-03 4.40443E-03
+ 5.43508E-03 6.69508E-03 8.22984E-03 1.00851E-02 1.23281E-02 1.50167E-02
+ 1.82174E-02 2.19985E-02 2.64278E-02 3.15720E-02 3.74800E-02 4.42088E-02
+ 5.17931E-02 6.02576E-02 6.96136E-02 7.98586E-02 9.09356E-02 1.02935E-01
+ 1.15681E-01 1.29293E-01 1.43599E-01 1.58606E-01 1.74271E-01 1.90550E-01
+ 2.07405E-01 2.24796E-01 2.42685E-01 2.61038E-01 2.79820E-01 2.99001E-01
+ 3.18550E-01 3.38442E-01 3.58653E-01 3.79067E-01 3.99881E-01 4.20953E-01
+ 4.42266E-01 4.63806E-01 4.85559E-01 5.07513E-01 5.29656E-01 5.51978E-01
+ 5.74483E-01 5.97187E-01 6.19860E-01 6.42828E-01 6.65921E-01 6.89135E-01
+ 7.12467E-01 7.35911E-01 7.59464E-01 7.83080E-01 8.06909E-01 8.30741E-01
+ 8.54673E-01 8.78696E-01 9.02804E-01 9.26992E-01 9.51257E-01 9.75603E-01
+ 1.00000E+00
+Parton Distribution Table:
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 2.14422E+05
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 1.20235E+05 9.17837E+04 6.89611E+04 5.17675E+04 3.88340E+04 2.91028E+04
+ 2.17938E+04 1.63031E+04 1.21859E+04 9.09812E+03 6.78678E+03 5.05647E+03
+ 3.76371E+03 2.79779E+03 2.07761E+03 1.54063E+03 1.14116E+03 8.43969E+02
+ 6.23415E+02 4.59738E+02 3.38594E+02 2.48934E+02 1.82756E+02 1.33922E+02
+ 9.79833E+01 7.15576E+01 5.21947E+01 3.78210E+01 2.74907E+01 1.99425E+01
+ 1.44499E+01 1.04518E+01 7.55278E+00 5.45613E+00 3.93778E+00 2.84064E+00
+ 2.05103E+00 1.48148E+00 1.07221E+00 7.77075E-01 5.65179E-01 4.12066E-01
+ 3.01594E-01 2.21449E-01 1.63357E-01 1.20909E-01 9.00184E-02 6.70868E-02
+ 5.03364E-02 3.77875E-02 2.85026E-02 2.15350E-02 1.63188E-02 1.23776E-02
+ 9.40681E-03 7.14575E-03 5.43053E-03 4.12031E-03 3.12503E-03 2.36245E-03
+ 1.78246E-03 1.33828E-03 1.00060E-03 7.44226E-04 5.48660E-04 4.00014E-04
+ 2.88352E-04 2.04464E-04 1.42317E-04 9.63436E-05 6.30042E-05 3.89680E-05
+ 2.20802E-05 1.04630E-05 2.91420E-06 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 2.78758E+05 2.12089E+05 1.58735E+05 1.18696E+05 8.86902E+04
+ 6.62028E+04 4.93777E+04 3.67887E+04 2.73856E+04 2.03624E+04 1.51260E+04
+ 1.12223E+04 8.31754E+03 6.15639E+03 4.55173E+03 3.36045E+03 2.47798E+03
+ 1.82439E+03 1.34143E+03 9.84658E+02 7.21767E+02 5.28109E+02 3.85824E+02
+ 2.81333E+02 2.04802E+02 1.48800E+02 1.07966E+02 7.78122E+01 5.62505E+01
+ 4.05805E+01 2.92364E+01 2.10254E+01 1.51031E+01 1.08449E+01 7.77814E+00
+ 5.57560E+00 3.99948E+00 2.86986E+00 2.06296E+00 1.48490E+00 1.07242E+00
+ 7.76373E-01 5.64138E-01 4.11244E-01 3.01132E-01 2.21248E-01 1.63495E-01
+ 1.20943E-01 9.00589E-02 6.70988E-02 5.02259E-02 3.76618E-02 2.83209E-02
+ 2.13179E-02 1.60767E-02 1.21199E-02 9.14113E-03 6.88483E-03 5.18410E-03
+ 3.89252E-03 2.91826E-03 2.17893E-03 1.62175E-03 1.20252E-03 8.85640E-04
+ 6.47065E-04 4.69418E-04 3.37072E-04 2.39707E-04 1.68080E-04 1.16262E-04
+ 7.88337E-05 5.22707E-05 3.36362E-05 2.10162E-05 1.24421E-05 6.88921E-06
+ 3.39363E-06 1.33392E-06 1.98351E-07 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 4.83773E+05 3.66824E+05 2.73454E+05 2.03664E+05
+ 1.51566E+05 1.12678E+05 8.36973E+04 6.21016E+04 4.60357E+04 3.40858E+04
+ 2.52127E+04 1.86257E+04 1.37448E+04 1.01290E+04 7.45564E+03 5.47975E+03
+ 4.02237E+03 2.94787E+03 2.15740E+03 1.57617E+03 1.14982E+03 8.37243E+02
+ 6.08654E+02 4.41601E+02 3.19838E+02 2.31177E+02 1.66849E+02 1.19597E+02
+ 8.59821E+01 6.16856E+01 4.41876E+01 3.15937E+01 2.25593E+01 1.61013E+01
+ 1.14761E+01 8.17453E+00 5.82558E+00 4.15276E+00 2.96499E+00 2.11970E+00
+ 1.52021E+00 1.09285E+00 7.88435E-01 5.70660E-01 4.14831E-01 3.02581E-01
+ 2.21958E-01 1.62997E-01 1.20474E-01 8.91006E-02 6.61988E-02 4.92753E-02
+ 3.67779E-02 2.74798E-02 2.05681E-02 1.53912E-02 1.15219E-02 8.61461E-03
+ 6.43875E-03 4.80016E-03 3.57329E-03 2.65021E-03 1.95990E-03 1.44480E-03
+ 1.05862E-03 7.70463E-04 5.57617E-04 4.00387E-04 2.85556E-04 2.01706E-04
+ 1.41368E-04 9.79748E-05 6.72048E-05 4.55647E-05 3.07413E-05 2.04716E-05
+ 1.35622E-05 8.93357E-06 5.89274E-06 3.89027E-06 2.59190E-06 1.73341E-06
+ 1.16034E-06 7.66148E-07 4.89782E-07 2.92867E-07 1.56397E-07 6.81959E-08
+ 1.96672E-08 1.76857E-09 0.00000E+00 7.44573E+05 5.62628E+05 4.17718E+05
+ 3.09842E+05 2.29635E+05 1.70011E+05 1.25756E+05 9.29161E+04 6.85854E+04
+ 5.05648E+04 3.72399E+04 2.73908E+04 2.01236E+04 1.47638E+04 1.08182E+04
+ 7.91503E+03 5.78318E+03 4.21860E+03 3.07282E+03 2.23426E+03 1.62200E+03
+ 1.17528E+03 8.50138E+02 6.13696E+02 4.42201E+02 3.17949E+02 2.28252E+02
+ 1.62715E+02 1.16336E+02 8.29969E+01 5.91130E+01 4.20200E+01 2.98252E+01
+ 2.11588E+01 1.49870E+01 1.06082E+01 7.51097E+00 5.31922E+00 3.77238E+00
+ 2.67872E+00 1.90787E+00 1.36204E+00 9.75709E-01 7.01234E-01 5.06102E-01
+ 3.66520E-01 2.66923E-01 1.94613E-01 1.42794E-01 1.04847E-01 7.73297E-02
+ 5.71468E-02 4.23418E-02 3.14087E-02 2.33363E-02 1.73363E-02 1.28832E-02
+ 9.56339E-03 7.09601E-03 5.25282E-03 3.88264E-03 2.86020E-03 2.10119E-03
+ 1.53936E-03 1.12137E-03 8.12135E-04 5.85461E-04 4.19376E-04 2.98926E-04
+ 2.11621E-04 1.49138E-04 1.04429E-04 7.28049E-05 5.05649E-05 3.52360E-05
+ 2.45026E-05 1.71245E-05 1.20213E-05 8.49848E-06 6.02559E-06 4.27911E-06
+ 3.01329E-06 2.08135E-06 1.39018E-06 8.79764E-07 5.11741E-07 2.61336E-07
+ 1.07404E-07 2.91025E-08 2.69703E-09 0.00000E+00 1.07111E+06 8.06542E+05
+ 5.96343E+05 4.40509E+05 3.25114E+05 2.39690E+05 1.76545E+05 1.29885E+05
+ 9.54607E+04 7.00734E+04 5.13811E+04 3.76251E+04 2.75190E+04 2.00986E+04
+ 1.46600E+04 1.06766E+04 7.76458E+03 5.63734E+03 4.08664E+03 2.95713E+03
+ 2.13629E+03 1.54028E+03 1.10857E+03 7.96189E+02 5.70736E+02 4.08210E+02
+ 2.91482E+02 2.06649E+02 1.46932E+02 1.04239E+02 7.38166E+01 5.21675E+01
+ 3.68074E+01 2.59552E+01 1.82706E+01 1.28513E+01 9.04066E+00 6.36099E+00
+ 4.48126E+00 3.16082E+00 2.23589E+00 1.58526E+00 1.12772E+00 8.04847E-01
+ 5.76786E-01 4.14770E-01 2.99921E-01 2.17128E-01 1.58175E-01 1.15316E-01
+ 8.44435E-02 6.19633E-02 4.55824E-02 3.35733E-02 2.47655E-02 1.82677E-02
+ 1.34786E-02 9.93510E-03 7.31958E-03 5.38089E-03 3.94985E-03 2.89043E-03
+ 2.10959E-03 1.53604E-03 1.11250E-03 8.01699E-04 5.75537E-04 4.11101E-04
+ 2.92636E-04 2.07359E-04 1.46638E-04 1.03390E-04 7.28735E-05 5.14106E-05
+ 3.65405E-05 2.60384E-05 1.86990E-05 1.35062E-05 9.80562E-06 7.11385E-06
+ 5.13303E-06 3.64606E-06 2.51802E-06 1.66874E-06 1.03948E-06 5.90936E-07
+ 2.92563E-07 1.15525E-07 2.99674E-08 2.82689E-09 0.00000E+00 1.47374E+06
+ 1.10583E+06 8.14233E+05 5.98953E+05 4.40190E+05 3.23156E+05 2.37004E+05
+ 1.73616E+05 1.27046E+05 9.28510E+04 6.77816E+04 4.94138E+04 3.59784E+04
+ 2.61578E+04 1.89920E+04 1.37675E+04 9.96551E+03 7.20109E+03 5.19523E+03
+ 3.74113E+03 2.68940E+03 1.92946E+03 1.38169E+03 9.87291E+02 7.04064E+02
+ 5.00918E+02 3.55766E+02 2.50839E+02 1.77369E+02 1.25129E+02 8.81044E+01
+ 6.19051E+01 4.34193E+01 3.04345E+01 2.12919E+01 1.48833E+01 1.04034E+01
+ 7.27276E+00 5.08996E+00 3.56642E+00 2.50580E+00 1.76461E+00 1.24669E+00
+ 8.83654E-01 6.28868E-01 4.49086E-01 3.22473E-01 2.31831E-01 1.67702E-01
+ 1.21409E-01 8.82817E-02 6.43306E-02 4.69928E-02 3.43719E-02 2.51768E-02
+ 1.84423E-02 1.35128E-02 9.89208E-03 7.23766E-03 5.28492E-03 3.85346E-03
+ 2.80183E-03 2.03209E-03 1.47091E-03 1.05947E-03 7.59879E-04 5.43383E-04
+ 3.87108E-04 2.75216E-04 1.95172E-04 1.38429E-04 9.81701E-05 6.98097E-05
+ 4.98433E-05 3.59347E-05 2.60282E-05 1.90031E-05 1.39408E-05 1.02483E-05
+ 7.49978E-06 5.42937E-06 3.85009E-06 2.63962E-06 1.72826E-06 1.05811E-06
+ 5.88252E-07 2.83053E-07 1.07837E-07 2.69161E-08 2.57749E-09 0.00000E+00
+ 1.96300E+06 1.46777E+06 1.07622E+06 7.88360E+05 5.76943E+05 4.21750E+05
+ 3.07986E+05 2.24639E+05 1.63666E+05 1.19090E+05 8.65502E+04 6.28146E+04
+ 4.55291E+04 3.29509E+04 2.38141E+04 1.71830E+04 1.23794E+04 8.90300E+03
+ 6.39226E+03 4.58084E+03 3.27689E+03 2.33928E+03 1.66673E+03 1.18491E+03
+ 8.40628E+02 5.94934E+02 4.20286E+02 2.94709E+02 2.07245E+02 1.45394E+02
+ 1.01792E+02 7.11115E+01 4.95835E+01 3.45488E+01 2.40232E+01 1.66890E+01
+ 1.15921E+01 8.05216E+00 5.59891E+00 3.89740E+00 2.72017E+00 1.90278E+00
+ 1.33523E+00 9.40013E-01 6.64409E-01 4.71228E-01 3.36057E-01 2.39943E-01
+ 1.72376E-01 1.23938E-01 8.95015E-02 6.47760E-02 4.69939E-02 3.41391E-02
+ 2.48349E-02 1.80688E-02 1.31493E-02 9.56181E-03 6.94925E-03 5.04131E-03
+ 3.65217E-03 2.63913E-03 1.90266E-03 1.36958E-03 9.81441E-04 7.00875E-04
+ 4.99457E-04 3.55035E-04 2.52212E-04 1.79056E-04 1.27387E-04 9.08342E-05
+ 6.50998E-05 4.69427E-05 3.42173E-05 2.50735E-05 1.85014E-05 1.36916E-05
+ 1.01209E-05 7.42156E-06 5.36047E-06 3.77809E-06 2.56372E-06 1.65528E-06
+ 9.95337E-07 5.41181E-07 2.53315E-07 9.32840E-08 2.24700E-08 2.18178E-09
+ 0.00000E+00 2.54918E+06 1.89941E+06 1.38691E+06 1.01170E+06 7.37260E+05
+ 5.36653E+05 3.90214E+05 2.83387E+05 2.05569E+05 1.48923E+05 1.07753E+05
+ 7.78534E+04 5.61749E+04 4.04709E+04 2.91145E+04 2.09101E+04 1.49940E+04
+ 1.07324E+04 7.66888E+03 5.46916E+03 3.89320E+03 2.76551E+03 1.96055E+03
+ 1.38672E+03 9.78746E+02 6.89059E+02 4.84200E+02 3.37679E+02 2.36169E+02
+ 1.64772E+02 1.14710E+02 7.96795E+01 5.52347E+01 3.82601E+01 2.64437E+01
+ 1.82585E+01 1.26034E+01 8.69968E+00 6.01050E+00 4.15695E+00 2.88235E+00
+ 2.00297E+00 1.39619E+00 9.76393E-01 6.85493E-01 4.82918E-01 3.42081E-01
+ 2.42601E-01 1.73109E-01 1.23628E-01 8.86769E-02 6.37511E-02 4.59402E-02
+ 3.31517E-02 2.39553E-02 1.73137E-02 1.25167E-02 9.04276E-03 6.52953E-03
+ 4.70707E-03 3.38898E-03 2.43459E-03 1.74530E-03 1.24982E-03 8.91436E-04
+ 6.34162E-04 4.50600E-04 3.19783E-04 2.27116E-04 1.61492E-04 1.15272E-04
+ 8.26350E-05 5.96449E-05 4.33696E-05 3.18856E-05 2.35589E-05 1.74996E-05
+ 1.30071E-05 9.62747E-06 7.04669E-06 5.06217E-06 3.53746E-06 2.37191E-06
+ 1.50860E-06 8.90534E-07 4.73530E-07 2.15712E-07 7.68745E-08 1.79106E-08
+ 1.76218E-09 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 2.71895E+04 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 2.82254E+04 2.20920E+04
+ 1.70848E+04 1.32037E+04 1.01993E+04 7.87273E+03 6.07358E+03 4.68190E+03
+ 3.60696E+03 2.77643E+03 2.13574E+03 1.64136E+03 1.26052E+03 9.67045E+02
+ 7.41328E+02 5.67649E+02 4.34298E+02 3.31857E+02 2.53349E+02 1.93151E+02
+ 1.47118E+02 1.11895E+02 8.50174E+01 6.44969E+01 4.88760E+01 3.69845E+01
+ 2.79646E+01 2.10258E+01 1.58590E+01 1.19433E+01 8.99039E+00 6.75906E+00
+ 5.08085E+00 3.81954E+00 2.87152E+00 2.15874E+00 1.62585E+00 1.22540E+00
+ 9.26237E-01 7.01201E-01 5.33104E-01 4.06284E-01 3.11009E-01 2.38772E-01
+ 1.84243E-01 1.42575E-01 1.10990E-01 8.64523E-02 6.77980E-02 5.31689E-02
+ 4.18947E-02 3.30419E-02 2.61421E-02 2.06908E-02 1.64139E-02 1.30088E-02
+ 1.03178E-02 8.16837E-03 6.46901E-03 5.10668E-03 4.02746E-03 3.16293E-03
+ 2.47738E-03 1.93364E-03 1.49982E-03 1.15377E-03 8.81273E-04 6.66098E-04
+ 4.98438E-04 3.67366E-04 2.66629E-04 1.89098E-04 1.30747E-04 8.66058E-05
+ 5.48858E-05 3.17713E-05 1.57753E-05 5.06605E-06 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 6.88052E+04
+ 5.36001E+04 4.12288E+04 3.16912E+04 2.43477E+04 1.86918E+04 1.43418E+04
+ 1.09952E+04 8.42446E+03 6.44910E+03 4.93363E+03 3.77068E+03 2.87977E+03
+ 2.19707E+03 1.67488E+03 1.27535E+03 9.70290E+02 7.37273E+02 5.59687E+02
+ 4.24300E+02 3.21347E+02 2.43023E+02 1.83592E+02 1.38481E+02 1.04335E+02
+ 7.84916E+01 5.90000E+01 4.40950E+01 3.30593E+01 2.47470E+01 1.85134E+01
+ 1.38324E+01 1.03316E+01 7.71717E+00 5.76326E+00 4.30385E+00 3.21902E+00
+ 2.40936E+00 1.80804E+00 1.35892E+00 1.02546E+00 7.75712E-01 5.89254E-01
+ 4.48966E-01 3.43732E-01 2.63952E-01 2.03862E-01 1.57571E-01 1.22593E-01
+ 9.53981E-02 7.45780E-02 5.83698E-02 4.58221E-02 3.59931E-02 2.83340E-02
+ 2.22895E-02 1.75480E-02 1.37947E-02 1.08487E-02 8.50890E-03 6.66969E-03
+ 5.20982E-03 4.06180E-03 3.15886E-03 2.44471E-03 1.88032E-03 1.43962E-03
+ 1.09449E-03 8.27453E-04 6.20010E-04 4.61279E-04 3.39461E-04 2.47422E-04
+ 1.77528E-04 1.26420E-04 8.82201E-05 6.06213E-05 4.07370E-05 2.68017E-05
+ 1.71262E-05 1.06388E-05 6.36839E-06 3.65101E-06 1.98629E-06 1.01929E-06
+ 4.81255E-07 2.06413E-07 7.62546E-08 2.01626E-08 8.35994E-10 0.00000E+00
+ 1.24286E+05 9.63969E+04 7.37765E+04 5.64247E+04 4.31314E+04 3.29446E+04
+ 2.51493E+04 1.91827E+04 1.46225E+04 1.11364E+04 8.47559E+03 6.44427E+03
+ 4.89612E+03 3.71597E+03 2.81797E+03 2.13451E+03 1.61538E+03 1.22096E+03
+ 9.21936E+02 6.95199E+02 5.23684E+02 3.93909E+02 2.95959E+02 2.22021E+02
+ 1.66353E+02 1.24453E+02 9.30218E+01 6.91232E+01 5.15252E+01 3.83468E+01
+ 2.85176E+01 2.11801E+01 1.57228E+01 1.16720E+01 8.66129E+00 6.42666E+00
+ 4.77494E+00 3.55022E+00 2.64587E+00 1.97501E+00 1.47981E+00 1.11152E+00
+ 8.38229E-01 6.34094E-01 4.81903E-01 3.67378E-01 2.81651E-01 2.16126E-01
+ 1.66908E-01 1.28945E-01 1.00064E-01 7.77590E-02 6.06002E-02 4.72646E-02
+ 3.69382E-02 2.88543E-02 2.25552E-02 1.76095E-02 1.37523E-02 1.07144E-02
+ 8.34235E-03 6.47506E-03 5.01691E-03 3.87873E-03 2.98514E-03 2.28493E-03
+ 1.74221E-03 1.32057E-03 9.96545E-04 7.46738E-04 5.56711E-04 4.11795E-04
+ 3.02687E-04 2.20219E-04 1.59808E-04 1.14582E-04 8.16392E-05 5.75750E-05
+ 4.03122E-05 2.78936E-05 1.91340E-05 1.29238E-05 8.56175E-06 5.51300E-06
+ 3.41056E-06 1.97297E-06 1.03083E-06 4.51291E-07 1.35517E-07 1.13833E-08
+ 0.00000E+00 1.70868E+05 1.52767E+05 1.16363E+05 8.85703E+04 6.73793E+04
+ 5.12180E+04 3.89099E+04 2.95347E+04 2.24037E+04 1.69791E+04 1.28587E+04
+ 9.72863E+03 7.35476E+03 5.55417E+03 4.19083E+03 3.15845E+03 2.37817E+03
+ 1.78837E+03 1.34347E+03 1.00786E+03 7.55271E+02 5.65149E+02 4.22386E+02
+ 3.15189E+02 2.34899E+02 1.74787E+02 1.29930E+02 9.60107E+01 7.11669E+01
+ 5.26670E+01 3.89417E+01 2.87545E+01 2.12185E+01 1.56577E+01 1.15473E+01
+ 8.51488E+00 6.28596E+00 4.64366E+00 3.43789E+00 2.54922E+00 1.89707E+00
+ 1.41527E+00 1.05989E+00 7.96269E-01 6.00910E-01 4.54932E-01 3.46327E-01
+ 2.63922E-01 2.02387E-01 1.55276E-01 1.19657E-01 9.23523E-02 7.14763E-02
+ 5.53706E-02 4.29751E-02 3.33443E-02 2.58881E-02 2.00779E-02 1.55744E-02
+ 1.20550E-02 9.32428E-03 7.19125E-03 5.53644E-03 4.25400E-03 3.25408E-03
+ 2.47681E-03 1.87849E-03 1.41721E-03 1.06504E-03 7.95557E-04 5.91794E-04
+ 4.37435E-04 3.21795E-04 2.34909E-04 1.71356E-04 1.23909E-04 8.92915E-05
+ 6.39197E-05 4.55569E-05 3.21890E-05 2.25770E-05 1.56032E-05 1.05612E-05
+ 6.92930E-06 4.34384E-06 2.53076E-06 1.31953E-06 5.69363E-07 1.66453E-07
+ 1.45059E-08 0.00000E+00 3.13432E+05 2.40970E+05 1.82565E+05 1.38218E+05
+ 1.04580E+05 7.90668E+04 5.97386E+04 4.50971E+04 3.40200E+04 2.56403E+04
+ 1.93097E+04 1.45278E+04 1.09209E+04 8.20066E+03 6.15234E+03 4.61025E+03
+ 3.45122E+03 2.58027E+03 1.92700E+03 1.43714E+03 1.07055E+03 7.96288E+02
+ 5.91533E+02 4.38732E+02 3.24955E+02 2.40297E+02 1.77500E+02 1.30319E+02
+ 9.59719E+01 7.05631E+01 5.18262E+01 3.80125E+01 2.78571E+01 2.04149E+01
+ 1.49483E+01 1.09440E+01 8.01954E+00 5.88061E+00 4.32051E+00 3.17940E+00
+ 2.34758E+00 1.73779E+00 1.29111E+00 9.62391E-01 7.20468E-01 5.41159E-01
+ 4.08685E-01 3.09007E-01 2.35072E-01 1.78949E-01 1.36810E-01 1.04781E-01
+ 8.04600E-02 6.18530E-02 4.76289E-02 3.66711E-02 2.82465E-02 2.17370E-02
+ 1.67250E-02 1.28418E-02 9.84900E-03 7.53145E-03 5.74576E-03 4.37328E-03
+ 3.31096E-03 2.49275E-03 1.86788E-03 1.39070E-03 1.02952E-03 7.56125E-04
+ 5.51500E-04 3.98475E-04 2.85358E-04 2.01881E-04 1.41929E-04 9.82626E-05
+ 6.72888E-05 4.54137E-05 3.02676E-05 1.98458E-05 1.28358E-05 8.15010E-06
+ 5.06845E-06 3.06636E-06 1.78921E-06 9.81617E-07 4.90558E-07 2.06317E-07
+ 5.96740E-08 4.95448E-09 0.00000E+00 4.67471E+05 3.57777E+05 2.69645E+05
+ 2.03075E+05 1.52842E+05 1.14942E+05 8.63803E+04 6.48594E+04 4.86637E+04
+ 3.64780E+04 2.73214E+04 2.04425E+04 1.52820E+04 1.14117E+04 8.51326E+03
+ 6.34345E+03 4.72166E+03 3.50993E+03 2.60616E+03 1.93238E+03 1.43102E+03
+ 1.05813E+03 7.81358E+02 5.76044E+02 4.24064E+02 3.11659E+02 2.28779E+02
+ 1.66898E+02 1.22126E+02 8.92162E+01 6.50963E+01 4.74300E+01 3.45235E+01
+ 2.51283E+01 1.82709E+01 1.32824E+01 9.66278E+00 7.03421E+00 5.12970E+00
+ 3.74681E+00 2.74554E+00 2.01698E+00 1.48698E+00 1.09991E+00 8.17021E-01
+ 6.08960E-01 4.56320E-01 3.42376E-01 2.58433E-01 1.95225E-01 1.48099E-01
+ 1.12568E-01 8.57759E-02 6.54410E-02 5.00042E-02 3.82090E-02 2.92062E-02
+ 2.23067E-02 1.70319E-02 1.29794E-02 9.87882E-03 7.49810E-03 5.67727E-03
+ 4.28925E-03 3.22328E-03 2.40958E-03 1.79311E-03 1.32649E-03 9.76066E-04
+ 7.13157E-04 5.17878E-04 3.73057E-04 2.66732E-04 1.88896E-04 1.33250E-04
+ 9.29195E-05 6.43370E-05 4.41401E-05 3.00591E-05 2.02645E-05 1.35388E-05
+ 8.91917E-06 5.75909E-06 3.61257E-06 2.16887E-06 1.21164E-06 6.05165E-07
+ 2.48027E-07 6.80466E-08 5.98517E-09 0.00000E+00 6.68093E+05 5.09087E+05
+ 3.81728E+05 2.86016E+05 2.14158E+05 1.60219E+05 1.19778E+05 8.94647E+04
+ 6.67701E+04 4.97844E+04 3.70878E+04 2.76004E+04 2.05208E+04 1.52400E+04
+ 1.13066E+04 8.37810E+03 6.20123E+03 4.58385E+03 3.38421E+03 2.49492E+03
+ 1.83693E+03 1.35036E+03 9.91278E+02 7.26467E+02 5.31590E+02 3.88308E+02
+ 2.83290E+02 2.05362E+02 1.49325E+02 1.08393E+02 7.85762E+01 5.68772E+01
+ 4.11238E+01 2.97312E+01 2.14688E+01 1.54988E+01 1.11951E+01 8.09150E+00
+ 5.85775E+00 4.24732E+00 3.08915E+00 2.25251E+00 1.64810E+00 1.20995E+00
+ 8.91932E-01 6.59779E-01 4.90657E-01 3.65370E-01 2.73698E-01 2.05205E-01
+ 1.54497E-01 1.16560E-01 8.81525E-02 6.67564E-02 5.06272E-02 3.83992E-02
+ 2.91333E-02 2.20876E-02 1.67392E-02 1.26631E-02 9.56691E-03 7.20884E-03
+ 5.41847E-03 4.06442E-03 3.03253E-03 2.25154E-03 1.66445E-03 1.22377E-03
+ 8.95348E-04 6.50989E-04 4.70810E-04 3.38214E-04 2.41504E-04 1.71199E-04
+ 1.21138E-04 8.49997E-05 5.93976E-05 4.12807E-05 2.85644E-05 1.96282E-05
+ 1.33843E-05 9.00427E-06 5.92495E-06 3.77540E-06 2.28850E-06 1.28221E-06
+ 6.35900E-07 2.55774E-07 6.82184E-08 6.17645E-09 0.00000E+00 9.24585E+05
+ 7.01534E+05 5.23408E+05 3.90207E+05 2.90699E+05 2.16378E+05 1.60934E+05
+ 1.19586E+05 8.87874E+04 6.58548E+04 4.88014E+04 3.61251E+04 2.67154E+04
+ 1.97336E+04 1.45609E+04 1.07306E+04 7.89865E+03 5.80611E+03 4.26255E+03
+ 3.12469E+03 2.28747E+03 1.67189E+03 1.22016E+03 8.88953E+02 6.46625E+02
+ 4.69493E+02 3.40432E+02 2.45248E+02 1.77216E+02 1.27829E+02 9.20726E+01
+ 6.62155E+01 4.75602E+01 3.41561E+01 2.44965E+01 1.75632E+01 1.25977E+01
+ 9.04109E+00 6.49834E+00 4.67788E+00 3.37747E+00 2.44472E+00 1.77552E+00
+ 1.29388E+00 9.46714E-01 6.95118E-01 5.13105E-01 3.79265E-01 2.82000E-01
+ 2.09874E-01 1.56848E-01 1.17473E-01 8.81923E-02 6.63020E-02 4.99147E-02
+ 3.75851E-02 2.83087E-02 2.13084E-02 1.60318E-02 1.20415E-02 9.03210E-03
+ 6.75804E-03 5.04385E-03 3.75728E-03 2.78422E-03 2.05373E-03 1.50876E-03
+ 1.10292E-03 8.02695E-04 5.81041E-04 4.18722E-04 3.00107E-04 2.14117E-04
+ 1.51968E-04 1.07857E-04 7.61028E-05 5.35932E-05 3.76238E-05 2.63359E-05
+ 1.83261E-05 1.26462E-05 8.59776E-06 5.69887E-06 3.64392E-06 2.20442E-06
+ 1.22562E-06 5.98481E-07 2.34857E-07 6.07809E-08 5.61580E-09 0.00000E+00
+ 1.24689E+06 9.42152E+05 6.99497E+05 5.18925E+05 3.84679E+05 2.84904E+05
+ 2.10838E+05 1.55876E+05 1.15141E+05 8.49629E+04 6.26354E+04 4.61238E+04
+ 3.39301E+04 2.49300E+04 1.82968E+04 1.34110E+04 9.81800E+03 7.17741E+03
+ 5.24012E+03 3.81986E+03 2.78061E+03 2.02075E+03 1.46628E+03 1.06206E+03
+ 7.68007E+02 5.54303E+02 3.99508E+02 2.86031E+02 2.05413E+02 1.47246E+02
+ 1.05388E+02 7.53067E+01 5.37383E+01 3.83398E+01 2.73129E+01 1.94500E+01
+ 1.38549E+01 9.87443E+00 7.04733E+00 5.03715E+00 3.61078E+00 2.59480E+00
+ 1.87085E+00 1.35348E+00 9.83099E-01 7.16586E-01 5.25110E-01 3.85325E-01
+ 2.84424E-01 2.10150E-01 1.55921E-01 1.15945E-01 8.64216E-02 6.45087E-02
+ 4.82172E-02 3.60499E-02 2.69599E-02 2.01508E-02 1.50540E-02 1.12285E-02
+ 8.36371E-03 6.21530E-03 4.60725E-03 3.40926E-03 2.50988E-03 1.83996E-03
+ 1.34383E-03 9.77140E-04 7.07775E-04 5.10342E-04 3.66681E-04 2.62364E-04
+ 1.87148E-04 1.33039E-04 9.47250E-05 6.71842E-05 4.76300E-05 3.37069E-05
+ 2.37931E-05 1.66930E-05 1.15949E-05 7.91732E-06 5.25238E-06 3.34863E-06
+ 2.01014E-06 1.10335E-06 5.28323E-07 2.01685E-07 5.05777E-08 4.75370E-09
+ 0.00000E+00 1.64537E+06 1.23820E+06 9.14898E+05 6.75454E+05 4.98283E+05
+ 3.67239E+05 2.70428E+05 1.98939E+05 1.46214E+05 1.07348E+05 7.87346E+04
+ 5.76815E+04 4.22126E+04 3.08537E+04 2.25250E+04 1.64225E+04 1.19582E+04
+ 8.69471E+03 6.31321E+03 4.57676E+03 3.31304E+03 2.39415E+03 1.72736E+03
+ 1.24399E+03 8.94350E+02 6.41690E+02 4.59741E+02 3.27151E+02 2.33515E+02
+ 1.66362E+02 1.18326E+02 8.40186E+01 5.95706E+01 4.22258E+01 2.98828E+01
+ 2.11381E+01 1.49555E+01 1.05860E+01 7.50285E+00 5.32538E+00 3.79050E+00
+ 2.70469E+00 1.93620E+00 1.39079E+00 1.00298E+00 7.25856E-01 5.28115E-01
+ 3.84771E-01 2.81994E-01 2.06878E-01 1.52408E-01 1.12539E-01 8.32941E-02
+ 6.17407E-02 4.58253E-02 3.40241E-02 2.52688E-02 1.87573E-02 1.39167E-02
+ 1.03100E-02 7.62780E-03 5.63106E-03 4.14684E-03 3.04907E-03 2.23084E-03
+ 1.62592E-03 1.18107E-03 8.54644E-04 6.16445E-04 4.43023E-04 3.17570E-04
+ 2.26987E-04 1.61976E-04 1.15375E-04 8.24231E-05 5.87426E-05 4.18852E-05
+ 2.98281E-05 2.11794E-05 1.49320E-05 1.04001E-05 7.10305E-06 4.69710E-06
+ 2.97438E-06 1.76580E-06 9.54109E-07 4.47022E-07 1.65790E-07 4.02861E-08
+ 3.84545E-09 0.00000E+00 2.13054E+06 1.59696E+06 1.17444E+06 8.62982E+05
+ 6.33592E+05 4.64723E+05 3.40558E+05 2.49308E+05 1.82332E+05 1.33201E+05
+ 9.72077E+04 7.08558E+04 5.15897E+04 3.75139E+04 2.72454E+04 1.97602E+04
+ 1.43125E+04 1.03511E+04 7.47550E+03 5.38995E+03 3.88028E+03 2.78854E+03
+ 2.00064E+03 1.43265E+03 1.02409E+03 7.30513E+02 5.20309E+02 3.68028E+02
+ 2.61117E+02 1.84899E+02 1.30702E+02 9.22295E+01 6.49791E+01 4.57660E+01
+ 3.21779E+01 2.26122E+01 1.58918E+01 1.11732E+01 7.86518E+00 5.54432E+00
+ 3.91904E+00 2.77699E+00 1.97407E+00 1.40809E+00 1.00833E+00 7.24614E-01
+ 5.23529E-01 3.78763E-01 2.75654E-01 2.00820E-01 1.46920E-01 1.07742E-01
+ 7.91949E-02 5.83010E-02 4.29759E-02 3.16921E-02 2.33777E-02 1.72374E-02
+ 1.27035E-02 9.34931E-03 6.87188E-03 5.04072E-03 3.68878E-03 2.69584E-03
+ 1.96089E-03 1.42143E-03 1.02741E-03 7.40222E-04 5.31971E-04 3.81284E-04
+ 2.72851E-04 1.94941E-04 1.39237E-04 9.94077E-05 7.12565E-05 5.10079E-05
+ 3.65438E-05 2.61458E-05 1.86339E-05 1.31666E-05 9.16893E-06 6.24494E-06
+ 4.10488E-06 2.57519E-06 1.50870E-06 8.01026E-07 3.66743E-07 1.32075E-07
+ 3.11179E-08 3.01356E-09 0.00000E+00 2.71272E+06 2.02548E+06 1.48273E+06
+ 1.08447E+06 7.92489E+05 5.78536E+05 4.21949E+05 3.07413E+05 2.23741E+05
+ 1.62656E+05 1.18120E+05 8.56723E+04 6.20653E+04 4.49035E+04 3.24460E+04
+ 2.34110E+04 1.68688E+04 1.21360E+04 8.71809E+03 6.25229E+03 4.47678E+03
+ 3.19967E+03 2.28295E+03 1.62571E+03 1.15555E+03 8.19568E+02 5.80369E+02
+ 4.08082E+02 2.87827E+02 2.02598E+02 1.42346E+02 9.98317E+01 6.98982E+01
+ 4.89219E+01 3.41772E+01 2.38623E+01 1.66606E+01 1.16364E+01 8.13655E+00
+ 5.69705E+00 3.99966E+00 2.81480E+00 1.98723E+00 1.40775E+00 1.00115E+00
+ 7.14510E-01 5.12693E-01 3.68377E-01 2.66261E-01 1.92655E-01 1.39989E-01
+ 1.01967E-01 7.44448E-02 5.44370E-02 3.98586E-02 2.91984E-02 2.13958E-02
+ 1.56730E-02 1.14754E-02 8.39156E-03 6.12899E-03 4.46821E-03 3.25014E-03
+ 2.36161E-03 1.70837E-03 1.23217E-03 8.86593E-04 6.36320E-04 4.55894E-04
+ 3.26070E-04 2.33085E-04 1.66551E-04 1.19122E-04 8.52588E-05 6.13133E-05
+ 4.40582E-05 3.16822E-05 2.27382E-05 1.62342E-05 1.14709E-05 7.96853E-06
+ 5.40021E-06 3.52111E-06 2.18448E-06 1.26108E-06 6.57128E-07 2.93769E-07
+ 1.02718E-07 2.34881E-08 2.30613E-09 0.00000E+00 8.57730E+03 2.91927E+03
+ 2.40499E+03 1.98131E+03 1.63227E+03 1.34472E+03 1.10784E+03 9.12684E+02
+ 7.51912E+02 6.19465E+02 5.10352E+02 4.20461E+02 3.46408E+02 2.85401E+02
+ 2.35142E+02 1.93737E+02 1.59627E+02 1.31526E+02 1.08376E+02 8.93039E+01
+ 7.35919E+01 6.06479E+01 4.99840E+01 4.11987E+01 3.39608E+01 2.79978E+01
+ 2.30850E+01 1.89853E+01 1.56607E+01 1.29211E+01 1.06634E+01 8.80266E+00
+ 7.26893E+00 6.00804E+00 4.96569E+00 4.10646E+00 3.39793E+00 2.81339E+00
+ 2.33084E+00 1.93200E+00 1.60251E+00 1.32954E+00 1.10322E+00 9.15302E-01
+ 7.59064E-01 6.29009E-01 5.21010E-01 4.30373E-01 3.55206E-01 2.92106E-01
+ 2.39692E-01 1.96028E-01 1.59711E-01 1.29569E-01 1.04618E-01 8.40318E-02
+ 6.71115E-02 5.32660E-02 4.19931E-02 3.28660E-02 2.55216E-02 1.96513E-02
+ 1.49934E-02 1.13419E-02 8.47421E-03 6.25870E-03 4.56465E-03 3.28383E-03
+ 2.32734E-03 1.62264E-03 1.11112E-03 7.45879E-04 4.89644E-04 3.13375E-04
+ 1.95836E-04 1.18265E-04 6.89465E-05 3.85977E-05 2.06139E-05 1.04167E-05
+ 4.92817E-06 2.15592E-06 8.50828E-07 2.97368E-07 8.82149E-08 2.09225E-08
+ 3.58885E-09 3.68880E-10 1.48929E-11 6.11719E-14 0.00000E+00 2.00975E+04
+ 1.91415E+04 1.51250E+04 1.19486E+04 9.43938E+03 7.45535E+03 5.88844E+03
+ 4.64972E+03 3.67171E+03 2.89869E+03 2.28853E+03 1.80635E+03 1.42588E+03
+ 1.12526E+03 8.88128E+02 7.00797E+02 5.53073E+02 4.36390E+02 3.44402E+02
+ 2.71756E+02 2.14507E+02 1.69301E+02 1.33680E+02 1.05553E+02 8.33911E+01
+ 6.58969E+01 5.21160E+01 4.10953E+01 3.25480E+01 2.57911E+01 2.04651E+01
+ 1.62514E+01 1.29266E+01 1.02998E+01 8.21910E+00 6.56820E+00 5.26173E+00
+ 4.22202E+00 3.39658E+00 2.73692E+00 2.21149E+00 1.78950E+00 1.45107E+00
+ 1.17786E+00 9.57555E-01 7.78683E-01 6.34152E-01 5.15458E-01 4.19454E-01
+ 3.40361E-01 2.76044E-01 2.23331E-01 1.80292E-01 1.45068E-01 1.16366E-01
+ 9.29439E-02 7.39321E-02 5.85093E-02 4.60808E-02 3.60734E-02 2.80775E-02
+ 2.17043E-02 1.66624E-02 1.27092E-02 9.59994E-03 7.18229E-03 5.32129E-03
+ 3.89760E-03 2.82047E-03 2.01103E-03 1.41067E-03 9.68503E-04 6.48697E-04
+ 4.18253E-04 2.58145E-04 1.46734E-04 7.18602E-05 2.34990E-05 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 5.20207E+04 4.10700E+04 3.20794E+04 2.50490E+04 1.95562E+04 1.52627E+04
+ 1.19099E+04 9.29032E+03 7.24571E+03 5.64899E+03 4.40342E+03 3.43118E+03
+ 2.67320E+03 2.08184E+03 1.62109E+03 1.26181E+03 9.82060E+02 7.64028E+02
+ 5.94366E+02 4.62213E+02 3.59457E+02 2.79462E+02 2.17295E+02 1.68922E+02
+ 1.31349E+02 1.02135E+02 7.94662E+01 6.16170E+01 4.79860E+01 3.73837E+01
+ 2.91580E+01 2.27586E+01 1.77904E+01 1.39324E+01 1.09271E+01 8.58410E+00
+ 6.76117E+00 5.33581E+00 4.22334E+00 3.34976E+00 2.66562E+00 2.12550E+00
+ 1.69934E+00 1.36094E+00 1.09231E+00 8.77551E-01 7.06558E-01 5.68108E-01
+ 4.57668E-01 3.67849E-01 2.95705E-01 2.37269E-01 1.90084E-01 1.51872E-01
+ 1.21038E-01 9.61050E-02 7.60352E-02 5.98829E-02 4.69615E-02 3.66252E-02
+ 2.84164E-02 2.19083E-02 1.67833E-02 1.27817E-02 9.64368E-03 7.20947E-03
+ 5.33912E-03 3.91000E-03 2.82942E-03 2.01723E-03 1.41443E-03 9.70133E-04
+ 6.48326E-04 4.16217E-04 2.55127E-04 1.43162E-04 6.85240E-05 2.13575E-05
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 9.24115E+04 7.24258E+04 5.61021E+04 4.34402E+04 3.36279E+04
+ 2.60209E+04 2.01296E+04 1.55651E+04 1.20325E+04 9.29730E+03 7.18189E+03
+ 5.54509E+03 4.28015E+03 3.30209E+03 2.54684E+03 1.96331E+03 1.51309E+03
+ 1.16549E+03 8.97534E+02 6.90831E+02 5.31648E+02 4.08956E+02 3.14547E+02
+ 2.41838E+02 1.85938E+02 1.42933E+02 1.09917E+02 8.42046E+01 6.47836E+01
+ 4.98507E+01 3.83954E+01 2.95893E+01 2.28322E+01 1.76499E+01 1.36616E+01
+ 1.05919E+01 8.23321E+00 6.41304E+00 5.01042E+00 3.92364E+00 3.08341E+00
+ 2.42886E+00 1.91895E+00 1.51934E+00 1.20606E+00 9.58742E-01 7.64175E-01
+ 6.08512E-01 4.85749E-01 3.87020E-01 3.08549E-01 2.45646E-01 1.95344E-01
+ 1.54996E-01 1.22722E-01 9.68479E-02 7.61850E-02 5.96843E-02 4.65778E-02
+ 3.61656E-02 2.79487E-02 2.14736E-02 1.64020E-02 1.24624E-02 9.38695E-03
+ 7.01122E-03 5.19266E-03 3.80771E-03 2.76341E-03 1.98013E-03 1.39962E-03
+ 9.72161E-04 6.62138E-04 4.38261E-04 2.82217E-04 1.72922E-04 9.93111E-05
+ 5.19365E-05 2.68039E-05 1.71262E-05 1.06388E-05 6.36839E-06 3.65101E-06
+ 1.98629E-06 1.01929E-06 4.81255E-07 2.06413E-07 7.62546E-08 2.01626E-08
+ 8.35994E-10 0.00000E+00 1.47713E+05 1.15078E+05 8.85349E+04 6.80825E+04
+ 5.23390E+04 4.02160E+04 3.08912E+04 2.37161E+04 1.82015E+04 1.39615E+04
+ 1.07054E+04 8.20404E+03 6.28482E+03 4.81171E+03 3.68251E+03 2.81657E+03
+ 2.15345E+03 1.64541E+03 1.25676E+03 9.59311E+02 7.32037E+02 5.58275E+02
+ 4.25645E+02 3.24351E+02 2.47117E+02 1.88209E+02 1.43372E+02 1.08765E+02
+ 8.28578E+01 6.31221E+01 4.81208E+01 3.66997E+01 2.80192E+01 2.14284E+01
+ 1.64061E+01 1.25807E+01 9.67130E+00 7.45030E+00 5.75670E+00 4.45894E+00
+ 3.46629E+00 2.70161E+00 2.11228E+00 1.65556E+00 1.30129E+00 1.02465E+00
+ 8.09259E-01 6.38734E-01 5.05578E-01 3.99555E-01 3.16071E-01 2.49777E-01
+ 1.97224E-01 1.55437E-01 1.22281E-01 9.59129E-02 7.50115E-02 5.84440E-02
+ 4.53734E-02 3.50600E-02 2.69714E-02 2.06363E-02 1.57019E-02 1.18893E-02
+ 8.92784E-03 6.65123E-03 4.91631E-03 3.60067E-03 2.61237E-03 1.87371E-03
+ 1.32790E-03 9.27130E-04 6.36882E-04 4.27687E-04 2.81778E-04 1.79418E-04
+ 1.10235E-04 6.53778E-05 4.03146E-05 2.78936E-05 1.91340E-05 1.29238E-05
+ 8.56175E-06 5.51300E-06 3.41056E-06 1.97297E-06 1.03083E-06 4.51291E-07
+ 1.35517E-07 1.13833E-08 0.00000E+00 1.64009E+05 1.71310E+05 1.31011E+05
+ 1.00141E+05 7.65171E+04 5.84341E+04 4.46077E+04 3.40330E+04 2.59548E+04
+ 1.97820E+04 1.50708E+04 1.14743E+04 8.73223E+03 6.64098E+03 5.04824E+03
+ 3.83481E+03 2.91169E+03 2.20918E+03 1.67538E+03 1.26963E+03 9.61737E+02
+ 7.27995E+02 5.50838E+02 4.16517E+02 3.14844E+02 2.37871E+02 1.79724E+02
+ 1.35192E+02 1.02114E+02 7.71182E+01 5.82698E+01 4.40396E+01 3.33133E+01
+ 2.52401E+01 1.91406E+01 1.45369E+01 1.10666E+01 8.44223E+00 6.45938E+00
+ 4.95461E+00 3.81439E+00 2.94461E+00 2.28062E+00 1.77110E+00 1.37960E+00
+ 1.07684E+00 8.43279E-01 6.60122E-01 5.18373E-01 4.06533E-01 3.19219E-01
+ 2.50483E-01 1.96432E-01 1.53802E-01 1.20232E-01 9.37366E-02 7.28834E-02
+ 5.64714E-02 4.36081E-02 3.35253E-02 2.56659E-02 1.95478E-02 1.48091E-02
+ 1.11677E-02 8.35393E-03 6.20219E-03 4.57037E-03 3.33881E-03 2.41769E-03
+ 1.73221E-03 1.22763E-03 8.58544E-04 5.92019E-04 4.00568E-04 2.67192E-04
+ 1.73733E-04 1.10529E-04 6.94117E-05 4.55592E-05 3.21890E-05 2.25770E-05
+ 1.56032E-05 1.05612E-05 6.92930E-06 4.34384E-06 2.53076E-06 1.31953E-06
+ 5.69363E-07 1.66453E-07 1.45059E-08 0.00000E+00 3.36489E+05 2.59355E+05
+ 1.97088E+05 1.49688E+05 1.13639E+05 8.62194E+04 6.53858E+04 4.95552E+04
+ 3.75390E+04 2.84177E+04 2.15016E+04 1.62573E+04 1.22855E+04 9.27719E+03
+ 7.00154E+03 5.28006E+03 3.97949E+03 2.99688E+03 2.25553E+03 1.69620E+03
+ 1.27483E+03 9.57367E+02 7.18549E+02 5.38891E+02 4.03944E+02 3.02594E+02
+ 2.26642E+02 1.68958E+02 1.26465E+02 9.46316E+01 7.08293E+01 5.30203E+01
+ 3.97135E+01 2.97915E+01 2.23631E+01 1.68107E+01 1.26644E+01 9.56049E+00
+ 7.23800E+00 5.49375E+00 4.18517E+00 3.19747E+00 2.45105E+00 1.88437E+00
+ 1.45332E+00 1.12348E+00 8.71557E-01 6.76036E-01 5.26172E-01 4.09112E-01
+ 3.18572E-01 2.47977E-01 1.92955E-01 1.49951E-01 1.16366E-01 9.00863E-02
+ 6.95655E-02 5.35446E-02 4.10796E-02 3.13830E-02 2.38763E-02 1.80742E-02
+ 1.36087E-02 1.01995E-02 7.58114E-03 5.59172E-03 4.09195E-03 2.96716E-03
+ 2.13087E-03 1.51261E-03 1.06044E-03 7.32181E-04 4.97006E-04 3.29836E-04
+ 2.14662E-04 1.35186E-04 8.24941E-05 4.91666E-05 3.02696E-05 1.98458E-05
+ 1.28358E-05 8.15010E-06 5.06845E-06 3.06636E-06 1.78921E-06 9.81617E-07
+ 4.90558E-07 2.06317E-07 5.96740E-08 4.95448E-09 0.00000E+00 4.90333E+05
+ 3.76005E+05 2.84043E+05 2.14446E+05 1.61822E+05 1.22032E+05 9.19776E+04
+ 6.92778E+04 5.21511E+04 3.92303E+04 2.94931E+04 2.21560E+04 1.66338E+04
+ 1.24780E+04 9.35431E+03 7.00675E+03 5.24472E+03 3.92236E+03 2.93133E+03
+ 2.18873E+03 1.63311E+03 1.21744E+03 9.06933E+02 6.75027E+02 5.02087E+02
+ 3.73159E+02 2.77260E+02 2.04987E+02 1.52157E+02 1.12895E+02 8.37683E+01
+ 6.21553E+01 4.61373E+01 3.42958E+01 2.55045E+01 1.89919E+01 1.41708E+01
+ 1.05948E+01 7.94319E+00 5.97055E+00 4.50420E+00 3.40807E+00 2.58743E+00
+ 1.97047E+00 1.50556E+00 1.15325E+00 8.86666E-01 6.81743E-01 5.26089E-01
+ 4.05646E-01 3.13310E-01 2.41967E-01 1.86832E-01 1.44112E-01 1.11019E-01
+ 8.53390E-02 6.54432E-02 5.00335E-02 3.81325E-02 2.89453E-02 2.18833E-02
+ 1.64647E-02 1.23224E-02 9.18146E-03 6.78516E-03 4.97695E-03 3.62264E-03
+ 2.61366E-03 1.86819E-03 1.32067E-03 9.22710E-04 6.35653E-04 4.31189E-04
+ 2.86823E-04 1.87845E-04 1.19909E-04 7.50237E-05 4.66333E-05 3.00607E-05
+ 2.02645E-05 1.35388E-05 8.91917E-06 5.75909E-06 3.61257E-06 2.16887E-06
+ 1.21164E-06 6.05165E-07 2.48027E-07 6.80466E-08 5.98517E-09 0.00000E+00
+ 6.90762E+05 5.27160E+05 3.96002E+05 2.97289E+05 2.23059E+05 1.67247E+05
+ 1.25326E+05 9.38437E+04 7.02262E+04 5.25116E+04 3.92396E+04 2.92981E+04
+ 2.18600E+04 1.62962E+04 1.21395E+04 9.03491E+03 6.71909E+03 4.99210E+03
+ 3.70602E+03 2.74856E+03 2.03682E+03 1.50789E+03 1.11540E+03 8.24262E+02
+ 6.08635E+02 4.49000E+02 3.31099E+02 2.42892E+02 1.78886E+02 1.31674E+02
+ 9.69106E+01 7.13144E+01 5.24904E+01 3.86859E+01 2.85186E+01 2.10490E+01
+ 1.55650E+01 1.15323E+01 8.56718E+00 6.38082E+00 4.76964E+00 3.57605E+00
+ 2.69033E+00 2.03048E+00 1.53765E+00 1.16755E+00 8.89976E-01 6.78525E-01
+ 5.19291E-01 3.97171E-01 3.04342E-01 2.33236E-01 1.78733E-01 1.36851E-01
+ 1.04664E-01 7.98875E-02 6.08392E-02 4.62001E-02 3.49769E-02 2.63781E-02
+ 1.98151E-02 1.48158E-02 1.10200E-02 8.16166E-03 5.99568E-03 4.37267E-03
+ 3.16515E-03 2.27164E-03 1.61576E-03 1.13728E-03 7.91715E-04 5.44087E-04
+ 3.68781E-04 2.45813E-04 1.61918E-04 1.04621E-04 6.68674E-05 4.29295E-05
+ 2.85657E-05 1.96282E-05 1.33843E-05 9.00427E-06 5.92495E-06 3.77540E-06
+ 2.28850E-06 1.28221E-06 6.35900E-07 2.55774E-07 6.82184E-08 6.17645E-09
+ 0.00000E+00 9.47063E+05 7.19453E+05 5.37560E+05 4.01383E+05 2.99523E+05
+ 2.23344E+05 1.66433E+05 1.23926E+05 9.22122E+04 6.85572E+04 5.09335E+04
+ 3.78070E+04 2.80419E+04 2.07797E+04 1.53858E+04 1.13809E+04 8.41131E+03
+ 6.21019E+03 4.58099E+03 3.37561E+03 2.48516E+03 1.82762E+03 1.34282E+03
+ 9.85546E+02 7.22680E+02 5.29365E+02 3.87558E+02 2.82207E+02 2.06297E+02
+ 1.50705E+02 1.10062E+02 8.03586E+01 5.86750E+01 4.28942E+01 3.13597E+01
+ 2.29524E+01 1.68283E+01 1.23615E+01 9.10377E+00 6.72166E+00 4.98065E+00
+ 3.70183E+00 2.76083E+00 2.06583E+00 1.55109E+00 1.16787E+00 8.82872E-01
+ 6.67623E-01 5.06861E-01 3.84616E-01 2.92450E-01 2.22435E-01 1.69193E-01
+ 1.28608E-01 9.76568E-02 7.40183E-02 5.59820E-02 4.22254E-02 3.17553E-02
+ 2.37926E-02 1.77582E-02 1.31944E-02 9.75298E-03 7.17925E-03 5.24231E-03
+ 3.80108E-03 2.73603E-03 1.95331E-03 1.38255E-03 9.68961E-04 6.72175E-04
+ 4.60881E-04 3.12210E-04 2.08561E-04 1.38168E-04 9.02915E-05 5.87879E-05
+ 3.87110E-05 2.63369E-05 1.83261E-05 1.26462E-05 8.59776E-06 5.69887E-06
+ 3.64392E-06 2.20442E-06 1.22562E-06 5.98481E-07 2.34857E-07 6.07809E-08
+ 5.61580E-09 0.00000E+00 1.26918E+06 9.59919E+05 7.13528E+05 5.30004E+05
+ 3.93425E+05 2.91809E+05 2.16288E+05 1.60177E+05 1.18535E+05 8.76406E+04
+ 6.47477E+04 4.77899E+04 3.52440E+04 2.59661E+04 1.91136E+04 1.40549E+04
+ 1.03255E+04 7.57729E+03 5.55517E+03 4.06804E+03 2.97607E+03 2.17466E+03
+ 1.58745E+03 1.15743E+03 8.43056E+02 6.13339E+02 4.45937E+02 3.22409E+02
+ 2.34004E+02 1.69708E+02 1.23026E+02 8.91499E+01 6.45965E+01 4.68577E+01
+ 3.39868E+01 2.46763E+01 1.79453E+01 1.30741E+01 9.54897E+00 6.99182E+00
+ 5.13763E+00 3.78670E+00 2.80063E+00 2.07831E+00 1.54766E+00 1.15583E+00
+ 8.66786E-01 6.50270E-01 4.89846E-01 3.68853E-01 2.78350E-01 2.10147E-01
+ 1.58683E-01 1.19756E-01 9.02938E-02 6.79639E-02 5.10522E-02 3.82491E-02
+ 2.85744E-02 2.12703E-02 1.57737E-02 1.16463E-02 8.55506E-03 6.25907E-03
+ 4.54302E-03 3.27505E-03 2.34436E-03 1.66503E-03 1.17291E-03 8.18688E-04
+ 5.66106E-04 3.87415E-04 2.62423E-04 1.75764E-04 1.17140E-04 7.73888E-05
+ 5.12242E-05 3.44217E-05 2.37939E-05 1.66930E-05 1.15949E-05 7.91732E-06
+ 5.25238E-06 3.34863E-06 2.01014E-06 1.10335E-06 5.28323E-07 2.01685E-07
+ 5.05777E-08 4.75370E-09 0.00000E+00 1.66747E+06 1.25582E+06 9.28808E+05
+ 6.86437E+05 5.06954E+05 3.74083E+05 2.75830E+05 2.03201E+05 1.49577E+05
+ 1.10001E+05 8.08272E+04 5.93319E+04 4.35139E+04 3.18796E+04 2.33338E+04
+ 1.70599E+04 1.24604E+04 9.09037E+03 6.62485E+03 4.82218E+03 3.50625E+03
+ 2.54623E+03 1.84703E+03 1.33813E+03 9.68374E+02 6.99875E+02 5.05460E+02
+ 3.62935E+02 2.61605E+02 1.88400E+02 1.35605E+02 9.75559E+01 7.01675E+01
+ 5.05200E+01 3.63649E+01 2.62000E+01 1.89048E+01 1.36649E+01 9.90109E+00
+ 7.19176E+00 5.24213E+00 3.83271E+00 2.81192E+00 2.07004E+00 1.52927E+00
+ 1.13311E+00 8.43153E-01 6.27665E-01 4.69231E-01 3.50680E-01 2.62684E-01
+ 1.96882E-01 1.47601E-01 1.10608E-01 8.28156E-02 6.19083E-02 4.61893E-02
+ 3.43757E-02 2.55120E-02 1.88681E-02 1.39030E-02 1.02009E-02 7.44698E-03
+ 5.41547E-03 3.90747E-03 2.80092E-03 1.99417E-03 1.40925E-03 9.88272E-04
+ 6.87229E-04 4.73885E-04 3.23856E-04 2.19489E-04 1.47477E-04 9.89141E-05
+ 6.60423E-05 4.43597E-05 3.02966E-05 2.11799E-05 1.49320E-05 1.04001E-05
+ 7.10305E-06 4.69710E-06 2.97438E-06 1.76580E-06 9.54109E-07 4.47022E-07
+ 1.65790E-07 4.02861E-08 3.84545E-09 0.00000E+00 2.15245E+06 1.61443E+06
+ 1.18823E+06 8.73869E+05 6.42186E+05 4.71506E+05 3.45910E+05 2.53531E+05
+ 1.85664E+05 1.35829E+05 9.92806E+04 7.24904E+04 5.28784E+04 3.85298E+04
+ 2.80460E+04 2.03910E+04 1.48095E+04 1.07425E+04 7.78370E+03 5.63257E+03
+ 4.07122E+03 2.93875E+03 2.11878E+03 1.52553E+03 1.09707E+03 7.87830E+02
+ 5.65303E+02 4.03205E+02 2.88696E+02 2.06506E+02 1.47614E+02 1.05455E+02
+ 7.53104E+01 5.38333E+01 3.84661E+01 2.75084E+01 1.96997E+01 1.41314E+01
+ 1.01606E+01 7.32340E+00 5.29673E+00 3.84258E+00 2.79729E+00 2.04336E+00
+ 1.49794E+00 1.10141E+00 8.13372E-01 6.00944E-01 4.45926E-01 3.30817E-01
+ 2.46013E-01 1.83074E-01 1.36283E-01 1.01418E-01 7.54127E-02 5.59929E-02
+ 4.14969E-02 3.06802E-02 2.26212E-02 1.66231E-02 1.21715E-02 8.87520E-03
+ 6.43959E-03 4.65506E-03 3.33937E-03 2.38051E-03 1.68606E-03 1.18588E-03
+ 8.28175E-04 5.73986E-04 3.94902E-04 2.69671E-04 1.82987E-04 1.23415E-04
+ 8.33279E-05 5.62022E-05 3.82392E-05 2.64520E-05 1.86343E-05 1.31666E-05
+ 9.16893E-06 6.24494E-06 4.10488E-06 2.57519E-06 1.50870E-06 8.01026E-07
+ 3.66743E-07 1.32075E-07 3.11179E-08 3.01356E-09 0.00000E+00 2.73444E+06
+ 2.04279E+06 1.49640E+06 1.09526E+06 8.01007E+05 5.85259E+05 4.27253E+05
+ 3.11598E+05 2.27043E+05 1.65260E+05 1.20173E+05 8.72912E+04 6.33414E+04
+ 4.59093E+04 3.32385E+04 2.40353E+04 1.73605E+04 1.25231E+04 9.02282E+03
+ 6.49209E+03 4.66542E+03 3.34800E+03 2.39954E+03 1.71730E+03 1.22746E+03
+ 8.76000E+02 6.24623E+02 4.42640E+02 3.14885E+02 2.23763E+02 1.58885E+02
+ 1.12740E+02 7.99596E+01 5.67594E+01 4.02698E+01 2.85919E+01 2.03267E+01
+ 1.44742E+01 1.03301E+01 7.39002E+00 5.30482E+00 3.81953E+00 2.75959E+00
+ 2.00070E+00 1.45569E+00 1.06237E+00 7.78770E-01 5.71154E-01 4.20751E-01
+ 3.09896E-01 2.28821E-01 1.69088E-01 1.25000E-01 9.23848E-02 6.82306E-02
+ 5.03221E-02 3.70482E-02 2.72130E-02 1.99357E-02 1.45571E-02 1.05924E-02
+ 7.67663E-03 5.53652E-03 3.97898E-03 2.83832E-03 2.01259E-03 1.41844E-03
+ 9.93240E-04 6.91039E-04 4.77577E-04 3.28017E-04 2.23968E-04 1.52258E-04
+ 1.03128E-04 7.01055E-05 4.77353E-05 3.28385E-05 2.29377E-05 1.62345E-05
+ 1.14709E-05 7.96853E-06 5.40021E-06 3.52111E-06 2.18448E-06 1.26108E-06
+ 6.57128E-07 2.93769E-07 1.02718E-07 2.34881E-08 2.30613E-09 0.00000E+00
+ 6.44000E+03 7.30682E+03 6.02053E+03 4.96077E+03 4.08765E+03 3.36828E+03
+ 2.77559E+03 2.28726E+03 1.88492E+03 1.55341E+03 1.28026E+03 1.05519E+03
+ 8.69743E+02 7.16932E+02 5.91012E+02 4.87247E+02 4.01737E+02 3.31269E+02
+ 2.73193E+02 2.25328E+02 1.85877E+02 1.53359E+02 1.26554E+02 1.04457E+02
+ 8.62386E+01 7.12176E+01 5.88312E+01 4.84848E+01 4.00855E+01 3.31561E+01
+ 2.74382E+01 2.27193E+01 1.88238E+01 1.56163E+01 1.29603E+01 1.07671E+01
+ 8.95530E+00 7.45792E+00 6.21964E+00 5.19443E+00 4.34613E+00 3.64228E+00
+ 3.05781E+00 2.57168E+00 2.16658E+00 1.82820E+00 1.54560E+00 1.30619E+00
+ 1.10465E+00 9.31584E-01 7.83143E-01 6.54240E-01 5.41678E-01 4.43369E-01
+ 3.58098E-01 2.85138E-01 2.23847E-01 1.73393E-01 1.32672E-01 1.00385E-01
+ 7.51721E-02 5.57349E-02 4.09162E-02 2.97762E-02 2.13948E-02 1.51939E-02
+ 1.06533E-02 7.36515E-03 5.01327E-03 3.35397E-03 2.20117E-03 1.41397E-03
+ 8.86485E-04 5.40498E-04 3.20975E-04 1.83490E-04 1.00837E-04 5.29431E-05
+ 2.63554E-05 1.23204E-05 5.34187E-06 2.11694E-06 7.44978E-07 2.27623E-07
+ 5.73960E-08 1.11031E-08 1.45378E-09 1.00821E-10 2.00727E-12 0.00000E+00
+ 0.00000E+00 1.79126E+04 2.36078E+04 1.88054E+04 1.49814E+04 1.19388E+04
+ 9.51508E+03 7.58599E+03 6.04879E+03 4.82486E+03 3.84917E+03 3.07204E+03
+ 2.45223E+03 1.95837E+03 1.56428E+03 1.25013E+03 9.99315E+02 7.99272E+02
+ 6.39456E+02 5.11918E+02 4.09962E+02 3.28551E+02 2.63421E+02 2.11374E+02
+ 1.69699E+02 1.36365E+02 1.09655E+02 8.82720E+01 7.08981E+01 5.71915E+01
+ 4.61757E+01 3.73346E+01 3.02184E+01 2.44972E+01 1.98964E+01 1.61813E+01
+ 1.31807E+01 1.07596E+01 8.79920E+00 7.21301E+00 5.92421E+00 4.87896E+00
+ 4.02641E+00 3.33110E+00 2.76161E+00 2.29473E+00 1.90998E+00 1.59334E+00
+ 1.32836E+00 1.10849E+00 9.22102E-01 7.64748E-01 6.30336E-01 5.15246E-01
+ 4.16726E-01 3.33055E-01 2.62820E-01 2.04844E-01 1.57801E-01 1.20296E-01
+ 9.08239E-02 6.79773E-02 5.04527E-02 3.71359E-02 2.71445E-02 1.96287E-02
+ 1.40566E-02 9.96283E-03 6.98026E-03 4.82972E-03 3.29354E-03 2.20984E-03
+ 1.45315E-03 9.33392E-04 5.79288E-04 3.45768E-04 1.91795E-04 9.35565E-05
+ 3.30906E-05 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 1.35525E-20 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 5.74804E+04 4.55936E+04 3.58071E+04 2.81207E+04
+ 2.20876E+04 1.73488E+04 1.36291E+04 1.07071E+04 8.41347E+03 6.61146E+03
+ 5.19677E+03 4.08513E+03 3.21229E+03 2.52627E+03 1.98751E+03 1.56392E+03
+ 1.23118E+03 9.69465E+02 7.63801E+02 6.01963E+02 4.74739E+02 3.74569E+02
+ 2.95770E+02 2.33679E+02 1.84797E+02 1.46256E+02 1.15893E+02 9.16156E+01
+ 7.27658E+01 5.78567E+01 4.60779E+01 3.67457E+01 2.93578E+01 2.35079E+01
+ 1.88547E+01 1.51522E+01 1.22079E+01 9.85746E+00 7.98182E+00 6.47820E+00
+ 5.27448E+00 4.30490E+00 3.52352E+00 2.89088E+00 2.37790E+00 1.95957E+00
+ 1.61875E+00 1.33631E+00 1.10429E+00 9.09596E-01 7.47038E-01 6.09852E-01
+ 4.93927E-01 3.96062E-01 3.14090E-01 2.46175E-01 1.90763E-01 1.46253E-01
+ 1.11064E-01 8.35997E-02 6.24273E-02 4.62603E-02 3.40159E-02 2.48559E-02
+ 1.79781E-02 1.28853E-02 9.14575E-03 6.42092E-03 4.45443E-03 3.04693E-03
+ 2.05117E-03 1.35320E-03 8.71475E-04 5.41287E-04 3.22504E-04 1.77385E-04
+ 8.47574E-05 2.80067E-05 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 9.79373E+04 7.70042E+04 5.98748E+04
+ 4.65490E+04 3.61898E+04 2.81320E+04 2.18694E+04 1.69989E+04 1.32142E+04
+ 1.02712E+04 7.98458E+03 6.20669E+03 4.82551E+03 3.75163E+03 2.91743E+03
+ 2.26882E+03 1.76497E+03 1.37316E+03 1.06877E+03 8.32024E+02 6.48083E+02
+ 5.04976E+02 3.93740E+02 3.07155E+02 2.39815E+02 1.87378E+02 1.46583E+02
+ 1.14372E+02 8.96772E+01 7.03934E+01 5.53502E+01 4.35840E+01 3.43863E+01
+ 2.71963E+01 2.15485E+01 1.71111E+01 1.36257E+01 1.08773E+01 8.71004E+00
+ 6.99313E+00 5.63424E+00 4.55187E+00 3.68885E+00 2.99739E+00 2.44229E+00
+ 1.99396E+00 1.63210E+00 1.33496E+00 1.09312E+00 8.92140E-01 7.26031E-01
+ 5.87404E-01 4.71647E-01 3.75139E-01 2.95296E-01 2.29921E-01 1.77143E-01
+ 1.35143E-01 1.02201E-01 7.66616E-02 5.70833E-02 4.22053E-02 3.09811E-02
+ 2.26140E-02 1.63494E-02 1.17219E-02 8.33084E-03 5.86350E-03 4.08436E-03
+ 2.81097E-03 1.90939E-03 1.27633E-03 8.37799E-04 5.35773E-04 3.34198E-04
+ 1.98968E-04 1.11458E-04 5.65071E-05 2.68048E-05 1.71262E-05 1.06388E-05
+ 6.36839E-06 3.65101E-06 1.98629E-06 1.01929E-06 4.81255E-07 2.06413E-07
+ 7.62546E-08 2.01626E-08 8.35994E-10 0.00000E+00 1.53303E+05 1.19710E+05
+ 9.23514E+04 7.12272E+04 5.49304E+04 4.23514E+04 3.26509E+04 2.51663E+04
+ 1.93966E+04 1.49464E+04 1.15171E+04 8.87303E+03 6.83621E+03 5.26617E+03
+ 4.05711E+03 3.12533E+03 2.40796E+03 1.85520E+03 1.42970E+03 1.10187E+03
+ 8.49559E+02 6.55154E+02 5.05509E+02 3.90186E+02 3.01389E+02 2.32948E+02
+ 1.80250E+02 1.39079E+02 1.07846E+02 8.37181E+01 6.50967E+01 5.06907E+01
+ 3.95506E+01 3.09382E+01 2.42463E+01 1.90465E+01 1.50061E+01 1.18547E+01
+ 9.39598E+00 7.46876E+00 5.95899E+00 4.76864E+00 3.82873E+00 3.08291E+00
+ 2.48965E+00 2.01483E+00 1.63490E+00 1.32563E+00 1.07613E+00 8.70654E-01
+ 7.02458E-01 5.63542E-01 4.48810E-01 3.54246E-01 2.76885E-01 2.14219E-01
+ 1.64117E-01 1.24590E-01 9.38149E-02 7.01081E-02 5.20335E-02 3.83641E-02
+ 2.80938E-02 2.04662E-02 1.47740E-02 1.05819E-02 7.51793E-03 5.29367E-03
+ 3.69271E-03 2.54837E-03 1.73873E-03 1.17033E-03 7.76157E-04 5.04283E-04
+ 3.22185E-04 1.99399E-04 1.19365E-04 6.85618E-05 4.03155E-05 2.78936E-05
+ 1.91340E-05 1.29238E-05 8.56175E-06 5.51300E-06 3.41056E-06 1.97297E-06
+ 1.03083E-06 4.51291E-07 1.35517E-07 1.13833E-08 0.00000E+00 1.61689E+05
+ 1.75994E+05 1.34870E+05 1.03320E+05 7.91375E+04 6.05932E+04 4.63869E+04
+ 3.54992E+04 2.71630E+04 2.07776E+04 1.58914E+04 1.21505E+04 9.28949E+03
+ 7.10022E+03 5.42672E+03 4.14672E+03 3.16875E+03 2.42102E+03 1.84996E+03
+ 1.41350E+03 1.08029E+03 8.25685E+02 6.31333E+02 4.82835E+02 3.69479E+02
+ 2.82877E+02 2.16792E+02 1.65633E+02 1.27179E+02 9.77529E+01 7.52543E+01
+ 5.80163E+01 4.48132E+01 3.47060E+01 2.69284E+01 2.09447E+01 1.63403E+01
+ 1.27844E+01 1.00366E+01 7.90375E+00 6.24853E+00 4.95573E+00 3.94410E+00
+ 3.14858E+00 2.52120E+00 2.02332E+00 1.62823E+00 1.30928E+00 1.05410E+00
+ 8.45773E-01 6.76792E-01 5.38594E-01 4.25617E-01 3.33482E-01 2.58889E-01
+ 1.99063E-01 1.51662E-01 1.14567E-01 8.58874E-02 6.39306E-02 4.72801E-02
+ 3.47483E-02 2.53723E-02 1.84361E-02 1.32785E-02 9.49299E-03 6.73479E-03
+ 4.73820E-03 3.30469E-03 2.28228E-03 1.56014E-03 1.05387E-03 7.02957E-04
+ 4.61026E-04 2.98753E-04 1.89137E-04 1.17406E-04 7.16526E-05 4.55601E-05
+ 3.21890E-05 2.25770E-05 1.56032E-05 1.05612E-05 6.92930E-06 4.34384E-06
+ 2.53076E-06 1.31953E-06 5.69363E-07 1.66453E-07 1.45059E-08 0.00000E+00
+ 3.42216E+05 2.64099E+05 2.00997E+05 1.52909E+05 1.16293E+05 8.84063E+04
+ 6.71879E+04 5.10401E+04 3.87625E+04 2.94259E+04 2.23323E+04 1.69419E+04
+ 1.28495E+04 9.74196E+03 7.38450E+03 5.59560E+03 4.23947E+03 3.21107E+03
+ 2.43198E+03 1.84155E+03 1.39455E+03 1.05597E+03 7.99744E+02 6.05740E+02
+ 4.58972E+02 3.47883E+02 2.63905E+02 1.99523E+02 1.51599E+02 1.15293E+02
+ 8.78072E+01 6.69658E+01 5.11642E+01 3.91956E+01 3.00805E+01 2.31432E+01
+ 1.78607E+01 1.38250E+01 1.07390E+01 8.36921E+00 6.54892E+00 5.14199E+00
+ 4.05196E+00 3.20340E+00 2.54057E+00 2.01959E+00 1.60999E+00 1.28245E+00
+ 1.02286E+00 8.13033E-01 6.44577E-01 5.08323E-01 3.98194E-01 3.09428E-01
+ 2.38376E-01 1.82007E-01 1.37784E-01 1.03483E-01 7.71674E-02 5.71603E-02
+ 4.20799E-02 3.07930E-02 2.23897E-02 1.62020E-02 1.16210E-02 8.27292E-03
+ 5.84319E-03 4.09132E-03 2.83819E-03 1.94790E-03 1.32148E-03 8.84236E-04
+ 5.82602E-04 3.76025E-04 2.38500E-04 1.46653E-04 8.74739E-05 5.06978E-05
+ 3.02703E-05 1.98458E-05 1.28358E-05 8.15010E-06 5.06845E-06 3.06636E-06
+ 1.78921E-06 9.81617E-07 4.90558E-07 2.06317E-07 5.96740E-08 4.95448E-09
+ 0.00000E+00 4.96134E+05 3.80811E+05 2.88003E+05 2.17708E+05 1.64510E+05
+ 1.24247E+05 9.38025E+04 7.07814E+04 5.33900E+04 4.02510E+04 3.03341E+04
+ 2.28489E+04 1.72046E+04 1.29483E+04 9.74173E+03 7.32587E+03 5.50757E+03
+ 4.13885E+03 3.10961E+03 2.33553E+03 1.75396E+03 1.31691E+03 9.88792E+02
+ 7.42372E+02 5.57477E+02 4.18703E+02 3.14691E+02 2.35652E+02 1.77339E+02
+ 1.33563E+02 1.00723E+02 7.60548E+01 5.75259E+01 4.36270E+01 3.31425E+01
+ 2.52415E+01 1.92833E+01 1.47767E+01 1.13641E+01 8.76939E+00 6.79547E+00
+ 5.28461E+00 4.12503E+00 3.23084E+00 2.53871E+00 1.99965E+00 1.57961E+00
+ 1.24675E+00 9.85335E-01 7.76065E-01 6.09709E-01 4.76570E-01 3.70119E-01
+ 2.85269E-01 2.18084E-01 1.65337E-01 1.24348E-01 9.28331E-02 6.88409E-02
+ 5.07284E-02 3.71622E-02 2.70684E-02 1.95936E-02 1.41181E-02 1.00845E-02
+ 7.15110E-03 5.03230E-03 3.51174E-03 2.42884E-03 1.66290E-03 1.12618E-03
+ 7.53108E-04 4.96667E-04 3.21773E-04 2.05654E-04 1.28335E-04 7.85691E-05
+ 4.76504E-05 3.00614E-05 2.02645E-05 1.35388E-05 8.91917E-06 5.75909E-06
+ 3.61257E-06 2.16887E-06 1.21164E-06 6.05165E-07 2.48027E-07 6.80466E-08
+ 5.98517E-09 0.00000E+00 6.96639E+05 5.32028E+05 4.00013E+05 3.00593E+05
+ 2.25782E+05 1.69490E+05 1.27174E+05 9.53662E+04 7.14805E+04 5.35449E+04
+ 4.00909E+04 2.99993E+04 2.24376E+04 1.67719E+04 1.25314E+04 9.35759E+03
+ 6.98479E+03 5.21085E+03 3.88609E+03 2.89676E+03 2.15877E+03 1.60820E+03
+ 1.19789E+03 8.92071E+02 6.64357E+02 4.94769E+02 3.68672E+02 2.73633E+02
+ 2.04094E+02 1.52330E+02 1.13824E+02 8.51529E+01 6.38040E+01 4.79331E+01
+ 3.60677E+01 2.72081E+01 2.05875E+01 1.56265E+01 1.19041E+01 9.10017E+00
+ 6.98641E+00 5.38332E+00 4.16393E+00 3.23204E+00 2.51699E+00 1.96495E+00
+ 1.53847E+00 1.20348E+00 9.42692E-01 7.35868E-01 5.73030E-01 4.44028E-01
+ 3.41953E-01 2.61453E-01 1.98369E-01 1.49333E-01 1.11578E-01 8.27933E-02
+ 6.10457E-02 4.47422E-02 3.26087E-02 2.36349E-02 1.70264E-02 1.22116E-02
+ 8.68345E-03 6.13111E-03 4.29690E-03 2.98718E-03 2.05895E-03 1.40558E-03
+ 9.49859E-04 6.34540E-04 4.18710E-04 2.72167E-04 1.75171E-04 1.10781E-04
+ 6.93752E-05 4.36021E-05 2.85662E-05 1.96282E-05 1.33843E-05 9.00427E-06
+ 5.92495E-06 3.77540E-06 2.28850E-06 1.28221E-06 6.35900E-07 2.55774E-07
+ 6.82184E-08 6.17645E-09 0.00000E+00 9.53015E+05 7.24384E+05 5.41622E+05
+ 4.04730E+05 3.02280E+05 2.25615E+05 1.68304E+05 1.25467E+05 9.34821E+04
+ 6.96032E+04 5.17950E+04 3.85165E+04 2.86263E+04 2.12610E+04 1.57820E+04
+ 1.17071E+04 8.67982E+03 6.43116E+03 4.76281E+03 3.52517E+03 2.60815E+03
+ 1.92872E+03 1.42589E+03 1.05378E+03 7.78699E+02 5.75328E+02 4.25245E+02
+ 3.12999E+02 2.31507E+02 1.71328E+02 1.26918E+02 9.41208E+01 6.99003E+01
+ 5.20464E+01 3.88106E+01 2.90132E+01 2.17547E+01 1.63633E+01 1.23531E+01
+ 9.35885E+00 7.12111E+00 5.43874E+00 4.16996E+00 3.20862E+00 2.47712E+00
+ 1.91712E+00 1.48808E+00 1.15395E+00 8.96062E-01 6.93379E-01 5.35288E-01
+ 4.11272E-01 3.14124E-01 2.38287E-01 1.79445E-01 1.34144E-01 9.95737E-02
+ 7.34328E-02 5.38297E-02 3.92356E-02 2.84436E-02 2.05105E-02 1.47017E-02
+ 1.04930E-02 7.42602E-03 5.21943E-03 3.64214E-03 2.52181E-03 1.73186E-03
+ 1.17868E-03 7.94714E-04 5.30320E-04 3.50155E-04 2.28363E-04 1.47991E-04
+ 9.47721E-05 6.05505E-05 3.91545E-05 2.63373E-05 1.83261E-05 1.26462E-05
+ 8.59776E-06 5.69887E-06 3.64392E-06 2.20442E-06 1.22562E-06 5.98481E-07
+ 2.34857E-07 6.07809E-08 5.61580E-09 0.00000E+00 1.27521E+06 9.64913E+05
+ 7.17642E+05 5.33393E+05 3.96218E+05 2.94109E+05 2.18182E+05 1.61737E+05
+ 1.19820E+05 8.86993E+04 6.56195E+04 4.85078E+04 3.58352E+04 2.64527E+04
+ 1.95142E+04 1.43846E+04 1.05967E+04 7.80043E+03 5.73868E+03 4.21891E+03
+ 3.10006E+03 2.27651E+03 1.67108E+03 1.22606E+03 8.99335E+02 6.59464E+02
+ 4.83709E+02 3.53224E+02 2.59194E+02 1.90278E+02 1.39805E+02 1.02820E+02
+ 7.57204E+01 5.59037E+01 4.13304E+01 3.06314E+01 2.27697E+01 1.69790E+01
+ 1.27072E+01 9.54446E+00 7.20021E+00 5.45239E+00 4.14503E+00 3.16258E+00
+ 2.42104E+00 1.85794E+00 1.43002E+00 1.09950E+00 8.46540E-01 6.49474E-01
+ 4.97160E-01 3.78809E-01 2.86996E-01 2.16024E-01 1.61484E-01 1.19880E-01
+ 8.84046E-02 6.47939E-02 4.72180E-02 3.42229E-02 2.46751E-02 1.76994E-02
+ 1.26213E-02 8.96310E-03 6.31227E-03 4.41584E-03 3.06772E-03 2.11537E-03
+ 1.44741E-03 9.82113E-04 6.60756E-04 4.40546E-04 2.91160E-04 1.90585E-04
+ 1.24389E-04 8.06310E-05 5.24555E-05 3.47132E-05 2.37942E-05 1.66930E-05
+ 1.15949E-05 7.91732E-06 5.25238E-06 3.34863E-06 2.01014E-06 1.10335E-06
+ 5.28323E-07 2.01685E-07 5.05777E-08 4.75370E-09 0.00000E+00 1.67358E+06
+ 1.26088E+06 9.32975E+05 6.89870E+05 5.09781E+05 3.76412E+05 2.77748E+05
+ 2.04781E+05 1.50878E+05 1.11072E+05 8.17093E+04 6.00581E+04 4.41118E+04
+ 3.23717E+04 2.37386E+04 1.73930E+04 1.27344E+04 9.31563E+03 6.81001E+03
+ 4.97431E+03 3.63119E+03 2.64878E+03 1.93116E+03 1.40710E+03 1.02488E+03
+ 7.46128E+02 5.43285E+02 3.93746E+02 2.86750E+02 2.08896E+02 1.52289E+02
+ 1.11118E+02 8.11767E+01 5.94488E+01 4.35923E+01 3.20423E+01 2.36215E+01
+ 1.74684E+01 1.29652E+01 9.65772E+00 7.22555E+00 5.42661E+00 4.09159E+00
+ 3.09626E+00 2.35086E+00 1.78926E+00 1.36584E+00 1.04142E+00 7.95152E-01
+ 6.04951E-01 4.59245E-01 3.47073E-01 2.60869E-01 1.94863E-01 1.44608E-01
+ 1.06614E-01 7.81100E-02 5.68949E-02 4.12164E-02 2.97032E-02 2.12983E-02
+ 1.51955E-02 1.07791E-02 7.61578E-03 5.33686E-03 3.71582E-03 2.56993E-03
+ 1.76491E-03 1.20332E-03 8.14178E-04 5.46755E-04 3.64372E-04 2.41176E-04
+ 1.58529E-04 1.04242E-04 6.83760E-05 4.52147E-05 3.04876E-05 2.11802E-05
+ 1.49320E-05 1.04001E-05 7.10305E-06 4.69710E-06 2.97438E-06 1.76580E-06
+ 9.54109E-07 4.47022E-07 1.65790E-07 4.02861E-08 3.84545E-09 0.00000E+00
+ 2.15864E+06 1.61955E+06 1.19245E+06 8.77345E+05 6.45049E+05 4.73864E+05
+ 3.47852E+05 2.55131E+05 1.86981E+05 1.36913E+05 1.00173E+05 7.32250E+04
+ 5.34829E+04 3.90271E+04 2.84551E+04 2.07275E+04 1.50861E+04 1.09699E+04
+ 7.97044E+03 5.78590E+03 4.19705E+03 3.04196E+03 2.20337E+03 1.59480E+03
+ 1.15376E+03 8.34173E+02 6.03148E+02 4.33984E+02 3.13771E+02 2.26905E+02
+ 1.64185E+02 1.18894E+02 8.61917E+01 6.26341E+01 4.55684E+01 3.32308E+01
+ 2.43033E+01 1.78297E+01 1.31278E+01 9.70089E+00 7.20000E+00 5.36438E+00
+ 4.01248E+00 3.01222E+00 2.26879E+00 1.71292E+00 1.29704E+00 9.80899E-01
+ 7.42837E-01 5.60516E-01 4.22056E-01 3.16420E-01 2.35979E-01 1.74949E-01
+ 1.28899E-01 9.43850E-02 6.87028E-02 4.97336E-02 3.58149E-02 2.56629E-02
+ 1.82991E-02 1.29852E-02 9.16252E-03 6.44050E-03 4.49090E-03 3.11213E-03
+ 2.14300E-03 1.46593E-03 9.96128E-04 6.72288E-04 4.50822E-04 3.00463E-04
+ 1.99295E-04 1.31624E-04 8.72257E-05 5.78732E-05 3.88297E-05 2.65768E-05
+ 1.86345E-05 1.31666E-05 9.16893E-06 6.24494E-06 4.10488E-06 2.57519E-06
+ 1.50870E-06 8.01026E-07 3.66743E-07 1.32075E-07 3.11179E-08 3.01356E-09
+ 0.00000E+00 2.74071E+06 2.04798E+06 1.50067E+06 1.09878E+06 8.03906E+05
+ 5.87646E+05 4.29219E+05 3.13216E+05 2.28375E+05 1.66357E+05 1.21076E+05
+ 8.80340E+04 6.39525E+04 4.64119E+04 3.36518E+04 2.43751E+04 1.76397E+04
+ 1.27524E+04 9.21107E+03 6.64656E+03 4.79208E+03 3.45179E+03 2.48453E+03
+ 1.78683E+03 1.28429E+03 9.22397E+02 6.62455E+02 4.73357E+02 3.39864E+02
+ 2.44044E+02 1.75323E+02 1.26040E+02 9.06999E+01 6.54215E+01 4.72384E+01
+ 3.41878E+01 2.48123E+01 1.80637E+01 1.31979E+01 9.67757E+00 7.12730E+00
+ 5.26921E+00 3.91080E+00 2.91312E+00 2.17703E+00 1.63073E+00 1.22507E+00
+ 9.19052E-01 6.90430E-01 5.16777E-01 3.86017E-01 2.87130E-01 2.12497E-01
+ 1.56377E-01 1.14401E-01 8.32036E-02 6.01742E-02 4.32916E-02 3.09909E-02
+ 2.20791E-02 1.56561E-02 1.10497E-02 7.75558E-03 5.42375E-03 3.76339E-03
+ 2.59596E-03 1.78001E-03 1.21309E-03 8.21809E-04 5.53459E-04 3.70790E-04
+ 2.47290E-04 1.64477E-04 1.09202E-04 7.29449E-05 4.89256E-05 3.32441E-05
+ 2.30190E-05 1.62346E-05 1.14709E-05 7.96853E-06 5.40021E-06 3.52111E-06
+ 2.18448E-06 1.26108E-06 6.57128E-07 2.93769E-07 1.02718E-07 2.34881E-08
+ 2.30613E-09 0.00000E+00 6.40992E+03 7.28695E+03 6.00228E+03 4.94401E+03
+ 4.07225E+03 3.35415E+03 2.76261E+03 2.27535E+03 1.87398E+03 1.54337E+03
+ 1.27105E+03 1.04674E+03 8.61990E+02 7.09820E+02 5.84489E+02 4.81267E+02
+ 3.96256E+02 3.26245E+02 2.68590E+02 2.21113E+02 1.82018E+02 1.49827E+02
+ 1.23322E+02 1.01500E+02 8.35354E+01 6.87467E+01 5.65734E+01 4.64250E+01
+ 3.82043E+01 3.14381E+01 2.58693E+01 2.12862E+01 1.75144E+01 1.44186E+01
+ 1.18638E+01 9.76159E+00 8.03133E+00 6.60653E+00 5.43250E+00 4.46386E+00
+ 3.66500E+00 3.00426E+00 2.45731E+00 2.00402E+00 1.62807E+00 1.31629E+00
+ 1.05899E+00 8.45293E-01 6.71063E-01 5.28685E-01 4.15106E-01 3.25726E-01
+ 2.56736E-01 2.04361E-01 1.64900E-01 1.34947E-01 1.11651E-01 9.28897E-02
+ 7.72561E-02 6.39157E-02 5.24134E-02 4.25042E-02 3.40377E-02 2.69233E-02
+ 2.09687E-02 1.60940E-02 1.21659E-02 9.05111E-03 6.62136E-03 4.75778E-03
+ 3.35346E-03 2.31476E-03 1.56130E-03 1.02610E-03 6.58030E-04 4.07729E-04
+ 2.43835E-04 1.40011E-04 7.66957E-05 3.97542E-05 1.92946E-05 8.66073E-06
+ 3.50841E-06 1.25896E-06 3.83601E-07 9.34908E-08 1.64873E-08 1.74325E-09
+ 7.24440E-11 3.06493E-13 0.00000E+00 1.78789E+04 2.35829E+04 1.87826E+04
+ 1.49606E+04 1.19196E+04 9.49758E+03 7.56996E+03 6.03411E+03 4.81143E+03
+ 3.83688E+03 3.06079E+03 2.44195E+03 1.94896E+03 1.55568E+03 1.24227E+03
+ 9.92132E+02 7.92711E+02 6.33465E+02 5.06450E+02 4.04973E+02 3.24002E+02
+ 2.59274E+02 2.07596E+02 1.66258E+02 1.33233E+02 1.06805E+02 8.56803E+01
+ 6.85453E+01 5.50532E+01 4.42330E+01 3.55696E+01 2.86149E+01 2.30399E+01
+ 1.85709E+01 1.49747E+01 1.20809E+01 9.75524E+00 7.87976E+00 6.36879E+00
+ 5.14650E+00 4.15969E+00 3.35866E+00 2.70877E+00 2.17977E+00 1.74951E+00
+ 1.39882E+00 1.11479E+00 8.82685E-01 6.96775E-01 5.46941E-01 4.28951E-01
+ 3.36770E-01 2.65848E-01 2.11730E-01 1.70555E-01 1.38824E-01 1.13873E-01
+ 9.36770E-02 7.69642E-02 6.28796E-02 5.09649E-02 4.08902E-02 3.24435E-02
+ 2.54629E-02 1.97063E-02 1.50477E-02 1.13329E-02 8.40965E-03 6.14406E-03
+ 4.41204E-03 3.10966E-03 2.14460E-03 1.44346E-03 9.41044E-04 5.93418E-04
+ 3.54331E-04 1.95805E-04 9.45082E-05 3.24805E-05 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 5.74489E+04 4.55648E+04
+ 3.57807E+04 2.80966E+04 2.20655E+04 1.73286E+04 1.36107E+04 1.06903E+04
+ 8.39809E+03 6.59742E+03 5.18395E+03 4.07342E+03 3.20161E+03 2.51652E+03
+ 1.97862E+03 1.55582E+03 1.22380E+03 9.62743E+02 7.57680E+02 5.96394E+02
+ 4.69674E+02 3.69965E+02 2.91587E+02 2.29881E+02 1.81350E+02 1.43129E+02
+ 1.13059E+02 8.90509E+01 7.04426E+01 5.57533E+01 4.41736E+01 3.50221E+01
+ 2.77970E+01 2.20938E+01 1.75726E+01 1.39885E+01 1.11497E+01 8.89324E+00
+ 7.10080E+00 5.67088E+00 4.53209E+00 3.62005E+00 2.88972E+00 2.30296E+00
+ 1.83180E+00 1.45255E+00 1.14916E+00 9.04127E-01 7.10099E-01 5.55268E-01
+ 4.34351E-01 3.40420E-01 2.68325E-01 2.13242E-01 1.71151E-01 1.38543E-01
+ 1.12816E-01 9.20192E-02 7.49157E-02 6.06457E-02 4.87210E-02 3.87664E-02
+ 3.05224E-02 2.37884E-02 1.82921E-02 1.38853E-02 1.04009E-02 7.67940E-03
+ 5.58434E-03 3.99199E-03 2.80081E-03 1.92220E-03 1.28645E-03 8.32381E-04
+ 5.19536E-04 3.05139E-04 1.63868E-04 7.44284E-05 2.08139E-05 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00
+ 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 9.79014E+04
+ 7.69714E+04 5.98448E+04 4.65216E+04 3.61648E+04 2.81092E+04 2.18486E+04
+ 1.69799E+04 1.31969E+04 1.02554E+04 7.97019E+03 6.19358E+03 4.81356E+03
+ 3.74076E+03 2.90753E+03 2.25981E+03 1.75678E+03 1.36572E+03 1.06201E+03
+ 8.25889E+02 6.42516E+02 4.99929E+02 3.89166E+02 3.03013E+02 2.36066E+02
+ 1.83987E+02 1.43517E+02 1.11606E+02 8.71794E+01 6.81389E+01 5.33157E+01
+ 4.17486E+01 3.27300E+01 2.57010E+01 2.01977E+01 1.58898E+01 1.25196E+01
+ 9.87367E+00 7.79725E+00 6.16086E+00 4.87306E+00 3.85388E+00 3.04717E+00
+ 2.40657E+00 1.89800E+00 1.49324E+00 1.17299E+00 9.17079E-01 7.16487E-01
+ 5.57863E-01 4.34916E-01 3.39935E-01 2.67236E-01 2.11700E-01 1.69176E-01
+ 1.36159E-01 1.10094E-01 8.90880E-02 7.19249E-02 5.77392E-02 4.60132E-02
+ 3.63353E-02 2.84078E-02 2.20000E-02 1.68198E-02 1.27032E-02 9.47474E-03
+ 6.97191E-03 5.05819E-03 3.61235E-03 2.53649E-03 1.74662E-03 1.17692E-03
+ 7.71028E-04 4.91590E-04 2.99746E-04 1.72804E-04 9.16018E-05 4.21460E-05
+ 1.71292E-05 1.06387E-05 6.36838E-06 3.65100E-06 1.98629E-06 1.01929E-06
+ 4.81254E-07 2.06413E-07 7.62545E-08 2.01626E-08 8.35991E-10 0.00000E+00
+ 1.53262E+05 1.19673E+05 9.23177E+04 7.11965E+04 5.49024E+04 4.23259E+04
+ 3.26277E+04 2.51451E+04 1.93773E+04 1.49288E+04 1.15012E+04 8.85850E+03
+ 6.82300E+03 5.25416E+03 4.04619E+03 3.11542E+03 2.39897E+03 1.84704E+03
+ 1.42231E+03 1.09518E+03 8.43497E+02 6.49670E+02 5.00552E+02 3.85707E+02
+ 2.97345E+02 2.29299E+02 1.76960E+02 1.36119E+02 1.05181E+02 8.13194E+01
+ 6.29385E+01 4.87498E+01 3.78047E+01 2.93672E+01 2.28321E+01 1.77724E+01
+ 1.38567E+01 1.08162E+01 8.45556E+00 6.61540E+00 5.18263E+00 4.06086E+00
+ 3.18223E+00 2.49190E+00 1.94951E+00 1.52227E+00 1.18762E+00 9.22805E-01
+ 7.17139E-01 5.55858E-01 4.31718E-01 3.36319E-01 2.63520E-01 2.07964E-01
+ 1.65401E-01 1.32342E-01 1.06275E-01 8.53515E-02 6.83688E-02 5.44563E-02
+ 4.30684E-02 3.37656E-02 2.62202E-02 2.01788E-02 1.53378E-02 1.15228E-02
+ 8.55385E-03 6.26877E-03 4.53308E-03 3.22972E-03 2.26524E-03 1.56073E-03
+ 1.05465E-03 6.95420E-04 4.48631E-04 2.79344E-04 1.67223E-04 9.51523E-05
+ 5.09556E-05 2.78968E-05 1.91340E-05 1.29238E-05 8.56174E-06 5.51300E-06
+ 3.41056E-06 1.97297E-06 1.03083E-06 4.51291E-07 1.35517E-07 1.13833E-08
+ 0.00000E+00 1.61644E+05 1.75953E+05 1.34833E+05 1.03286E+05 7.91064E+04
+ 6.05649E+04 4.63612E+04 3.54758E+04 2.71417E+04 2.07583E+04 1.58738E+04
+ 1.21345E+04 9.27499E+03 7.08706E+03 5.41478E+03 4.13590E+03 3.15895E+03
+ 2.41215E+03 1.84193E+03 1.40625E+03 1.07374E+03 8.19769E+02 6.25995E+02
+ 4.78024E+02 3.65145E+02 2.78976E+02 2.13283E+02 1.62484E+02 1.24352E+02
+ 9.52151E+01 7.29774E+01 5.59746E+01 4.29824E+01 3.30638E+01 2.54551E+01
+ 1.96221E+01 1.51516E+01 1.17146E+01 9.07212E+00 7.03267E+00 5.46014E+00
+ 4.24106E+00 3.29542E+00 2.55971E+00 1.98719E+00 1.54052E+00 1.19389E+00
+ 9.22074E-01 7.12766E-01 5.49904E-01 4.25364E-01 3.30144E-01 2.57712E-01
+ 2.02529E-01 1.60274E-01 1.27485E-01 1.01690E-01 8.10822E-02 6.44655E-02
+ 5.09671E-02 4.00178E-02 3.11575E-02 2.40361E-02 1.83839E-02 1.38923E-02
+ 1.03806E-02 7.66793E-03 5.59462E-03 4.02999E-03 2.86228E-03 2.00305E-03
+ 1.37873E-03 9.32317E-04 6.16800E-04 4.00678E-04 2.52759E-04 1.54863E-04
+ 9.18078E-05 5.30182E-05 3.21920E-05 2.25770E-05 1.56032E-05 1.05612E-05
+ 6.92929E-06 4.34384E-06 2.53076E-06 1.31953E-06 5.69362E-07 1.66453E-07
+ 1.45059E-08 0.00000E+00 3.42165E+05 2.64053E+05 2.00955E+05 1.52871E+05
+ 1.16258E+05 8.83746E+04 6.71590E+04 5.10139E+04 3.87388E+04 2.94043E+04
+ 2.23128E+04 1.69241E+04 1.28334E+04 9.72741E+03 7.37133E+03 5.58368E+03
+ 4.22870E+03 3.20134E+03 2.42320E+03 1.83363E+03 1.38741E+03 1.04953E+03
+ 7.93956E+02 6.00536E+02 4.54297E+02 3.43686E+02 2.60141E+02 1.96156E+02
+ 1.48584E+02 1.12595E+02 8.53950E+01 6.48101E+01 4.92380E+01 3.74742E+01
+ 2.85422E+01 2.17680E+01 1.66300E+01 1.27227E+01 9.75028E+00 7.48117E+00
+ 5.75006E+00 4.42266E+00 3.40390E+00 2.61989E+00 2.01620E+00 1.55020E+00
+ 1.19226E+00 9.14401E-01 7.02425E-01 5.38914E-01 4.14773E-01 3.20414E-01
+ 2.48912E-01 1.94578E-01 1.53040E-01 1.20883E-01 9.56775E-02 7.56622E-02
+ 5.96470E-02 4.67600E-02 3.64094E-02 2.81198E-02 2.15220E-02 1.63358E-02
+ 1.22516E-02 9.08682E-03 6.66228E-03 4.82420E-03 3.44768E-03 2.42822E-03
+ 1.68363E-03 1.14677E-03 7.65879E-04 4.99076E-04 3.18043E-04 1.95596E-04
+ 1.15748E-04 6.53593E-05 3.53489E-05 1.98484E-05 1.28358E-05 8.15009E-06
+ 5.06845E-06 3.06636E-06 1.78921E-06 9.81616E-07 4.90557E-07 2.06317E-07
+ 5.96740E-08 4.95447E-09 0.00000E+00 4.96077E+05 3.80759E+05 2.87955E+05
+ 2.17665E+05 1.64471E+05 1.24211E+05 9.37705E+04 7.07523E+04 5.33636E+04
+ 4.02271E+04 3.03125E+04 2.28293E+04 1.71869E+04 1.29323E+04 9.72726E+03
+ 7.31281E+03 5.49579E+03 4.12823E+03 3.10004E+03 2.32691E+03 1.74622E+03
+ 1.30996E+03 9.82546E+02 7.36771E+02 5.52458E+02 4.14209E+02 3.10672E+02
+ 2.32067E+02 1.74138E+02 1.30709E+02 9.81784E+01 7.37885E+01 5.55080E+01
+ 4.18303E+01 3.15432E+01 2.38176E+01 1.80148E+01 1.36459E+01 1.03550E+01
+ 7.86811E+00 5.98967E+00 4.56392E+00 3.48058E+00 2.65535E+00 2.02620E+00
+ 1.54541E+00 1.17967E+00 8.98460E-01 6.85815E-01 5.23142E-01 4.00499E-01
+ 3.07823E-01 2.37889E-01 1.84917E-01 1.44522E-01 1.13353E-01 8.90303E-02
+ 6.98394E-02 5.46024E-02 4.24542E-02 3.27896E-02 2.51262E-02 1.90846E-02
+ 1.43800E-02 1.07085E-02 7.88851E-03 5.74623E-03 4.13538E-03 2.93834E-03
+ 2.05857E-03 1.42066E-03 9.63993E-04 6.42156E-04 4.18260E-04 2.67211E-04
+ 1.65614E-04 9.96499E-05 5.81402E-05 3.34207E-05 2.02667E-05 1.35388E-05
+ 8.91917E-06 5.75908E-06 3.61257E-06 2.16887E-06 1.21164E-06 6.05165E-07
+ 2.48026E-07 6.80465E-08 5.98517E-09 0.00000E+00 6.96575E+05 5.31970E+05
+ 3.99961E+05 3.00545E+05 2.25739E+05 1.69451E+05 1.27139E+05 9.53340E+04
+ 7.14513E+04 5.35186E+04 4.00671E+04 2.99778E+04 2.24182E+04 1.67544E+04
+ 1.25156E+04 9.34334E+03 6.97196E+03 5.19931E+03 3.87571E+03 2.88744E+03
+ 2.15040E+03 1.60070E+03 1.19118E+03 8.86066E+02 6.58989E+02 4.89976E+02
+ 3.64397E+02 2.69831E+02 2.00709E+02 1.49321E+02 1.11151E+02 8.27795E+01
+ 6.16982E+01 4.60651E+01 3.44114E+01 2.57396E+01 1.92851E+01 1.44711E+01
+ 1.08784E+01 8.18932E+00 6.17713E+00 4.66448E+00 3.52597E+00 2.66706E+00
+ 2.01842E+00 1.52742E+00 1.15736E+00 8.75402E-01 6.63982E-01 5.03524E-01
+ 3.83371E-01 2.93098E-01 2.25278E-01 1.74093E-01 1.35186E-01 1.05284E-01
+ 8.20669E-02 6.38694E-02 4.95326E-02 3.82038E-02 2.92736E-02 2.22595E-02
+ 1.67803E-02 1.25521E-02 9.28134E-03 6.79086E-03 4.91444E-03 3.51487E-03
+ 2.48286E-03 1.73016E-03 1.18836E-03 8.03297E-04 5.33760E-04 3.47525E-04
+ 2.22604E-04 1.39038E-04 8.49931E-05 5.10520E-05 3.07779E-05 1.96299E-05
+ 1.33843E-05 9.00426E-06 5.92495E-06 3.77540E-06 2.28850E-06 1.28221E-06
+ 6.35900E-07 2.55774E-07 6.82184E-08 6.17645E-09 0.00000E+00 9.52944E+05
+ 7.24320E+05 5.41564E+05 4.04677E+05 3.02232E+05 2.25572E+05 1.68265E+05
+ 1.25432E+05 9.34500E+04 6.95742E+04 5.17689E+04 3.84930E+04 2.86050E+04
+ 2.12418E+04 1.57648E+04 1.16916E+04 8.66590E+03 6.41866E+03 4.75160E+03
+ 3.51512E+03 2.59915E+03 1.92067E+03 1.41871E+03 1.04737E+03 7.72980E+02
+ 5.70234E+02 4.20715E+02 3.08980E+02 2.27941E+02 1.68167E+02 1.24118E+02
+ 9.16440E+01 6.77106E+01 5.01112E+01 3.71015E+01 2.75044E+01 2.04226E+01
+ 1.51873E+01 1.13147E+01 8.44206E+00 6.31172E+00 4.72480E+00 3.54120E+00
+ 2.65644E+00 1.99431E+00 1.49763E+00 1.12658E+00 8.46324E-01 6.37871E-01
+ 4.80866E-01 3.64074E-01 2.76825E-01 2.11575E-01 1.62526E-01 1.25382E-01
+ 9.69622E-02 7.50148E-02 5.79288E-02 4.45714E-02 3.41077E-02 2.59325E-02
+ 1.95700E-02 1.46437E-02 1.08754E-02 7.98526E-03 5.80321E-03 4.17251E-03
+ 2.96586E-03 2.08292E-03 1.44381E-03 9.87109E-04 6.64831E-04 4.40772E-04
+ 2.86974E-04 1.84375E-04 1.16080E-04 7.20473E-05 4.44074E-05 2.77894E-05
+ 1.83274E-05 1.26462E-05 8.59775E-06 5.69886E-06 3.64392E-06 2.20442E-06
+ 1.22562E-06 5.98480E-07 2.34857E-07 6.07809E-08 5.61580E-09 0.00000E+00
+ 1.27513E+06 9.64842E+05 7.17578E+05 5.33335E+05 3.96165E+05 2.94061E+05
+ 2.18139E+05 1.61698E+05 1.19785E+05 8.86676E+04 6.55910E+04 4.84821E+04
+ 3.58120E+04 2.64319E+04 1.94955E+04 1.43678E+04 1.05817E+04 7.78695E+03
+ 5.72661E+03 4.20812E+03 3.09041E+03 2.26791E+03 1.66341E+03 1.21923E+03
+ 8.93262E+02 6.54069E+02 4.78923E+02 3.48992E+02 2.55449E+02 1.86968E+02
+ 1.36883E+02 1.00244E+02 7.34510E+01 5.39057E+01 3.95730E+01 2.90866E+01
+ 2.14121E+01 1.57865E+01 1.16600E+01 8.62532E+00 6.39399E+00 4.74628E+00
+ 3.52799E+00 2.62528E+00 1.95556E+00 1.45754E+00 1.08865E+00 8.12333E-01
+ 6.08406E-01 4.55932E-01 3.43240E-01 2.59528E-01 1.97217E-01 1.50576E-01
+ 1.15401E-01 8.86181E-02 6.80529E-02 5.21526E-02 3.98171E-02 3.02353E-02
+ 2.28137E-02 1.70885E-02 1.26937E-02 9.36049E-03 6.82551E-03 4.92738E-03
+ 3.52017E-03 2.48703E-03 1.73677E-03 1.19775E-03 8.15317E-04 5.47327E-04
+ 3.62240E-04 2.35976E-04 1.52169E-04 9.66144E-05 6.08640E-05 3.83915E-05
+ 2.47448E-05 1.66940E-05 1.15949E-05 7.91732E-06 5.25238E-06 3.34863E-06
+ 2.01014E-06 1.10335E-06 5.28323E-07 2.01685E-07 5.05777E-08 4.75370E-09
+ 0.00000E+00 1.67349E+06 1.26080E+06 9.32904E+05 6.89805E+05 5.09723E+05
+ 3.76359E+05 2.77701E+05 2.04739E+05 1.50840E+05 1.11038E+05 8.16782E+04
+ 6.00302E+04 4.40866E+04 3.23491E+04 2.37184E+04 1.73749E+04 1.27181E+04
+ 9.30113E+03 6.79705E+03 4.96274E+03 3.62088E+03 2.63961E+03 1.92300E+03
+ 1.39985E+03 1.01845E+03 7.40430E+02 5.38244E+02 3.89302E+02 2.82829E+02
+ 2.05441E+02 1.49249E+02 1.08448E+02 7.88324E+01 5.73927E+01 4.17912E+01
+ 3.04660E+01 2.22428E+01 1.62635E+01 1.19129E+01 8.73974E+00 6.42566E+00
+ 4.73108E+00 3.48857E+00 2.57566E+00 1.90404E+00 1.40875E+00 1.04489E+00
+ 7.74512E-01 5.76462E-01 4.29430E-01 3.21442E-01 2.41670E-01 1.82576E-01
+ 1.38541E-01 1.05480E-01 8.04350E-02 6.13181E-02 4.66394E-02 3.53379E-02
+ 2.66316E-02 1.99448E-02 1.48305E-02 1.09374E-02 8.00931E-03 5.80060E-03
+ 4.16014E-03 2.95349E-03 2.07439E-03 1.44074E-03 9.88811E-04 6.70412E-04
+ 4.48793E-04 2.96698E-04 1.93528E-04 1.25352E-04 8.03008E-05 5.13249E-05
+ 3.30466E-05 2.18006E-05 1.49328E-05 1.04001E-05 7.10305E-06 4.69710E-06
+ 2.97438E-06 1.76580E-06 9.54108E-07 4.47022E-07 1.65790E-07 4.02861E-08
+ 3.84545E-09 0.00000E+00 2.15854E+06 1.61947E+06 1.19238E+06 8.77275E+05
+ 6.44985E+05 4.73807E+05 3.47801E+05 2.55084E+05 1.86939E+05 1.36876E+05
+ 1.00139E+05 7.31947E+04 5.34558E+04 3.90028E+04 2.84333E+04 2.07080E+04
+ 1.50687E+04 1.09543E+04 7.95657E+03 5.77355E+03 4.18607E+03 3.03220E+03
+ 2.19471E+03 1.58713E+03 1.14697E+03 8.28174E+02 5.97856E+02 4.29330E+02
+ 3.09678E+02 2.23310E+02 1.61032E+02 1.16134E+02 8.37774E+01 6.05249E+01
+ 4.37284E+01 3.16277E+01 2.29079E+01 1.66165E+01 1.20743E+01 8.78752E+00
+ 6.40946E+00 4.68200E+00 3.42557E+00 2.50991E+00 1.84169E+00 1.35287E+00
+ 9.96599E-01 7.33889E-01 5.42853E-01 4.01998E-01 2.99182E-01 2.23649E-01
+ 1.67967E-01 1.26667E-01 9.58059E-02 7.25519E-02 5.49099E-02 4.14573E-02
+ 3.11777E-02 2.33224E-02 1.73387E-02 1.28003E-02 9.37366E-03 6.81729E-03
+ 4.90446E-03 3.49500E-03 2.46622E-03 1.72234E-03 1.19006E-03 8.13120E-04
+ 5.49350E-04 3.66935E-04 2.42484E-04 1.58492E-04 1.03191E-04 6.67217E-05
+ 4.32416E-05 2.83461E-05 1.90382E-05 1.31671E-05 9.16893E-06 6.24494E-06
+ 4.10487E-06 2.57519E-06 1.50870E-06 8.01026E-07 3.66743E-07 1.32075E-07
+ 3.11179E-08 3.01356E-09 0.00000E+00 2.74060E+06 2.04789E+06 1.50059E+06
+ 1.09871E+06 8.03837E+05 5.87584E+05 4.29163E+05 3.13166E+05 2.28330E+05
+ 1.66316E+05 1.21039E+05 8.80013E+04 6.39232E+04 4.63857E+04 3.36284E+04
+ 2.43541E+04 1.76210E+04 1.27358E+04 9.19627E+03 6.63340E+03 4.78041E+03
+ 3.44144E+03 2.47537E+03 1.77873E+03 1.27714E+03 9.16097E+02 6.56913E+02
+ 4.68498E+02 3.35603E+02 2.40314E+02 1.72063E+02 1.23195E+02 8.82211E+01
+ 6.32644E+01 4.53648E+01 3.25627E+01 2.34048E+01 1.68465E+01 1.21470E+01
+ 8.77212E+00 6.34896E+00 4.60235E+00 3.34186E+00 2.43044E+00 1.77048E+00
+ 1.29146E+00 9.44996E-01 6.91412E-01 5.08306E-01 3.74195E-01 2.76890E-01
+ 2.05794E-01 1.53643E-01 1.15145E-01 8.65202E-02 6.50698E-02 4.88966E-02
+ 3.66492E-02 2.73601E-02 2.03179E-02 1.49965E-02 1.09932E-02 7.99479E-03
+ 5.77557E-03 4.12805E-03 2.92348E-03 2.05085E-03 1.42452E-03 9.79521E-04
+ 6.66562E-04 4.48979E-04 2.99418E-04 1.97933E-04 1.29738E-04 8.49612E-05
+ 5.54562E-05 3.64102E-05 2.42352E-05 1.64966E-05 1.14713E-05 7.96853E-06
+ 5.40021E-06 3.52111E-06 2.18448E-06 1.26108E-06 6.57128E-07 2.93769E-07
+ 1.02718E-07 2.34881E-08 2.30613E-09 0.00000E+00 3.59538E+04 3.01386E+04
+ 2.51494E+04 2.09861E+04 1.75122E+04 1.46133E+04 1.21944E+04 1.01759E+04
+ 8.49167E+03 7.08624E+03 5.91349E+03 4.93490E+03 4.11834E+03 3.43696E+03
+ 2.86840E+03 2.39398E+03 1.99811E+03 1.66779E+03 1.39216E+03 1.16217E+03
+ 9.70273E+02 8.10152E+02 6.76548E+02 5.65073E+02 4.72062E+02 3.94458E+02
+ 3.29709E+02 2.74989E+02 2.30052E+02 1.92557E+02 1.61271E+02 1.35167E+02
+ 1.13385E+02 9.52590E+01 8.00930E+01 6.74402E+01 5.68813E+01 4.80657E+01
+ 4.07006E+01 3.45390E+01 2.93855E+01 2.50609E+01 2.14266E+01 1.83651E+01
+ 1.57793E+01 1.35891E+01 1.17348E+01 1.01442E+01 8.79200E+00 7.62469E+00
+ 6.62385E+00 5.75977E+00 5.01172E+00 4.36241E+00 3.79748E+00 3.30496E+00
+ 2.87483E+00 2.49866E+00 2.16932E+00 1.88076E+00 1.62782E+00 1.40606E+00
+ 1.21165E+00 1.04203E+00 8.92592E-01 7.61930E-01 6.47851E-01 5.48434E-01
+ 4.61988E-01 3.87023E-01 3.22221E-01 2.66412E-01 2.18529E-01 1.77614E-01
+ 1.43170E-01 1.13941E-01 8.95130E-02 6.92769E-02 5.26860E-02 3.92499E-02
+ 2.85278E-02 2.01354E-02 1.36692E-02 8.86556E-03 5.40498E-03 3.02815E-03
+ 1.50098E-03 6.13039E-04 1.75848E-04 2.12537E-05 0.00000E+00 4.89425E+05
+ 3.90169E+05 3.08096E+05 2.43207E+05 1.92024E+05 1.51562E+05 1.19652E+05
+ 9.44281E+04 7.45386E+04 5.88188E+04 4.64251E+04 3.66306E+04 2.89097E+04
+ 2.28086E+04 1.79999E+04 1.42004E+04 1.12062E+04 8.84059E+03 6.97666E+03
+ 5.50414E+03 4.34400E+03 3.42753E+03 2.70561E+03 2.13540E+03 1.68624E+03
+ 1.33150E+03 1.05205E+03 8.28702E+02 6.55550E+02 5.18769E+02 4.11036E+02
+ 3.25913E+02 2.58858E+02 2.05988E+02 1.64205E+02 1.31164E+02 1.05096E+02
+ 8.44440E+01 6.81101E+01 5.51228E+01 4.48169E+01 3.65793E+01 2.99944E+01
+ 2.46962E+01 2.04257E+01 1.69598E+01 1.41496E+01 1.18326E+01 9.93924E+00
+ 8.36349E+00 7.06049E+00 5.97270E+00 5.06159E+00 4.29489E+00 3.64783E+00
+ 3.09978E+00 2.63449E+00 2.23847E+00 1.90079E+00 1.61247E+00 1.36599E+00
+ 1.15524E+00 9.74781E-01 8.21068E-01 6.88764E-01 5.75801E-01 4.79418E-01
+ 3.97378E-01 3.27666E-01 2.68628E-01 2.18766E-01 1.76858E-01 1.41776E-01
+ 1.12528E-01 8.85204E-02 6.86816E-02 5.25400E-02 3.95475E-02 2.92014E-02
+ 2.10864E-02 1.48160E-02 1.00856E-02 6.57644E-03 4.08040E-03 2.36466E-03
+ 1.24964E-03 5.77066E-04 2.15913E-04 5.60795E-05 6.88920E-06 0.00000E+00
+ 1.14807E+06 9.05663E+05 7.06691E+05 5.51152E+05 4.29859E+05 3.35085E+05
+ 2.61213E+05 2.03516E+05 1.58567E+05 1.23476E+05 9.61522E+04 7.48320E+04
+ 5.82394E+04 4.52993E+04 3.52345E+04 2.73895E+04 2.12913E+04 1.65408E+04
+ 1.28506E+04 9.97755E+03 7.74712E+03 6.01177E+03 4.66555E+03 3.61890E+03
+ 2.80748E+03 2.17702E+03 1.68860E+03 1.30489E+03 1.01253E+03 7.85681E+02
+ 6.10168E+02 4.74053E+02 3.68791E+02 2.87384E+02 2.24268E+02 1.75340E+02
+ 1.37491E+02 1.08111E+02 8.53366E+01 6.75976E+01 5.38034E+01 4.30030E+01
+ 3.45421E+01 2.78720E+01 2.26018E+01 1.84088E+01 1.50744E+01 1.23775E+01
+ 1.02148E+01 8.44805E+00 7.01317E+00 5.83649E+00 4.86780E+00 4.06651E+00
+ 3.40140E+00 2.84731E+00 2.38439E+00 1.99664E+00 1.67115E+00 1.39755E+00
+ 1.16722E+00 9.73295E-01 8.09707E-01 6.72469E-01 5.56119E-01 4.58288E-01
+ 3.76081E-01 3.07184E-01 2.49545E-01 2.01499E-01 1.61566E-01 1.28555E-01
+ 1.01386E-01 7.91193E-02 6.11634E-02 4.65980E-02 3.49720E-02 2.58012E-02
+ 1.86509E-02 1.31672E-02 9.02906E-03 5.98741E-03 3.79280E-03 2.27938E-03
+ 1.27405E-03 6.45959E-04 2.83970E-04 1.00257E-04 2.45502E-05 3.04347E-06
+ 0.00000E+00 2.18804E+06 1.71184E+06 1.32323E+06 1.02221E+06 7.89582E+05
+ 6.09507E+05 4.70442E+05 3.62865E+05 2.79848E+05 2.15675E+05 1.66191E+05
+ 1.27968E+05 9.85184E+04 7.57895E+04 5.82925E+04 4.48004E+04 3.44236E+04
+ 2.64295E+04 2.02873E+04 1.55600E+04 1.19316E+04 9.14192E+03 7.00317E+03
+ 5.36069E+03 4.10286E+03 3.13786E+03 2.39983E+03 1.82768E+03 1.39753E+03
+ 1.06834E+03 8.17103E+02 6.25046E+02 4.78609E+02 3.67030E+02 2.81777E+02
+ 2.16695E+02 1.67103E+02 1.29207E+02 1.00280E+02 7.81056E+01 6.11288E+01
+ 4.80485E+01 3.79599E+01 3.01332E+01 2.40444E+01 1.92758E+01 1.55413E+01
+ 1.25670E+01 1.02174E+01 8.32679E+00 6.81363E+00 5.59089E+00 4.59855E+00
+ 3.78940E+00 3.12708E+00 2.58301E+00 2.13465E+00 1.76425E+00 1.45751E+00
+ 1.20317E+00 9.91931E-01 8.16478E-01 6.70436E-01 5.49577E-01 4.48501E-01
+ 3.64682E-01 2.95223E-01 2.37830E-01 1.90498E-01 1.51619E-01 1.19785E-01
+ 9.38722E-02 7.28805E-02 5.59530E-02 4.25308E-02 3.18328E-02 2.34493E-02
+ 1.69631E-02 1.20082E-02 8.29010E-03 5.54874E-03 3.58427E-03 2.20536E-03
+ 1.28317E-03 6.91256E-04 3.35831E-04 1.40302E-04 4.66437E-05 1.07506E-05
+ 1.34385E-06 0.00000E+00 3.70078E+06 2.87531E+06 2.20496E+06 1.68972E+06
+ 1.29457E+06 9.91120E+05 7.58602E+05 5.80195E+05 4.43619E+05 3.38925E+05
+ 2.58857E+05 1.97540E+05 1.50696E+05 1.14861E+05 8.75141E+04 6.66181E+04
+ 5.06910E+04 3.85357E+04 2.92827E+04 2.22301E+04 1.68686E+04 1.27877E+04
+ 9.69002E+03 7.33573E+03 5.55128E+03 4.19686E+03 3.17218E+03 2.38667E+03
+ 1.80271E+03 1.36099E+03 1.02773E+03 7.76041E+02 5.86403E+02 4.43708E+02
+ 3.36011E+02 2.54850E+02 1.93785E+02 1.47736E+02 1.13036E+02 8.67927E+01
+ 6.69622E+01 5.18891E+01 4.04154E+01 3.16341E+01 2.48921E+01 1.96823E+01
+ 1.56551E+01 1.24898E+01 1.00216E+01 8.06118E+00 6.51201E+00 5.27613E+00
+ 4.28560E+00 3.48806E+00 2.84327E+00 2.32018E+00 1.89435E+00 1.54688E+00
+ 1.26264E+00 1.02985E+00 8.38865E-01 6.82188E-01 5.53368E-01 4.48089E-01
+ 3.61144E-01 2.89962E-01 2.31736E-01 1.84255E-01 1.45622E-01 1.14322E-01
+ 8.90523E-02 6.87802E-02 5.26027E-02 3.97565E-02 2.97330E-02 2.18768E-02
+ 1.58279E-02 1.12341E-02 7.79333E-03 5.26485E-03 3.44216E-03 2.16760E-03
+ 1.29658E-03 7.31111E-04 3.80069E-04 1.77221E-04 7.05492E-05 2.21942E-05
+ 4.85566E-06 6.09857E-07 0.00000E+00 5.78771E+06 4.46938E+06 3.40334E+06
+ 2.58960E+06 1.96975E+06 1.49708E+06 1.13741E+06 8.63430E+05 6.55176E+05
+ 4.96718E+05 3.76413E+05 2.84985E+05 2.15657E+05 1.63038E+05 1.23191E+05
+ 9.29891E+04 7.01513E+04 5.28666E+04 3.98167E+04 2.99551E+04 2.25219E+04
+ 1.69142E+04 1.26948E+04 9.51745E+03 7.13100E+03 5.33673E+03 3.99225E+03
+ 2.97176E+03 2.22060E+03 1.65823E+03 1.23825E+03 9.24428E+02 6.90452E+02
+ 5.16329E+02 3.86333E+02 2.89476E+02 2.17412E+02 1.63699E+02 1.23685E+02
+ 9.37782E+01 7.14405E+01 5.46636E+01 4.20411E+01 3.24959E+01 2.52526E+01
+ 1.97215E+01 1.54956E+01 1.22129E+01 9.68264E+00 7.69637E+00 6.14461E+00
+ 4.92090E+00 3.95118E+00 3.17931E+00 2.56227E+00 2.06734E+00 1.66896E+00
+ 1.34757E+00 1.08761E+00 8.77118E-01 7.06392E-01 5.67934E-01 4.55398E-01
+ 3.64496E-01 2.90309E-01 2.30298E-01 1.81809E-01 1.42758E-01 1.11387E-01
+ 8.63007E-02 6.63188E-02 5.05090E-02 3.80724E-02 2.83415E-02 2.08653E-02
+ 1.50995E-02 1.07352E-02 7.47975E-03 5.08747E-03 3.36491E-03 2.15014E-03
+ 1.32069E-03 7.68487E-04 4.20247E-04 2.11007E-04 9.45469E-05 3.59386E-05
+ 1.07379E-05 2.24222E-06 2.81765E-07 0.00000E+00 8.94472E+06 6.86365E+06
+ 5.18831E+06 3.91869E+06 2.95836E+06 2.23147E+06 1.68231E+06 1.26716E+06
+ 9.53929E+05 7.17445E+05 5.39259E+05 4.04922E+05 3.03851E+05 2.27767E+05
+ 1.70614E+05 1.27660E+05 9.54476E+04 7.12801E+04 5.31893E+04 3.96414E+04
+ 2.95196E+04 2.19545E+04 1.63144E+04 1.21079E+04 8.97843E+03 6.64874E+03
+ 4.92048E+03 3.62223E+03 2.67651E+03 1.97606E+03 1.45848E+03 1.07605E+03
+ 7.94028E+02 5.86564E+02 4.33424E+02 3.20674E+02 2.37761E+02 1.76711E+02
+ 1.31773E+02 9.85999E+01 7.41222E+01 5.59668E+01 4.24735E+01 3.23976E+01
+ 2.48452E+01 1.91498E+01 1.48516E+01 1.15540E+01 9.04342E+00 7.09686E+00
+ 5.59462E+00 4.42447E+00 3.50843E+00 2.78818E+00 2.21937E+00 1.76869E+00
+ 1.41033E+00 1.12476E+00 8.96604E-01 7.14144E-01 5.67986E-01 4.50936E-01
+ 3.56994E-01 2.82080E-01 2.21733E-01 1.73562E-01 1.35163E-01 1.04662E-01
+ 8.05040E-02 6.14633E-02 4.65225E-02 3.48816E-02 2.58698E-02 1.89339E-02
+ 1.36963E-02 9.72919E-03 6.78311E-03 4.62922E-03 3.07995E-03 1.98952E-03
+ 1.23922E-03 7.40377E-04 4.17848E-04 2.20910E-04 1.06794E-04 4.58428E-05
+ 1.66014E-05 4.70752E-06 9.39038E-07 1.17199E-07 0.00000E+00 1.32434E+07
+ 1.01016E+07 7.58288E+06 5.68716E+06 4.26287E+06 3.19236E+06 2.38917E+06
+ 1.78633E+06 1.33469E+06 9.96215E+05 7.43028E+05 5.53589E+05 4.12119E+05
+ 3.06450E+05 2.27679E+05 1.68951E+05 1.25256E+05 9.27429E+04 6.86027E+04
+ 5.06777E+04 3.73982E+04 2.75600E+04 2.02888E+04 1.49148E+04 1.09528E+04
+ 8.03072E+03 5.88350E+03 4.28624E+03 3.13406E+03 2.28931E+03 1.67135E+03
+ 1.21952E+03 8.89763E+02 6.49800E+02 4.74561E+02 3.46973E+02 2.54182E+02
+ 1.86634E+02 1.37471E+02 1.01599E+02 7.54323E+01 5.62506E+01 4.21584E+01
+ 3.17588E+01 2.40540E+01 1.83115E+01 1.40279E+01 1.07797E+01 8.33540E+00
+ 6.46227E+00 5.03335E+00 3.93322E+00 3.08190E+00 2.42028E+00 1.90380E+00
+ 1.49933E+00 1.18143E+00 9.31065E-01 7.33383E-01 5.77159E-01 4.53507E-01
+ 3.55670E-01 2.78099E-01 2.17002E-01 1.68403E-01 1.30104E-01 9.99732E-02
+ 7.63594E-02 5.79125E-02 4.35776E-02 3.24930E-02 2.39861E-02 1.75034E-02
+ 1.25947E-02 8.95078E-03 6.24000E-03 4.26490E-03 2.84973E-03 1.85354E-03
+ 1.16841E-03 7.08675E-04 4.11261E-04 2.24709E-04 1.14577E-04 5.31584E-05
+ 2.17668E-05 7.46651E-06 1.99352E-06 3.76107E-07 4.61013E-08 0.00000E+00
+ 1.88908E+07 1.43285E+07 1.06852E+07 7.96081E+06 5.92696E+06 4.40842E+06
+ 3.27651E+06 2.43271E+06 1.80477E+06 1.33745E+06 9.90281E+05 7.32375E+05
+ 5.41135E+05 3.99337E+05 2.94402E+05 2.16757E+05 1.59419E+05 1.17086E+05
+ 8.58974E+04 6.29244E+04 4.60408E+04 3.36360E+04 2.45435E+04 1.78809E+04
+ 1.30108E+04 9.45065E+03 6.85805E+03 4.94722E+03 3.58167E+03 2.59002E+03
+ 1.87151E+03 1.35136E+03 9.75458E+02 7.04716E+02 5.09006E+02 3.68013E+02
+ 2.66544E+02 1.93476E+02 1.40863E+02 1.02896E+02 7.55004E+01 5.56408E+01
+ 4.12102E+01 3.06797E+01 2.29638E+01 1.72769E+01 1.30816E+01 9.93544E+00
+ 7.59419E+00 5.81987E+00 4.48122E+00 3.46198E+00 2.68191E+00 2.08238E+00
+ 1.61951E+00 1.26105E+00 9.82440E-01 7.65465E-01 5.96071E-01 4.63717E-01
+ 3.60154E-01 2.79155E-01 2.15682E-01 1.66280E-01 1.27456E-01 9.72367E-02
+ 7.37614E-02 5.55993E-02 4.15984E-02 3.08660E-02 2.26834E-02 1.64943E-02
+ 1.18492E-02 8.38691E-03 5.85897E-03 4.01081E-03 2.68888E-03 1.76006E-03
+ 1.11980E-03 6.89249E-04 4.07330E-04 2.29750E-04 1.21614E-04 5.98485E-05
+ 2.66707E-05 1.04281E-05 3.39299E-06 8.54118E-07 1.52142E-07 1.79554E-08
+ 0.00000E+00 2.60947E+07 1.96879E+07 1.45903E+07 1.08018E+07 7.99069E+06
+ 5.90505E+06 4.36010E+06 3.21582E+06 2.36969E+06 1.74415E+06 1.28249E+06
+ 9.41850E+05 6.90961E+05 5.06233E+05 3.70474E+05 2.70740E+05 1.97618E+05
+ 1.44029E+05 1.04838E+05 7.61906E+04 5.52969E+04 4.00666E+04 2.89910E+04
+ 2.09413E+04 1.51051E+04 1.08746E+04 7.82016E+03 5.58869E+03 4.00814E+03
+ 2.87078E+03 2.05418E+03 1.46857E+03 1.04935E+03 7.50338E+02 5.36292E+02
+ 3.83633E+02 2.74869E+02 1.97350E+02 1.42105E+02 1.02653E+02 7.44835E+01
+ 5.42780E+01 3.97501E+01 2.92614E+01 2.16571E+01 1.61119E+01 1.20643E+01
+ 9.06112E+00 6.84987E+00 5.19178E+00 3.95402E+00 3.02155E+00 2.31540E+00
+ 1.77840E+00 1.36820E+00 1.05388E+00 8.12177E-01 6.25953E-01 4.82128E-01
+ 3.70966E-01 2.84935E-01 2.18388E-01 1.66821E-01 1.27138E-01 9.63126E-02
+ 7.25993E-02 5.43996E-02 4.04913E-02 2.99049E-02 2.18948E-02 1.58695E-02
+ 1.13750E-02 8.05032E-03 5.60927E-03 3.85494E-03 2.59347E-03 1.70696E-03
+ 1.09560E-03 6.82521E-04 4.10650E-04 2.36744E-04 1.29954E-04 6.67396E-05
+ 3.17516E-05 1.36177E-05 5.09608E-06 1.57709E-06 3.75089E-07 6.28481E-08
+ 6.92347E-09 0.00000E+00 3.50495E+07 2.63112E+07 1.93825E+07 1.42634E+07
+ 1.04871E+07 7.70210E+06 5.65141E+06 4.14188E+06 3.03250E+06 2.21751E+06
+ 1.61979E+06 1.18162E+06 8.60978E+05 6.26460E+05 4.55253E+05 3.30339E+05
+ 2.39380E+05 1.73189E+05 1.25124E+05 9.02453E+04 6.49922E+04 4.67226E+04
+ 3.35369E+04 2.40280E+04 1.71877E+04 1.22691E+04 8.74701E+03 6.19544E+03
+ 4.40353E+03 3.12525E+03 2.21547E+03 1.56891E+03 1.11022E+03 7.86107E+02
+ 5.56248E+02 3.93884E+02 2.79315E+02 1.98461E+02 1.41404E+02 1.01068E+02
+ 7.25529E+01 5.23069E+01 3.78965E+01 2.75986E+01 2.02082E+01 1.48738E+01
+ 1.10195E+01 8.18869E+00 6.12552E+00 4.59412E+00 3.46248E+00 2.61857E+00
+ 1.98592E+00 1.50967E+00 1.14954E+00 8.76378E-01 6.68453E-01 5.09884E-01
+ 3.88673E-01 2.95951E-01 2.24937E-01 1.70580E-01 1.28906E-01 9.71792E-02
+ 7.28029E-02 5.42592E-02 4.01891E-02 2.95611E-02 2.15680E-02 1.55938E-02
+ 1.11567E-02 7.88998E-03 5.50621E-03 3.78063E-03 2.55879E-03 1.69377E-03
+ 1.09583E-03 6.90610E-04 4.21892E-04 2.48537E-04 1.40037E-04 7.49653E-05
+ 3.74428E-05 1.72696E-05 7.15211E-06 2.57190E-06 7.60452E-07 1.71481E-07
+ 2.68935E-08 2.64088E-09 0.00000E+00 4.59258E+07 3.43107E+07 2.51311E+07
+ 1.83870E+07 1.34399E+07 9.81244E+06 7.15670E+06 5.21331E+06 3.79346E+06
+ 2.75670E+06 2.00091E+06 1.45030E+06 1.04988E+06 7.58872E+05 5.47781E+05
+ 3.94779E+05 2.84098E+05 2.04102E+05 1.46404E+05 1.04828E+05 7.49362E+04
+ 5.34667E+04 3.80839E+04 2.70732E+04 1.92120E+04 1.36028E+04 9.61784E+03
+ 6.75417E+03 4.75950E+03 3.34841E+03 2.35253E+03 1.65088E+03 1.15743E+03
+ 8.11859E+02 5.68980E+02 3.98996E+02 2.80157E+02 1.97081E+02 1.39011E+02
+ 9.83518E+01 6.98848E+01 4.98691E+01 3.57607E+01 2.57770E+01 1.86819E+01
+ 1.36104E+01 9.98187E+00 7.34266E+00 5.43786E+00 4.03769E+00 3.01304E+00
+ 2.25628E+00 1.69442E+00 1.27553E+00 9.61821E-01 7.26154E-01 5.48501E-01
+ 4.14325E-01 3.12756E-01 2.35815E-01 1.77467E-01 1.33246E-01 9.96818E-02
+ 7.43870E-02 5.51520E-02 4.06720E-02 2.98024E-02 2.16808E-02 1.56408E-02
+ 1.11777E-02 7.90194E-03 5.51926E-03 3.80247E-03 2.57589E-03 1.71920E-03
+ 1.12130E-03 7.14229E-04 4.42731E-04 2.65732E-04 1.53603E-04 8.47922E-05
+ 4.43910E-05 2.16341E-05 9.71087E-06 3.90151E-06 1.35560E-06 3.85371E-07
+ 8.28458E-08 1.21174E-08 9.95135E-10 0.00000E+00 5.88612E+07 4.37728E+07
+ 3.18856E+07 2.31995E+07 1.68621E+07 1.22410E+07 8.87646E+06 6.42838E+06
+ 4.64992E+06 3.35885E+06 2.42315E+06 1.74554E+06 1.25569E+06 9.01892E+05
+ 6.46823E+05 4.63113E+05 3.31059E+05 2.36236E+05 1.68290E+05 1.19659E+05
+ 8.49308E+04 6.01605E+04 4.25365E+04 3.00121E+04 2.11348E+04 1.48475E+04
+ 1.04147E+04 7.25389E+03 5.06955E+03 3.53665E+03 2.46353E+03 1.71375E+03
+ 1.19085E+03 8.27789E+02 5.74823E+02 3.99346E+02 2.77759E+02 1.93533E+02
+ 1.35194E+02 9.47243E+01 6.66518E+01 4.70976E+01 3.34429E+01 2.38710E+01
+ 1.71321E+01 1.23602E+01 8.97792E+00 6.54066E+00 4.79800E+00 3.52886E+00
+ 2.60867E+00 1.93530E+00 1.43994E+00 1.07400E+00 8.02443E-01 6.00300E-01
+ 4.49309E-01 3.36309E-01 2.51552E-01 1.87936E-01 1.40137E-01 1.04246E-01
+ 7.72602E-02 5.71141E-02 4.19412E-02 3.06297E-02 2.22227E-02 1.60041E-02
+ 1.14269E-02 8.08014E-03 5.65025E-03 3.90237E-03 2.65743E-03 1.77852E-03
+ 1.17224E-03 7.54542E-04 4.74008E-04 2.89560E-04 1.71126E-04 9.72954E-05
+ 5.27662E-05 2.71014E-05 1.29356E-05 5.67558E-06 2.22372E-06 7.51199E-07
+ 2.06799E-07 4.26879E-08 5.82787E-09 3.69428E-10 0.00000E+00 7.39523E+07
+ 5.47532E+07 3.96727E+07 2.87107E+07 2.07545E+07 1.49841E+07 1.08051E+07
+ 7.78111E+06 5.59628E+06 4.01911E+06 2.88247E+06 2.06409E+06 1.47590E+06
+ 1.05357E+06 7.50915E+05 5.34256E+05 3.79469E+05 2.69020E+05 1.90378E+05
+ 1.34454E+05 9.47794E+04 6.66698E+04 4.68049E+04 3.27855E+04 2.29181E+04
+ 1.59793E+04 1.11232E+04 7.68623E+03 5.32914E+03 3.68777E+03 2.54767E+03
+ 1.75746E+03 1.21080E+03 8.34388E+02 5.74301E+02 3.95422E+02 2.72541E+02
+ 1.88161E+02 1.30229E+02 9.03985E+01 6.30151E+01 4.41120E+01 3.10303E+01
+ 2.19426E+01 1.56020E+01 1.11524E+01 8.02670E+00 5.79433E+00 4.21236E+00
+ 3.07038E+00 2.24968E+00 1.65434E+00 1.22020E+00 9.02244E-01 6.68334E-01
+ 4.95708E-01 3.67872E-01 2.73019E-01 2.02484E-01 1.49995E-01 1.10896E-01
+ 8.17916E-02 6.00980E-02 4.40443E-02 3.20606E-02 2.32065E-02 1.66858E-02
+ 1.19068E-02 8.42228E-03 5.89887E-03 4.08475E-03 2.79287E-03 1.88225E-03
+ 1.24623E-03 8.12365E-04 5.16867E-04 3.20793E-04 1.93491E-04 1.12832E-04
+ 6.32506E-05 3.37912E-05 1.70792E-05 8.01218E-06 3.45036E-06 1.32473E-06
+ 4.37556E-07 1.17416E-07 2.34488E-08 3.00799E-09 1.34340E-10 0.00000E+00
+ 6.40992E+03 7.60848E+03 6.29054E+03 5.20245E+03 4.30396E+03 3.56190E+03
+ 2.94889E+03 2.44238E+03 2.02376E+03 1.67769E+03 1.39151E+03 1.15479E+03
+ 9.58908E+02 7.96770E+02 6.62509E+02 5.51287E+02 4.59111E+02 3.82685E+02
+ 3.19286E+02 2.66668E+02 2.22974E+02 1.86670E+02 1.56488E+02 1.31381E+02
+ 1.10483E+02 9.30778E+01 7.85722E+01 6.63194E+01 5.62559E+01 4.78532E+01
+ 4.08334E+01 3.49661E+01 3.00596E+01 2.59661E+01 2.25309E+01 1.96554E+01
+ 1.72463E+01 1.52258E+01 1.35281E+01 1.20974E+01 1.08893E+01 9.86240E+00
+ 8.98463E+00 8.22855E+00 7.57154E+00 6.99508E+00 6.48597E+00 6.02733E+00
+ 5.61532E+00 5.23747E+00 4.89177E+00 4.57200E+00 4.27408E+00 3.99426E+00
+ 3.72918E+00 3.47592E+00 3.23229E+00 2.99690E+00 2.76912E+00 2.54889E+00
+ 2.33652E+00 2.13248E+00 1.93725E+00 1.75212E+00 1.57554E+00 1.40897E+00
+ 1.25259E+00 1.10655E+00 9.70867E-01 8.45531E-01 7.30446E-01 6.25458E-01
+ 5.30298E-01 4.44628E-01 3.68863E-01 3.01506E-01 2.42697E-01 1.91952E-01
+ 1.48758E-01 1.12565E-01 8.27975E-02 5.88868E-02 4.00752E-02 2.58903E-02
+ 1.55945E-02 8.53746E-03 4.07070E-03 1.56036E-03 4.01710E-04 3.90832E-05
+ 0.00000E+00 1.78789E+04 2.39555E+04 1.91167E+04 1.52601E+04 1.21882E+04
+ 9.73832E+03 7.78583E+03 6.22766E+03 4.98500E+03 3.99252E+03 3.20038E+03
+ 2.56714E+03 2.06126E+03 1.65643E+03 1.33267E+03 1.07325E+03 8.65530E+02
+ 6.98843E+02 5.65172E+02 4.57731E+02 3.71428E+02 3.01926E+02 2.45982E+02
+ 2.00829E+02 1.64397E+02 1.34930E+02 1.11091E+02 9.15038E+01 7.58624E+01
+ 6.31276E+01 5.27645E+01 4.42985E+01 3.73853E+01 3.17324E+01 2.70873E+01
+ 2.32645E+01 2.01184E+01 1.75155E+01 1.53600E+01 1.35625E+01 1.20620E+01
+ 1.07968E+01 9.72523E+00 8.80822E+00 8.01798E+00 7.32928E+00 6.72619E+00
+ 6.18707E+00 5.70731E+00 5.27099E+00 4.87565E+00 4.51309E+00 4.17855E+00
+ 3.86729E+00 3.57570E+00 3.30046E+00 3.03936E+00 2.79081E+00 2.55402E+00
+ 2.32860E+00 2.11455E+00 1.91194E+00 1.72080E+00 1.54206E+00 1.37381E+00
+ 1.21716E+00 1.07196E+00 9.38055E-01 8.15187E-01 7.03085E-01 6.01397E-01
+ 5.09778E-01 4.27783E-01 3.54867E-01 2.91205E-01 2.35338E-01 1.87204E-01
+ 1.46244E-01 1.11870E-01 8.35020E-02 6.05404E-02 4.24013E-02 2.83734E-02
+ 1.79971E-02 1.06199E-02 5.68119E-03 2.63677E-03 9.79407E-04 2.44359E-04
+ 2.40346E-05 0.00000E+00 5.79087E+04 4.59776E+04 3.61508E+04 2.84283E+04
+ 2.23630E+04 1.75953E+04 1.38497E+04 1.09047E+04 8.59029E+03 6.76975E+03
+ 5.33849E+03 4.21200E+03 3.32591E+03 2.62801E+03 2.07865E+03 1.64556E+03
+ 1.30434E+03 1.03504E+03 8.22598E+02 6.54701E+02 5.22072E+02 4.17070E+02
+ 3.33964E+02 2.68026E+02 2.15718E+02 1.74124E+02 1.41041E+02 1.14309E+02
+ 9.33108E+01 7.64896E+01 6.30153E+01 5.21756E+01 4.34536E+01 3.64221E+01
+ 3.07211E+01 2.60882E+01 2.23200E+01 1.92358E+01 1.67070E+01 1.46170E+01
+ 1.28864E+01 1.14379E+01 1.02194E+01 9.18316E+00 8.29563E+00 7.52678E+00
+ 6.85760E+00 6.26308E+00 5.73740E+00 5.26234E+00 4.83465E+00 4.44491E+00
+ 4.08764E+00 3.75751E+00 3.45055E+00 3.16322E+00 2.89312E+00 2.63850E+00
+ 2.39836E+00 2.17206E+00 1.95930E+00 1.75989E+00 1.57352E+00 1.40085E+00
+ 1.23977E+00 1.09112E+00 9.54528E-01 8.29651E-01 7.16045E-01 6.13280E-01
+ 5.20855E-01 4.38304E-01 3.65079E-01 3.00526E-01 2.44672E-01 1.96110E-01
+ 1.54663E-01 1.19742E-01 9.07327E-02 6.70568E-02 4.80983E-02 3.33033E-02
+ 2.20063E-02 1.37674E-02 7.99915E-03 4.20451E-03 1.91147E-03 6.92815E-04
+ 1.68540E-04 1.67267E-05 0.00000E+00 9.84065E+04 7.74248E+04 6.02513E+04
+ 4.68859E+04 3.64914E+04 2.84020E+04 2.21110E+04 1.72152E+04 1.34078E+04
+ 1.04445E+04 8.13975E+03 6.34560E+03 4.94988E+03 3.86300E+03 3.01718E+03
+ 2.35816E+03 1.84502E+03 1.44490E+03 1.13309E+03 8.89710E+02 6.99845E+02
+ 5.51443E+02 4.35485E+02 3.44682E+02 2.73583E+02 2.17797E+02 1.74014E+02
+ 1.39105E+02 1.12047E+02 9.06564E+01 7.37431E+01 6.03110E+01 4.96363E+01
+ 4.11351E+01 3.43216E+01 2.88461E+01 2.44385E+01 2.08662E+01 1.79633E+01
+ 1.55841E+01 1.36289E+01 1.20038E+01 1.06455E+01 9.49735E+00 8.51964E+00
+ 7.67751E+00 6.94866E+00 6.30483E+00 5.73882E+00 5.23027E+00 4.77507E+00
+ 4.36267E+00 3.98686E+00 3.64178E+00 3.32310E+00 3.02703E+00 2.75096E+00
+ 2.49294E+00 2.25175E+00 2.02648E+00 1.81656E+00 1.62153E+00 1.44077E+00
+ 1.27470E+00 1.12104E+00 9.80380E-01 8.52168E-01 7.35885E-01 6.30938E-01
+ 5.36764E-01 4.52741E-01 3.78306E-01 3.12833E-01 2.55588E-01 2.06484E-01
+ 1.64165E-01 1.28376E-01 9.85084E-02 7.39413E-02 5.40976E-02 3.83802E-02
+ 2.62630E-02 1.71288E-02 1.05621E-02 6.03662E-03 3.11319E-03 1.38345E-03
+ 4.87700E-04 1.15151E-04 1.15512E-05 0.00000E+00 1.53814E+05 1.20168E+05
+ 9.27614E+04 7.15941E+04 5.52588E+04 4.26454E+04 3.29140E+04 2.54017E+04
+ 1.96073E+04 1.51350E+04 1.16860E+04 9.02417E+03 6.97153E+03 5.38732E+03
+ 4.16560E+03 3.22249E+03 2.49501E+03 1.93319E+03 1.49961E+03 1.16455E+03
+ 9.05784E+02 7.05609E+02 5.50819E+02 4.30897E+02 3.38002E+02 2.65909E+02
+ 2.09951E+02 1.65832E+02 1.32016E+02 1.05584E+02 8.49147E+01 6.86818E+01
+ 5.59196E+01 4.58647E+01 3.78878E+01 3.15413E+01 2.64801E+01 2.24147E+01
+ 1.91381E+01 1.64735E+01 1.42993E+01 1.25040E+01 1.10125E+01 9.75907E+00
+ 8.69750E+00 7.78812E+00 7.00516E+00 6.31727E+00 5.71570E+00 5.17812E+00
+ 4.69948E+00 4.26822E+00 3.87740E+00 3.52066E+00 3.19330E+00 2.89127E+00
+ 2.61174E+00 2.35254E+00 2.11219E+00 1.88953E+00 1.68371E+00 1.49402E+00
+ 1.31958E+00 1.16054E+00 1.01449E+00 8.81827E-01 7.61803E-01 6.53762E-01
+ 5.56984E-01 4.70795E-01 3.94480E-01 3.27396E-01 2.68856E-01 2.18076E-01
+ 1.74873E-01 1.37953E-01 1.07002E-01 8.14057E-02 6.05515E-02 4.38755E-02
+ 3.08040E-02 2.08424E-02 1.34249E-02 8.16466E-03 4.59377E-03 2.32659E-03
+ 1.01184E-03 3.47555E-04 7.98558E-05 8.09202E-06 0.00000E+00 1.61644E+05
+ 1.76490E+05 1.35315E+05 1.03718E+05 7.94935E+04 6.09118E+04 4.66721E+04
+ 3.57543E+04 2.73914E+04 2.09820E+04 1.60743E+04 1.23142E+04 9.43603E+03
+ 7.23139E+03 5.54416E+03 4.25188E+03 3.26293E+03 2.50538E+03 1.92556E+03
+ 1.48126E+03 1.14105E+03 8.80184E+02 6.80249E+02 5.26763E+02 4.08959E+02
+ 3.18393E+02 2.48766E+02 1.94404E+02 1.53142E+02 1.21208E+02 9.64789E+01
+ 7.72493E+01 6.22757E+01 5.05922E+01 4.14082E+01 3.41678E+01 2.84428E+01
+ 2.38824E+01 2.02346E+01 1.72898E+01 1.49026E+01 1.29440E+01 1.13259E+01
+ 9.97373E+00 8.83435E+00 7.86334E+00 7.03144E+00 6.30423E+00 5.67141E+00
+ 5.10878E+00 4.61033E+00 4.16356E+00 3.76080E+00 3.39525E+00 3.06181E+00
+ 2.75619E+00 2.47531E+00 2.21676E+00 1.97880E+00 1.76003E+00 1.55932E+00
+ 1.37571E+00 1.20809E+00 1.05638E+00 9.18061E-01 7.93314E-01 6.81262E-01
+ 5.81118E-01 4.92056E-01 4.13311E-01 3.44095E-01 2.83704E-01 2.31405E-01
+ 1.86383E-01 1.48382E-01 1.16171E-01 8.93941E-02 6.74449E-02 4.97263E-02
+ 3.56945E-02 2.48069E-02 1.66017E-02 1.05648E-02 6.33969E-03 3.51325E-03
+ 1.74853E-03 7.44870E-04 2.49651E-04 5.59506E-05 5.72394E-06 0.00000E+00
+ 3.42824E+05 2.64644E+05 2.01484E+05 1.53345E+05 1.16683E+05 8.87555E+04
+ 6.75003E+04 5.13196E+04 3.90127E+04 2.96497E+04 2.25326E+04 1.71211E+04
+ 1.30099E+04 9.88547E+03 7.51296E+03 5.71057E+03 4.34241E+03 3.30324E+03
+ 2.51454E+03 1.91550E+03 1.46083E+03 1.11538E+03 8.53035E+02 6.53558E+02
+ 5.01910E+02 3.86471E+02 2.98604E+02 2.30704E+02 1.79692E+02 1.40629E+02
+ 1.10688E+02 8.76529E+01 6.98990E+01 5.61910E+01 4.55218E+01 3.71947E+01
+ 3.06712E+01 2.55225E+01 2.14385E+01 1.81686E+01 1.55371E+01 1.33934E+01
+ 1.16336E+01 1.01724E+01 8.94812E+00 7.91089E+00 7.02717E+00 6.25907E+00
+ 5.59435E+00 5.00676E+00 4.48914E+00 4.02792E+00 3.61463E+00 3.24196E+00
+ 2.90435E+00 2.59721E+00 2.31712E+00 2.06142E+00 1.82803E+00 1.61526E+00
+ 1.42169E+00 1.24609E+00 1.08708E+00 9.44332E-01 8.15236E-01 6.99745E-01
+ 5.96842E-01 5.05616E-01 4.25143E-01 3.54572E-01 2.93054E-01 2.39829E-01
+ 1.94131E-01 1.55130E-01 1.22503E-01 9.51002E-02 7.25365E-02 5.42224E-02
+ 3.95901E-02 2.81267E-02 1.93321E-02 1.27852E-02 8.03121E-03 4.75142E-03
+ 2.59171E-03 1.26700E-03 5.28765E-04 1.73154E-04 3.79777E-05 3.91896E-06
+ 0.00000E+00 4.96800E+05 3.81407E+05 2.88536E+05 2.18185E+05 1.64937E+05
+ 1.24629E+05 9.41441E+04 7.10870E+04 5.36634E+04 4.04955E+04 3.05529E+04
+ 2.30446E+04 1.73797E+04 1.31049E+04 9.88184E+03 7.45123E+03 5.61976E+03
+ 4.23925E+03 3.19949E+03 2.41599E+03 1.82603E+03 1.38147E+03 1.04665E+03
+ 7.94238E+02 6.04002E+02 4.60466E+02 3.52196E+02 2.69304E+02 2.07608E+02
+ 1.60810E+02 1.25277E+02 9.82025E+01 7.75303E+01 6.17210E+01 4.95284E+01
+ 4.00993E+01 3.27759E+01 2.70449E+01 2.25342E+01 1.89501E+01 1.60854E+01
+ 1.37672E+01 1.18755E+01 1.03140E+01 9.01288E+00 7.91655E+00 6.98738E+00
+ 6.18410E+00 5.49260E+00 4.88469E+00 4.35207E+00 3.88021E+00 3.45985E+00
+ 3.08319E+00 2.74423E+00 2.43807E+00 2.16097E+00 1.90996E+00 1.68268E+00
+ 1.47715E+00 1.29167E+00 1.12474E+00 9.74783E-01 8.41217E-01 7.21376E-01
+ 6.15011E-01 5.20988E-01 4.38298E-01 3.65937E-01 3.02994E-01 2.48575E-01
+ 2.01888E-01 1.62146E-01 1.28522E-01 1.00645E-01 7.74481E-02 5.85319E-02
+ 4.33324E-02 3.13165E-02 2.20070E-02 1.49485E-02 9.76098E-03 6.04596E-03
+ 3.52169E-03 1.88748E-03 9.04295E-04 3.68586E-04 1.17438E-04 2.50880E-05
+ 2.61661E-06 0.00000E+00 6.97366E+05 5.32680E+05 4.00596E+05 3.01114E+05
+ 2.26248E+05 1.69907E+05 1.27547E+05 9.56995E+04 7.17786E+04 5.38115E+04
+ 4.03293E+04 3.02125E+04 2.26282E+04 1.69424E+04 1.26838E+04 9.49394E+03
+ 7.10674E+03 5.31993E+03 3.98367E+03 2.98407E+03 2.23690E+03 1.67813E+03
+ 1.26050E+03 9.48145E+02 7.14599E+02 5.39813E+02 4.09065E+02 3.09817E+02
+ 2.36582E+02 1.81517E+02 1.40068E+02 1.08767E+02 8.50740E+01 6.71142E+01
+ 5.33801E+01 4.28491E+01 3.47352E+01 2.84356E+01 2.35133E+01 1.96298E+01
+ 1.65456E+01 1.40652E+01 1.20525E+01 1.04003E+01 9.03062E+00 7.88251E+00
+ 6.91430E+00 6.08155E+00 5.36830E+00 4.74459E+00 4.20101E+00 3.72214E+00
+ 3.29797E+00 2.92026E+00 2.58256E+00 2.27968E+00 2.00753E+00 1.76289E+00
+ 1.54307E+00 1.34583E+00 1.16922E+00 1.01151E+00 8.70918E-01 7.46658E-01
+ 6.36029E-01 5.38599E-01 4.53146E-01 3.78580E-01 3.13846E-01 2.57987E-01
+ 2.10087E-01 1.69333E-01 1.34937E-01 1.06086E-01 8.23807E-02 6.28370E-02
+ 4.70530E-02 3.44973E-02 2.46760E-02 1.71509E-02 1.15126E-02 7.42159E-03
+ 4.53234E-03 2.59895E-03 1.36847E-03 6.42431E-04 2.55704E-04 7.92666E-05
+ 1.64985E-05 1.73949E-06 0.00000E+00 9.53809E+05 7.25094E+05 5.42257E+05
+ 4.05298E+05 3.02788E+05 2.26069E+05 1.68710E+05 1.25830E+05 9.38066E+04
+ 6.98933E+04 5.20543E+04 3.87483E+04 2.88334E+04 2.14461E+04 1.59476E+04
+ 1.18551E+04 8.81207E+03 6.54938E+03 4.86850E+03 3.61966E+03 2.69263E+03
+ 2.00426E+03 1.49346E+03 1.11423E+03 8.32791E+02 6.23757E+02 4.68607E+02
+ 3.51775E+02 2.66257E+02 2.02481E+02 1.54864E+02 1.19202E+02 9.24282E+01
+ 7.22991E+01 5.70282E+01 4.54114E+01 3.65279E+01 2.96814E+01 2.43683E+01
+ 2.02039E+01 1.69163E+01 1.42877E+01 1.21658E+01 1.04331E+01 9.00373E+00
+ 7.81135E+00 6.81061E+00 5.95408E+00 5.22405E+00 4.58894E+00 4.03829E+00
+ 3.55586E+00 3.13097E+00 2.75492E+00 2.42087E+00 2.12331E+00 1.85785E+00
+ 1.62098E+00 1.40973E+00 1.22163E+00 1.05446E+00 9.06333E-01 7.75267E-01
+ 6.60303E-01 5.58728E-01 4.69955E-01 3.92693E-01 3.25797E-01 2.68177E-01
+ 2.18852E-01 1.76897E-01 1.41495E-01 1.11870E-01 8.72344E-02 6.71721E-02
+ 5.07847E-02 3.76769E-02 2.73545E-02 1.93653E-02 1.33118E-02 8.82959E-03
+ 5.61907E-03 3.38308E-03 1.90961E-03 9.87786E-04 4.54363E-04 1.76621E-04
+ 5.32934E-05 1.08196E-05 1.15298E-06 0.00000E+00 1.27607E+06 9.65687E+05
+ 7.18334E+05 5.34011E+05 3.96770E+05 2.94603E+05 2.18624E+05 1.62132E+05
+ 1.20173E+05 8.90144E+04 6.59011E+04 4.87594E+04 3.60599E+04 2.66535E+04
+ 1.96936E+04 1.45448E+04 1.07398E+04 7.92829E+03 5.85289E+03 4.32093E+03
+ 3.19119E+03 2.35792E+03 1.74381E+03 1.29104E+03 9.57408E+02 7.11380E+02
+ 5.30115E+02 3.94647E+02 2.96241E+02 2.23417E+02 1.69461E+02 1.29365E+02
+ 9.94938E+01 7.72085E+01 6.04279E+01 4.77573E+01 3.81360E+01 3.07719E+01
+ 2.50934E+01 2.06700E+01 1.71974E+01 1.44358E+01 1.22176E+01 1.04151E+01
+ 8.93492E+00 7.70589E+00 6.67912E+00 5.80441E+00 5.06245E+00 4.42020E+00
+ 3.86620E+00 3.38346E+00 2.96070E+00 2.58881E+00 2.26054E+00 1.97011E+00
+ 1.71282E+00 1.48489E+00 1.28311E+00 1.10477E+00 9.47463E-01 8.09101E-01
+ 6.87584E-01 5.81789E-01 4.89016E-01 4.08547E-01 3.39047E-01 2.79333E-01
+ 2.28299E-01 1.84957E-01 1.48388E-01 1.17784E-01 9.23909E-02 7.14546E-02
+ 5.45570E-02 4.08816E-02 3.00484E-02 2.16027E-02 1.51350E-02 1.02888E-02
+ 6.74308E-03 4.23593E-03 2.51411E-03 1.39682E-03 7.09757E-04 3.19883E-04
+ 1.21454E-04 3.56884E-05 7.07539E-06 7.61930E-07 0.00000E+00 1.67452E+06
+ 1.26172E+06 9.33727E+05 6.90542E+05 5.10382E+05 3.76948E+05 2.78227E+05
+ 2.05209E+05 1.51261E+05 1.11414E+05 8.20146E+04 6.03307E+04 4.43552E+04
+ 3.25890E+04 2.39327E+04 1.75662E+04 1.28890E+04 9.45362E+03 6.93316E+03
+ 5.08421E+03 3.72926E+03 2.73630E+03 2.00925E+03 1.47678E+03 1.08706E+03
+ 8.01627E+02 5.92807E+02 4.37865E+02 3.26125E+02 2.44037E+02 1.83657E+02
+ 1.39119E+02 1.06178E+02 8.17814E+01 6.35403E+01 4.98628E+01 3.95456E+01
+ 3.16997E+01 2.56857E+01 2.10277E+01 1.73900E+01 1.45117E+01 1.22105E+01
+ 1.03491E+01 8.82722E+00 7.56912E+00 6.52271E+00 5.63532E+00 4.88612E+00
+ 4.24078E+00 3.68693E+00 3.20693E+00 2.78893E+00 2.42343E+00 2.10284E+00
+ 1.82109E+00 1.57322E+00 1.35519E+00 1.16356E+00 9.95424E-01 8.48200E-01
+ 7.19656E-01 6.07585E-01 5.10731E-01 4.26429E-01 3.53854E-01 2.91646E-01
+ 2.38604E-01 1.93624E-01 1.55723E-01 1.24002E-01 9.76722E-02 7.60091E-02
+ 5.83014E-02 4.41367E-02 3.27787E-02 2.38678E-02 1.69906E-02 1.17797E-02
+ 7.91877E-03 5.12756E-03 3.17931E-03 1.86004E-03 1.01711E-03 5.07646E-04
+ 2.24169E-04 8.31448E-05 2.38036E-05 4.61355E-06 5.01958E-07 0.00000E+00
+ 2.15966E+06 1.62047E+06 1.19327E+06 8.78075E+05 6.45701E+05 4.74446E+05
+ 3.48372E+05 2.55595E+05 1.87396E+05 1.37284E+05 1.00503E+05 7.35199E+04
+ 5.37461E+04 3.92619E+04 2.86646E+04 2.09143E+04 1.52528E+04 1.11185E+04
+ 8.10296E+03 5.90404E+03 4.30236E+03 3.13582E+03 2.28701E+03 1.66933E+03
+ 1.22016E+03 8.93345E+02 6.55850E+02 4.80840E+02 3.55497E+02 2.64055E+02
+ 1.97260E+02 1.48335E+02 1.12398E+02 8.59651E+01 6.63331E+01 5.17092E+01
+ 4.07469E+01 3.24604E+01 2.61442E+01 2.12781E+01 1.74966E+01 1.45184E+01
+ 1.21478E+01 1.02385E+01 8.68390E+00 7.40420E+00 6.34437E+00 5.44958E+00
+ 4.69760E+00 4.05300E+00 3.50259E+00 3.02812E+00 2.61726E+00 2.26015E+00
+ 1.94890E+00 1.67715E+00 1.43970E+00 1.23231E+00 1.05131E+00 8.93645E-01
+ 7.56583E-01 6.37778E-01 5.34945E-01 4.46721E-01 3.70496E-01 3.05361E-01
+ 2.49949E-01 2.03061E-01 1.63605E-01 1.30619E-01 1.03232E-01 8.06861E-02
+ 6.22918E-02 4.73848E-02 3.55666E-02 2.61775E-02 1.88823E-02 1.33088E-02
+ 9.13039E-03 6.06906E-03 3.88243E-03 2.37588E-03 1.37004E-03 7.37281E-04
+ 3.61434E-04 1.56377E-04 5.66680E-05 1.58141E-05 2.99962E-06 3.29670E-07
+ 0.00000E+00 2.74182E+06 2.04898E+06 1.50156E+06 1.09957E+06 8.04613E+05
+ 5.88277E+05 4.29782E+05 3.13719E+05 2.28824E+05 1.66757E+05 1.21433E+05
+ 8.83526E+04 6.42366E+04 4.66652E+04 3.38776E+04 2.45763E+04 1.78190E+04
+ 1.29122E+04 9.35340E+03 6.77331E+03 4.90493E+03 3.55224E+03 2.57392E+03
+ 1.86636E+03 1.35504E+03 9.85323E+02 7.18393E+02 5.22983E+02 3.83956E+02
+ 2.83204E+02 2.10093E+02 1.56899E+02 1.18082E+02 8.97165E+01 6.87817E+01
+ 5.32838E+01 4.17341E+01 3.30528E+01 2.64703E+01 2.14242E+01 1.75205E+01
+ 1.44596E+01 1.20332E+01 1.00868E+01 8.50842E+00 7.21435E+00 6.14710E+00
+ 5.24993E+00 4.49939E+00 3.85913E+00 3.31517E+00 2.84877E+00 2.44717E+00
+ 2.10020E+00 1.79967E+00 1.53900E+00 1.31278E+00 1.11654E+00 9.46493E-01
+ 7.99404E-01 6.72451E-01 5.63194E-01 4.69302E-01 3.89331E-01 3.20740E-01
+ 2.62560E-01 2.13435E-01 1.72180E-01 1.37731E-01 1.09156E-01 8.56205E-02
+ 6.64032E-02 5.08562E-02 3.83646E-02 2.85495E-02 2.08237E-02 1.48789E-02
+ 1.03828E-02 7.04796E-03 4.63209E-03 2.92724E-03 1.76786E-03 1.00472E-03
+ 5.32070E-04 2.56179E-04 1.08598E-04 3.84560E-05 1.04660E-05 1.94479E-06
+ 2.15863E-07 0.00000E+00 6.44000E+03 7.49755E+03 6.19153E+03 5.11410E+03
+ 4.22513E+03 3.49156E+03 2.88614E+03 2.38641E+03 1.97384E+03 1.63317E+03
+ 1.35181E+03 1.11939E+03 9.27348E+02 7.68631E+02 6.37422E+02 5.28920E+02
+ 4.39168E+02 3.64902E+02 3.03426E+02 2.52519E+02 2.10347E+02 1.75396E+02
+ 1.46416E+02 1.22375E+02 1.02422E+02 8.58535E+01 7.20870E+01 6.04949E+01
+ 5.10040E+01 4.31038E+01 3.65238E+01 3.10398E+01 2.64660E+01 2.26592E+01
+ 1.94708E+01 1.68059E+01 1.45756E+01 1.27056E+01 1.11342E+01 9.80914E+00
+ 8.68900E+00 7.73590E+00 6.92041E+00 6.21770E+00 5.60726E+00 5.07228E+00
+ 4.60061E+00 4.17645E+00 3.79583E+00 3.44673E+00 3.12689E+00 2.83070E+00
+ 2.55524E+00 2.29882E+00 2.06067E+00 1.84054E+00 1.63823E+00 1.45334E+00
+ 1.28513E+00 1.13260E+00 9.94609E-01 8.69991E-01 7.57648E-01 6.57017E-01
+ 5.66159E-01 4.84912E-01 4.12544E-01 3.48381E-01 2.91799E-01 2.42210E-01
+ 1.99052E-01 1.61788E-01 1.29878E-01 1.02800E-01 8.02841E-02 6.15224E-02
+ 4.62292E-02 3.39634E-02 2.43079E-02 1.68716E-02 1.12904E-02 7.23492E-03
+ 4.37978E-03 2.47922E-03 1.28201E-03 5.85989E-04 2.24051E-04 6.46126E-05
+ 1.11397E-05 5.46004E-07 0.00000E+00 1.79126E+04 2.38287E+04 1.90035E+04
+ 1.51590E+04 1.20980E+04 9.65784E+03 7.71400E+03 6.16358E+03 4.92782E+03
+ 3.94150E+03 3.15486E+03 2.52653E+03 2.02503E+03 1.62410E+03 1.30382E+03
+ 1.04751E+03 8.42553E+02 6.78332E+02 5.46855E+02 4.41369E+02 3.56803E+02
+ 2.88848E+02 2.34277E+02 1.90343E+02 1.54993E+02 1.26484E+02 1.03493E+02
+ 8.46654E+01 6.96834E+01 5.75297E+01 4.76764E+01 3.96577E+01 3.31346E+01
+ 2.78210E+01 2.34706E+01 1.99030E+01 1.69765E+01 1.45628E+01 1.25696E+01
+ 1.09121E+01 9.53201E+00 8.37169E+00 7.39197E+00 6.55677E+00 5.84009E+00
+ 5.21863E+00 4.67732E+00 4.19601E+00 3.76983E+00 3.38399E+00 3.03580E+00
+ 2.71826E+00 2.42788E+00 2.16199E+00 1.91909E+00 1.69794E+00 1.49752E+00
+ 1.31665E+00 1.15402E+00 1.00814E+00 8.77544E-01 7.60854E-01 6.56715E-01
+ 5.64422E-01 4.81955E-01 4.09008E-01 3.44729E-01 2.88369E-01 2.39216E-01
+ 1.96624E-01 1.59972E-01 1.28694E-01 1.02231E-01 8.00366E-02 6.18101E-02
+ 4.68130E-02 3.47455E-02 2.51987E-02 1.77904E-02 1.21878E-02 8.04134E-03
+ 5.07621E-03 3.02259E-03 1.68076E-03 8.52008E-04 3.80996E-04 1.42040E-04
+ 3.98547E-05 6.71223E-06 3.36279E-07 0.00000E+00 5.77528E+04 4.58382E+04
+ 3.60263E+04 2.83173E+04 2.22638E+04 1.75068E+04 1.37708E+04 1.08342E+04
+ 8.52737E+03 6.71360E+03 5.28837E+03 4.16728E+03 3.28599E+03 2.59238E+03
+ 2.04683E+03 1.61716E+03 1.27898E+03 1.01238E+03 8.02348E+02 6.36599E+02
+ 5.05880E+02 4.02577E+02 3.20981E+02 2.56386E+02 2.05267E+02 1.64729E+02
+ 1.32582E+02 1.06689E+02 8.64201E+01 7.02434E+01 5.73359E+01 4.69953E+01
+ 3.87100E+01 3.20605E+01 2.66932E+01 2.23515E+01 1.88361E+01 1.59722E+01
+ 1.36346E+01 1.17118E+01 1.01272E+01 8.80788E+00 7.70409E+00 6.77135E+00
+ 5.97785E+00 5.29552E+00 4.70625E+00 4.18676E+00 3.73095E+00 3.32215E+00
+ 2.95695E+00 2.62738E+00 2.32928E+00 2.05933E+00 1.81532E+00 1.59539E+00
+ 1.39793E+00 1.22125E+00 1.06363E+00 9.23333E-01 7.98658E-01 6.88082E-01
+ 5.90104E-01 5.03920E-01 4.27480E-01 3.60380E-01 3.01706E-01 2.50662E-01
+ 2.06496E-01 1.68533E-01 1.36127E-01 1.08702E-01 8.56974E-02 6.65661E-02
+ 5.09937E-02 3.82964E-02 2.81747E-02 2.02459E-02 1.41582E-02 9.60335E-03
+ 6.26862E-03 3.91242E-03 2.30068E-03 1.26210E-03 6.30144E-04 2.77054E-04
+ 1.01285E-04 2.78049E-05 4.59299E-06 2.34340E-07 0.00000E+00 9.82364E+04
+ 7.72727E+04 6.01155E+04 4.67647E+04 3.63832E+04 2.83054E+04 2.20248E+04
+ 1.71382E+04 1.33391E+04 1.03831E+04 8.08498E+03 6.29671E+03 4.90623E+03
+ 3.82403E+03 2.98237E+03 2.32707E+03 1.81724E+03 1.42008E+03 1.11089E+03
+ 8.69856E+02 6.82075E+02 5.35529E+02 4.21220E+02 3.31883E+02 2.62087E+02
+ 2.07455E+02 1.64697E+02 1.30708E+02 1.04451E+02 8.37707E+01 6.74826E+01
+ 5.46028E+01 4.44130E+01 3.63375E+01 2.98978E+01 2.47505E+01 2.06298E+01
+ 1.73093E+01 1.46270E+01 1.24426E+01 1.06592E+01 9.18748E+00 7.96655E+00
+ 6.94328E+00 6.07960E+00 5.34272E+00 4.71125E+00 4.15898E+00 3.67836E+00
+ 3.25099E+00 2.87260E+00 2.53434E+00 2.23132E+00 1.95955E+00 1.71621E+00
+ 1.49884E+00 1.30528E+00 1.13344E+00 9.81249E-01 8.46728E-01 7.28006E-01
+ 6.23438E-01 5.31404E-01 4.51012E-01 3.80206E-01 3.18499E-01 2.64929E-01
+ 2.18670E-01 1.78942E-01 1.45053E-01 1.16347E-01 9.22452E-02 7.21935E-02
+ 5.56523E-02 4.23021E-02 3.15115E-02 2.29872E-02 1.63729E-02 1.13435E-02
+ 7.61520E-03 4.91573E-03 3.03168E-03 1.75941E-03 9.51324E-04 4.67283E-04
+ 2.01689E-04 7.21581E-05 1.93322E-05 3.12729E-06 1.62916E-07 0.00000E+00
+ 1.53629E+05 1.20003E+05 9.26139E+04 7.14625E+04 5.51413E+04 4.25404E+04
+ 3.28203E+04 2.53181E+04 1.95326E+04 1.50684E+04 1.16265E+04 8.97102E+03
+ 6.92406E+03 5.34493E+03 4.12773E+03 3.18865E+03 2.46476E+03 1.90615E+03
+ 1.47542E+03 1.14291E+03 8.86405E+02 6.88247E+02 5.35250E+02 4.16924E+02
+ 3.25445E+02 2.54609E+02 1.99769E+02 1.56655E+02 1.23715E+02 9.80595E+01
+ 7.80759E+01 6.24503E+01 5.02228E+01 4.06392E+01 3.30776E+01 2.70975E+01
+ 2.23583E+01 1.85774E+01 1.55516E+01 1.31099E+01 1.11335E+01 9.51610E+00
+ 8.18470E+00 7.07742E+00 6.14966E+00 5.36391E+00 4.69540E+00 4.11506E+00
+ 3.61383E+00 3.17166E+00 2.78337E+00 2.43925E+00 2.13365E+00 1.86198E+00
+ 1.62079E+00 1.40708E+00 1.21822E+00 1.05175E+00 9.05322E-01 7.76741E-01
+ 6.63997E-01 5.65339E-01 4.79063E-01 4.04197E-01 3.38698E-01 2.82003E-01
+ 2.33124E-01 1.91212E-01 1.55472E-01 1.25206E-01 9.97565E-02 7.85502E-02
+ 6.10444E-02 4.67152E-02 3.52437E-02 2.60488E-02 1.88478E-02 1.33109E-02
+ 9.14043E-03 6.07809E-03 3.88372E-03 2.36947E-03 1.35905E-03 7.25650E-04
+ 3.51587E-04 1.49559E-04 5.27113E-05 1.39532E-05 2.26673E-06 1.24950E-07
+ 0.00000E+00 1.61689E+05 1.76312E+05 1.35155E+05 1.03576E+05 7.93664E+04
+ 6.07983E+04 4.65707E+04 3.56638E+04 2.73106E+04 2.09098E+04 1.60098E+04
+ 1.22567E+04 9.38462E+03 7.18547E+03 5.50313E+03 4.21520E+03 3.23014E+03
+ 2.47607E+03 1.89932E+03 1.45778E+03 1.12002E+03 8.61339E+02 6.63345E+02
+ 5.11588E+02 3.95321E+02 3.06118E+02 2.37705E+02 1.84436E+02 1.44127E+02
+ 1.13040E+02 8.90602E+01 7.04953E+01 5.61086E+01 4.49435E+01 3.62182E+01
+ 2.93839E+01 2.40174E+01 1.97750E+01 1.64090E+01 1.37159E+01 1.15532E+01
+ 9.79709E+00 8.36204E+00 7.17718E+00 6.19123E+00 5.36197E+00 4.66121E+00
+ 4.05711E+00 3.53905E+00 3.08542E+00 2.69011E+00 2.34255E+00 2.03639E+00
+ 1.76641E+00 1.52859E+00 1.31946E+00 1.13594E+00 9.75268E-01 8.34839E-01
+ 7.12303E-01 6.05524E-01 5.12668E-01 4.31966E-01 3.62380E-01 3.01890E-01
+ 2.49874E-01 2.05327E-01 1.67387E-01 1.35256E-01 1.08235E-01 8.56754E-02
+ 6.70140E-02 5.17243E-02 3.93028E-02 2.94362E-02 2.15915E-02 1.54993E-02
+ 1.08560E-02 7.39038E-03 4.86904E-03 3.08050E-03 1.85976E-03 1.05459E-03
+ 5.56221E-04 2.65929E-04 1.11522E-04 3.87300E-05 1.01244E-05 1.64430E-06
+ 9.48653E-08 0.00000E+00 3.42606E+05 2.64449E+05 2.01310E+05 1.53189E+05
+ 1.16544E+05 8.86313E+04 6.73894E+04 5.12206E+04 3.89242E+04 2.95707E+04
+ 2.24620E+04 1.70580E+04 1.29536E+04 9.83517E+03 7.46800E+03 5.67038E+03
+ 4.30647E+03 3.27110E+03 2.48578E+03 1.88976E+03 1.43777E+03 1.09471E+03
+ 8.34491E+02 6.36910E+02 4.86948E+02 3.73006E+02 2.86474E+02 2.19776E+02
+ 1.69816E+02 1.31687E+02 1.02575E+02 8.02763E+01 6.31743E+01 5.00438E+01
+ 3.98872E+01 3.20155E+01 2.58956E+01 2.11064E+01 1.73423E+01 1.43591E+01
+ 1.19844E+01 1.00730E+01 8.52368E+00 7.25489E+00 6.20719E+00 5.33286E+00
+ 4.59963E+00 3.97251E+00 3.43896E+00 2.97567E+00 2.57536E+00 2.22653E+00
+ 1.92197E+00 1.65579E+00 1.42333E+00 1.22060E+00 1.04410E+00 8.90729E-01
+ 7.57648E-01 6.42347E-01 5.42580E-01 4.56435E-01 3.82093E-01 3.18452E-01
+ 2.63534E-01 2.16661E-01 1.76821E-01 1.43149E-01 1.14855E-01 9.12479E-02
+ 7.16970E-02 5.56573E-02 4.26265E-02 3.21299E-02 2.38657E-02 1.73547E-02
+ 1.23461E-02 8.56623E-03 5.77388E-03 3.76362E-03 2.35389E-03 1.40358E-03
+ 7.85075E-04 4.07819E-04 1.91624E-04 7.87490E-05 2.66826E-05 6.76057E-06
+ 1.05609E-06 6.01164E-08 0.00000E+00 4.96561E+05 3.81194E+05 2.88345E+05
+ 2.18015E+05 1.64785E+05 1.24493E+05 9.40229E+04 7.09788E+04 5.35667E+04
+ 4.04092E+04 3.04757E+04 2.29757E+04 1.73181E+04 1.30499E+04 9.83268E+03
+ 7.40729E+03 5.58047E+03 4.20410E+03 3.16803E+03 2.38783E+03 1.80080E+03
+ 1.35886E+03 1.02637E+03 7.76037E+02 5.87647E+02 4.45754E+02 3.38948E+02
+ 2.57377E+02 1.96837E+02 1.51069E+02 1.16450E+02 9.01891E+01 7.02388E+01
+ 5.50702E+01 4.34478E+01 3.45266E+01 2.76547E+01 2.23269E+01 1.81762E+01
+ 1.49155E+01 1.23411E+01 1.02858E+01 8.63252E+00 7.28898E+00 6.18759E+00
+ 5.27521E+00 4.51560E+00 3.87075E+00 3.32625E+00 2.85719E+00 2.45515E+00
+ 2.10775E+00 1.80696E+00 1.54630E+00 1.32050E+00 1.12513E+00 9.56313E-01
+ 8.10686E-01 6.85212E-01 5.77258E-01 4.84495E-01 4.04956E-01 3.36793E-01
+ 2.78857E-01 2.29226E-01 1.87177E-01 1.51706E-01 1.21956E-01 9.71515E-02
+ 7.66192E-02 5.97522E-02 4.60287E-02 3.49744E-02 2.61464E-02 1.92580E-02
+ 1.38810E-02 9.78447E-03 6.72395E-03 4.48656E-03 2.89308E-03 1.78867E-03
+ 1.05352E-03 5.81468E-04 2.97740E-04 1.37734E-04 5.56604E-05 1.85337E-05
+ 4.62275E-06 7.18673E-07 4.28396E-08 0.00000E+00 6.97105E+05 5.32447E+05
+ 4.00388E+05 3.00928E+05 2.26082E+05 1.69759E+05 1.27415E+05 9.55815E+04
+ 7.16731E+04 5.37173E+04 4.02451E+04 3.01373E+04 2.25611E+04 1.68824E+04
+ 1.26302E+04 9.44599E+03 7.06387E+03 5.28158E+03 3.94935E+03 2.95335E+03
+ 2.20938E+03 1.65347E+03 1.23839E+03 9.28307E+02 6.96782E+02 5.23793E+02
+ 3.94650E+02 2.96851E+02 2.24885E+02 1.70951E+02 1.30508E+02 1.00103E+02
+ 7.72069E+01 5.99552E+01 4.68529E+01 3.68854E+01 2.92737E+01 2.34233E+01
+ 1.89030E+01 1.53809E+01 1.26216E+01 1.04355E+01 8.68965E+00 7.28109E+00
+ 6.13438E+00 5.19107E+00 4.41113E+00 3.75372E+00 3.20263E+00 2.73147E+00
+ 2.33075E+00 1.98725E+00 1.69221E+00 1.43857E+00 1.22056E+00 1.03336E+00
+ 8.72779E-01 7.35231E-01 6.17532E-01 5.16960E-01 4.31131E-01 3.58045E-01
+ 2.95844E-01 2.43348E-01 1.98702E-01 1.61153E-01 1.29715E-01 1.03547E-01
+ 8.18964E-02 6.41160E-02 4.96270E-02 3.79353E-02 2.85973E-02 2.12037E-02
+ 1.54859E-02 1.10638E-02 7.72717E-03 5.25927E-03 3.47385E-03 2.21594E-03
+ 1.35430E-03 7.87927E-04 4.29139E-04 2.16623E-04 9.86781E-05 3.92303E-05
+ 1.28492E-05 3.16096E-06 4.90837E-07 3.06876E-08 0.00000E+00 9.53525E+05
+ 7.24841E+05 5.42031E+05 4.05095E+05 3.02607E+05 2.25908E+05 1.68566E+05
+ 1.25702E+05 9.36917E+04 6.97906E+04 5.19627E+04 3.86664E+04 2.87603E+04
+ 2.13808E+04 1.58892E+04 1.18029E+04 8.76538E+03 6.50762E+03 4.83113E+03
+ 3.58622E+03 2.66269E+03 1.97744E+03 1.46943E+03 1.09267E+03 8.13439E+02
+ 6.06369E+02 4.52974E+02 3.37728E+02 2.53601E+02 1.91065E+02 1.44552E+02
+ 1.09875E+02 8.39781E+01 6.46291E+01 5.00550E+01 3.90607E+01 3.07326E+01
+ 2.43836E+01 1.95160E+01 1.57525E+01 1.28254E+01 1.05230E+01 8.69684E+00
+ 7.23352E+00 6.05005E+00 5.08294E+00 4.28863E+00 3.62367E+00 3.07010E+00
+ 2.60028E+00 2.20365E+00 1.86626E+00 1.57868E+00 1.33335E+00 1.12407E+00
+ 9.45666E-01 7.93708E-01 6.64445E-01 5.54584E-01 4.61341E-01 3.82307E-01
+ 3.15465E-01 2.58970E-01 2.11622E-01 1.71643E-01 1.38264E-01 1.10524E-01
+ 8.76086E-02 6.87948E-02 5.34646E-02 4.10723E-02 3.11544E-02 2.32998E-02
+ 1.71340E-02 1.24080E-02 8.78656E-03 6.08030E-03 4.09862E-03 2.67983E-03
+ 1.69102E-03 1.02163E-03 5.87122E-04 3.15563E-04 1.57045E-04 7.04578E-05
+ 2.75648E-05 8.88536E-06 2.15713E-06 3.34482E-07 2.18682E-08 0.00000E+00
+ 1.27576E+06 9.65411E+05 7.18087E+05 5.33791E+05 3.96574E+05 2.94427E+05
+ 2.18467E+05 1.61992E+05 1.20048E+05 8.89027E+04 6.58014E+04 4.86703E+04
+ 3.59804E+04 2.65824E+04 1.96301E+04 1.44880E+04 1.06891E+04 7.88290E+03
+ 5.81229E+03 4.28461E+03 3.15868E+03 2.32881E+03 1.71773E+03 1.26767E+03
+ 9.36448E+02 6.92564E+02 5.13216E+02 3.79481E+02 2.82596E+02 2.11129E+02
+ 1.58382E+02 1.19366E+02 9.04555E+01 6.90265E+01 5.30116E+01 4.10253E+01
+ 3.20154E+01 2.51989E+01 2.00112E+01 1.60291E+01 1.29532E+01 1.05502E+01
+ 8.65658E+00 7.14899E+00 5.93735E+00 4.95351E+00 4.15059E+00 3.48282E+00
+ 2.93066E+00 2.46531E+00 2.07527E+00 1.74592E+00 1.46727E+00 1.23131E+00
+ 1.03148E+00 8.62336E-01 7.19258E-01 5.98370E-01 4.96313E-01 4.10272E-01
+ 3.37831E-01 2.76981E-01 2.25901E-01 1.83390E-01 1.47750E-01 1.18210E-01
+ 9.38421E-02 7.38624E-02 5.75846E-02 4.44242E-02 3.38709E-02 2.54937E-02
+ 1.89151E-02 1.37950E-02 9.90549E-03 6.95239E-03 4.76674E-03 3.18222E-03
+ 2.05954E-03 1.28558E-03 7.67765E-04 4.35848E-04 2.31185E-04 1.13441E-04
+ 5.01351E-05 1.93075E-05 6.12810E-06 1.46890E-06 2.27317E-07 1.54968E-08
+ 0.00000E+00 1.67418E+06 1.26142E+06 9.33459E+05 6.90302E+05 5.10168E+05
+ 3.76758E+05 2.78057E+05 2.05057E+05 1.51125E+05 1.11292E+05 8.19062E+04
+ 6.02339E+04 4.42687E+04 3.25118E+04 2.38637E+04 1.75045E+04 1.28339E+04
+ 9.40438E+03 6.88913E+03 5.04484E+03 3.69404E+03 2.70478E+03 1.98104E+03
+ 1.45151E+03 1.06442E+03 7.81323E+02 5.74594E+02 4.21543E+02 3.11462E+02
+ 2.30856E+02 1.71797E+02 1.28438E+02 9.65486E+01 7.30887E+01 5.56856E+01
+ 4.27573E+01 3.31096E+01 2.58633E+01 2.03865E+01 1.62112E+01 1.30070E+01
+ 1.05198E+01 8.57193E+00 7.03062E+00 5.79930E+00 4.80554E+00 3.99952E+00
+ 3.33341E+00 2.78619E+00 2.32814E+00 1.94689E+00 1.62725E+00 1.35875E+00
+ 1.13301E+00 9.43174E-01 7.83601E-01 6.49529E-01 5.37003E-01 4.42632E-01
+ 3.63597E-01 2.97499E-01 2.42351E-01 1.96371E-01 1.58372E-01 1.26740E-01
+ 1.00712E-01 7.93982E-02 6.20536E-02 4.80306E-02 3.67812E-02 2.78323E-02
+ 2.07865E-02 1.53000E-02 1.10664E-02 7.87873E-03 5.48081E-03 3.72308E-03
+ 2.46148E-03 1.57686E-03 9.73658E-04 5.74806E-04 3.22335E-04 1.68741E-04
+ 8.16482E-05 3.55525E-05 1.34818E-05 4.21535E-06 9.98032E-07 1.54072E-07
+ 1.09243E-08 0.00000E+00 2.15930E+06 1.62014E+06 1.19298E+06 8.77815E+05
+ 6.45468E+05 4.74239E+05 3.48187E+05 2.55430E+05 1.87248E+05 1.37152E+05
+ 1.00386E+05 7.34149E+04 5.36523E+04 3.91782E+04 2.85898E+04 2.08475E+04
+ 1.51931E+04 1.10652E+04 8.05531E+03 5.86145E+03 4.26429E+03 3.10177E+03
+ 2.25656E+03 1.64208E+03 1.19577E+03 8.71496E+02 6.36278E+02 4.63326E+02
+ 3.39791E+02 2.49963E+02 1.84607E+02 1.36968E+02 1.02177E+02 7.67653E+01
+ 5.80471E+01 4.42401E+01 3.40074E+01 2.63740E+01 2.06425E+01 1.63012E+01
+ 1.29901E+01 1.04355E+01 8.44646E+00 6.88181E+00 5.63904E+00 4.64187E+00
+ 3.83790E+00 3.17755E+00 2.63850E+00 2.19026E+00 1.81970E+00 1.51117E+00
+ 1.25380E+00 1.03892E+00 8.59455E-01 7.09618E-01 5.84561E-01 4.80290E-01
+ 3.93415E-01 3.21136E-01 2.61089E-01 2.11325E-01 1.70118E-01 1.36297E-01
+ 1.08343E-01 8.55066E-02 6.69441E-02 5.19508E-02 3.99211E-02 3.03458E-02
+ 2.27892E-02 1.68881E-02 1.23314E-02 8.84533E-03 6.24389E-03 4.30490E-03
+ 2.89722E-03 1.89692E-03 1.20280E-03 7.34659E-04 4.28735E-04 2.37501E-04
+ 1.22714E-04 5.85579E-05 2.51274E-05 9.38550E-06 2.89218E-06 6.76604E-07
+ 1.04155E-07 7.66311E-09 0.00000E+00 2.74142E+06 2.04862E+06 1.50124E+06
+ 1.09929E+06 8.04361E+05 5.88052E+05 4.29581E+05 3.13540E+05 2.28664E+05
+ 1.66614E+05 1.21306E+05 8.82387E+04 6.41350E+04 4.65745E+04 3.37966E+04
+ 2.45040E+04 1.77544E+04 1.28545E+04 9.30191E+03 6.72731E+03 4.86384E+03
+ 3.51553E+03 2.54112E+03 1.83704E+03 1.32882E+03 9.61873E+02 6.97417E+02
+ 5.04246E+02 3.67183E+02 2.68186E+02 1.96640E+02 1.44843E+02 1.07272E+02
+ 8.00160E+01 6.00740E+01 4.54628E+01 3.47048E+01 2.67315E+01 2.07819E+01
+ 1.63028E+01 1.29065E+01 1.03012E+01 8.28409E+00 6.70615E+00 5.45976E+00
+ 4.46530E+00 3.66814E+00 3.01727E+00 2.48925E+00 2.05301E+00 1.69474E+00
+ 1.39845E+00 1.15297E+00 9.49408E-01 7.80529E-01 6.40467E-01 5.24335E-01
+ 4.28134E-01 3.48504E-01 2.82685E-01 2.28368E-01 1.83653E-01 1.46877E-01
+ 1.16902E-01 9.23022E-02 7.23496E-02 5.62503E-02 4.33432E-02 3.30662E-02
+ 2.49493E-02 1.85947E-02 1.36725E-02 9.90365E-03 7.04490E-03 4.93056E-03
+ 3.36911E-03 2.24639E-03 1.45652E-03 9.14118E-04 5.52293E-04 3.18616E-04
+ 1.74360E-04 8.89248E-05 4.18537E-05 1.77021E-05 6.51489E-06 1.97942E-06
+ 4.57695E-07 7.02326E-08 5.35055E-09 0.00000E+00

=== added file 'Template/lib/Pdfdata/cteq6d.tbl'
--- Template/lib/Pdfdata/cteq6d.tbl	1970-01-01 00:00:00 +0000
+++ Template/lib/Pdfdata/cteq6d.tbl	2010-10-30 03:26:37 +0000
@@ -0,0 +1,3102 @@
+ Parton Distribution Table : cteq6d                                           
+  Ordr, Nfl, lambda        Qmass 1,  2,  3,         4,  5,  6
+    2.    5. 0.2260    0.000    0.000    0.200    1.300    4.500  180.000
+   NX,  NT,  NfMx
+   95   19    5
+QINI, QMAX, (QV(I), I =0, NT)
+ 1.30000E+00 1.00000E+04
+ 1.30000E+00 1.53106E+00 1.83098E+00 2.22659E+00 2.75766E+00 3.48439E+00
+ 4.50000E+00 6.12359E+00 8.60159E+00 1.25127E+01 1.89184E+01 2.98475E+01
+ 4.93546E+01 8.59491E+01 1.58477E+02 3.11214E+02 6.55142E+02 1.48904E+03
+ 3.68299E+03 1.00000E+04
+XMIN, (XV(I), I =0, NX)
+ 1.00000E-06
+ 0.00000E+00 1.00000E-06 1.28121E-06 1.64152E-06 2.10317E-06 2.69463E-06
+ 3.45242E-06 4.42329E-06 5.66715E-06 7.26076E-06 9.30241E-06 1.19180E-05
+ 1.52689E-05 1.95617E-05 2.50609E-05 3.21053E-05 4.11287E-05 5.26863E-05
+ 6.74889E-05 8.64459E-05 1.10720E-04 1.41800E-04 1.81585E-04 2.32503E-04
+ 2.97652E-04 3.80981E-04 4.87518E-04 6.26039E-04 8.00452E-04 1.02297E-03
+ 1.30657E-03 1.66759E-03 2.12729E-03 2.71054E-03 3.44865E-03 4.37927E-03
+ 5.54908E-03 7.01192E-03 8.83064E-03 1.10763E-02 1.38266E-02 1.71641E-02
+ 2.11717E-02 2.59364E-02 3.15062E-02 3.79623E-02 4.53425E-02 5.36750E-02
+ 6.29705E-02 7.32221E-02 8.44039E-02 9.64793E-02 1.09332E-01 1.23067E-01
+ 1.37507E-01 1.52639E-01 1.68416E-01 1.84794E-01 2.01731E-01 2.19016E-01
+ 2.36948E-01 2.55242E-01 2.73927E-01 2.92954E-01 3.12340E-01 3.32036E-01
+ 3.52019E-01 3.72282E-01 3.92772E-01 4.13533E-01 4.34326E-01 4.55495E-01
+ 4.76836E-01 4.98342E-01 5.20006E-01 5.41818E-01 5.63773E-01 5.85861E-01
+ 6.08077E-01 6.30459E-01 6.52800E-01 6.75387E-01 6.98063E-01 7.20830E-01
+ 7.43683E-01 7.66623E-01 7.89636E-01 8.12791E-01 8.35940E-01 8.59175E-01
+ 8.82485E-01 9.05866E-01 9.29311E-01 9.52817E-01 9.76387E-01 1.00000E+00
+Parton Distribution Table:
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   3.09044E+06   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   1.16529E-11   0.00000E+00   5.82645E-12
+   0.00000E+00   1.16387E-11   5.81935E-12   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   1.45484E-12   1.45484E-12   0.00000E+00
+   0.00000E+00   1.82077E-13   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   9.09273E-14   0.00000E+00   2.27596E-14   0.00000E+00
+   2.27318E-14   0.00000E+00   0.00000E+00   1.13659E-14   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   2.84148E-15   0.00000E+00
+   7.11237E-16   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   1.77809E-16   0.00000E+00   1.77592E-16   1.77592E-16
+   0.00000E+00   4.44523E-17   8.87962E-17   0.00000E+00   8.87962E-17
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   1.11131E-17
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   5.55654E-18
+   2.77827E-18   2.77827E-18   2.77827E-18   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   6.94567E-19   0.00000E+00   3.47284E-19   3.46860E-19
+   1.73642E-19   0.00000E+00   8.68209E-20   0.00000E+00   0.00000E+00
+   2.17052E-20   0.00000E+00   0.00000E+00   5.41969E-21   0.00000E+00
+   1.69572E-22   0.00000E+00   1.05675E+06   7.87842E+05   5.76368E+05
+   4.22332E+05   3.08567E+05   2.25801E+05   1.64739E+05   1.20379E+05
+   8.76888E+04   6.39775E+04   4.65253E+04   3.38880E+04   2.45990E+04
+   1.78848E+04   1.29565E+04   9.40130E+03   6.79592E+03   4.92043E+03
+   3.54842E+03   2.56307E+03   1.84362E+03   1.32822E+03   9.52707E+02
+   6.84462E+02   4.89483E+02   3.50636E+02   2.49869E+02   1.77552E+02
+   1.26150E+02   8.97954E+01   6.35749E+01   4.50985E+01   3.17988E+01
+   2.24736E+01   1.57959E+01   1.11354E+01   7.80613E+00   5.49272E+00
+   3.84402E+00   2.70282E+00   1.89095E+00   1.33072E+00   9.32139E-01
+   6.57420E-01   4.62090E-01   3.27450E-01   2.31234E-01   1.64908E-01
+   1.17251E-01   8.43711E-02   6.05660E-02   4.40971E-02   3.21058E-02
+   2.37202E-02   1.75222E-02   1.31757E-02   9.92342E-03   7.61416E-03
+   5.85184E-03   4.58307E-03   3.58869E-03   2.87075E-03   2.29353E-03
+   1.86541E-03   1.50825E-03   1.23923E-03   1.00938E-03   8.32422E-04
+   6.77578E-04   5.56730E-04   4.49466E-04   3.65687E-04   2.91455E-04
+   2.33072E-04   1.81604E-04   1.41595E-04   1.06824E-04   8.05163E-05
+   5.77793E-05   4.11553E-05   2.73325E-05   1.75897E-05   9.91187E-06
+   4.89756E-06   1.28318E-06   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   2.39201E+06   1.78003E+06
+   1.29919E+06   9.49485E+05   6.92065E+05   5.05082E+05   3.67598E+05
+   2.67880E+05   1.94648E+05   1.41618E+05   1.02725E+05   7.46089E+04
+   5.40173E+04   3.91587E+04   2.82931E+04   2.04683E+04   1.47559E+04
+   1.06510E+04   7.65986E+03   5.51551E+03   3.95612E+03   2.84105E+03
+   2.03195E+03   1.45505E+03   1.03749E+03   7.40659E+02   5.26240E+02
+   3.72602E+02   2.63904E+02   1.87173E+02   1.32086E+02   9.33437E+01
+   6.55893E+01   4.61676E+01   3.23295E+01   2.26915E+01   1.58430E+01
+   1.10943E+01   7.72973E+00   5.40630E+00   3.76390E+00   2.63355E+00
+   1.83511E+00   1.28637E+00   8.99319E-01   6.33390E-01   4.44936E-01
+   3.15453E-01   2.23222E-01   1.59763E-01   1.14220E-01   8.27728E-02
+   6.00705E-02   4.42063E-02   3.25754E-02   2.44183E-02   1.83559E-02
+   1.40459E-02   1.07761E-02   8.41825E-03   6.58070E-03   5.24731E-03
+   4.18224E-03   3.38793E-03   2.73084E-03   2.23293E-03   1.81163E-03
+   1.48568E-03   1.20384E-03   9.83049E-04   7.90021E-04   6.38896E-04
+   5.06913E-04   4.03203E-04   3.13123E-04   2.43226E-04   1.83370E-04
+   1.38129E-04   9.96179E-05   7.14761E-05   4.83877E-05   3.21076E-05
+   1.94006E-05   1.10459E-05   5.02071E-06   1.60368E-06   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   4.06059E+06
+   3.01592E+06   2.19592E+06   1.60060E+06   1.16379E+06   8.47059E+05
+   6.14947E+05   4.46894E+05   3.23897E+05   2.34990E+05   1.70011E+05
+   1.23124E+05   8.89059E+04   6.42611E+04   4.63045E+04   3.33978E+04
+   2.40104E+04   1.72779E+04   1.23906E+04   8.89388E+03   6.36094E+03
+   4.55333E+03   3.24699E+03   2.31743E+03   1.64739E+03   1.17202E+03
+   8.30179E+02   5.85682E+02   4.13487E+02   2.92189E+02   2.05499E+02
+   1.44665E+02   1.01288E+02   7.10031E+01   4.95310E+01   3.46112E+01
+   2.40651E+01   1.67706E+01   1.16317E+01   8.09257E+00   5.60646E+00
+   3.90049E+00   2.70383E+00   1.88401E+00   1.31020E+00   9.17301E-01
+   6.41090E-01   4.51955E-01   3.18344E-01   2.26672E-01   1.61426E-01
+   1.16460E-01   8.42603E-02   6.17766E-02   4.54180E-02   3.39441E-02
+   2.54710E-02   1.94393E-02   1.48888E-02   1.16017E-02   9.05397E-03
+   7.19577E-03   5.72110E-03   4.61511E-03   3.70788E-03   3.01619E-03
+   2.43668E-03   1.98594E-03   1.60095E-03   1.29805E-03   1.03733E-03
+   8.32544E-04   6.56365E-04   5.17944E-04   3.99606E-04   3.07887E-04
+   2.30647E-04   1.72308E-04   1.23566E-04   8.79960E-05   5.93578E-05
+   3.92343E-05   2.38131E-05   1.37249E-05   6.58493E-06   2.54377E-06
+   4.79735E-08   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   3.11511E-10   0.00000E+00
+   6.12740E+06   4.54194E+06   3.29881E+06   2.39802E+06   1.73919E+06
+   1.26240E+06   9.14116E+05   6.62452E+05   4.78870E+05   3.46436E+05
+   2.49971E+05   1.80505E+05   1.29986E+05   9.36751E+04   6.73121E+04
+   4.84026E+04   3.46993E+04   2.48922E+04   1.77995E+04   1.27358E+04
+   9.08178E+03   6.47984E+03   4.60680E+03   3.27696E+03   2.32224E+03
+   1.64640E+03   1.16251E+03   8.17139E+02   5.74976E+02   4.04794E+02
+   2.83705E+02   1.98940E+02   1.38777E+02   9.68778E+01   6.73153E+01
+   4.68286E+01   3.24221E+01   2.24849E+01   1.55236E+01   1.07438E+01
+   7.40655E+00   5.12406E+00   3.53370E+00   2.44795E+00   1.69357E+00
+   1.17892E+00   8.19838E-01   5.74842E-01   4.03096E-01   2.85614E-01
+   2.02636E-01   1.45574E-01   1.05012E-01   7.67194E-02   5.62758E-02
+   4.19388E-02   3.14119E-02   2.39108E-02   1.82800E-02   1.42073E-02
+   1.10656E-02   8.76461E-03   6.94911E-03   5.58151E-03   4.46823E-03
+   3.61547E-03   2.90744E-03   2.35473E-03   1.88793E-03   1.51971E-03
+   1.20723E-03   9.61371E-04   7.52774E-04   5.89086E-04   4.51204E-04
+   3.44568E-04   2.56169E-04   1.89529E-04   1.34843E-04   9.50419E-05
+   6.35901E-05   4.16043E-05   2.50756E-05   1.43515E-05   6.92563E-06
+   2.76712E-06   2.68322E-07   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   1.63292E-08   5.37933E-09
+   0.00000E+00   8.66634E+06   6.41073E+06   4.64424E+06   3.36686E+06
+   2.43553E+06   1.76293E+06   1.27320E+06   9.20068E+05   6.63312E+05
+   4.78488E+05   3.44310E+05   2.47899E+05   1.78021E+05   1.27907E+05
+   9.16498E+04   6.57017E+04   4.69645E+04   3.35854E+04   2.39448E+04
+   1.70779E+04   1.21413E+04   8.63431E+03   6.11947E+03   4.33827E+03
+   3.06452E+03   2.16503E+03   1.52374E+03   1.06709E+03   7.48294E+02
+   5.24830E+02   3.66520E+02   2.55995E+02   1.77904E+02   1.23671E+02
+   8.55872E+01   5.92724E+01   4.08611E+01   2.82003E+01   1.93796E+01
+   1.33429E+01   9.15309E+00   6.29764E+00   4.32087E+00   2.97635E+00
+   2.04866E+00   1.41823E+00   9.81477E-01   6.84609E-01   4.77988E-01
+   3.37100E-01   2.38290E-01   1.70502E-01   1.22637E-01   8.92941E-02
+   6.53504E-02   4.85660E-02   3.63046E-02   2.75627E-02   2.10294E-02
+   1.62999E-02   1.26668E-02   9.99744E-03   7.90216E-03   6.31887E-03
+   5.03886E-03   4.05534E-03   3.24540E-03   2.61189E-03   2.08231E-03
+   1.66419E-03   1.31390E-03   1.03824E-03   8.07307E-04   6.26535E-04
+   4.76311E-04   3.60509E-04   2.65887E-04   1.94783E-04   1.37393E-04
+   9.57878E-05   6.34831E-05   4.10445E-05   2.44844E-05   1.38438E-05
+   6.63536E-06   2.65402E-06   3.32672E-07   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   1.58947E-08   3.01160E-08
+   7.65405E-09   0.00000E+00   1.17608E+07   8.68146E+06   6.27287E+06
+   4.53501E+06   3.27188E+06   2.36168E+06   1.70103E+06   1.22573E+06
+   8.81258E+05   6.33858E+05   4.54842E+05   3.26509E+05   2.33808E+05
+   1.67482E+05   1.19660E+05   8.55164E+04   6.09479E+04   4.34477E+04
+   3.08827E+04   2.19550E+04   1.55604E+04   1.10291E+04   7.79203E+03
+   5.50515E+03   3.87611E+03   2.72870E+03   1.91406E+03   1.33543E+03
+   9.33200E+02   6.52029E+02   4.53690E+02   3.15615E+02   2.18494E+02
+   1.51245E+02   1.04243E+02   7.18676E+01   4.93284E+01   3.38799E+01
+   2.31747E+01   1.58740E+01   1.08361E+01   7.41549E+00   5.06220E+00
+   3.46783E+00   2.37507E+00   1.63542E+00   1.12644E+00   7.81810E-01
+   5.43553E-01   3.81633E-01   2.68810E-01   1.91603E-01   1.37421E-01
+   9.97347E-02   7.28232E-02   5.39711E-02   4.02619E-02   3.04854E-02
+   2.32081E-02   1.79378E-02   1.39044E-02   1.09340E-02   8.61345E-03
+   6.85646E-03   5.44494E-03   4.35845E-03   3.47045E-03   2.77549E-03
+   2.19999E-03   1.74585E-03   1.36981E-03   1.07421E-03   8.29451E-04
+   6.38501E-04   4.81780E-04   3.61472E-04   2.64460E-04   1.91864E-04
+   1.34157E-04   9.25253E-05   6.07250E-05   3.87931E-05   2.28880E-05
+   1.27734E-05   6.06410E-06   2.41294E-06   3.46552E-07   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   4.43653E-08
+   3.56426E-08   8.33435E-09   0.00000E+00   1.55039E+07   1.14200E+07
+   8.22975E+06   5.93320E+06   4.26913E+06   3.07278E+06   2.20717E+06
+   1.58586E+06   1.13701E+06   8.15415E+05   5.83469E+05   4.17593E+05
+   2.98170E+05   2.12935E+05   1.51687E+05   1.08067E+05   7.67893E+04
+   5.45662E+04   3.86669E+04   2.73993E+04   1.93580E+04   1.36750E+04
+   9.63022E+03   6.78043E+03   4.75817E+03   3.33768E+03   2.33329E+03
+   1.62181E+03   1.12930E+03   7.86020E+02   5.44896E+02   3.77542E+02
+   2.60346E+02   1.79451E+02   1.23174E+02   8.45368E+01   5.77704E+01
+   3.94880E+01   2.68854E+01   1.83225E+01   1.24467E+01   8.47280E+00
+   5.75524E+00   3.92152E+00   2.67269E+00   1.83086E+00   1.25525E+00
+   8.67041E-01   6.00340E-01   4.19703E-01   2.94601E-01   2.09214E-01
+   1.49629E-01   1.08254E-01   7.88588E-02   5.82846E-02   4.33849E-02
+   3.27602E-02   2.48804E-02   1.91738E-02   1.48211E-02   1.16108E-02
+   9.11380E-03   7.22130E-03   5.70982E-03   4.54561E-03   3.60081E-03
+   2.86181E-03   2.25518E-03   1.77728E-03   1.38578E-03   1.07868E-03
+   8.27128E-04   6.31685E-04   4.73117E-04   3.51970E-04   2.55470E-04
+   1.83609E-04   1.27286E-04   8.68773E-05   5.64779E-05   3.56691E-05
+   2.08245E-05   1.14831E-05   5.40791E-06   2.14961E-06   3.56033E-07
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   2.90285E-08
+   5.95769E-08   3.64112E-08   8.13689E-09   0.00000E+00   1.99990E+07
+   1.46990E+07   1.05643E+07   7.59491E+06   5.44991E+06   3.91149E+06
+   2.80183E+06   2.00729E+06   1.43512E+06   1.02616E+06   7.32164E+05
+   5.22437E+05   3.71943E+05   2.64803E+05   1.88074E+05   1.33571E+05
+   9.46232E+04   6.70233E+04   4.73468E+04   3.34397E+04   2.35505E+04
+   1.65807E+04   1.16383E+04   8.16590E+03   5.71114E+03   3.99174E+03
+   2.78091E+03   1.92564E+03   1.33604E+03   9.26335E+02   6.39758E+02
+   4.41485E+02   3.03240E+02   2.08129E+02   1.42265E+02   9.72020E+01
+   6.61342E+01   4.49900E+01   3.04900E+01   2.06752E+01   1.39774E+01
+   9.46562E+00   6.39821E+00   4.33696E+00   2.94172E+00   2.00508E+00
+   1.36854E+00   9.40929E-01   6.48901E-01   4.51790E-01   3.16048E-01
+   2.23649E-01   1.59506E-01   1.15046E-01   8.36067E-02   6.16246E-02
+   4.57657E-02   3.44608E-02   2.61051E-02   2.00558E-02   1.54565E-02
+   1.20614E-02   9.43174E-03   7.43825E-03   5.85497E-03   4.63575E-03
+   3.65295E-03   2.88533E-03   2.26041E-03   1.76932E-03   1.37102E-03
+   1.05947E-03   8.06852E-04   6.11480E-04   4.54667E-04   3.35484E-04
+   2.41624E-04   1.72103E-04   1.18324E-04   7.99678E-05   5.15208E-05
+   3.21971E-05   1.86224E-05   1.01673E-05   4.76822E-06   1.91092E-06
+   3.76092E-07   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   6.15119E-08   6.59498E-08   3.45597E-08   7.48967E-09   0.00000E+00
+   2.53592E+07   1.85977E+07   1.33301E+07   9.55631E+06   6.83850E+06
+   4.89404E+06   3.49584E+06   2.49719E+06   1.78029E+06   1.26920E+06
+   9.02949E+05   6.42351E+05   4.55966E+05   3.23621E+05   2.29158E+05
+   1.62236E+05   1.14577E+05   8.08951E+04   5.69668E+04   4.01013E+04
+   2.81513E+04   1.97527E+04   1.38191E+04   9.66223E+03   6.73466E+03
+   4.69012E+03   3.25607E+03   2.24610E+03   1.55273E+03   1.07242E+03
+   7.37847E+02   5.07120E+02   3.46943E+02   2.37115E+02   1.61404E+02
+   1.09786E+02   7.43689E+01   5.03538E+01   3.39683E+01   2.29207E+01
+   1.54217E+01   1.03909E+01   6.98993E+00   4.71406E+00   3.18259E+00
+   2.15876E+00   1.46699E+00   1.00412E+00   6.89790E-01   4.78354E-01
+   3.33520E-01   2.35201E-01   1.67279E-01   1.20288E-01   8.72036E-02
+   6.40983E-02   4.74879E-02   3.56544E-02   2.69359E-02   2.06282E-02
+   1.58470E-02   1.23168E-02   9.59356E-03   7.53007E-03   5.89996E-03
+   4.64592E-03   3.64156E-03   2.85880E-03   2.22654E-03   1.73124E-03
+   1.33327E-03   1.02305E-03   7.73892E-04   5.82151E-04   4.29803E-04
+   3.14650E-04   2.24925E-04   1.58845E-04   1.08348E-04   7.25547E-05
+   4.63589E-05   2.86997E-05   1.64707E-05   8.92783E-06   4.19050E-06
+   1.71192E-06   4.07077E-07   0.00000E+00   0.00000E+00   0.00000E+00
+   3.59336E-08   8.07785E-08   6.65904E-08   3.13925E-08   6.64600E-09
+   0.00000E+00   3.17078E+07   2.32022E+07   1.65849E+07   1.18561E+07
+   8.46072E+06   6.03757E+06   4.30053E+06   3.06302E+06   2.17743E+06
+   1.54769E+06   1.09787E+06   7.78643E+05   5.51068E+05   3.89908E+05
+   2.75259E+05   1.94258E+05   1.36767E+05   9.62498E+04   6.75652E+04
+   4.74044E+04   3.31703E+04   2.31952E+04   1.61736E+04   1.12689E+04
+   7.82761E+03   5.43153E+03   3.75754E+03   2.58218E+03   1.77854E+03
+   1.22363E+03   8.38685E+02   5.74104E+02   3.91209E+02   2.66238E+02
+   1.80473E+02   1.22213E+02   8.24259E+01   5.55493E+01   3.73025E+01
+   2.50487E+01   1.67744E+01   1.12465E+01   7.52979E+00   5.05313E+00
+   3.39593E+00   2.29267E+00   1.55135E+00   1.05728E+00   7.23554E-01
+   4.99842E-01   3.47365E-01   2.44144E-01   1.73158E-01   1.24144E-01
+   8.97752E-02   6.58040E-02   4.86285E-02   3.64023E-02   2.74224E-02
+   2.09316E-02   1.60263E-02   1.24054E-02   9.62334E-03   7.51743E-03
+   5.86246E-03   4.59130E-03   3.57960E-03   2.79325E-03   2.16286E-03
+   1.67082E-03   1.27893E-03   9.74642E-04   7.32441E-04   5.47021E-04
+   4.01100E-04   2.91427E-04   2.06828E-04   1.44888E-04   9.80929E-05
+   6.51312E-05   4.13058E-05   2.53635E-05   1.44693E-05   7.80989E-06
+   3.68894E-06   1.55201E-06   4.43781E-07   7.08969E-08   0.00000E+00
+   2.95863E-08   7.44383E-08   9.03039E-08   6.36792E-08   2.76963E-08
+   5.75258E-09   0.00000E+00   3.91773E+07   2.86044E+07   2.03903E+07
+   1.45351E+07   1.03437E+07   7.35998E+06   5.22764E+06   3.71242E+06
+   2.63148E+06   1.86484E+06   1.31896E+06   9.32602E+05   6.58057E+05
+   4.64162E+05   3.26681E+05   2.29816E+05   1.61298E+05   1.13146E+05
+   7.91733E+04   5.53644E+04   3.86139E+04   2.69099E+04   1.87010E+04
+   1.29843E+04   8.98808E+03   6.21417E+03   4.28380E+03   2.93264E+03
+   2.01253E+03   1.37927E+03   9.41762E+02   6.42074E+02   4.35787E+02
+   2.95330E+02   1.99362E+02   1.34411E+02   9.02598E+01   6.05493E+01
+   4.04770E+01   2.70511E+01   1.80317E+01   1.20309E+01   8.01772E+00
+   5.35476E+00   3.58259E+00   2.40767E+00   1.62239E+00   1.10108E+00
+   7.50730E-01   5.16682E-01   3.57915E-01   2.50734E-01   1.77339E-01
+   1.26765E-01   9.14367E-02   6.68318E-02   4.92580E-02   3.67610E-02
+   2.76100E-02   2.10033E-02   1.60252E-02   1.23531E-02   9.54297E-03
+   7.41892E-03   5.75820E-03   4.48529E-03   3.47834E-03   2.69814E-03
+   2.07721E-03   1.59449E-03   1.21323E-03   9.18423E-04   6.85783E-04
+   5.08631E-04   3.70481E-04   2.67242E-04   1.88360E-04   1.30948E-04
+   8.80396E-05   5.80032E-05   3.65435E-05   2.22862E-05   1.26621E-05
+   6.82649E-06   3.26162E-06   1.42413E-06   4.80059E-07   1.54096E-07
+   5.78677E-08   8.30263E-08   9.88270E-08   9.28845E-08   5.87313E-08
+   2.39340E-08   4.89087E-09   0.00000E+00   4.79096E+07   3.49023E+07
+   2.48112E+07   1.76364E+07   1.25156E+07   8.87974E+06   6.28921E+06
+   4.45319E+06   3.14744E+06   2.22382E+06   1.56824E+06   1.10548E+06
+   7.77704E+05   5.46851E+05   3.83702E+05   2.69073E+05   1.88261E+05
+   1.31632E+05   9.18144E+04   6.39910E+04   4.44846E+04   3.08958E+04
+   2.13990E+04   1.48056E+04   1.02134E+04   7.03575E+03   4.83299E+03
+   3.29609E+03   2.25365E+03   1.53857E+03   1.04654E+03   7.10655E+02
+   4.80423E+02   3.24221E+02   2.17961E+02   1.46312E+02   9.78287E+01
+   6.53294E+01   4.34781E+01   2.89211E+01   1.91905E+01   1.27434E+01
+   8.45410E+00   5.61982E+00   3.74353E+00   2.50469E+00   1.68092E+00
+   1.13617E+00   7.71841E-01   5.29282E-01   3.65483E-01   2.55209E-01
+   1.80003E-01   1.28288E-01   9.22946E-02   6.72643E-02   4.94413E-02
+   3.67825E-02   2.75405E-02   2.08776E-02   1.58719E-02   1.21836E-02
+   9.37217E-03   7.25116E-03   5.60112E-03   4.33953E-03   3.34747E-03
+   2.58147E-03   1.97613E-03   1.50751E-03   1.14034E-03   8.57672E-04
+   6.36440E-04   4.68886E-04   3.39348E-04   2.43102E-04   1.70224E-04
+   1.17496E-04   7.84865E-05   5.13465E-05   3.21661E-05   1.95088E-05
+   1.10600E-05   5.97319E-06   2.89947E-06   1.31970E-06   5.10878E-07
+   2.19876E-07   1.20714E-07   1.19485E-07   1.12229E-07   9.07236E-08
+   5.27804E-08   2.03649E-08   4.10253E-09   0.00000E+00   5.80543E+07
+   4.21988E+07   2.99155E+07   2.12045E+07   1.50057E+07   1.06158E+07
+   7.49741E+06   5.29313E+06   3.73028E+06   2.62775E+06   1.84763E+06
+   1.29847E+06   9.10731E+05   6.38403E+05   4.46568E+05   3.12166E+05
+   2.17729E+05   1.51742E+05   1.05504E+05   7.32882E+04   5.07810E+04
+   3.51490E+04   2.42631E+04   1.67286E+04   1.15000E+04   7.89352E+03
+   5.40302E+03   3.67094E+03   2.50075E+03   1.70073E+03   1.15245E+03
+   7.79470E+02   5.24864E+02   3.52749E+02   2.36167E+02   1.57851E+02
+   1.05095E+02   6.98684E+01   4.62947E+01   3.06535E+01   2.02491E+01
+   1.33842E+01   8.83972E+00   5.84940E+00   3.87985E+00   2.58471E+00
+   1.72775E+00   1.16320E+00   7.87394E-01   5.38032E-01   3.70361E-01
+   2.57793E-01   1.81318E-01   1.28844E-01   9.24468E-02   6.71777E-02
+   4.92382E-02   3.65143E-02   2.72520E-02   2.05855E-02   1.55920E-02
+   1.19180E-02   9.12858E-03   7.02879E-03   5.40335E-03   4.16406E-03
+   3.19521E-03   2.44992E-03   1.86495E-03   1.41411E-03   1.06356E-03
+   7.94917E-04   5.86311E-04   4.29178E-04   3.08700E-04   2.19696E-04
+   1.52879E-04   1.04820E-04   6.96037E-05   4.52489E-05   2.82109E-05
+   1.70380E-05   9.65574E-06   5.23740E-06   2.59133E-06   1.23093E-06
+   5.32966E-07   2.68316E-07   1.64891E-07   1.42026E-07   1.17384E-07
+   8.55145E-08   4.65128E-08   1.71210E-08   3.40532E-09   0.00000E+00
+   1.04282E+06   1.92251E-05   1.50054E-05   1.17117E-05   9.14099E-06
+   7.13457E-06   5.56858E-06   4.34634E-06   3.39237E-06   2.64782E-06
+   2.06669E-06   1.61312E-06   1.25911E-06   9.82807E-07   7.67152E-07
+   5.98830E-07   4.67455E-07   3.64915E-07   2.84881E-07   2.22413E-07
+   1.73655E-07   1.35598E-07   1.05893E-07   8.27063E-08   6.46081E-08
+   5.04810E-08   3.94537E-08   3.07282E-08   2.40369E-08   1.88126E-08
+   1.47334E-08   1.15479E-08   9.05658E-09   7.11193E-09   5.59391E-09
+   4.40927E-09   3.48382E-09   2.76105E-09   2.19639E-09   1.75502E-09
+   1.40979E-09   1.13946E-09   9.27482E-10   7.60713E-10   6.29728E-10
+   5.26018E-10   4.43662E-10   3.77925E-10   3.25145E-10   2.82504E-10
+   2.47834E-10   2.19448E-10   1.96156E-10   1.76673E-10   1.60421E-10
+   1.46720E-10   1.35090E-10   1.25151E-10   1.16601E-10   1.09272E-10
+   1.02830E-10   9.72220E-11   9.22989E-11   8.79621E-11   8.41175E-11
+   8.07016E-11   7.76569E-11   7.49332E-11   7.24945E-11   7.02993E-11
+   6.83401E-11   6.65583E-11   6.49508E-11   6.34989E-11   6.21862E-11
+   6.09988E-11   5.99247E-11   5.89533E-11   5.80754E-11   5.72815E-11
+   5.65710E-11   5.59282E-11   5.53524E-11   5.48386E-11   5.43821E-11
+   5.39790E-11   5.36258E-11   5.33185E-11   5.30561E-11   5.28348E-11
+   5.26523E-11   5.25067E-11   5.23962E-11   5.23191E-11   5.22738E-11
+   0.00000E+00   1.53692E+05   1.17685E+05   8.91116E+04   6.79731E+04
+   5.14788E+04   3.92615E+04   2.97348E+04   2.26705E+04   1.71661E+04
+   1.30805E+04   9.89997E+03   7.53741E+03   5.70012E+03   4.33471E+03
+   3.27420E+03   2.48595E+03   1.87465E+03   1.42040E+03   1.06876E+03
+   8.07667E+02   6.06007E+02   4.56484E+02   3.41314E+02   2.56095E+02
+   1.90667E+02   1.42414E+02   1.05414E+02   7.80476E+01   5.75264E+01
+   4.25279E+01   3.11748E+01   2.29291E+01   1.67163E+01   1.22419E+01
+   8.89607E+00   6.50586E+00   4.72743E+00   3.46590E+00   2.52862E+00
+   1.86665E+00   1.37310E+00   1.02408E+00   7.61141E-01   5.73814E-01
+   4.30431E-01   3.26948E-01   2.46605E-01   1.88075E-01   1.42135E-01
+   1.08670E-01   8.22708E-02   6.30680E-02   4.79425E-02   3.69304E-02
+   2.81970E-02   2.18620E-02   1.68453E-02   1.32016E-02   1.02888E-02
+   8.15579E-03   6.42367E-03   5.18471E-03   4.15988E-03   3.41677E-03
+   2.77947E-03   2.31887E-03   1.91461E-03   1.61886E-03   1.35156E-03
+   1.15487E-03   9.70027E-04   8.33919E-04   7.04601E-04   6.03365E-04
+   5.06689E-04   4.29413E-04   3.55988E-04   2.97134E-04   2.41080E-04
+   1.96352E-04   1.54972E-04   1.21965E-04   9.25714E-05   6.90163E-05
+   4.90544E-05   3.35651E-05   2.12036E-05   1.20828E-05   5.45684E-06
+   1.10706E-06   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   3.86748E+05   2.95145E+05   2.22370E+05
+   1.68421E+05   1.26877E+05   9.60668E+04   7.23513E+04   5.47576E+04
+   4.12220E+04   3.11782E+04   2.34559E+04   1.77253E+04   1.33227E+04
+   1.00562E+04   7.54894E+03   5.68944E+03   4.26391E+03   3.20743E+03
+   2.39873E+03   1.80006E+03   1.34266E+03   1.00462E+03   7.46941E+02
+   5.56921E+02   4.12485E+02   3.06298E+02   2.25694E+02   1.66201E+02
+   1.22002E+02   8.97837E+01   6.55921E+01   4.80562E+01   3.49402E+01
+   2.55032E+01   1.84926E+01   1.34834E+01   9.77744E+00   7.14465E+00
+   5.19890E+00   3.82107E+00   2.79964E+00   2.07523E+00   1.53354E+00
+   1.14678E+00   8.53951E-01   6.42699E-01   4.80851E-01   3.63243E-01
+   2.72362E-01   2.06341E-01   1.55103E-01   1.17915E-01   8.91003E-02
+   6.81337E-02   5.17650E-02   3.98985E-02   3.06318E-02   2.38944E-02
+   1.85742E-02   1.46759E-02   1.15518E-02   9.30202E-03   7.46522E-03
+   6.12025E-03   4.98330E-03   4.15080E-03   3.42968E-03   2.89458E-03
+   2.41667E-03   2.05913E-03   1.72799E-03   1.47971E-03   1.24664E-03
+   1.06320E-03   8.89385E-04   7.51391E-04   6.20396E-04   5.17216E-04
+   4.18397E-04   3.41490E-04   2.69655E-04   2.13792E-04   1.63406E-04
+   1.24403E-04   9.05674E-05   6.53634E-05   4.43813E-05   2.95181E-05
+   1.79400E-05   1.03997E-05   5.16552E-06   2.30528E-06   7.78588E-07
+   2.48633E-07   4.30797E-08   0.00000E+00   7.14089E+05   5.43164E+05
+   4.07382E+05   3.06743E+05   2.29983E+05   1.73093E+05   1.29718E+05
+   9.75753E+04   7.30796E+04   5.49312E+04   4.11083E+04   3.08708E+04
+   2.30787E+04   1.73108E+04   1.29245E+04   9.67997E+03   7.21530E+03
+   5.39406E+03   4.01243E+03   2.99288E+03   2.22073E+03   1.65195E+03
+   1.22209E+03   9.06155E+02   6.68000E+02   4.93463E+02   3.62091E+02
+   2.65340E+02   1.94027E+02   1.42184E+02   1.03526E+02   7.55626E+01
+   5.47809E+01   3.98480E+01   2.88197E+01   2.09433E+01   1.51466E+01
+   1.10267E+01   7.99755E+00   5.85014E+00   4.26723E+00   3.14346E+00
+   2.30921E+00   1.71344E+00   1.26687E+00   9.45325E-01   7.01888E-01
+   5.25612E-01   3.91233E-01   2.93955E-01   2.19511E-01   1.65644E-01
+   1.24484E-01   9.45805E-02   7.15452E-02   5.48672E-02   4.19949E-02
+   3.26333E-02   2.53174E-02   1.99555E-02   1.57042E-02   1.26242E-02
+   1.01361E-02   8.29724E-03   6.76168E-03   5.62201E-03   4.64699E-03
+   3.91124E-03   3.26332E-03   2.76821E-03   2.31845E-03   1.97322E-03
+   1.65509E-03   1.40107E-03   1.16522E-03   9.76091E-04   8.00488E-04
+   6.61094E-04   5.30828E-04   4.28980E-04   3.36055E-04   2.63796E-04
+   1.99920E-04   1.50884E-04   1.09127E-04   7.84014E-05   5.32328E-05
+   3.56851E-05   2.21840E-05   1.35143E-05   7.46112E-06   4.08271E-06
+   2.05599E-06   1.03183E-06   1.98719E-07   0.00000E+00   1.15435E+06
+   8.75248E+05   6.53705E+05   4.89719E+05   3.65575E+05   2.73715E+05
+   2.04203E+05   1.52788E+05   1.13901E+05   8.51532E+04   6.34225E+04
+   4.73679E+04   3.52406E+04   2.62879E+04   1.95310E+04   1.45476E+04
+   1.07905E+04   8.02282E+03   5.93892E+03   4.40609E+03   3.25381E+03
+   2.40780E+03   1.77308E+03   1.30812E+03   9.60125E+02   7.05888E+02
+   5.15919E+02   3.76340E+02   2.74170E+02   2.00097E+02   1.45202E+02
+   1.05584E+02   7.63101E+01   5.53104E+01   3.98854E+01   2.88804E+01
+   2.08218E+01   1.50966E+01   1.09085E+01   7.93972E+00   5.76378E+00
+   4.21955E+00   3.08122E+00   2.26926E+00   1.66634E+00   1.23345E+00
+   9.09233E-01   6.75427E-01   4.99319E-01   3.72344E-01   2.76359E-01
+   2.07146E-01   1.54894E-01   1.17013E-01   8.81663E-02   6.73169E-02
+   5.13834E-02   3.97984E-02   3.08234E-02   2.42470E-02   1.90765E-02
+   1.53117E-02   1.22953E-02   1.00491E-02   8.19097E-03   6.79619E-03
+   5.61465E-03   4.71051E-03   3.92360E-03   3.31194E-03   2.76557E-03
+   2.33831E-03   1.95116E-03   1.63860E-03   1.35399E-03   1.12378E-03
+   9.14768E-04   7.47516E-04   5.95235E-04   4.75412E-04   3.68906E-04
+   2.85907E-04   2.14294E-04   1.59541E-04   1.14078E-04   8.08470E-05
+   5.43464E-05   3.60553E-05   2.23676E-05   1.36858E-05   7.75581E-06
+   4.43416E-06   2.39338E-06   1.19976E-06   2.32679E-07   0.00000E+00
+   1.72952E+06   1.30734E+06   9.72607E+05   7.25322E+05   5.39265E+05
+   4.01888E+05   2.98577E+05   2.22342E+05   1.65044E+05   1.22792E+05
+   9.10569E+04   6.76742E+04   5.01245E+04   3.72059E+04   2.75187E+04
+   2.03956E+04   1.50601E+04   1.11420E+04   8.21095E+03   6.06197E+03
+   4.45689E+03   3.28230E+03   2.40667E+03   1.76734E+03   1.29183E+03
+   9.45531E+02   6.88438E+02   5.00002E+02   3.62925E+02   2.63822E+02
+   1.90789E+02   1.38209E+02   9.95654E+01   7.18991E+01   5.16807E+01
+   3.72783E+01   2.67830E+01   1.93352E+01   1.39144E+01   1.00757E+01
+   7.27798E+00   5.29526E+00   3.84374E+00   2.81061E+00   2.05020E+00
+   1.50615E+00   1.10269E+00   8.13035E-01   5.97201E-01   4.42250E-01
+   3.26385E-01   2.43152E-01   1.80974E-01   1.36011E-01   1.02114E-01
+   7.76618E-02   5.91328E-02   4.56684E-02   3.53146E-02   2.77311E-02
+   2.18085E-02   1.74782E-02   1.40308E-02   1.14478E-02   9.32688E-03
+   7.72022E-03   6.36963E-03   5.32493E-03   4.42419E-03   3.71530E-03
+   3.09076E-03   2.59590E-03   2.15384E-03   1.79456E-03   1.47278E-03
+   1.21130E-03   9.78374E-04   7.91199E-04   6.24550E-04   4.93015E-04
+   3.78759E-04   2.89749E-04   2.14631E-04   1.57503E-04   1.11185E-04
+   7.75804E-05   5.14839E-05   3.36628E-05   2.07085E-05   1.26019E-05
+   7.21029E-06   4.19399E-06   2.32273E-06   1.13030E-06   2.19592E-07
+   0.00000E+00   2.67489E+06   1.85803E+06   1.37720E+06   1.02280E+06
+   7.57553E+05   5.62175E+05   4.16034E+05   3.08468E+05   2.28062E+05
+   1.68929E+05   1.24760E+05   9.23076E+04   6.80870E+04   5.03103E+04
+   3.70554E+04   2.73388E+04   2.01020E+04   1.48044E+04   1.08641E+04
+   7.98443E+03   5.84593E+03   4.28604E+03   3.12982E+03   2.28836E+03
+   1.66605E+03   1.21427E+03   8.80813E+02   6.37034E+02   4.60709E+02
+   3.33592E+02   2.40404E+02   1.73488E+02   1.24555E+02   8.96015E+01
+   6.41829E+01   4.61116E+01   3.30055E+01   2.37210E+01   1.69972E+01
+   1.22439E+01   8.79925E+00   6.36321E+00   4.59174E+00   3.33450E+00
+   2.41680E+00   1.76280E+00   1.28222E+00   9.38828E-01   6.85437E-01
+   5.04330E-01   3.70227E-01   2.74267E-01   2.03250E-01   1.52038E-01
+   1.13769E-01   8.62221E-02   6.54996E-02   5.04537E-02   3.89570E-02
+   3.05411E-02   2.40035E-02   1.92071E-02   1.54079E-02   1.25475E-02
+   1.02122E-02   8.43043E-03   6.94189E-03   5.78112E-03   4.78806E-03
+   3.99967E-03   3.31309E-03   2.76423E-03   2.27987E-03   1.88496E-03
+   1.53621E-03   1.25243E-03   1.00365E-03   8.03561E-04   6.28748E-04
+   4.90766E-04   3.73253E-04   2.81961E-04   2.06403E-04   1.49341E-04
+   1.04049E-04   7.14822E-05   4.67972E-05   3.01403E-05   1.83561E-05
+   1.10875E-05   6.37361E-06   3.74212E-06   2.09122E-06   9.83598E-07
+   1.91129E-07   0.00000E+00   3.49285E+06   2.62469E+06   1.93818E+06
+   1.43331E+06   1.05753E+06   7.81379E+05   5.75974E+05   4.25163E+05
+   3.13070E+05   2.30850E+05   1.69788E+05   1.25046E+05   9.18492E+04
+   6.75526E+04   4.95440E+04   3.63809E+04   2.66362E+04   1.95240E+04
+   1.42661E+04   1.04352E+04   7.60768E+03   5.55152E+03   4.03680E+03
+   2.93782E+03   2.13004E+03   1.54535E+03   1.11657E+03   8.03811E+02
+   5.79033E+02   4.17437E+02   2.99665E+02   2.15316E+02   1.53989E+02
+   1.10285E+02   7.86839E+01   5.62653E+01   4.00993E+01   2.86698E+01
+   2.04429E+01   1.46392E+01   1.04616E+01   7.51481E+00   5.38862E+00
+   3.88438E+00   2.79662E+00   2.02458E+00   1.46288E+00   1.06339E+00
+   7.71681E-01   5.64045E-01   4.11903E-01   3.03406E-01   2.23916E-01
+   1.66708E-01   1.24370E-01   9.39286E-02   7.12089E-02   5.47087E-02
+   4.21893E-02   3.30218E-02   2.59406E-02   2.07180E-02   1.66061E-02
+   1.34904E-02   1.09648E-02   9.02074E-03   7.40915E-03   6.14066E-03
+   5.06580E-03   4.20428E-03   3.46420E-03   2.86683E-03   2.34697E-03
+   1.92197E-03   1.55246E-03   1.25163E-03   9.92463E-04   7.84131E-04
+   6.05818E-04   4.65336E-04   3.48333E-04   2.57949E-04   1.84827E-04
+   1.30283E-04   8.81261E-05   5.83730E-05   3.65872E-05   2.23377E-05
+   1.27462E-05   7.17091E-06   3.83681E-06   2.17590E-06   1.21930E-06
+   5.82677E-07   1.14722E-07   0.00000E+00   4.79949E+06   3.59591E+06
+   2.64567E+06   1.94876E+06   1.43246E+06   1.05413E+06   7.74052E+05
+   5.69015E+05   4.17360E+05   3.06452E+05   2.24496E+05   1.64629E+05
+   1.20434E+05   8.81902E+04   6.44144E+04   4.70920E+04   3.43353E+04
+   2.50556E+04   1.82317E+04   1.32764E+04   9.63865E+03   7.00221E+03
+   5.07052E+03   3.67376E+03   2.65267E+03   1.91604E+03   1.37889E+03
+   9.88205E+02   7.09012E+02   5.08934E+02   3.63893E+02   2.60331E+02
+   1.85433E+02   1.32211E+02   9.39331E+01   6.68527E+01   4.74296E+01
+   3.37347E+01   2.39336E+01   1.70393E+01   1.21081E+01   8.64125E+00
+   6.15790E+00   4.40782E+00   3.15299E+00   2.26646E+00   1.62724E+00
+   1.17489E+00   8.47648E-01   6.15779E-01   4.47435E-01   3.27849E-01
+   2.40992E-01   1.78647E-01   1.32882E-01   1.00035E-01   7.56792E-02
+   5.79991E-02   4.46614E-02   3.48965E-02   2.73863E-02   2.18270E-02
+   1.74701E-02   1.41543E-02   1.14811E-02   9.41133E-03   7.70600E-03
+   6.35607E-03   5.22109E-03   4.30666E-03   3.52981E-03   2.89970E-03
+   2.35777E-03   1.91490E-03   1.53487E-03   1.22608E-03   9.63870E-04
+   7.53648E-04   5.76703E-04   4.37763E-04   3.24106E-04   2.36800E-04
+   1.67446E-04   1.16209E-04   7.74055E-05   5.03514E-05   3.10156E-05
+   1.85735E-05   1.04405E-05   5.81441E-06   3.13072E-06   1.80318E-06
+   1.01733E-06   4.69587E-07   9.25499E-08   0.00000E+00   6.43994E+06
+   4.81101E+06   3.52712E+06   2.58827E+06   1.89566E+06   1.38963E+06
+   1.01664E+06   7.44413E+05   5.43948E+05   3.97805E+05   2.90296E+05
+   2.12014E+05   1.54492E+05   1.12662E+05   8.19612E+04   5.96687E+04
+   4.33301E+04   3.14851E+04   2.28172E+04   1.65445E+04   1.19623E+04
+   8.65290E+03   6.24023E+03   4.50180E+03   3.23731E+03   2.32827E+03
+   1.66884E+03   1.19074E+03   8.50867E+02   6.08134E+02   4.33054E+02
+   3.08461E+02   2.18803E+02   1.55301E+02   1.09861E+02   7.78158E+01
+   5.49509E+01   3.88810E+01   2.74438E+01   1.94262E+01   1.37264E+01
+   9.73441E+00   6.89455E+00   4.90193E+00   3.48442E+00   2.48789E+00
+   1.77528E+00   1.27361E+00   9.13756E-01   6.59991E-01   4.77267E-01
+   3.47997E-01   2.54824E-01   1.88147E-01   1.39548E-01   1.04738E-01
+   7.90710E-02   6.04555E-02   4.64796E-02   3.62524E-02   2.84127E-02
+   2.25945E-02   1.80507E-02   1.45828E-02   1.17985E-02   9.63456E-03
+   7.86046E-03   6.45146E-03   5.27456E-03   4.32416E-03   3.52427E-03
+   2.87428E-03   2.32099E-03   1.86991E-03   1.48728E-03   1.17753E-03
+   9.17807E-04   7.10508E-04   5.38544E-04   4.04216E-04   2.96051E-04
+   2.13553E-04   1.49089E-04   1.01964E-04   6.69273E-05   4.28144E-05
+   2.59569E-05   1.52890E-05   8.49786E-06   4.71213E-06   2.56829E-06
+   1.50400E-06   8.50081E-07   3.80119E-07   7.48909E-08   0.00000E+00
+   8.47903E+06   6.31641E+06   4.61480E+06   3.37419E+06   2.46256E+06
+   1.79854E+06   1.31106E+06   9.56382E+05   6.96271E+05   5.07245E+05
+   3.68775E+05   2.68276E+05   1.94744E+05   1.41449E+05   1.02506E+05
+   7.43235E+04   5.37601E+04   3.89037E+04   2.80814E+04   2.02770E+04
+   1.46022E+04   1.05183E+04   7.55491E+03   5.42729E+03   3.88702E+03
+   2.78368E+03   1.98726E+03   1.41175E+03   1.00468E+03   7.14983E+02
+   5.07038E+02   3.59578E+02   2.53981E+02   1.79450E+02   1.26382E+02
+   8.90878E+01   6.26129E+01   4.40718E+01   3.09474E+01   2.17817E+01
+   1.53043E+01   1.07867E+01   7.59407E+00   5.36427E+00   3.78983E+00
+   2.68858E+00   1.90715E+00   1.35995E+00   9.70474E-01   6.97157E-01
+   5.01833E-01   3.64226E-01   2.65730E-01   1.95466E-01   1.44573E-01
+   1.08201E-01   8.15131E-02   6.21790E-02   4.77234E-02   3.71519E-02
+   2.90704E-02   2.30618E-02   1.83831E-02   1.48053E-02   1.19433E-02
+   9.71352E-03   7.89351E-03   6.44577E-03   5.24367E-03   4.27255E-03
+   3.46201E-03   2.80349E-03   2.24819E-03   1.79712E-03   1.41848E-03
+   1.11344E-03   8.60566E-04   6.59851E-04   4.95511E-04   3.67940E-04
+   2.66667E-04   1.90038E-04   1.31058E-04   8.84091E-05   5.72337E-05
+   3.60589E-05   2.15517E-05   1.25197E-05   6.90441E-06   3.82885E-06
+   2.11739E-06   1.25610E-06   7.05825E-07   3.05557E-07   6.01065E-08
+   0.00000E+00   1.09906E+07   8.16473E+06   5.94507E+06   4.33161E+06
+   3.15044E+06   2.29269E+06   1.66542E+06   1.21044E+06   8.78074E+05
+   6.37307E+05   4.61640E+05   3.34557E+05   2.41955E+05   1.75060E+05
+   1.26383E+05   9.12748E+04   6.57675E+04   4.74025E+04   3.40825E+04
+   2.45105E+04   1.75812E+04   1.26121E+04   9.02268E+03   6.45481E+03
+   4.60430E+03   3.28352E+03   2.33466E+03   1.65135E+03   1.17037E+03
+   8.29318E+02   5.85663E+02   4.13509E+02   2.90817E+02   2.04536E+02
+   1.43401E+02   1.00597E+02   7.03630E+01   4.92696E+01   3.44186E+01
+   2.40888E+01   1.68311E+01   1.17915E+01   8.25267E+00   5.79298E+00
+   4.06848E+00   2.86847E+00   2.02317E+00   1.43435E+00   1.01831E+00
+   7.27753E-01   5.21554E-01   3.76893E-01   2.73999E-01   2.00836E-01
+   1.48143E-01   1.10569E-01   8.31187E-02   6.32580E-02   4.84625E-02
+   3.76508E-02   2.94048E-02   2.32664E-02   1.84992E-02   1.48496E-02
+   1.19398E-02   9.66984E-03   7.82476E-03   6.35660E-03   5.14442E-03
+   4.16609E-03   3.35582E-03   2.69858E-03   2.14921E-03   1.70493E-03
+   1.33561E-03   1.03972E-03   7.96989E-04   6.05515E-04   4.50613E-04
+   3.31191E-04   2.37619E-04   1.67407E-04   1.14119E-04   7.60055E-05
+   4.85799E-05   3.01911E-05   1.78241E-05   1.02420E-05   5.62490E-06
+   3.13156E-06   1.75842E-06   1.05150E-06   5.83618E-07   2.44471E-07
+   4.79647E-08   0.00000E+00   1.40579E+07   1.04151E+07   7.55862E+06
+   5.48841E+06   3.97837E+06   2.88510E+06   2.08855E+06   1.51256E+06
+   1.09339E+06   7.90699E+05   5.70703E+05   4.12063E+05   2.96921E+05
+   2.14017E+05   1.53934E+05   1.10744E+05   7.94944E+04   5.70717E+04
+   4.08770E+04   2.92796E+04   2.09202E+04   1.49467E+04   1.06506E+04
+   7.58815E+03   5.39102E+03   3.82855E+03   2.71122E+03   1.90943E+03
+   1.34771E+03   9.50870E+02   6.68676E+02   4.70036E+02   3.29134E+02
+   2.30421E+02   1.60815E+02   1.12267E+02   7.81477E+01   5.44374E+01
+   3.78327E+01   2.63314E+01   1.82968E+01   1.27430E+01   8.86733E+00
+   6.18668E+00   4.32000E+00   3.02776E+00   2.12377E+00   1.49736E+00
+   1.05777E+00   7.52252E-01   5.36833E-01   3.86327E-01   2.79900E-01
+   2.04469E-01   1.50421E-01   1.11969E-01   8.39879E-02   6.37709E-02
+   4.87592E-02   3.77989E-02   2.94572E-02   2.32429E-02   1.84287E-02
+   1.47413E-02   1.18108E-02   9.52366E-03   7.67227E-03   6.20003E-03
+   4.99120E-03   4.01744E-03   3.21687E-03   2.56916E-03   2.03226E-03
+   1.60023E-03   1.24438E-03   9.60944E-04   7.30722E-04   5.50296E-04
+   4.05959E-04   2.95476E-04   2.09958E-04   1.46332E-04   9.86743E-05
+   6.49498E-05   4.10356E-05   2.51989E-05   1.47268E-05   8.39593E-06
+   4.60831E-06   2.58316E-06   1.47148E-06   8.82106E-07   4.81119E-07
+   1.95002E-07   3.81262E-08   0.00000E+00   1.77742E+07   1.31335E+07
+   9.50048E+06   6.87532E+06   4.96723E+06   3.58991E+06   2.59000E+06
+   1.86917E+06   1.34653E+06   9.70291E+05   6.97868E+05   5.02048E+05
+   3.60466E+05   2.58856E+05   1.85504E+05   1.32952E+05   9.50803E+04
+   6.79982E+04   4.85184E+04   3.46167E+04   2.46381E+04   1.75328E+04
+   1.24443E+04   8.83013E+03   6.24836E+03   4.41904E+03   3.11678E+03
+   2.18563E+03   1.53629E+03   1.07927E+03   7.55757E+02   5.28901E+02
+   3.68733E+02   2.56955E+02   1.78515E+02   1.24022E+02   8.59134E+01
+   5.95394E+01   4.11663E+01   2.84950E+01   1.96928E+01   1.36364E+01
+   9.43566E+00   6.54450E+00   4.54433E+00   3.16680E+00   2.20949E+00
+   1.54955E+00   1.08941E+00   7.71118E-01   5.48056E-01   3.92841E-01
+   2.83679E-01   2.06555E-01   1.51556E-01   1.12517E-01   8.42107E-02
+   6.37883E-02   4.86696E-02   3.76417E-02   2.92652E-02   2.30229E-02
+   1.81989E-02   1.45042E-02   1.15773E-02   9.29352E-03   7.45252E-03
+   5.99057E-03   4.79678E-03   3.83766E-03   3.05469E-03   2.42328E-03
+   1.90409E-03   1.48851E-03   1.14920E-03   8.80585E-04   6.64432E-04
+   4.96164E-04   3.62965E-04   2.61748E-04   1.84294E-04   1.27154E-04
+   8.48803E-05   5.52741E-05   3.45642E-05   2.10090E-05   1.21820E-05
+   6.91092E-06   3.80287E-06   2.14997E-06   1.23964E-06   7.40982E-07
+   3.95631E-07   1.55214E-07   3.02213E-08   0.00000E+00   2.22427E+07
+   1.63923E+07   1.18201E+07   8.52582E+06   6.13966E+06   4.42235E+06
+   3.18000E+06   2.28711E+06   1.64203E+06   1.17908E+06   8.45108E+05
+   6.05801E+05   4.33425E+05   3.10114E+05   2.21437E+05   1.58114E+05
+   1.12660E+05   8.02646E+04   5.70562E+04   4.05506E+04   2.87513E+04
+   2.03790E+04   1.44083E+04   1.01825E+04   7.17676E+03   5.05476E+03
+   3.55082E+03   2.47937E+03   1.73557E+03   1.21404E+03   8.46530E+02
+   5.89810E+02   4.09395E+02   2.83980E+02   1.96388E+02   1.35782E+02
+   9.36075E+01   6.45411E+01   4.43976E+01   3.05663E+01   2.10114E+01
+   1.44678E+01   9.95596E+00   6.86599E+00   4.74171E+00   3.28613E+00
+   2.28097E+00   1.59153E+00   1.11377E+00   7.84807E-01   5.55590E-01
+   3.96724E-01   2.85561E-01   2.07270E-01   1.51684E-01   1.12316E-01
+   8.38681E-02   6.33740E-02   4.82448E-02   3.72209E-02   2.88637E-02
+   2.26361E-02   1.78354E-02   1.41604E-02   1.12585E-02   8.99631E-03
+   7.18031E-03   5.74108E-03   4.57228E-03   3.63621E-03   2.87728E-03
+   2.26756E-03   1.77008E-03   1.37407E-03   1.05344E-03   8.01185E-04
+   6.00000E-04   4.44437E-04   3.22520E-04   2.30549E-04   1.60927E-04
+   1.09991E-04   7.27435E-05   4.69146E-05   2.90740E-05   1.75230E-05
+   1.01035E-05   5.71896E-06   3.16271E-06   1.80433E-06   1.04970E-06
+   6.22651E-07   3.24581E-07   1.23349E-07   2.39051E-08   0.00000E+00
+   2.75765E+07   2.02711E+07   1.45710E+07   1.04761E+07   7.51996E+06
+   5.39868E+06   3.86938E+06   2.77353E+06   1.98462E+06   1.42018E+06
+   1.01445E+06   7.24629E+05   5.16639E+05   3.68324E+05   2.62068E+05
+   1.86440E+05   1.32360E+05   9.39469E+04   6.65349E+04   4.71063E+04
+   3.32732E+04   2.34921E+04   1.65451E+04   1.16460E+04   8.17587E+03
+   5.73493E+03   4.01249E+03   2.78983E+03   1.94486E+03   1.35463E+03
+   9.40564E+02   6.52443E+02   4.50885E+02   3.11328E+02   2.14319E+02
+   1.47471E+02   1.01179E+02   6.94102E+01   4.75069E+01   3.25340E+01
+   2.22465E+01   1.52343E+01   1.04271E+01   7.15112E+00   4.91259E+00
+   3.38642E+00   2.33888E+00   1.62393E+00   1.13138E+00   7.93757E-01
+   5.59784E-01   3.98247E-01   2.85756E-01   2.06773E-01   1.50926E-01
+   1.11461E-01   8.30338E-02   6.25862E-02   4.75317E-02   3.65749E-02
+   2.82847E-02   2.21097E-02   1.73614E-02   1.37300E-02   1.08721E-02
+   8.64719E-03   6.86875E-03   5.46278E-03   4.32724E-03   3.42103E-03
+   2.69124E-03   2.10733E-03   1.63448E-03   1.26018E-03   9.59579E-04
+   7.24541E-04   5.38687E-04   3.95942E-04   2.85129E-04   2.02136E-04
+   1.39949E-04   9.48204E-05   6.21800E-05   3.97575E-05   2.44500E-05
+   1.46368E-05   8.40950E-06   4.76034E-06   2.65009E-06   1.52484E-06
+   8.91884E-07   5.22912E-07   2.65688E-07   9.78994E-08   1.88774E-08
+   0.00000E+00   3.38989E+07   2.48558E+07   1.78111E+07   1.27648E+07
+   9.13391E+06   6.53603E+06   4.66945E+06   3.33590E+06   2.37917E+06
+   1.69674E+06   1.20792E+06   8.59842E+05   6.10936E+05   4.34008E+05
+   3.07719E+05   2.18124E+05   1.54299E+05   1.09113E+05   7.69928E+04
+   5.43043E+04   3.82138E+04   2.68760E+04   1.88559E+04   1.32202E+04
+   9.24458E+03   6.45829E+03   4.50057E+03   3.11599E+03   2.16333E+03
+   1.50039E+03   1.03738E+03   7.16454E+02   4.92960E+02   3.38832E+02
+   2.32194E+02   1.59013E+02   1.08580E+02   7.41168E+01   5.04764E+01
+   3.43879E+01   2.33930E+01   1.59336E+01   1.08486E+01   7.40020E+00
+   5.05764E+00   3.46844E+00   2.38398E+00   1.64740E+00   1.14277E+00
+   7.98393E-01   5.60968E-01   3.97664E-01   2.84457E-01   2.05211E-01
+   1.49395E-01   1.10039E-01   8.17752E-02   6.14783E-02   4.65732E-02
+   3.57390E-02   2.75579E-02   2.14685E-02   1.67984E-02   1.32314E-02
+   1.04336E-02   8.25958E-03   6.52930E-03   5.16529E-03   4.06967E-03
+   3.19870E-03   2.50187E-03   1.94677E-03   1.50051E-03   1.14926E-03
+   8.69360E-04   6.51860E-04   4.81281E-04   3.51138E-04   2.51020E-04
+   1.76566E-04   1.21316E-04   8.15348E-05   5.30579E-05   3.36679E-05
+   2.05726E-05   1.22523E-05   7.02764E-06   3.98548E-06   2.23534E-06
+   1.29552E-06   7.59110E-07   4.38552E-07   2.16989E-07   7.76135E-08
+   1.48865E-08   0.00000E+00   4.13424E+07   3.02383E+07   2.16017E+07
+   1.54328E+07   1.10087E+07   7.85229E+06   5.59198E+06   3.98187E+06
+   2.83066E+06   2.01197E+06   1.42758E+06   1.01273E+06   7.17124E+05
+   5.07663E+05   3.58693E+05   2.53348E+05   1.78580E+05   1.25822E+05
+   8.84611E+04   6.21598E+04   4.35794E+04   3.05325E+04   2.13400E+04
+   1.49032E+04   1.03810E+04   7.22301E+03   5.01354E+03   3.45662E+03
+   2.39004E+03   1.65064E+03   1.13648E+03   7.81480E+02   5.35368E+02
+   3.66320E+02   2.49901E+02   1.70335E+02   1.15766E+02   7.86337E+01
+   5.32906E+01   3.61200E+01   2.44470E+01   1.65644E+01   1.12204E+01
+   7.61384E+00   5.17773E+00   3.53306E+00   2.41703E+00   1.66258E+00
+   1.14846E+00   7.99120E-01   5.59452E-01   3.95211E-01   2.81842E-01
+   2.02718E-01   1.47193E-01   1.08127E-01   8.01540E-02   6.00990E-02
+   4.54088E-02   3.47456E-02   2.67103E-02   2.07354E-02   1.61656E-02
+   1.26808E-02   9.95714E-03   7.84521E-03   6.17177E-03   4.85674E-03
+   3.80624E-03   2.97453E-03   2.31337E-03   1.78907E-03   1.37056E-03
+   1.04301E-03   7.83957E-04   5.83887E-04   4.28213E-04   3.10217E-04
+   2.20228E-04   1.53766E-04   1.04900E-04   6.99801E-05   4.52247E-05
+   2.85078E-05   1.73289E-05   1.02821E-05   5.89690E-06   3.35469E-06
+   1.89581E-06   1.10469E-06   6.46318E-07   3.67087E-07   1.76815E-07
+   6.14676E-08   1.17253E-08   0.00000E+00   5.00488E+07   3.65166E+07
+   2.60080E+07   1.85231E+07   1.31725E+07   9.36595E+06   6.64898E+06
+   4.71923E+06   3.34407E+06   2.36904E+06   1.67543E+06   1.18454E+06
+   8.35975E+05   5.89756E+05   4.15268E+05   2.92272E+05   2.05295E+05
+   1.44122E+05   1.00963E+05   7.06826E+04   4.93727E+04   3.44605E+04
+   2.39949E+04   1.66923E+04   1.15824E+04   8.02683E+03   5.54955E+03
+   3.81032E+03   2.62394E+03   1.80460E+03   1.23731E+03   8.47148E+02
+   5.77856E+02   3.93626E+02   2.67330E+02   1.81370E+02   1.22693E+02
+   8.29368E+01   5.59360E+01   3.77235E+01   2.54057E+01   1.71261E+01
+   1.15430E+01   7.79296E+00   5.27383E+00   3.58121E+00   2.43883E+00
+   1.67012E+00   1.14897E+00   7.96326E-01   5.55530E-01   3.91106E-01
+   2.78077E-01   1.99419E-01   1.44414E-01   1.05799E-01   7.82266E-02
+   5.84932E-02   4.40745E-02   3.36244E-02   2.57666E-02   1.99310E-02
+   1.54804E-02   1.20929E-02   9.45476E-03   7.41420E-03   5.80451E-03
+   4.54388E-03   3.54231E-03   2.75271E-03   2.12895E-03   1.63662E-03
+   1.24633E-03   9.42576E-04   7.04092E-04   5.21019E-04   3.79650E-04
+   2.73183E-04   1.92658E-04   1.33583E-04   9.05283E-05   5.99826E-05
+   3.85249E-05   2.41462E-05   1.46172E-05   8.65177E-06   4.96738E-06
+   2.83689E-06   1.61453E-06   9.43961E-07   5.49860E-07   3.06546E-07
+   1.43755E-07   4.86329E-08   9.22543E-09   0.00000E+00   6.01679E+07
+   4.37936E+07   3.10978E+07   2.20803E+07   1.56544E+07   1.10959E+07
+   7.85265E+06   5.55577E+06   3.92438E+06   2.77108E+06   1.95342E+06
+   1.37647E+06   9.68211E+05   6.80716E+05   4.77693E+05   3.35034E+05
+   2.34515E+05   1.64048E+05   1.14515E+05   7.98766E+04   5.55922E+04
+   3.86563E+04   2.68162E+04   1.85835E+04   1.28453E+04   8.86698E+03
+   6.10650E+03   4.17552E+03   2.86390E+03   1.96148E+03   1.33932E+03
+   9.13080E+02   6.20172E+02   4.20586E+02   2.84378E+02   1.92054E+02
+   1.29326E+02   8.70049E+01   5.84017E+01   3.91934E+01   2.62675E+01
+   1.76188E+01   1.18172E+01   7.93865E+00   5.34706E+00   3.61387E+00
+   2.45019E+00   1.67066E+00   1.14477E+00   7.90380E-01   5.49478E-01
+   3.85555E-01   2.73314E-01   1.95427E-01   1.41144E-01   1.03121E-01
+   7.60448E-02   5.67017E-02   4.26035E-02   3.24024E-02   2.47490E-02
+   1.90737E-02   1.47580E-02   1.14803E-02   8.93698E-03   6.97509E-03
+   5.43442E-03   4.23218E-03   3.28217E-03   2.53648E-03   1.95101E-03
+   1.49110E-03   1.12894E-03   8.48653E-04   6.30142E-04   4.63395E-04
+   3.35575E-04   2.39915E-04   1.68136E-04   1.15820E-04   7.80072E-05
+   5.13652E-05   3.28096E-05   2.04640E-05   1.23491E-05   7.29892E-06
+   4.19903E-06   2.40814E-06   1.37894E-06   8.07266E-07   4.67051E-07
+   2.55322E-07   1.16618E-07   3.84420E-08   7.25149E-09   0.00000E+00
+   9.37567E+05   4.46846E+05   3.32982E+05   2.48127E+05   1.84896E+05
+   1.37779E+05   1.02669E+05   7.65069E+04   5.70116E+04   4.24843E+04
+   3.16590E+04   2.35924E+04   1.75813E+04   1.31020E+04   9.76417E+03
+   7.27683E+03   5.42329E+03   4.04204E+03   3.01272E+03   2.24565E+03
+   1.67401E+03   1.24800E+03   9.30504E+02   6.93879E+02   5.17518E+02
+   3.86066E+02   2.88082E+02   2.14068E+02   1.59882E+02   1.19474E+02
+   8.93358E+01   6.68523E+01   5.00519E+01   3.75205E+01   2.81703E+01
+   2.11934E+01   1.59799E+01   1.20829E+01   9.16711E+00   6.98248E+00
+   5.34272E+00   4.10905E+00   3.17808E+00   2.47200E+00   1.93629E+00
+   1.52569E+00   1.20941E+00   9.64049E-01   7.72302E-01   6.21357E-01
+   5.01723E-01   4.06277E-01   3.30032E-01   2.68062E-01   2.17965E-01
+   1.77176E-01   1.43866E-01   1.16605E-01   9.42667E-02   7.61209E-02
+   6.11012E-02   4.88718E-02   3.88962E-02   3.07905E-02   2.42133E-02
+   1.89079E-02   1.46510E-02   1.12539E-02   8.56615E-03   6.44984E-03
+   4.81425E-03   3.54053E-03   2.56911E-03   1.83678E-03   1.29185E-03
+   8.92225E-04   6.03898E-04   3.99639E-04   2.57875E-04   1.61576E-04
+   9.83629E-05   5.75421E-05   3.22731E-05   1.72331E-05   8.68467E-06
+   4.08447E-06   1.76703E-06   6.87257E-07   2.35108E-07   6.76508E-08
+   1.53704E-08   2.48004E-09   2.32925E-10   8.14683E-12   2.54544E-14
+   0.00000E+00   7.37075E+05   5.59791E+05   4.18589E+05   3.13469E+05
+   2.34429E+05   1.75580E+05   1.31324E+05   9.83661E+04   7.35776E+04
+   5.51143E+04   4.12257E+04   3.08796E+04   2.30964E+04   1.72978E+04
+   1.29356E+04   9.68559E+03   7.24083E+03   5.41955E+03   4.04975E+03
+   3.02949E+03   2.26238E+03   1.69123E+03   1.26201E+03   9.42604E+02
+   7.02728E+02   5.24365E+02   3.90454E+02   2.89827E+02   2.15708E+02
+   1.60718E+02   1.19555E+02   8.90574E+01   6.62265E+01   4.93499E+01
+   3.67553E+01   2.74601E+01   2.05246E+01   1.54062E+01   1.15846E+01
+   8.76043E+00   6.64485E+00   5.07479E+00   3.89100E+00   3.00488E+00
+   2.33176E+00   1.82211E+00   1.42924E+00   1.12828E+00   8.93202E-01
+   7.10920E-01   5.66886E-01   4.53935E-01   3.64191E-01   2.92639E-01
+   2.35186E-01   1.89289E-01   1.52127E-01   1.22270E-01   9.79957E-02
+   7.85883E-02   6.26462E-02   4.98860E-02   3.95295E-02   3.12403E-02
+   2.45271E-02   1.91897E-02   1.49047E-02   1.15281E-02   8.84507E-03
+   6.75587E-03   5.12232E-03   3.86398E-03   2.88699E-03   2.15091E-03
+   1.58661E-03   1.16874E-03   8.52275E-04   6.22450E-04   4.49180E-04
+   3.25392E-04   2.32800E-04   1.66985E-04   1.17558E-04   8.21913E-05
+   5.56177E-05   3.66078E-05   2.25033E-05   1.25798E-05   5.62443E-06
+   1.15430E-06   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   9.64093E+05   7.32719E+05   5.48488E+05
+   4.11400E+05   3.07961E+05   2.30988E+05   1.72904E+05   1.29677E+05
+   9.70582E+04   7.27810E+04   5.44622E+04   4.08282E+04   3.05416E+04
+   2.28863E+04   1.71118E+04   1.28152E+04   9.57535E+03   7.16556E+03
+   5.34930E+03   3.99909E+03   2.98213E+03   2.22669E+03   1.65824E+03
+   1.23638E+03   9.19311E+02   6.84311E+02   5.07813E+02   3.75788E+02
+   2.78551E+02   2.06744E+02   1.53053E+02   1.13490E+02   8.39288E+01
+   6.22143E+01   4.60515E+01   3.42069E+01   2.53975E+01   1.89466E+01
+   1.41467E+01   1.06284E+01   8.00187E+00   6.06877E+00   4.61597E+00
+   3.53761E+00   2.72086E+00   2.10787E+00   1.63722E+00   1.28014E+00
+   1.00274E+00   7.90088E-01   6.23225E-01   4.94030E-01   3.92226E-01
+   3.12169E-01   2.48445E-01   1.98238E-01   1.57965E-01   1.26036E-01
+   1.00294E-01   7.99551E-02   6.33837E-02   5.02792E-02   3.97071E-02
+   3.13329E-02   2.45757E-02   1.92550E-02   1.49890E-02   1.16547E-02
+   8.99953E-03   6.94530E-03   5.32651E-03   4.08624E-03   3.11050E-03
+   2.37449E-03   1.79747E-03   1.36781E-03   1.03083E-03   7.83774E-04
+   5.87441E-04   4.45244E-04   3.31648E-04   2.49249E-04   1.82875E-04
+   1.34538E-04   9.55558E-05   6.76415E-05   4.53411E-05   2.98785E-05
+   1.80596E-05   1.04327E-05   5.17274E-06   2.30636E-06   7.78653E-07
+   2.48602E-07   4.30552E-08   0.00000E+00   1.28564E+06   9.76369E+05
+   7.30257E+05   5.47297E+05   4.09267E+05   3.06667E+05   2.29271E+05
+   1.71747E+05   1.28361E+05   9.61187E+04   7.18062E+04   5.37430E+04
+   4.01263E+04   3.00128E+04   2.23921E+04   1.67346E+04   1.24739E+04
+   9.31265E+03   6.93363E+03   5.16993E+03   3.84388E+03   2.86181E+03
+   2.12430E+03   1.57882E+03   1.16977E+03   8.67679E+02   6.41386E+02
+   4.72813E+02   3.48998E+02   2.57957E+02   1.90097E+02   1.40324E+02
+   1.03264E+02   7.61745E+01   5.60864E+01   4.14422E+01   3.05938E+01
+   2.26935E+01   1.68392E+01   1.25725E+01   9.40094E+00   7.08059E+00
+   5.34472E+00   4.06449E+00   3.09972E+00   2.38089E+00   1.83235E+00
+   1.41963E+00   1.10137E+00   8.59695E-01   6.71656E-01   5.27563E-01
+   4.15047E-01   3.27521E-01   2.58486E-01   2.04683E-01   1.61919E-01
+   1.28367E-01   1.01536E-01   8.05340E-02   6.35571E-02   5.02526E-02
+   3.95842E-02   3.11961E-02   2.44570E-02   1.91837E-02   1.49656E-02
+   1.16831E-02   9.06834E-03   7.04908E-03   5.45130E-03   4.22677E-03
+   3.25552E-03   2.51880E-03   1.93366E-03   1.49362E-03   1.14242E-03
+   8.81275E-04   6.69313E-04   5.13183E-04   3.85918E-04   2.92021E-04
+   2.15262E-04   1.58777E-04   1.12967E-04   8.01314E-05   5.39524E-05
+   3.59508E-05   2.22709E-05   1.35377E-05   7.46617E-06   4.08344E-06
+   2.05603E-06   1.03181E-06   1.98702E-07   0.00000E+00   1.72029E+06
+   1.30422E+06   9.73430E+05   7.27922E+05   5.43110E+05   4.05983E+05
+   3.02784E+05   2.26235E+05   1.68643E+05   1.25938E+05   9.38209E+04
+   7.00164E+04   5.21218E+04   3.88657E+04   2.89063E+04   2.15332E+04
+   1.59978E+04   1.19031E+04   8.83160E+03   6.56184E+03   4.86110E+03
+   3.60581E+03   2.66647E+03   1.97419E+03   1.45698E+03   1.07642E+03
+   7.92468E+02   5.81759E+02   4.27605E+02   3.14715E+02   2.30907E+02
+   1.69691E+02   1.24299E+02   9.12617E+01   6.68664E+01   4.91596E+01
+   3.60992E+01   2.66306E+01   1.96454E+01   1.45783E+01   1.08296E+01
+   8.10076E+00   6.07012E+00   4.58081E+00   3.46537E+00   2.63968E+00
+   2.01408E+00   1.54691E+00   1.18958E+00   9.20504E-01   7.12977E-01
+   5.55354E-01   4.33389E-01   3.39367E-01   2.65867E-01   2.09102E-01
+   1.64370E-01   1.29573E-01   1.01959E-01   8.05120E-02   6.33015E-02
+   4.99085E-02   3.92308E-02   3.08822E-02   2.42036E-02   1.89997E-02
+   1.48481E-02   1.16245E-02   9.05799E-03   7.07503E-03   5.50279E-03
+   4.29444E-03   3.33129E-03   2.59583E-03   2.00752E-03   1.56069E-03
+   1.20131E-03   9.30563E-04   7.09458E-04   5.44258E-04   4.09328E-04
+   3.08568E-04   2.26493E-04   1.65749E-04   1.17067E-04   8.21762E-05
+   5.48926E-05   3.62539E-05   2.24317E-05   1.37028E-05   7.75941E-06
+   4.43467E-06   2.39340E-06   1.19974E-06   2.32667E-07   0.00000E+00
+   2.28999E+06   1.73218E+06   1.28926E+06   9.61233E+05   7.15095E+05
+   5.32884E+05   3.96212E+05   2.95082E+05   2.19260E+05   1.63185E+05
+   1.21163E+05   9.01048E+04   6.68435E+04   4.96627E+04   3.68038E+04
+   2.73140E+04   2.02173E+04   1.49849E+04   1.10758E+04   8.19695E+03
+   6.04871E+03   4.46876E+03   3.29145E+03   2.42697E+03   1.78388E+03
+   1.31247E+03   9.62304E+02   7.03417E+02   5.14860E+02   3.77313E+02
+   2.75646E+02   2.01676E+02   1.47071E+02   1.07482E+02   7.83810E+01
+   5.73413E+01   4.18930E+01   3.07381E+01   2.25476E+01   1.66310E+01
+   1.22763E+01   9.12083E+00   6.78619E+00   5.08283E+00   3.81555E+00
+   2.88323E+00   2.18215E+00   1.66227E+00   1.26791E+00   9.73206E-01
+   7.47883E-01   5.78084E-01   4.47847E-01   3.48235E-01   2.71023E-01
+   2.11854E-01   1.65601E-01   1.29881E-01   1.01734E-01   8.00198E-02
+   6.27099E-02   4.93164E-02   3.86944E-02   3.04258E-02   2.38379E-02
+   1.87202E-02   1.46476E-02   1.14890E-02   8.97608E-03   7.03194E-03
+   5.48912E-03   4.29923E-03   3.34806E-03   2.61743E-03   2.03085E-03
+   1.58179E-03   1.21963E-03   9.44165E-04   7.19281E-04   5.49645E-04
+   4.11737E-04   3.08070E-04   2.24403E-04   1.62426E-04   1.13530E-04
+   7.86113E-05   5.19026E-05   3.38129E-05   2.07563E-05   1.26144E-05
+   7.21288E-06   4.19434E-06   2.32274E-06   1.13028E-06   2.19583E-07
+   0.00000E+00   2.57556E+06   2.27884E+06   1.69085E+06   1.25647E+06
+   9.31713E+05   6.91927E+05   5.12741E+05   3.80517E+05   2.81762E+05
+   2.08938E+05   1.54580E+05   1.14525E+05   8.46472E+04   6.26487E+04
+   4.62524E+04   3.41914E+04   2.52102E+04   1.86108E+04   1.37017E+04
+   1.00991E+04   7.42261E+03   5.46120E+03   4.00618E+03   2.94170E+03
+   2.15341E+03   1.57769E+03   1.15205E+03   8.38487E+02   6.11172E+02
+   4.45977E+02   3.24429E+02   2.36326E+02   1.71584E+02   1.24823E+02
+   9.06060E+01   6.59610E+01   4.79497E+01   3.49938E+01   2.55273E+01
+   1.87165E+01   1.37303E+01   1.01332E+01   7.48779E+00   5.56745E+00
+   4.14857E+00   3.11089E+00   2.33649E+00   1.76606E+00   1.33690E+00
+   1.01843E+00   7.76977E-01   5.96324E-01   4.58911E-01   3.54546E-01
+   2.74295E-01   2.13219E-01   1.65826E-01   1.29457E-01   1.00987E-01
+   7.91517E-02   6.18492E-02   4.85251E-02   3.80088E-02   2.98517E-02
+   2.33769E-02   1.83583E-02   1.43741E-02   1.12857E-02   8.83098E-03
+   6.92889E-03   5.41930E-03   4.25116E-03   3.31608E-03   2.59448E-03
+   2.01433E-03   1.56772E-03   1.20757E-03   9.31931E-04   7.07670E-04
+   5.37578E-04   4.00300E-04   2.96859E-04   2.14279E-04   1.53271E-04
+   1.05902E-04   7.22881E-05   4.71209E-05   3.02549E-05   1.83921E-05
+   1.10967E-05   6.37551E-06   3.74237E-06   2.09123E-06   9.83586E-07
+   1.91123E-07   0.00000E+00   4.04227E+06   3.04116E+06   2.24859E+06
+   1.66457E+06   1.22989E+06   9.09792E+05   6.71684E+05   4.96469E+05
+   3.66217E+05   2.70445E+05   1.99301E+05   1.47034E+05   1.08238E+05
+   7.97637E+04   5.86460E+04   4.31628E+04   3.16916E+04   2.32910E+04
+   1.70744E+04   1.25280E+04   9.16805E+03   6.71452E+03   4.90408E+03
+   3.58438E+03   2.61233E+03   1.90498E+03   1.38496E+03   1.00315E+03
+   7.27908E+02   5.28628E+02   3.82790E+02   2.77474E+02   2.00502E+02
+   1.45112E+02   1.04805E+02   7.58820E+01   5.48623E+01   3.98002E+01
+   2.88598E+01   2.10208E+01   1.53185E+01   1.12237E+01   8.23356E+00
+   6.07415E+00   4.49152E+00   3.34095E+00   2.48970E+00   1.86677E+00
+   1.40238E+00   1.06007E+00   8.02939E-01   6.11837E-01   4.67788E-01
+   3.59073E-01   2.76203E-01   2.13517E-01   1.65255E-01   1.28425E-01
+   9.97954E-02   7.79507E-02   6.07486E-02   4.75488E-02   3.71855E-02
+   2.91664E-02   2.28289E-02   1.79206E-02   1.40360E-02   1.10221E-02
+   8.63119E-03   6.77282E-03   5.30044E-03   4.15542E-03   3.23948E-03
+   2.52928E-03   1.95909E-03   1.51801E-03   1.16358E-03   8.91099E-04
+   6.71111E-04   5.03772E-04   3.70369E-04   2.69987E-04   1.91137E-04
+   1.33402E-04   8.95840E-05   5.90004E-05   3.68366E-05   2.24250E-05
+   1.27732E-05   7.17777E-06   3.83820E-06   2.17608E-06   1.21930E-06
+   5.82667E-07   1.14717E-07   0.00000E+00   5.34322E+06   4.00806E+06
+   2.95287E+06   2.17763E+06   1.60304E+06   1.18121E+06   8.68771E+05
+   6.39583E+05   4.69956E+05   3.45638E+05   2.53703E+05   1.86389E+05
+   1.36653E+05   1.00275E+05   7.34221E+04   5.38037E+04   3.93384E+04
+   2.87836E+04   2.10109E+04   1.53475E+04   1.11828E+04   8.15312E+03
+   5.92878E+03   4.31358E+03   3.12991E+03   2.27190E+03   1.64446E+03
+   1.18543E+03   8.56305E+02   6.18935E+02   4.46120E+02   3.21810E+02
+   2.31430E+02   1.66645E+02   1.19753E+02   8.62358E+01   6.20105E+01
+   4.47217E+01   3.22364E+01   2.33290E+01   1.68900E+01   1.22883E+01
+   8.95116E+00   6.55397E+00   4.81071E+00   3.55093E+00   2.62652E+00
+   1.95445E+00   1.45770E+00   1.09392E+00   8.23004E-01   6.22941E-01
+   4.73386E-01   3.61194E-01   2.76348E-01   2.12534E-01   1.63752E-01
+   1.26715E-01   9.81080E-02   7.63840E-02   5.93715E-02   4.63603E-02
+   3.61929E-02   2.83437E-02   2.21646E-02   1.73835E-02   1.36105E-02
+   1.06817E-02   8.36314E-03   6.55738E-03   5.12956E-03   4.01563E-03
+   3.12597E-03   2.43434E-03   1.88043E-03   1.45095E-03   1.10734E-03
+   8.42697E-04   6.30661E-04   4.69284E-04   3.42035E-04   2.46512E-04
+   1.72492E-04   1.18681E-04   7.85491E-05   5.08384E-05   3.12070E-05
+   1.86396E-05   1.04608E-05   5.81946E-06   3.13172E-06   1.80330E-06
+   1.01733E-06   4.69579E-07   9.25465E-08   0.00000E+00   6.97804E+06
+   5.21889E+06   3.83113E+06   2.81477E+06   2.06446E+06   1.51539E+06
+   1.11037E+06   8.14248E+05   5.95998E+05   4.36584E+05   3.19199E+05
+   2.33549E+05   1.70543E+05   1.24621E+05   9.08753E+04   6.63106E+04
+   4.82811E+04   3.51744E+04   2.55675E+04   1.85940E+04   1.34903E+04
+   9.79182E+03   7.08952E+03   5.13494E+03   3.70955E+03   2.68038E+03
+   1.93161E+03   1.38587E+03   9.96585E+02   7.16950E+02   5.14386E+02
+   3.69262E+02   2.64285E+02   1.89342E+02   1.35377E+02   9.69645E+01
+   6.93486E+01   4.97237E+01   3.56315E+01   2.56230E+01   1.84325E+01
+   1.33188E+01   9.63554E+00   7.00403E+00   5.10467E+00   3.74029E+00
+   2.74698E+00   2.02940E+00   1.50329E+00   1.12045E+00   8.37622E-01
+   6.30040E-01   4.76053E-01   3.61198E-01   2.74968E-01   2.10461E-01
+   1.61466E-01   1.24449E-01   9.60202E-02   7.45274E-02   5.77786E-02
+   4.50088E-02   3.50717E-02   2.74176E-02   2.14129E-02   1.67718E-02
+   1.31187E-02   1.02831E-02   8.04264E-03   6.29592E-03   4.91778E-03
+   3.84064E-03   2.98224E-03   2.31428E-03   1.78102E-03   1.36745E-03
+   1.03816E-03   7.84693E-04   5.83174E-04   4.30092E-04   3.10654E-04
+   2.21399E-04   1.53130E-04   1.03926E-04   6.78261E-05   4.31932E-05
+   2.61041E-05   1.53393E-05   8.51308E-06   4.71587E-06   2.56902E-06
+   1.50409E-06   8.50080E-07   3.80113E-07   7.48884E-08   0.00000E+00
+   9.01153E+06   6.72004E+06   4.91564E+06   3.59832E+06   2.62961E+06
+   1.92299E+06   1.40382E+06   1.02549E+06   7.47779E+05   5.45621E+05
+   3.97377E+05   2.89586E+05   2.10628E+05   1.53284E+05   1.11327E+05
+   8.08961E+04   5.86595E+04   4.25544E+04   3.08029E+04   2.23051E+04
+   1.61143E+04   1.16453E+04   8.39530E+03   6.05377E+03   4.35427E+03
+   3.13207E+03   2.24723E+03   1.60480E+03   1.14883E+03   8.22618E+02
+   5.87476E+02   4.19703E+02   2.98948E+02   2.13096E+02   1.51595E+02
+   1.08001E+02   7.68263E+01   5.47690E+01   3.90189E+01   2.78848E+01
+   1.99338E+01   1.43079E+01   1.02822E+01   7.42194E+00   5.37233E+00
+   3.90878E+00   2.85125E+00   2.09205E+00   1.53966E+00   1.14017E+00
+   8.47248E-01   6.33526E-01   4.76113E-01   3.59346E-01   2.72267E-01
+   2.07454E-01   1.58520E-01   1.21715E-01   9.35995E-02   7.24306E-02
+   5.60077E-02   4.35230E-02   3.38447E-02   2.64065E-02   2.05897E-02
+   1.60994E-02   1.25738E-02   9.83824E-03   7.68133E-03   5.99939E-03
+   4.67559E-03   3.64023E-03   2.81736E-03   2.17730E-03   1.66823E-03
+   1.27389E-03   9.61573E-04   7.21689E-04   5.32451E-04   3.89201E-04
+   2.78575E-04   1.96384E-04   1.34299E-04   8.99682E-05   5.79415E-05
+   3.63542E-05   2.16653E-05   1.25581E-05   6.91587E-06   3.83163E-06
+   2.11793E-06   1.25616E-06   7.05824E-07   3.05552E-07   6.01046E-08
+   0.00000E+00   1.15175E+07   8.56414E+06   6.24276E+06   4.55339E+06
+   3.31574E+06   2.41585E+06   1.75721E+06   1.27882E+06   9.29042E+05
+   6.75280E+05   4.89942E+05   3.55644E+05   2.57672E+05   1.86770E+05
+   1.35111E+05   9.77786E+04   7.06155E+04   5.10150E+04   3.67755E+04
+   2.65173E+04   1.90774E+04   1.37273E+04   9.85420E+03   7.07468E+03
+   5.06660E+03   3.62820E+03   2.59184E+03   1.84232E+03   1.31296E+03
+   9.35775E+02   6.65209E+02   4.72957E+02   3.35268E+02   2.37787E+02
+   1.68309E+02   1.19274E+02   8.43909E+01   5.98201E+01   4.23728E+01
+   3.00971E+01   2.13832E+01   1.52487E+01   1.08875E+01   7.80584E+00
+   5.61303E+00   4.05639E+00   2.93970E+00   2.14289E+00   1.56734E+00
+   1.15357E+00   8.52320E-01   6.33764E-01   4.73863E-01   3.55871E-01
+   2.68426E-01   2.03652E-01   1.55016E-01   1.18593E-01   9.09043E-02
+   7.01373E-02   5.40921E-02   4.19287E-02   3.25329E-02   2.53277E-02
+   1.97102E-02   1.53797E-02   1.19881E-02   9.35868E-03   7.29014E-03
+   5.67787E-03   4.41240E-03   3.42293E-03   2.63906E-03   2.03019E-03
+   1.54798E-03   1.17529E-03   8.81786E-04   6.57083E-04   4.81205E-04
+   3.48672E-04   2.47337E-04   1.72545E-04   1.16722E-04   7.72465E-05
+   4.91381E-05   3.04217E-05   1.79119E-05   1.02713E-05   5.63355E-06
+   3.13364E-06   1.75882E-06   1.05155E-06   5.83616E-07   2.44468E-07
+   4.79633E-08   0.00000E+00   1.45793E+07   1.08103E+07   7.85318E+06
+   5.70787E+06   4.14193E+06   3.00696E+06   2.17937E+06   1.58022E+06
+   1.14382E+06   8.28274E+05   5.98708E+05   4.32928E+05   3.12473E+05
+   2.25604E+05   1.62570E+05   1.17179E+05   8.42913E+04   6.06461E+04
+   4.35416E+04   3.12653E+04   2.24006E+04   1.60501E+04   1.14733E+04
+   8.20144E+03   5.84839E+03   4.16954E+03   2.96563E+03   2.09833E+03
+   1.48873E+03   1.05615E+03   7.47331E+02   5.28808E+02   3.73068E+02
+   2.63277E+02   1.85417E+02   1.30706E+02   9.19888E+01   6.48401E+01
+   4.56684E+01   3.22441E+01   2.27706E+01   1.61357E+01   1.14484E+01
+   8.15442E+00   5.82642E+00   4.18334E+00   3.01279E+00   2.18249E+00
+   1.58687E+00   1.16114E+00   8.53257E-01   6.31095E-01   4.69576E-01
+   3.50984E-01   2.63607E-01   1.99177E-01   1.51048E-01   1.15150E-01
+   8.79858E-02   6.76860E-02   5.20619E-02   4.02496E-02   3.11558E-02
+   2.41977E-02   1.87889E-02   1.46257E-02   1.13735E-02   8.85518E-03
+   6.87901E-03   5.34038E-03   4.13643E-03   3.19604E-03   2.45377E-03
+   1.87848E-03   1.42495E-03   1.07552E-03   8.01925E-04   5.93315E-04
+   4.31306E-04   3.09858E-04   2.17894E-04   1.50496E-04   1.00766E-04
+   6.59388E-05   4.14764E-05   2.53792E-05   1.47948E-05   8.41837E-06
+   4.61486E-06   2.58471E-06   1.47177E-06   8.82137E-07   4.81118E-07
+   1.94999E-07   3.81252E-08   0.00000E+00   1.82902E+07   1.35245E+07
+   9.79193E+06   7.09246E+06   5.12907E+06   3.71048E+06   2.67986E+06
+   1.93612E+06   1.39643E+06   1.00747E+06   7.25577E+05   5.22693E+05
+   3.75853E+05   2.70321E+05   1.94049E+05   1.39319E+05   9.98264E+04
+   7.15348E+04   5.11547E+04   3.65814E+04   2.61028E+04   1.86244E+04
+   1.32583E+04   9.43687E+03   6.70082E+03   4.75635E+03   3.36843E+03
+   2.37247E+03   1.67576E+03   1.18337E+03   8.33522E+02   5.86996E+02
+   4.12150E+02   2.89414E+02   2.02810E+02   1.42222E+02   9.95664E+01
+   6.97930E+01   4.88825E+01   3.43110E+01   2.40875E+01   1.69639E+01
+   1.19625E+01   8.46685E+00   6.01250E+00   4.29005E+00   3.07111E+00
+   2.21145E+00   1.59883E+00   1.16338E+00   8.50460E-01   6.25841E-01
+   4.63501E-01   3.44877E-01   2.57954E-01   1.94137E-01   1.46695E-01
+   1.11447E-01   8.48894E-02   6.51116E-02   4.99441E-02   3.85075E-02
+   2.97315E-02   2.30318E-02   1.78391E-02   1.38493E-02   1.07408E-02
+   8.33750E-03   6.45680E-03   4.99482E-03   3.85467E-03   2.96564E-03
+   2.26670E-03   1.72650E-03   1.30274E-03   9.77410E-04   7.24228E-04
+   5.32059E-04   3.83973E-04   2.73585E-04   1.90778E-04   1.30530E-04
+   8.65632E-05   5.60631E-05   3.49128E-05   2.11504E-05   1.22347E-05
+   6.92814E-06   3.80784E-06   2.15113E-06   1.23985E-06   7.41004E-07
+   3.95629E-07   1.55212E-07   3.02205E-08   0.00000E+00   2.27531E+07
+   1.67792E+07   1.21084E+07   8.74066E+06   6.29978E+06   4.54165E+06
+   3.26891E+06   2.35335E+06   1.69140E+06   1.21587E+06   8.72523E+05
+   6.26227E+05   4.48649E+05   3.21457E+05   2.29892E+05   1.64414E+05
+   1.17356E+05   8.37636E+04   5.96645E+04   4.24943E+04   3.02003E+04
+   2.14590E+04   1.52135E+04   1.07828E+04   7.62433E+03   5.38841E+03
+   3.79972E+03   2.66415E+03   1.87348E+03   1.31697E+03   9.23406E+02
+   6.47229E+02   4.52293E+02   3.16040E+02   2.20375E+02   1.53741E+02
+   1.07071E+02   7.46444E+01   5.19933E+01   3.62848E+01   2.53265E+01
+   1.77297E+01   1.24282E+01   8.74275E+00   6.17155E+00   4.37709E+00
+   3.11532E+00   2.23042E+00   1.60378E+00   1.16075E+00   8.44312E-01
+   6.18299E-01   4.55869E-01   3.37723E-01   2.51599E-01   1.88630E-01
+   1.42031E-01   1.07538E-01   8.16560E-02   6.24453E-02   4.77636E-02
+   3.67224E-02   2.82767E-02   2.18443E-02   1.68734E-02   1.30614E-02
+   1.00998E-02   7.81431E-03   6.03118E-03   4.64785E-03   3.57294E-03
+   2.73663E-03   2.08194E-03   1.57759E-03   1.18397E-03   8.83008E-04
+   6.50218E-04   4.74391E-04   3.39936E-04   2.40296E-04   1.66228E-04
+   1.12731E-04   7.40984E-05   4.75446E-05   2.93500E-05   1.76338E-05
+   1.01444E-05   5.73220E-06   3.16649E-06   1.80520E-06   1.04986E-06
+   6.22667E-07   3.24579E-07   1.23347E-07   2.39045E-08   0.00000E+00
+   2.80815E+07   2.06539E+07   1.48563E+07   1.06886E+07   7.67837E+06
+   5.51671E+06   3.95734E+06   2.83907E+06   2.03346E+06   1.45657E+06
+   1.04157E+06   7.44838E+05   5.31701E+05   3.79547E+05   2.70432E+05
+   1.92673E+05   1.37006E+05   9.74085E+04   6.91153E+04   4.90292E+04
+   3.47067E+04   2.45604E+04   1.73416E+04   1.22398E+04   8.61858E+03
+   6.06494E+03   4.25865E+03   2.97256E+03   2.08122E+03   1.45639E+03
+   1.01655E+03   7.09184E+02   4.93264E+02   3.42989E+02   2.37996E+02
+   1.65188E+02   1.14452E+02   7.93620E+01   5.49811E+01   3.81541E+01
+   2.64812E+01   1.84300E+01   1.28445E+01   8.98213E+00   6.30408E+00
+   4.44519E+00   3.14616E+00   2.24007E+00   1.60229E+00   1.15373E+00
+   8.35173E-01   6.08749E-01   4.46891E-01   3.29681E-01   2.44658E-01
+   1.82741E-01   1.37120E-01   1.03472E-01   7.83225E-02   5.97157E-02
+   4.55430E-02   3.49126E-02   2.68068E-02   2.06481E-02   1.59030E-02
+   1.22718E-02   9.45909E-03   7.29306E-03   5.60863E-03   4.30499E-03
+   3.29588E-03   2.51284E-03   1.90260E-03   1.43417E-03   1.07052E-03
+   7.93679E-04   5.80861E-04   4.20941E-04   2.99570E-04   2.10163E-04
+   1.44284E-04   9.70447E-05   6.32714E-05   4.02609E-05   2.46686E-05
+   1.47238E-05   8.44134E-06   4.77053E-06   2.65297E-06   1.52550E-06
+   8.92002E-07   5.22923E-07   2.65687E-07   9.78983E-08   1.88770E-08
+   0.00000E+00   3.43985E+07   2.52344E+07   1.80933E+07   1.29750E+07
+   9.29063E+06   6.65279E+06   4.75648E+06   3.40074E+06   2.42749E+06
+   1.73274E+06   1.23476E+06   8.79835E+05   6.25837E+05   4.45111E+05
+   3.15994E+05   2.24290E+05   1.58895E+05   1.12538E+05   7.95454E+04
+   5.62065E+04   3.96318E+04   2.79328E+04   1.96438E+04   1.38074E+04
+   9.68244E+03   6.78466E+03   4.74399E+03   3.29667E+03   2.29815E+03
+   1.60099E+03   1.11248E+03   7.72517E+02   5.34819E+02   3.70092E+02
+   2.55560E+02   1.76486E+02   1.21661E+02   8.39160E+01   5.78280E+01
+   3.99089E+01   2.75467E+01   1.90627E+01   1.32108E+01   9.18535E+00
+   6.41082E+00   4.49515E+00   3.16441E+00   2.24107E+00   1.59492E+00
+   1.14274E+00   8.23385E-01   5.97448E-01   4.36761E-01   3.20895E-01
+   2.37239E-01   1.76551E-01   1.32021E-01   9.92926E-02   7.49221E-02
+   5.69484E-02   4.33028E-02   3.30948E-02   2.53356E-02   1.94548E-02
+   1.49378E-02   1.14891E-02   8.82596E-03   6.78005E-03   5.19449E-03
+   3.97067E-03   3.02715E-03   2.29718E-03   1.73094E-03   1.29796E-03
+   9.63637E-04   7.10270E-04   5.16696E-04   3.72002E-04   2.62994E-04
+   1.83178E-04   1.24862E-04   8.33412E-05   5.39375E-05   3.40705E-05
+   2.07460E-05   1.23207E-05   7.05243E-06   3.99334E-06   2.23754E-06
+   1.29601E-06   7.59197E-07   4.38560E-07   2.16988E-07   7.76126E-08
+   1.48862E-08   0.00000E+00   4.18367E+07   3.06129E+07   2.18809E+07
+   1.56408E+07   1.11637E+07   7.96780E+06   5.67806E+06   4.04601E+06
+   2.87846E+06   2.04759E+06   1.45413E+06   1.03251E+06   7.31865E+05
+   5.18646E+05   3.66879E+05   2.59447E+05   1.83126E+05   1.29210E+05
+   9.09861E+04   6.40414E+04   4.49821E+04   3.15778E+04   2.21193E+04
+   1.54840E+04   1.08140E+04   7.54576E+03   5.25424E+03   3.63527E+03
+   2.52332E+03   1.75007E+03   1.21069E+03   8.36864E+02   5.76706E+02
+   3.97179E+02   2.72953E+02   1.87564E+02   1.28653E+02   8.82792E+01
+   6.05187E+01   4.15411E+01   2.85191E+01   1.96265E+01   1.35273E+01
+   9.35310E+00   6.49267E+00   4.52790E+00   3.17087E+00   2.23411E+00
+   1.58220E+00   1.12821E+00   8.09269E-01   5.84638E-01   4.25658E-01
+   3.11494E-01   2.29437E-01   1.70130E-01   1.26786E-01   9.50388E-02
+   7.14847E-02   5.41669E-02   4.10616E-02   3.12840E-02   2.38754E-02
+   1.82749E-02   1.39866E-02   1.07205E-02   8.20663E-03   6.28042E-03
+   4.79300E-03   3.64831E-03   2.76947E-03   2.09173E-03   1.56851E-03
+   1.17005E-03   8.64049E-04   6.33224E-04   4.57948E-04   3.27628E-04
+   2.30157E-04   1.59213E-04   1.07802E-04   7.14477E-05   4.59340E-05
+   2.88299E-05   1.74664E-05   1.03359E-05   5.91622E-06   3.36075E-06
+   1.89748E-06   1.10506E-06   6.46383E-07   3.67093E-07   1.76814E-07
+   6.14669E-08   1.17250E-08   0.00000E+00   5.05378E+07   3.68872E+07
+   2.62842E+07   1.87289E+07   1.33258E+07   9.48022E+06   6.73414E+06
+   4.78268E+06   3.39136E+06   2.40428E+06   1.70169E+06   1.20411E+06
+   8.50556E+05   6.00620E+05   4.23366E+05   2.98305E+05   2.09792E+05
+   1.47473E+05   1.03461E+05   7.25438E+04   5.07601E+04   3.54944E+04
+   2.47656E+04   1.72668E+04   1.20106E+04   8.34597E+03   5.78753E+03
+   3.98693E+03   2.75568E+03   1.90287E+03   1.31063E+03   9.01854E+02
+   6.18672E+02   4.24081E+02   2.90069E+02   1.98353E+02   1.35386E+02
+   9.24275E+01   6.30397E+01   4.30440E+01   2.93958E+01   2.01210E+01
+   1.37944E+01   9.48633E+00   6.55067E+00   4.54441E+00   3.16638E+00
+   2.21986E+00   1.56466E+00   1.11055E+00   7.93126E-01   5.70541E-01
+   4.13745E-01   3.01600E-01   2.21340E-01   1.63541E-01   1.21464E-01
+   9.07463E-02   6.80372E-02   5.13921E-02   3.88359E-02   2.94935E-02
+   2.24372E-02   1.71172E-02   1.30567E-02   9.97230E-03   7.60613E-03
+   5.79825E-03   4.40742E-03   3.34044E-03   2.52476E-03   1.89791E-03
+   1.41630E-03   1.05108E-03   7.72112E-04   5.62681E-04   4.04612E-04
+   2.87712E-04   2.00891E-04   1.38071E-04   9.29026E-05   6.11751E-05
+   3.90970E-05   2.44040E-05   1.47264E-05   8.69412E-06   4.98245E-06
+   2.84157E-06   1.61581E-06   9.44243E-07   5.49908E-07   3.06550E-07
+   1.43754E-07   4.86324E-08   9.22525E-09   0.00000E+00   6.06515E+07
+   4.41602E+07   3.13710E+07   2.22839E+07   1.58061E+07   1.12089E+07
+   7.93688E+06   5.61853E+06   3.97115E+06   2.80593E+06   1.97939E+06
+   1.39583E+06   9.82634E+05   6.91462E+05   4.85702E+05   3.41002E+05
+   2.38963E+05   1.67362E+05   1.16985E+05   8.17175E+04   5.69644E+04
+   3.96788E+04   2.75785E+04   1.91516E+04   1.32688E+04   9.18254E+03
+   6.34178E+03   4.35010E+03   2.99411E+03   2.05858E+03   1.41175E+03
+   9.67105E+02   6.60465E+02   4.50636E+02   3.06801E+02   2.08789E+02
+   1.41823E+02   9.63398E+01   6.53803E+01   4.44128E+01   3.01752E+01
+   2.05462E+01   1.40131E+01   9.58623E+00   6.58599E+00   4.54570E+00
+   3.15179E+00   2.19897E+00   1.54282E+00   1.09013E+00   7.75237E-01
+   5.55362E-01   4.01172E-01   2.91320E-01   2.13026E-01   1.56843E-01
+   1.16096E-01   8.64468E-02   6.46039E-02   4.86424E-02   3.66403E-02
+   2.77348E-02   2.10301E-02   1.59892E-02   1.21543E-02   9.24925E-03
+   7.02839E-03   5.33662E-03   4.04013E-03   3.04885E-03   2.29432E-03
+   1.71656E-03   1.27483E-03   9.41280E-04   6.87889E-04   4.98566E-04
+   3.56525E-04   2.52036E-04   1.74962E-04   1.19517E-04   7.99501E-05
+   5.23344E-05   3.32711E-05   2.06704E-05   1.24358E-05   7.33228E-06
+   4.21080E-06   2.41177E-06   1.37992E-06   8.07479E-07   4.67087E-07
+   2.55325E-07   1.16617E-07   3.84416E-08   7.25136E-09   0.00000E+00
+   7.79535E+05   1.11692E+06   8.32311E+05   6.20211E+05   4.62163E+05
+   3.44391E+05   2.56632E+05   1.91237E+05   1.42507E+05   1.06195E+05
+   7.91366E+04   5.89734E+04   4.39483E+04   3.27519E+04   2.44086E+04
+   1.81912E+04   1.35581E+04   1.01055E+04   7.53253E+03   5.61511E+03
+   4.18616E+03   3.12123E+03   2.32756E+03   1.73602E+03   1.29512E+03
+   9.66475E+02   7.21488E+02   5.36416E+02   4.00910E+02   2.99844E+02
+   2.24452E+02   1.68194E+02   1.26141E+02   9.47600E+01   7.13311E+01
+   5.38348E+01   4.07457E+01   3.09474E+01   2.36013E+01   1.80826E+01
+   1.39262E+01   1.07858E+01   8.40408E+00   6.58772E+00   5.20202E+00
+   4.13491E+00   3.31032E+00   2.66996E+00   2.16988E+00   1.77659E+00
+   1.46434E+00   1.21325E+00   1.00929E+00   8.39096E-01   6.96728E-01
+   5.76234E-01   4.73840E-01   3.86815E-01   3.13060E-01   2.51430E-01
+   1.99265E-01   1.56105E-01   1.20575E-01   9.16543E-02   6.83448E-02
+   4.98577E-02   3.54545E-02   2.44692E-02   1.63280E-02   1.04765E-02
+   6.48017E-03   3.83980E-03   2.21018E-03   1.25702E-03   7.19398E-04
+   4.19198E-04   2.49272E-04   1.50446E-04   9.12775E-05   5.50047E-05
+   3.27194E-05   1.88908E-05   1.05216E-05   5.59894E-06   2.81713E-06
+   1.32403E-06   5.72658E-07   2.22707E-07   7.61852E-08   2.19216E-08
+   4.98064E-09   8.03635E-10   7.54771E-11   2.63991E-12   8.24827E-15
+   0.00000E+00   1.61190E+06   1.22276E+06   9.12662E+05   6.81607E+05
+   5.08776E+05   3.80000E+05   2.83665E+05   2.11879E+05   1.58173E+05
+   1.18149E+05   8.82033E+04   6.58851E+04   4.91856E+04   3.67391E+04
+   2.74257E+04   2.04841E+04   1.52899E+04   1.14186E+04   8.52196E+03
+   6.36321E+03   4.74811E+03   3.54463E+03   2.64439E+03   1.97374E+03
+   1.47219E+03   1.09865E+03   8.19351E+02   6.08798E+02   4.54241E+02
+   3.39219E+02   2.53289E+02   1.89363E+02   1.41550E+02   1.06014E+02
+   7.94892E+01   5.97786E+01   4.50479E+01   3.40841E+01   2.58752E+01
+   1.97468E+01   1.51374E+01   1.16766E+01   9.05463E+00   7.06734E+00
+   5.55187E+00   4.39159E+00   3.49548E+00   2.80337E+00   2.26306E+00
+   1.84045E+00   1.50517E+00   1.23726E+00   1.02030E+00   8.40943E-01
+   6.91915E-01   5.67246E-01   4.62309E-01   3.74226E-01   3.00313E-01
+   2.39272E-01   1.88124E-01   1.46292E-01   1.12190E-01   8.47449E-02
+   6.28378E-02   4.56633E-02   3.24125E-02   2.24233E-02   1.50843E-02
+   9.86419E-03   6.30791E-03   3.96968E-03   2.50150E-03   1.62219E-03
+   1.08978E-03   7.68746E-04   5.57587E-04   4.18312E-04   3.14275E-04
+   2.40119E-04   1.80811E-04   1.36731E-04   1.00714E-04   7.32960E-05
+   5.11832E-05   3.45514E-05   2.16248E-05   1.22438E-05   5.51112E-06
+   1.12234E-06   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   1.82986E+06   1.38889E+06   1.03752E+06
+   7.75764E+05   5.79511E+05   4.33312E+05   3.23692E+05   2.42026E+05
+   1.80790E+05   1.35169E+05   1.00960E+05   7.54747E+04   5.63646E+04
+   4.21282E+04   3.14541E+04   2.35030E+04   1.75424E+04   1.31031E+04
+   9.77591E+03   7.29865E+03   5.44254E+03   4.06113E+03   3.02657E+03
+   2.25699E+03   1.68098E+03   1.25276E+03   9.32393E+02   6.91535E+02
+   5.14697E+02   3.83460E+02   2.85466E+02   2.12806E+02   1.58519E+02
+   1.18329E+02   8.83757E+01   6.62155E+01   4.96868E+01   3.74443E+01
+   2.82977E+01   2.15038E+01   1.64053E+01   1.25969E+01   9.71798E+00
+   7.54743E+00   5.89574E+00   4.63793E+00   3.66895E+00   2.92450E+00
+   2.34484E+00   1.89387E+00   1.53715E+00   1.25384E+00   1.02553E+00
+   8.38356E-01   6.84001E-01   5.56191E-01   4.49616E-01   3.61123E-01
+   2.87565E-01   2.27445E-01   1.77546E-01   1.37147E-01   1.04518E-01
+   7.85172E-02   5.79514E-02   4.19908E-02   2.97857E-02   2.06762E-02
+   1.40326E-02   9.34546E-03   6.15468E-03   4.05927E-03   2.71854E-03
+   1.89540E-03   1.36560E-03   1.02816E-03   7.84628E-04   6.15525E-04
+   4.77501E-04   3.76558E-04   2.90199E-04   2.25410E-04   1.69748E-04
+   1.27695E-04   9.21853E-05   6.61019E-05   4.46923E-05   2.96349E-05
+   1.79788E-05   1.04103E-05   5.16784E-06   2.30560E-06   7.78584E-07
+   2.48600E-07   4.30552E-08   0.00000E+00   2.14270E+06   1.62599E+06
+   1.21443E+06   9.08024E+05   6.78115E+05   5.06971E+05   3.78558E+05
+   2.82974E+05   2.11260E+05   1.57884E+05   1.17842E+05   8.80435E+04
+   6.56923E+04   4.90626E+04   3.65917E+04   2.73157E+04   2.03616E+04
+   1.51910E+04   1.13162E+04   8.43659E+03   6.27986E+03   4.67799E+03
+   3.47909E+03   2.58931E+03   1.92393E+03   1.43050E+03   1.06180E+03
+   7.85458E+02   5.82843E+02   4.32955E+02   3.21236E+02   2.38688E+02
+   1.77147E+02   1.31759E+02   9.80143E+01   7.31509E+01   5.46556E+01
+   4.10157E+01   3.08534E+01   2.33390E+01   1.77162E+01   1.35357E+01
+   1.03855E+01   8.02194E+00   6.22952E+00   4.87165E+00   3.82958E+00
+   3.03321E+00   2.41558E+00   1.93762E+00   1.56118E+00   1.26397E+00
+   1.02585E+00   8.32138E-01   6.73629E-01   5.43596E-01   4.36140E-01
+   3.47779E-01   2.74986E-01   2.16047E-01   1.67562E-01   1.28666E-01
+   9.75200E-02   7.29206E-02   5.36259E-02   3.87843E-02   2.75246E-02
+   1.91897E-02   1.31476E-02   8.90716E-03   6.01821E-03   4.11410E-03
+   2.87205E-03   2.08754E-03   1.55791E-03   1.20403E-03   9.35523E-04
+   7.41604E-04   5.78999E-04   4.57355E-04   3.52553E-04   2.73037E-04
+   2.04916E-04   1.53447E-04   1.10372E-04   7.89622E-05   5.34660E-05
+   3.57712E-05   2.22122E-05   1.35219E-05   7.46273E-06   4.08293E-06
+   2.05598E-06   1.03180E-06   1.98702E-07   0.00000E+00   2.56894E+06
+   1.94748E+06   1.45288E+06   1.08512E+06   8.09335E+05   6.04329E+05
+   4.50615E+05   3.36374E+05   2.50733E+05   1.87099E+05   1.39407E+05
+   1.03981E+05   7.74384E+04   5.77291E+04   4.29673E+04   3.20109E+04
+   2.38086E+04   1.77239E+04   1.31715E+04   9.79661E+03   7.27337E+03
+   5.40430E+03   4.00811E+03   2.97487E+03   2.20385E+03   1.63380E+03
+   1.20884E+03   8.91401E+02   6.59220E+02   4.88050E+02   3.60809E+02
+   2.67133E+02   1.97496E+02   1.46331E+02   1.08408E+02   8.05759E+01
+   5.99383E+01   4.47804E+01   3.35247E+01   2.52368E+01   1.90572E+01
+   1.44831E+01   1.10496E+01   8.48594E+00   6.55004E+00   5.09108E+00
+   3.97669E+00   3.12958E+00   2.47575E+00   1.97245E+00   1.57805E+00
+   1.26849E+00   1.02200E+00   8.22947E-01   6.61320E-01   5.29859E-01
+   4.22154E-01   3.34372E-01   2.62662E-01   2.05099E-01   1.58140E-01
+   1.20781E-01   9.11040E-02   6.78539E-02   4.97575E-02   3.59466E-02
+   2.55426E-02   1.78933E-02   1.23747E-02   8.51348E-03   5.87726E-03
+   4.12781E-03   2.96492E-03   2.20934E-03   1.68030E-03   1.31295E-03
+   1.02662E-03   8.13949E-04   6.34789E-04   4.98552E-04   3.82262E-04
+   2.93321E-04   2.18265E-04   1.61556E-04   1.15048E-04   8.12779E-05
+   5.45234E-05   3.61196E-05   2.23884E-05   1.36913E-05   7.75696E-06
+   4.43431E-06   2.39337E-06   1.19974E-06   2.32667E-07   0.00000E+00
+   3.13046E+06   2.36926E+06   1.76410E+06   1.31500E+06   9.78762E+05
+   7.29321E+05   5.42622E+05   4.04162E+05   3.00561E+05   2.23758E+05
+   1.66311E+05   1.23743E+05   9.19167E+04   6.83447E+04   5.07298E+04
+   3.76909E+04   2.79531E+04   2.07498E+04   1.53741E+04   1.14007E+04
+   8.43789E+03   6.25002E+03   4.62028E+03   3.41811E+03   2.52365E+03
+   1.86455E+03   1.37474E+03   1.01014E+03   7.44303E+02   5.49029E+02
+   4.04345E+02   2.98219E+02   2.19597E+02   1.62050E+02   1.19545E+02
+   8.84709E+01   6.55129E+01   4.87179E+01   3.62932E+01   2.71824E+01
+   2.04164E+01   1.54304E+01   1.17044E+01   8.93548E+00   6.85492E+00
+   5.29511E+00   4.10994E+00   3.21383E+00   2.52585E+00   1.99905E+00
+   1.58850E+00   1.26809E+00   1.01460E+00   8.11299E-01   6.47473E-01
+   5.15279E-01   4.07857E-01   3.21019E-01   2.50645E-01   1.94604E-01
+   1.49241E-01   1.13430E-01   8.51938E-02   6.32357E-02   4.62656E-02
+   3.34048E-02   2.37767E-02   1.67376E-02   1.16780E-02   8.14278E-03
+   5.72130E-03   4.10039E-03   3.00349E-03   2.27212E-03   1.74564E-03
+   1.36928E-03   1.07159E-03   8.46348E-04   6.57224E-04   5.12006E-04
+   3.89642E-04   2.95739E-04   2.17811E-04   1.59101E-04   1.11946E-04
+   7.79146E-05   5.16196E-05   3.37114E-05   2.07240E-05   1.26059E-05
+   7.21111E-06   4.19409E-06   2.32272E-06   1.13028E-06   2.19583E-07
+   0.00000E+00   2.42634E+06   2.90986E+06   2.16119E+06   1.60687E+06
+   1.19288E+06   8.86497E+05   6.57761E+05   4.88560E+05   3.62292E+05
+   2.68935E+05   1.99300E+05   1.47844E+05   1.09482E+05   8.11531E+04
+   6.00461E+04   4.44697E+04   3.28725E+04   2.43210E+04   1.79593E+04
+   1.32725E+04   9.78918E+03   7.22562E+03   5.32247E+03   3.92350E+03
+   2.88622E+03   2.12459E+03   1.56064E+03   1.14235E+03   8.38491E+02
+   6.16112E+02   4.51949E+02   3.31990E+02   2.43454E+02   1.78897E+02
+   1.31399E+02   9.68083E+01   7.13530E+01   5.28050E+01   3.91398E+01
+   2.91608E+01   2.17828E+01   1.63699E+01   1.23443E+01   9.36734E+00
+   7.14235E+00   5.48300E+00   4.22922E+00   3.28629E+00   2.56640E+00
+   2.01805E+00   1.59313E+00   1.26337E+00   1.00415E+00   7.97614E-01
+   6.32406E-01   5.00087E-01   3.93396E-01   3.07806E-01   2.38964E-01
+   1.84551E-01   1.40828E-01   1.06559E-01   7.97256E-02   5.90005E-02
+   4.30875E-02   3.11035E-02   2.21811E-02   1.56882E-02   1.10339E-02
+   7.78244E-03   5.54630E-03   4.03514E-03   2.99559E-03   2.28665E-03
+   1.76554E-03   1.38503E-03   1.08171E-03   8.49569E-04   6.55874E-04
+   5.06433E-04   3.82170E-04   2.86830E-04   2.08966E-04   1.50617E-04
+   1.04650E-04   7.17434E-05   4.69021E-05   3.01774E-05   1.83677E-05
+   1.10904E-05   6.37421E-06   3.74219E-06   2.09121E-06   9.83585E-07
+   1.91123E-07   0.00000E+00   4.86615E+06   3.66567E+06   2.71407E+06
+   2.01136E+06   1.48836E+06   1.10235E+06   8.15207E+05   6.03397E+05
+   4.45915E+05   3.29823E+05   2.43558E+05   1.80009E+05   1.32817E+05
+   9.80772E+04   7.22974E+04   5.33350E+04   3.92750E+04   2.89424E+04
+   2.12881E+04   1.56687E+04   1.15103E+04   8.46084E+03   6.20689E+03
+   4.55615E+03   3.33767E+03   2.44632E+03   1.78941E+03   1.30394E+03
+   9.52941E+02   6.97060E+02   5.09041E+02   3.72190E+02   2.71662E+02
+   1.98654E+02   1.45195E+02   1.06422E+02   7.80288E+01   5.74265E+01
+   4.23256E+01   3.13467E+01   2.32739E+01   1.73793E+01   1.30215E+01
+   9.81539E+00   7.43462E+00   5.66887E+00   4.34349E+00   3.35225E+00
+   2.60042E+00   2.03082E+00   1.59233E+00   1.25399E+00   9.89924E-01
+   7.80922E-01   6.15074E-01   4.83218E-01   3.77770E-01   2.93811E-01
+   2.26811E-01   1.74245E-01   1.32325E-01   9.96940E-02   7.43255E-02
+   5.48575E-02   4.00085E-02   2.88872E-02   2.06512E-02   1.46777E-02
+   1.04050E-02   7.41396E-03   5.34756E-03   3.93378E-03   2.94624E-03
+   2.25786E-03   1.74405E-03   1.36224E-03   1.05741E-03   8.22265E-04
+   6.28188E-04   4.78177E-04   3.55591E-04   2.61881E-04   1.86880E-04
+   1.31295E-04   8.85989E-05   5.85764E-05   3.66681E-05   2.23660E-05
+   1.27549E-05   7.17312E-06   3.83725E-06   2.17595E-06   1.21929E-06
+   5.82667E-07   1.14717E-07   0.00000E+00   6.15859E+06   4.62611E+06
+   3.41353E+06   2.52083E+06   1.85884E+06   1.37178E+06   1.01081E+06
+   7.45405E+05   5.48829E+05   4.04402E+05   2.97503E+05   2.19023E+05
+   1.60978E+05   1.18399E+05   8.69323E+04   6.38708E+04   4.68434E+04
+   3.43766E+04   2.51811E+04   1.84559E+04   1.35010E+04   9.88150E+03
+   7.21822E+03   5.27540E+03   3.84785E+03   2.80772E+03   2.04480E+03
+   1.48319E+03   1.07907E+03   7.85679E+02   5.71110E+02   4.15585E+02
+   3.01884E+02   2.19656E+02   1.59739E+02   1.16468E+02   8.49390E+01
+   6.21618E+01   4.55539E+01   3.35350E+01   2.47466E+01   1.83613E+01
+   1.36692E+01   1.02354E+01   7.70217E+00   5.83384E+00   4.44067E+00
+   3.40459E+00   2.62380E+00   2.03548E+00   1.58549E+00   1.24025E+00
+   9.72672E-01   7.62248E-01   5.96544E-01   4.65732E-01   3.61928E-01
+   2.79871E-01   2.14879E-01   1.64246E-01   1.24156E-01   9.31546E-02
+   6.92158E-02   5.09573E-02   3.71167E-02   2.68042E-02   1.92038E-02
+   1.37075E-02   9.78246E-03   7.02876E-03   5.11751E-03   3.79518E-03
+   2.85943E-03   2.19569E-03   1.69487E-03   1.31831E-03   1.01788E-03
+   7.85230E-04   5.95133E-04   4.48276E-04   3.30006E-04   2.39971E-04
+   1.69087E-04   1.17011E-04   7.77764E-05   5.05093E-05   3.10776E-05
+   1.85949E-05   1.04471E-05   5.81603E-06   3.13103E-06   1.80321E-06
+   1.01732E-06   4.69579E-07   9.25465E-08   0.00000E+00   7.78494E+06
+   5.83052E+06   4.28701E+06   3.15440E+06   2.31760E+06   1.70398E+06
+   1.25094E+06   9.18972E+05   6.74052E+05   4.94737E+05   3.62544E+05
+   2.65844E+05   1.94614E+05   1.42557E+05   1.04245E+05   7.62734E+04
+   5.57083E+04   4.07095E+04   2.96945E+04   2.16703E+04   1.57845E+04
+   1.15024E+04   8.36569E+03   6.08689E+03   4.42012E+03   3.21073E+03
+   2.32786E+03   1.68060E+03   1.21710E+03   8.82017E+02   6.38123E+02
+   4.62100E+02   3.34035E+02   2.41822E+02   1.74961E+02   1.26888E+02
+   9.20379E+01   6.69758E+01   4.87989E+01   3.57073E+01   2.61886E+01
+   1.93079E+01   1.42825E+01   1.06246E+01   7.94354E+00   5.97739E+00
+   4.52079E+00   3.44364E+00   2.63703E+00   2.03255E+00   1.57312E+00
+   1.22261E+00   9.52782E-01   7.41914E-01   5.77068E-01   4.47819E-01
+   3.46011E-01   2.66085E-01   2.03232E-01   1.54595E-01   1.16346E-01
+   8.69539E-02   6.44026E-02   4.73022E-02   3.44134E-02   2.48561E-02
+   1.78420E-02   1.27826E-02   9.17290E-03   6.63438E-03   4.86408E-03
+   3.62684E-03   2.74156E-03   2.10502E-03   1.62109E-03   1.25453E-03
+   9.62766E-04   7.36693E-04   5.53745E-04   4.12833E-04   3.00852E-04
+   2.16114E-04   1.50403E-04   1.02601E-04   6.72188E-05   4.29372E-05
+   2.60046E-05   1.53053E-05   8.50279E-06   4.71333E-06   2.56852E-06
+   1.50402E-06   8.50074E-07   3.80113E-07   7.48884E-08   0.00000E+00
+   9.81003E+06   7.32530E+06   5.36676E+06   3.93442E+06   2.88011E+06
+   2.10962E+06   1.54292E+06   1.12912E+06   8.25019E+05   6.03168E+05
+   4.40270E+05   3.21545E+05   2.34449E+05   1.71033E+05   1.24558E+05
+   9.07552E+04   6.60094E+04   4.80320E+04   3.48870E+04   2.53495E+04
+   1.83847E+04   1.33382E+04   9.65829E+03   6.99592E+03   5.05755E+03
+   3.65699E+03   2.63944E+03   1.89653E+03   1.36710E+03   9.86018E+02
+   7.09968E+02   5.11608E+02   3.67996E+02   2.65047E+02   1.90775E+02
+   1.37615E+02   9.92747E+01   7.18313E+01   5.20343E+01   3.78454E+01
+   2.75879E+01   2.02114E+01   1.48567E+01   1.09806E+01   8.15770E+00
+   6.09930E+00   4.58411E+00   3.46989E+00   2.64069E+00   2.02262E+00
+   1.55575E+00   1.20154E+00   9.30638E-01   7.20221E-01   5.56877E-01
+   4.29645E-01   3.30129E-01   2.52522E-01   1.91906E-01   1.45303E-01
+   1.08890E-01   8.10783E-02   5.98677E-02   4.38730E-02   3.18814E-02
+   2.30291E-02   1.65568E-02   1.18982E-02   8.57627E-03   6.23437E-03
+   4.59362E-03   3.43667E-03   2.60123E-03   1.99423E-03   1.53053E-03
+   1.17780E-03   8.98032E-04   6.81582E-04   5.08059E-04   3.75010E-04
+   2.70579E-04   1.92108E-04   1.32111E-04   8.89151E-05   5.74632E-05
+   3.61547E-05   2.15885E-05   1.25322E-05   6.90812E-06   3.82974E-06
+   2.11756E-06   1.25611E-06   7.05820E-07   3.05552E-07   6.01046E-08
+   0.00000E+00   1.23077E+07   9.16307E+06   6.68916E+06   4.88598E+06
+   3.56361E+06   2.60052E+06   1.89485E+06   1.38137E+06   1.00547E+06
+   7.32226E+05   5.32386E+05   3.87269E+05   2.81244E+05   2.04334E+05
+   1.48204E+05   1.07535E+05   7.78886E+04   5.64354E+04   4.08170E+04
+   2.95300E+04   2.13242E+04   1.54026E+04   1.11041E+04   8.00709E+03
+   5.76262E+03   4.14772E+03   2.98002E+03   2.13108E+03   1.52901E+03
+   1.09752E+03   7.86460E+02   5.63933E+02   4.03616E+02   2.89208E+02
+   2.07086E+02   1.48577E+02   1.06597E+02   7.66907E+01   5.52341E+01
+   3.99323E+01   2.89333E+01   2.10653E+01   1.53882E+01   1.13014E+01
+   8.34399E+00   6.19960E+00   4.63102E+00   3.48390E+00   2.63538E+00
+   2.00626E+00   1.53390E+00   1.17748E+00   9.06592E-01   6.97444E-01
+   5.36172E-01   4.11350E-01   3.14377E-01   2.39236E-01   1.80927E-01
+   1.36378E-01   1.01784E-01   7.55146E-02   5.55952E-02   4.06534E-02
+   2.95069E-02   2.13127E-02   1.53418E-02   1.10520E-02   7.99391E-03
+   5.83285E-03   4.31231E-03   3.23184E-03   2.44589E-03   1.87038E-03
+   1.42954E-03   1.09357E-03   8.28236E-04   6.23563E-04   4.60980E-04
+   3.36996E-04   2.40809E-04   1.69083E-04   1.14965E-04   7.64082E-05
+   4.87609E-05   3.02659E-05   1.78525E-05   1.02515E-05   5.62770E-06
+   3.13223E-06   1.75854E-06   1.05151E-06   5.83613E-07   2.44468E-07
+   4.79633E-08   0.00000E+00   1.53612E+07   1.14030E+07   8.29489E+06
+   6.03696E+06   4.38720E+06   3.18970E+06   2.31556E+06   1.68169E+06
+   1.21945E+06   8.84622E+05   6.40706E+05   4.64221E+05   3.35797E+05
+   2.42984E+05   1.75525E+05   1.26833E+05   9.14882E+04   6.60098E+04
+   4.75408E+04   3.42465E+04   2.46239E+04   1.77080E+04   1.27102E+04
+   9.12418E+03   6.53720E+03   4.68370E+03   3.34981E+03   2.38412E+03
+   1.70257E+03   1.21625E+03   8.67347E+02   6.18857E+02   4.40718E+02
+   3.14168E+02   2.23789E+02   1.59697E+02   1.13950E+02   8.15168E+01
+   5.83737E+01   4.19518E+01   3.02152E+01   2.18637E+01   1.58740E+01
+   1.15859E+01   8.50214E+00   6.27858E+00   4.66206E+00   3.48630E+00
+   2.62173E+00   1.98406E+00   1.50806E+00   1.15082E+00   8.80969E-01
+   6.73826E-01   5.15131E-01   3.93056E-01   2.98832E-01   2.26271E-01
+   1.70318E-01   1.27823E-01   9.50205E-02   7.02505E-02   5.15710E-02
+   3.76299E-02   2.72787E-02   1.96987E-02   1.41925E-02   1.02430E-02
+   7.42790E-03   5.43407E-03   4.02584E-03   3.01865E-03   2.28182E-03
+   1.73923E-03   1.32317E-03   1.00603E-03   7.56800E-04   5.65296E-04
+   4.14530E-04   3.00246E-04   2.12562E-04   1.47690E-04   9.93542E-05
+   6.52708E-05   4.11785E-05   2.52573E-05   1.47489E-05   8.40320E-06
+   4.61043E-06   2.58366E-06   1.47157E-06   8.82111E-07   4.81116E-07
+   1.94999E-07   3.81252E-08   0.00000E+00   1.90638E+07   1.41109E+07
+   1.02290E+07   7.41808E+06   5.37175E+06   3.89129E+06   2.81462E+06
+   2.03653E+06   1.47126E+06   1.06322E+06   7.67132E+05   5.53655E+05
+   3.98932E+05   2.87517E+05   2.06868E+05   1.48871E+05   1.06948E+05
+   7.68422E+04   5.51120E+04   3.95313E+04   2.83028E+04   2.02650E+04
+   1.44823E+04   1.03500E+04   7.38247E+03   5.26518E+03   3.74864E+03
+   2.65532E+03   1.88740E+03   1.34183E+03   9.52307E+02   6.76121E+02
+   4.79101E+02   3.39775E+02   2.40775E+02   1.70897E+02   1.21280E+02
+   8.62736E+01   6.14295E+01   4.38893E+01   3.14247E+01   2.26019E+01
+   1.63119E+01   1.18333E+01   8.63219E+00   6.33671E+00   4.67788E+00
+   3.47779E+00   2.60038E+00   1.95657E+00   1.47872E+00   1.12196E+00
+   8.54063E-01   6.49586E-01   4.93910E-01   3.74868E-01   2.83559E-01
+   2.13664E-01   1.60091E-01   1.19640E-01   8.85924E-02   6.52746E-02
+   4.77827E-02   3.47910E-02   2.51876E-02   1.81812E-02   1.31061E-02
+   9.47121E-03   6.88060E-03   5.04207E-03   3.73926E-03   2.80244E-03
+   2.11418E-03   1.60538E-03   1.21535E-03   9.18353E-04   6.86207E-04
+   5.08635E-04   3.70053E-04   2.65669E-04   1.86420E-04   1.28254E-04
+   8.54272E-05   5.55301E-05   3.46772E-05   2.10549E-05   1.21991E-05
+   6.91650E-06   3.80447E-06   2.15034E-06   1.23971E-06   7.40985E-07
+   3.95628E-07   1.55212E-07   3.02205E-08   0.00000E+00   2.35186E+07
+   1.73594E+07   1.25408E+07   9.06283E+06   6.53989E+06   4.72054E+06
+   3.40224E+06   2.45269E+06   1.76544E+06   1.27103E+06   9.13638E+05
+   6.56862E+05   4.71483E+05   3.38471E+05   2.42574E+05   1.73865E+05
+   1.24401E+05   8.90150E+04   6.35800E+04   4.54132E+04   3.23773E+04
+   2.30823E+04   1.64246E+04   1.16864E+04   8.29887E+03   5.89194E+03
+   4.17598E+03   2.94407E+03   2.08294E+03   1.47379E+03   1.04096E+03
+   7.35431E+02   5.18546E+02   3.65870E+02   2.57931E+02   1.82100E+02
+   1.28536E+02   9.09265E+01   6.43798E+01   4.57317E+01   3.25546E+01
+   2.32762E+01   1.67002E+01   1.20431E+01   8.73448E+00   6.37464E+00
+   4.67923E+00   3.45909E+00   2.57199E+00   1.92435E+00   1.44630E+00
+   1.09124E+00   8.26145E-01   6.24923E-01   4.72646E-01   3.56877E-01
+   2.68614E-01   2.01442E-01   1.50258E-01   1.11827E-01   8.24922E-02
+   6.05762E-02   4.42191E-02   3.21268E-02   2.32262E-02   1.67552E-02
+   1.20804E-02   8.73700E-03   6.35434E-03   4.66042E-03   3.45684E-03
+   2.58760E-03   1.94707E-03   1.47240E-03   1.10902E-03   8.32842E-04
+   6.18190E-04   4.54810E-04   3.28385E-04   2.33775E-04   1.62664E-04
+   1.10884E-04   7.31838E-05   4.71190E-05   2.91635E-05   1.75589E-05
+   1.01168E-05   5.72325E-06   3.16393E-06   1.80461E-06   1.04975E-06
+   6.22654E-07   3.24578E-07   1.23347E-07   2.39045E-08   0.00000E+00
+   2.88389E+07   2.12279E+07   1.52841E+07   1.10074E+07   7.91592E+06
+   5.69370E+06   4.08925E+06   2.93735E+06   2.10671E+06   1.51115E+06
+   1.08225E+06   7.75147E+05   5.54291E+05   3.96381E+05   2.82980E+05
+   2.02023E+05   1.43977E+05   1.02604E+05   7.29893E+04   5.19173E+04
+   3.68606E+04   2.61666E+04   1.85401E+04   1.31339E+04   9.28605E+03
+   6.56321E+03   4.63098E+03   3.24957E+03   2.28851E+03   1.61158E+03
+   1.13289E+03   7.96465E+02   5.58819E+02   3.92287E+02   2.75142E+02
+   1.93228E+02   1.35665E+02   9.54433E+01   6.72048E+01   4.74676E+01
+   3.35985E+01   2.38836E+01   1.70379E+01   1.22156E+01   8.80959E+00
+   6.39315E+00   4.66691E+00   3.43093E+00   2.53720E+00   1.88793E+00
+   1.41126E+00   1.05899E+00   7.97460E-01   6.00010E-01   4.51461E-01
+   3.39160E-01   2.54042E-01   1.89630E-01   1.40825E-01   1.04381E-01
+   7.67120E-02   5.61452E-02   4.08703E-02   2.96288E-02   2.13880E-02
+   1.54168E-02   1.11141E-02   8.04087E-03   5.85117E-03   4.29218E-03
+   3.18208E-03   2.37761E-03   1.78367E-03   1.34297E-03   1.00629E-03
+   7.51086E-04   5.53887E-04   4.04573E-04   2.89984E-04   2.04790E-04
+   1.41369E-04   9.55450E-05   6.25346E-05   3.99208E-05   2.45209E-05
+   1.46650E-05   8.41982E-06   4.76364E-06   2.65102E-06   1.52505E-06
+   8.91919E-07   5.22913E-07   2.65686E-07   9.78982E-08   1.88770E-08
+   0.00000E+00   3.51477E+07   2.58023E+07   1.85165E+07   1.32904E+07
+   9.52564E+06   6.82789E+06   4.88697E+06   3.49797E+06   2.49996E+06
+   1.78674E+06   1.27500E+06   9.09820E+05   6.48186E+05   4.61765E+05
+   3.28408E+05   2.33541E+05   1.65791E+05   1.17678E+05   8.33782E+04
+   5.90639E+04   4.17629E+04   2.95221E+04   2.08296E+04   1.46921E+04
+   1.03429E+04   7.27770E+03   5.11242E+03   3.57079E+03   2.50327E+03
+   1.75456E+03   1.22760E+03   8.58878E+02   5.99674E+02   4.18855E+02
+   2.92293E+02   2.04204E+02   1.42620E+02   9.97940E+01   6.98869E+01
+   4.90871E+01   3.45516E+01   2.44221E+01   1.73246E+01   1.23511E+01
+   8.85833E+00   6.39314E+00   4.64179E+00   3.39409E+00   2.49663E+00
+   1.84782E+00   1.37397E+00   1.02552E+00   7.68231E-01   5.75005E-01
+   4.30458E-01   3.21783E-01   2.39881E-01   1.78243E-01   1.31798E-01
+   9.73000E-02   7.12439E-02   5.19722E-02   3.77271E-02   2.72891E-02
+   1.96675E-02   1.41626E-02   1.02058E-02   7.38324E-03   5.37277E-03
+   3.93975E-03   2.91770E-03   2.17512E-03   1.62633E-03   1.21898E-03
+   9.08629E-04   6.74125E-04   4.93985E-04   3.58321E-04   2.55039E-04
+   1.78750E-04   1.22477E-04   8.21232E-05   5.33437E-05   3.37985E-05
+   2.06288E-05   1.22744E-05   7.03567E-06   3.98803E-06   2.23605E-06
+   1.29567E-06   7.59135E-07   4.38553E-07   2.16987E-07   7.76126E-08
+   1.48862E-08   0.00000E+00   4.25779E+07   3.11747E+07   2.22996E+07
+   1.59528E+07   1.13962E+07   8.14102E+06   5.80716E+06   4.14220E+06
+   2.95015E+06   2.10100E+06   1.49394E+06   1.06217E+06   7.53974E+05
+   5.35122E+05   3.79160E+05   2.68600E+05   1.89949E+05   1.34295E+05
+   9.47780E+04   6.68683E+04   4.70905E+04   3.31502E+04   2.32925E+04
+   1.63594E+04   1.14675E+04   8.03361E+03   5.61878E+03   3.90650E+03
+   2.72628E+03   1.90202E+03   1.32459E+03   9.22306E+02   6.40861E+02
+   4.45406E+02   3.09272E+02   2.14958E+02   1.49355E+02   1.03951E+02
+   7.24104E+01   5.05820E+01   3.54100E+01   2.48905E+01   1.75604E+01
+   1.24505E+01   8.88168E+00   6.37561E+00   4.60475E+00   3.34932E+00
+   2.45092E+00   1.80451E+00   1.33483E+00   9.91114E-01   7.38659E-01
+   5.50047E-01   4.09731E-01   3.04802E-01   2.26161E-01   1.67296E-01
+   1.23177E-01   9.05773E-02   6.60794E-02   4.80477E-02   3.47809E-02
+   2.51008E-02   1.80595E-02   1.29896E-02   9.35415E-03   6.76431E-03
+   4.92038E-03   3.60496E-03   2.66574E-03   1.98208E-03   1.47672E-03
+   1.10176E-03   8.16983E-04   6.02565E-04   4.38833E-04   3.16195E-04
+   2.23555E-04   1.55564E-04   1.05849E-04   7.04580E-05   4.54551E-05
+   2.86123E-05   1.73735E-05   1.02996E-05   5.90316E-06   3.35665E-06
+   1.89635E-06   1.10481E-06   6.46336E-07   3.67088E-07   1.76814E-07
+   6.14669E-08   1.17250E-08   0.00000E+00   5.12710E+07   3.74429E+07
+   2.66984E+07   1.90375E+07   1.35558E+07   9.65157E+06   6.86184E+06
+   4.87783E+06   3.46227E+06   2.45711E+06   1.74107E+06   1.23345E+06
+   8.72428E+05   6.16919E+05   4.35515E+05   3.07359E+05   2.16541E+05
+   1.52504E+05   1.07212E+05   7.53405E+04   5.28460E+04   3.70500E+04
+   2.59263E+04   1.81328E+04   1.26571E+04   8.82866E+03   6.14822E+03
+   4.25529E+03   2.95650E+03   2.05321E+03   1.42331E+03   9.86376E+02
+   6.82126E+02   4.71771E+02   3.25970E+02   2.25420E+02   1.55829E+02
+   1.07892E+02   7.47622E+01   5.19458E+01   3.61712E+01   2.52883E+01
+   1.77461E+01   1.25146E+01   8.88076E+00   6.34161E+00   4.55672E+00
+   3.29737E+00   2.40067E+00   1.75847E+00   1.29417E+00   9.56016E-01
+   7.08928E-01   5.25261E-01   3.89360E-01   2.88265E-01   2.12907E-01
+   1.56797E-01   1.14963E-01   8.42072E-02   6.12101E-02   4.43629E-02
+   3.20235E-02   2.30572E-02   1.65593E-02   1.18948E-02   8.55793E-03
+   6.18399E-03   4.49476E-03   3.28905E-03   2.42761E-03   1.79980E-03
+   1.33592E-03   9.92089E-04   7.31874E-04   5.36691E-04   3.88528E-04
+   2.78159E-04   1.95412E-04   1.35063E-04   9.13050E-05   6.03708E-05
+   3.87107E-05   2.42298E-05   1.46526E-05   8.66550E-06   4.97226E-06
+   2.83841E-06   1.61494E-06   9.44050E-07   5.49873E-07   3.06546E-07
+   1.43754E-07   4.86324E-08   9.22525E-09   0.00000E+00   6.13769E+07
+   4.47099E+07   3.17807E+07   2.25891E+07   1.60336E+07   1.13784E+07
+   8.06320E+06   5.71266E+06   4.04130E+06   2.85820E+06   2.01835E+06
+   1.42485E+06   1.00427E+06   7.07585E+05   4.97720E+05   3.49959E+05
+   2.45640E+05   1.72339E+05   1.20696E+05   8.44842E+04   5.90279E+04
+   4.12178E+04   2.87268E+04   2.00084E+04   1.39084E+04   9.66009E+03
+   6.69863E+03   4.61561E+03   3.19278E+03   2.20731E+03   1.52322E+03
+   1.05071E+03   7.23216E+02   4.97786E+02   3.42283E+02   2.35527E+02
+   1.62004E+02   1.11593E+02   7.69313E+01   5.31737E+01   3.68335E+01
+   2.56157E+01   1.78824E+01   1.25449E+01   8.85683E+00   6.29227E+00
+   4.49862E+00   3.23899E+00   2.34644E+00   1.71014E+00   1.25233E+00
+   9.20466E-01   6.79202E-01   5.00755E-01   3.69412E-01   2.72211E-01
+   2.00138E-01   1.46751E-01   1.07151E-01   7.81828E-02   5.66269E-02
+   4.09087E-02   2.94469E-02   2.11518E-02   1.51622E-02   1.08752E-02
+   7.81557E-03   5.64188E-03   4.09627E-03   2.99277E-03   2.20418E-03
+   1.62909E-03   1.20457E-03   8.90392E-04   6.53515E-04   4.76545E-04
+   3.42997E-04   2.44056E-04   1.70417E-04   1.17038E-04   7.86425E-05
+   5.16807E-05   3.29595E-05   2.05309E-05   1.23772E-05   7.30974E-06
+   4.20285E-06   2.40932E-06   1.37926E-06   8.07333E-07   4.67062E-07
+   2.55322E-07   1.16617E-07   3.84416E-08   7.25136E-09   0.00000E+00
+   7.79180E+05   1.11691E+06   8.32303E+05   6.20203E+05   4.62155E+05
+   3.44383E+05   2.56625E+05   1.91230E+05   1.42500E+05   1.06189E+05
+   7.91306E+04   5.89677E+04   4.39429E+04   3.27467E+04   2.44036E+04
+   1.81865E+04   1.35536E+04   1.01012E+04   7.52841E+03   5.61118E+03
+   4.18241E+03   3.11765E+03   2.32414E+03   1.73276E+03   1.29201E+03
+   9.63516E+02   7.18668E+02   5.33733E+02   3.98357E+02   2.97418E+02
+   2.22148E+02   1.66009E+02   1.24074E+02   9.28093E+01   6.94955E+01
+   5.21138E+01   3.91395E+01   2.94565E+01   2.22262E+01   1.68236E+01
+   1.27827E+01   9.75581E+00   7.48351E+00   5.77011E+00   4.47773E+00
+   3.49220E+00   2.73565E+00   2.14944E+00   1.69095E+00   1.32965E+00
+   1.04383E+00   8.17776E-01   6.40582E-01   5.00975E-01   3.92904E-01
+   3.09492E-01   2.45365E-01   1.96108E-01   1.58190E-01   1.29108E-01
+   1.06187E-01   8.82107E-02   7.38719E-02   6.22712E-02   5.27002E-02
+   4.46649E-02   3.77876E-02   3.17905E-02   2.64952E-02   2.17670E-02
+   1.75868E-02   1.38597E-02   1.06331E-02   7.92527E-03   5.73872E-03
+   4.04114E-03   2.76968E-03   1.84740E-03   1.19787E-03   7.52733E-04
+   4.59008E-04   2.68769E-04   1.50816E-04   8.05515E-05   4.05986E-05
+   1.90947E-05   8.26093E-06   3.21297E-06   1.09915E-06   3.16272E-07
+   7.18579E-08   1.15944E-08   1.08894E-09   3.80871E-11   1.19001E-13
+   0.00000E+00   1.61188E+06   1.22275E+06   9.12651E+05   6.81596E+05
+   5.08766E+05   3.79990E+05   2.83656E+05   2.11871E+05   1.58165E+05
+   1.18142E+05   8.81962E+04   6.58784E+04   4.91792E+04   3.67331E+04
+   2.74200E+04   2.04787E+04   1.52848E+04   1.14138E+04   8.51734E+03
+   6.35881E+03   4.74393E+03   3.54066E+03   2.64062E+03   1.97015E+03
+   1.46879E+03   1.09542E+03   8.16282E+02   6.05886E+02   4.51481E+02
+   3.36603E+02   2.50815E+02   1.87024E+02   1.39346E+02   1.03941E+02
+   7.75465E+01   5.79641E+01   4.33618E+01   3.25253E+01   2.44441E+01
+   1.84419E+01   1.39573E+01   1.06175E+01   8.11125E+00   6.23140E+00
+   4.81249E+00   3.73577E+00   2.90916E+00   2.27247E+00   1.77554E+00
+   1.38737E+00   1.08186E+00   8.42760E-01   6.56476E-01   5.11186E-01
+   3.99209E-01   3.13445E-01   2.47659E-01   1.97411E-01   1.58716E-01
+   1.29135E-01   1.05783E-01   8.75430E-02   7.29453E-02   6.11812E-02
+   5.14399E-02   4.33134E-02   3.63557E-02   3.03519E-02   2.50797E-02
+   2.04456E-02   1.63899E-02   1.28458E-02   9.81774E-03   7.32090E-03
+   5.32227E-03   3.78605E-03   2.63539E-03   1.80225E-03   1.20820E-03
+   7.97672E-04   5.18206E-04   3.32258E-04   2.09339E-04   1.30601E-04
+   7.97371E-05   4.77901E-05   2.72802E-05   1.44066E-05   6.24068E-06
+   1.32821E-06   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   1.82984E+06   1.38887E+06   1.03751E+06
+   7.75751E+05   5.79499E+05   4.33300E+05   3.23681E+05   2.42016E+05
+   1.80781E+05   1.35161E+05   1.00952E+05   7.54670E+04   5.63573E+04
+   4.21214E+04   3.14476E+04   2.34969E+04   1.75366E+04   1.30977E+04
+   9.77077E+03   7.29378E+03   5.43793E+03   4.05676E+03   3.02244E+03
+   2.25308E+03   1.67728E+03   1.24924E+03   9.29070E+02   6.88392E+02
+   5.11726E+02   3.80653E+02   2.82820E+02   2.10314E+02   1.56179E+02
+   1.16135E+02   8.63274E+01   6.43094E+01   4.79229E+01   3.58200E+01
+   2.68127E+01   2.01551E+01   1.51905E+01   1.15103E+01   8.75320E+00
+   6.69438E+00   5.14238E+00   3.97018E+00   3.07228E+00   2.38479E+00
+   1.85053E+00   1.43663E+00   1.11298E+00   8.62047E-01   6.67906E-01
+   5.17790E-01   4.02702E-01   3.15128E-01   2.48175E-01   1.97266E-01
+   1.58099E-01   1.28238E-01   1.04666E-01   8.63035E-02   7.15909E-02
+   5.97630E-02   4.99594E-02   4.18179E-02   3.48599E-02   2.89055E-02
+   2.37091E-02   1.91993E-02   1.52907E-02   1.19305E-02   9.09236E-03
+   6.78629E-03   4.95280E-03   3.55618E-03   2.50798E-03   1.75147E-03
+   1.20437E-03   8.25103E-04   5.59024E-04   3.79430E-04   2.54396E-04
+   1.71779E-04   1.13888E-04   7.60140E-05   4.88695E-05   3.12035E-05
+   1.84997E-05   1.05541E-05   5.19953E-06   2.31051E-06   7.79055E-07
+   2.48624E-07   4.30569E-08   0.00000E+00   2.14269E+06   1.62597E+06
+   1.21441E+06   9.08009E+05   6.78101E+05   5.06958E+05   3.78546E+05
+   2.82963E+05   2.11249E+05   1.57874E+05   1.17832E+05   8.80348E+04
+   6.56841E+04   4.90549E+04   3.65845E+04   2.73089E+04   2.03552E+04
+   1.51849E+04   1.13106E+04   8.43123E+03   6.27480E+03   4.67321E+03
+   3.47458E+03   2.58505E+03   1.91991E+03   1.42670E+03   1.05822E+03
+   7.82078E+02   5.79659E+02   4.29955E+02   3.18416E+02   2.36041E+02
+   1.74669E+02   1.29444E+02   9.58614E+01   7.11547E+01   5.28156E+01
+   3.93277E+01   2.93164E+01   2.19483E+01   1.64683E+01   1.24232E+01
+   9.40051E+00   7.15291E+00   5.46320E+00   4.19304E+00   3.22379E+00
+   2.48614E+00   1.91611E+00   1.47795E+00   1.13781E+00   8.76345E-01
+   6.75514E-01   5.21413E-01   4.03926E-01   3.15040E-01   2.47333E-01
+   1.96049E-01   1.56659E-01   1.26694E-01   1.03063E-01   8.46870E-02
+   6.99642E-02   5.81467E-02   4.83576E-02   4.02555E-02   3.33527E-02
+   2.74847E-02   2.23989E-02   1.80297E-02   1.42801E-02   1.10981E-02
+   8.43888E-03   6.30226E-03   4.61403E-03   3.33536E-03   2.37481E-03
+   1.68130E-03   1.17496E-03   8.21546E-04   5.68831E-04   3.95658E-04
+   2.71621E-04   1.87780E-04   1.27083E-04   8.64901E-05   5.65977E-05
+   3.69279E-05   2.25906E-05   1.36243E-05   7.48497E-06   4.08630E-06
+   2.05631E-06   1.03182E-06   1.98703E-07   0.00000E+00   2.56892E+06
+   1.94746E+06   1.45286E+06   1.08510E+06   8.09319E+05   6.04314E+05
+   4.50601E+05   3.36362E+05   2.50721E+05   1.87088E+05   1.39397E+05
+   1.03972E+05   7.74293E+04   5.77206E+04   4.29593E+04   3.20034E+04
+   2.38015E+04   1.77173E+04   1.31653E+04   9.79075E+03   7.26786E+03
+   5.39910E+03   4.00321E+03   2.97026E+03   2.19950E+03   1.62971E+03
+   1.20499E+03   8.87779E+02   6.55818E+02   4.84854E+02   3.57815E+02
+   2.64329E+02   1.94880E+02   1.43896E+02   1.06151E+02   7.84907E+01
+   5.80235E+01   4.30305E+01   3.19373E+01   2.38059E+01   1.77777E+01
+   1.33461E+01   1.00457E+01   7.60197E+00   5.77175E+00   4.40266E+00
+   3.36296E+00   2.57650E+00   1.97261E+00   1.51191E+00   1.15694E+00
+   8.86248E-01   6.79823E-01   5.22530E-01   4.03277E-01   3.13521E-01
+   2.45411E-01   1.93997E-01   1.54583E-01   1.24660E-01   1.01093E-01
+   8.27915E-02   6.81378E-02   5.63898E-02   4.66723E-02   3.86521E-02
+   3.18452E-02   2.60915E-02   2.11398E-02   1.69225E-02   1.33376E-02
+   1.03277E-02   7.83684E-03   5.85318E-03   4.29479E-03   3.11879E-03
+   2.23535E-03   1.59616E-03   1.12670E-03   7.96446E-04   5.57629E-04
+   3.91783E-04   2.71310E-04   1.88562E-04   1.28050E-04   8.70621E-05
+   5.69004E-05   3.69845E-05   2.26674E-05   1.37655E-05   7.77284E-06
+   4.43668E-06   2.39360E-06   1.19976E-06   2.32669E-07   0.00000E+00
+   3.13044E+06   2.36923E+06   1.76408E+06   1.31498E+06   9.78744E+05
+   7.29305E+05   5.42606E+05   4.04147E+05   3.00547E+05   2.23745E+05
+   1.66300E+05   1.23732E+05   9.19066E+04   6.83352E+04   5.07209E+04
+   3.76826E+04   2.79453E+04   2.07425E+04   1.53673E+04   1.13943E+04
+   8.43189E+03   6.24438E+03   4.61498E+03   3.41313E+03   2.51897E+03
+   1.86016E+03   1.37062E+03   1.00627E+03   7.40678E+02   5.45633E+02
+   4.01172E+02   2.95258E+02   2.16843E+02   1.59494E+02   1.17185E+02
+   8.62978E+01   6.35246E+01   4.69073E+01   3.46569E+01   2.57126E+01
+   1.91067E+01   1.42701E+01   1.06824E+01   8.03756E+00   6.06563E+00
+   4.59793E+00   3.48943E+00   2.65605E+00   2.02044E+00   1.53905E+00
+   1.17091E+00   8.92264E-01   6.81268E-01   5.21515E-01   4.01061E-01
+   3.10830E-01   2.42616E-01   1.91279E-01   1.52007E-01   1.22246E-01
+   9.88404E-02   8.06845E-02   6.61615E-02   5.45311E-02   4.49294E-02
+   3.70252E-02   3.03445E-02   2.47268E-02   1.99257E-02   1.58680E-02
+   1.24499E-02   9.60651E-03   7.27425E-03   5.43063E-03   3.98979E-03
+   2.90545E-03   2.09124E-03   1.50075E-03   1.06546E-03   7.57130E-04
+   5.32741E-04   3.75352E-04   2.60305E-04   1.80516E-04   1.22150E-04
+   8.24012E-05   5.34420E-05   3.43654E-05   2.09322E-05   1.26604E-05
+   7.22262E-06   4.19578E-06   2.32289E-06   1.13029E-06   2.19584E-07
+   0.00000E+00   2.42592E+06   2.90983E+06   2.16116E+06   1.60685E+06
+   1.19286E+06   8.86478E+05   6.57744E+05   4.88544E+05   3.62277E+05
+   2.68921E+05   1.99287E+05   1.47832E+05   1.09471E+05   8.11427E+04
+   6.00364E+04   4.44606E+04   3.28641E+04   2.43130E+04   1.79519E+04
+   1.32655E+04   9.78268E+03   7.21953E+03   5.31676E+03   3.91814E+03
+   2.88120E+03   2.11988E+03   1.55623E+03   1.13823E+03   8.34637E+02
+   6.12512E+02   4.48596E+02   3.28870E+02   2.40561E+02   1.76221E+02
+   1.28935E+02   9.45481E+01   6.92922E+01   5.09352E+01   3.74559E+01
+   2.76535E+01   2.04440E+01   1.51873E+01   1.13055E+01   8.45645E+00
+   6.34301E+00   4.77808E+00   3.60306E+00   2.72506E+00   2.06003E+00
+   1.55986E+00   1.18020E+00   8.94824E-01   6.80210E-01   5.18676E-01
+   3.97525E-01   3.07165E-01   2.39104E-01   1.88023E-01   1.49031E-01
+   1.19531E-01   9.63666E-02   7.84144E-02   6.40719E-02   5.25985E-02
+   4.31476E-02   3.53874E-02   2.88566E-02   2.33919E-02   1.87531E-02
+   1.48603E-02   1.16091E-02   8.92665E-03   6.74426E-03   5.03022E-03
+   3.69705E-03   2.69604E-03   1.94502E-03   1.39929E-03   9.96167E-04
+   7.09123E-04   4.99549E-04   3.51569E-04   2.43216E-04   1.67711E-04
+   1.12715E-04   7.52507E-05   4.83109E-05   3.06765E-05   1.85247E-05
+   1.11309E-05   6.38265E-06   3.74342E-06   2.09133E-06   9.83595E-07
+   1.91124E-07   0.00000E+00   4.86612E+06   3.66564E+06   2.71404E+06
+   2.01133E+06   1.48833E+06   1.10233E+06   8.15187E+05   6.03379E+05
+   4.45898E+05   3.29808E+05   2.43544E+05   1.79996E+05   1.32805E+05
+   9.80657E+04   7.22867E+04   5.33251E+04   3.92657E+04   2.89337E+04
+   2.12800E+04   1.56611E+04   1.15032E+04   8.45421E+03   6.20069E+03
+   4.55035E+03   3.33225E+03   2.44125E+03   1.78468E+03   1.29953E+03
+   9.48828E+02   6.93230E+02   5.05484E+02   3.68892E+02   2.68614E+02
+   1.95845E+02   1.42619E+02   1.04067E+02   7.58899E+01   5.54934E+01
+   4.05914E+01   2.98001E+01   2.19049E+01   1.61739E+01   1.19655E+01
+   8.89166E+00   6.62566E+00   4.95693E+00   3.71269E+00   2.78887E+00
+   2.09463E+00   1.57613E+00   1.18577E+00   8.94358E-01   6.76822E-01
+   5.14000E-01   3.92598E-01   3.02411E-01   2.34755E-01   1.84097E-01
+   1.45530E-01   1.16392E-01   9.35583E-02   7.58681E-02   6.17627E-02
+   5.04876E-02   4.12299E-02   3.36449E-02   2.72952E-02   2.20060E-02
+   1.75503E-02   1.38350E-02   1.07604E-02   8.24167E-03   6.20947E-03
+   4.62207E-03   3.39364E-03   2.47270E-03   1.78297E-03   1.28075E-03
+   9.09858E-04   6.44647E-04   4.51241E-04   3.14200E-04   2.14322E-04
+   1.44868E-04   9.49428E-05   6.13073E-05   3.77537E-05   2.27461E-05
+   1.28731E-05   7.20320E-06   3.84346E-06   2.17684E-06   1.21938E-06
+   5.82675E-07   1.14718E-07   0.00000E+00   6.15855E+06   4.62608E+06
+   3.41350E+06   2.52080E+06   1.85881E+06   1.37176E+06   1.01079E+06
+   7.45385E+05   5.48811E+05   4.04385E+05   2.97487E+05   2.19008E+05
+   1.60964E+05   1.18386E+05   8.69205E+04   6.38598E+04   4.68332E+04
+   3.43671E+04   2.51722E+04   1.84476E+04   1.34932E+04   9.87430E+03
+   7.21151E+03   5.26914E+03   3.84201E+03   2.80228E+03   2.03973E+03
+   1.47847E+03   1.07469E+03   7.81612E+02   5.67345E+02   4.12104E+02
+   2.98679E+02   2.16712E+02   1.57049E+02   1.14019E+02   8.27225E+01
+   6.01661E+01   4.37702E+01   3.19501E+01   2.33487E+01   1.71342E+01
+   1.25972E+01   9.29991E+00   6.88465E+00   5.11602E+00   3.80647E+00
+   2.84038E+00   2.11992E+00   1.58552E+00   1.18634E+00   8.90291E-01
+   6.70842E-01   5.07467E-01   3.86324E-01   2.96671E-01   2.29673E-01
+   1.79622E-01   1.41613E-01   1.12937E-01   9.05074E-02   7.31399E-02
+   5.93194E-02   4.82841E-02   3.92526E-02   3.18717E-02   2.57250E-02
+   2.06289E-02   1.63671E-02   1.28361E-02   9.93943E-03   7.58285E-03
+   5.69643E-03   4.23084E-03   3.10234E-03   2.25803E-03   1.62709E-03
+   1.16724E-03   8.28020E-04   5.84830E-04   4.07837E-04   2.82182E-04
+   1.91032E-04   1.27764E-04   8.27528E-05   5.26288E-05   3.19109E-05
+   1.88831E-05   1.05356E-05   5.83825E-06   3.13557E-06   1.80386E-06
+   1.01739E-06   4.69585E-07   9.25472E-08   0.00000E+00   7.78490E+06
+   5.83049E+06   4.28698E+06   3.15437E+06   2.31757E+06   1.70396E+06
+   1.25091E+06   9.18949E+05   6.74032E+05   4.94718E+05   3.62527E+05
+   2.65828E+05   1.94599E+05   1.42543E+05   1.04232E+05   7.62614E+04
+   5.56971E+04   4.06991E+04   2.96848E+04   2.16613E+04   1.57762E+04
+   1.14946E+04   8.35845E+03   6.08015E+03   4.41385E+03   3.20489E+03
+   2.32244E+03   1.67557E+03   1.21244E+03   8.77705E+02   6.34144E+02
+   4.58434E+02   3.30671E+02   2.38742E+02   1.72157E+02   1.24344E+02
+   8.97443E+01   6.49186E+01   4.69670E+01   3.40854E+01   2.47627E+01
+   1.80602E+01   1.31954E+01   9.67835E+00   7.11856E+00   5.25487E+00
+   3.88445E+00   2.87990E+00   2.13633E+00   1.58849E+00   1.18232E+00
+   8.82994E-01   6.62582E-01   4.99333E-01   3.78911E-01   2.90116E-01
+   2.23995E-01   1.74710E-01   1.37370E-01   1.09241E-01   8.72768E-02
+   7.02826E-02   5.67860E-02   4.60247E-02   3.72460E-02   3.00923E-02
+   2.41652E-02   1.92750E-02   1.52141E-02   1.18709E-02   9.15077E-03
+   6.95267E-03   5.20608E-03   3.85627E-03   2.82194E-03   2.04996E-03
+   1.47452E-03   1.05519E-03   7.46456E-04   5.24960E-04   3.64259E-04
+   2.50217E-04   1.67980E-04   1.11134E-04   7.11303E-05   4.45861E-05
+   2.66459E-05   1.55245E-05   8.56930E-06   4.72981E-06   2.57184E-06
+   1.50449E-06   8.50123E-07   3.80117E-07   7.48890E-08   0.00000E+00
+   9.80999E+06   7.32526E+06   5.36672E+06   3.93439E+06   2.88008E+06
+   2.10959E+06   1.54289E+06   1.12910E+06   8.24996E+05   6.03147E+05
+   4.40251E+05   3.21527E+05   2.34432E+05   1.71018E+05   1.24544E+05
+   9.07421E+04   6.59972E+04   4.80207E+04   3.48766E+04   2.53397E+04
+   1.83757E+04   1.33298E+04   9.65048E+03   6.98867E+03   5.05082E+03
+   3.65074E+03   2.63365E+03   1.89118E+03   1.36216E+03   9.81456E+02
+   7.05770E+02   5.07752E+02   3.64470E+02   2.61830E+02   1.87856E+02
+   1.34977E+02   9.69047E+01   6.97135E+01   5.01552E+01   3.61877E+01
+   2.61353E+01   1.89443E+01   1.37557E+01   1.00247E+01   7.32640E+00
+   5.37328E+00   3.94688E+00   2.90789E+00   2.14438E+00   1.58551E+00
+   1.17413E+00   8.72815E-01   6.52323E-01   4.89818E-01   3.70529E-01
+   2.82875E-01   2.17823E-01   1.69440E-01   1.32866E-01   1.05353E-01
+   8.39070E-02   6.73292E-02   5.41902E-02   4.37318E-02   3.52286E-02
+   2.83210E-02   2.26270E-02   1.79526E-02   1.40971E-02   1.09434E-02
+   8.39723E-03   6.35324E-03   4.74049E-03   3.50059E-03   2.55498E-03
+   1.85118E-03   1.32805E-03   9.47261E-04   6.67634E-04   4.67159E-04
+   3.22286E-04   2.19694E-04   1.46209E-04   9.56984E-05   6.05434E-05
+   3.74401E-05   2.20832E-05   1.26993E-05   6.95825E-06   3.84201E-06
+   2.12000E-06   1.25646E-06   7.05856E-07   3.05556E-07   6.01051E-08
+   0.00000E+00   1.23076E+07   9.16302E+06   6.68912E+06   4.88594E+06
+   3.56358E+06   2.60049E+06   1.89482E+06   1.38134E+06   1.00545E+06
+   7.32203E+05   5.32365E+05   3.87249E+05   2.81226E+05   2.04318E+05
+   1.48188E+05   1.07520E+05   7.78754E+04   5.64232E+04   4.08056E+04
+   2.95194E+04   2.13144E+04   1.53935E+04   1.10957E+04   7.99931E+03
+   5.75541E+03   4.14105E+03   2.97386E+03   2.12539E+03   1.52377E+03
+   1.09270E+03   7.82039E+02   5.59885E+02   3.99926E+02   2.85854E+02
+   2.04052E+02   1.45844E+02   1.04151E+02   7.45133E+01   5.33091E+01
+   3.82400E+01   2.74553E+01   1.97799E+01   1.42745E+01   1.03371E+01
+   7.50757E+00   5.47131E+00   3.99415E+00   2.92488E+00   2.14460E+00
+   1.57709E+00   1.16220E+00   8.60086E-01   6.40324E-01   4.79120E-01
+   3.61330E-01   2.75066E-01   2.11248E-01   1.63882E-01   1.28154E-01
+   1.01318E-01   8.04345E-02   6.43095E-02   5.15568E-02   4.14258E-02
+   3.32170E-02   2.65710E-02   2.11205E-02   1.66689E-02   1.30215E-02
+   1.00568E-02   7.68127E-03   5.78641E-03   4.30136E-03   3.16551E-03
+   2.30335E-03   1.66364E-03   1.18966E-03   8.45269E-04   5.93186E-04
+   4.12779E-04   2.83012E-04   1.91419E-04   1.26286E-04   8.18079E-05
+   5.11903E-05   3.12699E-05   1.82349E-05   1.03793E-05   5.66558E-06
+   3.14138E-06   1.76035E-06   1.05176E-06   5.83640E-07   2.44471E-07
+   4.79637E-08   0.00000E+00   1.53612E+07   1.14029E+07   8.29484E+06
+   6.03692E+06   4.38716E+06   3.18966E+06   2.31553E+06   1.68166E+06
+   1.21943E+06   8.84597E+05   6.40683E+05   4.64199E+05   3.35778E+05
+   2.42966E+05   1.75509E+05   1.26818E+05   9.14738E+04   6.59965E+04
+   4.75285E+04   3.42351E+04   2.46134E+04   1.76982E+04   1.27012E+04
+   9.11584E+03   6.52950E+03   4.67658E+03   3.34326E+03   2.37809E+03
+   1.69703E+03   1.21116E+03   8.62697E+02   6.14614E+02   4.36862E+02
+   3.10675E+02   2.20640E+02   1.56871E+02   1.11430E+02   7.92812E+01
+   5.64042E+01   4.02263E+01   2.87131E+01   2.05614E+01   1.47489E+01
+   1.06143E+01   7.66183E+00   5.54926E+00   4.02680E+00   2.93145E+00
+   2.13756E+00   1.56370E+00   1.14691E+00   8.45114E-01   6.26822E-01
+   4.67418E-01   3.51451E-01   2.66792E-01   2.04348E-01   1.58098E-01
+   1.23285E-01   9.71752E-02   7.68920E-02   6.12506E-02   4.89086E-02
+   3.91253E-02   3.12263E-02   2.48540E-02   1.96548E-02   1.54303E-02
+   1.19918E-02   9.21433E-03   7.00485E-03   5.25354E-03   3.88990E-03
+   2.85224E-03   2.06832E-03   1.48863E-03   1.06060E-03   7.50359E-04
+   5.24106E-04   3.62605E-04   2.47030E-04   1.65791E-04   1.08454E-04
+   6.95743E-05   4.30973E-05   2.60428E-05   1.50450E-05   8.50110E-06
+   4.63913E-06   2.59051E-06   1.47291E-06   8.82296E-07   4.81135E-07
+   1.95001E-07   3.81255E-08   0.00000E+00   1.90637E+07   1.41108E+07
+   1.02289E+07   7.41803E+06   5.37170E+06   3.89125E+06   2.81458E+06
+   2.03649E+06   1.47123E+06   1.06320E+06   7.67107E+05   5.53632E+05
+   3.98910E+05   2.87497E+05   2.06849E+05   1.48855E+05   1.06932E+05
+   7.68278E+04   5.50987E+04   3.95190E+04   2.82915E+04   2.02545E+04
+   1.44726E+04   1.03411E+04   7.37425E+03   5.25761E+03   3.74167E+03
+   2.64893E+03   1.88155E+03   1.33647E+03   9.47425E+02   6.71679E+02
+   4.75077E+02   3.36142E+02   2.37512E+02   1.67979E+02   1.18687E+02
+   8.39811E+01   5.94169E+01   4.21321E+01   2.99000E+01   2.12841E+01
+   1.51766E+01   1.08557E+01   7.78924E+00   5.60761E+00   4.04545E+00
+   2.92826E+00   2.12383E+00   1.54581E+00   1.12863E+00   8.28187E-01
+   6.12036E-01   4.54877E-01   3.41014E-01   2.58144E-01   1.97194E-01
+   1.52143E-01   1.18302E-01   9.29607E-02   7.33093E-02   5.81773E-02
+   4.62660E-02   3.68469E-02   2.92700E-02   2.31804E-02   1.82375E-02
+   1.42424E-02   1.10115E-02   8.41799E-03   6.36932E-03   4.75545E-03
+   3.50677E-03   2.56140E-03   1.85060E-03   1.32686E-03   9.41591E-04
+   6.63139E-04   4.60902E-04   3.17005E-04   2.14588E-04   1.42935E-04
+   9.27480E-05   5.89635E-05   3.61945E-05   2.16702E-05   1.24288E-05
+   6.99165E-06   3.82627E-06   2.15549E-06   1.24070E-06   7.41122E-07
+   3.95643E-07   1.55213E-07   3.02208E-08   0.00000E+00   2.35185E+07
+   1.73594E+07   1.25408E+07   9.06278E+06   6.53984E+06   4.72050E+06
+   3.40220E+06   2.45265E+06   1.76540E+06   1.27100E+06   9.13610E+05
+   6.56836E+05   4.71460E+05   3.38450E+05   2.42554E+05   1.73847E+05
+   1.24385E+05   8.89994E+04   6.35656E+04   4.54000E+04   3.23651E+04
+   2.30711E+04   1.64143E+04   1.16768E+04   8.29011E+03   5.88389E+03
+   4.16860E+03   2.93731E+03   2.07677E+03   1.46816E+03   1.03584E+03
+   7.30788E+02   5.14353E+02   3.62097E+02   2.54554E+02   1.79090E+02
+   1.25870E+02   8.85787E+01   6.23257E+01   4.39444E+01   3.10087E+01
+   2.19442E+01   1.55561E+01   1.10609E+01   7.89016E+00   5.64700E+00
+   4.05082E+00   2.91595E+00   2.10396E+00   1.52388E+00   1.10773E+00
+   8.09572E-01   5.96165E-01   4.41642E-01   3.30128E-01   2.49206E-01
+   1.89852E-01   1.46068E-01   1.13246E-01   8.87073E-02   6.97136E-02
+   5.51120E-02   4.36475E-02   3.46056E-02   2.73597E-02   2.15590E-02
+   1.68751E-02   1.31094E-02   1.00834E-02   7.66928E-03   5.77537E-03
+   4.29244E-03   3.15213E-03   2.29315E-03   1.65040E-03   1.17858E-03
+   8.32863E-04   5.83815E-04   4.03723E-04   2.76050E-04   1.85693E-04
+   1.22796E-04   7.90777E-05   4.98607E-05   3.03646E-05   1.80416E-05
+   1.02952E-05   5.78103E-06   3.18051E-06   1.80848E-06   1.05049E-06
+   6.22755E-07   3.24589E-07   1.23348E-07   2.39047E-08   0.00000E+00
+   2.88388E+07   2.12279E+07   1.52840E+07   1.10073E+07   7.91587E+06
+   5.69365E+06   4.08920E+06   2.93731E+06   2.10667E+06   1.51111E+06
+   1.08222E+06   7.75119E+05   5.54266E+05   3.96357E+05   2.82959E+05
+   2.02004E+05   1.43959E+05   1.02587E+05   7.29739E+04   5.19030E+04
+   3.68475E+04   2.61546E+04   1.85290E+04   1.31237E+04   9.27673E+03
+   6.55467E+03   4.62316E+03   3.24244E+03   2.28201E+03   1.60567E+03
+   1.12753E+03   7.91619E+02   5.54456E+02   3.88374E+02   2.71651E+02
+   1.90127E+02   1.32929E+02   9.30418E+01   6.51110E+01   4.56518E+01
+   3.20330E+01   2.25389E+01   1.58863E+01   1.12301E+01   7.96519E+00
+   5.66821E+00   4.04367E+00   2.89523E+00   2.07854E+00   1.49835E+00
+   1.08453E+00   7.89520E-01   5.79393E-01   4.27849E-01   3.18895E-01
+   2.40053E-01   1.82378E-01   1.39918E-01   1.08154E-01   8.44448E-02
+   6.61293E-02   5.20748E-02   4.10696E-02   3.24144E-02   2.55056E-02
+   1.99972E-02   1.55726E-02   1.20344E-02   9.20913E-03   6.96888E-03
+   5.22309E-03   3.86425E-03   2.82565E-03   2.04720E-03   1.46750E-03
+   1.04363E-03   7.34324E-04   5.12290E-04   3.52467E-04   2.39612E-04
+   1.60204E-04   1.05217E-04   6.72827E-05   4.21118E-05   2.54725E-05
+   1.50440E-05   8.55862E-06   4.80814E-06   2.66366E-06   1.52797E-06
+   8.92473E-07   5.22988E-07   2.65694E-07   9.78992E-08   1.88772E-08
+   0.00000E+00   3.51477E+07   2.58022E+07   1.85165E+07   1.32903E+07
+   9.52558E+06   6.82784E+06   4.88693E+06   3.49793E+06   2.49992E+06
+   1.78670E+06   1.27497E+06   9.09790E+05   6.48159E+05   4.61739E+05
+   3.28385E+05   2.33520E+05   1.65772E+05   1.17660E+05   8.33616E+04
+   5.90486E+04   4.17489E+04   2.95092E+04   2.08178E+04   1.46813E+04
+   1.03330E+04   7.26865E+03   5.10416E+03   3.56327E+03   2.49643E+03
+   1.74836E+03   1.22199E+03   8.53827E+02   5.95142E+02   4.14804E+02
+   2.88690E+02   2.01015E+02   1.39815E+02   9.73406E+01   6.77550E+01
+   4.72445E+01   3.29681E+01   2.30663E+01   1.61671E+01   1.13636E+01
+   8.01513E+00   5.67211E+00   4.02483E+00   2.86677E+00   2.04810E+00
+   1.46966E+00   1.05936E+00   7.68260E-01   5.61888E-01   4.13620E-01
+   3.07403E-01   2.30753E-01   1.74826E-01   1.33735E-01   1.03057E-01
+   8.02001E-02   6.25787E-02   4.90838E-02   3.85468E-02   3.02847E-02
+   2.37161E-02   1.85010E-02   1.43340E-02   1.10197E-02   8.38965E-03
+   6.31679E-03   4.71199E-03   3.47017E-03   2.52661E-03   1.82292E-03
+   1.30140E-03   9.21601E-04   6.45626E-04   4.48259E-04   3.06865E-04
+   2.07438E-04   1.37885E-04   8.99783E-05   5.71705E-05   3.55505E-05
+   2.13834E-05   1.25724E-05   7.14375E-06   4.02235E-06   2.24570E-06
+   1.29788E-06   7.59550E-07   4.38609E-07   2.16993E-07   7.76133E-08
+   1.48863E-08   0.00000E+00   4.25778E+07   3.11746E+07   2.22996E+07
+   1.59527E+07   1.13961E+07   8.14097E+06   5.80711E+06   4.14216E+06
+   2.95011E+06   2.10096E+06   1.49390E+06   1.06214E+06   7.53945E+05
+   5.35094E+05   3.79135E+05   2.68577E+05   1.89928E+05   1.34276E+05
+   9.47602E+04   6.68520E+04   4.70755E+04   3.31365E+04   2.32799E+04
+   1.63479E+04   1.14570E+04   8.02403E+03   5.61006E+03   3.89858E+03
+   2.71910E+03   1.89553E+03   1.31874E+03   9.17049E+02   6.36158E+02
+   4.41215E+02   3.05557E+02   2.11682E+02   1.46483E+02   1.01448E+02
+   7.02423E+01   4.87144E+01   3.38102E+01   2.35251E+01   1.63984E+01
+   1.14623E+01   8.04096E+00   5.65968E+00   3.99514E+00   2.83127E+00
+   2.01319E+00   1.43819E+00   1.03250E+00   7.46006E-01   5.43804E-01
+   3.99067E-01   2.95736E-01   2.21367E-01   1.67243E-01   1.27555E-01
+   9.79871E-02   7.59976E-02   5.90815E-02   4.61547E-02   3.60914E-02
+   2.82256E-02   2.19980E-02   1.70747E-02   1.31618E-02   1.00663E-02
+   7.62501E-03   5.71239E-03   4.24109E-03   3.10911E-03   2.25398E-03
+   1.61938E-03   1.15133E-03   8.11854E-04   5.66248E-04   3.91283E-04
+   2.66541E-04   1.79201E-04   1.18457E-04   7.68397E-05   4.85408E-05
+   3.00141E-05   1.79723E-05   1.05339E-05   5.98740E-06   3.38315E-06
+   1.90372E-06   1.10648E-06   6.46648E-07   3.67129E-07   1.76818E-07
+   6.14674E-08   1.17251E-08   0.00000E+00   5.12709E+07   3.74428E+07
+   2.66983E+07   1.90374E+07   1.35557E+07   9.65151E+06   6.86178E+06
+   4.87778E+06   3.46223E+06   2.45707E+06   1.74104E+06   1.23341E+06
+   8.72396E+05   6.16889E+05   4.35488E+05   3.07335E+05   2.16519E+05
+   1.52483E+05   1.07193E+05   7.53230E+04   5.28300E+04   3.70354E+04
+   2.59130E+04   1.81206E+04   1.26460E+04   8.81854E+03   6.13903E+03
+   4.24697E+03   2.94897E+03   2.04642E+03   1.41721E+03   9.80911E+02
+   6.77252E+02   4.67442E+02   3.22145E+02   2.22058E+02   1.52892E+02
+   1.05340E+02   7.25599E+01   5.00551E+01   3.45567E+01   2.39148E+01
+   1.65809E+01   1.15273E+01   8.04379E+00   5.63193E+00   3.95545E+00
+   2.78941E+00   1.97433E+00   1.40434E+00   1.00424E+00   7.22955E-01
+   5.25283E-01   3.84292E-01   2.83968E-01   2.11953E-01   1.59671E-01
+   1.21413E-01   9.29703E-02   7.18588E-02   5.56550E-02   4.33012E-02
+   3.37139E-02   2.62449E-02   2.03564E-02   1.57216E-02   1.20575E-02
+   9.17445E-03   6.91460E-03   5.15451E-03   3.80902E-03   2.77967E-03
+   2.00648E-03   1.43548E-03   1.01635E-03   7.13626E-04   4.95563E-04
+   3.40840E-04   2.31065E-04   1.54540E-04   1.01623E-04   6.55567E-05
+   4.11996E-05   2.53518E-05   1.51279E-05   8.85001E-06   5.03798E-06
+   2.85889E-06   1.62059E-06   9.45318E-07   5.50107E-07   3.06577E-07
+   1.43757E-07   4.86328E-08   9.22531E-09   0.00000E+00   6.13767E+07
+   4.47098E+07   3.17806E+07   2.25891E+07   1.60335E+07   1.13784E+07
+   8.06314E+06   5.71260E+06   4.04125E+06   2.85816E+06   2.01830E+06
+   1.42481E+06   1.00423E+06   7.07553E+05   4.97690E+05   3.49932E+05
+   2.45616E+05   1.72317E+05   1.20675E+05   8.44656E+04   5.90108E+04
+   4.12023E+04   2.87126E+04   1.99955E+04   1.38967E+04   9.64941E+03
+   6.68895E+03   4.60687E+03   3.18490E+03   2.20023E+03   1.51687E+03
+   1.04504E+03   7.18173E+02   4.93320E+02   3.38350E+02   2.32081E+02
+   1.59004E+02   1.08996E+02   7.46969E+01   5.12618E+01   3.52063E+01
+   2.42358E+01   1.67156E+01   1.15596E+01   8.02485E+00   5.58994E+00
+   3.90664E+00   2.74185E+00   1.93200E+00   1.36845E+00   9.74833E-01
+   6.99288E-01   5.06454E-01   3.69385E-01   2.72167E-01   2.02560E-01
+   1.52151E-01   1.15339E-01   8.80308E-02   6.78029E-02   5.23142E-02
+   4.05348E-02   3.14228E-02   2.43485E-02   1.87951E-02   1.44436E-02
+   1.10217E-02   8.34367E-03   6.25720E-03   4.64157E-03   3.41408E-03
+   2.48021E-03   1.78264E-03   1.26997E-03   8.95458E-04   6.26076E-04
+   4.32888E-04   2.96371E-04   1.99984E-04   1.33086E-04   8.70863E-05
+   5.58954E-05   3.49675E-05   2.14293E-05   1.27547E-05   7.45508E-06
+   4.25416E-06   2.42516E-06   1.38358E-06   8.08296E-07   4.67238E-07
+   2.55345E-07   1.16619E-07   3.84419E-08   7.25140E-09   0.00000E+00
+   1.40704E+04   1.26777E+04   1.14114E+04   1.02714E+04   9.24533E+03
+   8.32173E+03   7.49038E+03   6.74206E+03   6.06848E+03   5.46217E+03
+   4.91640E+03   4.42512E+03   3.98289E+03   3.58480E+03   3.22644E+03
+   2.90383E+03   2.61339E+03   2.35189E+03   2.11645E+03   1.90444E+03
+   1.71351E+03   1.54154E+03   1.38661E+03   1.24701E+03   1.12118E+03
+   1.00772E+03   9.05362E+02   8.11608E+02   7.28314E+02   6.52997E+02
+   5.84821E+02   5.23025E+02   4.66841E+02   4.15772E+02   3.69277E+02
+   3.26895E+02   2.88177E+02   2.52796E+02   2.20469E+02   1.90979E+02
+   1.64169E+02   1.39928E+02   1.18185E+02   9.88554E+01   8.19534E+01
+   6.73082E+01   5.48137E+01   4.43024E+01   3.55767E+01   2.84212E+01
+   2.26168E+01   1.79498E+01   1.42405E+01   1.12717E+01   8.92706E+00
+   7.07255E+00   5.60662E+00   4.44755E+00   3.53028E+00   2.80993E+00
+   2.23231E+00   1.77541E+00   1.41197E+00   1.12273E+00   8.91712E-01
+   7.07298E-01   5.60004E-01   4.42262E-01   3.48324E-01   2.73217E-01
+   2.13844E-01   1.66185E-01   1.28408E-01   9.85555E-02   7.50579E-02
+   5.66535E-02   4.23251E-02   3.12505E-02   2.27641E-02   1.63156E-02
+   1.15139E-02   7.94140E-03   5.34725E-03   3.49980E-03   2.21457E-03
+   1.34549E-03   7.77996E-04   4.22132E-04   2.12123E-04   9.60491E-05
+   3.77082E-05   1.20328E-05   2.76493E-06   3.48562E-07   1.01080E-08
+   0.00000E+00   3.53135E+06   2.71269E+06   2.05609E+06   1.56155E+06
+   1.18485E+06   9.00851E+05   6.84369E+05   5.20996E+05   3.96365E+05
+   3.02203E+05   2.30304E+05   1.75914E+05   1.34339E+05   1.02843E+05
+   7.87364E+04   6.04427E+04   4.64186E+04   3.57547E+04   2.75637E+04
+   2.13201E+04   1.65126E+04   1.28372E+04   9.99851E+03   7.82045E+03
+   6.13199E+03   4.83054E+03   3.81655E+03   3.02016E+03   2.40706E+03
+   1.92869E+03   1.55101E+03   1.25385E+03   1.01680E+03   8.28529E+02
+   6.77024E+02   5.55321E+02   4.56122E+02   3.75373E+02   3.08742E+02
+   2.53840E+02   2.08084E+02   1.70096E+02   1.38340E+02   1.11968E+02
+   9.01140E+01   7.21408E+01   5.74078E+01   4.54894E+01   3.58744E+01
+   2.82248E+01   2.21446E+01   1.73674E+01   1.36264E+01   1.06886E+01
+   8.39062E+00   6.60225E+00   5.19930E+00   4.10577E+00   3.24348E+00
+   2.57451E+00   2.03938E+00   1.62123E+00   1.28873E+00   1.02635E+00
+   8.16506E-01   6.49965E-01   5.16766E-01   4.10399E-01   3.25530E-01
+   2.57198E-01   2.03245E-01   1.59034E-01   1.24146E-01   9.57322E-02
+   7.36626E-02   5.54645E-02   4.18225E-02   3.03445E-02   2.21959E-02
+   1.51639E-02   1.05115E-02   6.42816E-03   3.87568E-03   1.64401E-03
+   4.65622E-04  -5.87469E-04  -9.45971E-04  -1.30844E-03  -1.23906E-03
+  -1.20969E-03  -9.49527E-04  -7.48203E-04  -4.49659E-04  -1.99822E-04
+  -3.45092E-05   0.00000E+00   9.36587E+06   7.16826E+06   5.40822E+06
+   4.08576E+06   3.08393E+06   2.33087E+06   1.76022E+06   1.33109E+06
+   1.00580E+06   7.61064E+05   5.75480E+05   4.35784E+05   3.29803E+05
+   2.49979E+05   1.89387E+05   1.43718E+05   1.09029E+05   8.28605E+04
+   6.29666E+04   4.79437E+04   3.65107E+04   2.78658E+04   2.12776E+04
+   1.62880E+04   1.24790E+04   9.58787E+03   7.37533E+03   5.66951E+03
+   4.38351E+03   3.40160E+03   2.64502E+03   2.06478E+03   1.61486E+03
+   1.26811E+03   9.98075E+02   7.88582E+02   6.24057E+02   4.95284E+02
+   3.93257E+02   3.12663E+02   2.48257E+02   1.97009E+02   1.55861E+02
+   1.23015E+02   9.67451E+01   7.58652E+01   5.92456E+01   4.61708E+01
+   3.58638E+01   2.78468E+01   2.15861E+01   1.67539E+01   1.30211E+01
+   1.01321E+01   7.89448E+00   6.17440E+00   4.83582E+00   3.80319E+00
+   2.99299E+00   2.36980E+00   1.87327E+00   1.48828E+00   1.18275E+00
+   9.42813E-01   7.51023E-01   5.99198E-01   4.77761E-01   3.80719E-01
+   3.03259E-01   2.40534E-01   1.90950E-01   1.49786E-01   1.17310E-01
+   9.04538E-02   6.96592E-02   5.21487E-02   3.91827E-02   2.79494E-02
+   2.01794E-02   1.32074E-02   8.78114E-03   4.71498E-03   2.31011E-03
+   1.16675E-04  -9.02919E-04  -1.86103E-03  -2.03632E-03  -2.26210E-03
+  -1.99936E-03  -1.81079E-03  -1.37062E-03  -1.02334E-03  -5.85121E-04
+  -2.43865E-04  -4.18406E-05   0.00000E+00   1.82405E+07   1.39099E+07
+   1.04479E+07   7.85466E+06   5.90009E+06   4.43591E+06   3.33233E+06
+   2.50560E+06   1.88247E+06   1.41563E+06   1.06375E+06   8.00105E+05
+   6.01370E+05   4.52455E+05   3.40190E+05   2.56055E+05   1.92617E+05
+   1.45063E+05   1.09199E+05   8.23051E+04   6.20147E+04   4.67927E+04
+   3.53020E+04   2.66761E+04   2.01597E+04   1.52626E+04   1.15590E+04
+   8.73622E+03   6.63618E+03   5.05348E+03   3.85205E+03   2.94439E+03
+   2.25250E+03   1.72847E+03   1.32831E+03   1.02406E+03   7.90431E+02
+   6.11753E+02   4.73730E+02   3.67492E+02   2.84893E+02   2.20957E+02
+   1.71044E+02   1.32274E+02   1.02077E+02   7.86699E+01   6.04665E+01
+   4.64509E+01   3.56136E+01   2.73338E+01   2.09673E+01   1.61239E+01
+   1.24285E+01   9.60183E+00   7.43327E+00   5.78255E+00   4.50789E+00
+   3.53229E+00   2.77099E+00   2.18909E+00   1.72756E+00   1.37146E+00
+   1.08959E+00   8.68811E-01   6.92608E-01   5.53214E-01   4.41797E-01
+   3.52620E-01   2.81423E-01   2.23498E-01   1.77637E-01   1.39256E-01
+   1.08963E-01   8.37333E-02   6.42103E-02   4.76616E-02   3.54583E-02
+   2.48231E-02   1.75343E-02   1.09611E-02   6.85778E-03   3.07742E-03
+   9.08618E-04  -1.05083E-03  -1.87529E-03  -2.63140E-03  -2.64457E-03
+  -2.70258E-03  -2.31053E-03  -1.99633E-03  -1.46895E-03  -1.04722E-03
+  -5.71245E-04  -2.24363E-04  -3.82555E-05   0.00000E+00   3.09966E+07
+   2.35511E+07   1.76114E+07   1.31776E+07   9.85190E+06   7.36995E+06
+   5.50873E+06   4.12002E+06   3.07886E+06   2.30221E+06   1.72007E+06
+   1.28593E+06   9.60593E+05   7.18030E+05   5.36300E+05   4.00837E+05
+   2.99369E+05   2.23748E+05   1.67115E+05   1.24915E+05   9.33149E+04
+   6.97704E+04   5.21404E+04   3.90049E+04   2.91681E+04   2.18362E+04
+   1.63444E+04   1.21974E+04   9.14463E+03   6.86723E+03   5.15850E+03
+   3.88231E+03   2.92211E+03   2.20428E+03   1.66414E+03   1.25950E+03
+   9.53918E+02   7.24128E+02   5.49925E+02   4.18359E+02   3.18157E+02
+   2.42174E+02   1.84124E+02   1.39968E+02   1.06292E+02   8.07024E+01
+   6.11791E+01   4.64093E+01   3.51761E+01   2.67209E+01   2.03076E+01
+   1.54880E+01   1.18514E+01   9.09709E+00   7.00278E+00   5.42154E+00
+   4.20932E+00   3.28735E+00   2.57175E+00   2.02744E+00   1.59764E+00
+   1.26708E+00   1.00615E+00   8.02059E-01   6.39490E-01   5.10849E-01
+   4.08145E-01   3.25791E-01   2.60055E-01   2.06375E-01   1.63839E-01
+   1.28072E-01   9.98547E-02   7.62950E-02   5.80883E-02   4.26555E-02
+   3.13115E-02   2.14584E-02   1.47456E-02   8.73605E-03   5.02981E-03
+   1.65633E-03  -2.23476E-04  -1.87718E-03  -2.49469E-03  -3.02925E-03
+  -2.90569E-03  -2.81542E-03  -2.34459E-03  -1.95099E-03  -1.39763E-03
+  -9.55446E-04  -4.98548E-04  -1.85775E-04  -3.14927E-05   0.00000E+00
+   4.85838E+07   3.67801E+07   2.73842E+07   2.03961E+07   1.51788E+07
+   1.13003E+07   8.40573E+06   6.25490E+06   4.65046E+06   3.45882E+06
+   2.57033E+06   1.91075E+06   1.41921E+06   1.05450E+06   7.82833E+05
+   5.81376E+05   4.31393E+05   3.20231E+05   2.37513E+05   1.76239E+05
+   1.30667E+05   9.69267E+04   7.18451E+04   5.32840E+04   3.94918E+04
+   2.92865E+04   2.17074E+04   1.60301E+04   1.18889E+04   8.82664E+03
+   6.55173E+03   4.86909E+03   3.61688E+03   2.69083E+03   2.00244E+03
+   1.49297E+03   1.11342E+03   8.31879E+02   6.21669E+02   4.65310E+02
+   3.48202E+02   2.60858E+02   1.95297E+02   1.46273E+02   1.09537E+02
+   8.20782E+01   6.14682E+01   4.61070E+01   3.45912E+01   2.60336E+01
+   1.96212E+01   1.48531E+01   1.12913E+01   8.61665E+00   6.59957E+00
+   5.08722E+00   3.93542E+00   3.06400E+00   2.39105E+00   1.88121E+00
+   1.48026E+00   1.17256E+00   9.30339E-01   7.41018E-01   5.90533E-01
+   4.71387E-01   3.76402E-01   3.00113E-01   2.39261E-01   1.89441E-01
+   1.49969E-01   1.16704E-01   9.05052E-02   6.86392E-02   5.17882E-02
+   3.75538E-02   2.71355E-02   1.81536E-02   1.20750E-02   6.69903E-03
+   3.42779E-03   5.02914E-04  -1.07058E-03  -2.40849E-03  -2.82905E-03
+  -3.16039E-03  -2.93013E-03  -2.72699E-03  -2.21790E-03  -1.78656E-03
+  -1.24678E-03  -8.19875E-04  -4.10313E-04  -1.45911E-04  -2.46015E-05
+   0.00000E+00   7.20646E+07   5.43626E+07   4.03026E+07   2.98846E+07
+   2.21412E+07   1.64072E+07   1.21478E+07   8.99566E+06   6.65562E+06
+   4.92508E+06   3.64123E+06   2.69245E+06   1.98905E+06   1.46963E+06
+   1.08483E+06   8.00891E+05   5.90708E+05   4.35744E+05   3.21125E+05
+   2.36690E+05   1.74290E+05   1.28362E+05   9.44494E+04   6.95109E+04
+   5.11109E+04   3.75874E+04   2.76212E+04   2.02104E+04   1.48492E+04
+   1.09159E+04   8.01966E+03   5.89587E+03   4.33054E+03   3.18386E+03
+   2.34046E+03   1.72279E+03   1.26801E+03   9.34572E+02   6.88831E+02
+   5.08396E+02   3.75163E+02   2.77178E+02   2.04731E+02   1.51339E+02
+   1.11932E+02   8.28907E+01   6.14015E+01   4.55916E+01   3.38900E+01
+   2.52914E+01   1.89186E+01   1.42240E+01   1.07490E+01   8.15923E+00
+   6.22080E+00   4.77621E+00   3.68258E+00   2.85888E+00   2.22577E+00
+   1.74767E+00   1.37309E+00   1.08606E+00   8.60698E-01   6.84642E-01
+   5.45006E-01   4.34388E-01   3.46355E-01   2.75566E-01   2.19173E-01
+   1.72934E-01   1.36343E-01   1.05496E-01   8.12733E-02   6.11044E-02
+   4.56261E-02   3.26228E-02   2.31604E-02   1.50790E-02   9.65634E-03
+   4.92765E-03   2.09790E-03  -3.81273E-04  -1.65707E-03  -2.70007E-03
+  -2.94718E-03  -3.10844E-03  -2.80235E-03  -2.52312E-03  -2.00707E-03
+  -1.57023E-03  -1.06803E-03  -6.77334E-04  -3.25940E-04  -1.11157E-04
+  -1.86469E-05   0.00000E+00   1.03879E+08   7.80764E+07   5.76301E+07
+   4.25401E+07   3.13742E+07   2.31400E+07   1.70517E+07   1.25654E+07
+   9.25097E+06   6.81076E+06   5.00944E+06   3.68444E+06   2.70723E+06
+   1.98911E+06   1.45999E+06   1.07155E+06   7.85636E+05   5.75960E+05
+   4.21790E+05   3.08858E+05   2.25915E+05   1.65230E+05   1.20713E+05
+   8.81815E+04   6.43452E+04   4.69426E+04   3.42133E+04   2.48159E+04
+   1.80714E+04   1.31612E+04   9.57617E+03   6.96910E+03   5.06513E+03
+   3.68301E+03   2.67656E+03   1.94681E+03   1.41537E+03   1.02999E+03
+   7.49385E+02   5.45830E+02   3.97498E+02   2.89830E+02   2.11333E+02
+   1.54264E+02   1.12738E+02   8.25418E+01   6.04975E+01   4.44792E+01
+   3.27671E+01   2.42536E+01   1.80099E+01   1.34520E+01   1.01076E+01
+   7.63318E+00   5.79444E+00   4.43198E+00   3.40626E+00   2.63689E+00
+   2.04810E+00   1.60473E+00   1.25850E+00   9.93479E-01   7.85883E-01
+   6.23747E-01   4.95440E-01   3.93739E-01   3.12977E-01   2.47985E-01
+   1.96327E-01   1.53949E-01   1.20519E-01   9.23729E-02   7.03948E-02
+   5.21751E-02   3.83063E-02   2.67428E-02   1.84283E-02   1.14071E-02
+   6.78489E-03   2.81750E-03   5.30408E-04  -1.42784E-03  -2.34218E-03
+  -3.04996E-03  -3.09105E-03  -3.06730E-03  -2.67358E-03  -2.31853E-03
+  -1.79554E-03  -1.35920E-03  -8.97497E-04  -5.47303E-04  -2.53015E-04
+  -8.28886E-05  -1.38616E-05   0.00000E+00   1.45627E+08   1.09056E+08
+   8.01442E+07   5.88927E+07   4.32376E+07   3.17412E+07   2.32798E+07
+   1.70721E+07   1.25076E+07   9.16211E+06   6.70472E+06   4.90557E+06
+   3.58544E+06   2.62003E+06   1.91247E+06   1.39565E+06   1.01734E+06
+   7.41374E+05   5.39630E+05   3.92665E+05   2.85377E+05   2.07334E+05
+   1.50446E+05   1.09128E+05   7.90550E+04   5.72398E+04   4.13969E+04
+   2.97814E+04   2.15081E+04   1.55289E+04   1.11982E+04   8.07363E+03
+   5.81129E+03   4.18301E+03   3.00830E+03   2.16441E+03   1.55605E+03
+   1.11934E+03   8.04859E+02   5.79237E+02   4.16784E+02   3.00258E+02
+   2.16372E+02   1.56131E+02   1.12856E+02   8.17660E+01   5.93454E+01
+   4.32358E+01   3.15877E+01   2.32033E+01   1.71137E+01   1.27048E+01
+   9.49546E+00   7.13676E+00   5.39563E+00   4.11205E+00   3.15065E+00
+   2.43214E+00   1.88450E+00   1.47314E+00   1.15289E+00   9.07964E-01
+   7.16574E-01   5.67158E-01   4.49213E-01   3.55718E-01   2.81669E-01
+   2.22081E-01   1.74861E-01   1.36155E-01   1.05746E-01   8.02174E-02
+   6.04146E-02   4.40939E-02   3.17846E-02   2.16121E-02   1.43943E-02
+   8.37505E-03   4.49693E-03   1.22486E-03  -5.79219E-04  -2.08424E-03
+  -2.69784E-03  -3.13604E-03  -3.02646E-03  -2.87423E-03  -2.43689E-03
+  -2.04876E-03  -1.54841E-03  -1.13814E-03  -7.30644E-04  -4.29745E-04
+  -1.91334E-04  -6.04238E-05  -1.00699E-05   0.00000E+00   1.99249E+08
+   1.48677E+08   1.08790E+08   7.95893E+07   5.81723E+07   4.25098E+07
+   3.10343E+07   2.26512E+07   1.65159E+07   1.20391E+07   8.76650E+06
+   6.38151E+06   4.64023E+06   3.37289E+06   2.44884E+06   1.77724E+06
+   1.28826E+06   9.33396E+05   6.75424E+05   4.88510E+05   3.52853E+05
+   2.54730E+05   1.83640E+05   1.32313E+05   9.51920E+04   6.84316E+04
+   4.91303E+04   3.50730E+04   2.51325E+04   1.79988E+04   1.28709E+04
+   9.19899E+03   6.56186E+03   4.67910E+03   3.33265E+03   2.37378E+03
+   1.68904E+03   1.20212E+03   8.55063E+02   6.08600E+02   4.33091E+02
+   3.08565E+02   2.19956E+02   1.57035E+02   1.12362E+02   8.06213E+01
+   5.79864E+01   4.18894E+01   3.03689E+01   2.21507E+01   1.62349E+01
+   1.19838E+01   8.91237E+00   6.66852E+00   5.02233E+00   3.81427E+00
+   2.91368E+00   2.24280E+00   1.73342E+00   1.35163E+00   1.05527E+00
+   8.28799E-01   6.52279E-01   5.14568E-01   4.06165E-01   3.20276E-01
+   2.52461E-01   1.97941E-01   1.54895E-01   1.19680E-01   9.21520E-02
+   6.91369E-02   5.14173E-02   3.69151E-02   2.60880E-02   1.72281E-02
+   1.10330E-02   5.93524E-03   2.72982E-03   7.44185E-05  -1.31294E-03
+  -2.43639E-03  -2.80930E-03  -3.03972E-03  -2.82793E-03  -2.59454E-03
+  -2.14729E-03  -1.75730E-03  -1.29819E-03  -9.28803E-04  -5.80332E-04
+  -3.30052E-04  -1.41852E-04  -4.33264E-05  -7.19442E-06   0.00000E+00
+   2.66920E+08   1.98475E+08   1.44615E+08   1.05340E+08   7.66583E+07
+   5.57687E+07   4.05308E+07   2.94462E+07   2.13706E+07   1.55037E+07
+   1.12350E+07   8.13808E+06   5.88797E+06   4.25792E+06   3.07538E+06
+   2.22005E+06   1.60055E+06   1.15322E+06   8.29789E+05   5.96671E+05
+   4.28432E+05   3.07407E+05   2.20239E+05   1.57664E+05   1.12687E+05
+   8.04571E+04   5.73633E+04   4.06511E+04   2.89148E+04   2.05490E+04
+   1.45789E+04   1.03345E+04   7.30966E+03   5.16667E+03   3.64675E+03
+   2.57325E+03   1.81344E+03   1.27792E+03   8.99867E+02   6.33947E+02
+   4.46514E+02   3.14870E+02   2.22197E+02   1.57071E+02   1.11332E+02
+   7.91626E+01   5.64586E+01   4.04650E+01   2.91262E+01   2.11044E+01
+   1.53774E+01   1.12905E+01   8.35774E+00   6.22701E+00   4.67267E+00
+   3.53672E+00   2.69355E+00   2.06731E+00   1.59353E+00   1.23915E+00
+   9.64842E-01   7.55407E-01   5.92608E-01   4.65735E-01   3.66171E-01
+   2.87370E-01   2.25375E-01   1.75620E-01   1.36504E-01   1.04600E-01
+   7.98040E-02   5.91799E-02   4.34310E-02   3.06424E-02   2.11991E-02
+   1.35529E-02   8.29071E-03   4.02136E-03   1.40917E-03  -7.12957E-04
+  -1.75104E-03  -2.56269E-03  -2.75055E-03  -2.82779E-03  -2.55392E-03
+  -2.27669E-03  -1.84359E-03  -1.47274E-03  -1.06469E-03  -7.42807E-04
+  -4.52166E-04  -2.49191E-04  -1.03605E-04  -3.06934E-05  -5.07793E-06
+   0.00000E+00   3.51000E+08   2.60104E+08   1.88737E+08   1.36899E+08
+   9.92000E+07   7.18537E+07   5.19918E+07   3.76034E+07   2.71671E+07
+   1.96175E+07   1.41496E+07   1.02002E+07   7.34415E+06   5.28459E+06
+   3.79772E+06   2.72736E+06   1.95601E+06   1.40178E+06   1.00314E+06
+   7.17279E+05   5.12101E+05   3.65286E+05   2.60144E+05   1.85084E+05
+   1.31453E+05   9.32441E+04   6.60394E+04   4.64733E+04   3.28238E+04
+   2.31572E+04   1.63066E+04   1.14696E+04   8.04786E+03   5.64141E+03
+   3.94802E+03   2.76137E+03   1.92852E+03   1.34644E+03   9.39216E+02
+   6.55343E+02   4.57171E+02   3.19297E+02   2.23207E+02   1.56331E+02
+   1.09835E+02   7.74403E+01   5.47961E+01   3.89845E+01   2.78727E+01
+   2.00715E+01   1.45445E+01   1.06254E+01   7.83087E+00   5.81084E+00
+   4.34498E+00   3.27773E+00   2.48874E+00   1.90436E+00   1.46377E+00
+   1.13486E+00   8.80977E-01   6.87347E-01   5.37269E-01   4.20478E-01
+   3.29137E-01   2.56966E-01   2.00414E-01   1.55140E-01   1.19721E-01
+   9.09430E-02   6.87198E-02   5.03461E-02   3.64388E-02   2.52413E-02
+   1.70690E-02   1.05255E-02   6.09831E-03   2.55907E-03   4.58727E-04
+  -1.21230E-03  -1.96542E-03  -2.52930E-03  -2.58093E-03  -2.55091E-03
+  -2.24653E-03  -1.95341E-03  -1.55029E-03  -1.21133E-03  -8.57793E-04
+  -5.84430E-04  -3.46918E-04  -1.85617E-04  -7.48030E-05  -2.15487E-05
+  -3.55192E-06   0.00000E+00   4.54019E+08   3.35326E+08   2.42338E+08
+   1.75053E+08   1.26321E+08   9.11099E+07   6.56432E+07   4.72693E+07
+   3.39998E+07   2.44408E+07   1.75483E+07   1.25913E+07   9.02306E+06
+   6.46137E+06   4.62075E+06   3.30184E+06   2.35603E+06   1.67967E+06
+   1.19567E+06   8.50318E+05   6.03745E+05   4.28222E+05   3.03210E+05
+   2.14445E+05   1.51385E+05   1.06710E+05   7.50963E+04   5.24939E+04
+   3.68270E+04   2.58009E+04   1.80387E+04   1.25943E+04   8.77002E+03
+   6.09940E+03   4.23419E+03   2.93692E+03   2.03371E+03   1.40749E+03
+   9.73119E+02   6.72893E+02   4.65194E+02   3.21979E+02   2.23098E+02
+   1.54904E+02   1.07935E+02   7.54997E+01   5.30290E+01   3.74669E+01
+   2.66192E+01   1.90577E+01   1.37384E+01   9.98891E+00   7.33093E+00
+   5.41865E+00   4.03774E+00   3.03585E+00   2.29797E+00   1.75288E+00
+   1.34327E+00   1.03809E+00   8.03191E-01   6.24275E-01   4.86031E-01
+   3.78650E-01   2.94979E-01   2.29018E-01   1.77558E-01   1.36493E-01
+   1.04539E-01   7.86949E-02   5.88758E-02   4.25983E-02   3.03915E-02
+   2.06518E-02   1.36298E-02   8.07254E-03   4.38014E-03   1.47337E-03
+  -1.93950E-04  -1.49090E-03  -2.01752E-03  -2.38988E-03  -2.34628E-03
+  -2.24602E-03  -1.93471E-03  -1.64544E-03  -1.28151E-03  -9.80966E-04
+  -6.80998E-04  -4.53664E-04  -2.62841E-04  -1.36772E-04  -5.35240E-05
+  -1.50264E-05  -2.46784E-06   0.00000E+00   5.78655E+08   4.25996E+08
+   3.06650E+08   2.20618E+08   1.58555E+08   1.13886E+08   8.17110E+07
+   5.85891E+07   4.19609E+07   3.00312E+07   2.14666E+07   1.53329E+07
+   1.09375E+07   7.79559E+06   5.54848E+06   3.94552E+06   2.80149E+06
+   1.98720E+06   1.40736E+06   9.95618E+05   7.03151E+05   4.96002E+05
+   3.49250E+05   2.45594E+05   1.72362E+05   1.20766E+05   8.44675E+04
+   5.86657E+04   4.08912E+04   2.84574E+04   1.97603E+04   1.36990E+04
+   9.47021E+03   6.53710E+03   4.50329E+03   3.09892E+03   2.12859E+03
+   1.46098E+03   1.00165E+03   6.86732E+02   4.70732E+02   3.23048E+02
+   2.21981E+02   1.52872E+02   1.05693E+02   7.33819E+01   5.11839E+01
+   3.59284E+01   2.53750E+01   1.80675E+01   1.29608E+01   9.38093E+00
+   6.85707E+00   5.04920E+00   3.74963E+00   2.80983E+00   2.12016E+00
+   1.61197E+00   1.23132E+00   9.48303E-01   7.31087E-01   5.65909E-01
+   4.38702E-01   3.40119E-01   2.63611E-01   2.03465E-01   1.56765E-01
+   1.19639E-01   9.09178E-02   6.78091E-02   5.02177E-02   3.58732E-02
+   2.52191E-02   1.67981E-02   1.08036E-02   6.11615E-03   3.06070E-03
+   6.93390E-04  -6.14137E-04  -1.60657E-03  -1.95782E-03  -2.18632E-03
+  -2.08060E-03  -1.93880E-03  -1.63716E-03  -1.36475E-03  -1.04417E-03
+  -7.84052E-04  -5.33986E-04  -3.48204E-04  -1.97082E-04  -9.98993E-05
+  -3.80285E-05  -1.04251E-05  -1.70604E-06   0.00000E+00   7.27708E+08
+   5.34036E+08   3.82941E+08   2.74423E+08   1.96444E+08   1.40531E+08
+   1.00418E+08   7.17035E+07   5.11382E+07   3.64429E+07   2.59372E+07
+   1.84445E+07   1.30984E+07   9.29324E+06   6.58394E+06   4.65977E+06
+   3.29284E+06   2.32431E+06   1.63795E+06   1.15286E+06   8.10001E+05
+   5.68350E+05   3.98040E+05   2.78355E+05   1.94253E+05   1.35312E+05
+   9.40830E+04   6.49400E+04   4.49834E+04   3.11047E+04   2.14570E+04
+   1.47746E+04   1.01430E+04   6.95143E+03   4.75368E+03   3.24659E+03
+   2.21291E+03   1.50691E+03   1.02492E+03   6.97024E+02   4.73945E+02
+   3.22641E+02   2.19961E+02   1.50316E+02   1.03164E+02   7.11238E+01
+   4.92842E+01   3.43828E+01   2.41475E+01   1.71043E+01   1.22127E+01
+   8.80125E+00   6.40836E+00   4.70131E+00   3.47945E+00   2.59858E+00
+   1.95437E+00   1.48087E+00   1.12734E+00   8.65045E-01   6.64337E-01
+   5.12005E-01   3.95108E-01   3.04756E-01   2.34936E-01   1.80227E-01
+   1.37965E-01   1.04512E-01   7.87907E-02   5.82137E-02   4.26696E-02
+   3.00900E-02   2.08389E-02   1.35976E-02   8.50963E-03   4.57971E-03
+   2.06881E-03   1.55260E-04  -8.58318E-04  -1.60715E-03  -1.82631E-03
+  -1.95014E-03  -1.80801E-03  -1.64604E-03  -1.36490E-03  -1.11706E-03
+  -8.40354E-04  -6.19666E-04  -4.14318E-04  -2.64723E-04  -1.46500E-04
+  -7.24475E-05  -2.68694E-05  -7.20551E-06  -1.17504E-06   0.00000E+00
+   9.04072E+08   6.61424E+08   4.72501E+08   3.37304E+08   2.40523E+08
+   1.71387E+08   1.21979E+08   8.67467E+07   6.16139E+07   4.37253E+07
+   3.09893E+07   2.19424E+07   1.55148E+07   1.09588E+07   7.72911E+06
+   5.44517E+06   3.82998E+06   2.69061E+06   1.88695E+06   1.32156E+06
+   9.23887E+05   6.44932E+05   4.49317E+05   3.12531E+05   2.16913E+05
+   1.50246E+05   1.03871E+05   7.12679E+04   4.90709E+04   3.37216E+04
+   2.31154E+04   1.58130E+04   1.07836E+04   7.33972E+03   4.98402E+03
+   3.37938E+03   2.28653E+03   1.54536E+03   1.04311E+03   7.03953E+02
+   4.74999E+02   3.20895E+02   2.17142E+02   1.47309E+02   1.00400E+02
+   6.87587E+01   4.73504E+01   3.28420E+01   2.29431E+01   1.61711E+01
+   1.14949E+01   8.24948E+00   5.98389E+00   4.37390E+00   3.22615E+00
+   2.40115E+00   1.79981E+00   1.35894E+00   1.03082E+00   7.87929E-01
+   6.02652E-01   4.62344E-01   3.55081E-01   2.72427E-01   2.08844E-01
+   1.59208E-01   1.21069E-01   9.10237E-02   6.80698E-02   4.98192E-02
+   3.61413E-02   2.51585E-02   1.71626E-02   1.09657E-02   6.66888E-03
+   3.39131E-03   1.34023E-03  -1.96509E-04  -9.73719E-04  -1.53095E-03
+  -1.65360E-03  -1.70402E-03  -1.54469E-03  -1.37776E-03  -1.12341E-03
+  -9.03908E-04  -6.69137E-04  -4.85014E-04  -3.18570E-04  -1.99630E-04
+  -1.08115E-04  -5.22340E-05  -1.89027E-05  -4.96650E-06  -8.07154E-07
+   0.00000E+00   1.11070E+09   8.10159E+08   5.76622E+08   4.10089E+08
+   2.91319E+08   2.06783E+08   1.46600E+08   1.03844E+08   7.34632E+07
+   5.19222E+07   3.66475E+07   2.58401E+07   1.81933E+07   1.27952E+07
+   8.98487E+06   6.30157E+06   4.41230E+06   3.08537E+06   2.15366E+06
+   1.50113E+06   1.04431E+06   7.25360E+05   5.02791E+05   3.47908E+05
+   2.40188E+05   1.65460E+05   1.13757E+05   7.76006E+04   5.31217E+04
+   3.62877E+04   2.47229E+04   1.68067E+04   1.13877E+04   7.69975E+03
+   5.19329E+03   3.49695E+03   2.34945E+03   1.57649E+03   1.05642E+03
+   7.07723E+02   4.74067E+02   3.17945E+02   2.13624E+02   1.43920E+02
+   9.74458E+01   6.63159E+01   4.54001E+01   3.13160E+01   2.17667E+01
+   1.52697E+01   1.08078E+01   7.72506E+00   5.58276E+00   4.06593E+00
+   2.98876E+00   2.21671E+00   1.65580E+00   1.24561E+00   9.41319E-01
+   7.16615E-01   5.45770E-01   4.16719E-01   3.18454E-01   2.42990E-01
+   1.85211E-01   1.40292E-01   1.05970E-01   7.90693E-02   5.86536E-02
+   4.25253E-02   3.05351E-02   2.09848E-02   1.41018E-02   8.82069E-03
+   5.20752E-03   2.48600E-03   8.18832E-04  -4.08613E-04  -9.98627E-04
+  -1.40761E-03  -1.46223E-03  -1.46349E-03  -1.30069E-03  -1.13906E-03
+  -9.14353E-04  -7.24125E-04  -5.27859E-04  -3.76428E-04  -2.43041E-04
+  -1.49503E-04  -7.93039E-05  -3.74819E-05  -1.32533E-05  -3.41656E-06
+  -5.53415E-07   0.00000E+00   1.35057E+09   9.82242E+08   6.96582E+08
+   4.93586E+08   3.49338E+08   2.47032E+08   1.74471E+08   1.23109E+08
+   8.67524E+07   6.10711E+07   4.29320E+07   3.01474E+07   2.11383E+07
+   1.48037E+07   1.03509E+07   7.22804E+06   5.03870E+06   3.50752E+06
+   2.43715E+06   1.69080E+06   1.17069E+06   8.09200E+05   5.58143E+05
+   3.84259E+05   2.63920E+05   1.80847E+05   1.23670E+05   8.38906E+04
+   5.71053E+04   3.87840E+04   2.62681E+04   1.77490E+04   1.19517E+04
+   8.02976E+03   5.38078E+03   3.59913E+03   2.40179E+03   1.60052E+03
+   1.06510E+03   7.08549E+02   4.71323E+02   3.13922E+02   2.09502E+02
+   1.40215E+02   9.43441E+01   6.38216E+01   4.34489E+01   2.98132E+01
+   2.06223E+01   1.44017E+01   1.01513E+01   7.22737E+00   5.20405E+00
+   3.77647E+00   2.76641E+00   2.04451E+00   1.52171E+00   1.14040E+00
+   8.58451E-01   6.50791E-01   4.93444E-01   3.74925E-01   2.85054E-01
+   2.16291E-01   1.63902E-01   1.23353E-01   9.25470E-02   6.85338E-02
+   5.04316E-02   3.62263E-02   2.57511E-02   1.74757E-02   1.15714E-02
+   7.08650E-03   4.05877E-03   1.80690E-03   4.56997E-04  -5.19256E-04
+  -9.63174E-04  -1.25935E-03  -1.26807E-03  -1.23848E-03  -1.08148E-03
+  -9.31549E-04  -7.36893E-04  -5.74987E-04  -4.13010E-04  -2.90002E-04
+  -1.84167E-04  -1.11301E-04  -5.78751E-05  -2.67927E-05  -9.26848E-06
+  -2.34726E-06  -3.78981E-07   0.00000E+00   1.62663E+09   1.17964E+09
+   8.33625E+08   5.88573E+08   4.15058E+08   2.92426E+08   2.05765E+08
+   1.44641E+08   1.01538E+08   7.12020E+07   4.98576E+07   3.48708E+07
+   2.43514E+07   1.69838E+07   1.18258E+07   8.22287E+06   5.70754E+06
+   3.95566E+06   2.73631E+06   1.88970E+06   1.30238E+06   8.95975E+05
+   6.15034E+05   4.21346E+05   2.87947E+05   1.96297E+05   1.33537E+05
+   9.00918E+04   6.09929E+04   4.11928E+04   2.77406E+04   1.86342E+04
+   1.24728E+04   8.32841E+03   5.54604E+03   3.68595E+03   2.44377E+03
+   1.61775E+03   1.06942E+03   7.06658E+02   4.66943E+02   3.08955E+02
+   2.04863E+02   1.36252E+02   9.11327E+01   6.12988E+01   4.15097E+01
+   2.83403E+01   1.95131E+01   1.35679E+01   9.52539E+00   6.75570E+00
+   4.84690E+00   3.50463E+00   2.55831E+00   1.88386E+00   1.39700E+00
+   1.04284E+00   7.81851E-01   5.90161E-01   4.45432E-01   3.36755E-01
+   2.54703E-01   1.92171E-01   1.44770E-01   1.08253E-01   8.06729E-02
+   5.92957E-02   4.32901E-02   3.08158E-02   2.16913E-02   1.45421E-02
+   9.49200E-03   5.69420E-03   3.16383E-03   1.30543E-03   2.15331E-04
+  -5.58868E-04  -8.90380E-04  -1.10211E-03  -1.08171E-03  -1.03465E-03
+  -8.89255E-04  -7.54531E-04  -5.88693E-04  -4.52993E-04  -3.20819E-04
+  -2.21973E-04  -1.38734E-04  -8.24411E-05  -4.20566E-05  -1.90924E-05
+  -6.46919E-06  -1.61133E-06  -2.59344E-07   0.00000E+00   1.94180E+09
+   1.40429E+09   9.88945E+08   6.95783E+08   4.88924E+08   3.43227E+08
+   2.40633E+08   1.68527E+08   1.17864E+08   8.23368E+07   5.74335E+07
+   4.00126E+07   2.78319E+07   1.93331E+07   1.34068E+07   9.28357E+06
+   6.41672E+06   4.42811E+06   3.04982E+06   2.09687E+06   1.43866E+06
+   9.85177E+05   6.73108E+05   4.58927E+05   3.12103E+05   2.11701E+05
+   1.43288E+05   9.61606E+04   6.47576E+04   4.34984E+04   2.91314E+04
+   1.94576E+04   1.29486E+04   8.59481E+03   5.68890E+03   3.75760E+03
+   2.47571E+03   1.62849E+03   1.06965E+03   7.02279E+02   4.61099E+02
+   3.03165E+02   1.99792E+02   1.32086E+02   8.78453E+01   5.87674E+01
+   3.95937E+01   2.69030E+01   1.84415E+01   1.27691E+01   8.92963E+00
+   6.30931E+00   4.51043E+00   3.24958E+00   2.36373E+00   1.73416E+00
+   1.28114E+00   9.52523E-01   7.11179E-01   5.34442E-01   4.01496E-01
+   3.02001E-01   2.27216E-01   1.70460E-01   1.27660E-01   9.48498E-02
+   7.02148E-02   5.12319E-02   3.71157E-02   2.61899E-02   1.82621E-02
+   1.21015E-02   7.79194E-03   4.58296E-03   2.47218E-03   9.41070E-04
+   6.20027E-05  -5.51055E-04  -7.97276E-04  -9.46854E-04  -9.09659E-04
+  -8.54569E-04  -7.23976E-04  -6.05901E-04  -4.66628E-04  -3.54391E-04
+  -2.47611E-04  -1.68936E-04  -1.03975E-04  -6.07990E-05  -3.04526E-05
+  -1.35712E-05  -4.50894E-06  -1.10569E-06  -1.77418E-07   0.00000E+00
+   7.79180E+05   1.11866E+06   8.33838E+05   6.21553E+05   4.63342E+05
+   3.45428E+05   2.57543E+05   1.92038E+05   1.43211E+05   1.06813E+05
+   7.96797E+04   5.94505E+04   4.43674E+04   3.31201E+04   2.47320E+04
+   1.84753E+04   1.38075E+04   1.03245E+04   7.72482E+03   5.78392E+03
+   4.33435E+03   3.25129E+03   2.44170E+03   1.83618E+03   1.38300E+03
+   1.04358E+03   7.89134E+02   5.95641E+02   4.52873E+02   3.45440E+02
+   2.64469E+02   2.03325E+02   1.56992E+02   1.21871E+02   9.51801E+01
+   7.48445E+01   5.92870E+01   4.73490E+01   3.81530E+01   3.10397E+01
+   2.55122E+01   2.11957E+01   1.78058E+01   1.51233E+01   1.29940E+01
+   1.12813E+01   9.89194E+00   8.75235E+00   7.80685E+00   7.01362E+00
+   6.34144E+00   5.76645E+00   5.27263E+00   4.83941E+00   4.45924E+00
+   4.12081E+00   3.81595E+00   3.53812E+00   3.28217E+00   3.04645E+00
+   2.82344E+00   2.61429E+00   2.41661E+00   2.22943E+00   2.05151E+00
+   1.88253E+00   1.72211E+00   1.56987E+00   1.42591E+00   1.28968E+00
+   1.16249E+00   1.04211E+00   9.29683E-01   8.25110E-01   7.28275E-01
+   6.39002E-01   5.57067E-01   4.82210E-01   4.14152E-01   3.52483E-01
+   2.97410E-01   2.47907E-01   2.04049E-01   1.65510E-01   1.31970E-01
+   1.03109E-01   7.86151E-02   5.81066E-02   4.13845E-02   2.80382E-02
+   1.77475E-02   1.01829E-02   5.00397E-03   1.85407E-03   3.44667E-04
+   0.00000E+00   1.61395E+06   1.22457E+06   9.14252E+05   6.83004E+05
+   5.10004E+05   3.81079E+05   2.84613E+05   2.12712E+05   1.58905E+05
+   1.18792E+05   8.87683E+04   6.63816E+04   4.96216E+04   3.71221E+04
+   2.77620E+04   2.07795E+04   1.55493E+04   1.16464E+04   8.72183E+03
+   6.53867E+03   4.90207E+03   3.67976E+03   2.76295E+03   2.07777E+03
+   1.56344E+03   1.17871E+03   8.89555E+02   6.70266E+02   5.08153E+02
+   3.86525E+02   2.94793E+02   2.25801E+02   1.73540E+02   1.34130E+02
+   1.04217E+02   8.15661E+01   6.42732E+01   5.10947E+01   4.09656E+01
+   3.31858E+01   2.71514E+01   2.24701E+01   1.87968E+01   1.59068E+01
+   1.36113E+01   1.17738E+01   1.02817E+01   9.06306E+00   8.05111E+00
+   7.20615E+00   6.48977E+00   5.87972E+00   5.35543E+00   4.89710E+00
+   4.49448E+00   4.13693E+00   3.81480E+00   3.52199E+00   3.25259E+00
+   3.00532E+00   2.77212E+00   2.55445E+00   2.34962E+00   2.15672E+00
+   1.97438E+00   1.80223E+00   1.63985E+00   1.48670E+00   1.34292E+00
+   1.20769E+00   1.08242E+00   9.64570E-01   8.55357E-01   7.54431E-01
+   6.61709E-01   5.76755E-01   4.99436E-01   4.29227E-01   3.65982E-01
+   3.09030E-01   2.58678E-01   2.13734E-01   1.74326E-01   1.39987E-01
+   1.10450E-01   8.52819E-02   6.42136E-02   4.67786E-02   3.27965E-02
+   2.18075E-02   1.35139E-02   7.54954E-03   3.59102E-03   1.28033E-03
+   2.36702E-04   0.00000E+00   1.83200E+06   1.39077E+06   1.03918E+06
+   7.77218E+05   5.80788E+05   4.34434E+05   3.24678E+05   2.42893E+05
+   1.81552E+05   1.35838E+05   1.01548E+05   7.59908E+04   5.68178E+04
+   4.25263E+04   3.18035E+04   2.38100E+04   1.78117E+04   1.33397E+04
+   9.98348E+03   7.48086E+03   5.60238E+03   4.20141E+03   3.14960E+03
+   2.36495E+03   1.77564E+03   1.33581E+03   1.00519E+03   7.55278E+02
+   5.70586E+02   4.32498E+02   3.28478E+02   2.50568E+02   1.91664E+02
+   1.47460E+02   1.13992E+02   8.87875E+01   6.96018E+01   5.50664E+01
+   4.39279E+01   3.54232E+01   2.88444E+01   2.37688E+01   1.97940E+01
+   1.66822E+01   1.42132E+01   1.22451E+01   1.06484E+01   9.34947E+00
+   8.27194E+00   7.37586E+00   6.61698E+00   5.97307E+00   5.42008E+00
+   4.93796E+00   4.51455E+00   4.13931E+00   3.80153E+00   3.49524E+00
+   3.21400E+00   2.95673E+00   2.71494E+00   2.49025E+00   2.27977E+00
+   2.08256E+00   1.89716E+00   1.72308E+00   1.55989E+00   1.40687E+00
+   1.26417E+00   1.13073E+00   1.00798E+00   8.93176E-01   7.87543E-01
+   6.90526E-01   6.02033E-01   5.21444E-01   4.48652E-01   3.82956E-01
+   3.24268E-01   2.71751E-01   2.25736E-01   1.84953E-01   1.49532E-01
+   1.18922E-01   9.28773E-02   7.08968E-02   5.27315E-02   3.78720E-02
+   2.61411E-02   1.70605E-02   1.03451E-02   5.62014E-03   2.58169E-03
+   8.81026E-04   1.61800E-04   0.00000E+00   2.14493E+06   1.62794E+06
+   1.21615E+06   9.09535E+05   6.79442E+05   5.08138E+05   3.79583E+05
+   2.83875E+05   2.12051E+05   1.58579E+05   1.18452E+05   8.85797E+04
+   6.61631E+04   4.94761E+04   3.69547E+04   2.76344E+04   2.06413E+04
+   1.54365E+04   1.15317E+04   8.62569E+03   6.44570E+03   4.82352E+03
+   3.60669E+03   2.70125E+03   2.02206E+03   1.51660E+03   1.13725E+03
+   8.51515E+02   6.40748E+02   4.83756E+02   3.65785E+02   2.77796E+02
+   2.11466E+02   1.61920E+02   1.24533E+02   9.65169E+01   7.52680E+01
+   5.92538E+01   4.70264E+01   3.77389E+01   3.05790E+01   2.50820E+01
+   2.07901E+01   1.74447E+01   1.47966E+01   1.26942E+01   1.09922E+01
+   9.61268E+00   8.47088E+00   7.52474E+00   6.72512E+00   6.04871E+00
+   5.46870E+00   4.96412E+00   4.52145E+00   4.12987E+00   3.77791E+00
+   3.45949E+00   3.16786E+00   2.90196E+00   2.65299E+00   2.42260E+00
+   2.20777E+00   2.00748E+00   1.82016E+00   1.64522E+00   1.48217E+00
+   1.33013E+00   1.18923E+00   1.05822E+00   9.38484E-01   8.27131E-01
+   7.25343E-01   6.32420E-01   5.48216E-01   4.71995E-01   4.03619E-01
+   3.42294E-01   2.87914E-01   2.39569E-01   1.97551E-01   1.60576E-01
+   1.28740E-01   1.01456E-01   7.84698E-02   5.92563E-02   4.35625E-02
+   3.08717E-02   2.09964E-02   1.34652E-02   8.00035E-03   4.23575E-03
+   1.88511E-03   6.19713E-04   1.13131E-04   0.00000E+00   2.57125E+06
+   1.94952E+06   1.45466E+06   1.08669E+06   8.10715E+05   6.05541E+05
+   4.51680E+05   3.37310E+05   2.51554E+05   1.87821E+05   1.40041E+05
+   1.04538E+05   7.79271E+04   5.81584E+04   4.33440E+04   3.23417E+04
+   2.40988E+04   1.79787E+04   1.33950E+04   9.99275E+03   7.44536E+03
+   5.55520E+03   4.14039E+03   3.09090E+03   2.30554E+03   1.72301E+03
+   1.28700E+03   9.59822E+02   7.19185E+02   5.40650E+02   4.06927E+02
+   3.07612E+02   2.33012E+02   1.77541E+02   1.35844E+02   1.04747E+02
+   8.12572E+01   6.36405E+01   5.02442E+01   4.01181E+01   3.23427E+01
+   2.64006E+01   2.17779E+01   1.81899E+01   1.53590E+01   1.31199E+01
+   1.13130E+01   9.85347E+00   8.64905E+00   7.65428E+00   6.81577E+00
+   6.10832E+00   5.50290E+00   4.97722E+00   4.51675E+00   4.11013E+00
+   3.74536E+00   3.41612E+00   3.11542E+00   2.84216E+00   2.58728E+00
+   2.35238E+00   2.13436E+00   1.93204E+00   1.74380E+00   1.56891E+00
+   1.40679E+00   1.25646E+00   1.11794E+00   9.89860E-01   8.73494E-01
+   7.65887E-01   6.68121E-01   5.79393E-01   4.99480E-01   4.27575E-01
+   3.63480E-01   3.06349E-01   2.56036E-01   2.11597E-01   1.73260E-01
+   1.39765E-01   1.11158E-01   8.68420E-02   6.65445E-02   4.97384E-02
+   3.61598E-02   2.53033E-02   1.69685E-02   1.07037E-02   6.23807E-03
+   3.22418E-03   1.39375E-03   4.43709E-04   8.05649E-05   0.00000E+00
+   3.13286E+06   2.37137E+06   1.76596E+06   1.31663E+06   9.80195E+05
+   7.30581E+05   5.43728E+05   4.05134E+05   3.01414E+05   2.24507E+05
+   1.66969E+05   1.24321E+05   9.24240E+04   6.87901E+04   5.11207E+04
+   3.80341E+04   2.82541E+04   2.10141E+04   1.56058E+04   1.16040E+04
+   8.61618E+03   6.40643E+03   4.75736E+03   3.53833E+03   2.62900E+03
+   1.95695E+03   1.45568E+03   1.08098E+03   8.06378E+02   6.03470E+02
+   4.52067E+02   3.40100E+02   2.56336E+02   1.94329E+02   1.47915E+02
+   1.13461E+02   8.75483E+01   6.82065E+01   5.35633E+01   4.25464E+01
+   3.41238E+01   2.77159E+01   2.27515E+01   1.89143E+01   1.58982E+01
+   1.35218E+01   1.16108E+01   1.00726E+01   8.80744E+00   7.76572E+00
+   6.89017E+00   6.15324E+00   5.52400E+00   4.97857E+00   4.50170E+00
+   4.08131E+00   3.70502E+00   3.36620E+00   3.05767E+00   2.77823E+00
+   2.51859E+00   2.28028E+00   2.06008E+00   1.85668E+00   1.66839E+00
+   1.49432E+00   1.33382E+00   1.18577E+00   1.05012E+00   9.25361E-01
+   8.12650E-01   7.08994E-01   6.15362E-01   5.30867E-01   4.55209E-01
+   3.87527E-01   3.27559E-01   2.74433E-01   2.27948E-01   1.87155E-01
+   1.52207E-01   1.21888E-01   9.61933E-02   7.45268E-02   5.65987E-02
+   4.18913E-02   3.01305E-02   2.08311E-02   1.37822E-02   8.55816E-03
+   4.89691E-03   2.47435E-03   1.04122E-03   3.22295E-04   5.82322E-05
+   0.00000E+00   2.42592E+06   2.91205E+06   2.16311E+06   1.60857E+06
+   1.19436E+06   8.87805E+05   6.58909E+05   4.89569E+05   3.63177E+05
+   2.69713E+05   1.99983E+05   1.48443E+05   1.10009E+05   8.16153E+04
+   6.04516E+04   4.48257E+04   3.31848E+04   2.45950E+04   1.81995E+04
+   1.34833E+04   9.97397E+03   7.38770E+03   5.46450E+03   4.04804E+03
+   2.99533E+03   2.22027E+03   1.64443E+03   1.21568E+03   9.02730E+02
+   6.72440E+02   5.01316E+02   3.75306E+02   2.81443E+02   2.12268E+02
+   1.60721E+02   1.22631E+02   9.41155E+01   7.29294E+01   5.69649E+01
+   4.50092E+01   3.59113E+01   2.90204E+01   2.37057E+01   1.96146E+01
+   1.64125E+01   1.38991E+01   1.18857E+01   1.02706E+01   8.94690E+00
+   7.86010E+00   6.94939E+00   6.18458E+00   5.53306E+00   4.96925E+00
+   4.47731E+00   4.04442E+00   3.65785E+00   3.31062E+00   2.99543E+00
+   2.71091E+00   2.44757E+00   2.20683E+00   1.98538E+00   1.78175E+00
+   1.59418E+00   1.42160E+00   1.26330E+00   1.11803E+00   9.85628E-01
+   8.64493E-01   7.55648E-01   6.56081E-01   5.66640E-01   4.86371E-01
+   4.14898E-01   3.51321E-01   2.95316E-01   2.45996E-01   2.03106E-01
+   1.65706E-01   1.33880E-01   1.06458E-01   8.33893E-02   6.40893E-02
+   4.82533E-02   3.53787E-02   2.51850E-02   1.72110E-02   1.12405E-02
+   6.87564E-03   3.86572E-03   1.91193E-03   7.84713E-04   2.36889E-04
+   4.26065E-05   0.00000E+00   4.86875E+06   3.66796E+06   2.71608E+06
+   2.01313E+06   1.48991E+06   1.10372E+06   8.16404E+05   6.04449E+05
+   4.46838E+05   3.30634E+05   2.44270E+05   1.80634E+05   1.33366E+05
+   9.85587E+04   7.27198E+04   5.37058E+04   3.96001E+04   2.92277E+04
+   2.15382E+04   1.58881E+04   1.17026E+04   8.62944E+03   6.35460E+03
+   4.68565E+03   3.45110E+03   2.54576E+03   1.87648E+03   1.38012E+03
+   1.01966E+03   7.55544E+02   5.60283E+02   4.17137E+02   3.11071E+02
+   2.33260E+02   1.75593E+02   1.33180E+02   1.01606E+02   7.82591E+01
+   6.07659E+01   4.77282E+01   3.78627E+01   3.04251E+01   2.47201E+01
+   2.03474E+01   1.69425E+01   1.42804E+01   1.21578E+01   1.04611E+01
+   9.07626E+00   7.94253E+00   6.99578E+00   6.20247E+00   5.52854E+00
+   4.94634E+00   4.43965E+00   3.99465E+00   3.59841E+00   3.24348E+00
+   2.92244E+00   2.63371E+00   2.36763E+00   2.12542E+00   1.90369E+00
+   1.70080E+00   1.51486E+00   1.34467E+00   1.18941E+00   1.04769E+00
+   9.19238E-01   8.02361E-01   6.97928E-01   6.02933E-01   5.18086E-01
+   4.42377E-01   3.75352E-01   3.16084E-01   2.64185E-01   2.18764E-01
+   1.79516E-01   1.45516E-01   1.16779E-01   9.21965E-02   7.16726E-02
+   5.46397E-02   4.07825E-02   2.96202E-02   2.08699E-02   1.40999E-02
+   9.09215E-03   5.48115E-03   3.03036E-03   1.46923E-03   5.89751E-04
+   1.74369E-04   3.12386E-05   0.00000E+00   6.16130E+06   4.62850E+06
+   3.41562E+06   2.52267E+06   1.86045E+06   1.37320E+06   1.01206E+06
+   7.46502E+05   5.49792E+05   4.05247E+05   2.98245E+05   2.19674E+05
+   1.61549E+05   1.18901E+05   8.73723E+04   6.42570E+04   4.71820E+04
+   3.46737E+04   2.54415E+04   1.86842E+04   1.37010E+04   1.00569E+04
+   7.37187E+03   5.41007E+03   3.96578E+03   2.91109E+03   2.13528E+03
+   1.56232E+03   1.14836E+03   8.46401E+02   6.24299E+02   4.62223E+02
+   3.42762E+02   2.55538E+02   1.91245E+02   1.44189E+02   1.09351E+02
+   8.37174E+01   6.46194E+01   5.04554E+01   3.97982E+01   3.18019E+01
+   2.57018E+01   2.10468E+01   1.74409E+01   1.46327E+01   1.24040E+01
+   1.06285E+01   9.18524E+00   8.00697E+00   7.02633E+00   6.20639E+00
+   5.51172E+00   4.91267E+00   4.39265E+00   3.93689E+00   3.53226E+00
+   3.17087E+00   2.84516E+00   2.55334E+00   2.28554E+00   2.04283E+00
+   1.82171E+00   1.62032E+00   1.43672E+00   1.26951E+00   1.11778E+00
+   9.80006E-01   8.55819E-01   7.43424E-01   6.43545E-01   5.53193E-01
+   4.72945E-01   4.01743E-01   3.39065E-01   2.83964E-01   2.35996E-01
+   1.94274E-01   1.58445E-01   1.27611E-01   1.01724E-01   7.97375E-02
+   6.15177E-02   4.65181E-02   3.44181E-02   2.47609E-02   1.72653E-02
+   1.15298E-02   7.33880E-03   4.35849E-03   2.36814E-03   1.12460E-03
+   4.40959E-04   1.27506E-04   2.27436E-05   0.00000E+00   7.78778E+06
+   5.83302E+06   4.28920E+06   3.15633E+06   2.31929E+06   1.70547E+06
+   1.25224E+06   9.20116E+05   6.75056E+05   4.95619E+05   3.63318E+05
+   2.66523E+05   1.95210E+05   1.43080E+05   1.04704E+05   7.66757E+04
+   5.60610E+04   4.10189E+04   2.99656E+04   2.19080E+04   1.59928E+04
+   1.16849E+04   8.52553E+03   6.22695E+03   4.54275E+03   3.31818E+03
+   2.42190E+03   1.76282E+03   1.28907E+03   9.45062E+02   6.93328E+02
+   5.10488E+02   3.76432E+02   2.79020E+02   2.07608E+02   1.55596E+02
+   1.17303E+02   8.92684E+01   6.84990E+01   5.31718E+01   4.17045E+01
+   3.31418E+01   2.66451E+01   2.17094E+01   1.79056E+01   1.49550E+01
+   1.26237E+01   1.07729E+01   9.27413E+00   8.05389E+00   7.04157E+00
+   6.19691E+00   5.48319E+00   4.86884E+00   4.33691E+00   3.87175E+00
+   3.46000E+00   3.09336E+00   2.76413E+00   2.47028E+00   2.20177E+00
+   1.95946E+00   1.73976E+00   1.54062E+00   1.35997E+00   1.19628E+00
+   1.04851E+00   9.15044E-01   7.95376E-01   6.87641E-01   5.92417E-01
+   5.06745E-01   4.31071E-01   3.64300E-01   3.05851E-01   2.54762E-01
+   2.10544E-01   1.72316E-01   1.39690E-01   1.11792E-01   8.85249E-02
+   6.89030E-02   5.27621E-02   3.95791E-02   2.90328E-02   2.06919E-02
+   1.42811E-02   9.42868E-03   5.92532E-03   3.46788E-03   1.85252E-03
+   8.62245E-04   3.30596E-04   9.36147E-05   1.66277E-05   0.00000E+00
+   9.81299E+06   7.32790E+06   5.36905E+06   3.93643E+06   2.88187E+06
+   2.11117E+06   1.54428E+06   1.13032E+06   8.26066E+05   6.04088E+05
+   4.41077E+05   3.22253E+05   2.35070E+05   1.71578E+05   1.25036E+05
+   9.11745E+04   6.63769E+04   4.83542E+04   3.51694E+04   2.55970E+04
+   1.86015E+04   1.35281E+04   9.82459E+03   7.14159E+03   5.18506E+03
+   3.76869E+03   2.73717E+03   1.98195E+03   1.44185E+03   1.05147E+03
+   7.67262E+02   5.61806E+02   4.11960E+02   3.03601E+02   2.24594E+02
+   1.67335E+02   1.25412E+02   9.48735E+01   7.23768E+01   5.58579E+01
+   4.35684E+01   3.44359E+01   2.75443E+01   2.23318E+01   1.83348E+01
+   1.52464E+01   1.28168E+01   1.08943E+01   9.34326E+00   8.08375E+00
+   7.04204E+00   6.17465E+00   5.44360E+00   4.81552E+00   4.27312E+00
+   3.79990E+00   3.38231E+00   3.01162E+00   2.67999E+00   2.38513E+00
+   2.11686E+00   1.87581E+00   1.65828E+00   1.46204E+00   1.28491E+00
+   1.12520E+00   9.81773E-01   8.52885E-01   7.37933E-01   6.34982E-01
+   5.44466E-01   4.63468E-01   3.92307E-01   3.29863E-01   2.75502E-01
+   2.28255E-01   1.87596E-01   1.52654E-01   1.23014E-01   9.78305E-02
+   7.69631E-02   5.94881E-02   4.52173E-02   3.36528E-02   2.44770E-02
+   1.72848E-02   1.18100E-02   7.71023E-03   4.78507E-03   2.76067E-03
+   1.45051E-03   6.62145E-04   2.48507E-04   6.90080E-05   1.22073E-05
+   0.00000E+00   1.23108E+07   9.16578E+06   6.69155E+06   4.88807E+06
+   3.56545E+06   2.60214E+06   1.89627E+06   1.38261E+06   1.00657E+06
+   7.33186E+05   5.33228E+05   3.88007E+05   2.81892E+05   2.04903E+05
+   1.48702E+05   1.07972E+05   7.82716E+04   5.67711E+04   4.11111E+04
+   2.97877E+04   2.15499E+04   1.56003E+04   1.12772E+04   8.15863E+03
+   5.89522E+03   4.26385E+03   3.08160E+03   2.21982E+03   1.60664E+03
+   1.16547E+03   8.45916E+02   6.16001E+02   4.49196E+02   3.29157E+02
+   2.42107E+02   1.79331E+02   1.33623E+02   1.00494E+02   7.62258E+01
+   5.84951E+01   4.53775E+01   3.56764E+01   2.83948E+01   2.29112E+01
+   1.87270E+01   1.55062E+01   1.29831E+01   1.09930E+01   9.39304E+00
+   8.09706E+00   7.02831E+00   6.14020E+00   5.39359E+00   4.75336E+00
+   4.20195E+00   3.72203E+00   3.29984E+00   2.92627E+00   2.59332E+00
+   2.29844E+00   2.03129E+00   1.79230E+00   1.57764E+00   1.38489E+00
+   1.21177E+00   1.05645E+00   9.17667E-01   7.93586E-01   6.83492E-01
+   5.85399E-01   4.99602E-01   4.23234E-01   3.56497E-01   2.98252E-01
+   2.47820E-01   2.04235E-01   1.66936E-01   1.35073E-01   1.08205E-01
+   8.55210E-02   6.68451E-02   5.13133E-02   3.87202E-02   2.85938E-02
+   2.06240E-02   1.44323E-02   9.76359E-03   6.30432E-03   3.86467E-03
+   2.19857E-03   1.13663E-03   5.09206E-04   1.87246E-04   5.10526E-05
+   8.99566E-06   0.00000E+00   1.53645E+07   1.14058E+07   8.29738E+06
+   6.03915E+06   4.38912E+06   3.19138E+06   2.31704E+06   1.68299E+06
+   1.22059E+06   8.85623E+05   6.41584E+05   4.64991E+05   3.36473E+05
+   2.43577E+05   1.76045E+05   1.27289E+05   9.18872E+04   6.63596E+04
+   4.78471E+04   3.45149E+04   2.48589E+04   1.79137E+04   1.28902E+04
+   9.28182E+03   6.67511E+03   4.80442E+03   3.45538E+03   2.47631E+03
+   1.78319E+03   1.28678E+03   9.29036E+02   6.72854E+02   4.87961E+02
+   3.55549E+02   2.60042E+02   1.91507E+02   1.41880E+02   1.06091E+02
+   8.00194E+01   6.10660E+01   4.71207E+01   3.68565E+01   2.91923E+01
+   2.34455E+01   1.90812E+01   1.57342E+01   1.31228E+01   1.10693E+01
+   9.42393E+00   8.09437E+00   7.00099E+00   6.09420E+00   5.33379E+00
+   4.68303E+00   4.12406E+00   3.63877E+00   3.21323E+00   2.83792E+00
+   2.50469E+00   2.21072E+00   1.94554E+00   1.70934E+00   1.49817E+00
+   1.30946E+00   1.14078E+00   9.90177E-01   8.56283E-01   7.37176E-01
+   6.32034E-01   5.38828E-01   4.57723E-01   3.85910E-01   3.23482E-01
+   2.69288E-01   2.22615E-01   1.82502E-01   1.48365E-01   1.19373E-01
+   9.50704E-02   7.46805E-02   5.79994E-02   4.42214E-02   3.31291E-02
+   2.42777E-02   1.73668E-02   1.20446E-02   8.06898E-03   5.15387E-03
+   3.12142E-03   1.75145E-03   8.91284E-04   3.92091E-04   1.41390E-04
+   3.78910E-05   6.65126E-06   0.00000E+00   1.90672E+07   1.41138E+07
+   1.02316E+07   7.42037E+06   5.37375E+06   3.89305E+06   2.81617E+06
+   2.03788E+06   1.47245E+06   1.06427E+06   7.68048E+05   5.54459E+05
+   3.99636E+05   2.88135E+05   2.07409E+05   1.49346E+05   1.07363E+05
+   7.72066E+04   5.54311E+04   3.98108E+04   2.85475E+04   2.04792E+04
+   1.46696E+04   1.05140E+04   7.52589E+03   5.39069E+03   3.85834E+03
+   2.75108E+03   1.97111E+03   1.41503E+03   1.01630E+03   7.32106E+02
+   5.28055E+02   3.82625E+02   2.78287E+02   2.03785E+02   1.50129E+02
+   1.11626E+02   8.37328E+01   6.35543E+01   4.87878E+01   3.79700E+01
+   2.99335E+01   2.39329E+01   1.93967E+01   1.59303E+01   1.32361E+01
+   1.11237E+01   9.43650E+00   8.07629E+00   6.96069E+00   6.03731E+00
+   5.26487E+00   4.60519E+00   4.04010E+00   3.55077E+00   3.12308E+00
+   2.74715E+00   2.41463E+00   2.12246E+00   1.86002E+00   1.62729E+00
+   1.42018E+00   1.23596E+00   1.07208E+00   9.26486E-01   7.97675E-01
+   6.83661E-01   5.83518E-01   4.95191E-01   4.18718E-01   3.51358E-01
+   2.93103E-01   2.42799E-01   1.99705E-01   1.62870E-01   1.31696E-01
+   1.05373E-01   8.34360E-02   6.51446E-02   5.02739E-02   3.80745E-02
+   2.83216E-02   2.05977E-02   1.46146E-02   1.00466E-02   6.66586E-03
+   4.21239E-03   2.52101E-03   1.39557E-03   6.99296E-04   3.02256E-04
+   1.06971E-04   2.82039E-05   4.93268E-06   0.00000E+00   2.35221E+07
+   1.73625E+07   1.25435E+07   9.06522E+06   6.54199E+06   4.72238E+06
+   3.40385E+06   2.45410E+06   1.76668E+06   1.27212E+06   9.14594E+05
+   6.57700E+05   4.72218E+05   3.39116E+05   2.43139E+05   1.74361E+05
+   1.24835E+05   8.93948E+04   6.39125E+04   4.57043E+04   3.26320E+04
+   2.33053E+04   1.66196E+04   1.18570E+04   8.44802E+03   6.02242E+03
+   4.28999E+03   3.04354E+03   2.16985E+03   1.54976E+03   1.10734E+03
+   7.93461E+02   5.69257E+02   4.10225E+02   2.96729E+02   2.16083E+02
+   1.58315E+02   1.17064E+02   8.73424E+01   6.59455E+01   5.03700E+01
+   3.90119E+01   3.06157E+01   2.43723E+01   1.96731E+01   1.60946E+01
+   1.33234E+01   1.11567E+01   9.43134E+00   8.04345E+00   6.90808E+00
+   5.97017E+00   5.18749E+00   4.52049E+00   3.95070E+00   3.45864E+00
+   3.02999E+00   2.65449E+00   2.32364E+00   2.03409E+00   1.77512E+00
+   1.54647E+00   1.34393E+00   1.16460E+00   1.00584E+00   8.65463E-01
+   7.41876E-01   6.33024E-01   5.37889E-01   4.54396E-01   3.82468E-01
+   3.19437E-01   2.65204E-01   2.18617E-01   1.78916E-01   1.45165E-01
+   1.16756E-01   9.29052E-02   7.31433E-02   5.67661E-02   4.35340E-02
+   3.27516E-02   2.41911E-02   1.74621E-02   1.22903E-02   8.37535E-03
+   5.50433E-03   3.44193E-03   2.03589E-03   1.11216E-03   5.48928E-04
+   2.33240E-04   8.10721E-05   2.10479E-05   3.66806E-06   0.00000E+00
+   2.88425E+07   2.12312E+07   1.52869E+07   1.10099E+07   7.91811E+06
+   5.69562E+06   4.09093E+06   2.93883E+06   2.10801E+06   1.51228E+06
+   1.08324E+06   7.76022E+05   5.55059E+05   3.97053E+05   2.83569E+05
+   2.02540E+05   1.44429E+05   1.03000E+05   7.33357E+04   5.22205E+04
+   3.71259E+04   2.63987E+04   1.87430E+04   1.33114E+04   9.44115E+03
+   6.69884E+03   4.74944E+03   3.35288E+03   2.37872E+03   1.69039E+03
+   1.20171E+03   8.56596E+02   6.11330E+02   4.38179E+02   3.15251E+02
+   2.28323E+02   1.66384E+02   1.22371E+02   9.08267E+01   6.82264E+01
+   5.18596E+01   3.99781E+01   3.12370E+01   2.47628E+01   1.99104E+01
+   1.62274E+01   1.33853E+01   1.11690E+01   9.40910E+00   7.99653E+00
+   6.84383E+00   5.89346E+00   5.10232E+00   4.42959E+00   3.85652E+00
+   3.36300E+00   2.93451E+00   2.56048E+00   2.23218E+00   1.94603E+00
+   1.69119E+00   1.46717E+00   1.26963E+00   1.09554E+00   9.42147E-01
+   8.07160E-01   6.88891E-01   5.85230E-01   4.95076E-01   4.16344E-01
+   3.48851E-01   2.90006E-01   2.39630E-01   1.96580E-01   1.60083E-01
+   1.29223E-01   1.03386E-01   8.18177E-02   6.40491E-02   4.94129E-02
+   3.76600E-02   2.81466E-02   2.06452E-02   1.47923E-02   1.03285E-02
+   6.97802E-03   4.54306E-03   2.81146E-03   1.64387E-03   8.86377E-04
+   4.31065E-04   1.80145E-04   6.15405E-05   1.57444E-05   2.73432E-06
+   0.00000E+00   3.51516E+07   2.58057E+07   1.85195E+07   1.32930E+07
+   9.52793E+06   6.82990E+06   4.88873E+06   3.49951E+06   2.50131E+06
+   1.78793E+06   1.27604E+06   9.10734E+05   6.48987E+05   4.62466E+05
+   3.29022E+05   2.34080E+05   1.66263E+05   1.18091E+05   8.37392E+04
+   5.93797E+04   4.20391E+04   2.97637E+04   2.10407E+04   1.48767E+04
+   1.05042E+04   7.41867E+03   5.23549E+03   3.67806E+03   2.59690E+03
+   1.83631E+03   1.29894E+03   9.21165E+02   6.54027E+02   4.66317E+02
+   3.33734E+02   2.40426E+02   1.74287E+02   1.27514E+02   9.41663E+01
+   7.03856E+01   5.32504E+01   4.08654E+01   3.17958E+01   2.51041E+01
+   2.01089E+01   1.63294E+01   1.34223E+01   1.11611E+01   9.37050E+00
+   7.93623E+00   6.76863E+00   5.80787E+00   5.01002E+00   4.33314E+00
+   3.75816E+00   3.26442E+00   2.83719E+00   2.46559E+00   2.14069E+00
+   1.85864E+00   1.60853E+00   1.38963E+00   1.19748E+00   1.02892E+00
+   8.81085E-01   7.51608E-01   6.38707E-01   5.40230E-01   4.54997E-01
+   3.80926E-01   3.17738E-01   2.62923E-01   2.16230E-01   1.76533E-01
+   1.43051E-01   1.14889E-01   9.14374E-02   7.19708E-02   5.60239E-02
+   4.29672E-02   3.25462E-02   2.41666E-02   1.76039E-02   1.25208E-02
+   8.67370E-03   5.81025E-03   3.74778E-03   2.29564E-03   1.32706E-03
+   7.06441E-04   3.38617E-04   1.39247E-04   4.67804E-05   1.18019E-05
+   2.04275E-06   0.00000E+00   4.25819E+07   3.11782E+07   2.23027E+07
+   1.59555E+07   1.13986E+07   8.14312E+06   5.80900E+06   4.14382E+06
+   2.95156E+06   2.10224E+06   1.49503E+06   1.06312E+06   7.54810E+05
+   5.35854E+05   3.79801E+05   2.69161E+05   1.90441E+05   1.34725E+05
+   9.51541E+04   6.71974E+04   4.73781E+04   3.34017E+04   2.35122E+04
+   1.65514E+04   1.16352E+04   8.18011E+03   5.74662E+03   4.01786E+03
+   2.82343E+03   1.98679E+03   1.39851E+03   9.86802E+02   6.97096E+02
+   4.94465E+02   3.52066E+02   2.52319E+02   1.81976E+02   1.32465E+02
+   9.73438E+01   7.24133E+01   5.45371E+01   4.16713E+01   3.22914E+01
+   2.53963E+01   2.02689E+01   1.64011E+01   1.34353E+01   1.11340E+01
+   9.31626E+00   7.86326E+00   6.68318E+00   5.71407E+00   4.91126E+00
+   4.23176E+00   3.65622E+00   3.16345E+00   2.73854E+00   2.37028E+00
+   2.04956E+00   1.77227E+00   1.52743E+00   1.31407E+00   1.12763E+00
+   9.64827E-01   8.22704E-01   6.98813E-01   5.91292E-01   4.97955E-01
+   4.17560E-01   3.48028E-01   2.88999E-01   2.38047E-01   1.94859E-01
+   1.58327E-01   1.27670E-01   1.02022E-01   8.07751E-02   6.32373E-02
+   4.89510E-02   3.73234E-02   2.80990E-02   2.07300E-02   1.49974E-02
+   1.05896E-02   7.27876E-03   4.83485E-03   3.09007E-03   1.87370E-03
+   1.07103E-03   5.63009E-04   2.66063E-04   1.07709E-04   3.56056E-05
+   8.86340E-06   1.52911E-06   0.00000E+00   5.12752E+07   3.74466E+07
+   2.67016E+07   1.90404E+07   1.35583E+07   9.65376E+06   6.86376E+06
+   4.87952E+06   3.46375E+06   2.45841E+06   1.74221E+06   1.23445E+06
+   8.73300E+05   6.17683E+05   4.36183E+05   3.07945E+05   2.17053E+05
+   1.52952E+05   1.07604E+05   7.56832E+04   5.31455E+04   3.73118E+04
+   2.61549E+04   1.83325E+04   1.28315E+04   8.98088E+03   6.28099E+03
+   4.37088E+03   3.05727E+03   2.14108E+03   1.49989E+03   1.05313E+03
+   7.40281E+02   5.22455E+02   3.70134E+02   2.63930E+02   1.89408E+02
+   1.37197E+02   1.00344E+02   7.43014E+01   5.57156E+01   4.23942E+01
+   3.27235E+01   2.56398E+01   2.03912E+01   1.64432E+01   1.34250E+01
+   1.10883E+01   9.24718E+00   7.77839E+00   6.58821E+00   5.61276E+00
+   4.80670E+00   4.12608E+00   3.55129E+00   3.06065E+00   2.63904E+00
+   2.27498E+00   1.95916E+00   1.68722E+00   1.44811E+00   1.24067E+00
+   1.06021E+00   9.03345E-01   7.67034E-01   6.48762E-01   5.46597E-01
+   4.58331E-01   3.82663E-01   3.17533E-01   2.62504E-01   2.15239E-01
+   1.75372E-01   1.41819E-01   1.13804E-01   9.04875E-02   7.12736E-02
+   5.55015E-02   4.27249E-02   3.23875E-02   2.42355E-02   1.77655E-02
+   1.27658E-02   8.94907E-03   6.10365E-03   4.02056E-03   2.54637E-03
+   1.52864E-03   8.64154E-04   4.48658E-04   2.09094E-04   8.33640E-05
+   2.71309E-05   6.66785E-06   1.14667E-06   0.00000E+00   6.13813E+07
+   4.47138E+07   3.17841E+07   2.25921E+07   1.60362E+07   1.13807E+07
+   8.06521E+06   5.71442E+06   4.04284E+06   2.85956E+06   2.01953E+06
+   1.42589E+06   1.00518E+06   7.08382E+05   4.98417E+05   3.50569E+05
+   2.46174E+05   1.72806E+05   1.21104E+05   8.48412E+04   5.93397E+04
+   4.14903E+04   2.89646E+04   2.02160E+04   1.40896E+04   9.81822E+03
+   6.83647E+03   4.73555E+03   3.29728E+03   2.29836E+03   1.60251E+03
+   1.11977E+03   7.83327E+02   5.50119E+02   3.87832E+02   2.75193E+02
+   1.96542E+02   1.41687E+02   1.03155E+02   7.60433E+01   5.67832E+01
+   4.30332E+01   3.30922E+01   2.58351E+01   2.04766E+01   1.64569E+01
+   1.33923E+01   1.10250E+01   9.16404E+00   7.68235E+00   6.48443E+00
+   5.50463E+00   4.69697E+00   4.01671E+00   3.44392E+00   2.95651E+00
+   2.53915E+00   2.18008E+00   1.86981E+00   1.60374E+00   1.37080E+00
+   1.16958E+00   9.95321E-01   8.44521E-01   7.14079E-01   6.01425E-01
+   5.04561E-01   4.21269E-01   3.50200E-01   2.89319E-01   2.38122E-01
+   1.94365E-01   1.57634E-01   1.26875E-01   1.01321E-01   8.01630E-02
+   6.28180E-02   4.86583E-02   3.72509E-02   2.80755E-02   2.08827E-02
+   1.52108E-02   1.08566E-02   7.55648E-03   5.11442E-03   3.34118E-03
+   2.09711E-03   1.24655E-03   6.97004E-04   3.57483E-04   1.64343E-04
+   6.45554E-05   2.06942E-05   5.02381E-06   8.61253E-07   0.00000E+00
+   7.79535E+05   1.11749E+06   8.32821E+05   6.20667E+05   4.62570E+05
+   3.44754E+05   2.56957E+05   1.91527E+05   1.42766E+05   1.06427E+05
+   7.93434E+04   5.91581E+04   4.41133E+04   3.28993E+04   2.45403E+04
+   1.83089E+04   1.36632E+04   1.01993E+04   7.61639E+03   5.69003E+03
+   4.25310E+03   3.18103E+03   2.38099E+03   1.78376E+03   1.33778E+03
+   1.00460E+03   7.55557E+02   5.66814E+02   4.28086E+02   3.24145E+02
+   2.46186E+02   1.87637E+02   1.43538E+02   1.10333E+02   8.52794E+01
+   6.63369E+01   5.19606E+01   4.10180E+01   3.26555E+01   2.62351E+01
+   2.12795E+01   1.74312E+01   1.44231E+01   1.20517E+01   1.01762E+01
+   8.67436E+00   7.46356E+00   6.47891E+00   5.67058E+00   4.99992E+00
+   4.43675E+00   3.95730E+00   3.54531E+00   3.18215E+00   2.86149E+00
+   2.57487E+00   2.31696E+00   2.08378E+00   1.87222E+00   1.68164E+00
+   1.50630E+00   1.34714E+00   1.20202E+00   1.06979E+00   9.49053E-01
+   8.39040E-01   7.38934E-01   6.47945E-01   5.65570E-01   4.90969E-01
+   4.24308E-01   3.63908E-01   3.09888E-01   2.61747E-01   2.19036E-01
+   1.81366E-01   1.48396E-01   1.19809E-01   9.52924E-02   7.44910E-02
+   5.72398E-02   4.29765E-02   3.14837E-02   2.24156E-02   1.54339E-02
+   1.02119E-02   6.44026E-03   3.82158E-03   2.10727E-03   1.05285E-03
+   4.59879E-04   1.65378E-04   4.37476E-05   6.61055E-06   2.54222E-07
+   0.00000E+00   1.61257E+06   1.22336E+06   9.13199E+05   6.82086E+05
+   5.09205E+05   3.80382E+05   2.84007E+05   2.12184E+05   1.58445E+05
+   1.18393E+05   8.84206E+04   6.60793E+04   4.93590E+04   3.68940E+04
+   2.75640E+04   2.06077E+04   1.54002E+04   1.15172E+04   8.60995E+03
+   6.44180E+03   4.81829E+03   3.60732E+03   2.70038E+03   2.02375E+03
+   1.51686E+03   1.13857E+03   8.54997E+02   6.40600E+02   4.82654E+02
+   3.64619E+02   2.75991E+02   2.09666E+02   1.59703E+02   1.22258E+02
+   9.40255E+01   7.28010E+01   5.67182E+01   4.45566E+01   3.52801E+01
+   2.82074E+01   2.27580E+01   1.85554E+01   1.52745E+01   1.27049E+01
+   1.06735E+01   9.05633E+00   7.75287E+00   6.69821E+00   5.83227E+00
+   5.11714E+00   4.51656E+00   4.00768E+00   3.57093E+00   3.18820E+00
+   2.85136E+00   2.55224E+00   2.28438E+00   2.04377E+00   1.82661E+00
+   1.63217E+00   1.45428E+00   1.29373E+00   1.14817E+00   1.01630E+00
+   8.96627E-01   7.88197E-01   6.90185E-01   6.01600E-01   5.21980E-01
+   4.50262E-01   3.86663E-01   3.29355E-01   2.78505E-01   2.33490E-01
+   1.93909E-01   1.59262E-01   1.29249E-01   1.03435E-01   8.15521E-02
+   6.31396E-02   4.80599E-02   3.57064E-02   2.58804E-02   1.82093E-02
+   1.23875E-02   8.08468E-03   5.02762E-03   2.93382E-03   1.58943E-03
+   7.76379E-04   3.31502E-04   1.15983E-04   2.98965E-05   4.42789E-06
+   1.74898E-07   0.00000E+00   1.83057E+06   1.38952E+06   1.03809E+06
+   7.76268E+05   5.79961E+05   4.33714E+05   3.24051E+05   2.42347E+05
+   1.81077E+05   1.35425E+05   1.01189E+05   7.56785E+04   5.65465E+04
+   4.22907E+04   3.15991E+04   2.36326E+04   1.76580E+04   1.32064E+04
+   9.86811E+03   7.38100E+03   5.51604E+03   4.12678E+03   3.08517E+03
+   2.30933E+03   1.72770E+03   1.29450E+03   9.69648E+02   7.24766E+02
+   5.44369E+02   4.09975E+02   3.09150E+02   2.33978E+02   1.77436E+02
+   1.35247E+02   1.03503E+02   7.97587E+01   6.18122E+01   4.83162E+01
+   3.80498E+01   3.02675E+01   2.42876E+01   1.97024E+01   1.61316E+01
+   1.33507E+01   1.11569E+01   9.41947E+00   8.02203E+00   6.89659E+00
+   5.97416E+00   5.21562E+00   4.57966E+00   4.04312E+00   3.58385E+00
+   3.18347E+00   2.83251E+00   2.52265E+00   2.24655E+00   1.99998E+00
+   1.77858E+00   1.58145E+00   1.40204E+00   1.24098E+00   1.09577E+00
+   9.64901E-01   8.46826E-01   7.40416E-01   6.44821E-01   5.58891E-01
+   4.82163E-01   4.13419E-01   3.52878E-01   2.98627E-01   2.50840E-01
+   2.08815E-01   1.72164E-01   1.40318E-01   1.12990E-01   8.96712E-02
+   7.01095E-02   5.37866E-02   4.05690E-02   2.98398E-02   2.14070E-02
+   1.48927E-02   1.00144E-02   6.45191E-03   3.95948E-03   2.27597E-03
+   1.21452E-03   5.83471E-04   2.44615E-04   8.35529E-05   2.10920E-05
+   3.18325E-06   1.62842E-07   0.00000E+00   2.14345E+06   1.62665E+06
+   1.21502E+06   9.08553E+05   6.78587E+05   5.07394E+05   3.78935E+05
+   2.83311E+05   2.11560E+05   1.58152E+05   1.18081E+05   8.82572E+04
+   6.58831E+04   4.92330E+04   3.67438E+04   2.74515E+04   2.04828E+04
+   1.52992E+04   1.14128E+04   8.52279E+03   6.35677E+03   4.74666E+03
+   3.54036E+03   2.64402E+03   1.97275E+03   1.47411E+03   1.10070E+03
+   8.20145E+02   6.13800E+02   4.60606E+02   3.45919E+02   2.60743E+02
+   1.96838E+02   1.49359E+02   1.13738E+02   8.72174E+01   6.72371E+01
+   5.22857E+01   4.09506E+01   3.24019E+01   2.58558E+01   2.08622E+01
+   1.69868E+01   1.39840E+01   1.16230E+01   9.76238E+00   8.27074E+00
+   7.07481E+00   6.09748E+00   5.29701E+00   4.62778E+00   4.06543E+00
+   3.58575E+00   3.16953E+00   2.80630E+00   2.48728E+00   2.20445E+00
+   1.95319E+00   1.72872E+00   1.52988E+00   1.34983E+00   1.18903E+00
+   1.04479E+00   9.15462E-01   7.99412E-01   6.95372E-01   6.02439E-01
+   5.19350E-01   4.45605E-01   3.79888E-01   3.22378E-01   2.71132E-01
+   2.26298E-01   1.87127E-01   1.53222E-01   1.23978E-01   9.90938E-02
+   7.80283E-02   6.05216E-02   4.60347E-02   3.44220E-02   2.50807E-02
+   1.78179E-02   1.22649E-02   8.15678E-03   5.19148E-03   3.14579E-03
+   1.78260E-03   9.37387E-04   4.43155E-04   1.83146E-04   6.20553E-05
+   1.61548E-05   3.02315E-06   2.82508E-07   0.00000E+00   2.56972E+06
+   1.94818E+06   1.45350E+06   1.08568E+06   8.09831E+05   6.04772E+05
+   4.51010E+05   3.36727E+05   2.51048E+05   1.87381E+05   1.39658E+05
+   1.04205E+05   7.76383E+04   5.79076E+04   4.31265E+04   3.21530E+04
+   2.39354E+04   1.78372E+04   1.32725E+04   9.88678E+03   7.35380E+03
+   5.47609E+03   4.07214E+03   3.03203E+03   2.25483E+03   1.67932E+03
+   1.24943E+03   9.27580E+02   6.91491E+02   5.16861E+02   3.86513E+02
+   2.90085E+02   2.17974E+02   1.64621E+02   1.24735E+02   9.51693E+01
+   7.29778E+01   5.64485E+01   4.39656E+01   3.45960E+01   2.74502E+01
+   2.20255E+01   1.78330E+01   1.46004E+01   1.20691E+01   1.00839E+01
+   8.49883E+00   7.23350E+00   6.20323E+00   5.36267E+00   4.66233E+00
+   4.07611E+00   3.57800E+00   3.14768E+00   2.77387E+00   2.44714E+00
+   2.15889E+00   1.90408E+00   1.67755E+00   1.47786E+00   1.29794E+00
+   1.13801E+00   9.95268E-01   8.67921E-01   7.54237E-01   6.52835E-01
+   5.62747E-01   4.82625E-01   4.11914E-01   3.49237E-01   2.94709E-01
+   2.46396E-01   2.04396E-01   1.67938E-01   1.36605E-01   1.09772E-01
+   8.71188E-02   6.80903E-02   5.24117E-02   3.95435E-02   2.93239E-02
+   2.11757E-02   1.49038E-02   1.01563E-02   6.68342E-03   4.20485E-03
+   2.51708E-03   1.40706E-03   7.29489E-04   3.39565E-04   1.38351E-04
+   4.64530E-05   1.23630E-05   2.58015E-06   2.92399E-07   0.00000E+00
+   3.13128E+06   2.36999E+06   1.76475E+06   1.31558E+06   9.79282E+05
+   7.29786E+05   5.43036E+05   4.04532E+05   3.00891E+05   2.24052E+05
+   1.66574E+05   1.23978E+05   9.21261E+04   6.85315E+04   5.08964E+04
+   3.78397E+04   2.80858E+04   2.08682E+04   1.54797E+04   1.14949E+04
+   8.52194E+03   6.32503E+03   4.68715E+03   3.47778E+03   2.57686E+03
+   1.91204E+03   1.41707E+03   1.04785E+03   7.77922E+02   5.79027E+02
+   4.31090E+02   3.22087E+02   2.40876E+02   1.81040E+02   1.36483E+02
+   1.03596E+02   7.90131E+01   6.07843E+01   4.70766E+01   3.68352E+01
+   2.90591E+01   2.31839E+01   1.86643E+01   1.51962E+01   1.24932E+01
+   1.03834E+01   8.70634E+00   7.37333E+00   6.29237E+00   5.41377E+00
+   4.68452E+00   4.07636E+00   3.56172E+00   3.11896E+00   2.73611E+00
+   2.40300E+00   2.11052E+00   1.85319E+00   1.62549E+00   1.42570E+00
+   1.24654E+00   1.08802E+00   9.47229E-01   8.22216E-01   7.11173E-01
+   6.12615E-01   5.25507E-01   4.48432E-01   3.80778E-01   3.21124E-01
+   2.69517E-01   2.24048E-01   1.84762E-01   1.50875E-01   1.21947E-01
+   9.73472E-02   7.67332E-02   5.95477E-02   4.55011E-02   3.40643E-02
+   2.50600E-02   1.79424E-02   1.25155E-02   8.44714E-03   5.50253E-03
+   3.42385E-03   2.02566E-03   1.11770E-03   5.71594E-04   2.62132E-04
+   1.05330E-04   3.50415E-05   9.47975E-06   2.10382E-06   2.62799E-07
+   0.00000E+00   2.42634E+06   2.91063E+06   2.16187E+06   1.60748E+06
+   1.19342E+06   8.86984E+05   6.58195E+05   4.88948E+05   3.62637E+05
+   2.69244E+05   1.99575E+05   1.48089E+05   1.09701E+05   8.13487E+04
+   6.02205E+04   4.46253E+04   3.30113E+04   2.44448E+04   1.80697E+04
+   1.33710E+04   9.87699E+03   7.30396E+03   5.39229E+03   3.98577E+03
+   2.94173E+03   2.17411E+03   1.60475E+03   1.18163E+03   8.73492E+02
+   6.47325E+02   4.79761E+02   3.56792E+02   2.65548E+02   1.98599E+02
+   1.48955E+02   1.12470E+02   8.53168E+01   6.52706E+01   5.02650E+01
+   3.91047E+01   3.06716E+01   2.43299E+01   1.94756E+01   1.57684E+01
+   1.28937E+01   1.06603E+01   8.89339E+00   7.49493E+00   6.36574E+00
+   5.45134E+00   4.69536E+00   4.06719E+00   3.53783E+00   3.08422E+00
+   2.69375E+00   2.35549E+00   2.05987E+00   1.80093E+00   1.57285E+00
+   1.37362E+00   1.19579E+00   1.03915E+00   9.00675E-01   7.78293E-01
+   6.70112E-01   5.74557E-01   4.90524E-01   4.16544E-01   3.51943E-01
+   2.95274E-01   2.46516E-01   2.03793E-01   1.67099E-01   1.35642E-01
+   1.08964E-01   8.64297E-02   6.76806E-02   5.21641E-02   3.95781E-02
+   2.94099E-02   2.14700E-02   1.52461E-02   1.05432E-02   7.05058E-03
+   4.54806E-03   2.80008E-03   1.63797E-03   8.92561E-04   4.50471E-04
+   2.03657E-04   8.07495E-05   2.66294E-05   7.29330E-06   1.67990E-06
+   2.22775E-07   0.00000E+00   4.86706E+06   3.66648E+06   2.71479E+06
+   2.01200E+06   1.48893E+06   1.10287E+06   8.15664E+05   6.03805E+05
+   4.46279E+05   3.30148E+05   2.43848E+05   1.80268E+05   1.33048E+05
+   9.82829E+04   7.24808E+04   5.34987E+04   3.94208E+04   2.90725E+04
+   2.14041E+04   1.57722E+04   1.16025E+04   8.54302E+03   6.28011E+03
+   4.62143E+03   3.39582E+03   2.49817E+03   1.83557E+03   1.34502E+03
+   9.89523E+02   7.29658E+02   5.38063E+02   3.98049E+02   2.94677E+02
+   2.19155E+02   1.63444E+02   1.22681E+02   9.25059E+01   7.03312E+01
+   5.38243E+01   4.16063E+01   3.24273E+01   2.55589E+01   2.03330E+01
+   1.63619E+01   1.33011E+01   1.09346E+01   9.07299E+00   7.60601E+00
+   6.42741E+00   5.47662E+00   4.69420E+00   4.04648E+00   3.50322E+00
+   3.03960E+00   2.64251E+00   2.30004E+00   2.00224E+00   1.74259E+00
+   1.51499E+00   1.31714E+00   1.14137E+00   9.87293E-01   8.51757E-01
+   7.32554E-01   6.27722E-01   5.35592E-01   4.54997E-01   3.84416E-01
+   3.23118E-01   2.69638E-01   2.23883E-01   1.84025E-01   1.50002E-01
+   1.21022E-01   9.66085E-02   7.61321E-02   5.92175E-02   4.53242E-02
+   3.41416E-02   2.51788E-02   1.82375E-02   1.28431E-02   8.80352E-03
+   5.83195E-03   3.72419E-03   2.26769E-03   1.31060E-03   7.04406E-04
+   3.49980E-04   1.55231E-04   6.00995E-05   1.91730E-05   5.01639E-06
+   1.08434E-06   1.37980E-07   0.00000E+00   6.15954E+06   4.62696E+06
+   3.41429E+06   2.52151E+06   1.85944E+06   1.37232E+06   1.01129E+06
+   7.45835E+05   5.49213E+05   4.04744E+05   2.97808E+05   2.19295E+05
+   1.61220E+05   1.18615E+05   8.71252E+04   6.40429E+04   4.69967E+04
+   3.45133E+04   2.53029E+04   1.85645E+04   1.35977E+04   9.96771E+03
+   7.29499E+03   5.34382E+03   3.90876E+03   2.86201E+03   2.09310E+03
+   1.52614E+03   1.11729E+03   8.19714E+02   6.01387E+02   4.42536E+02
+   3.25847E+02   2.40979E+02   1.78697E+02   1.33336E+02   9.99376E+01
+   7.55103E+01   5.74281E+01   4.41098E+01   3.41626E+01   2.67571E+01
+   2.11562E+01   1.69218E+01   1.36776E+01   1.11816E+01   9.22885E+00
+   7.69682E+00   6.47200E+00   5.48766E+00   4.68129E+00   4.01621E+00
+   3.46096E+00   2.98900E+00   2.58672E+00   2.24128E+00   1.94235E+00
+   1.68288E+00   1.45653E+00   1.26066E+00   1.08749E+00   9.36384E-01
+   8.04115E-01   6.88349E-01   5.87048E-01   4.98468E-01   4.21379E-01
+   3.54219E-01   2.96207E-01   2.45864E-01   2.03034E-01   1.65940E-01
+   1.34470E-01   1.07834E-01   8.55445E-02   6.69785E-02   5.17506E-02
+   3.93356E-02   2.94187E-02   2.15329E-02   1.54754E-02   1.08078E-02
+   7.34380E-03   4.81978E-03   3.04738E-03   1.83572E-03   1.04873E-03
+   5.56512E-04   2.72730E-04   1.19169E-04   4.54612E-05   1.43385E-05
+   3.76438E-06   8.27190E-07   1.09507E-07   0.00000E+00   7.78595E+06
+   5.83142E+06   4.28781E+06   3.15512E+06   2.31824E+06   1.70455E+06
+   1.25144E+06   9.19425E+05   6.74456E+05   4.95098E+05   3.62865E+05
+   2.66130E+05   1.94870E+05   1.42784E+05   1.04448E+05   7.64543E+04
+   5.58695E+04   4.08531E+04   2.98224E+04   2.17843E+04   1.58860E+04
+   1.15928E+04   8.44620E+03   6.15859E+03   4.48393E+03   3.26756E+03
+   2.37840E+03   1.72551E+03   1.25703E+03   9.17540E+02   6.69696E+02
+   4.90177E+02   3.58975E+02   2.63987E+02   1.94643E+02   1.44377E+02
+   1.07565E+02   8.07723E+01   6.10501E+01   4.65966E+01   3.58645E+01
+   2.79157E+01   2.19398E+01   1.74449E+01   1.40215E+01   1.14004E+01
+   9.36090E+00   7.76768E+00   6.50002E+00   5.48508E+00   4.65729E+00
+   3.97706E+00   3.41168E+00   2.93300E+00   2.52690E+00   2.17967E+00
+   1.88058E+00   1.62213E+00   1.39772E+00   1.20441E+00   1.03430E+00
+   8.86550E-01   7.57841E-01   6.45728E-01   5.48111E-01   4.63175E-01
+   3.89636E-01   3.25900E-01   2.71136E-01   2.23867E-01   1.83874E-01
+   1.49438E-01   1.20398E-01   9.59737E-02   7.56676E-02   5.88692E-02
+   4.51869E-02   3.41132E-02   2.53334E-02   1.84060E-02   1.31268E-02
+   9.09307E-03   6.12573E-03   3.98372E-03   2.49430E-03   1.48680E-03
+   8.39825E-04   4.40149E-04   2.12849E-04   9.16840E-05   3.45004E-05
+   1.07801E-05   2.84556E-06   6.36223E-07   8.73049E-08   0.00000E+00
+   9.81110E+06   7.32625E+06   5.36761E+06   3.93518E+06   2.88078E+06
+   2.11022E+06   1.54345E+06   1.12960E+06   8.25444E+05   6.03548E+05
+   4.40608E+05   3.21846E+05   2.34717E+05   1.71273E+05   1.24771E+05
+   9.09454E+04   6.61788E+04   4.81830E+04   3.50214E+04   2.54692E+04
+   1.84913E+04   1.34331E+04   9.74269E+03   7.07105E+03   5.12437E+03
+   3.71646E+03   2.69229E+03   1.94346E+03   1.40880E+03   1.02308E+03
+   7.42879E+02   5.40845E+02   3.93938E+02   2.88074E+02   2.11196E+02
+   1.55735E+02   1.15337E+02   8.60790E+01   6.46631E+01   4.90477E+01
+   3.75203E+01   2.90265E+01   2.26787E+01   1.79284E+01   1.43314E+01
+   1.15907E+01   9.46921E+00   7.81902E+00   6.51209E+00   5.46957E+00
+   4.62293E+00   3.92970E+00   3.35602E+00   2.87220E+00   2.46359E+00
+   2.11567E+00   1.81737E+00   1.56071E+00   1.33888E+00   1.14864E+00
+   9.82004E-01   8.37937E-01   7.13033E-01   6.04752E-01   5.10932E-01
+   4.29703E-01   3.59729E-01   2.99394E-01   2.47824E-01   2.03550E-01
+   1.66295E-01   1.34401E-01   1.07665E-01   8.53190E-02   6.68594E-02
+   5.16911E-02   3.94209E-02   2.95614E-02   2.18010E-02   1.57246E-02
+   1.11300E-02   7.64831E-03   5.10905E-03   3.29285E-03   2.04208E-03
+   1.20477E-03   6.73017E-04   3.48491E-04   1.66368E-04   7.06939E-05
+   2.62670E-05   8.14365E-06   2.16143E-06   4.89876E-07   6.92323E-08
+   0.00000E+00   1.23088E+07   9.16407E+06   6.69005E+06   4.88677E+06
+   3.56432E+06   2.60116E+06   1.89541E+06   1.38187E+06   1.00592E+06
+   7.32626E+05   5.32743E+05   3.87586E+05   2.81527E+05   2.04586E+05
+   1.48428E+05   1.07735E+05   7.80667E+04   5.65940E+04   4.09582E+04
+   2.96556E+04   2.14360E+04   1.55021E+04   1.11926E+04   8.08581E+03
+   5.83258E+03   4.20996E+03   3.03530E+03   2.18011E+03   1.57254E+03
+   1.13617E+03   8.20753E+02   5.94364E+02   4.30586E+02   3.13118E+02
+   2.28260E+02   1.67336E+02   1.23200E+02   9.13918E+01   6.82401E+01
+   5.14449E+01   3.91182E+01   3.00823E+01   2.33687E+01   1.83699E+01
+   1.46064E+01   1.17521E+01   9.55408E+00   7.85137E+00   6.50888E+00
+   5.44185E+00   4.57890E+00   3.87483E+00   3.29462E+00   2.80717E+00
+   2.39731E+00   2.04975E+00   1.75309E+00   1.49894E+00   1.28027E+00
+   1.09356E+00   9.30772E-01   7.90669E-01   6.69772E-01   5.65461E-01
+   4.75520E-01   3.98031E-01   3.31611E-01   2.74634E-01   2.26188E-01
+   1.84816E-01   1.50192E-01   1.20721E-01   9.61605E-02   7.57591E-02
+   5.90127E-02   4.53433E-02   3.43597E-02   2.55964E-02   1.87482E-02
+   1.34261E-02   9.43254E-03   6.43102E-03   4.26035E-03   2.72178E-03
+   1.67215E-03   9.76628E-04   5.39702E-04   2.76205E-04   1.30232E-04
+   5.46302E-05   2.00638E-05   6.18106E-06   1.64941E-06   3.77720E-07
+   5.46983E-08   0.00000E+00   1.53624E+07   1.14040E+07   8.29583E+06
+   6.03780E+06   4.38795E+06   3.19036E+06   2.31616E+06   1.68223E+06
+   1.21993E+06   8.85043E+05   6.41081E+05   4.64555E+05   3.36095E+05
+   2.43249E+05   1.75762E+05   1.27044E+05   9.16754E+04   6.61765E+04
+   4.76891E+04   3.43784E+04   2.47412E+04   1.78123E+04   1.28029E+04
+   9.20664E+03   6.61045E+03   4.74880E+03   3.40759E+03   2.43534E+03
+   1.74800E+03   1.25654E+03   9.03062E+02   6.50514E+02   4.68741E+02
+   3.38978E+02   2.45730E+02   1.79105E+02   1.31099E+02   9.66726E+01
+   7.17556E+01   5.37714E+01   4.06477E+01   3.10766E+01   2.40062E+01
+   1.87679E+01   1.48458E+01   1.18849E+01   9.61595E+00   7.86538E+00
+   6.49110E+00   5.40265E+00   4.52593E+00   3.81311E+00   3.22810E+00
+   2.73846E+00   2.32853E+00   1.98232E+00   1.68811E+00   1.43713E+00
+   1.22214E+00   1.03938E+00   8.80752E-01   7.44850E-01   6.28125E-01
+   5.27887E-01   4.41873E-01   3.68129E-01   3.05234E-01   2.51554E-01
+   2.06146E-01   1.67574E-01   1.35467E-01   1.08293E-01   8.57799E-02
+   6.71928E-02   5.20308E-02   3.97355E-02   2.99212E-02   2.21453E-02
+   1.61113E-02   1.14567E-02   7.99006E-03   5.40552E-03   3.55186E-03
+   2.24962E-03   1.36941E-03   7.91970E-04   4.33064E-04   2.19129E-04
+   1.02093E-04   4.23093E-05   1.53751E-05   4.71279E-06   1.26412E-06
+   2.91715E-07   4.31112E-08   0.00000E+00   1.90650E+07   1.41120E+07
+   1.02300E+07   7.41897E+06   5.37253E+06   3.89199E+06   2.81525E+06
+   2.03708E+06   1.47176E+06   1.06367E+06   7.67527E+05   5.54007E+05
+   3.99245E+05   2.87796E+05   2.07116E+05   1.49093E+05   1.07144E+05
+   7.70173E+04   5.52677E+04   3.96698E+04   2.84259E+04   2.03744E+04
+   1.45794E+04   1.04364E+04   7.45913E+03   5.33327E+03   3.80902E+03
+   2.70879E+03   1.93479E+03   1.38382E+03   9.89486E+02   7.09036E+02
+   5.08201E+02   3.65503E+02   2.63494E+02   1.90961E+02   1.38978E+02
+   1.01884E+02   7.51850E+01   5.60117E+01   4.20991E+01   3.20041E+01
+   2.45884E+01   1.91211E+01   1.50494E+01   1.19893E+01   9.65542E+00
+   7.86177E+00   6.45951E+00   5.35273E+00   4.46472E+00   3.74519E+00
+   3.15704E+00   2.66659E+00   2.25772E+00   1.91378E+00   1.62276E+00
+   1.37555E+00   1.16471E+00   9.86265E-01   8.32071E-01   7.00565E-01
+   5.88139E-01   4.92045E-01   4.09980E-01   3.39963E-01   2.80540E-01
+   2.30081E-01   1.87616E-01   1.51732E-01   1.22023E-01   9.70219E-02
+   7.64271E-02   5.95269E-02   4.58256E-02   3.47865E-02   2.60322E-02
+   1.91437E-02   1.38352E-02   9.77000E-03   6.76468E-03   4.54178E-03
+   2.96044E-03   1.85920E-03   1.12158E-03   6.42424E-04   3.47695E-04
+   1.74010E-04   8.01481E-05   3.28373E-05   1.18190E-05   3.60868E-06
+   9.72630E-07   2.25663E-07   3.39228E-08   0.00000E+00   2.35199E+07
+   1.73606E+07   1.25419E+07   9.06377E+06   6.54072E+06   4.72128E+06
+   3.40290E+06   2.45328E+06   1.76596E+06   1.27150E+06   9.14054E+05
+   6.57232E+05   4.71813E+05   3.38765E+05   2.42836E+05   1.74098E+05
+   1.24608E+05   8.91989E+04   6.37435E+04   4.55586E+04   3.25064E+04
+   2.31971E+04   1.65265E+04   1.17768E+04   8.37908E+03   5.96313E+03
+   4.23906E+03   2.99988E+03   2.13235E+03   1.51753E+03   1.07965E+03
+   7.69634E+02   5.48746E+02   3.92531E+02   2.81439E+02   2.02825E+02
+   1.46784E+02   1.06991E+02   7.85055E+01   5.81518E+01   4.34645E+01
+   3.28603E+01   2.51132E+01   1.94288E+01   1.52174E+01   1.20658E+01
+   9.67320E+00   7.84132E+00   6.41490E+00   5.29283E+00   4.39597E+00
+   3.67171E+00   3.08201E+00   2.59207E+00   2.18531E+00   1.84450E+00
+   1.55735E+00   1.31445E+00   1.10818E+00   9.34366E-01   7.84837E-01
+   6.57884E-01   5.49850E-01   4.57940E-01   3.79819E-01   3.13490E-01
+   2.57472E-01   2.10142E-01   1.70515E-01   1.37203E-01   1.09771E-01
+   8.68148E-02   6.80127E-02   5.26759E-02   4.03175E-02   3.04238E-02
+   2.26281E-02   1.65353E-02   1.18719E-02   8.32633E-03   5.72417E-03
+   3.81447E-03   2.46680E-03   1.53634E-03   9.18640E-04   5.21255E-04
+   2.79302E-04   1.38304E-04   6.30053E-05   2.55384E-05   9.11268E-06
+   2.77416E-06   7.50936E-07   1.74834E-07   2.66609E-08   0.00000E+00
+   2.88402E+07   2.12292E+07   1.52852E+07   1.10084E+07   7.91680E+06
+   5.69448E+06   4.08994E+06   2.93797E+06   2.10726E+06   1.51164E+06
+   1.08268E+06   7.75537E+05   5.54639E+05   3.96690E+05   2.83255E+05
+   2.02268E+05   1.44194E+05   1.02797E+05   7.31610E+04   5.20698E+04
+   3.69960E+04   2.62869E+04   1.86467E+04   1.32285E+04   9.36995E+03
+   6.63761E+03   4.69685E+03   3.30779E+03   2.34000E+03   1.65712E+03
+   1.17311E+03   8.31986E+02   5.90139E+02   4.19896E+02   2.99447E+02
+   2.14618E+02   1.54464E+02   1.11959E+02   8.16964E+01   6.01793E+01
+   4.47367E+01   3.36418E+01   2.55792E+01   1.96908E+01   1.53500E+01
+   1.21152E+01   9.67011E+00   7.80488E+00   6.35808E+00   5.22372E+00
+   4.32036E+00   3.59328E+00   3.00354E+00   2.51536E+00   2.11170E+00
+   1.77481E+00   1.49215E+00   1.25406E+00   1.05273E+00   8.83815E-01
+   7.39140E-01   6.16860E-01   5.13277E-01   4.25564E-01   3.51360E-01
+   2.88660E-01   2.35965E-01   1.91666E-01   1.54762E-01   1.23902E-01
+   9.86220E-02   7.75859E-02   6.04534E-02   4.65613E-02   3.54342E-02
+   2.65822E-02   1.96513E-02   1.42705E-02   1.01796E-02   7.09140E-03
+   4.84105E-03   3.20225E-03   2.05484E-03   1.26934E-03   7.52431E-04
+   4.23033E-04   2.24469E-04   1.10015E-04   4.95930E-05   1.99009E-05
+   7.04586E-06   2.14030E-06   5.81506E-07   1.35636E-07   2.09341E-08
+   0.00000E+00   3.51492E+07   2.58036E+07   1.85177E+07   1.32914E+07
+   9.52657E+06   6.82872E+06   4.88771E+06   3.49862E+06   2.50054E+06
+   1.78726E+06   1.27546E+06   9.10231E+05   6.48552E+05   4.62090E+05
+   3.28697E+05   2.33799E+05   1.66020E+05   1.17881E+05   8.35584E+04
+   5.92239E+04   4.19049E+04   2.96481E+04   2.09413E+04   1.47912E+04
+   1.04306E+04   7.35543E+03   5.18118E+03   3.63150E+03   2.55691E+03
+   1.80194E+03   1.26940E+03   8.95743E+02   6.32135E+02   4.47426E+02
+   3.17403E+02   2.26263E+02   1.61970E+02   1.16758E+02   8.47389E+01
+   6.20835E+01   4.59101E+01   3.43458E+01   2.59854E+01   1.99072E+01
+   1.54479E+01   1.21382E+01   9.64705E+00   7.75334E+00   6.28988E+00
+   5.14614E+00   4.23857E+00   3.51050E+00   2.92217E+00   2.43691E+00
+   2.03727E+00   1.70503E+00   1.42744E+00   1.19458E+00   9.98518E-01
+   8.34723E-01   6.95051E-01   5.77530E-01   4.78430E-01   3.94900E-01
+   3.24567E-01   2.65422E-01   2.15954E-01   1.74575E-01   1.40277E-01
+   1.11745E-01   8.84945E-02   6.92543E-02   5.36721E-02   4.11112E-02
+   3.11099E-02   2.32030E-02   1.70506E-02   1.23057E-02   8.72207E-03
+   6.03566E-03   4.09187E-03   2.68707E-03   1.71112E-03   1.04855E-03
+   6.16279E-04   3.43381E-04   1.80479E-04   8.75798E-05   3.90830E-05
+   1.55365E-05   5.46208E-06   1.65657E-06   4.51449E-07   1.05347E-07
+   1.64248E-08   0.00000E+00   4.25795E+07   3.11761E+07   2.23009E+07
+   1.59539E+07   1.13972E+07   8.14189E+06   5.80793E+06   4.14289E+06
+   2.95076E+06   2.10155E+06   1.49443E+06   1.06260E+06   7.54359E+05
+   5.35464E+05   3.79464E+05   2.68870E+05   1.90189E+05   1.34508E+05
+   9.49672E+04   6.70362E+04   4.72394E+04   3.32822E+04   2.34094E+04
+   1.64630E+04   1.15592E+04   8.11479E+03   5.69052E+03   3.96978E+03
+   2.78213E+03   1.95129E+03   1.36800E+03   9.60542E+02   6.74481E+02
+   4.74949E+02   3.35193E+02   2.37687E+02   1.69254E+02   1.21360E+02
+   8.76164E+01   6.38553E+01   4.69803E+01   3.49707E+01   2.63317E+01
+   2.00786E+01   1.55120E+01   1.21359E+01   9.60499E+00   7.68760E+00
+   6.21113E+00   5.06084E+00   4.15125E+00   3.42394E+00   2.83838E+00
+   2.35714E+00   1.96237E+00   1.63545E+00   1.36344E+00   1.13620E+00
+   9.45669E-01   7.87182E-01   6.52628E-01   5.39918E-01   4.45304E-01
+   3.65924E-01   2.99395E-01   2.43717E-01   1.97372E-01   1.58797E-01
+   1.26983E-01   1.00653E-01   7.93092E-02   6.17441E-02   4.75973E-02
+   3.62597E-02   2.72854E-02   2.02339E-02   1.47809E-02   1.06028E-02
+   7.46764E-03   5.13370E-03   3.45666E-03   2.25373E-03   1.42439E-03
+   8.65980E-04   5.04733E-04   2.78765E-04   1.45163E-04   6.97684E-05
+   3.08350E-05   1.21501E-05   4.24450E-06   1.28582E-06   3.51224E-07
+   8.18984E-08   1.28780E-08   0.00000E+00   5.12727E+07   3.74443E+07
+   2.66997E+07   1.90387E+07   1.35568E+07   9.65249E+06   6.86266E+06
+   4.87856E+06   3.46292E+06   2.45769E+06   1.74159E+06   1.23391E+06
+   8.72833E+05   6.17279E+05   4.35834E+05   3.07643E+05   2.16793E+05
+   1.52727E+05   1.07411E+05   7.55166E+04   5.30020E+04   3.71883E+04
+   2.60487E+04   1.82411E+04   1.27530E+04   8.91339E+03   6.22304E+03
+   4.32121E+03   3.01461E+03   2.10442E+03   1.46838E+03   1.02601E+03
+   7.16920E+02   5.02295E+02   3.52706E+02   2.48820E+02   1.76273E+02
+   1.25738E+02   9.03147E+01   6.54874E+01   4.79439E+01   3.55154E+01
+   2.66183E+01   2.02056E+01   1.55433E+01   1.21093E+01   9.54496E+00
+   7.60861E+00   6.12266E+00   4.96855E+00   4.05906E+00   3.33416E+00
+   2.75265E+00   2.27645E+00   1.88733E+00   1.56635E+00   1.30035E+00
+   1.07906E+00   8.94300E-01   7.41267E-01   6.11909E-01   5.04035E-01
+   4.13887E-01   3.38602E-01   2.75796E-01   2.23484E-01   1.80148E-01
+   1.44256E-01   1.14802E-01   9.05497E-02   7.09915E-02   5.49843E-02
+   4.21629E-02   3.19467E-02   2.39069E-02   1.76280E-02   1.28020E-02
+   9.12796E-03   6.38886E-03   4.36362E-03   2.91836E-03   1.88935E-03
+   1.18526E-03   7.15023E-04   4.13340E-04   2.26329E-04   1.16796E-04
+   5.56147E-05   2.43528E-05   9.51691E-06   3.30556E-06   1.00052E-06
+   2.73728E-07   6.37171E-08   1.00908E-08   0.00000E+00   6.13786E+07
+   4.47115E+07   3.17821E+07   2.25904E+07   1.60347E+07   1.13794E+07
+   8.06407E+06   5.71342E+06   4.04198E+06   2.85881E+06   2.01889E+06
+   1.42533E+06   1.00470E+06   7.07964E+05   4.98056E+05   3.50257E+05
+   2.45905E+05   1.72574E+05   1.20904E+05   8.46688E+04   5.91914E+04
+   4.13626E+04   2.88548E+04   2.01216E+04   1.40085E+04   9.74850E+03
+   6.77661E+03   4.68424E+03   3.25321E+03   2.26050E+03   1.56996E+03
+   1.09176E+03   7.59199E+02   5.29299E+02   3.69836E+02   2.59595E+02
+   1.82989E+02   1.29871E+02   9.28218E+01   6.69741E+01   4.87987E+01
+   3.59797E+01   2.68458E+01   2.02895E+01   1.55430E+01   1.20596E+01
+   9.46802E+00   7.51731E+00   6.02531E+00   4.87000E+00   3.96260E+00
+   3.24167E+00   2.66543E+00   2.19520E+00   1.81246E+00   1.49795E+00
+   1.23837E+00   1.02332E+00   8.44508E-01   6.97038E-01   5.72922E-01
+   4.69880E-01   3.84156E-01   3.12893E-01   2.53716E-01   2.04660E-01
+   1.64214E-01   1.30880E-01   1.03660E-01   8.13612E-02   6.34710E-02
+   4.89087E-02   3.73081E-02   2.81172E-02   2.09258E-02   1.53433E-02
+   1.10783E-02   7.85190E-03   5.46183E-03   3.70656E-03   2.46244E-03
+   1.58311E-03   9.85899E-04   5.90223E-04   3.38452E-04   1.83766E-04
+   9.39983E-05   4.43574E-05   1.92516E-05   7.46524E-06   2.57940E-06
+   7.80188E-07   2.13634E-07   4.96009E-08   7.90216E-09   0.00000E+00

=== added file 'Template/lib/Pdfdata/cteq6l.tbl'
--- Template/lib/Pdfdata/cteq6l.tbl	1970-01-01 00:00:00 +0000
+++ Template/lib/Pdfdata/cteq6l.tbl	2010-10-30 03:26:37 +0000
@@ -0,0 +1,3102 @@
+ Parton Distribution Table : cteq6l                                           
+  Ordr, Nfl, lambda        Qmass 1,  2,  3,         4,  5,  6
+    2.    5. 0.2260    0.000    0.000    0.200    1.300    4.500  180.000
+   NX,  NT,  NfMx
+   95   19    5
+QINI, QMAX, (QV(I), I =0, NT)
+ 1.30000E+00 1.00000E+04
+ 1.30000E+00 1.53106E+00 1.83098E+00 2.22659E+00 2.75766E+00 3.48439E+00
+ 4.50000E+00 6.12359E+00 8.60159E+00 1.25127E+01 1.89184E+01 2.98475E+01
+ 4.93546E+01 8.59491E+01 1.58477E+02 3.11214E+02 6.55142E+02 1.48904E+03
+ 3.68299E+03 1.00000E+04
+XMIN, (XV(I), I =0, NX)
+ 1.00000E-06
+ 0.00000E+00 1.00000E-06 1.28121E-06 1.64152E-06 2.10317E-06 2.69463E-06
+ 3.45242E-06 4.42329E-06 5.66715E-06 7.26076E-06 9.30241E-06 1.19180E-05
+ 1.52689E-05 1.95617E-05 2.50609E-05 3.21053E-05 4.11287E-05 5.26863E-05
+ 6.74889E-05 8.64459E-05 1.10720E-04 1.41800E-04 1.81585E-04 2.32503E-04
+ 2.97652E-04 3.80981E-04 4.87518E-04 6.26039E-04 8.00452E-04 1.02297E-03
+ 1.30657E-03 1.66759E-03 2.12729E-03 2.71054E-03 3.44865E-03 4.37927E-03
+ 5.54908E-03 7.01192E-03 8.83064E-03 1.10763E-02 1.38266E-02 1.71641E-02
+ 2.11717E-02 2.59364E-02 3.15062E-02 3.79623E-02 4.53425E-02 5.36750E-02
+ 6.29705E-02 7.32221E-02 8.44039E-02 9.64793E-02 1.09332E-01 1.23067E-01
+ 1.37507E-01 1.52639E-01 1.68416E-01 1.84794E-01 2.01731E-01 2.19016E-01
+ 2.36948E-01 2.55242E-01 2.73927E-01 2.92954E-01 3.12340E-01 3.32036E-01
+ 3.52019E-01 3.72282E-01 3.92772E-01 4.13533E-01 4.34326E-01 4.55495E-01
+ 4.76836E-01 4.98342E-01 5.20006E-01 5.41818E-01 5.63773E-01 5.85861E-01
+ 6.08077E-01 6.30459E-01 6.52800E-01 6.75387E-01 6.98063E-01 7.20830E-01
+ 7.43683E-01 7.66623E-01 7.89636E-01 8.12791E-01 8.35940E-01 8.59175E-01
+ 8.82485E-01 9.05866E-01 9.29311E-01 9.52817E-01 9.76387E-01 1.00000E+00
+Parton Distribution Table:
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   3.42571E+06   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   2.32774E-11   1.16529E-11   0.00000E+00
+   0.00000E+00   0.00000E+00   2.91323E-12   2.91323E-12   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   3.64153E-13
+   3.64153E-13   0.00000E+00   1.82077E-13   1.81855E-13   0.00000E+00
+   4.55191E-14   0.00000E+00   0.00000E+00   4.54636E-14   0.00000E+00
+   2.27318E-14   2.27318E-14   0.00000E+00   0.00000E+00   5.68295E-15
+   0.00000E+00   1.42247E-15   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   7.10369E-16   0.00000E+00   0.00000E+00
+   0.00000E+00   3.55185E-16   8.89046E-17   0.00000E+00   0.00000E+00
+   0.00000E+00   4.44523E-17   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   2.22261E-17   0.00000E+00   2.22261E-17   2.22261E-17
+   2.21990E-17   0.00000E+00   0.00000E+00   0.00000E+00   2.21990E-17
+   1.10995E-17   0.00000E+00   1.10995E-17   1.10995E-17   0.00000E+00
+   0.00000E+00   2.77827E-18   0.00000E+00   5.54976E-18   1.38913E-18
+   0.00000E+00   1.38913E-18   1.38913E-18   1.38744E-18   0.00000E+00
+   0.00000E+00   6.93720E-19   3.47284E-19   6.93720E-19   3.46860E-19
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   4.33575E-20   0.00000E+00   5.42630E-21   1.35658E-21   3.39144E-22
+   0.00000E+00   0.00000E+00   1.12761E+06   8.40178E+05   6.13617E+05
+   4.47926E+05   3.26760E+05   2.38207E+05   1.73529E+05   1.26318E+05
+   9.18817E+04   6.67798E+04   4.84954E+04   3.51868E+04   2.55076E+04
+   1.84735E+04   1.33661E+04   9.66087E+03   6.97532E+03   5.03067E+03
+   3.62394E+03   2.60738E+03   1.87357E+03   1.34448E+03   9.63436E+02
+   6.89359E+02   4.92479E+02   3.51250E+02   2.50112E+02   1.76836E+02
+   1.25475E+02   8.88552E+01   6.27933E+01   4.42790E+01   3.11350E+01
+   2.18429E+01   1.52887E+01   1.06785E+01   7.44066E+00   5.17378E+00
+   3.59083E+00   2.48836E+00   1.72250E+00   1.19173E+00   8.24654E-01
+   5.70866E-01   3.96309E-01   2.75688E-01   1.92389E-01   1.34760E-01
+   9.47860E-02   6.69684E-02   4.75395E-02   3.39081E-02   2.43429E-02
+   1.75149E-02   1.26657E-02   9.19174E-03   6.69055E-03   4.88118E-03
+   3.56647E-03   2.61635E-03   1.91401E-03   1.40157E-03   1.02541E-03
+   7.49231E-04   5.45875E-04   3.96391E-04   2.86615E-04   2.06058E-04
+   1.47203E-04   1.04175E-04   7.31726E-05   5.05554E-05   3.43289E-05
+   2.27723E-05   1.46199E-05   8.93801E-06   5.04157E-06   2.42349E-06
+   7.26940E-07   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   2.60968E+06   1.93999E+06
+   1.41294E+06   1.02852E+06   7.48177E+05   5.43853E+05   3.95033E+05
+   2.86713E+05   2.07927E+05   1.50665E+05   1.09077E+05   7.88967E+04
+   5.70131E+04   4.11588E+04   2.96827E+04   2.13835E+04   1.53875E+04
+   1.10598E+04   7.93955E+03   5.69228E+03   4.07562E+03   2.91399E+03
+   2.08038E+03   1.48291E+03   1.05530E+03   7.49692E+02   5.31687E+02
+   3.74352E+02   2.64512E+02   1.86516E+02   1.31235E+02   9.21293E+01
+   6.44867E+01   4.50312E+01   3.13703E+01   2.18054E+01   1.51197E+01
+   1.04613E+01   7.22431E+00   4.98105E+00   3.43055E+00   2.36145E+00
+   1.62585E+00   1.11986E+00   7.73613E-01   5.35550E-01   3.71963E-01
+   2.59337E-01   1.81587E-01   1.27733E-01   9.02898E-02   6.41331E-02
+   4.58575E-02   3.28653E-02   2.36753E-02   1.71174E-02   1.24138E-02
+   9.02431E-03   6.57023E-03   4.80327E-03   3.50183E-03   2.55575E-03
+   1.86382E-03   1.35766E-03   9.86387E-04   7.14523E-04   5.15670E-04
+   3.70353E-04   2.64618E-04   1.87655E-04   1.32443E-04   9.23351E-05
+   6.36731E-05   4.33265E-05   2.90003E-05   1.90115E-05   1.21299E-05
+   7.45819E-06   4.34727E-06   2.31798E-06   1.04852E-06   2.80276E-07
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   4.52063E+06
+   3.35264E+06   2.43488E+06   1.76735E+06   1.28189E+06   9.29079E+05
+   6.72843E+05   4.86881E+05   3.52018E+05   2.54288E+05   1.83523E+05
+   1.32326E+05   9.53169E+04   6.85879E+04   4.93015E+04   3.53985E+04
+   2.53865E+04   1.81840E+04   1.30084E+04   9.29338E+03   6.63005E+03
+   4.72303E+03   3.35936E+03   2.38552E+03   1.69110E+03   1.19662E+03
+   8.45262E+02   5.92673E+02   4.17038E+02   2.92823E+02   2.05144E+02
+   1.43381E+02   9.99101E+01   6.94481E+01   4.81546E+01   3.33136E+01
+   2.29883E+01   1.58281E+01   1.08767E+01   7.46208E+00   5.11368E+00
+   3.50249E+00   2.39950E+00   1.64460E+00   1.13060E+00   7.78949E-01
+   5.38487E-01   3.73727E-01   2.60521E-01   1.82465E-01   1.28440E-01
+   9.08602E-02   6.47139E-02   4.62020E-02   3.31594E-02   2.38881E-02
+   1.72632E-02   1.25070E-02   9.07535E-03   6.61332E-03   4.80618E-03
+   3.49696E-03   2.54265E-03   1.84689E-03   1.33822E-03   9.66975E-04
+   6.96322E-04   4.99176E-04   3.56199E-04   2.52456E-04   1.78265E-04
+   1.24533E-04   8.62427E-05   5.91275E-05   4.00702E-05   2.67937E-05
+   1.76396E-05   1.14048E-05   7.21646E-06   4.44496E-06   2.66262E-06
+   1.52885E-06   8.34976E-07   4.26596E-07   1.98401E-07   8.05385E-08
+   2.61692E-08   6.03813E-09   2.17212E-09   4.06041E-09   6.31958E-09
+   6.75941E-09   5.32925E-09   2.64762E-09   2.89092E-10   0.00000E+00
+   6.94640E+06   5.13929E+06   3.72163E+06   2.69344E+06   1.94783E+06
+   1.40751E+06   1.01625E+06   7.33128E+05   5.28420E+05   3.80524E+05
+   2.73762E+05   1.96759E+05   1.41271E+05   1.01322E+05   7.25895E+04
+   5.19441E+04   3.71255E+04   2.65007E+04   1.88915E+04   1.34484E+04
+   9.55969E+03   6.78505E+03   4.80805E+03   3.40134E+03   2.40193E+03
+   1.69292E+03   1.19108E+03   8.31713E+02   5.82828E+02   4.07514E+02
+   2.84272E+02   1.97820E+02   1.37231E+02   9.49588E+01   6.55405E+01
+   4.51295E+01   3.09943E+01   2.12380E+01   1.45234E+01   9.91532E+00
+   6.76154E+00   4.60843E+00   3.14176E+00   2.14291E+00   1.46615E+00
+   1.00539E+00   6.91833E-01   4.78001E-01   3.31754E-01   2.31370E-01
+   1.62197E-01   1.14282E-01   8.10833E-02   5.76718E-02   4.12412E-02
+   2.96058E-02   2.13218E-02   1.53965E-02   1.11357E-02   8.08946E-03
+   5.86096E-03   4.25183E-03   3.08269E-03   2.23301E-03   1.61377E-03
+   1.16321E-03   8.35738E-04   5.97917E-04   4.25961E-04   3.01539E-04
+   2.12809E-04   1.48718E-04   1.03159E-04   7.09678E-05   4.83825E-05
+   3.26653E-05   2.18291E-05   1.44371E-05   9.44949E-06   6.12306E-06
+   3.95249E-06   2.53706E-06   1.63397E-06   1.06426E-06   7.06948E-07
+   4.82673E-07   3.38276E-07   2.41467E-07   1.73052E-07   1.21427E-07
+   8.08620E-08   4.89323E-08   2.51245E-08   9.04726E-09   1.04102E-09
+   0.00000E+00   9.98309E+06   7.36801E+06   5.31988E+06   3.83870E+06
+   2.76774E+06   1.99393E+06   1.43526E+06   1.03221E+06   7.41665E+05
+   5.32401E+05   3.81806E+05   2.73529E+05   1.95750E+05   1.39932E+05
+   9.99158E+04   7.12569E+04   5.07544E+04   3.61035E+04   2.56466E+04
+   1.81922E+04   1.28851E+04   9.11180E+03   6.43284E+03   4.53357E+03
+   3.18919E+03   2.23899E+03   1.56904E+03   1.09116E+03   7.61506E+02
+   5.30228E+02   3.68307E+02   2.55194E+02   1.76254E+02   1.21416E+02
+   8.34205E+01   5.71765E+01   3.90845E+01   2.66549E+01   1.81407E+01
+   1.23253E+01   8.36443E+00   5.67339E+00   3.84924E+00   2.61295E+00
+   1.77936E+00   1.21455E+00   8.31985E-01   5.72301E-01   3.95498E-01
+   2.74676E-01   1.91780E-01   1.34596E-01   9.51360E-02   6.74182E-02
+   4.80395E-02   3.43671E-02   2.46679E-02   1.77552E-02   1.28010E-02
+   9.27085E-03   6.69686E-03   4.84424E-03   3.50242E-03   2.53025E-03
+   1.82389E-03   1.31147E-03   9.40134E-04   6.71220E-04   4.77345E-04
+   3.37431E-04   2.37917E-04   1.66216E-04   1.15367E-04   7.95115E-05
+   5.43995E-05   3.69444E-05   2.49151E-05   1.67017E-05   1.11449E-05
+   7.41874E-06   4.96368E-06   3.33696E-06   2.27258E-06   1.57510E-06
+   1.11330E-06   8.01555E-07   5.82912E-07   4.23120E-07   3.02306E-07
+   2.08048E-07   1.34221E-07   7.79698E-08   3.80212E-08   1.29019E-08
+   1.49997E-09   0.00000E+00   1.37371E+07   1.01138E+07   7.28074E+06
+   5.23790E+06   3.76516E+06   2.70423E+06   1.94054E+06   1.39126E+06
+   9.96514E+05   7.13074E+05   5.09735E+05   3.63995E+05   2.59639E+05
+   1.84990E+05   1.31646E+05   9.35677E+04   6.64175E+04   4.70814E+04
+   3.33274E+04   2.35564E+04   1.66243E+04   1.17130E+04   8.23862E+03
+   5.78436E+03   4.05353E+03   2.83471E+03   1.97870E+03   1.37047E+03
+   9.52549E+02   6.60513E+02   4.56880E+02   3.15214E+02   2.16762E+02
+   1.48662E+02   1.01682E+02   6.93763E+01   4.72055E+01   3.20432E+01
+   2.17053E+01   1.46774E+01   9.91340E+00   6.69210E+00   4.51899E+00
+   3.05322E+00   2.06960E+00   1.40626E+00   9.59032E-01   6.56836E-01
+   4.52004E-01   3.12634E-01   2.17419E-01   1.52002E-01   1.07041E-01
+   7.55812E-02   5.36682E-02   3.82638E-02   2.73747E-02   1.96410E-02
+   1.41165E-02   1.01931E-02   7.34154E-03   5.29559E-03   3.81829E-03
+   2.75119E-03   1.97814E-03   1.41897E-03   1.01491E-03   7.23103E-04
+   5.13312E-04   3.62297E-04   2.55161E-04   1.78155E-04   1.23666E-04
+   8.53226E-05   5.85134E-05   3.99013E-05   2.70817E-05   1.83236E-05
+   1.23870E-05   8.38928E-06   5.73577E-06   3.95661E-06   2.77153E-06
+   1.97517E-06   1.43047E-06   1.04817E-06   7.69461E-07   5.59001E-07
+   3.96634E-07   2.69312E-07   1.70470E-07   9.66636E-08   4.56759E-08
+   1.49226E-08   1.74617E-09   0.00000E+00   1.83250E+07   1.34585E+07
+   9.65964E+06   6.92844E+06   4.96528E+06   3.55527E+06   2.54337E+06
+   1.81777E+06   1.29791E+06   9.25794E+05   6.59673E+05   4.69537E+05
+   3.33825E+05   2.37059E+05   1.68136E+05   1.19099E+05   8.42509E+04
+   5.95161E+04   4.19820E+04   2.95683E+04   2.07921E+04   1.45962E+04
+   1.02287E+04   7.15475E+03   4.99483E+03   3.47947E+03   2.41928E+03
+   1.66887E+03   1.15529E+03   7.97826E+02   5.49569E+02   3.77562E+02
+   2.58522E+02   1.76530E+02   1.20210E+02   8.16497E+01   5.53044E+01
+   3.73686E+01   2.51954E+01   1.69581E+01   1.14003E+01   7.65994E+00
+   5.14856E+00   3.46257E+00   2.33645E+00   1.58050E+00   1.07317E+00
+   7.31878E-01   5.01559E-01   3.45514E-01   2.39351E-01   1.66702E-01
+   1.16966E-01   8.22963E-02   5.82362E-02   4.13826E-02   2.95103E-02
+   2.11074E-02   1.51241E-02   1.08887E-02   7.81997E-03   5.62503E-03
+   4.04492E-03   2.90692E-03   2.08490E-03   1.49199E-03   1.06475E-03
+   7.57036E-04   5.36413E-04   3.77996E-04   2.65889E-04   1.85499E-04
+   1.28742E-04   8.88812E-05   6.10582E-05   4.17660E-05   2.84862E-05
+   1.94100E-05   1.32484E-05   9.08422E-06   6.30326E-06   4.42068E-06
+   3.14920E-06   2.27883E-06   1.67011E-06   1.23232E-06   9.06266E-07
+   6.56168E-07   4.61875E-07   3.09851E-07   1.93052E-07   1.07325E-07
+   4.94193E-08   1.56513E-08   1.84118E-09   0.00000E+00   2.38735E+07
+   1.74905E+07   1.25161E+07   8.95025E+06   6.39477E+06   4.56482E+06
+   3.25550E+06   2.31948E+06   1.65094E+06   1.17387E+06   8.33757E+05
+   5.91525E+05   4.19180E+05   2.96688E+05   2.09726E+05   1.48058E+05
+   1.04380E+05   7.34813E+04   5.16521E+04   3.62506E+04   2.54000E+04
+   1.77665E+04   1.24047E+04   8.64458E+03   6.01216E+03   4.17209E+03
+   2.88965E+03   1.98539E+03   1.36893E+03   9.41541E+02   6.45902E+02
+   4.41895E+02   3.01290E+02   2.04848E+02   1.38885E+02   9.39180E+01
+   6.33297E+01   4.25978E+01   2.85903E+01   1.91550E+01   1.28181E+01
+   8.57299E+00   5.73600E+00   3.84019E+00   2.57973E+00   1.73744E+00
+   1.17467E+00   7.97754E-01   5.44480E-01   3.73600E-01   2.57819E-01
+   1.78897E-01   1.25075E-01   8.76944E-02   6.18470E-02   4.38048E-02
+   3.11385E-02   2.22038E-02   1.58619E-02   1.13869E-02   8.15459E-03
+   5.84967E-03   4.19528E-03   3.00724E-03   2.15153E-03   1.53603E-03
+   1.09373E-03   7.76024E-04   5.48847E-04   3.86124E-04   2.71253E-04
+   1.89071E-04   1.31176E-04   9.05965E-05   6.23184E-05   4.27349E-05
+   2.92629E-05   2.00525E-05   1.37916E-05   9.54659E-06   6.69636E-06
+   4.75098E-06   3.42198E-06   2.49894E-06   1.84271E-06   1.36282E-06
+   1.00078E-06   7.20864E-07   5.03128E-07   3.33650E-07   2.04872E-07
+   1.11859E-07   5.03126E-08   1.54978E-08   1.83186E-09   0.00000E+00
+   3.05184E+07   2.23042E+07   1.59132E+07   1.13455E+07   8.08159E+06
+   5.75134E+06   4.08907E+06   2.90435E+06   2.06075E+06   1.46062E+06
+   1.03412E+06   7.31309E+05   5.16551E+05   3.64404E+05   2.56739E+05
+   1.80639E+05   1.26917E+05   8.90408E+04   6.23723E+04   4.36208E+04
+   3.04557E+04   2.12262E+04   1.47665E+04   1.02525E+04   7.10382E+03
+   4.91089E+03   3.38833E+03   2.31883E+03   1.59254E+03   1.09096E+03
+   7.45370E+02   5.07848E+02   3.44809E+02   2.33443E+02   1.57591E+02
+   1.06104E+02   7.12317E+01   4.76998E+01   3.18711E+01   2.12568E+01
+   1.41603E+01   9.42803E+00   6.27983E+00   4.18559E+00   2.79948E+00
+   1.87733E+00   1.26392E+00   8.54838E-01   5.81109E-01   3.97186E-01
+   2.73067E-01   1.88786E-01   1.31525E-01   9.19009E-02   6.45989E-02
+   4.56067E-02   3.23181E-02   2.29754E-02   1.63644E-02   1.17142E-02
+   8.36552E-03   5.98473E-03   4.28085E-03   3.06078E-03   2.18446E-03
+   1.55587E-03   1.10539E-03   7.82663E-04   5.52508E-04   3.88052E-04
+   2.72240E-04   1.89577E-04   1.31468E-04   9.08174E-05   6.25367E-05
+   4.29751E-05   2.95267E-05   2.03299E-05   1.40705E-05   9.81376E-06
+   6.94156E-06   4.96686E-06   3.60455E-06   2.64711E-06   1.95775E-06
+   1.44761E-06   1.05965E-06   7.58613E-07   5.24846E-07   3.44127E-07
+   2.08369E-07   1.11827E-07   4.91944E-08   1.47684E-08   1.75351E-09
+   0.00000E+00   3.84047E+07   2.79999E+07   1.99177E+07   1.41581E+07
+   1.00548E+07   7.13387E+06   5.05649E+06   3.58039E+06   2.53252E+06
+   1.78936E+06   1.26284E+06   8.90198E+05   6.26746E+05   4.40698E+05
+   3.09467E+05   2.17013E+05   1.51960E+05   1.06247E+05   7.41691E+04
+   5.16906E+04   3.59629E+04   2.49753E+04   1.73120E+04   1.19760E+04
+   8.26728E+03   5.69369E+03   3.91354E+03   2.66781E+03   1.82509E+03
+   1.24533E+03   8.47429E+02   5.75039E+02   3.88818E+02   2.62137E+02
+   1.76212E+02   1.18133E+02   7.89631E+01   5.26457E+01   3.50207E+01
+   2.32540E+01   1.54220E+01   1.02225E+01   6.77908E+00   4.49862E+00
+   2.99593E+00   2.00059E+00   1.34134E+00   9.03545E-01   6.11809E-01
+   4.16575E-01   2.85341E-01   1.96563E-01   1.36470E-01   9.50351E-02
+   6.65841E-02   4.68592E-02   3.31034E-02   2.34636E-02   1.66633E-02
+   1.18946E-02   8.47077E-03   6.04377E-03   4.31180E-03   3.07511E-03
+   2.18932E-03   1.55567E-03   1.10279E-03   7.79192E-04   5.49022E-04
+   3.84955E-04   2.69695E-04   1.87615E-04   1.30041E-04   8.98409E-05
+   6.19194E-05   4.26294E-05   2.93756E-05   2.03095E-05   1.41317E-05
+   9.91824E-06   7.06217E-06   5.08551E-06   3.71009E-06   2.73381E-06
+   2.02382E-06   1.49386E-06   1.08886E-06   7.74299E-07   5.30902E-07
+   3.44201E-07   2.05580E-07   1.08498E-07   4.67191E-08   1.36890E-08
+   1.63237E-09   0.00000E+00   4.76853E+07   3.46828E+07   2.45990E+07
+   1.74339E+07   1.23442E+07   8.73180E+06   6.17030E+06   4.35566E+06
+   3.07136E+06   2.16331E+06   1.52195E+06   1.06944E+06   7.50523E+05
+   5.26022E+05   3.68175E+05   2.57328E+05   1.79588E+05   1.25141E+05
+   8.70604E+04   6.04657E+04   4.19214E+04   2.90106E+04   2.00374E+04
+   1.38112E+04   9.49928E+03   6.51782E+03   4.46323E+03   3.03078E+03
+   2.06543E+03   1.40383E+03   9.51509E+02   6.43077E+02   4.33054E+02
+   2.90757E+02   1.94636E+02   1.29933E+02   8.64800E+01   5.74090E+01
+   3.80237E+01   2.51381E+01   1.65988E+01   1.09547E+01   7.23321E+00
+   4.77941E+00   3.16951E+00   2.10774E+00   1.40744E+00   9.44318E-01
+   6.36952E-01   4.32071E-01   2.94883E-01   2.02419E-01   1.40058E-01
+   9.72099E-02   6.78889E-02   4.76281E-02   3.35444E-02   2.37062E-02
+   1.67868E-02   1.19493E-02   8.48639E-03   6.03878E-03   4.29705E-03
+   3.05687E-03   2.17103E-03   1.53906E-03   1.08858E-03   7.67542E-04
+   5.39790E-04   3.77839E-04   2.64341E-04   1.83699E-04   1.27255E-04
+   8.79194E-05   6.06420E-05   4.18190E-05   2.88934E-05   2.00492E-05
+   1.40153E-05   9.88832E-06   7.07865E-06   5.12221E-06   3.75044E-06
+   2.76851E-06   2.04870E-06   1.50802E-06   1.09372E-06   7.72219E-07
+   5.24650E-07   3.36349E-07   1.98192E-07   1.02890E-07   4.33902E-08
+   1.24231E-08   1.48762E-09   0.00000E+00   5.85200E+07   4.24621E+07
+   3.00286E+07   2.12195E+07   1.49801E+07   1.05647E+07   7.44302E+06
+   5.23811E+06   3.68229E+06   2.58559E+06   1.81336E+06   1.27019E+06
+   8.88573E+05   6.20778E+05   4.33088E+05   3.01706E+05   2.09864E+05
+   1.45748E+05   1.01055E+05   6.99456E+04   4.83265E+04   3.33264E+04
+   2.29370E+04   1.57534E+04   1.07958E+04   7.38018E+03   5.03503E+03
+   3.40605E+03   2.31235E+03   1.56561E+03   1.05703E+03   7.11568E+02
+   4.77254E+02   3.19133E+02   2.12753E+02   1.41437E+02   9.37419E+01
+   6.19662E+01   4.08672E+01   2.69023E+01   1.76876E+01   1.16233E+01
+   7.64214E+00   5.02835E+00   3.32081E+00   2.19936E+00   1.46278E+00
+   9.77628E-01   6.56922E-01   4.43977E-01   3.01928E-01   2.06535E-01
+   1.42428E-01   9.85316E-02   6.85937E-02   4.79741E-02   3.36866E-02
+   2.37373E-02   1.67606E-02   1.18977E-02   8.42665E-03   5.98036E-03
+   4.24447E-03   3.01188E-03   2.13387E-03   1.50916E-03   1.06505E-03
+   7.49375E-04   5.26011E-04   3.67565E-04   2.56791E-04   1.78264E-04
+   1.23417E-04   8.52668E-05   5.88532E-05   4.06469E-05   2.81510E-05
+   1.95982E-05   1.37558E-05   9.74857E-06   7.00903E-06   5.09058E-06
+   3.73622E-06   2.75977E-06   2.03939E-06   1.49585E-06   1.07895E-06
+   7.56132E-07   5.08970E-07   3.22653E-07   1.87587E-07   9.58096E-08
+   3.95881E-08   1.10863E-08   1.33297E-09   0.00000E+00   7.10742E+07
+   5.14506E+07   3.62800E+07   2.55624E+07   1.79930E+07   1.26520E+07
+   8.88699E+06   6.23550E+06   4.37012E+06   3.05917E+06   2.13886E+06
+   1.49351E+06   1.04151E+06   7.25313E+05   5.04393E+05   3.50241E+05
+   2.42827E+05   1.68083E+05   1.16151E+05   8.01233E+04   5.51696E+04
+   3.79141E+04   2.60034E+04   1.77963E+04   1.21522E+04   8.27724E+03
+   5.62640E+03   3.79177E+03   2.56458E+03   1.72980E+03   1.16338E+03
+   7.80115E+02   5.21163E+02   3.47101E+02   2.30462E+02   1.52584E+02
+   1.00712E+02   6.62965E+01   4.35399E+01   2.85412E+01   1.86862E+01
+   1.22280E+01   8.00617E+00   5.24610E+00   3.45055E+00   2.27616E+00
+   1.50793E+00   1.00396E+00   6.72103E-01   4.52594E-01   3.06708E-01
+   2.09087E-01   1.43713E-01   9.90995E-02   6.87731E-02   4.79528E-02
+   3.35715E-02   2.35880E-02   1.66077E-02   1.17567E-02   8.30419E-03
+   5.87787E-03   4.16095E-03   2.94519E-03   2.08153E-03   1.46869E-03
+   1.03416E-03   7.26112E-04   5.08708E-04   3.54864E-04   2.47567E-04
+   1.71678E-04   1.18785E-04   8.20637E-05   5.66785E-05   3.91999E-05
+   2.72089E-05   1.89985E-05   1.33828E-05   9.52033E-06   6.86913E-06
+   5.00269E-06   3.67695E-06   2.71527E-06   2.00217E-06   1.46252E-06
+   1.04870E-06   7.29303E-07   4.86316E-07   3.04843E-07   1.74879E-07
+   8.78867E-08   3.55940E-08   9.75776E-09   1.17794E-09   0.00000E+00
+   1.74742E+06   2.21434E-05   1.72831E-05   1.34895E-05   1.05286E-05
+   8.21758E-06   6.41387E-06   5.00609E-06   3.90733E-06   3.04975E-06
+   2.38040E-06   1.85799E-06   1.45024E-06   1.13200E-06   8.83603E-07
+   6.89732E-07   5.38414E-07   4.20308E-07   3.28125E-07   2.56175E-07
+   2.00015E-07   1.56181E-07   1.21967E-07   9.52612E-08   7.44155E-08
+   5.81440E-08   4.54426E-08   3.53926E-08   2.76857E-08   2.16683E-08
+   1.69699E-08   1.33008E-08   1.04314E-08   8.19151E-09   6.44306E-09
+   5.07859E-09   4.01266E-09   3.18018E-09   2.52980E-09   2.02144E-09
+   1.62379E-09   1.31243E-09   1.06827E-09   8.76189E-10   7.25319E-10
+   6.05867E-10   5.11010E-10   4.35293E-10   3.74502E-10   3.25388E-10
+   2.85454E-10   2.52760E-10   2.25933E-10   2.03492E-10   1.84772E-10
+   1.68992E-10   1.55597E-10   1.44149E-10   1.34301E-10   1.25859E-10
+   1.18439E-10   1.11980E-10   1.06310E-10   1.01315E-10   9.68864E-11
+   9.29520E-11   8.94451E-11   8.63080E-11   8.34990E-11   8.09707E-11
+   7.87141E-11   7.66617E-11   7.48103E-11   7.31379E-11   7.16260E-11
+   7.02584E-11   6.90212E-11   6.79023E-11   6.68912E-11   6.59768E-11
+   6.51584E-11   6.44180E-11   6.37548E-11   6.31630E-11   6.26372E-11
+   6.21729E-11   6.17662E-11   6.14122E-11   6.11100E-11   6.08550E-11
+   6.06449E-11   6.04772E-11   6.03499E-11   6.02610E-11   6.02089E-11
+   0.00000E+00   9.69838E+04   7.47839E+04   5.68741E+04   4.32544E+04
+   3.28952E+04   2.50161E+04   1.90233E+04   1.44655E+04   1.09990E+04
+   8.36259E+03   6.35765E+03   4.83296E+03   3.67355E+03   2.79196E+03
+   2.12166E+03   1.61205E+03   1.22464E+03   9.30153E+02   7.06324E+02
+   5.36219E+02   4.06960E+02   3.08754E+02   2.34153E+02   1.77494E+02
+   1.34472E+02   1.01812E+02   7.70276E+01   5.79738E+01   4.37841E+01
+   3.30286E+01   2.48815E+01   1.87144E+01   1.40440E+01   1.05185E+01
+   7.86081E+00   5.86158E+00   4.35928E+00   3.23353E+00   2.39216E+00
+   1.76516E+00   1.29938E+00   9.54517E-01   7.00038E-01   5.12622E-01
+   3.75576E-01   2.75121E-01   2.01703E-01   1.48080E-01   1.08912E-01
+   8.02825E-02   5.93325E-02   4.39698E-02   3.27278E-02   2.43771E-02
+   1.82170E-02   1.36413E-02   1.02308E-02   7.68095E-03   5.76850E-03
+   4.34343E-03   3.25862E-03   2.44433E-03   1.83005E-03   1.36698E-03
+   1.01727E-03   7.53836E-04   5.55835E-04   4.07214E-04   2.96362E-04
+   2.13677E-04   1.52957E-04   1.07853E-04   7.49382E-05   5.11008E-05
+   3.40112E-05   2.18877E-05   1.34256E-05   7.58183E-06   3.69063E-06
+   1.13394E-06   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   2.72498E+05   2.08808E+05   1.57649E+05
+   1.19020E+05   8.98487E+04   6.78202E+04   5.11868E+04   3.86282E+04
+   2.91471E+04   2.19899E+04   1.65877E+04   1.25106E+04   9.43391E+03
+   7.11249E+03   5.36119E+03   4.04018E+03   3.04392E+03   2.29270E+03
+   1.72635E+03   1.29948E+03   9.77795E+02   7.35439E+02   5.52897E+02
+   4.15445E+02   3.11977E+02   2.34116E+02   1.75555E+02   1.30937E+02
+   9.80109E+01   7.32791E+01   5.47154E+01   4.07919E+01   3.03443E+01
+   2.25300E+01   1.66936E+01   1.23432E+01   9.10371E+00   6.69802E+00
+   4.91594E+00   3.59945E+00   2.62979E+00   1.91779E+00   1.39663E+00
+   1.01580E+00   7.39399E-01   5.38251E-01   3.92252E-01   2.86318E-01
+   2.09426E-01   1.53558E-01   1.12911E-01   8.32648E-02   6.16843E-02
+   4.57340E-02   3.40243E-02   2.53671E-02   1.89438E-02   1.41630E-02
+   1.05924E-02   7.94333E-03   5.93543E-03   4.43472E-03   3.30750E-03
+   2.46150E-03   1.82543E-03   1.34853E-03   9.91730E-04   7.25318E-04
+   5.27509E-04   3.80759E-04   2.73557E-04   1.94353E-04   1.36841E-04
+   9.53919E-05   6.57749E-05   4.48142E-05   3.01383E-05   1.99780E-05
+   1.30418E-05   8.35487E-06   5.26156E-06   3.22413E-06   1.91489E-06
+   1.08843E-06   5.77904E-07   2.70011E-07   9.28858E-08   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   5.48944E+05   4.18509E+05
+   3.14100E+05   2.35718E+05   1.76867E+05   1.32686E+05   9.95227E+04
+   7.46336E+04   5.59573E+04   4.19453E+04   3.14346E+04   2.35519E+04
+   1.76413E+04   1.32103E+04   9.88940E+03   7.40097E+03   5.53683E+03
+   4.14073E+03   3.09546E+03   2.31308E+03   1.72766E+03   1.28976E+03
+   9.62330E+02   7.17590E+02   5.34734E+02   3.98165E+02   2.96242E+02
+   2.19191E+02   1.62780E+02   1.20743E+02   8.94421E+01   6.61546E+01
+   4.88225E+01   3.59650E+01   2.64405E+01   1.93992E+01   1.41989E+01
+   1.03685E+01   7.55386E+00   5.49110E+00   3.98366E+00   2.88525E+00
+   2.08727E+00   1.50837E+00   1.09117E+00   7.89600E-01   5.72133E-01
+   4.15325E-01   3.02185E-01   2.20448E-01   1.61308E-01   1.18395E-01
+   8.73147E-02   6.44530E-02   4.77470E-02   3.54513E-02   2.63680E-02
+   1.96364E-02   1.46290E-02   1.09294E-02   8.13642E-03   6.05724E-03
+   4.50165E-03   3.33872E-03   2.46781E-03   1.81739E-03   1.33267E-03
+   9.72196E-04   7.05582E-04   5.08552E-04   3.65178E-04   2.59652E-04
+   1.83302E-04   1.28461E-04   8.93837E-05   6.17856E-05   4.24685E-05
+   2.90898E-05   1.98928E-05   1.36228E-05   9.40710E-06   6.54322E-06
+   4.60817E-06   3.28971E-06   2.37430E-06   1.72720E-06   1.25456E-06
+   9.00800E-07   6.33036E-07   4.28205E-07   2.73238E-07   1.58958E-07
+   8.00754E-08   3.05091E-08   3.52433E-09   0.00000E+00   9.53123E+05
+   7.23465E+05   5.40180E+05   4.03268E+05   3.00988E+05   2.24593E+05
+   1.67546E+05   1.24955E+05   9.31641E+04   6.94411E+04   5.17427E+04
+   3.85426E+04   2.87001E+04   2.13634E+04   1.58961E+04   1.18233E+04
+   8.79032E+03   6.53244E+03   4.85221E+03   3.60233E+03   2.67296E+03
+   1.98220E+03   1.46902E+03   1.08795E+03   8.05132E+02   5.95321E+02
+   4.39814E+02   3.23077E+02   2.38216E+02   1.75428E+02   1.29013E+02
+   9.47322E+01   6.94060E+01   5.07577E+01   3.70466E+01   2.69863E+01
+   1.96120E+01   1.42209E+01   1.02889E+01   7.42859E+00   5.35350E+00
+   3.85227E+00   2.76930E+00   1.98900E+00   1.43038E+00   1.02917E+00
+   7.41632E-01   5.35527E-01   3.87665E-01   2.81427E-01   2.04962E-01
+   1.49755E-01   1.09962E-01   8.08276E-02   5.96327E-02   4.41004E-02
+   3.26742E-02   2.42414E-02   1.79929E-02   1.33946E-02   9.93637E-03
+   7.37181E-03   5.46023E-03   4.03647E-03   2.97414E-03   2.18365E-03
+   1.59669E-03   1.16175E-03   8.41202E-04   6.05117E-04   4.33909E-04
+   3.08310E-04   2.17720E-04   1.52837E-04   1.06716E-04   7.42056E-05
+   5.14728E-05   3.57282E-05   2.48751E-05   1.74426E-05   1.24005E-05
+   8.92586E-06   6.52744E-06   4.84429E-06   3.63070E-06   2.73485E-06
+   2.04833E-06   1.51016E-06   1.08506E-06   7.47483E-07   4.83687E-07
+   2.84041E-07   1.43369E-07   5.34744E-08   6.17056E-09   0.00000E+00
+   1.51607E+06   1.14624E+06   8.51876E+05   6.32977E+05   4.70186E+05
+   3.49153E+05   2.59192E+05   1.92345E+05   1.42688E+05   1.05811E+05
+   7.84355E+04   5.81191E+04   4.30471E+04   3.18698E+04   2.35839E+04
+   1.74439E+04   1.28960E+04   9.52870E+03   7.03673E+03   5.19339E+03
+   3.83053E+03   2.82342E+03   2.07962E+03   1.53058E+03   1.12555E+03
+   8.26920E+02   6.06976E+02   4.42919E+02   3.24432E+02   2.37336E+02
+   1.73376E+02   1.26453E+02   9.20222E+01   6.68433E+01   4.84583E+01
+   3.50622E+01   2.53112E+01   1.82321E+01   1.31050E+01   9.40095E+00
+   6.73214E+00   4.81440E+00   3.44013E+00   2.45635E+00   1.75647E+00
+   1.25687E+00   9.00933E-01   6.47244E-01   4.66239E-01   3.36871E-01
+   2.44229E-01   1.77662E-01   1.29906E-01   9.50959E-02   6.98819E-02
+   5.14814E-02   3.80003E-02   2.80907E-02   2.07756E-02   1.54129E-02
+   1.13947E-02   8.42586E-03   6.22086E-03   4.58438E-03   3.36764E-03
+   2.46537E-03   1.79772E-03   1.30464E-03   9.42474E-04   6.76567E-04
+   4.84338E-04   3.43739E-04   2.42617E-04   1.70376E-04   1.19141E-04
+   8.30882E-05   5.79075E-05   4.04695E-05   2.84344E-05   2.01687E-05
+   1.45315E-05   1.06141E-05   7.87801E-06   5.92813E-06   4.49729E-06
+   3.42076E-06   2.58091E-06   1.91239E-06   1.37793E-06   9.49892E-07
+   6.13575E-07   3.58694E-07   1.79329E-07   6.53760E-08   7.55862E-09
+   0.00000E+00   3.04887E+06   1.71263E+06   1.26736E+06   9.37623E+05
+   6.93425E+05   5.12636E+05   3.78837E+05   2.79847E+05   2.06637E+05
+   1.52513E+05   1.12515E+05   8.29681E+04   6.11505E+04   4.50472E+04
+   3.31669E+04   2.44063E+04   1.79493E+04   1.31925E+04   9.69021E+03
+   7.11288E+03   5.21736E+03   3.82411E+03   2.80068E+03   2.04940E+03
+   1.49827E+03   1.09422E+03   7.98373E+02   5.78998E+02   4.21510E+02
+   3.06447E+02   2.22466E+02   1.61239E+02   1.16594E+02   8.41548E+01
+   6.06210E+01   4.35846E+01   3.12648E+01   2.23794E+01   1.59861E+01
+   1.13974E+01   8.11262E+00   5.76730E+00   4.09722E+00   2.90904E+00
+   2.06884E+00   1.47257E+00   1.05015E+00   7.50725E-01   5.38211E-01
+   3.87092E-01   2.79404E-01   2.02383E-01   1.47377E-01   1.07457E-01
+   7.86617E-02   5.77331E-02   4.24602E-02   3.12772E-02   2.30523E-02
+   1.70449E-02   1.25599E-02   9.25785E-03   6.81389E-03   5.00628E-03
+   3.66684E-03   2.67689E-03   1.94677E-03   1.40926E-03   1.01574E-03
+   7.27653E-04   5.20008E-04   3.68556E-04   2.59916E-04   1.82488E-04
+   1.27689E-04   8.91899E-05   6.23320E-05   4.37359E-05   3.08941E-05
+   2.20559E-05   1.60063E-05   1.17786E-05   8.80349E-06   6.66337E-06
+   5.07767E-06   3.87258E-06   2.92506E-06   2.16647E-06   1.55800E-06
+   1.07031E-06   6.87628E-07   3.98910E-07   1.97013E-07   7.02126E-08
+   8.13885E-09   0.00000E+00   3.37677E+06   2.53448E+06   1.86735E+06
+   1.37540E+06   1.01263E+06   7.45223E+05   5.48183E+05   4.03053E+05
+   2.96204E+05   2.17571E+05   1.59730E+05   1.17203E+05   8.59502E+04
+   6.29945E+04   4.61419E+04   3.37765E+04   2.47085E+04   1.80626E+04
+   1.31948E+04   9.63154E+03   7.02499E+03   5.11954E+03   3.72764E+03
+   2.71161E+03   1.97053E+03   1.43037E+03   1.03722E+03   7.47455E+02
+   5.40718E+02   3.90609E+02   2.81739E+02   2.02873E+02   1.45740E+02
+   1.04499E+02   7.47793E+01   5.34090E+01   3.80595E+01   2.70642E+01
+   1.92066E+01   1.36052E+01   9.62248E+00   6.79791E+00   4.79986E+00
+   3.38754E+00   2.39518E+00   1.69525E+00   1.20237E+00   8.55021E-01
+   6.09871E-01   4.36486E-01   3.13573E-01   2.26099E-01   1.63929E-01
+   1.19018E-01   8.67681E-02   6.34303E-02   4.64708E-02   3.41042E-02
+   2.50442E-02   1.84527E-02   1.35503E-02   9.95427E-03   7.30230E-03
+   5.34772E-03   3.90433E-03   2.84107E-03   2.05941E-03   1.48572E-03
+   1.06699E-03   7.61284E-04   5.41539E-04   3.81683E-04   2.67315E-04
+   1.86021E-04   1.28655E-04   8.84890E-05   6.05941E-05   4.13879E-05
+   2.82566E-05   1.93288E-05   1.33360E-05   9.26471E-06   6.51121E-06
+   4.63151E-06   3.32665E-06   2.40398E-06   1.73292E-06   1.23361E-06
+   8.58489E-07   5.74023E-07   3.60697E-07   2.05502E-07   1.00035E-07
+   3.52946E-08   4.09610E-09   0.00000E+00   4.83458E+06   3.61594E+06
+   2.65303E+06   1.94585E+06   1.42649E+06   1.04524E+06   7.65500E+05
+   5.60333E+05   4.09932E+05   2.99732E+05   2.19030E+05   1.59960E+05
+   1.16747E+05   8.51531E+04   6.20671E+04   4.52082E+04   3.29045E+04
+   2.39311E+04   1.73910E+04   1.26277E+04   9.16104E+03   6.63997E+03
+   4.80806E+03   3.47798E+03   2.51311E+03   1.81369E+03   1.30751E+03
+   9.36580E+02   6.73480E+02   4.83570E+02   3.46655E+02   2.48074E+02
+   1.77100E+02   1.26188E+02   8.97299E+01   6.36820E+01   4.50933E+01
+   3.18638E+01   2.24709E+01   1.58185E+01   1.11192E+01   7.80783E+00
+   5.48028E+00   3.84532E+00   2.70354E+00   1.90302E+00   1.34257E+00
+   9.49814E-01   6.74125E-01   4.80162E-01   3.43360E-01   2.46470E-01
+   1.77932E-01   1.28644E-01   9.34072E-02   6.80156E-02   4.96399E-02
+   3.62951E-02   2.65559E-02   1.94978E-02   1.42681E-02   1.04461E-02
+   7.63782E-03   5.57542E-03   4.05778E-03   2.94370E-03   2.12749E-03
+   1.53045E-03   1.09614E-03   7.80058E-04   5.53575E-04   3.89322E-04
+   2.72157E-04   1.89111E-04   1.30666E-04   8.98444E-05   6.15571E-05
+   4.21142E-05   2.88382E-05   1.98164E-05   1.37575E-05   9.63300E-06
+   6.83283E-06   4.90929E-06   3.56261E-06   2.59960E-06   1.89021E-06
+   1.35526E-06   9.48169E-07   6.35970E-07   3.99739E-07   2.27025E-07
+   1.09438E-07   3.76995E-08   4.38800E-09   0.00000E+00   6.72125E+06
+   5.01024E+06   3.66132E+06   2.67451E+06   1.95264E+06   1.42484E+06
+   1.03912E+06   7.57384E+05   5.51704E+05   4.01631E+05   2.92194E+05
+   2.12436E+05   1.54342E+05   1.12055E+05   8.12942E+04   5.89321E+04
+   4.26872E+04   3.08945E+04   2.23403E+04   1.61399E+04   1.16494E+04
+   8.39988E+03   6.05050E+03   4.35338E+03   3.12862E+03   2.24547E+03
+   1.60979E+03   1.14650E+03   8.19722E+02   5.85170E+02   4.17034E+02
+   2.96675E+02   2.10530E+02   1.49104E+02   1.05383E+02   7.43367E+01
+   5.23174E+01   3.67437E+01   2.57554E+01   1.80217E+01   1.25925E+01
+   8.79046E+00   6.13446E+00   4.28003E+00   2.99264E+00   2.09526E+00
+   1.47052E+00   1.03511E+00   7.31095E-01   5.18298E-01   3.68954E-01
+   2.63682E-01   1.89556E-01   1.36486E-01   9.87082E-02   7.15987E-02
+   5.20593E-02   3.79259E-02   2.76502E-02   2.02314E-02   1.47547E-02
+   1.07668E-02   7.84697E-03   5.71015E-03   4.14318E-03   2.99677E-03
+   2.15968E-03   1.54935E-03   1.10683E-03   7.85741E-04   5.56372E-04
+   3.90511E-04   2.72534E-04   1.89134E-04   1.30584E-04   8.97802E-05
+   6.15598E-05   4.21900E-05   2.89764E-05   1.99973E-05   1.39610E-05
+   9.84203E-06   7.03389E-06   5.09281E-06   3.72297E-06   2.73371E-06
+   1.99754E-06   1.43697E-06   1.00682E-06   6.74934E-07   4.22948E-07
+   2.38770E-07   1.13780E-07   3.83727E-08   4.47906E-09   0.00000E+00
+   9.12273E+06   6.77852E+06   4.93442E+06   3.59042E+06   2.61101E+06
+   1.89764E+06   1.37833E+06   1.00051E+06   7.25787E+05   5.26142E+05
+   3.81150E+05   2.75915E+05   1.99587E+05   1.44263E+05   1.04190E+05
+   7.51865E+04   5.42098E+04   3.90503E+04   2.81038E+04   2.02060E+04
+   1.45130E+04   1.04128E+04   7.46262E+03   5.34197E+03   3.81916E+03
+   2.72662E+03   1.94429E+03   1.37713E+03   9.79220E+02   6.95149E+02
+   4.92628E+02   3.48460E+02   2.45856E+02   1.73114E+02   1.21638E+02
+   8.53000E+01   5.96802E+01   4.16682E+01   2.90359E+01   2.01987E+01
+   1.40321E+01   9.73949E+00   6.75863E+00   4.68955E+00   3.26141E+00
+   2.27150E+00   1.58613E+00   1.11099E+00   7.80957E-01   5.51100E-01
+   3.90565E-01   2.77925E-01   1.98970E-01   1.42688E-01   1.02791E-01
+   7.42784E-02   5.38092E-02   3.90612E-02   2.83782E-02   2.06942E-02
+   1.50421E-02   1.09412E-02   7.94898E-03   5.76673E-03   4.17182E-03
+   3.00883E-03   2.16240E-03   1.54722E-03   1.10258E-03   7.80903E-04
+   5.51790E-04   3.86579E-04   2.69381E-04   1.86740E-04   1.28858E-04
+   8.86005E-05   6.08055E-05   4.17492E-05   2.87581E-05   1.99272E-05
+   1.39825E-05   9.91449E-06   7.12888E-06   5.19145E-06   3.81401E-06
+   2.81068E-06   2.05809E-06   1.48109E-06   1.03621E-06   6.92237E-07
+   4.31258E-07   2.41334E-07   1.13384E-07   3.73961E-08   4.37904E-09
+   0.00000E+00   1.21351E+07   8.98887E+06   6.51900E+06   4.72552E+06
+   3.42335E+06   2.47843E+06   1.79315E+06   1.29647E+06   9.36712E+05
+   6.76294E+05   4.87911E+05   3.51731E+05   2.53357E+05   1.82346E+05
+   1.31125E+05   9.42080E+04   6.76223E+04   4.84923E+04   3.47394E+04
+   2.48610E+04   1.77723E+04   1.26903E+04   9.05082E+03   6.44695E+03
+   4.58612E+03   3.25752E+03   2.31094E+03   1.62816E+03   1.15160E+03
+   8.13149E+02   5.73127E+02   4.03178E+02   2.82884E+02   1.98070E+02
+   1.38388E+02   9.64957E+01   6.71287E+01   4.66015E+01   3.22887E+01
+   2.23342E+01   1.54284E+01   1.06492E+01   7.34948E+00   5.07211E+00
+   3.50900E+00   2.43145E+00   1.68938E+00   1.17762E+00   8.23929E-01
+   5.78801E-01   4.08410E-01   2.89397E-01   2.06342E-01   1.47389E-01
+   1.05772E-01   7.61485E-02   5.49648E-02   3.97605E-02   2.87871E-02
+   2.09229E-02   1.51589E-02   1.09913E-02   7.96085E-03   5.75810E-03
+   4.15353E-03   2.98726E-03   2.14115E-03   1.52809E-03   1.08636E-03
+   7.67697E-04   5.41378E-04   3.78626E-04   2.63470E-04   1.82465E-04
+   1.25853E-04   8.65525E-05   5.94598E-05   4.09021E-05   2.82564E-05
+   1.96548E-05   1.38546E-05   9.87344E-06   7.13472E-06   5.21834E-06
+   3.84642E-06   2.83955E-06   2.07961E-06   1.49426E-06   1.04194E-06
+   6.92373E-07   4.28067E-07   2.37044E-07   1.09626E-07   3.53440E-08
+   4.15291E-09   0.00000E+00   1.58649E+07   1.17163E+07   8.46620E+06
+   6.11455E+06   4.41320E+06   3.18309E+06   2.29425E+06   1.65241E+06
+   1.18924E+06   8.55243E+05   6.14558E+05   4.41244E+05   3.16538E+05
+   2.26876E+05   1.62463E+05   1.16228E+05   8.30690E+04   5.93093E+04
+   4.23007E+04   3.01363E+04   2.14454E+04   1.52424E+04   1.08200E+04
+   7.67050E+03   5.43015E+03   3.83809E+03   2.70929E+03   1.89905E+03
+   1.33635E+03   9.38718E+02   6.58163E+02   4.60543E+02   3.21397E+02
+   2.23816E+02   1.55522E+02   1.07846E+02   7.46101E+01   5.15083E+01
+   3.54910E+01   2.44138E+01   1.67727E+01   1.15143E+01   7.90417E+00
+   5.42629E+00   3.73480E+00   2.57497E+00   1.78040E+00   1.23521E+00
+   8.60267E-01   6.01654E-01   4.22722E-01   2.98295E-01   2.11839E-01
+   1.50727E-01   1.07761E-01   7.72973E-02   5.55963E-02   4.00790E-02
+   2.89198E-02   2.09512E-02   1.51308E-02   1.09369E-02   7.89759E-03
+   5.69563E-03   4.09681E-03   2.93841E-03   2.10063E-03   1.49544E-03
+   1.06069E-03   7.47936E-04   5.26434E-04   3.67567E-04   2.55442E-04
+   1.76752E-04   1.21872E-04   8.38413E-05   5.76600E-05   3.97402E-05
+   2.75321E-05   1.92208E-05   1.36055E-05   9.73862E-06   7.06604E-06
+   5.18486E-06   3.82948E-06   2.82818E-06   2.06883E-06   1.48221E-06
+   1.02873E-06   6.79125E-07   4.16189E-07   2.27790E-07   1.03592E-07
+   3.26472E-08   3.84967E-09   0.00000E+00   2.04286E+07   1.50427E+07
+   1.08314E+07   7.79493E+06   5.60576E+06   4.02850E+06   2.89288E+06
+   2.07580E+06   1.48832E+06   1.06624E+06   7.63214E+05   5.45832E+05
+   3.90015E+05   2.78418E+05   1.98562E+05   1.41468E+05   1.00686E+05
+   7.15834E+04   5.08358E+04   3.60594E+04   2.55472E+04   1.80765E+04
+   1.27735E+04   9.01365E+03   6.35114E+03   4.46768E+03   3.13855E+03
+   2.18904E+03   1.53280E+03   1.07132E+03   7.47316E+02   5.20238E+02
+   3.61165E+02   2.50187E+02   1.72923E+02   1.19272E+02   8.20719E+01
+   5.63545E+01   3.86211E+01   2.64243E+01   1.80570E+01   1.23304E+01
+   8.42032E+00   5.75097E+00   3.93846E+00   2.70209E+00   1.85940E+00
+   1.28404E+00   8.90267E-01   6.19931E-01   4.33735E-01   3.04820E-01
+   2.15625E-01   1.52835E-01   1.08864E-01   7.78084E-02   5.57687E-02
+   4.00674E-02   2.88155E-02   2.08089E-02   1.49808E-02   1.07956E-02
+   7.77238E-03   5.58922E-03   4.00908E-03   2.86776E-03   2.04486E-03
+   1.45219E-03   1.02769E-03   7.23145E-04   5.08044E-04   3.54167E-04
+   2.45829E-04   1.69967E-04   1.17166E-04   8.06364E-05   5.55200E-05
+   3.83397E-05   2.66361E-05   1.86595E-05   1.32590E-05   9.52701E-06
+   6.93551E-06   5.10097E-06   3.77132E-06   2.78345E-06   2.03161E-06
+   1.44988E-06   1.00066E-06   6.55672E-07   3.97948E-07   2.15095E-07
+   9.61258E-08   2.96182E-08   3.50519E-09   0.00000E+00   2.59527E+07
+   1.90563E+07   1.36742E+07   9.80658E+06   7.02769E+06   5.03243E+06
+   3.60083E+06   2.57441E+06   1.83904E+06   1.31259E+06   9.36019E+05
+   6.66869E+05   4.74662E+05   3.37522E+05   2.39762E+05   1.70137E+05
+   1.20599E+05   8.53881E+04   6.03866E+04   4.26530E+04   3.00891E+04
+   2.11976E+04   1.49130E+04   1.04763E+04   7.34818E+03   5.14516E+03
+   3.59761E+03   2.49714E+03   1.74014E+03   1.21032E+03   8.40118E+02
+   5.81920E+02   4.01943E+02   2.77012E+02   1.90476E+02   1.30697E+02
+   8.94630E+01   6.11075E+01   4.16586E+01   2.83533E+01   1.92744E+01
+   1.30938E+01   8.89608E+00   6.04543E+00   4.11983E+00   2.81299E+00
+   1.92667E+00   1.32446E+00   9.14250E-01   6.33917E-01   4.41694E-01
+   3.09171E-01   2.17861E-01   1.53840E-01   1.09182E-01   7.77596E-02
+   5.55425E-02   3.97721E-02   2.85097E-02   2.05234E-02   1.47295E-02
+   1.05826E-02   7.59680E-03   5.44748E-03   3.89669E-03   2.78001E-03
+   1.97728E-03   1.40084E-03   9.89155E-04   6.94604E-04   4.87116E-04
+   3.39062E-04   2.35073E-04   1.62416E-04   1.11942E-04   7.70781E-05
+   5.31342E-05   3.67640E-05   2.56111E-05   1.80002E-05   1.28352E-05
+   9.25331E-06   6.75424E-06   4.97544E-06   3.67917E-06   2.71145E-06
+   1.97307E-06   1.40153E-06   9.61187E-07   6.24687E-07   3.75251E-07
+   2.00177E-07   8.78707E-08   2.64792E-08   3.14525E-09   0.00000E+00
+   3.25735E+07   2.38517E+07   1.70578E+07   1.21917E+07   8.70696E+06
+   6.21333E+06   4.43022E+06   3.15616E+06   2.24654E+06   1.59763E+06
+   1.13510E+06   8.05704E+05   5.71327E+05   4.04713E+05   2.86384E+05
+   2.02428E+05   1.42921E+05   1.00787E+05   7.09877E+04   4.99347E+04
+   3.50789E+04   2.46084E+04   1.72383E+04   1.20570E+04   8.41956E+03
+   5.86883E+03   4.08499E+03   2.82218E+03   1.95747E+03   1.35504E+03
+   9.36059E+02   6.45227E+02   4.43477E+02   3.04116E+02   2.08063E+02
+   1.42042E+02   9.67342E+01   6.57364E+01   4.45850E+01   3.01901E+01
+   2.04187E+01   1.38012E+01   9.33006E+00   6.30925E+00   4.27900E+00
+   2.90795E+00   1.98260E+00   1.35685E+00   9.32563E-01   6.43909E-01
+   4.46840E-01   3.11543E-01   2.18702E-01   1.53863E-01   1.08807E-01
+   7.72236E-02   5.49732E-02   3.92354E-02   2.80344E-02   2.01187E-02
+   1.43950E-02   1.03116E-02   7.38093E-03   5.27789E-03   3.76516E-03
+   2.67917E-03   1.90082E-03   1.34350E-03   9.46594E-04   6.63382E-04
+   4.64407E-04   3.22780E-04   2.23540E-04   1.54348E-04   1.06371E-04
+   7.32822E-05   5.05807E-05   3.50657E-05   2.44927E-05   1.72672E-05
+   1.23516E-05   8.93024E-06   6.53198E-06   4.81605E-06   3.55943E-06
+   2.61755E-06   1.89775E-06   1.34091E-06   9.13280E-07   5.88411E-07
+   3.49660E-07   1.83999E-07   7.93119E-08   2.33841E-08   2.78792E-09
+   0.00000E+00   4.04357E+07   2.95292E+07   2.10487E+07   1.49942E+07
+   1.06726E+07   7.59026E+06   5.39348E+06   3.82910E+06   2.71600E+06
+   1.92465E+06   1.36255E+06   9.63645E+05   6.80818E+05   4.80484E+05
+   3.38723E+05   2.38512E+05   1.67749E+05   1.17834E+05   8.26657E+04
+   5.79161E+04   4.05204E+04   2.83085E+04   1.97474E+04   1.37534E+04
+   9.56279E+03   6.63653E+03   4.59893E+03   3.16278E+03   2.18374E+03
+   1.50471E+03   1.03460E+03   7.09779E+02   4.85507E+02   3.31325E+02
+   2.25570E+02   1.53235E+02   1.03839E+02   7.02128E+01   4.73834E+01
+   3.19250E+01   2.14849E+01   1.44503E+01   9.72138E+00   6.54232E+00
+   4.41624E+00   2.98742E+00   2.02765E+00   1.38163E+00   9.45569E-01
+   6.50207E-01   4.49416E-01   3.12127E-01   2.18297E-01   1.53019E-01
+   1.07829E-01   7.62676E-02   5.41118E-02   3.84956E-02   2.74184E-02
+   1.96164E-02   1.39933E-02   9.99451E-03   7.13356E-03   5.08691E-03
+   3.61920E-03   2.56866E-03   1.81793E-03   1.28192E-03   9.01270E-04
+   6.30370E-04   4.40542E-04   3.05758E-04   2.11531E-04   1.45971E-04
+   1.00594E-04   6.93437E-05   4.79235E-05   3.32882E-05   2.33108E-05
+   1.64813E-05   1.18231E-05   8.56888E-06   6.27733E-06   4.62973E-06
+   3.41783E-06   2.50655E-06   1.80960E-06   1.27123E-06   8.59469E-07
+   5.48712E-07   3.22436E-07   1.67313E-07   7.08052E-08   2.04346E-08
+   2.44535E-09   0.00000E+00   4.96922E+07   3.61938E+07   2.57164E+07
+   1.82599E+07   1.29545E+07   9.18261E+06   6.50314E+06   4.60128E+06
+   3.25254E+06   2.29689E+06   1.62039E+06   1.14194E+06   8.03892E+05
+   5.65285E+05   3.97042E+05   2.78538E+05   1.95163E+05   1.36568E+05
+   9.54384E+04   6.66030E+04   4.64133E+04   3.22950E+04   2.24364E+04
+   1.55615E+04   1.07746E+04   7.44559E+03   5.13736E+03   3.51738E+03
+   2.41783E+03   1.65852E+03   1.13517E+03   7.75186E+02   5.27770E+02
+   3.58466E+02   2.42884E+02   1.64204E+02   1.10733E+02   7.45106E+01
+   5.00389E+01   3.35500E+01   2.24689E+01   1.50394E+01   1.00696E+01
+   6.74482E+00   4.53201E+00   3.05193E+00   2.06234E+00   1.39925E+00
+   9.53644E-01   6.53113E-01   4.49661E-01   3.11110E-01   2.16788E-01
+   1.51418E-01   1.06330E-01   7.49532E-02   5.30044E-02   3.75874E-02
+   2.66875E-02   1.90357E-02   1.35385E-02   9.64168E-03   6.86231E-03
+   4.88007E-03   3.46282E-03   2.45139E-03   1.73070E-03   1.21760E-03
+   8.54231E-04   5.96308E-04   4.16039E-04   2.88353E-04   1.99291E-04
+   1.37452E-04   9.47254E-05   6.53402E-05   4.52154E-05   3.14675E-05
+   2.20899E-05   1.56600E-05   1.12625E-05   8.17888E-06   5.99786E-06
+   4.42261E-06   3.25946E-06   2.38268E-06   1.71212E-06   1.19530E-06
+   8.01894E-07   5.07128E-07   2.94586E-07   1.50691E-07   6.26029E-08
+   1.76940E-08   2.12528E-09   0.00000E+00   6.05028E+07   4.39550E+07
+   3.11325E+07   2.20355E+07   1.55829E+07   1.10099E+07   7.77171E+06
+   5.48065E+06   3.86118E+06   2.71747E+06   1.91053E+06   1.34175E+06
+   9.41242E+05   6.59521E+05   4.61569E+05   3.22629E+05   2.25224E+05
+   1.57017E+05   1.09315E+05   7.59950E+04   5.27531E+04   3.65621E+04
+   2.52998E+04   1.74766E+04   1.20510E+04   8.29291E+03   5.69795E+03
+   3.88430E+03   2.65851E+03   1.81563E+03   1.23719E+03   8.41055E+02
+   5.70007E+02   3.85370E+02   2.59899E+02   1.74883E+02   1.17378E+02
+   7.86066E+01   5.25385E+01   3.50584E+01   2.33679E+01   1.55675E+01
+   1.03746E+01   6.91722E+00   4.62693E+00   3.10211E+00   2.08721E+00
+   1.41018E+00   9.57169E-01   6.52928E-01   4.47806E-01   3.08667E-01
+   2.14310E-01   1.49159E-01   1.04385E-01   7.33370E-02   5.16931E-02
+   3.65417E-02   2.58645E-02   1.83934E-02   1.30430E-02   9.26213E-03
+   6.57370E-03   4.66212E-03   3.29945E-03   2.32981E-03   1.64088E-03
+   1.15177E-03   8.06348E-04   5.61803E-04   3.91320E-04   2.70857E-04
+   1.87021E-04   1.28927E-04   8.88571E-05   6.13342E-05   4.24990E-05
+   2.96328E-05   2.08506E-05   1.48178E-05   1.06805E-05   7.76861E-06
+   5.70027E-06   4.20018E-06   3.08887E-06   2.24969E-06   1.60836E-06
+   1.11550E-06   7.42346E-07   4.64910E-07   2.66898E-07   1.34559E-07
+   5.48754E-08   1.51971E-08   1.83216E-09   0.00000E+00   7.30331E+07
+   5.29253E+07   3.73704E+07   2.63683E+07   1.85884E+07   1.30917E+07
+   9.21155E+06   6.47497E+06   4.54672E+06   3.18934E+06   2.23477E+06
+   1.56413E+06   1.09349E+06   7.63537E+05   5.32488E+05   3.70878E+05
+   2.57974E+05   1.79193E+05   1.24293E+05   8.60851E+04   5.95309E+04
+   4.11013E+04   2.83301E+04   1.94927E+04   1.33873E+04   9.17500E+03
+   6.27814E+03   4.26171E+03   2.90451E+03   1.97516E+03   1.34006E+03
+   9.06992E+02   6.11961E+02   4.11875E+02   2.76512E+02   1.85210E+02
+   1.23736E+02   8.24805E+01   5.48715E+01   3.64450E+01   2.41796E+01
+   1.60341E+01   1.06370E+01   7.06021E+00   4.70176E+00   3.13864E+00
+   2.10287E+00   1.41490E+00   9.56526E-01   6.49947E-01   4.44076E-01
+   3.04969E-01   2.10990E-01   1.46337E-01   1.02065E-01   7.14703E-02
+   5.02157E-02   3.53863E-02   2.49697E-02   1.77043E-02   1.25175E-02
+   8.86363E-03   6.27337E-03   4.43709E-03   3.13196E-03   2.20596E-03
+   1.54991E-03   1.08545E-03   7.58334E-04   5.27349E-04   3.66728E-04
+   2.53504E-04   1.74881E-04   1.20506E-04   8.30631E-05   5.73759E-05
+   3.98084E-05   2.78077E-05   1.96096E-05   1.39672E-05   1.00865E-05
+   7.34538E-06   5.39044E-06   3.96727E-06   2.91005E-06   2.11087E-06
+   1.50093E-06   1.03386E-06   6.82304E-07   4.23057E-07   2.39975E-07
+   1.19219E-07   4.77288E-08   1.29580E-08   1.56801E-09   0.00000E+00
+   1.59746E+06   7.57706E+05   5.55122E+05   4.06694E+05   2.97953E+05
+   2.18288E+05   1.59925E+05   1.17167E+05   8.58412E+04   6.28917E+04
+   4.60783E+04   3.37604E+04   2.47360E+04   1.81243E+04   1.32804E+04
+   9.73143E+03   7.13127E+03   5.22621E+03   3.83040E+03   2.80768E+03
+   2.05830E+03   1.50919E+03   1.10681E+03   8.11925E+02   5.95807E+02
+   4.37400E+02   3.21279E+02   2.35020E+02   1.72914E+02   1.27352E+02
+   9.39173E+01   6.93702E+01   5.13144E+01   3.80523E+01   2.83037E+01
+   2.11329E+01   1.58464E+01   1.19441E+01   9.05692E+00   6.91433E+00
+   5.31825E+00   4.12356E+00   3.22407E+00   2.54126E+00   2.02096E+00
+   1.61906E+00   1.30604E+00   1.05978E+00   8.64120E-01   7.07247E-01
+   5.80463E-01   4.77261E-01   3.93154E-01   3.23446E-01   2.66031E-01
+   2.18456E-01   1.78967E-01   1.46166E-01   1.18926E-01   9.65352E-02
+   7.78087E-02   6.24240E-02   4.97801E-02   3.94433E-02   3.10155E-02
+   2.41938E-02   1.87084E-02   1.43269E-02   1.08614E-02   8.13685E-03
+   6.03703E-03   4.40829E-03   3.17262E-03   2.24716E-03   1.56390E-03
+   1.06743E-03   7.13026E-04   4.64996E-04   2.95214E-04   1.81666E-04
+   1.08420E-04   6.20370E-05   3.39489E-05   1.76379E-05   8.62006E-06
+   3.91641E-06   1.62922E-06   6.05767E-07   1.96720E-07   5.32311E-08
+   1.12289E-08   1.65142E-09   1.37315E-10   4.03238E-12   9.29309E-15
+   0.00000E+00   1.09958E+06   8.23642E+05   6.05517E+05   4.45201E+05
+   3.27370E+05   2.40756E+05   1.77081E+05   1.30265E+05   9.58385E+04
+   7.05205E+04   5.18984E+04   3.81996E+04   2.81211E+04   2.07050E+04
+   1.52473E+04   1.12302E+04   8.27294E+03   6.09561E+03   4.49225E+03
+   3.31135E+03   2.44145E+03   1.80052E+03   1.32822E+03   9.80106E+02
+   7.23475E+02   5.34227E+02   3.94668E+02   2.90352E+02   2.14772E+02
+   1.58977E+02   1.17777E+02   8.73404E+01   6.48169E+01   4.81765E+01
+   3.58769E+01   2.67840E+01   2.00507E+01   1.50625E+01   1.13624E+01
+   8.61303E+00   6.56548E+00   5.03602E+00   3.88921E+00   3.02408E+00
+   2.37043E+00   1.87085E+00   1.48658E+00   1.18850E+00   9.55242E-01
+   7.71170E-01   6.24790E-01   5.07515E-01   4.13407E-01   3.36555E-01
+   2.74135E-01   2.23086E-01   1.81228E-01   1.46858E-01   1.18610E-01
+   9.56188E-02   7.65657E-02   6.10468E-02   4.83946E-02   3.81289E-02
+   2.98190E-02   2.31381E-02   1.78010E-02   1.35640E-02   1.02337E-02
+   7.62978E-03   5.63416E-03   4.09461E-03   2.93281E-03   2.06716E-03
+   1.43133E-03   9.71619E-04   6.45118E-04   4.17715E-04   2.62917E-04
+   1.59908E-04   9.38551E-05   5.23141E-05   2.73845E-05   1.30948E-05
+   5.36968E-06   1.49939E-06   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   1.26357E+06   9.49064E+05   6.99992E+05
+   5.16352E+05   3.80943E+05   2.81084E+05   2.07430E+05   1.53098E+05
+   1.13013E+05   8.34344E+04   6.16059E+04   4.54945E+04   3.36011E+04
+   2.48202E+04   1.83364E+04   1.35482E+04   1.00116E+04   7.39911E+03
+   5.46906E+03   4.04297E+03   2.98914E+03   2.21028E+03   1.63459E+03
+   1.20901E+03   8.94370E+02   6.61690E+02   4.89662E+02   3.60750E+02
+   2.67128E+02   1.97865E+02   1.46618E+02   1.08695E+02   8.05910E+01
+   5.98048E+01   4.44298E+01   3.30604E+01   2.46438E+01   1.84143E+01
+   1.38010E+01   1.03818E+01   7.84423E+00   5.95748E+00   4.55100E+00
+   3.49748E+00   2.70816E+00   2.11069E+00   1.65606E+00   1.30751E+00
+   1.03816E+00   8.28333E-01   6.63657E-01   5.33425E-01   4.30248E-01
+   3.47019E-01   2.80211E-01   2.26180E-01   1.82341E-01   1.46706E-01
+   1.17682E-01   9.42681E-02   7.50233E-02   5.94702E-02   4.68829E-02
+   3.67409E-02   2.85857E-02   2.20707E-02   1.68982E-02   1.28159E-02
+   9.62602E-03   7.14521E-03   5.25418E-03   3.80298E-03   2.71348E-03
+   1.90579E-03   1.31544E-03   8.90653E-04   5.90332E-04   3.82089E-04
+   2.40900E-04   1.47263E-04   8.73718E-05   4.97377E-05   2.71044E-05
+   1.40333E-05   6.83236E-06   3.07719E-06   1.24586E-06   4.20196E-07
+   8.84782E-08   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   1.52876E+06   1.15036E+06
+   8.50287E+05   6.28540E+05   4.64657E+05   3.43529E+05   2.53993E+05
+   1.87804E+05   1.38871E+05   1.02693E+05   7.59422E+04   5.61617E+04
+   4.15345E+04   3.07174E+04   2.27177E+04   1.68013E+04   1.24257E+04
+   9.18946E+03   6.79594E+03   5.02567E+03   3.71639E+03   2.74806E+03
+   2.03193E+03   1.50232E+03   1.11067E+03   8.21013E+02   6.06900E+02
+   4.46501E+02   3.30072E+02   2.43999E+02   1.80375E+02   1.33352E+02
+   9.85552E+01   7.28650E+01   5.39028E+01   3.99154E+01   2.95904E+01
+   2.19737E+01   1.63548E+01   1.22084E+01   9.14667E+00   6.88316E+00
+   5.20676E+00   3.96018E+00   3.03374E+00   2.33869E+00   1.81486E+00
+   1.41735E+00   1.11344E+00   8.79290E-01   6.97570E-01   5.55438E-01
+   4.44059E-01   3.55162E-01   2.84529E-01   2.27960E-01   1.82488E-01
+   1.45852E-01   1.16259E-01   9.25745E-02   7.32530E-02   5.77495E-02
+   4.52871E-02   3.53106E-02   2.73383E-02   2.10075E-02   1.60101E-02
+   1.20879E-02   9.04027E-03   6.68205E-03   4.89372E-03   3.52820E-03
+   2.50809E-03   1.75547E-03   1.20795E-03   8.15784E-04   5.39740E-04
+   3.49135E-04   2.20400E-04   1.35295E-04   8.09890E-05   4.68925E-05
+   2.63471E-05   1.44012E-05   7.71264E-06   4.10881E-06   2.22659E-06
+   1.25489E-06   7.45546E-07   4.57931E-07   2.79325E-07   1.59794E-07
+   8.01038E-08   3.04703E-08   3.49180E-09   0.00000E+00   1.92189E+06
+   1.44707E+06   1.07033E+06   7.91665E+05   5.85536E+05   4.33061E+05
+   3.20276E+05   2.36851E+05   1.75144E+05   1.29504E+05   9.57493E+04
+   7.07854E+04   5.23245E+04   3.86735E+04   2.85802E+04   2.11181E+04
+   1.56019E+04   1.15246E+04   8.51127E+03   6.28461E+03   4.63952E+03
+   3.42428E+03   2.52677E+03   1.86402E+03   1.37474E+03   1.01354E+03
+   7.47091E+02   5.47932E+02   4.03718E+02   2.97380E+02   2.18996E+02
+   1.61237E+02   1.18634E+02   8.72897E+01   6.42397E+01   4.73044E+01
+   3.48568E+01   2.57163E+01   1.90064E+01   1.40811E+01   1.04651E+01
+   7.80828E+00   5.85372E+00   4.41073E+00   3.34660E+00   2.55478E+00
+   1.96322E+00   1.51840E+00   1.18152E+00   9.24470E-01   7.26924E-01
+   5.73907E-01   4.55144E-01   3.61236E-01   2.87297E-01   2.28595E-01
+   1.81801E-01   1.44404E-01   1.14422E-01   9.06003E-02   7.13015E-02
+   5.59189E-02   4.36317E-02   3.38553E-02   2.60886E-02   1.99557E-02
+   1.51411E-02   1.13825E-02   8.47741E-03   6.24041E-03   4.55240E-03
+   3.26967E-03   2.31594E-03   1.61556E-03   1.10835E-03   7.46640E-04
+   4.93110E-04   3.18750E-04   2.01418E-04   1.24085E-04   7.48474E-05
+   4.39541E-05   2.53036E-05   1.43903E-05   8.19135E-06   4.75743E-06
+   2.86870E-06   1.80702E-06   1.17872E-06   7.72042E-07   4.88674E-07
+   2.84718E-07   1.43388E-07   5.34404E-08   6.14398E-09   0.00000E+00
+   2.47397E+06   1.86173E+06   1.37608E+06   1.01702E+06   7.51543E+05
+   5.55283E+05   4.10210E+05   3.02986E+05   2.23749E+05   1.65202E+05
+   1.21949E+05   9.00007E+04   6.64069E+04   4.89862E+04   3.61261E+04
+   2.66348E+04   1.96315E+04   1.44651E+04   1.06550E+04   7.84584E+03
+   5.77527E+03   4.24955E+03   3.12570E+03   2.29811E+03   1.68892E+03
+   1.24058E+03   9.10928E+02   6.65360E+02   4.88174E+02   3.58005E+02
+   2.62425E+02   1.92277E+02   1.40754E+02   1.03013E+02   7.53858E+01
+   5.51848E+01   4.04108E+01   2.96185E+01   2.17392E+01   1.59887E+01
+   1.17922E+01   8.72825E+00   6.48920E+00   4.84773E+00   3.64610E+00
+   2.75885E+00   2.10129E+00   1.61094E+00   1.24273E+00   9.64218E-01
+   7.52047E-01   5.89120E-01   4.63751E-01   3.65452E-01   2.88687E-01
+   2.28222E-01   1.80391E-01   1.42448E-01   1.12237E-01   8.83966E-02
+   6.92069E-02   5.40062E-02   4.19367E-02   3.23886E-02   2.48455E-02
+   1.89211E-02   1.42947E-02   1.07014E-02   7.93804E-03   5.82021E-03
+   4.22973E-03   3.02674E-03   2.13638E-03   1.48546E-03   1.01612E-03
+   6.82844E-04   4.50186E-04   2.90793E-04   1.83909E-04   1.13660E-04
+   6.90236E-05   4.10321E-05   2.41007E-05   1.41324E-05   8.39520E-06
+   5.13926E-06   3.27364E-06   2.16141E-06   1.45595E-06   9.70197E-07
+   6.17664E-07   3.59241E-07   1.79342E-07   6.53464E-08   7.53688E-09
+   0.00000E+00   2.90882E+06   2.42010E+06   1.78570E+06   1.31736E+06
+   9.71633E+05   7.16460E+05   5.28165E+05   3.89250E+05   2.86791E+05
+   2.11239E+05   1.55542E+05   1.14493E+05   8.42493E+04   6.19724E+04
+   4.55691E+04   3.34947E+04   2.46097E+04   1.80740E+04   1.32683E+04
+   9.73591E+03   7.14058E+03   5.23450E+03   3.83526E+03   2.80853E+03
+   2.05550E+03   1.50339E+03   1.09905E+03   7.99059E+02   5.83518E+02
+   4.25852E+02   3.10593E+02   2.26391E+02   1.64836E+02   1.19966E+02
+   8.72859E+01   6.35135E+01   4.62203E+01   3.36572E+01   2.45373E+01
+   1.79203E+01   1.31208E+01   9.63865E+00   7.11060E+00   5.26976E+00
+   3.93162E+00   2.95070E+00   2.22915E+00   1.69519E+00   1.29737E+00
+   9.98829E-01   7.73213E-01   6.01324E-01   4.70095E-01   3.67987E-01
+   2.88846E-01   2.26963E-01   1.78354E-01   1.40057E-01   1.09762E-01
+   8.60063E-02   6.70009E-02   5.20347E-02   4.02185E-02   3.09219E-02
+   2.36165E-02   1.79084E-02   1.34734E-02   1.00456E-02   7.42245E-03
+   5.42120E-03   3.92519E-03   2.79875E-03   1.96876E-03   1.36459E-03
+   9.30806E-04   6.24031E-04   4.10716E-04   2.65111E-04   1.67799E-04
+   1.04010E-04   6.35539E-05   3.81922E-05   2.28198E-05   1.37146E-05
+   8.40931E-06   5.33282E-06   3.51008E-06   2.37539E-06   1.62300E-06
+   1.08710E-06   6.90981E-07   3.99352E-07   1.97020E-07   7.01869E-08
+   8.12105E-09   0.00000E+00   4.31226E+06   3.23323E+06   2.37930E+06
+   1.75047E+06   1.28741E+06   9.46534E+05   6.95671E+05   5.11109E+05
+   3.75371E+05   2.75574E+05   2.02227E+05   1.48340E+05   1.08765E+05
+   7.97115E+04   5.83917E+04   4.27532E+04   3.12873E+04   2.28843E+04
+   1.67291E+04   1.22226E+04   8.92479E+03   6.51280E+03   4.74970E+03
+   3.46159E+03   2.52107E+03   1.83464E+03   1.33432E+03   9.64927E+02
+   7.00838E+02   5.08638E+02   3.68863E+02   2.67293E+02   1.93448E+02
+   1.39920E+02   1.01157E+02   7.31258E+01   5.28569E+01   3.82226E+01
+   2.76660E+01   2.00563E+01   1.45731E+01   1.06219E+01   7.77341E+00
+   5.71403E+00   4.22800E+00   3.14685E+00   2.35766E+00   1.77821E+00
+   1.34992E+00   1.03110E+00   7.92084E-01   6.11433E-01   4.74605E-01
+   3.68967E-01   2.87711E-01   2.24644E-01   1.75462E-01   1.36986E-01
+   1.06751E-01   8.31979E-02   6.44731E-02   4.98181E-02   3.83156E-02
+   2.93178E-02   2.22865E-02   1.68223E-02   1.25993E-02   9.35218E-03
+   6.88000E-03   5.00301E-03   3.60671E-03   2.56035E-03   1.79299E-03
+   1.23700E-03   8.39651E-04   5.59925E-04   3.66313E-04   2.34766E-04
+   1.47293E-04   9.02410E-05   5.42731E-05   3.18881E-05   1.84516E-05
+   1.06047E-05   6.13229E-06   3.62603E-06   2.21934E-06   1.40612E-06
+   9.11770E-07   5.87680E-07   3.63400E-07   2.05853E-07   1.00039E-07
+   3.52728E-08   4.08178E-09   0.00000E+00   5.75841E+06   4.30599E+06
+   3.15860E+06   2.31624E+06   1.69785E+06   1.24405E+06   9.11152E+05
+   6.67043E+05   4.88114E+05   3.57013E+05   2.60998E+05   1.90710E+05
+   1.39278E+05   1.01662E+05   7.41648E+04   5.40736E+04   3.94017E+04
+   2.86931E+04   2.08816E+04   1.51867E+04   1.10375E+04   8.01615E+03
+   5.81763E+03   4.21884E+03   3.05698E+03   2.21309E+03   1.60106E+03
+   1.15147E+03   8.31718E+02   6.00226E+02   4.32778E+02   3.11765E+02
+   2.24274E+02   1.61218E+02   1.15821E+02   8.31861E+01   5.97315E+01
+   4.29016E+01   3.08375E+01   2.21966E+01   1.60111E+01   1.15835E+01
+   8.41308E+00   6.13678E+00   4.50575E+00   3.32756E+00   2.47376E+00
+   1.85146E+00   1.39491E+00   1.05758E+00   8.06583E-01   6.18272E-01
+   4.76690E-01   3.68169E-01   2.85289E-01   2.21406E-01   1.71926E-01
+   1.33472E-01   1.03446E-01   8.02010E-02   6.18327E-02   4.75411E-02
+   3.63879E-02   2.77117E-02   2.09686E-02   1.57562E-02   1.17487E-02
+   8.68313E-03   6.36094E-03   4.60629E-03   3.30735E-03   2.33857E-03
+   1.63146E-03   1.12150E-03   7.58694E-04   5.04419E-04   3.29180E-04
+   2.10605E-04   1.32062E-04   8.10024E-05   4.88993E-05   2.89500E-05
+   1.69715E-05   9.95166E-06   5.91659E-06   3.61830E-06   2.29293E-06
+   1.49706E-06   9.91628E-07   6.47019E-07   4.01905E-07   2.27302E-07
+   1.09438E-07   3.76810E-08   4.37655E-09   0.00000E+00   7.63345E+06
+   5.69160E+06   4.16053E+06   3.04024E+06   2.22058E+06   1.62114E+06
+   1.18294E+06   8.62751E+05   6.28902E+05   4.58192E+05   3.33635E+05
+   2.42799E+05   1.76590E+05   1.28357E+05   9.32400E+04   6.76863E+04
+   4.91031E+04   3.55970E+04   2.57874E+04   1.86671E+04   1.35025E+04
+   9.75902E+03   7.04760E+03   5.08513E+03   3.66585E+03   2.64001E+03
+   1.89979E+03   1.35882E+03   9.76082E+02   7.00458E+02   5.02159E+02
+   3.59636E+02   2.57171E+02   1.83744E+02   1.31186E+02   9.36272E+01
+   6.67956E+01   4.76599E+01   3.40280E+01   2.43256E+01   1.74245E+01
+   1.25167E+01   9.02559E+00   6.53567E+00   4.76360E+00   3.49222E+00
+   2.57723E+00   1.91497E+00   1.43248E+00   1.07848E+00   8.16920E-01
+   6.22042E-01   4.76532E-01   3.65756E-01   2.81717E-01   2.17365E-01
+   1.67841E-01   1.29595E-01   9.99101E-02   7.70668E-02   5.91201E-02
+   4.52357E-02   3.44598E-02   2.61223E-02   1.96766E-02   1.47199E-02
+   1.09284E-02   8.04251E-03   5.86725E-03   4.23138E-03   3.02614E-03
+   2.13146E-03   1.48145E-03   1.01481E-03   6.84301E-04   4.53665E-04
+   2.95384E-04   1.88710E-04   1.18308E-04   7.26834E-05   4.40652E-05
+   2.63008E-05   1.56240E-05   9.33997E-06   5.69351E-06   3.58092E-06
+   2.33019E-06   1.55324E-06   1.04218E-06   6.83849E-07   4.24680E-07
+   2.38988E-07   1.13779E-07   3.83571E-08   4.46991E-09   0.00000E+00
+   1.00233E+07   7.45121E+06   5.42727E+06   3.95150E+06   2.87554E+06
+   2.09144E+06   1.52032E+06   1.10454E+06   8.02003E+05   5.81984E+05
+   4.22064E+05   3.05893E+05   2.21553E+05   1.60358E+05   1.15985E+05
+   8.38299E+04   6.05445E+04   4.36934E+04   3.15075E+04   2.27014E+04
+   1.63428E+04   1.17549E+04   8.44731E+03   6.06464E+03   4.34976E+03
+   3.11631E+03   2.23076E+03   1.58688E+03   1.13371E+03   8.09072E+02
+   5.76756E+02   4.10693E+02   2.91965E+02   2.07362E+02   1.47153E+02
+   1.04376E+02   7.39971E+01   5.24615E+01   3.72132E+01   2.64272E+01
+   1.88031E+01   1.34153E+01   9.60719E+00   6.90862E+00   5.00049E+00
+   3.64042E+00   2.66802E+00   1.96883E+00   1.46282E+00   1.09402E+00
+   8.23324E-01   6.22955E-01   4.74316E-01   3.61883E-01   2.77126E-01
+   2.12627E-01   1.63292E-01   1.25420E-01   9.61950E-02   7.38345E-02
+   5.63649E-02   4.29235E-02   3.25471E-02   2.45607E-02   1.84182E-02
+   1.37184E-02   1.01414E-02   7.43208E-03   5.39980E-03   3.87856E-03
+   2.76304E-03   1.93876E-03   1.34264E-03   9.16587E-04   6.16151E-04
+   4.07391E-04   2.64707E-04   1.68913E-04   1.05914E-04   6.52016E-05
+   3.97173E-05   2.39082E-05   1.43911E-05   8.76088E-06   5.45984E-06
+   3.51364E-06   2.33220E-06   1.57619E-06   1.06491E-06   6.99412E-07
+   4.32638E-07   2.41505E-07   1.13381E-07   3.73831E-08   4.37176E-09
+   0.00000E+00   1.30242E+07   9.65292E+06   7.00552E+06   5.08196E+06
+   3.68448E+06   2.66974E+06   1.93332E+06   1.39916E+06   1.01195E+06
+   7.31418E+05   5.28300E+05   3.81324E+05   2.75041E+05   1.98235E+05
+   1.42768E+05   1.02741E+05   7.38760E+04   5.30762E+04   3.80997E+04
+   2.73247E+04   1.95790E+04   1.40155E+04   1.00231E+04   7.16058E+03
+   5.11010E+03   3.64239E+03   2.59388E+03   1.83535E+03   1.30423E+03
+   9.25711E+02   6.56262E+02   4.64685E+02   3.28461E+02   2.31928E+02
+   1.63614E+02   1.15356E+02   8.12833E+01   5.72707E+01   4.03694E+01
+   2.84860E+01   2.01373E+01   1.42735E+01   1.01546E+01   7.25385E+00
+   5.21560E+00   3.77187E+00   2.74614E+00   2.01326E+00   1.48620E+00
+   1.10447E+00   8.26043E-01   6.21228E-01   4.70230E-01   3.56706E-01
+   2.71641E-01   2.07291E-01   1.58358E-01   1.21009E-01   9.23477E-02
+   7.05396E-02   5.35932E-02   4.06235E-02   3.06631E-02   2.30361E-02
+   1.71994E-02   1.27556E-02   9.38998E-03   6.85297E-03   4.95901E-03
+   3.54782E-03   2.51776E-03   1.76009E-03   1.21459E-03   8.26434E-04
+   5.53897E-04   3.65310E-04   2.36926E-04   1.51051E-04   9.47621E-05
+   5.84809E-05   3.58088E-05   2.17460E-05   1.32611E-05   8.21157E-06
+   5.21795E-06   3.42148E-06   2.30495E-06   1.57187E-06   1.06517E-06
+   6.98134E-07   4.29164E-07   2.37177E-07   1.09623E-07   3.53332E-08
+   4.14713E-09   0.00000E+00   1.67423E+07   1.23717E+07   8.94641E+06
+   6.46636E+06   4.67095E+06   3.37192E+06   2.43259E+06   1.75377E+06
+   1.26351E+06   9.09653E+05   6.54424E+05   4.70454E+05   3.37941E+05
+   2.42559E+05   1.73956E+05   1.24651E+05   8.92421E+04   6.38342E+04
+   4.56178E+04   3.25684E+04   2.32290E+04   1.65507E+04   1.17800E+04
+   8.37512E+03   5.94754E+03   4.21814E+03   2.98872E+03   2.10369E+03
+   1.48711E+03   1.04992E+03   7.40307E+02   5.21324E+02   3.66443E+02
+   2.57283E+02   1.80458E+02   1.26490E+02   8.86011E+01   6.20521E+01
+   4.34739E+01   3.04878E+01   2.14183E+01   1.50862E+01   1.06649E+01
+   7.56997E+00   5.40836E+00   3.88648E+00   2.81176E+00   2.04849E+00
+   1.50289E+00   1.11010E+00   8.25331E-01   6.17081E-01   4.64456E-01
+   3.50374E-01   2.65384E-01   2.01454E-01   1.53112E-01   1.16418E-01
+   8.84106E-02   6.72135E-02   5.08278E-02   3.83520E-02   2.88192E-02
+   2.15560E-02   1.60250E-02   1.18344E-02   8.67561E-03   6.30583E-03
+   4.54497E-03   3.23888E-03   2.28988E-03   1.59495E-03   1.09683E-03
+   7.43923E-04   4.97181E-04   3.27137E-04   2.11824E-04   1.34966E-04
+   8.47445E-05   5.24499E-05   3.22959E-05   1.97905E-05   1.22232E-05
+   7.68942E-06   4.96987E-06   3.30882E-06   2.25366E-06   1.54539E-06
+   1.04750E-06   6.83739E-07   4.17059E-07   2.27893E-07   1.03589E-07
+   3.26383E-08   3.84509E-09   0.00000E+00   2.12945E+07   1.56895E+07
+   1.13054E+07   8.14213E+06   5.86013E+06   4.21486E+06   3.02942E+06
+   2.17583E+06   1.56161E+06   1.11994E+06   8.02558E+05   5.74660E+05
+   4.11138E+05   2.93897E+05   2.09905E+05   1.49781E+05   1.06779E+05
+   7.60495E+04   5.41099E+04   3.84601E+04   2.73078E+04   1.93680E+04
+   1.37212E+04   9.70929E+03   6.86198E+03   4.84295E+03   3.41449E+03
+   2.39114E+03   1.68171E+03   1.18117E+03   8.28472E+02   5.80296E+02
+   4.05680E+02   2.83262E+02   1.97569E+02   1.37699E+02   9.58981E+01
+   6.67716E+01   4.65048E+01   3.24192E+01   2.26382E+01   1.58488E+01
+   1.11359E+01   7.85593E+00   5.57845E+00   3.98432E+00   2.86511E+00
+   2.07485E+00   1.51322E+00   1.11123E+00   8.21451E-01   6.10737E-01
+   4.57175E-01   3.43033E-01   2.58467E-01   1.95203E-01   1.47623E-01
+   1.11699E-01   8.44218E-02   6.38842E-02   4.80888E-02   3.61228E-02
+   2.70248E-02   2.01265E-02   1.48987E-02   1.09566E-02   7.99924E-03
+   5.79082E-03   4.15742E-03   2.95128E-03   2.07883E-03   1.44277E-03
+   9.88839E-04   6.68608E-04   4.45639E-04   2.92589E-04   1.89189E-04
+   1.20506E-04   7.57577E-05   4.70419E-05   2.91384E-05   1.80198E-05
+   1.12676E-05   7.19214E-06   4.71745E-06   3.17956E-06   2.18286E-06
+   1.50119E-06   1.01578E-06   6.59358E-07   3.98636E-07   2.15175E-07
+   9.61220E-08   2.96108E-08   3.50157E-09   0.00000E+00   2.68072E+07
+   1.96946E+07   1.41419E+07   1.01492E+07   7.27869E+06   5.21632E+06
+   3.73556E+06   2.67312E+06   1.91136E+06   1.36558E+06   9.74843E+05
+   6.95316E+05   4.95507E+05   3.52797E+05   2.50955E+05   1.78341E+05
+   1.26612E+05   8.97957E+04   6.36179E+04   4.50224E+04   3.18268E+04
+   2.24724E+04   1.58485E+04   1.11630E+04   7.85249E+03   5.51565E+03
+   3.87006E+03   2.69672E+03   1.88721E+03   1.31883E+03   9.20288E+02
+   6.41257E+02   4.45928E+02   3.09695E+02   2.14830E+02   1.48905E+02
+   1.03123E+02   7.13966E+01   4.94419E+01   3.42679E+01   2.37900E+01
+   1.65577E+01   1.15656E+01   8.11101E+00   5.72578E+00   4.06559E+00
+   2.90654E+00   2.09273E+00   1.51757E+00   1.10816E+00   8.14670E-01
+   6.02413E-01   4.48565E-01   3.34822E-01   2.51000E-01   1.88622E-01
+   1.41953E-01   1.06899E-01   8.04153E-02   6.05760E-02   4.53933E-02
+   3.39477E-02   2.52874E-02   1.87524E-02   1.38232E-02   1.01238E-02
+   7.36122E-03   5.30777E-03   3.79587E-03   2.68438E-03   1.88395E-03
+   1.30294E-03   8.90075E-04   6.00036E-04   3.98910E-04   2.61389E-04
+   1.68819E-04   1.07529E-04   6.77051E-05   4.21953E-05   2.62996E-05
+   1.64142E-05   1.03857E-05   6.71777E-06   4.46244E-06   3.03717E-06
+   2.09657E-06   1.44312E-06   9.73346E-07   6.27624E-07   3.75794E-07
+   2.00239E-07   8.78670E-08   2.64732E-08   3.14240E-09   0.00000E+00
+   3.34166E+07   2.44815E+07   1.75192E+07   1.25297E+07   8.95462E+06
+   6.39478E+06   4.56316E+06   3.25356E+06   2.31789E+06   1.64991E+06
+   1.17341E+06   8.33773E+05   5.91895E+05   4.19785E+05   2.97429E+05
+   2.10523E+05   1.48854E+05   1.05137E+05   7.41764E+04   5.22729E+04
+   3.67938E+04   2.58665E+04   1.81616E+04   1.27348E+04   8.91738E+03
+   6.23458E+03   4.35399E+03   3.01925E+03   2.10270E+03   1.46220E+03
+   1.01525E+03   7.03844E+02   4.86932E+02   3.36408E+02   2.32126E+02
+   1.60031E+02   1.10227E+02   7.58962E+01   5.22666E+01   3.60231E+01
+   2.48677E+01   1.72097E+01   1.19528E+01   8.33484E+00   5.85046E+00
+   4.13066E+00   2.93649E+00   2.10253E+00   1.51629E+00   1.10123E+00
+   8.05257E-01   5.92326E-01   4.38795E-01   3.25873E-01   2.43083E-01
+   1.81787E-01   1.36159E-01   1.02058E-01   7.64212E-02   5.73103E-02
+   4.27556E-02   3.18361E-02   2.36130E-02   1.74370E-02   1.28003E-02
+   9.33635E-03   6.76147E-03   4.85618E-03   3.45963E-03   2.43742E-03
+   1.70451E-03   1.17480E-03   7.99977E-04   5.37752E-04   3.56638E-04
+   2.33271E-04   1.50519E-04   9.58982E-05   6.04966E-05   3.78534E-05
+   2.37461E-05   1.49562E-05   9.57001E-06   6.26475E-06   4.20652E-06
+   2.88482E-06   1.99836E-06   1.37453E-06   9.23033E-07   5.90747E-07
+   3.50087E-07   1.84047E-07   7.93085E-08   2.33791E-08   2.78567E-09
+   0.00000E+00   4.12674E+07   3.01505E+07   2.15039E+07   1.53277E+07
+   1.09170E+07   7.76927E+06   5.52463E+06   3.92519E+06   2.78640E+06
+   1.97623E+06   1.40034E+06   9.91337E+05   7.01110E+05   4.95354E+05
+   3.49620E+05   2.46499E+05   1.73603E+05   1.22125E+05   8.58120E+04
+   6.02233E+04   4.22127E+04   2.95501E+04   2.06586E+04   1.44223E+04
+   1.00541E+04   6.99756E+03   4.86449E+03   3.35734E+03   2.32715E+03
+   1.61054E+03   1.11281E+03   7.67677E+02   5.28433E+02   3.63225E+02
+   2.49340E+02   1.71003E+02   1.17163E+02   8.02420E+01   5.49620E+01
+   3.76752E+01   2.58662E+01   1.78025E+01   1.22966E+01   8.52737E+00
+   5.95282E+00   4.17999E+00   2.95544E+00   2.10472E+00   1.50980E+00
+   1.09076E+00   7.93479E-01   5.80685E-01   4.28029E-01   3.16311E-01
+   2.34811E-01   1.74768E-01   1.30292E-01   9.72144E-02   7.24655E-02
+   5.41050E-02   4.01878E-02   2.97958E-02   2.20063E-02   1.61829E-02
+   1.18309E-02   8.59446E-03   6.19952E-03   4.43528E-03   3.14783E-03
+   2.20956E-03   1.53973E-03   1.05766E-03   7.17981E-04   4.81306E-04
+   3.18479E-04   2.07977E-04   1.34105E-04   8.54882E-05   5.40491E-05
+   3.39641E-05   2.14475E-05   1.36299E-05   8.81388E-06   5.83185E-06
+   3.95132E-06   2.72540E-06   1.89140E-06   1.29836E-06   8.67275E-07
+   5.50566E-07   3.22771E-07   1.67349E-07   7.08020E-08   2.04305E-08
+   2.44358E-09   0.00000E+00   5.05127E+07   3.68067E+07   2.61654E+07
+   1.85889E+07   1.31955E+07   9.35919E+06   6.63251E+06   4.69607E+06
+   3.32199E+06   2.34777E+06   1.65767E+06   1.16926E+06   8.23910E+05
+   5.79954E+05   4.07793E+05   2.86418E+05   2.00938E+05   1.40802E+05
+   9.85426E+04   6.88794E+04   4.80830E+04   3.35201E+04   2.33356E+04
+   1.62217E+04   1.12595E+04   7.80194E+03   5.39950E+03   3.70946E+03
+   2.55941E+03   1.76302E+03   1.21241E+03   8.32369E+02   5.70168E+02
+   3.89974E+02   2.66361E+02   1.81750E+02   1.23888E+02   8.44080E+01
+   5.75132E+01   3.92163E+01   2.67816E+01   1.83344E+01   1.25966E+01
+   8.68883E+00   6.03338E+00   4.21416E+00   2.96396E+00   2.09980E+00
+   1.49851E+00   1.07709E+00   7.79596E-01   5.67695E-01   4.16422E-01
+   3.06253E-01   2.26271E-01   1.67630E-01   1.24399E-01   9.24004E-02
+   6.85708E-02   5.09753E-02   3.76998E-02   2.78327E-02   2.04705E-02
+   1.49915E-02   1.09154E-02   7.89770E-03   5.67457E-03   4.04412E-03
+   2.85950E-03   1.99985E-03   1.38878E-03   9.50840E-04   6.43527E-04
+   4.30260E-04   2.84099E-04   1.85263E-04   1.19405E-04   7.61810E-05
+   4.82856E-05   3.04801E-05   1.93766E-05   1.24215E-05   8.11166E-06
+   5.41819E-06   3.69843E-06   2.56152E-06   1.77849E-06   1.21715E-06
+   8.08128E-07   5.08595E-07   2.94848E-07   1.50719E-07   6.26000E-08
+   1.76907E-08   2.12390E-09   0.00000E+00   6.13121E+07   4.45594E+07
+   3.15754E+07   2.23599E+07   1.58207E+07   1.11841E+07   7.89931E+06
+   5.57414E+06   3.92967E+06   2.76766E+06   1.94730E+06   1.36869E+06
+   9.60988E+05   6.73991E+05   4.72173E+05   3.30401E+05   2.30921E+05
+   1.61193E+05   1.12377E+05   7.82408E+04   5.44004E+04   3.77709E+04
+   2.61870E+04   1.81281E+04   1.25296E+04   8.64460E+03   5.95669E+03
+   4.07391E+03   2.79829E+03   1.91881E+03   1.31345E+03   8.97524E+02
+   6.11877E+02   4.16487E+02   2.83082E+02   1.92206E+02   1.30362E+02
+   8.83709E+01   5.99073E+01   4.06397E+01   2.76108E+01   1.88045E+01
+   1.28529E+01   8.81974E+00   6.09280E+00   4.23386E+00   2.96266E+00
+   2.08827E+00   1.48282E+00   1.06053E+00   7.63862E-01   5.53547E-01
+   4.04120E-01   2.95807E-01   2.17542E-01   1.60428E-01   1.18520E-01
+   8.76443E-02   6.47563E-02   4.79338E-02   3.52993E-02   2.59513E-02
+   1.90077E-02   1.38636E-02   1.00535E-02   7.24529E-03   5.18559E-03
+   3.68159E-03   2.59355E-03   1.80734E-03   1.25083E-03   8.53647E-04
+   5.76066E-04   3.84189E-04   2.53180E-04   1.64899E-04   1.06257E-04
+   6.78678E-05   4.31361E-05   2.73586E-05   1.75091E-05   1.13187E-05
+   7.45849E-06   5.02314E-06   3.44936E-06   2.39555E-06   1.66210E-06
+   1.13306E-06   7.47316E-07   4.66069E-07   2.67103E-07   1.34580E-07
+   5.48729E-08   1.51944E-08   1.83108E-09   0.00000E+00   7.38312E+07
+   5.35215E+07   3.78072E+07   2.66883E+07   1.88229E+07   1.32635E+07
+   9.33740E+06   6.56717E+06   4.61428E+06   3.23884E+06   2.27103E+06
+   1.59071E+06   1.11296E+06   7.77809E+05   5.42947E+05   3.78544E+05
+   2.63594E+05   1.83313E+05   1.27314E+05   8.83005E+04   6.11561E+04
+   4.22938E+04   2.92054E+04   2.01355E+04   1.38595E+04   9.52206E+03
+   6.53350E+03   4.44886E+03   3.04250E+03   2.07702E+03   1.41536E+03
+   9.62750E+02   6.53305E+02   4.42599E+02   2.99401E+02   2.02310E+02
+   1.36548E+02   9.21104E+01   6.21336E+01   4.19402E+01   2.83519E+01
+   1.92124E+01   1.30658E+01   8.92084E+00   6.13189E+00   4.23983E+00
+   2.95216E+00   2.07066E+00   1.46315E+00   1.04142E+00   7.46522E-01
+   5.38426E-01   3.91258E-01   2.85072E-01   2.08696E-01   1.53215E-01
+   1.12691E-01   8.29706E-02   6.10380E-02   4.49906E-02   3.29922E-02
+   2.41546E-02   1.76193E-02   1.27990E-02   9.24453E-03   6.63612E-03
+   4.73132E-03   3.34643E-03   2.34885E-03   1.63102E-03   1.12504E-03
+   7.65401E-04   5.15062E-04   3.42686E-04   2.25422E-04   1.46670E-04
+   9.45121E-05   6.04484E-05   3.85365E-05   2.45609E-05   1.58233E-05
+   1.03107E-05   6.85026E-06   4.64629E-06   3.20554E-06   2.22961E-06
+   1.54437E-06   1.04794E-06   6.86257E-07   4.23970E-07   2.40134E-07
+   1.19234E-07   4.77266E-08   1.29559E-08   1.56716E-09   0.00000E+00
+   1.37203E+06   1.89393E+06   1.38757E+06   1.01656E+06   7.44755E+05
+   5.45628E+05   3.99744E+05   2.92868E+05   2.14568E+05   1.57204E+05
+   1.15178E+05   8.43888E+04   6.18315E+04   4.53051E+04   3.31972E+04
+   2.43263E+04   1.78270E+04   1.30650E+04   9.57601E+03   7.01956E+03
+   5.14635E+03   3.77373E+03   2.76786E+03   2.03070E+03   1.49042E+03
+   1.09440E+03   8.04082E+02   5.88410E+02   4.33112E+02   3.19172E+02
+   2.35548E+02   1.74142E+02   1.28964E+02   9.57716E+01   7.13634E+01
+   5.34012E+01   4.01512E+01   3.03632E+01   2.31147E+01   1.77294E+01
+   1.37123E+01   1.07006E+01   8.42909E+00   6.70152E+00   5.38264E+00
+   4.36198E+00   3.56538E+00   2.93693E+00   2.43540E+00   2.03023E+00
+   1.69882E+00   1.42434E+00   1.19550E+00   1.00060E+00   8.35145E-01
+   6.93708E-01   5.72705E-01   4.69356E-01   3.81413E-01   3.07669E-01
+   2.45051E-01   1.93091E-01   1.50202E-01   1.15202E-01   8.69107E-02
+   6.43840E-02   4.67265E-02   3.31259E-02   2.28864E-02   1.53433E-02
+   9.99679E-03   6.26877E-03   3.79591E-03   2.22589E-03   1.27305E-03
+   7.17415E-04   4.02324E-04   2.25913E-04   1.27131E-04   7.13315E-05
+   3.98190E-05   2.17405E-05   1.15310E-05   5.87231E-06   2.83509E-06
+   1.27893E-06   5.29935E-07   1.96629E-07   6.37903E-08   1.72535E-08
+   3.63892E-09   5.35137E-10   4.44957E-11   1.30666E-12   3.01134E-15
+   0.00000E+00   2.60303E+06   1.94660E+06   1.42824E+06   1.04795E+06
+   7.68958E+05   5.64276E+05   4.14103E+05   3.03916E+05   2.23064E+05
+   1.63733E+05   1.20193E+05   8.82378E+04   6.47843E+04   4.75693E+04
+   3.49324E+04   2.56553E+04   1.88444E+04   1.38435E+04   1.01713E+04
+   7.47456E+03   5.49391E+03   4.03905E+03   2.97028E+03   2.18502E+03
+   1.60798E+03   1.18384E+03   8.72098E+02   6.39855E+02   4.72150E+02
+   3.48756E+02   2.57931E+02   1.91048E+02   1.41702E+02   1.05347E+02
+   7.85436E+01   5.87709E+01   4.41538E+01   3.33364E+01   2.53144E+01
+   1.93499E+01   1.49001E+01   1.15665E+01   9.05617E+00   7.15191E+00
+   5.70331E+00   4.58726E+00   3.72080E+00   3.04131E+00   2.50258E+00
+   2.07041E+00   1.71959E+00   1.43132E+00   1.19298E+00   9.91728E-01
+   8.22350E-01   6.78799E-01   5.57010E-01   4.53847E-01   3.66721E-01
+   2.94206E-01   2.33068E-01   1.82685E-01   1.41373E-01   1.07877E-01
+   8.09750E-02   5.96883E-02   4.31082E-02   3.04158E-02   2.09216E-02
+   1.39681E-02   9.06886E-03   5.67171E-03   3.42949E-03   2.01118E-03
+   1.15201E-03   6.50665E-04   3.65478E-04   2.04939E-04   1.14543E-04
+   6.31736E-05   3.40741E-05   1.74012E-05   8.07162E-06   3.01668E-06
+   4.43349E-07   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   2.74974E+06   2.05913E+06   1.51327E+06
+   1.11218E+06   8.17460E+05   6.00889E+05   4.41731E+05   3.24756E+05
+   2.38778E+05   1.75578E+05   1.29117E+05   9.49589E+04   6.98441E+04
+   5.13767E+04   3.77962E+04   2.78084E+04   2.04623E+04   1.50586E+04
+   1.10835E+04   8.15889E+03   6.00703E+03   4.42354E+03   3.25820E+03
+   2.40046E+03   1.76906E+03   1.30414E+03   9.61877E+02   7.06483E+02
+   5.21772E+02   3.85663E+02   2.85342E+02   2.11371E+02   1.56734E+02
+   1.16443E+02   8.67152E+01   6.47741E+01   4.85506E+01   3.65463E+01
+   2.76494E+01   2.10414E+01   1.61198E+01   1.24412E+01   9.67952E+00
+   7.59236E+00   6.01165E+00   4.80001E+00   3.86462E+00   3.13555E+00
+   2.56123E+00   2.10367E+00   1.73491E+00   1.43414E+00   1.18741E+00
+   9.80719E-01   8.08165E-01   6.63085E-01   5.40959E-01   4.38306E-01
+   3.52226E-01   2.81086E-01   2.21513E-01   1.72741E-01   1.33004E-01
+   1.00986E-01   7.54290E-02   5.53300E-02   3.97707E-02   2.79316E-02
+   1.91310E-02   1.27224E-02   8.23343E-03   5.13790E-03   3.10476E-03
+   1.82349E-03   1.04883E-03   5.96600E-04   3.38584E-04   1.92599E-04
+   1.09814E-04   6.23741E-05   3.52263E-05   1.94595E-05   1.04503E-05
+   5.39244E-06   2.63345E-06   1.18635E-06   4.67814E-07   1.34548E-07
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   2.99805E+06   2.24782E+06
+   1.65434E+06   1.21760E+06   8.96221E+05   6.59705E+05   4.85635E+05
+   3.57515E+05   2.63210E+05   1.93791E+05   1.42688E+05   1.05066E+05
+   7.73670E+04   5.69732E+04   4.19573E+04   3.09004E+04   2.27584E+04
+   1.67626E+04   1.23472E+04   9.09540E+03   6.70053E+03   4.93666E+03
+   3.63753E+03   2.68063E+03   1.97578E+03   1.45647E+03   1.07403E+03
+   7.88557E+02   5.82049E+02   4.29867E+02   3.17705E+02   2.35023E+02
+   1.73976E+02   1.28985E+02   9.58163E+01   7.13621E+01   5.33051E+01
+   3.99664E+01   3.01008E+01   2.27914E+01   1.73632E+01   1.33198E+01
+   1.02963E+01   8.02144E+00   6.30716E+00   5.00024E+00   3.99717E+00
+   3.22010E+00   2.61188E+00   2.13050E+00   1.74521E+00   1.43317E+00
+   1.17908E+00   9.67807E-01   7.92761E-01   6.46688E-01   5.24629E-01
+   4.22778E-01   3.37945E-01   2.68309E-01   2.10370E-01   1.63236E-01
+   1.25067E-01   9.44988E-02   7.02445E-02   5.12825E-02   3.66906E-02
+   2.56526E-02   1.74971E-02   1.15914E-02   7.47810E-03   4.65665E-03
+   2.81222E-03   1.65399E-03   9.54953E-04   5.46686E-04   3.13090E-04
+   1.80288E-04   1.04490E-04   6.07235E-05   3.54512E-05   2.06004E-05
+   1.19661E-05   6.98180E-06   4.12817E-06   2.50449E-06   1.57062E-06
+   1.01569E-06   6.69484E-07   4.37807E-07   2.75178E-07   1.59198E-07
+   8.00553E-08   3.04688E-08   3.49180E-09   0.00000E+00   3.37462E+06
+   2.53216E+06   1.86532E+06   1.37409E+06   1.01224E+06   7.45677E+05
+   5.49309E+05   4.04651E+05   2.98083E+05   2.19577E+05   1.61744E+05
+   1.19139E+05   8.77541E+04   6.46344E+04   4.76039E+04   3.50590E+04
+   2.58189E+04   1.90131E+04   1.40006E+04   1.03091E+04   7.59056E+03
+   5.58870E+03   4.11472E+03   3.02945E+03   2.23046E+03   1.64214E+03
+   1.20924E+03   8.86388E+02   6.53086E+02   4.81360E+02   3.54962E+02
+   2.61925E+02   1.93348E+02   1.42902E+02   1.05789E+02   7.84893E+01
+   5.83825E+01   4.35714E+01   3.26508E+01   2.45876E+01   1.86224E+01
+   1.41974E+01   1.09036E+01   8.43760E+00   6.58915E+00   5.18784E+00
+   4.11861E+00   3.29531E+00   2.65490E+00   2.15129E+00   1.75086E+00
+   1.42873E+00   1.16825E+00   9.53194E-01   7.76287E-01   6.29707E-01
+   5.08081E-01   4.07291E-01   3.23885E-01   2.55861E-01   1.99616E-01
+   1.54137E-01   1.17528E-01   8.83796E-02   6.53864E-02   4.75139E-02
+   3.38401E-02   2.35558E-02   1.60018E-02   1.05614E-02   6.79303E-03
+   4.22145E-03   2.54795E-03   1.50058E-03   8.69483E-04   5.00701E-04
+   2.89117E-04   1.68276E-04   9.88906E-05   5.85443E-05   3.50552E-05
+   2.11071E-05   1.28757E-05   8.01429E-06   5.12858E-06   3.39485E-06
+   2.31505E-06   1.60648E-06   1.11540E-06   7.55412E-07   4.85274E-07
+   2.84232E-07   1.43349E-07   5.34393E-08   6.14397E-09   0.00000E+00
+   3.91039E+06   2.93465E+06   2.16215E+06   1.59291E+06   1.17346E+06
+   8.64393E+05   6.36676E+05   4.68905E+05   3.45310E+05   2.54265E+05
+   1.87204E+05   1.37813E+05   1.01440E+05   7.46568E+04   5.49372E+04
+   4.04202E+04   2.97346E+04   2.18704E+04   1.60834E+04   1.18257E+04
+   8.69375E+03   6.39019E+03   4.69629E+03   3.45089E+03   2.53542E+03
+   1.86245E+03   1.36818E+03   1.00028E+03   7.34979E+02   5.40132E+02
+   3.97052E+02   2.92000E+02   2.14773E+02   1.58126E+02   1.16577E+02
+   8.61116E+01   6.37497E+01   4.73372E+01   3.52826E+01   2.64186E+01
+   1.98897E+01   1.50690E+01   1.14985E+01   8.83934E+00   6.85696E+00
+   5.36263E+00   4.22907E+00   3.36143E+00   2.69063E+00   2.16637E+00
+   1.75215E+00   1.42108E+00   1.15514E+00   9.37055E-01   7.58873E-01
+   6.12235E-01   4.91374E-01   3.91877E-01   3.10055E-01   2.43737E-01
+   1.89232E-01   1.45421E-01   1.10358E-01   8.25999E-02   6.08275E-02
+   4.39992E-02   3.11972E-02   2.16228E-02   1.46303E-02   9.62128E-03
+   6.17031E-03   3.82704E-03   2.30874E-03   1.36151E-03   7.91609E-04
+   4.58385E-04   2.66687E-04   1.56719E-04   9.32182E-05   5.60492E-05
+   3.42452E-05   2.11737E-05   1.33572E-05   8.65097E-06   5.77709E-06
+   3.98144E-06   2.80611E-06   1.99318E-06   1.40320E-06   9.56445E-07
+   6.14873E-07   3.58846E-07   1.79310E-07   6.53455E-08   7.53687E-09
+   0.00000E+00   2.69812E+06   3.48101E+06   2.56298E+06   1.88682E+06
+   1.38883E+06   1.02211E+06   7.52097E+05   5.53313E+05   4.06993E+05
+   2.99307E+05   2.20068E+05   1.61772E+05   1.18891E+05   8.73566E+04
+   6.41706E+04   4.71266E+04   3.46006E+04   2.53971E+04   1.86366E+04
+   1.36719E+04   1.00270E+04   7.35168E+03   5.38874E+03   3.94882E+03
+   2.89290E+03   2.11863E+03   1.55148E+03   1.13050E+03   8.27800E+02
+   6.06153E+02   4.43902E+02   3.25163E+02   2.38172E+02   1.74588E+02
+   1.28123E+02   9.41854E+01   6.93743E+01   5.12404E+01   3.79797E+01
+   2.82732E+01   2.11578E+01   1.59303E+01   1.20785E+01   9.22518E+00
+   7.10987E+00   5.52438E+00   4.32861E+00   3.41869E+00   2.71934E+00
+   2.17603E+00   1.74938E+00   1.41046E+00   1.13995E+00   9.19546E-01
+   7.40639E-01   5.94356E-01   4.74563E-01   3.76569E-01   2.96468E-01
+   2.31936E-01   1.79210E-01   1.37072E-01   1.03537E-01   7.71374E-02
+   5.65456E-02   4.07180E-02   2.87441E-02   1.98385E-02   1.33709E-02
+   8.76205E-03   5.60344E-03   3.46907E-03   2.09189E-03   1.23530E-03
+   7.20623E-04   4.19483E-04   2.45778E-04   1.45703E-04   8.76021E-05
+   5.33801E-05   3.31613E-05   2.09326E-05   1.35328E-05   9.00220E-06
+   6.17122E-06   4.34893E-06   3.11523E-06   2.23424E-06   1.57905E-06
+   1.07572E-06   6.88689E-07   3.99030E-07   1.96995E-07   7.01861E-08
+   8.12104E-09   0.00000E+00   5.71509E+06   4.28106E+06   3.14700E+06
+   2.31290E+06   1.69947E+06   1.24842E+06   9.16844E+05   6.73151E+05
+   4.94092E+05   3.62557E+05   2.65959E+05   1.95037E+05   1.42981E+05
+   1.04784E+05   7.67649E+04   5.62180E+04   4.11559E+04   3.01179E+04
+   2.20320E+04   1.61107E+04   1.17762E+04   8.60448E+03   6.28456E+03
+   4.58831E+03   3.34858E+03   2.44267E+03   1.78152E+03   1.29258E+03
+   9.42380E+02   6.86957E+02   5.00740E+02   3.65034E+02   2.66041E+02
+   1.94008E+02   1.41610E+02   1.03520E+02   7.58086E+01   5.56569E+01
+   4.09970E+01   3.03236E+01   2.25425E+01   1.68583E+01   1.26944E+01
+   9.62841E+00   7.36925E+00   5.68638E+00   4.42506E+00   3.47126E+00
+   2.74280E+00   2.18046E+00   1.74171E+00   1.39546E+00   1.12093E+00
+   8.98776E-01   7.19684E-01   5.74251E-01   4.55964E-01   3.59852E-01
+   2.81794E-01   2.19311E-01   1.68579E-01   1.28285E-01   9.64115E-02
+   7.14703E-02   5.21327E-02   3.73575E-02   2.62465E-02   1.80317E-02
+   1.21013E-02   7.89904E-03   5.03500E-03   3.10950E-03   1.87247E-03
+   1.10539E-03   6.45099E-04   3.75597E-04   2.19773E-04   1.29697E-04
+   7.72580E-05   4.63170E-05   2.80647E-05   1.70915E-05   1.05359E-05
+   6.61159E-06   4.24726E-06   2.80256E-06   1.89103E-06   1.28957E-06
+   8.75740E-07   5.78426E-07   3.61551E-07   2.05595E-07   1.00018E-07
+   3.52722E-08   4.08178E-09   0.00000E+00   7.14376E+06   5.34077E+06
+   3.91674E+06   2.87167E+06   2.10477E+06   1.54217E+06   1.12957E+06
+   8.27069E+05   6.05358E+05   4.42915E+05   3.23937E+05   2.36826E+05
+   1.73070E+05   1.26424E+05   9.23102E+04   6.73717E+04   4.91483E+04
+   3.58375E+04   2.61193E+04   1.90272E+04   1.38541E+04   1.00824E+04
+   7.33393E+03   5.33202E+03   3.87463E+03   2.81394E+03   2.04303E+03
+   1.47536E+03   1.07053E+03   7.76572E+02   5.63231E+02   4.08477E+02
+   2.96128E+02   2.14773E+02   1.55889E+02   1.13302E+02   8.24801E+01
+   6.01857E+01   4.40554E+01   3.23767E+01   2.39111E+01   1.77627E+01
+   1.32855E+01   1.00085E+01   7.60847E+00   5.83157E+00   4.50791E+00
+   3.51308E+00   2.75792E+00   2.17855E+00   1.72932E+00   1.37703E+00
+   1.09951E+00   8.76409E-01   6.97742E-01   5.53616E-01   4.37164E-01
+   3.43162E-01   2.67297E-01   2.06953E-01   1.58258E-01   1.19818E-01
+   8.95937E-02   6.60842E-02   4.79650E-02   3.42033E-02   2.39161E-02
+   1.63558E-02   1.09303E-02   7.10760E-03   4.51676E-03   2.78382E-03
+   1.67533E-03   9.90068E-04   5.79416E-04   3.38807E-04   1.99334E-04
+   1.18398E-04   7.10661E-05   4.30033E-05   2.63655E-05   1.63041E-05
+   1.02466E-05   6.57983E-06   4.33477E-06   2.93180E-06   2.02110E-06
+   1.40125E-06   9.62236E-07   6.39530E-07   4.00421E-07   2.27096E-07
+   1.09422E-07   3.76806E-08   4.37655E-09   0.00000E+00   9.00135E+06
+   6.71335E+06   4.90912E+06   3.58868E+06   2.62239E+06   1.91552E+06
+   1.39861E+06   1.02076E+06   7.44672E+05   5.43014E+05   3.95783E+05
+   2.88336E+05   2.09957E+05   1.52808E+05   1.11158E+05   8.08182E+04
+   5.87280E+04   4.26524E+04   3.09600E+04   2.24600E+04   1.62844E+04
+   1.17999E+04   8.54541E+03   6.18484E+03   4.47367E+03   3.23371E+03
+   2.33657E+03   1.67896E+03   1.21218E+03   8.74839E+02   6.31192E+02
+   4.55326E+02   3.28287E+02   2.36767E+02   1.70870E+02   1.23464E+02
+   8.93399E+01   6.47924E+01   4.71311E+01   3.44166E+01   2.52532E+01
+   1.86369E+01   1.38476E+01   1.03630E+01   7.82625E+00   5.95937E+00
+   4.57699E+00   3.54420E+00   2.76487E+00   2.17052E+00   1.71246E+00
+   1.35541E+00   1.07591E+00   8.52637E-01   6.74977E-01   5.32585E-01
+   4.18273E-01   3.26585E-01   2.53044E-01   1.94910E-01   1.48283E-01
+   1.11697E-01   8.31009E-02   6.09895E-02   4.40487E-02   3.12579E-02
+   2.17534E-02   1.48094E-02   9.85579E-03   6.38501E-03   4.04564E-03
+   2.48872E-03   1.49702E-03   8.85743E-04   5.19854E-04   3.05297E-04
+   1.80604E-04   1.07967E-04   6.52989E-05   3.98794E-05   2.47320E-05
+   1.55163E-05   9.92329E-06   6.49907E-06   4.36915E-06   3.00995E-06
+   2.10565E-06   1.47468E-06   1.01826E-06   6.77804E-07   4.23491E-07
+   2.38825E-07   1.13766E-07   3.83568E-08   4.46991E-09   0.00000E+00
+   1.13738E+07   8.45996E+06   6.16634E+06   4.49297E+06   3.27223E+06
+   2.38208E+06   1.73325E+06   1.26055E+06   9.16302E+05   6.65728E+05
+   4.83424E+05   3.50853E+05   2.54497E+05   1.84499E+05   1.33676E+05
+   9.67959E+04   7.00481E+04   5.06600E+04   3.66152E+04   2.64469E+04
+   1.90901E+04   1.37705E+04   9.92668E+03   7.15091E+03   5.14779E+03
+   3.70288E+03   2.66237E+03   1.90329E+03   1.36710E+03   9.81498E+02
+   7.04378E+02   5.05364E+02   3.62347E+02   2.59856E+02   1.86453E+02
+   1.33933E+02   9.63361E+01   6.94409E+01   5.01997E+01   3.64271E+01
+   2.65585E+01   1.94746E+01   1.43769E+01   1.06899E+01   8.02155E+00
+   6.06937E+00   4.63225E+00   3.56478E+00   2.76392E+00   2.15668E+00
+   1.69141E+00   1.33089E+00   1.05037E+00   8.27661E-01   6.51554E-01
+   5.11288E-01   3.99389E-01   3.10194E-01   2.39086E-01   1.83217E-01
+   1.38675E-01   1.03931E-01   7.69356E-02   5.61841E-02   4.03785E-02
+   2.85149E-02   1.97513E-02   1.33863E-02   8.87214E-03   5.72685E-03
+   3.61834E-03   2.22193E-03   1.33609E-03   7.91568E-04   4.65961E-04
+   2.74848E-04   1.63485E-04   9.83641E-05   5.99426E-05   3.69425E-05
+   2.31654E-05   1.47308E-05   9.56919E-06   6.37264E-06   4.35355E-06
+   3.03984E-06   2.14716E-06   1.51193E-06   1.04550E-06   6.94545E-07
+   4.31690E-07   2.41376E-07   1.13371E-07   3.73828E-08   4.37176E-09
+   0.00000E+00   1.43573E+07   1.06487E+07   7.73510E+06   5.61647E+06
+   4.07608E+06   2.95664E+06   2.14351E+06   1.55317E+06   1.12478E+06
+   8.14089E+05   5.88873E+05   4.25707E+05   3.07563E+05   2.22067E+05
+   1.60234E+05   1.15541E+05   8.32587E+04   5.99543E+04   4.31428E+04
+   3.10229E+04   2.22917E+04   1.60060E+04   1.14841E+04   8.23347E+03
+   5.89839E+03   4.22187E+03   3.02034E+03   2.14804E+03   1.53493E+03
+   1.09619E+03   7.82478E+02   5.58341E+02   3.98110E+02   2.83892E+02
+   2.02531E+02   1.44633E+02   1.03416E+02   7.40952E+01   5.32375E+01
+   3.83929E+01   2.78174E+01   2.02699E+01   1.48702E+01   1.09873E+01
+   8.19357E+00   6.16132E+00   4.67377E+00   3.57505E+00   2.75537E+00
+   2.13734E+00   1.66650E+00   1.30373E+00   1.02313E+00   8.01678E-01
+   6.27629E-01   4.89849E-01   3.80605E-01   2.94056E-01   2.25470E-01
+   1.71904E-01   1.29449E-01   9.65285E-02   7.10984E-02   5.16643E-02
+   3.69483E-02   2.59671E-02   1.79027E-02   1.20797E-02   7.97386E-03
+   5.12878E-03   3.23167E-03   1.98126E-03   1.19114E-03   7.06718E-04
+   4.17291E-04   2.47233E-04   1.47871E-04   8.95439E-05   5.49796E-05
+   3.41883E-05   2.16680E-05   1.39530E-05   9.19135E-06   6.20831E-06
+   4.29590E-06   3.02922E-06   2.15283E-06   1.51943E-06   1.04945E-06
+   6.94225E-07   4.28408E-07   2.37075E-07   1.09615E-07   3.53330E-08
+   4.14713E-09   0.00000E+00   1.80582E+07   1.33546E+07   9.66652E+06
+   6.99393E+06   5.05747E+06   3.65510E+06   2.64006E+06   1.90577E+06
+   1.37488E+06   9.91252E+05   7.14212E+05   5.14263E+05   3.70043E+05
+   2.66084E+05   1.91197E+05   1.37286E+05   9.85042E+04   7.06242E+04
+   5.05964E+04   3.62196E+04   2.59074E+04   1.85161E+04   1.32227E+04
+   9.43468E+03   6.72613E+03   4.79056E+03   3.41005E+03   2.41269E+03
+   1.71514E+03   1.21847E+03   8.65125E+02   6.13970E+02   4.35363E+02
+   3.08719E+02   2.18991E+02   1.55486E+02   1.10525E+02   7.87200E+01
+   5.62214E+01   4.02995E+01   2.90210E+01   2.10176E+01   1.53246E+01
+   1.12540E+01   8.34177E+00   6.23518E+00   4.70175E+00   3.57535E+00
+   2.73959E+00   2.11287E+00   1.63803E+00   1.27422E+00   9.94416E-01
+   7.74880E-01   6.03355E-01   4.68384E-01   3.62007E-01   2.78233E-01
+   2.12234E-01   1.60994E-01   1.20618E-01   8.94924E-02   6.55876E-02
+   4.74246E-02   3.37508E-02   2.36065E-02   1.62001E-02   1.08831E-02
+   7.15548E-03   4.58653E-03   2.88250E-03   1.76457E-03   1.06084E-03
+   6.30408E-04   3.73413E-04   2.22232E-04   1.33654E-04   8.14575E-05
+   5.03898E-05   3.16106E-05   2.02403E-05   1.31871E-05   8.79564E-06
+   6.01276E-06   4.20310E-06   2.98482E-06   2.12888E-06   1.50270E-06
+   1.03480E-06   6.80606E-07   4.16459E-07   2.27813E-07   1.03583E-07
+   3.26381E-08   3.84509E-09   0.00000E+00   2.25931E+07   1.66595E+07
+   1.20160E+07   8.66279E+06   6.24158E+06   4.49434E+06   3.23417E+06
+   2.32585E+06   1.67153E+06   1.20047E+06   8.61565E+05   6.17897E+05
+   4.42822E+05   3.17115E+05   2.26921E+05   1.62252E+05   1.15921E+05
+   8.27517E+04   5.90244E+04   4.20644E+04   2.99519E+04   2.13084E+04
+   1.51458E+04   1.07556E+04   7.63091E+03   5.40835E+03   3.83073E+03
+   2.69646E+03   1.90708E+03   1.34779E+03   9.51898E+02   6.71937E+02
+   4.73873E+02   3.34172E+02   2.35718E+02   1.66413E+02   1.17613E+02
+   8.32810E+01   5.91297E+01   4.21335E+01   3.01613E+01   2.17133E+01
+   1.57377E+01   1.14888E+01   8.46584E+00   6.29105E+00   4.71650E+00
+   3.56606E+00   2.71697E+00   2.08363E+00   1.60634E+00   1.24263E+00
+   9.64467E-01   7.47452E-01   5.78877E-01   4.47000E-01   3.43672E-01
+   2.62777E-01   1.99415E-01   1.50507E-01   1.12192E-01   8.28242E-02
+   6.03992E-02   4.34584E-02   3.07781E-02   2.14251E-02   1.46358E-02
+   9.78984E-03   6.41161E-03   4.09597E-03   2.56785E-03   1.56987E-03
+   9.43903E-04   5.61891E-04   3.33919E-04   1.99633E-04   1.20731E-04
+   7.40556E-05   4.61518E-05   2.92018E-05   1.88818E-05   1.24360E-05
+   8.38705E-06   5.79185E-06   4.08121E-06   2.91252E-06   2.08074E-06
+   1.46651E-06   1.00555E-06   6.56854E-07   3.98160E-07   2.15112E-07
+   9.61172E-08   2.96107E-08   3.50157E-09   0.00000E+00   2.80887E+07
+   2.06517E+07   1.48432E+07   1.06630E+07   7.65511E+06   5.49210E+06
+   3.93761E+06   2.82115E+06   2.01982E+06   1.44505E+06   1.03307E+06
+   7.37984E+05   5.26774E+05   3.75710E+05   2.67748E+05   1.90649E+05
+   1.35635E+05   9.64106E+04   6.84685E+04   4.85801E+04   3.44369E+04
+   2.43880E+04   1.72549E+04   1.21961E+04   8.61183E+03   6.07408E+03
+   4.28124E+03   2.99839E+03   2.10994E+03   1.48353E+03   1.04233E+03
+   7.31897E+02   5.13396E+02   3.60079E+02   2.52596E+02   1.77336E+02
+   1.24627E+02   8.77454E+01   6.19421E+01   4.38826E+01   3.12314E+01
+   2.23532E+01   1.61077E+01   1.16912E+01   8.56575E+00   6.32922E+00
+   4.71844E+00   3.54762E+00   2.68794E+00   2.05000E+00   1.57176E+00
+   1.20925E+00   9.33505E-01   7.19570E-01   5.54327E-01   4.25797E-01
+   3.25671E-01   2.47736E-01   1.87039E-01   1.40458E-01   1.04174E-01
+   7.65225E-02   5.55276E-02   3.97577E-02   2.80213E-02   1.94141E-02
+   1.32019E-02   8.79324E-03   5.73697E-03   3.65312E-03   2.28489E-03
+   1.39524E-03   8.39143E-04   5.00466E-04   2.98420E-04   1.79234E-04
+   1.08999E-04   6.72892E-05   4.22436E-05   2.69537E-05   1.75913E-05
+   1.17024E-05   7.96994E-06   5.55078E-06   3.93564E-06   2.81756E-06
+   2.01319E-06   1.41501E-06   9.65116E-07   6.25628E-07   3.75417E-07
+   2.00189E-07   8.78633E-08   2.64731E-08   3.14240E-09   0.00000E+00
+   3.46809E+07   2.54259E+07   1.82111E+07   1.30366E+07   9.32602E+06
+   6.66688E+06   4.76252E+06   3.39962E+06   2.42491E+06   1.72832E+06
+   1.23086E+06   8.75873E+05   6.22746E+05   4.42394E+05   3.13999E+05
+   2.22668E+05   1.57758E+05   1.11665E+05   7.89635E+04   5.57842E+04
+   3.93701E+04   2.77574E+04   1.95500E+04   1.37549E+04   9.66718E+03
+   6.78608E+03   4.76014E+03   3.31729E+03   2.32280E+03   1.62501E+03
+   1.13592E+03   7.93488E+02   5.53679E+02   3.86267E+02   2.69507E+02
+   1.88178E+02   1.31518E+02   9.20824E+01   6.46397E+01   4.55360E+01
+   3.22251E+01   2.29342E+01   1.64334E+01   1.18606E+01   8.64167E+00
+   6.35008E+00   4.70807E+00   3.52055E+00   2.65297E+00   2.01240E+00
+   1.53463E+00   1.17434E+00   9.01749E-01   6.91404E-01   5.29833E-01
+   4.04865E-01   3.08067E-01   2.33149E-01   1.75131E-01   1.30859E-01
+   9.65683E-02   7.05834E-02   5.09656E-02   3.63136E-02   2.54711E-02
+   1.75646E-02   1.18908E-02   7.88681E-03   5.12642E-03   3.25415E-03
+   2.03089E-03   1.23888E-03   7.45438E-04   4.45477E-04   2.66555E-04
+   1.60842E-04   9.83617E-05   6.11107E-05   3.86430E-05   2.48575E-05
+   1.63670E-05   1.09881E-05   7.54812E-06   5.29419E-06   3.77125E-06
+   2.70461E-06   1.93042E-06   1.35180E-06   9.16430E-07   5.89158E-07
+   3.49790E-07   1.84008E-07   7.93056E-08   2.33790E-08   2.78567E-09
+   0.00000E+00   4.25147E+07   3.10822E+07   2.21865E+07   1.58278E+07
+   1.12834E+07   8.03771E+06   5.72131E+06   4.06929E+06   2.89198E+06
+   2.05359E+06   1.45703E+06   1.03287E+06   7.31549E+05   5.17661E+05
+   3.65970E+05   2.58483E+05   1.82388E+05   1.28567E+05   9.05360E+04
+   6.36885E+04   4.47553E+04   3.14164E+04   2.20291E+04   1.54293E+04
+   1.07945E+04   7.54218E+03   5.26564E+03   3.65178E+03   2.54463E+03
+   1.77145E+03   1.23211E+03   8.56331E+02   5.94461E+02   4.12560E+02
+   2.86337E+02   1.98865E+02   1.38239E+02   9.62635E+01   6.72058E+01
+   4.70840E+01   3.31375E+01   2.34540E+01   1.67139E+01   1.19972E+01
+   8.69398E+00   6.35420E+00   4.68595E+00   3.48537E+00   2.61252E+00
+   1.97122E+00   1.49528E+00   1.13818E+00   8.69405E-01   6.63108E-01
+   5.05509E-01   3.84286E-01   2.90912E-01   2.19049E-01   1.63708E-01
+   1.21716E-01   8.93720E-02   6.50006E-02   4.67042E-02   3.31160E-02
+   2.31175E-02   1.58677E-02   1.06945E-02   7.06417E-03   4.57501E-03
+   2.89541E-03   1.80329E-03   1.09911E-03   6.61740E-04   3.96310E-04
+   2.37983E-04   1.44278E-04   8.87258E-05   5.54743E-05   3.53287E-05
+   2.29046E-05   1.52069E-05   1.02948E-05   7.12501E-06   5.02629E-06
+   3.59242E-06   2.57783E-06   1.83616E-06   1.28002E-06   8.61989E-07
+   5.49304E-07   3.22537E-07   1.67319E-07   7.07998E-08   2.04304E-08
+   2.44358E-09   0.00000E+00   5.17430E+07   3.77257E+07   2.68388E+07
+   1.90822E+07   1.35570E+07   9.62399E+06   6.82652E+06   4.83822E+06
+   3.42614E+06   2.42409E+06   1.71359E+06   1.21023E+06   8.53938E+05
+   6.01961E+05   4.23922E+05   2.98241E+05   2.09606E+05   1.47157E+05
+   1.03204E+05   7.22988E+04   5.05923E+04   3.53621E+04   2.46884E+04
+   1.72158E+04   1.19905E+04   8.33972E+03   5.79569E+03   4.00032E+03
+   2.77431E+03   1.92206E+03   1.33035E+03   9.20037E+02   6.35480E+02
+   4.38786E+02   3.02973E+02   2.09325E+02   1.44747E+02   1.00262E+02
+   6.96252E+01   4.85185E+01   3.39645E+01   2.39108E+01   1.69488E+01
+   1.21013E+01   8.72327E+00   6.34222E+00   4.65274E+00   3.44267E+00
+   2.56710E+00   1.92688E+00   1.45404E+00   1.10102E+00   8.36670E-01
+   6.34829E-01   4.81459E-01   3.64130E-01   2.74253E-01   2.05465E-01
+   1.52782E-01   1.13030E-01   8.25815E-02   5.97661E-02   4.27333E-02
+   3.01544E-02   2.09504E-02   1.43142E-02   9.60528E-03   6.31909E-03
+   4.07799E-03   2.57343E-03   1.59971E-03   9.74355E-04   5.87081E-04
+   3.52402E-04   2.12390E-04   1.29375E-04   8.00049E-05   5.03362E-05
+   3.22799E-05   2.10862E-05   1.41088E-05   9.62365E-06   6.70367E-06
+   4.75089E-06   3.40308E-06   2.44092E-06   1.73367E-06   1.20238E-06
+   8.03906E-07   5.07596E-07   2.94664E-07   1.50695E-07   6.25983E-08
+   1.76907E-08   2.12390E-09   0.00000E+00   6.25256E+07   4.54659E+07
+   3.22396E+07   2.28465E+07   1.61772E+07   1.14453E+07   8.09068E+06
+   5.71435E+06   4.03241E+06   2.84293E+06   2.00246E+06   1.40911E+06
+   9.90608E+05   6.95699E+05   4.88084E+05   3.42065E+05   2.39472E+05
+   1.67463E+05   1.16976E+05   8.16147E+04   5.68765E+04   3.95887E+04
+   2.75222E+04   1.91094E+04   1.32511E+04   9.17560E+03   6.34796E+03
+   4.36122E+03   3.01061E+03   2.07599E+03   1.43004E+03   9.84212E+02
+   6.76476E+02   4.64776E+02   3.19308E+02   2.19494E+02   1.51002E+02
+   1.04056E+02   7.18853E+01   4.98331E+01   3.47032E+01   2.43039E+01
+   1.71382E+01   1.21734E+01   8.73028E+00   6.31491E+00   4.60912E+00
+   3.39303E+00   2.51719E+00   1.87976E+00   1.41122E+00   1.06310E+00
+   8.03725E-01   6.06700E-01   4.57778E-01   3.44461E-01   2.58129E-01
+   1.92415E-01   1.42361E-01   1.04801E-01   7.61903E-02   5.48702E-02
+   3.90420E-02   2.74176E-02   1.89594E-02   1.28950E-02   8.61567E-03
+   5.64561E-03   3.63083E-03   2.28494E-03   1.41789E-03   8.63159E-04
+   5.20564E-04   3.13230E-04   1.89488E-04   1.15975E-04   7.21176E-05
+   4.56552E-05   2.94766E-05   1.93940E-05   1.30707E-05   8.97589E-06
+   6.28687E-06   4.47141E-06   3.20678E-06   2.29718E-06   1.62581E-06
+   1.12119E-06   7.43949E-07   4.65279E-07   2.66959E-07   1.34561E-07
+   5.48715E-08   1.51944E-08   1.83108E-09   0.00000E+00   7.50281E+07
+   5.44155E+07   3.84622E+07   2.71682E+07   1.91745E+07   1.35211E+07
+   9.52614E+06   6.70546E+06   4.71560E+06   3.31308E+06   2.32544E+06
+   1.63058E+06   1.14217E+06   7.99221E+05   5.58642E+05   3.90049E+05
+   2.72029E+05   1.89498E+05   1.31851E+05   9.16293E+04   6.35992E+04
+   4.40876E+04   3.05231E+04   2.11040E+04   1.45719E+04   1.00463E+04
+   6.91990E+03   4.73266E+03   3.25227E+03   2.23236E+03   1.53061E+03
+   1.04846E+03   7.17192E+02   4.90366E+02   3.35240E+02   2.29307E+02
+   1.56967E+02   1.07624E+02   7.39750E+01   5.10223E+01   3.53515E+01
+   2.46328E+01   1.72826E+01   1.22143E+01   8.71590E+00   6.27311E+00
+   4.55582E+00   3.33708E+00   2.46329E+00   1.83026E+00   1.36712E+00
+   1.02465E+00   7.70743E-01   5.78843E-01   4.34547E-01   3.25333E-01
+   2.42571E-01   1.79915E-01   1.32449E-01   9.70257E-02   7.01893E-02
+   5.03018E-02   3.56182E-02   2.48941E-02   1.71341E-02   1.16011E-02
+   7.71830E-03   5.03799E-03   3.22925E-03   2.02689E-03   1.25575E-03
+   7.64176E-04   4.61367E-04   2.78315E-04   1.69008E-04   1.03937E-04
+   6.49885E-05   4.13929E-05   2.69003E-05   1.78202E-05   1.20902E-05
+   8.35245E-06   5.87710E-06   4.19096E-06   3.00668E-06   2.14952E-06
+   1.51503E-06   1.03842E-06   6.83579E-07   4.23347E-07   2.40022E-07
+   1.19220E-07   4.77256E-08   1.29559E-08   1.56716E-09   0.00000E+00
+   1.37168E+06   1.89392E+06   1.38756E+06   1.01655E+06   7.44747E+05
+   5.45620E+05   3.99737E+05   2.92861E+05   2.14562E+05   1.57198E+05
+   1.15173E+05   8.43835E+04   6.18265E+04   4.53005E+04   3.31928E+04
+   2.43222E+04   1.78231E+04   1.30614E+04   9.57260E+03   7.01636E+03
+   5.14335E+03   3.77090E+03   2.76521E+03   2.02821E+03   1.48809E+03
+   1.09221E+03   8.02027E+02   5.86483E+02   4.31304E+02   3.17475E+02
+   2.33955E+02   1.72648E+02   1.27562E+02   9.44564E+01   7.01300E+01
+   5.22446E+01   3.90669E+01   2.93468E+01   2.21619E+01   1.68361E+01
+   1.28743E+01   9.91355E+00   7.68841E+00   6.00251E+00   4.72036E+00
+   3.73191E+00   2.96366E+00   2.36100E+00   1.88444E+00   1.50538E+00
+   1.20298E+00   9.61542E-01   7.69919E-01   6.16342E-01   4.94774E-01
+   3.98377E-01   3.21972E-01   2.61346E-01   2.13112E-01   1.74922E-01
+   1.43923E-01   1.18974E-01   9.86543E-02   8.19796E-02   6.81394E-02
+   5.65638E-02   4.67992E-02   3.84961E-02   3.14109E-02   2.53338E-02
+   2.01830E-02   1.57688E-02   1.20644E-02   9.00794E-03   6.54507E-03
+   4.61879E-03   3.16218E-03   2.09866E-03   1.34868E-03   8.36837E-04
+   5.02186E-04   2.88390E-04   1.58184E-04   8.23015E-05   4.02576E-05
+   1.82997E-05   7.61474E-06   2.83167E-06   9.19634E-07   2.48855E-07
+   5.24958E-08   7.72049E-09   6.41956E-10   1.88517E-11   4.34459E-14
+   0.00000E+00   2.60301E+06   1.94659E+06   1.42823E+06   1.04794E+06
+   7.68949E+05   5.64267E+05   4.14095E+05   3.03908E+05   2.23057E+05
+   1.63726E+05   1.20186E+05   8.82319E+04   6.47789E+04   4.75641E+04
+   3.49275E+04   2.56508E+04   1.88402E+04   1.38395E+04   1.01676E+04
+   7.47107E+03   5.49065E+03   4.03599E+03   2.96740E+03   2.18232E+03
+   1.60546E+03   1.18148E+03   8.69880E+02   6.37780E+02   4.70205E+02
+   3.46934E+02   2.56225E+02   1.89450E+02   1.40206E+02   1.03947E+02
+   7.72338E+01   5.75458E+01   4.30082E+01   3.22653E+01   2.43132E+01
+   1.84138E+01   1.40245E+01   1.07465E+01   8.28693E+00   6.42839E+00
+   5.02034E+00   3.94023E+00   3.10588E+00   2.45601E+00   1.94615E+00
+   1.54398E+00   1.22586E+00   9.73934E-01   7.75532E-01   6.17642E-01
+   4.93448E-01   3.95521E-01   3.18286E-01   2.57280E-01   2.08924E-01
+   1.70777E-01   1.39919E-01   1.15164E-01   9.50686E-02   7.86337E-02
+   6.50425E-02   5.37207E-02   4.42139E-02   3.61708E-02   2.93488E-02
+   2.35332E-02   1.86382E-02   1.44743E-02   1.10072E-02   8.16955E-03
+   5.90135E-03   4.14093E-03   2.81927E-03   1.86053E-03   1.18874E-03
+   7.32823E-04   4.36466E-04   2.48251E-04   1.34358E-04   6.84688E-05
+   3.23075E-05   1.36718E-05   4.81938E-06   1.04598E-06   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   2.74973E+06   2.05911E+06   1.51326E+06
+   1.11217E+06   8.17451E+05   6.00880E+05   4.41722E+05   3.24748E+05
+   2.38770E+05   1.75570E+05   1.29110E+05   9.49525E+04   6.98381E+04
+   5.13711E+04   3.77909E+04   2.78035E+04   2.04577E+04   1.50543E+04
+   1.10794E+04   8.15511E+03   6.00349E+03   4.42023E+03   3.25509E+03
+   2.39755E+03   1.76634E+03   1.30159E+03   9.59492E+02   7.04254E+02
+   5.19687E+02   3.83714E+02   2.83520E+02   2.09668E+02   1.55143E+02
+   1.14958E+02   8.53285E+01   6.34801E+01   4.73437E+01   3.54208E+01
+   2.66001E+01   2.00631E+01   1.52073E+01   1.15893E+01   8.88276E+00
+   6.84546E+00   5.30921E+00   4.13729E+00   3.23780E+00   2.54215E+00
+   2.00055E+00   1.57672E+00   1.24416E+00   9.82792E-01   7.78450E-01
+   6.16909E-01   4.90602E-01   3.91537E-01   3.13772E-01   2.52615E-01
+   2.04315E-01   1.66348E-01   1.35736E-01   1.11257E-01   9.14496E-02
+   7.53038E-02   6.19995E-02   5.09598E-02   4.17309E-02   3.39611E-02
+   2.74085E-02   2.18554E-02   1.72124E-02   1.32907E-02   1.00499E-02
+   7.41770E-03   5.32994E-03   3.72147E-03   2.52217E-03   1.65759E-03
+   1.05536E-03   6.48756E-04   3.85775E-04   2.19516E-04   1.19305E-04
+   6.14973E-05   2.97893E-05   1.33873E-05   5.48200E-06   1.97421E-06
+   5.85976E-07   1.08730E-07   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   2.99804E+06   2.24781E+06
+   1.65432E+06   1.21759E+06   8.96210E+05   6.59695E+05   4.85625E+05
+   3.57506E+05   2.63202E+05   1.93783E+05   1.42680E+05   1.05059E+05
+   7.73605E+04   5.69672E+04   4.19516E+04   3.08950E+04   2.27534E+04
+   1.67580E+04   1.23428E+04   9.09131E+03   6.69670E+03   4.93308E+03
+   3.63418E+03   2.67750E+03   1.97285E+03   1.45373E+03   1.07147E+03
+   7.86171E+02   5.79821E+02   4.27788E+02   3.15765E+02   2.33213E+02
+   1.72288E+02   1.27412E+02   9.43520E+01   6.99989E+01   5.20366E+01
+   3.87866E+01   2.90038E+01   2.17714E+01   1.64146E+01   1.24367E+01
+   9.47292E+00   7.25217E+00   5.58633E+00   4.32302E+00   3.35964E+00
+   2.61981E+00   2.04805E+00   1.60402E+00   1.25824E+00   9.88447E-01
+   7.78958E-01   6.14385E-01   4.86435E-01   3.86590E-01   3.08567E-01
+   2.47463E-01   1.99374E-01   1.61703E-01   1.31428E-01   1.07294E-01
+   8.78268E-02   7.20098E-02   5.90218E-02   4.82857E-02   3.93488E-02
+   3.18606E-02   2.55801E-02   2.02877E-02   1.58910E-02   1.22025E-02
+   9.17624E-03   6.73653E-03   4.81565E-03   3.34621E-03   2.25776E-03
+   1.47784E-03   9.37653E-04   5.74774E-04   3.41210E-04   1.94197E-04
+   1.05926E-04   5.51454E-05   2.73076E-05   1.28560E-05   5.79796E-06
+   2.55623E-06   1.15919E-06   5.67355E-07   3.01869E-07   1.63035E-07
+   8.03678E-08   3.04780E-08   3.49182E-09   0.00000E+00   3.37461E+06
+   2.53215E+06   1.86530E+06   1.37408E+06   1.01223E+06   7.45665E+05
+   5.49299E+05   4.04641E+05   2.98074E+05   2.19569E+05   1.61736E+05
+   1.19132E+05   8.77471E+04   6.46278E+04   4.75977E+04   3.50533E+04
+   2.58135E+04   1.90080E+04   1.39959E+04   1.03046E+04   7.58643E+03
+   5.58484E+03   4.11111E+03   3.02609E+03   2.22732E+03   1.63921E+03
+   1.20650E+03   8.83840E+02   6.50710E+02   4.79146E+02   3.52900E+02
+   2.60005E+02   1.91562E+02   1.41241E+02   1.04246E+02   7.70562E+01
+   5.70523E+01   4.23373E+01   3.15064E+01   2.35264E+01   1.76381E+01
+   1.32837E+01   1.00544E+01   7.64691E+00   5.85100E+00   4.49721E+00
+   3.47153E+00   2.68924E+00   2.08899E+00   1.62621E+00   1.26842E+00
+   9.91163E-01   7.77280E-01   6.10255E-01   4.81099E-01   3.80802E-01
+   3.02767E-01   2.41899E-01   1.94159E-01   1.56889E-01   1.27029E-01
+   1.03299E-01   8.42161E-02   6.87609E-02   5.61134E-02   4.56976E-02
+   3.70636E-02   2.98626E-02   2.38549E-02   1.88204E-02   1.46636E-02
+   1.11993E-02   8.37675E-03   6.11743E-03   4.35122E-03   3.00929E-03
+   2.02162E-03   1.31804E-03   8.33421E-04   5.09458E-04   3.01925E-04
+   1.71855E-04   9.40435E-05   4.93962E-05   2.49322E-05   1.21861E-05
+   5.88286E-06   2.89802E-06   1.52308E-06   8.62465E-07   5.07161E-07
+   2.87355E-07   1.43602E-07   5.34467E-08   6.14400E-09   0.00000E+00
+   3.91038E+06   2.93463E+06   2.16214E+06   1.59290E+06   1.17345E+06
+   8.64381E+05   6.36664E+05   4.68895E+05   3.45300E+05   2.54256E+05
+   1.87195E+05   1.37805E+05   1.01433E+05   7.46496E+04   5.49305E+04
+   4.04139E+04   2.97288E+04   2.18649E+04   1.60783E+04   1.18210E+04
+   8.68930E+03   6.38604E+03   4.69242E+03   3.44728E+03   2.53205E+03
+   1.85931E+03   1.36526E+03   9.97564E+02   7.32451E+02   5.37780E+02
+   3.94865E+02   2.89968E+02   2.12887E+02   1.56376E+02   1.14954E+02
+   8.46080E+01   6.23574E+01   4.60488E+01   3.40908E+01   2.53164E+01
+   1.88703E+01   1.41256E+01   1.06244E+01   8.02815E+00   6.10247E+00
+   4.65966E+00   3.57351E+00   2.75066E+00   2.12363E+00   1.64356E+00
+   1.27494E+00   9.91166E-01   7.73607E-01   6.04676E-01   4.74723E-01
+   3.74277E-01   2.96456E-01   2.35988E-01   1.88723E-01   1.51943E-01
+   1.22567E-01   9.92919E-02   8.06312E-02   6.55654E-02   5.32779E-02
+   4.31957E-02   3.48723E-02   2.79618E-02   2.22263E-02   1.74455E-02
+   1.35220E-02   1.02730E-02   7.64366E-03   5.55351E-03   3.93080E-03
+   2.70604E-03   1.81017E-03   1.17562E-03   7.40885E-04   4.51660E-04
+   2.67230E-04   1.52118E-04   8.34981E-05   4.42197E-05   2.27038E-05
+   1.14512E-05   5.81890E-06   3.07662E-06   1.74281E-06   1.04497E-06
+   6.32836E-07   3.61390E-07   1.79514E-07   6.53514E-08   7.53689E-09
+   0.00000E+00   2.69771E+06   3.48099E+06   2.56296E+06   1.88680E+06
+   1.38882E+06   1.02210E+06   7.52084E+05   5.53302E+05   4.06982E+05
+   2.99297E+05   2.20058E+05   1.61763E+05   1.18883E+05   8.73489E+04
+   6.41634E+04   4.71198E+04   3.45943E+04   2.53912E+04   1.86311E+04
+   1.36667E+04   1.00222E+04   7.34723E+03   5.38459E+03   3.94496E+03
+   2.88930E+03   2.11528E+03   1.54836E+03   1.12761E+03   8.25114E+02
+   6.03659E+02   4.41587E+02   3.23016E+02   2.36183E+02   1.72747E+02
+   1.26420E+02   9.26104E+01   6.79194E+01   4.98974E+01   3.67406E+01
+   2.71304E+01   2.01038E+01   1.49577E+01   1.11802E+01   8.39438E+00
+   6.34004E+00   4.81011E+00   3.66564E+00   2.80424E+00   2.15219E+00
+   1.65630E+00   1.27804E+00   9.88653E-01   7.68107E-01   5.97790E-01
+   4.67421E-01   3.67107E-01   2.89705E-01   2.29789E-01   1.83108E-01
+   1.46900E-01   1.18067E-01   9.52907E-02   7.70840E-02   6.24303E-02
+   5.05186E-02   4.07800E-02   3.27726E-02   2.61542E-02   2.06885E-02
+   1.61568E-02   1.24595E-02   9.41688E-03   6.97064E-03   5.03914E-03
+   3.54963E-03   2.43263E-03   1.62050E-03   1.04845E-03   6.58590E-04
+   4.00431E-04   2.36547E-04   1.34669E-04   7.41436E-05   3.95747E-05
+   2.06395E-05   1.06963E-05   5.65963E-06   3.14327E-06   1.86203E-06
+   1.14895E-06   7.03437E-07   4.01104E-07   1.97160E-07   7.01909E-08
+   8.12106E-09   0.00000E+00   5.71507E+06   4.28104E+06   3.14698E+06
+   2.31288E+06   1.69945E+06   1.24841E+06   9.16830E+05   6.73138E+05
+   4.94080E+05   3.62546E+05   2.65949E+05   1.95027E+05   1.42972E+05
+   1.04776E+05   7.67570E+04   5.62107E+04   4.11490E+04   3.01116E+04
+   2.20261E+04   1.61052E+04   1.17711E+04   8.59968E+03   6.28009E+03
+   4.58415E+03   3.34472E+03   2.43908E+03   1.77818E+03   1.28949E+03
+   9.39514E+02   6.84301E+02   4.98280E+02   3.62757E+02   2.63936E+02
+   1.92064E+02   1.39816E+02   1.01865E+02   7.42842E+01   5.42536E+01
+   3.97060E+01   2.91364E+01   2.14509E+01   1.58543E+01   1.17704E+01
+   8.77703E+00   6.58362E+00   4.96082E+00   3.75511E+00   2.85391E+00
+   2.17655E+00   1.66504E+00   1.27756E+00   9.83071E-01   7.60034E-01
+   5.88783E-01   4.58389E-01   3.58534E-01   2.81821E-01   2.22674E-01
+   1.76757E-01   1.41263E-01   1.13091E-01   9.09077E-02   7.32323E-02
+   5.90541E-02   4.75704E-02   3.82184E-02   3.05624E-02   2.42651E-02
+   1.90926E-02   1.48284E-02   1.13712E-02   8.54525E-03   6.28917E-03
+   4.52063E-03   3.16656E-03   2.15814E-03   1.42974E-03   9.19798E-04
+   5.74331E-04   3.46839E-04   2.03257E-04   1.14535E-04   6.21783E-05
+   3.25121E-05   1.64319E-05   8.11471E-06   4.00658E-06   2.04015E-06
+   1.10771E-06   6.37999E-07   3.73454E-07   2.07256E-07   1.00150E-07
+   3.52760E-08   4.08179E-09   0.00000E+00   7.14374E+06   5.34075E+06
+   3.91672E+06   2.87165E+06   2.10476E+06   1.54216E+06   1.12956E+06
+   8.27055E+05   6.05345E+05   4.42903E+05   3.23926E+05   2.36815E+05
+   1.73060E+05   1.26415E+05   9.23016E+04   6.73637E+04   4.91409E+04
+   3.58306E+04   2.61129E+04   1.90212E+04   1.38485E+04   1.00772E+04
+   7.32912E+03   5.32756E+03   3.87048E+03   2.81009E+03   2.03947E+03
+   1.47206E+03   1.06748E+03   7.73747E+02   5.60619E+02   4.06066E+02
+   2.93903E+02   2.12723E+02   1.54002E+02   1.11565E+02   8.08849E+01
+   5.87213E+01   4.27121E+01   3.11452E+01   2.27823E+01   1.67279E+01
+   1.23365E+01   9.13745E+00   6.80810E+00   5.09589E+00   3.83216E+00
+   2.89399E+00   2.19364E+00   1.66836E+00   1.27310E+00   9.74597E-01
+   7.49878E-01   5.78293E-01   4.48310E-01   3.49232E-01   2.73439E-01
+   2.15229E-01   1.70196E-01   1.35505E-01   1.08059E-01   8.65164E-02
+   6.94067E-02   5.57284E-02   4.46895E-02   3.57352E-02   2.84366E-02
+   2.24622E-02   1.75813E-02   1.35803E-02   1.03568E-02   7.73935E-03
+   5.66430E-03   4.04926E-03   2.82150E-03   1.91339E-03   1.26166E-03
+   8.08137E-04   5.02636E-04   3.02506E-04   1.76827E-04   9.95302E-05
+   5.41037E-05   2.84463E-05   1.45584E-05   7.36011E-06   3.77270E-06
+   2.01822E-06   1.15146E-06   6.87739E-07   4.09974E-07   2.28419E-07
+   1.09526E-07   3.76836E-08   4.37656E-09   0.00000E+00   9.00133E+06
+   6.71332E+06   4.90910E+06   3.58866E+06   2.62237E+06   1.91550E+06
+   1.39860E+06   1.02075E+06   7.44658E+05   5.43000E+05   3.95771E+05
+   2.88325E+05   2.09947E+05   1.52798E+05   1.11149E+05   8.08095E+04
+   5.87200E+04   4.26449E+04   3.09530E+04   2.24535E+04   1.62784E+04
+   1.17943E+04   8.54024E+03   6.18004E+03   4.46922E+03   3.22959E+03
+   2.33276E+03   1.67544E+03   1.20893E+03   8.71837E+02   6.28423E+02
+   4.52774E+02   3.25939E+02   2.34608E+02   1.68888E+02   1.21645E+02
+   8.76729E+01   6.32663E+01   4.57352E+01   3.31408E+01   2.40876E+01
+   1.75720E+01   1.28744E+01   9.47331E+00   7.01227E+00   5.21474E+00
+   3.89664E+00   2.92452E+00   2.20362E+00   1.66648E+00   1.26488E+00
+   9.63436E-01   7.37823E-01   5.66479E-01   4.37321E-01   3.39316E-01
+   2.64654E-01   2.07531E-01   1.63492E-01   1.29679E-01   1.03014E-01
+   8.21507E-02   6.56336E-02   5.24736E-02   4.18912E-02   3.33410E-02
+   2.64020E-02   2.07493E-02   1.61557E-02   1.24116E-02   9.41377E-03
+   6.99551E-03   5.09159E-03   3.62017E-03   2.50941E-03   1.69337E-03
+   1.11143E-03   7.08882E-04   4.39235E-04   2.63499E-04   1.53684E-04
+   8.64474E-05   4.70875E-05   2.49187E-05   1.29279E-05   6.69288E-06
+   3.55247E-06   1.98059E-06   1.17224E-06   7.16719E-07   4.31139E-07
+   2.39875E-07   1.13848E-07   3.83591E-08   4.46992E-09   0.00000E+00
+   1.13738E+07   8.45994E+06   6.16632E+06   4.49294E+06   3.27221E+06
+   2.38206E+06   1.73324E+06   1.26053E+06   9.16287E+05   6.65714E+05
+   4.83410E+05   3.50840E+05   2.54485E+05   1.84488E+05   1.33666E+05
+   9.67865E+04   7.00394E+04   5.06519E+04   3.66076E+04   2.64399E+04
+   1.90836E+04   1.37645E+04   9.92112E+03   7.14577E+03   5.14303E+03
+   3.69848E+03   2.65830E+03   1.89954E+03   1.36364E+03   9.78312E+02
+   7.01445E+02   5.02667E+02   3.59871E+02   2.57585E+02   1.84373E+02
+   1.32029E+02   9.45962E+01   6.78526E+01   4.87512E+01   3.51073E+01
+   2.53566E+01   1.83802E+01   1.33806E+01   9.78261E+00   7.19513E+00
+   5.31701E+00   3.94851E+00   2.94566E+00   2.20672E+00   1.65963E+00
+   1.25313E+00   9.49804E-01   7.24055E-01   5.53497E-01   4.25549E-01
+   3.28888E-01   2.55548E-01   1.99646E-01   1.56694E-01   1.23826E-01
+   9.79869E-02   7.78344E-02   6.19311E-02   4.93027E-02   3.91844E-02
+   3.10414E-02   2.44616E-02   1.91272E-02   1.48153E-02   1.13205E-02
+   8.53951E-03   6.31077E-03   4.56801E-03   3.23050E-03   2.22779E-03
+   1.49602E-03   9.77452E-04   6.20840E-04   3.83283E-04   2.29244E-04
+   1.33451E-04   7.50543E-05   4.09935E-05   2.18544E-05   1.15023E-05
+   6.09580E-06   3.33942E-06   1.92577E-06   1.17049E-06   7.25878E-07
+   4.37796E-07   2.42208E-07   1.13436E-07   3.73846E-08   4.37177E-09
+   0.00000E+00   1.43573E+07   1.06487E+07   7.73507E+06   5.61644E+06
+   4.07606E+06   2.95662E+06   2.14349E+06   1.55315E+06   1.12477E+06
+   8.14073E+05   5.88858E+05   4.25694E+05   3.07551E+05   2.22055E+05
+   1.60223E+05   1.15531E+05   8.32493E+04   5.99456E+04   4.31347E+04
+   3.10154E+04   2.22848E+04   1.59995E+04   1.14782E+04   8.22796E+03
+   5.89329E+03   4.21716E+03   3.01600E+03   2.14405E+03   1.53126E+03
+   1.09281E+03   7.79376E+02   5.55495E+02   3.95503E+02   2.81506E+02
+   2.00351E+02   1.42643E+02   1.01602E+02   7.24443E+01   5.17364E+01
+   3.70294E+01   2.65798E+01   1.91470E+01   1.38517E+01   1.00637E+01
+   7.35592E+00   5.40249E+00   3.98787E+00   2.95764E+00   2.20323E+00
+   1.64812E+00   1.23812E+00   9.33925E-01   7.08759E-01   5.39499E-01
+   4.13116E-01   3.18047E-01   2.46199E-01   1.91635E-01   1.49852E-01
+   1.17981E-01   9.30064E-02   7.35888E-02   5.83146E-02   4.62266E-02
+   3.65764E-02   2.88407E-02   2.26174E-02   1.75961E-02   1.35587E-02
+   1.03048E-02   7.73125E-03   5.68208E-03   4.09055E-03   2.87749E-03
+   1.97426E-03   1.31941E-03   8.58222E-04   5.42907E-04   3.34003E-04
+   1.99218E-04   1.15793E-04   6.51463E-05   3.57048E-05   1.91920E-05
+   1.02535E-05   5.55911E-06   3.13301E-06   1.85715E-06   1.15066E-06
+   7.19392E-07   4.33272E-07   2.37732E-07   1.09665E-07   3.53344E-08
+   4.14713E-09   0.00000E+00   1.80581E+07   1.33546E+07   9.66649E+06
+   6.99390E+06   5.05744E+06   3.65508E+06   2.64004E+06   1.90575E+06
+   1.37486E+06   9.91235E+05   7.14197E+05   5.14248E+05   3.70029E+05
+   2.66071E+05   1.91185E+05   1.37275E+05   9.84940E+04   7.06148E+04
+   5.05877E+04   3.62115E+04   2.58999E+04   1.85091E+04   1.32163E+04
+   9.42878E+03   6.72069E+03   4.78555E+03   3.40543E+03   2.40845E+03
+   1.71124E+03   1.21489E+03   8.61847E+02   6.10970E+02   4.32620E+02
+   3.06216E+02   2.16709E+02   1.53409E+02   1.08637E+02   7.70062E+01
+   5.46679E+01   3.88928E+01   2.77484E+01   1.98671E+01   1.42850E+01
+   1.03151E+01   7.49417E+00   5.47115E+00   4.01491E+00   2.96076E+00
+   2.19347E+00   1.63223E+00   1.22010E+00   9.16022E-01   6.92120E-01
+   5.24633E-01   4.00140E-01   3.06884E-01   2.36679E-01   1.83554E-01
+   1.43007E-01   1.12179E-01   8.80970E-02   6.94323E-02   5.47973E-02
+   4.32545E-02   3.40730E-02   2.67422E-02   2.08703E-02   1.61554E-02
+   1.23842E-02   9.36187E-03   6.98602E-03   5.10637E-03   3.65623E-03
+   2.55845E-03   1.74654E-03   1.16171E-03   7.52349E-04   4.74066E-04
+   2.90686E-04   1.72947E-04   1.00406E-04   5.65406E-05   3.11176E-05
+   1.68777E-05   9.15691E-06   5.07444E-06   2.93284E-06   1.77765E-06
+   1.11656E-06   7.00772E-07   4.20323E-07   2.28331E-07   1.03622E-07
+   3.26392E-08   3.84509E-09   0.00000E+00   2.25931E+07   1.66594E+07
+   1.20160E+07   8.66276E+06   6.24156E+06   4.49431E+06   3.23415E+06
+   2.32583E+06   1.67151E+06   1.20045E+06   8.61548E+05   6.17881E+05
+   4.42807E+05   3.17101E+05   2.26908E+05   1.62241E+05   1.15910E+05
+   8.27415E+04   5.90150E+04   4.20557E+04   2.99439E+04   2.13009E+04
+   1.51389E+04   1.07493E+04   7.62510E+03   5.40300E+03   3.82582E+03
+   2.69196E+03   1.90294E+03   1.34401E+03   9.48439E+02   6.68777E+02
+   4.70992E+02   3.31548E+02   2.33333E+02   1.64248E+02   1.15650E+02
+   8.15043E+01   5.75241E+01   4.06843E+01   2.88547E+01   2.05363E+01
+   1.46782E+01   1.05360E+01   7.60961E+00   5.52312E+00   4.02996E+00
+   2.95539E+00   2.17780E+00   1.61230E+00   1.19937E+00   8.96321E-01
+   6.74319E-01   5.09041E-01   3.86733E-01   2.95487E-01   2.27055E-01
+   1.75454E-01   1.36199E-01   1.06449E-01   8.32808E-02   6.53807E-02
+   5.13905E-02   4.03937E-02   3.16785E-02   2.47477E-02   1.92206E-02
+   1.48039E-02   1.12896E-02   8.48901E-03   6.30076E-03   4.58051E-03
+   3.26215E-03   2.27081E-03   1.54249E-03   1.02122E-03   6.58537E-04
+   4.13384E-04   2.52685E-04   1.50004E-04   8.70194E-05   4.90743E-05
+   2.71406E-05   1.48642E-05   8.19134E-06   4.63464E-06   2.73867E-06
+   1.68985E-06   1.07144E-06   6.72973E-07   4.01223E-07   2.15519E-07
+   9.61481E-08   2.96116E-08   3.50157E-09   0.00000E+00   2.80886E+07
+   2.06517E+07   1.48431E+07   1.06629E+07   7.65508E+06   5.49207E+06
+   3.93758E+06   2.82113E+06   2.01980E+06   1.44503E+06   1.03305E+06
+   7.37967E+05   5.26758E+05   3.75695E+05   2.67734E+05   1.90636E+05
+   1.35623E+05   9.63996E+04   6.84584E+04   4.85707E+04   3.44283E+04
+   2.43800E+04   1.72476E+04   1.21894E+04   8.60563E+03   6.06838E+03
+   4.27602E+03   2.99361E+03   2.10556E+03   1.47954E+03   1.03868E+03
+   7.28574E+02   5.10373E+02   3.57333E+02   2.50105E+02   1.75081E+02
+   1.22588E+02   8.59060E+01   6.02848E+01   4.23916E+01   2.98916E+01
+   2.11508E+01   1.50297E+01   1.07258E+01   7.70223E+00   5.55868E+00
+   4.03340E+00   2.94194E+00   2.15661E+00   1.58865E+00   1.17618E+00
+   8.75043E-01   6.55531E-01   4.92861E-01   3.73001E-01   2.83937E-01
+   2.17389E-01   1.67382E-01   1.29463E-01   1.00816E-01   7.85763E-02
+   6.14474E-02   4.81031E-02   3.76498E-02   2.93959E-02   2.28582E-02
+   1.76675E-02   1.35396E-02   1.02724E-02   7.68320E-03   5.67228E-03
+   4.10142E-03   2.90543E-03   2.01208E-03   1.36005E-03   8.96316E-04
+   5.75590E-04   3.60000E-04   2.19411E-04   1.30001E-04   7.53894E-05
+   4.26025E-05   2.36928E-05   1.31103E-05   7.33846E-06   4.23371E-06
+   2.55040E-06   1.59601E-06   1.01810E-06   6.38482E-07   3.77840E-07
+   2.00508E-07   8.78873E-08   2.64737E-08   3.14240E-09   0.00000E+00
+   3.46809E+07   2.54258E+07   1.82111E+07   1.30366E+07   9.32599E+06
+   6.66685E+06   4.76249E+06   3.39959E+06   2.42489E+06   1.72830E+06
+   1.23084E+06   8.75854E+05   6.22729E+05   4.42378E+05   3.13984E+05
+   2.22654E+05   1.57745E+05   1.11653E+05   7.89526E+04   5.57741E+04
+   3.93608E+04   2.77488E+04   1.95422E+04   1.37477E+04   9.66057E+03
+   6.78002E+03   4.75459E+03   3.31223E+03   2.31818E+03   1.62079E+03
+   1.13208E+03   7.89997E+02   5.50511E+02   3.83395E+02   2.66910E+02
+   1.85833E+02   1.29404E+02   9.01805E+01   6.29315E+01   4.40041E+01
+   3.08534E+01   2.17076E+01   1.53381E+01   1.08840E+01   7.77224E+00
+   5.57827E+00   4.02572E+00   2.92089E+00   2.13029E+00   1.56163E+00
+   1.15082E+00   8.52408E-01   6.35926E-01   4.76222E-01   3.59041E-01
+   2.72307E-01   2.07736E-01   1.59380E-01   1.22829E-01   9.53034E-02
+   7.39997E-02   5.76434E-02   4.49423E-02   3.50270E-02   2.72270E-02
+   2.10737E-02   1.62098E-02   1.23605E-02   9.32973E-03   6.94125E-03
+   5.09736E-03   3.66601E-03   2.58332E-03   1.77990E-03   1.19730E-03
+   7.85524E-04   5.02401E-04   3.13130E-04   1.90330E-04   1.12590E-04
+   6.52985E-05   3.69968E-05   2.07034E-05   1.15802E-05   6.58256E-06
+   3.86666E-06   2.36812E-06   1.49816E-06   9.58936E-07   5.99387E-07
+   3.51701E-07   1.84258E-07   7.93242E-08   2.33795E-08   2.78567E-09
+   0.00000E+00   4.25147E+07   3.10821E+07   2.21865E+07   1.58278E+07
+   1.12833E+07   8.03768E+06   5.72128E+06   4.06926E+06   2.89195E+06
+   2.05357E+06   1.45701E+06   1.03285E+06   7.31530E+05   5.17643E+05
+   3.65954E+05   2.58468E+05   1.82374E+05   1.28554E+05   9.05243E+04
+   6.36777E+04   4.47454E+04   3.14073E+04   2.20207E+04   1.54217E+04
+   1.07874E+04   7.53574E+03   5.25976E+03   3.64642E+03   2.53975E+03
+   1.76701E+03   1.22807E+03   8.52668E+02   5.91144E+02   4.09562E+02
+   2.83632E+02   1.96429E+02   1.36050E+02   9.42995E+01   6.54473E+01
+   4.55123E+01   3.17351E+01   2.22046E+01   1.56027E+01   1.10109E+01
+   7.82006E+00   5.58241E+00   4.00747E+00   2.89273E+00   2.09929E+00
+   1.53158E+00   1.12356E+00   8.28624E-01   6.15665E-01   4.59246E-01
+   3.44945E-01   2.60666E-01   1.98146E-01   1.51484E-01   1.16324E-01
+   8.99298E-02   6.95643E-02   5.39775E-02   4.19133E-02   3.25280E-02
+   2.51723E-02   1.93933E-02   1.48455E-02   1.12637E-02   8.45837E-03
+   6.25987E-03   4.57275E-03   3.27125E-03   2.29313E-03   1.57201E-03
+   1.05244E-03   6.87451E-04   4.37951E-04   2.72056E-04   1.64957E-04
+   9.74565E-05   5.65527E-05   3.21438E-05   1.81103E-05   1.02428E-05
+   5.91029E-06   3.52939E-06   2.19203E-06   1.39812E-06   8.96017E-07
+   5.57425E-07   3.24041E-07   1.67514E-07   7.08142E-08   2.04309E-08
+   2.44358E-09   0.00000E+00   5.17430E+07   3.77257E+07   2.68387E+07
+   1.90822E+07   1.35569E+07   9.62396E+06   6.82649E+06   4.83819E+06
+   3.42611E+06   2.42406E+06   1.71356E+06   1.21021E+06   8.53918E+05
+   6.01942E+05   4.23905E+05   2.98225E+05   2.09591E+05   1.47144E+05
+   1.03191E+05   7.22873E+04   5.05816E+04   3.53524E+04   2.46794E+04
+   1.72076E+04   1.19830E+04   8.33289E+03   5.78947E+03   3.99466E+03
+   2.76916E+03   1.91739E+03   1.32611E+03   9.16198E+02   6.32012E+02
+   4.35659E+02   3.00159E+02   2.06798E+02   1.42483E+02   9.82370E+01
+   6.78175E+01   4.69082E+01   3.25328E+01   2.26402E+01   1.58233E+01
+   1.11067E+01   7.84626E+00   5.57177E+00   3.97927E+00   2.85798E+00
+   2.06402E+00   1.49884E+00   1.09467E+00   8.03896E-01   5.94900E-01
+   4.42046E-01   3.30798E-01   2.49076E-01   1.88665E-01   1.43727E-01
+   1.09972E-01   8.47114E-02   6.52807E-02   5.04564E-02   3.90200E-02
+   3.01541E-02   2.32318E-02   1.78153E-02   1.35720E-02   1.02462E-02
+   7.65505E-03   5.63567E-03   4.09521E-03   2.91420E-03   2.03229E-03
+   1.38628E-03   9.23759E-04   6.00813E-04   3.81307E-04   2.36127E-04
+   1.42856E-04   8.43214E-05   4.89798E-05   2.79436E-05   1.58592E-05
+   9.07141E-06   5.31033E-06   3.21855E-06   2.02241E-06   1.29747E-06
+   8.31089E-07   5.14030E-07   2.95846E-07   1.50847E-07   6.26095E-08
+   1.76910E-08   2.12390E-09   0.00000E+00   6.25256E+07   4.54659E+07
+   3.22395E+07   2.28465E+07   1.61771E+07   1.14453E+07   8.09064E+06
+   5.71432E+06   4.03238E+06   2.84290E+06   2.00243E+06   1.40909E+06
+   9.90586E+05   6.95678E+05   4.88065E+05   3.42048E+05   2.39456E+05
+   1.67449E+05   1.16962E+05   8.16023E+04   5.68651E+04   3.95783E+04
+   2.75127E+04   1.91007E+04   1.32432E+04   9.16837E+03   6.34137E+03
+   4.35524E+03   3.00519E+03   2.07107E+03   1.42559E+03   9.80193E+02
+   6.72854E+02   4.61519E+02   3.16385E+02   2.16875E+02   1.48663E+02
+   1.01970E+02   7.00294E+01   4.81854E+01   3.32435E+01   2.30135E+01
+   1.60000E+01   1.11720E+01   7.85160E+00   5.54708E+00   3.94177E+00
+   2.81720E+00   2.02494E+00   1.46376E+00   1.06440E+00   7.78416E-01
+   5.73773E-01   4.24727E-01   3.16674E-01   2.37590E-01   1.79332E-01
+   1.36136E-01   1.03792E-01   7.96614E-02   6.11576E-02   4.70850E-02
+   3.62646E-02   2.79057E-02   2.14040E-02   1.63377E-02   1.23865E-02
+   9.30477E-03   6.91631E-03   5.06525E-03   3.66155E-03   2.59199E-03
+   1.79836E-03   1.22071E-03   8.09696E-04   5.24426E-04   3.31615E-04
+   2.04752E-04   1.23633E-04   7.29344E-05   4.24275E-05   2.43086E-05
+   1.39033E-05   8.04308E-06   4.77314E-06   2.93144E-06   1.85962E-06
+   1.19761E-06   7.65620E-07   4.70366E-07   2.67886E-07   1.34679E-07
+   5.48802E-08   1.51946E-08   1.83108E-09   0.00000E+00   7.50280E+07
+   5.44154E+07   3.84622E+07   2.71682E+07   1.91744E+07   1.35211E+07
+   9.52610E+06   6.70542E+06   4.71557E+06   3.31305E+06   2.32541E+06
+   1.63055E+06   1.14215E+06   7.99199E+05   5.58622E+05   3.90030E+05
+   2.72012E+05   1.89483E+05   1.31837E+05   9.16161E+04   6.35871E+04
+   4.40765E+04   3.05130E+04   2.10948E+04   1.45635E+04   1.00387E+04
+   6.91293E+03   4.72635E+03   3.24656E+03   2.22719E+03   1.52595E+03
+   1.04426E+03   7.13415E+02   4.86978E+02   3.32207E+02   2.26598E+02
+   1.54554E+02   1.05478E+02   7.20722E+01   4.93389E+01   3.38656E+01
+   2.33242E+01   1.61332E+01   1.12077E+01   7.83697E+00   5.50914E+00
+   3.89565E+00   2.77093E+00   1.98246E+00   1.42667E+00   1.03300E+00
+   7.52365E-01   5.52418E-01   4.07384E-01   3.02643E-01   2.26259E-01
+   1.70181E-01   1.28736E-01   9.77996E-02   7.47905E-02   5.72011E-02
+   4.38667E-02   3.36481E-02   2.57821E-02   1.96872E-02   1.49577E-02
+   1.12857E-02   8.43581E-03   6.23860E-03   4.54521E-03   3.26862E-03
+   2.30186E-03   1.58900E-03   1.07340E-03   7.08786E-04   4.57205E-04
+   2.88098E-04   1.77397E-04   1.06937E-04   6.30733E-05   3.67615E-05
+   2.11622E-05   1.22017E-05   7.13817E-06   4.29068E-06   2.66586E-06
+   1.70400E-06   1.09971E-06   7.00822E-07   4.27361E-07   2.40747E-07
+   1.19312E-07   4.77322E-08   1.29561E-08   1.56716E-09   0.00000E+00
+   1.06126E+07   8.25025E+06   6.33327E+06   4.86161E+06   3.73192E+06
+   2.86475E+06   2.19908E+06   1.68809E+06   1.29584E+06   9.94741E+05
+   7.63607E+05   5.86181E+05   4.49982E+05   3.45432E+05   2.65174E+05
+   2.03566E+05   1.56273E+05   1.19968E+05   9.20985E+04   7.07044E+04
+   5.42810E+04   4.16732E+04   3.19944E+04   2.45642E+04   1.88600E+04
+   1.44808E+04   1.11187E+04   8.50260E+03   6.52973E+03   5.01475E+03
+   3.85134E+03   2.95781E+03   2.27056E+03   1.74302E+03   1.33808E+03
+   1.02737E+03   7.88756E+02   6.05609E+02   4.65046E+02   3.57174E+02
+   2.74403E+02   2.10900E+02   1.62188E+02   1.24782E+02   9.61796E+01
+   7.42052E+01   5.73380E+01   4.43803E+01   3.44151E+01   2.67415E+01
+   2.08251E+01   1.62549E+01   1.27334E+01   9.98023E+00   7.84355E+00
+   6.17472E+00   4.86733E+00   3.84006E+00   3.03067E+00   2.39707E+00
+   1.89035E+00   1.49057E+00   1.17350E+00   9.22116E-01   7.22312E-01
+   5.63825E-01   4.38264E-01   3.38912E-01   2.60636E-01   1.98997E-01
+   1.51145E-01   1.13547E-01   8.44830E-02   6.21737E-02   4.51913E-02
+   3.23897E-02   2.28488E-02   1.58310E-02   1.07471E-02   7.12192E-03
+   4.60933E-03   2.88537E-03   1.74341E-03   1.01056E-03   5.57643E-04
+   2.90073E-04   1.40453E-04   6.20486E-05   2.45355E-05   8.35188E-06
+   2.31604E-06   4.76989E-07   6.13386E-08   3.33627E-09   2.21005E-11
+   0.00000E+00   2.34764E+07   1.80156E+07   1.36244E+07   1.03028E+07
+   7.79058E+06   5.89051E+06   4.45350E+06   3.36676E+06   2.54496E+06
+   1.92356E+06   1.45372E+06   1.09851E+06   8.29981E+05   6.27009E+05
+   4.73606E+05   3.57680E+05   2.70086E+05   2.03910E+05   1.53922E+05
+   1.16168E+05   8.76582E+04   6.61334E+04   4.98850E+04   3.76219E+04
+   2.83683E+04   2.13865E+04   1.61208E+04   1.20966E+04   9.11685E+03
+   6.87030E+03   5.17685E+03   3.90047E+03   2.93727E+03   2.21200E+03
+   1.66599E+03   1.25515E+03   9.45769E+02   7.12926E+02   5.37689E+02
+   4.05800E+02   3.06525E+02   2.31783E+02   1.75497E+02   1.33037E+02
+   1.01123E+02   7.69999E+01   5.87681E+01   4.49648E+01   3.44937E+01
+   2.65332E+01   2.04695E+01   1.58364E+01   1.23036E+01   9.56819E+00
+   7.46442E+00   5.83520E+00   4.56904E+00   3.58209E+00   2.80970E+00
+   2.20936E+00   1.73245E+00   1.35862E+00   1.06398E+00   8.31790E-01
+   6.48349E-01   5.03681E-01   3.89735E-01   3.00069E-01   2.29849E-01
+   1.74819E-01   1.32323E-01   9.91022E-02   7.35468E-02   5.40197E-02
+   3.92178E-02   2.81013E-02   1.98426E-02   1.37817E-02   9.39870E-03
+   6.27209E-03   4.10144E-03   2.60590E-03   1.60787E-03   9.59648E-04
+   5.51595E-04   3.03746E-04   1.59374E-04   7.89364E-05   3.67471E-05
+   1.58324E-05   6.18139E-06   2.09767E-06   5.63485E-07   9.31841E-08
+  -2.00191E-10   0.00000E+00   4.12456E+07   3.14185E+07   2.35558E+07
+   1.76574E+07   1.32335E+07   9.91591E+06   7.42843E+06   5.56368E+06
+   4.16604E+06   3.11870E+06   2.33404E+06   1.74631E+06   1.30620E+06
+   9.76700E+05   7.30088E+05   5.45561E+05   4.07532E+05   3.04315E+05
+   2.27155E+05   1.69494E+05   1.26420E+05   9.42544E+04   7.02440E+04
+   5.23281E+04   3.89653E+04   2.90010E+04   2.15773E+04   1.59740E+04
+   1.18773E+04   8.82814E+03   6.55961E+03   4.87255E+03   3.61672E+03
+   2.68424E+03   1.99213E+03   1.47885E+03   1.09796E+03   8.15529E+02
+   6.06144E+02   4.50915E+02   3.35825E+02   2.50468E+02   1.87139E+02
+   1.40057E+02   1.05168E+02   7.91554E+01   5.97526E+01   4.52461E+01
+   3.43718E+01   2.61975E+01   2.00372E+01   1.53762E+01   1.18553E+01
+   9.15302E+00   7.09176E+00   5.50787E+00   4.28601E+00   3.34049E+00
+   2.60522E+00   2.03748E+00   1.58925E+00   1.24002E+00   9.66370E-01
+   7.51931E-01   5.83454E-01   4.51300E-01   3.47766E-01   2.66710E-01
+   2.03572E-01   1.54313E-01   1.16455E-01   8.69920E-02   6.44248E-02
+   4.72490E-02   3.42762E-02   2.45632E-02   1.73650E-02   1.20910E-02
+   8.28095E-03   5.56064E-03   3.66806E-03   2.35855E-03   1.47855E-03
+   9.00940E-04   5.31801E-04   3.02804E-04   1.65567E-04   8.61464E-05
+   4.24093E-05   1.93898E-05   8.01198E-06   2.84590E-06   7.84768E-07
+   1.30251E-07  -2.49195E-10   0.00000E+00   6.48103E+07   4.90959E+07
+   3.65693E+07   2.72306E+07   2.02706E+07   1.50847E+07   1.12218E+07
+   8.34523E+06   6.20376E+06   4.61006E+06   3.42441E+06   2.54264E+06
+   1.88711E+06   1.39995E+06   1.03807E+06   7.69358E+05   5.69916E+05
+   4.21954E+05   3.12237E+05   2.30918E+05   1.70680E+05   1.26080E+05
+   9.30784E+04   6.86718E+04   5.06327E+04   3.73052E+04   2.74708E+04
+   2.01201E+04   1.47997E+04   1.08797E+04   7.99350E+03   5.86983E+03
+   4.30617E+03   3.15802E+03   2.31554E+03   1.69799E+03   1.24516E+03
+   9.13446E+02   6.70537E+02   4.92691E+02   3.62482E+02   2.67122E+02
+   1.97261E+02   1.45964E+02   1.08414E+02   8.07492E+01   6.03509E+01
+   4.52683E+01   3.40816E+01   2.57573E+01   1.95439E+01   1.48846E+01
+   1.13951E+01   8.73841E+00   6.72729E+00   5.19303E+00   4.01760E+00
+   3.11406E+00   2.41567E+00   1.87968E+00   1.45897E+00   1.13303E+00
+   8.78994E-01   6.80982E-01   5.26210E-01   4.05412E-01   3.11240E-01
+   2.37863E-01   1.80979E-01   1.36783E-01   1.02961E-01   7.67447E-02
+   5.67397E-02   4.15658E-02   3.01396E-02   2.16060E-02   1.52939E-02
+   1.06745E-02   7.33855E-03   4.95405E-03   3.29130E-03   2.13611E-03
+   1.35496E-03   8.37683E-04   5.03114E-04   2.92292E-04   1.63460E-04
+   8.71125E-05   4.39085E-05   2.04999E-05   8.60232E-06   3.07728E-06
+   8.45620E-07   1.38508E-07  -2.17346E-10   0.00000E+00   9.51838E+07
+   7.17695E+07   5.31633E+07   3.93652E+07   2.91367E+07   2.15570E+07
+   1.59422E+07   1.17846E+07   8.70717E+06   6.43026E+06   4.74636E+06
+   3.50158E+06   2.58185E+06   1.90261E+06   1.40124E+06   1.03135E+06
+   7.58620E+05   5.57640E+05   4.09625E+05   3.00683E+05   2.20554E+05
+   1.61656E+05   1.18394E+05   8.66406E+04   6.33512E+04   4.62783E+04
+   3.37826E+04   2.45198E+04   1.78720E+04   1.30160E+04   9.47202E+03
+   6.88782E+03   5.00261E+03   3.63146E+03   2.63509E+03   1.91197E+03
+   1.38711E+03   1.00661E+03   7.30922E+02   5.31238E+02   3.86626E+02
+   2.81877E+02   2.05979E+02   1.50857E+02   1.10942E+02   8.18455E+01
+   6.06121E+01   4.50682E+01   3.36500E+01   2.52314E+01   1.90028E+01
+   1.43704E+01   1.09285E+01   8.32746E+00   6.37242E+00   4.89097E+00
+   3.76331E+00   2.90185E+00   2.23978E+00   1.73456E+00   1.34015E+00
+   1.03620E+00   8.00500E-01   6.17685E-01   4.75478E-01   3.65003E-01
+   2.79268E-01   2.12759E-01   1.61419E-01   1.21684E-01   9.13917E-02
+   6.79953E-02   5.02010E-02   3.67438E-02   2.66361E-02   1.91026E-02
+   1.35385E-02   9.46960E-03   6.53120E-03   4.42829E-03   2.95860E-03
+   1.93379E-03   1.23712E-03   7.72469E-04   4.69170E-04   2.75885E-04
+   1.56209E-04   8.42381E-05   4.28853E-05   2.01585E-05   8.47723E-06
+   3.02108E-06   8.21400E-07   1.32399E-07  -1.56664E-10   0.00000E+00
+   1.33479E+08   1.00229E+08   7.38802E+07   5.44321E+07   4.00844E+07
+   2.95039E+07   2.17050E+07   1.59591E+07   1.17278E+07   8.61342E+06
+   6.32228E+06   4.63768E+06   3.39976E+06   2.49060E+06   1.82329E+06
+   1.33381E+06   9.75003E+05   7.12161E+05   5.19756E+05   3.79015E+05
+   2.76145E+05   2.01015E+05   1.46191E+05   1.06217E+05   7.70977E+04
+   5.58979E+04   4.04930E+04   2.91567E+04   2.10817E+04   1.52278E+04
+   1.09885E+04   7.92192E+03   5.70301E+03   4.10262E+03   2.94962E+03
+   2.12015E+03   1.52351E+03   1.09494E+03   7.87318E+02   5.66634E+02
+   4.08361E+02   2.94837E+02   2.13391E+02   1.54820E+02   1.12820E+02
+   8.24978E+01   6.05772E+01   4.46766E+01   3.30992E+01   2.46357E+01
+   1.84246E+01   1.38407E+01   1.04598E+01   7.92263E+00   6.02827E+00
+   4.60186E+00   3.52268E+00   2.70302E+00   2.07648E+00   1.60094E+00
+   1.23160E+00   9.48369E-01   7.29788E-01   5.61033E-01   4.30348E-01
+   3.29265E-01   2.51148E-01   1.90793E-01   1.44385E-01   1.08593E-01
+   8.14011E-02   6.04659E-02   4.45898E-02   3.26139E-02   2.36381E-02
+   1.69596E-02   1.20326E-02   8.43149E-03   5.83038E-03   3.96666E-03
+   2.66149E-03   1.74856E-03   1.12527E-03   7.07256E-04   4.32552E-04
+   2.56119E-04   1.45946E-04   7.91102E-05   4.03994E-05   1.89937E-05
+   7.95907E-06   2.81375E-06   7.55182E-07   1.19771E-07  -9.21536E-11
+   0.00000E+00   1.80909E+08   1.35332E+08   9.93054E+07   7.28295E+07
+   5.33833E+07   3.91072E+07   2.86321E+07   2.09500E+07   1.53194E+07
+   1.11947E+07   8.17508E+06   5.96571E+06   4.35026E+06   3.16984E+06
+   2.30789E+06   1.67895E+06   1.22037E+06   8.86255E+05   6.43027E+05
+   4.66107E+05   3.37533E+05   2.44175E+05   1.76455E+05   1.27377E+05
+   9.18446E+04   6.61379E+04   4.75800E+04   3.40136E+04   2.44155E+04
+   1.75052E+04   1.25361E+04   8.96740E+03   6.40421E+03   4.56949E+03
+   3.25791E+03   2.32186E+03   1.65401E+03   1.17828E+03   8.39720E+02
+   5.98938E+02   4.27770E+02   3.06090E+02   2.19579E+02   1.57923E+02
+   1.14107E+02   8.27523E+01   6.02816E+01   4.41197E+01   3.24483E+01
+   2.39835E+01   1.78186E+01   1.33013E+01   9.99265E+00   7.52594E+00
+   5.69569E+00   4.32576E+00   3.29525E+00   2.51683E+00   1.92486E+00
+   1.47783E+00   1.13231E+00   8.68574E-01   6.65951E-01   5.10194E-01
+   3.90080E-01   2.97547E-01   2.26316E-01   1.71486E-01   1.29476E-01
+   9.71792E-02   7.27196E-02   5.39415E-02   3.97377E-02   2.90472E-02
+   2.10496E-02   1.51073E-02   1.07275E-02   7.52749E-03   5.21554E-03
+   3.55730E-03   2.39408E-03   1.57843E-03   1.01971E-03   6.43490E-04
+   3.95093E-04   2.34747E-04   1.34112E-04   7.27810E-05   3.71383E-05
+   1.74029E-05   7.24616E-06   2.53643E-06   6.71498E-07   1.04853E-07
+  -3.49195E-11   0.00000E+00   2.43810E+08   1.81683E+08   1.32701E+08
+   9.68649E+07   7.06630E+07   5.15159E+07   3.75323E+07   2.73257E+07
+   1.98806E+07   1.44534E+07   1.04998E+07   7.62164E+06   5.52790E+06
+   4.00592E+06   2.90043E+06   2.09809E+06   1.51626E+06   1.09469E+06
+   7.89531E+05   5.68829E+05   4.09372E+05   2.94277E+05   2.11293E+05
+   1.51524E+05   1.08523E+05   7.76102E+04   5.54424E+04   3.93458E+04
+   2.80361E+04   1.99504E+04   1.41774E+04   1.00617E+04   7.12772E+03
+   5.04374E+03   3.56568E+03   2.51930E+03   1.77889E+03   1.25593E+03
+   8.86953E+02   6.26851E+02   4.43601E+02   3.14512E+02   2.23574E+02
+   1.59357E+02   1.14137E+02   8.20693E+01   5.92922E+01   4.30520E+01
+   3.14231E+01   2.30578E+01   1.70131E+01   1.26168E+01   9.41988E+00
+   7.05267E+00   5.30767E+00   4.00965E+00   3.03902E+00   2.31000E+00
+   1.75857E+00   1.34433E+00   1.02574E+00   7.83746E-01   5.98680E-01
+   4.57052E-01   3.48301E-01   2.64866E-01   2.00892E-01   1.51833E-01
+   1.14375E-01   8.56723E-02   6.40006E-02   4.74090E-02   3.48902E-02
+   2.54878E-02   1.84661E-02   1.32558E-02   9.41856E-03   6.61604E-03
+   4.59075E-03   3.13689E-03   2.11561E-03   1.39806E-03   9.05324E-04
+   5.72556E-04   3.52160E-04   2.09451E-04   1.19651E-04   6.48288E-05
+   3.29632E-05   1.53551E-05   6.33779E-06   2.19218E-06   5.71639E-07
+   8.78346E-08   1.50483E-11   0.00000E+00   3.21544E+08   2.38728E+08
+   1.73597E+08   1.26149E+08   9.16082E+07   6.64782E+07   4.82070E+07
+   3.49314E+07   2.52920E+07   1.82980E+07   1.32269E+07   9.55302E+06
+   6.89339E+06   4.96958E+06   3.57922E+06   2.57526E+06   1.85098E+06
+   1.32896E+06   9.53097E+05   6.82738E+05   4.88483E+05   3.49058E+05
+   2.49107E+05   1.77536E+05   1.26350E+05   8.97746E+04   6.37101E+04
+   4.49042E+04   3.17766E+04   2.24530E+04   1.58409E+04   1.11593E+04
+   7.84547E+03   5.50867E+03   3.86353E+03   2.70768E+03   1.89615E+03
+   1.32748E+03   9.29511E+02   6.51283E+02   4.56909E+02   3.21148E+02
+   2.26333E+02   1.59955E+02   1.13615E+02   8.10338E+01   5.80856E+01
+   4.18578E+01   3.03305E+01   2.21025E+01   1.62011E+01   1.19395E+01
+   8.86160E+00   6.59729E+00   4.93848E+00   3.71187E+00   2.79984E+00
+   2.11850E+00   1.60578E+00   1.22253E+00   9.29169E-01   7.07346E-01
+   5.38447E-01   4.09731E-01   3.11290E-01   2.36054E-01   1.78576E-01
+   1.34650E-01   1.01220E-01   7.56790E-02   5.64478E-02   4.17612E-02
+   3.07041E-02   2.24153E-02   1.62346E-02   1.16537E-02   8.28264E-03
+   5.82142E-03   4.04263E-03   2.76505E-03   1.86681E-03   1.23493E-03
+   8.00384E-04   5.06445E-04   3.11474E-04   1.85084E-04   1.05518E-04
+   5.69741E-05   2.88195E-05   1.33276E-05   5.44803E-06   1.86132E-06
+   4.78180E-07   7.23754E-08   5.07448E-11   0.00000E+00   4.16273E+08
+   3.07976E+08   2.23005E+08   1.61358E+08   1.16667E+08   8.42904E+07
+   6.08509E+07   4.38938E+07   3.16355E+07   2.27807E+07   1.63896E+07
+   1.17805E+07   8.45942E+06   6.06846E+06   4.34875E+06   3.11300E+06
+   2.22590E+06   1.58973E+06   1.13401E+06   8.07907E+05   5.74832E+05
+   4.08441E+05   2.89808E+05   2.05331E+05   1.45255E+05   1.02573E+05
+   7.23389E+04   5.06556E+04   3.56131E+04   2.49960E+04   1.75147E+04
+   1.22523E+04   8.55228E+03   5.96099E+03   4.14946E+03   2.88584E+03
+   2.00514E+03   1.39264E+03   9.67280E+02   6.72226E+02   4.67737E+02
+   3.26062E+02   2.27923E+02   1.59778E+02   1.12594E+02   7.96861E+01
+   5.66927E+01   4.05597E+01   2.91870E+01   2.11289E+01   1.53902E+01
+   1.12742E+01   8.32072E+00   6.16134E+00   4.58874E+00   3.43243E+00
+   2.57727E+00   1.94170E+00   1.46574E+00   1.11164E+00   8.41795E-01
+   6.38630E-01   4.84568E-01   3.67618E-01   2.78509E-01   2.10646E-01
+   1.58976E-01   1.19613E-01   8.97431E-02   6.69832E-02   4.98891E-02
+   3.68638E-02   2.70769E-02   1.97527E-02   1.42990E-02   1.02613E-02
+   7.29226E-03   5.12561E-03   3.55994E-03   2.43530E-03   1.64434E-03
+   1.08769E-03   7.04675E-04   4.45500E-04   2.73575E-04   1.62177E-04
+   9.21409E-05   4.95141E-05   2.48880E-05   1.14161E-05   4.61911E-06
+   1.55849E-06   3.94578E-07   5.88855E-08   7.38761E-11   0.00000E+00
+   5.30359E+08   3.91063E+08   2.82014E+08   2.03213E+08   1.46316E+08
+   1.05264E+08   7.56660E+07   5.43431E+07   3.89941E+07   2.79542E+07
+   2.00206E+07   1.43243E+07   1.02381E+07   7.30964E+06   5.21303E+06
+   3.71346E+06   2.64209E+06   1.87746E+06   1.33239E+06   9.44292E+05
+   6.68307E+05   4.72293E+05   3.33271E+05   2.34799E+05   1.65150E+05
+   1.15939E+05   8.12778E+04   5.65634E+04   3.95193E+04   2.75615E+04
+   1.91868E+04   1.33327E+04   9.24296E+03   6.39748E+03   4.42155E+03
+   3.05269E+03   2.10532E+03   1.45116E+03   1.00020E+03   6.89708E+02
+   4.76152E+02   3.29332E+02   2.28418E+02   1.58892E+02   1.11125E+02
+   7.80669E+01   5.51440E+01   3.91800E+01   2.80080E+01   2.01476E+01
+   1.45875E+01   1.06252E+01   7.79967E+00   5.74597E+00   4.25875E+00
+   3.17107E+00   2.37077E+00   1.77886E+00   1.33763E+00   1.01082E+00
+   7.62829E-01   5.76863E-01   4.36383E-01   3.30132E-01   2.49455E-01
+   1.88216E-01   1.41733E-01   1.06424E-01   7.97029E-02   5.93924E-02
+   4.41728E-02   3.25996E-02   2.39196E-02   1.74341E-02   1.26114E-02
+   9.04475E-03   6.42445E-03   4.51354E-03   3.13332E-03   2.14222E-03
+   1.44539E-03   9.55108E-04   6.17909E-04   3.89889E-04   2.38798E-04
+   1.41073E-04   7.97934E-05   4.26357E-05   2.12796E-05   9.67642E-06
+   3.87416E-06   1.29087E-06   3.22209E-07   4.74545E-08   8.67719E-11
+   0.00000E+00   6.66288E+08   4.89700E+08   3.51757E+08   2.52459E+08
+   1.81040E+08   1.29713E+08   9.28546E+07   6.64083E+07   4.74490E+07
+   3.38689E+07   2.41508E+07   1.72028E+07   1.22402E+07   8.69925E+06
+   6.17535E+06   4.37829E+06   3.10024E+06   2.19234E+06   1.54818E+06
+   1.09173E+06   7.68711E+05   5.40428E+05   3.79333E+05   2.65811E+05
+   1.85934E+05   1.29795E+05   9.04718E+04   6.25885E+04   4.34683E+04
+   3.01309E+04   2.08448E+04   1.43925E+04   9.91257E+03   6.81515E+03
+   4.67808E+03   3.20730E+03   2.19624E+03   1.50288E+03   1.02824E+03
+   7.03786E+02   4.82240E+02   3.31047E+02   2.27899E+02   1.57362E+02
+   1.09260E+02   7.62156E+01   5.34683E+01   3.77391E+01   2.68076E+01
+   1.91679E+01   1.37987E+01   9.99607E+00   7.30030E+00   5.35193E+00
+   3.94852E+00   2.92737E+00   2.17966E+00   1.62918E+00   1.22063E+00
+   9.19285E-01   6.91517E-01   5.21362E-01   3.93286E-01   2.96746E-01
+   2.23679E-01   1.68385E-01   1.26534E-01   9.48299E-02   7.08951E-02
+   5.27446E-02   3.91724E-02   2.88716E-02   2.11594E-02   1.54058E-02
+   1.11332E-02   7.97719E-03   5.66093E-03   3.97331E-03   2.75537E-03
+   1.88150E-03   1.26762E-03   8.36129E-04   5.39725E-04   3.39608E-04
+   2.07285E-04   1.21935E-04   6.86116E-05   3.64302E-05   1.80453E-05
+   8.13197E-06   3.22120E-06   1.06004E-06   2.60961E-07   3.79605E-08
+   9.18698E-11   0.00000E+00   8.26657E+08   6.05666E+08   4.33398E+08
+   3.09852E+08   2.21328E+08   1.57951E+08   1.12616E+08   8.02146E+07
+   5.70779E+07   4.05722E+07   2.88085E+07   2.04326E+07   1.44752E+07
+   1.02423E+07   7.23821E+06   5.10856E+06   3.60066E+06   2.53428E+06
+   1.78114E+06   1.24992E+06   8.75765E+05   6.12605E+05   4.27802E+05
+   2.98217E+05   2.07496E+05   1.44061E+05   9.98625E+04   6.86904E+04
+   4.74324E+04   3.26859E+04   2.24768E+04   1.54243E+04   1.05565E+04
+   7.21127E+03   4.91754E+03   3.34892E+03   2.27756E+03   1.54772E+03
+   1.05146E+03   7.14549E+02   4.86106E+02   3.31305E+02   2.26449E+02
+   1.55255E+02   1.07051E+02   7.41702E+01   5.16926E+01   3.62557E+01
+   2.55983E+01   1.81979E+01   1.30288E+01   9.38944E+00   6.82390E+00
+   4.97955E+00   3.65783E+00   2.70077E+00   2.00319E+00   1.49185E+00
+   1.11391E+00   8.36243E-01   6.27147E-01   4.71494E-01   3.54726E-01
+   2.66989E-01   2.00782E-01   1.50823E-01   1.13110E-01   8.46110E-02
+   6.31460E-02   4.69036E-02   3.47825E-02   2.56000E-02   1.87367E-02
+   1.36245E-02   9.83352E-03   7.03696E-03   4.98711E-03   3.49538E-03
+   2.42010E-03   1.64959E-03   1.10906E-03   7.29751E-04   4.69690E-04
+   2.94522E-04   1.79031E-04   1.04805E-04   5.86364E-05   3.09241E-05
+   1.51976E-05   6.78577E-06   2.65926E-06   8.64416E-07   2.09964E-07
+   3.01879E-08   9.13717E-11   0.00000E+00   1.01414E+09   7.40781E+08
+   5.28119E+08   3.76155E+08   2.67669E+08   1.90289E+08   1.35144E+08
+   9.58816E+07   6.79538E+07   4.81077E+07   3.40191E+07   2.40281E+07
+   1.69506E+07   1.19426E+07   8.40323E+06   5.90470E+06   4.14321E+06
+   2.90291E+06   2.03082E+06   1.41845E+06   9.89111E+05   6.88536E+05
+   4.78454E+05   3.31848E+05   2.29711E+05   1.58648E+05   1.09389E+05
+   7.48277E+04   5.13839E+04   3.52084E+04   2.40712E+04   1.64207E+04
+   1.11704E+04   7.58342E+03   5.13863E+03   3.47693E+03   2.34908E+03
+   1.58565E+03   1.06992E+03   7.22117E+02   4.87868E+02   3.30212E+02
+   2.24154E+02   1.52638E+02   1.04548E+02   7.19665E+01   4.98420E+01
+   3.47467E+01   2.43912E+01   1.72444E+01   1.22818E+01   8.80741E+00
+   6.37129E+00   4.62886E+00   3.38623E+00   2.49055E+00   1.84054E+00
+   1.36603E+00   1.01667E+00   7.60952E-01   5.69053E-01   4.26676E-01
+   3.20201E-01   2.40435E-01   1.80413E-01   1.35240E-01   1.01225E-01
+   7.55811E-02   5.63084E-02   4.17551E-02   3.09156E-02   2.27188E-02
+   1.66028E-02   1.20545E-02   8.68702E-03   6.20657E-03   4.39112E-03
+   3.07198E-03   2.12261E-03   1.44348E-03   9.67976E-04   6.35016E-04
+   4.07312E-04   2.54396E-04   1.53932E-04   8.96365E-05   4.98448E-05
+   2.61026E-05   1.27245E-05   5.62877E-06   2.18233E-06   7.00825E-07
+   1.68019E-07   2.38921E-08   8.71104E-11   0.00000E+00   1.23147E+09
+   8.96888E+08   6.37105E+08   4.52124E+08   3.20540E+08   2.27023E+08
+   1.60623E+08   1.13521E+08   8.01432E+07   5.65141E+07   3.98044E+07
+   2.80007E+07   1.96723E+07   1.38026E+07   9.67108E+06   6.76653E+06
+   4.72733E+06   3.29758E+06   2.29658E+06   1.59678E+06   1.10831E+06
+   7.67882E+05   5.31035E+05   3.66520E+05   2.52449E+05   1.73465E+05
+   1.18988E+05   8.09587E+04   5.52953E+04   3.76807E+04   2.56171E+04
+   1.73752E+04   1.17505E+04   7.92951E+03   5.34033E+03   3.59090E+03
+   2.41069E+03   1.61674E+03   1.08377E+03   7.26632E+02   4.87658E+02
+   3.27878E+02   2.21101E+02   1.49578E+02   1.01798E+02   6.96379E+01
+   4.79394E+01   3.32272E+01   2.31957E+01   1.63131E+01   1.15609E+01
+   8.25144E+00   5.94284E+00   4.29961E+00   3.13309E+00   2.29592E+00
+   1.69087E+00   1.25088E+00   9.28134E-01   6.92706E-01   5.16616E-01
+   3.86374E-01   2.89261E-01   2.16711E-01   1.62263E-01   1.21386E-01
+   9.06796E-02   6.75810E-02   5.02580E-02   3.72034E-02   2.74987E-02
+   2.01735E-02   1.47174E-02   1.06670E-02   7.67313E-03   5.47169E-03
+   3.86327E-03   2.69668E-03   1.85873E-03   1.26059E-03   8.42774E-04
+   5.50989E-04   3.52051E-04   2.18922E-04   1.31812E-04   7.63255E-05
+   4.21732E-05   2.19253E-05   1.06004E-05   4.64537E-06   1.78193E-06
+   5.65429E-07   1.33843E-07   1.88343E-08   8.05282E-11   0.00000E+00
+   1.48141E+09   1.07583E+09   7.61530E+08   5.38499E+08   3.80401E+08
+   2.68438E+08   1.89224E+08   1.33236E+08   9.37055E+07   6.58246E+07
+   4.61821E+07   3.23594E+07   2.26438E+07   1.58233E+07   1.10414E+07
+   7.69318E+06   5.35201E+06   3.71731E+06   2.57763E+06   1.78425E+06
+   1.23286E+06   8.50265E+05   5.85268E+05   4.02036E+05   2.75572E+05
+   1.88417E+05   1.28597E+05   8.70419E+04   5.91402E+04   4.00862E+04
+   2.71043E+04   1.82819E+04   1.22934E+04   8.24781E+03   5.52184E+03
+   3.69057E+03   2.46239E+03   1.64111E+03   1.09316E+03   7.28258E+02
+   4.85620E+02   3.24418E+02   2.17379E+02   1.46136E+02   9.88471E+01
+   6.72156E+01   4.60052E+01   3.17103E+01   2.20200E+01   1.54087E+01
+   1.08682E+01   7.72241E+00   5.53859E+00   3.99131E+00   2.89767E+00
+   2.11603E+00   1.55330E+00   1.14559E+00   8.47542E-01   6.30847E-01
+   4.69266E-01   3.50106E-01   2.61502E-01   1.95483E-01   1.46060E-01
+   1.09044E-01   8.13001E-02   6.04753E-02   4.48897E-02   3.31679E-02
+   2.44709E-02   1.79187E-02   1.30474E-02   9.43782E-03   6.77485E-03
+   4.82047E-03   3.39543E-03   2.36404E-03   1.62490E-03   1.09860E-03
+   7.31995E-04   4.76758E-04   3.03344E-04   1.87751E-04   1.12453E-04
+   6.47350E-05   3.55347E-05   1.83376E-05   8.79238E-06   3.81698E-06
+   1.44871E-06   4.54290E-07   1.06206E-07   1.47971E-08   7.27086E-11
+   0.00000E+00   1.76668E+09   1.27944E+09   9.02541E+08   6.35992E+08
+   4.47691E+08   3.14798E+08   2.21104E+08   1.55116E+08   1.08691E+08
+   7.60661E+07   5.31653E+07   3.71095E+07   2.58667E+07   1.80042E+07
+   1.25130E+07   8.68310E+06   6.01581E+06   4.16089E+06   2.87296E+06
+   1.98010E+06   1.36219E+06   9.35266E+05   6.40857E+05   4.38187E+05
+   2.98937E+05   2.03409E+05   1.38152E+05   9.30367E+04   6.28927E+04
+   4.24092E+04   2.85235E+04   1.91353E+04   1.27963E+04   8.53694E+03
+   5.68261E+03   3.77583E+03   2.50430E+03   1.65897E+03   1.09831E+03
+   7.27179E+02   4.81903E+02   3.19948E+02   2.13072E+02   1.42376E+02
+   9.57369E+01   6.47281E+01   4.40581E+01   3.02075E+01   2.08708E+01
+   1.45347E+01   1.02056E+01   7.22076E+00   5.15825E+00   3.70327E+00
+   2.67913E+00   1.94999E+00   1.42697E+00   1.04935E+00   7.74195E-01
+   5.74760E-01   4.26482E-01   3.17435E-01   2.36565E-01   1.76458E-01
+   1.31569E-01   9.80249E-02   7.29389E-02   5.41487E-02   4.01148E-02
+   2.95814E-02   2.17815E-02   1.59167E-02   1.15652E-02   8.34720E-03
+   5.97802E-03   4.24300E-03   2.98076E-03   2.06940E-03   1.41798E-03
+   9.55461E-04   6.34281E-04   4.11439E-04   2.60615E-04   1.60510E-04
+   9.56147E-05   5.47097E-05   2.98306E-05   1.52788E-05   7.26473E-06
+   3.12429E-06   1.17335E-06   3.63674E-07   8.39935E-08   1.15915E-08
+   6.44311E-11   0.00000E+00   2.08999E+09   1.50947E+09   1.06124E+09
+   7.45278E+08   5.22816E+08   3.66344E+08   2.56403E+08   1.79239E+08
+   1.25141E+08   8.72584E+07   6.07623E+07   4.22532E+07   2.93402E+07
+   2.03432E+07   1.40834E+07   9.73410E+06   6.71684E+06   4.62680E+06
+   3.18141E+06   2.18346E+06   1.49566E+06   1.02244E+06   6.97488E+05
+   4.74760E+05   3.22400E+05   2.18346E+05   1.47591E+05   9.89042E+04
+   6.65289E+04   4.46350E+04   2.98662E+04   1.99310E+04   1.32569E+04
+   8.79587E+03   5.82234E+03   3.84674E+03   2.53662E+03   1.67056E+03
+   1.09944E+03   7.23590E+02   4.76661E+02   3.14583E+02   2.08265E+02
+   1.38355E+02   9.25069E+01   6.22008E+01   4.21140E+01   2.87286E+01
+   1.97534E+01   1.36939E+01   9.57397E+00   6.74649E+00   4.80127E+00
+   3.43470E+00   2.47653E+00   1.79688E+00   1.31104E+00   9.61403E-01
+   7.07430E-01   5.23883E-01   3.87793E-01   2.87973E-01   2.14131E-01
+   1.59380E-01   1.18584E-01   8.81675E-02   6.54693E-02   4.85035E-02
+   3.58584E-02   2.63870E-02   1.93879E-02   1.41362E-02   1.02477E-02
+   7.37840E-03   5.27071E-03   3.73083E-03   2.61337E-03   1.80870E-03
+   1.23519E-03   8.29271E-04   5.48355E-04   3.54177E-04   2.23295E-04
+   1.36822E-04   8.10472E-05   4.60885E-05   2.49592E-05   1.26873E-05
+   5.98205E-06   2.54863E-06   9.47174E-07   2.90203E-07   6.62303E-08
+   9.05705E-09   5.62305E-11   0.00000E+00   2.45394E+09   1.76765E+09
+   1.23866E+09   8.66982E+08   6.06145E+08   4.23288E+08   2.95237E+08
+   2.05666E+08   1.43085E+08   9.94140E+07   6.89763E+07   4.77892E+07
+   3.30610E+07   2.28367E+07   1.57492E+07   1.08433E+07   7.45282E+06
+   5.11329E+06   3.50168E+06   2.39338E+06   1.63260E+06   1.11131E+06
+   7.54836E+05   5.11535E+05   3.45816E+05   2.33132E+05   1.56855E+05
+   1.04607E+05   7.00263E+04   4.67507E+04   3.11251E+04   2.06650E+04
+   1.36734E+04   9.02397E+03   5.94097E+03   3.90349E+03   2.55964E+03
+   1.67616E+03   1.09680E+03   7.17697E+02   4.70050E+02   3.08437E+02
+   2.03036E+02   1.34128E+02   8.91930E+01   5.96567E+01   4.01870E+01
+   2.72815E+01   1.86723E+01   1.28883E+01   8.97386E+00   6.29928E+00
+   4.46692E+00   3.18467E+00   2.28895E+00   1.65580E+00   1.20469E+00
+   8.81040E-01   6.46636E-01   4.77699E-01   3.52772E-01   2.61370E-01
+   1.93919E-01   1.44023E-01   1.06929E-01   7.93325E-02   5.87832E-02
+   4.34563E-02   3.20570E-02   2.35368E-02   1.72542E-02   1.25504E-02
+   9.07545E-03   6.51727E-03   4.64273E-03   3.27671E-03   2.28813E-03
+   1.57834E-03   1.07404E-03   7.18306E-04   4.73027E-04   3.04158E-04
+   1.90832E-04   1.16316E-04   6.85053E-05   3.87125E-05   2.08208E-05
+   1.05033E-05   4.91080E-06   2.07273E-06   7.62322E-07   2.30916E-07
+   5.20863E-08   7.06065E-09   4.84525E-11   0.00000E+00   2.86103E+09
+   2.05556E+09   1.43577E+09   1.00167E+09   6.98002E+08   4.85808E+08
+   3.37700E+08   2.34444E+08   1.62543E+08   1.12537E+08   7.78050E+07
+   5.37125E+07   3.70237E+07   2.54796E+07   1.75061E+07   1.20073E+07
+   8.22109E+06   5.61837E+06   3.83233E+06   2.60883E+06   1.77229E+06
+   1.20138E+06   8.12570E+05   5.48292E+05   3.69042E+05   2.47677E+05
+   1.65887E+05   1.10112E+05   7.33645E+04   4.87447E+04   3.22941E+04
+   2.13343E+04   1.40446E+04   9.22091E+03   6.03864E+03   3.94642E+03
+   2.57373E+03   1.67611E+03   1.09068E+03   7.09710E+02   4.62226E+02
+   3.01620E+02   1.97462E+02   1.29744E+02   8.58276E+01   5.71158E+01
+   3.82890E+01   2.58728E+01   1.76306E+01   1.21188E+01   8.40527E+00
+   5.87854E+00   4.15430E+00   2.95220E+00   2.11541E+00   1.52586E+00
+   1.10713E+00   8.07589E-01   5.91249E-01   4.35743E-01   3.21038E-01
+   2.37320E-01   1.75683E-01   1.30193E-01   9.64486E-02   7.13999E-02
+   5.27881E-02   3.89363E-02   2.86565E-02   2.09902E-02   1.53499E-02
+   1.11367E-02   8.03178E-03   5.75169E-03   4.08530E-03   2.87433E-03
+   2.00053E-03   1.37512E-03   9.32247E-04   6.20977E-04   4.07186E-04
+   2.60613E-04   1.62698E-04   9.86349E-05   5.77538E-05   3.24300E-05
+   1.73213E-05   8.67130E-06   4.02026E-06   1.68107E-06   6.11902E-07
+   1.83268E-07   4.08656E-08   5.49302E-09   4.13013E-11   0.00000E+00
+   1.37168E+06   1.89698E+06   1.39020E+06   1.01885E+06   7.46738E+05
+   5.47347E+05   4.01234E+05   2.94159E+05   2.15688E+05   1.58174E+05
+   1.16019E+05   8.51174E+04   6.24629E+04   4.58523E+04   3.36714E+04
+   2.47372E+04   1.81830E+04   1.33735E+04   9.84327E+03   7.25111E+03
+   5.34695E+03   3.94751E+03   2.91841E+03   2.16112E+03   1.60341E+03
+   1.19229E+03   8.88901E+02   6.61747E+02   4.96679E+02   3.74285E+02
+   2.83349E+02   2.15621E+02   1.64972E+02   1.27058E+02   9.85776E+01
+   7.71097E+01   6.08426E+01   4.84630E+01   3.89920E+01   3.17041E+01
+   2.60610E+01   2.16616E+01   1.82068E+01   1.54690E+01   1.32904E+01
+   1.15330E+01   1.01037E+01   8.92947E+00   7.95492E+00   7.13797E+00
+   6.44650E+00   5.85535E+00   5.34725E+00   4.90040E+00   4.50679E+00
+   4.15480E+00   3.83630E+00   3.54488E+00   3.27554E+00   3.02693E+00
+   2.79139E+00   2.57038E+00   2.36153E+00   2.16399E+00   1.97659E+00
+   1.79912E+00   1.63128E+00   1.47276E+00   1.32373E+00   1.18365E+00
+   1.05389E+00   9.32135E-01   8.19501E-01   7.15829E-01   6.20930E-01
+   5.34571E-01   4.56472E-01   3.86304E-01   3.23701E-01   2.68163E-01
+   2.19718E-01   1.77300E-01   1.40807E-01   1.09777E-01   8.37526E-02
+   6.22761E-02   4.48973E-02   3.11215E-02   2.05816E-02   1.27765E-02
+   7.27673E-03   3.65928E-03   1.51198E-03   4.36725E-04   5.26059E-05
+   0.00000E+00   2.60664E+06   1.94975E+06   1.43097E+06   1.05031E+06
+   7.71005E+05   5.66050E+05   4.15641E+05   3.05249E+05   2.24219E+05
+   1.64735E+05   1.21061E+05   8.89899E+04   6.54362E+04   4.81341E+04
+   3.54218E+04   2.60794E+04   1.92119E+04   1.41619E+04   1.04472E+04
+   7.71351E+03   5.70092E+03   4.21838E+03   3.12562E+03   2.31959E+03
+   1.72456E+03   1.28484E+03   9.59600E+02   7.15507E+02   5.37718E+02
+   4.05599E+02   3.07229E+02   2.33822E+02   1.78830E+02   1.37603E+02
+   1.06598E+02   8.32076E+01   6.54765E+01   5.19838E+01   4.16671E+01
+   3.37372E+01   2.76068E+01   2.28379E+01   1.91026E+01   1.61512E+01
+   1.38104E+01   1.19288E+01   1.04040E+01   9.15575E+00   8.12346E+00
+   7.26098E+00   6.53312E+00   5.91261E+00   5.38052E+00   4.91361E+00
+   4.50319E+00   4.13698E+00   3.80645E+00   3.50486E+00   3.22705E+00
+   2.97155E+00   2.73047E+00   2.50525E+00   2.29341E+00   2.09401E+00
+   1.90576E+00   1.72838E+00   1.56147E+00   1.40462E+00   1.25791E+00
+   1.12069E+00   9.94199E-01   8.76092E-01   7.67367E-01   6.67775E-01
+   5.77045E-01   4.94871E-01   4.20905E-01   3.54761E-01   2.96042E-01
+   2.44190E-01   1.99186E-01   1.59981E-01   1.26431E-01   9.80606E-02
+   7.44040E-02   5.49985E-02   3.93995E-02   2.71208E-02   1.77983E-02
+   1.09532E-02   6.17604E-03   3.06897E-03   1.24926E-03   3.54565E-04
+   4.28404E-05   0.00000E+00   2.75348E+06   2.06237E+06   1.51608E+06
+   1.11462E+06   8.19573E+05   6.02720E+05   4.43318E+05   3.26132E+05
+   2.39970E+05   1.76611E+05   1.30012E+05   9.57349E+04   7.05166E+04
+   5.19595E+04   3.83011E+04   2.82459E+04   2.08413E+04   1.53870E+04
+   1.13680E+04   8.40535E+03   6.22053E+03   4.60848E+03   3.41839E+03
+   2.53922E+03   1.88926E+03   1.40827E+03   1.05209E+03   7.84471E+02
+   5.89359E+02   4.44251E+02   3.36147E+02   2.55448E+02   1.94989E+02
+   1.49673E+02   1.15611E+02   8.99390E+01   7.05035E+01   5.57391E+01
+   4.44740E+01   3.58372E+01   2.91798E+01   2.40177E+01   1.99886E+01
+   1.68171E+01   1.43114E+01   1.23052E+01   1.06856E+01   9.36483E+00
+   8.27643E+00   7.37006E+00   6.60743E+00   5.95902E+00   5.40431E+00
+   4.91859E+00   4.49255E+00   4.11324E+00   3.77171E+00   3.46096E+00
+   3.17562E+00   2.91413E+00   2.66835E+00   2.43971E+00   2.22559E+00
+   2.02496E+00   1.83644E+00   1.65964E+00   1.49407E+00   1.33923E+00
+   1.19511E+00   1.06094E+00   9.37837E-01   8.23438E-01   7.18619E-01
+   6.23051E-01   5.36388E-01   4.58255E-01   3.88250E-01   3.25931E-01
+   2.70875E-01   2.22478E-01   1.80678E-01   1.44446E-01   1.13600E-01
+   8.76577E-02   6.61487E-02   4.86096E-02   3.46029E-02   2.36537E-02
+   1.54034E-02   9.39657E-03   5.24485E-03   2.57497E-03   1.03240E-03
+   2.87874E-04   3.48920E-05   0.00000E+00   3.00190E+06   2.25117E+06
+   1.65724E+06   1.22012E+06   8.98400E+05   6.61594E+05   4.87272E+05
+   3.58934E+05   2.64440E+05   1.94857E+05   1.43611E+05   1.05866E+05
+   7.80605E+04   5.75742E+04   4.24780E+04   3.13515E+04   2.31493E+04
+   1.71013E+04   1.26405E+04   9.34950E+03   6.92063E+03   5.12730E+03
+   3.80266E+03   2.82365E+03   2.09966E+03   1.56378E+03   1.16699E+03
+   8.68913E+02   6.51681E+02   4.90221E+02   3.70036E+02   2.80417E+02
+   2.13367E+02   1.63196E+02   1.25560E+02   9.72587E+01   7.58897E+01
+   5.97047E+01   4.73963E+01   3.79933E+01   3.07730E+01   2.51972E+01
+   2.08632E+01   1.74663E+01   1.47938E+01   1.26629E+01   1.09496E+01
+   9.55781E+00   8.41492E+00   7.46626E+00   6.67034E+00   5.99541E+00
+   5.41933E+00   4.91597E+00   4.47537E+00   4.08397E+00   3.73242E+00
+   3.41342E+00   3.12142E+00   2.85475E+00   2.60504E+00   2.37369E+00
+   2.15794E+00   1.95666E+00   1.76839E+00   1.59262E+00   1.42878E+00
+   1.27625E+00   1.13497E+00   1.00401E+00   8.84411E-01   7.73771E-01
+   6.72857E-01   5.81262E-01   4.98575E-01   4.24357E-01   3.58156E-01
+   2.99486E-01   2.47896E-01   2.02750E-01   1.63943E-01   1.30469E-01
+   1.02118E-01   7.83999E-02   5.88448E-02   4.29923E-02   3.04136E-02
+   2.06476E-02   1.33439E-02   8.07036E-03   4.45992E-03   2.16375E-03
+   8.54776E-04   2.34350E-04   2.84915E-05   0.00000E+00   3.37859E+06
+   2.53561E+06   1.86831E+06   1.37669E+06   1.01449E+06   7.47625E+05
+   5.50998E+05   4.06114E+05   2.99352E+05   2.20676E+05   1.62696E+05
+   1.19964E+05   8.84693E+04   6.52540E+04   4.81407E+04   3.55241E+04
+   2.62218E+04   1.93621E+04   1.43030E+04   1.05709E+04   7.81739E+03
+   5.78516E+03   4.28487E+03   3.17681E+03   2.35809E+03   1.75270E+03
+   1.30500E+03   9.69155E+02   7.24797E+02   5.43508E+02   4.08840E+02
+   3.08654E+02   2.33890E+02   1.78105E+02   1.36388E+02   1.05123E+02
+   8.16022E+01   6.38567E+01   5.04172E+01   4.01943E+01   3.23796E+01
+   2.63722E+01   2.17242E+01   1.80977E+01   1.52574E+01   1.30024E+01
+   1.11967E+01   9.73541E+00   8.53968E+00   7.55030E+00   6.72256E+00
+   6.02242E+00   5.42616E+00   4.90625E+00   4.45213E+00   4.04959E+00
+   3.68891E+00   3.36253E+00   3.06467E+00   2.79357E+00   2.54066E+00
+   2.30723E+00   2.09045E+00   1.88907E+00   1.70152E+00   1.52719E+00
+   1.36541E+00   1.21547E+00   1.07722E+00   9.49630E-01   8.33625E-01
+   7.26783E-01   6.29764E-01   5.42090E-01   4.63289E-01   3.92867E-01
+   3.30325E-01   2.75141E-01   2.26838E-01   1.84756E-01   1.48752E-01
+   1.17846E-01   9.18014E-02   7.01271E-02   5.23555E-02   3.80321E-02
+   2.67387E-02   1.80297E-02   1.15644E-02   6.93476E-03   3.79477E-03
+   1.81959E-03   7.08457E-04   1.91106E-04   2.33035E-05   0.00000E+00
+   3.91449E+06   2.93821E+06   2.16524E+06   1.59559E+06   1.17578E+06
+   8.66402E+05   6.38417E+05   4.70414E+05   3.46618E+05   2.55398E+05
+   1.88186E+05   1.38664E+05   1.02177E+05   7.52955E+04   5.54906E+04
+   4.08996E+04   3.01499E+04   2.22301E+04   1.63950E+04   1.20956E+04
+   8.92747E+03   6.59260E+03   4.87158E+03   3.60268E+03   2.66688E+03
+   1.97632E+03   1.46680E+03   1.08550E+03   8.08809E+02   6.04105E+02
+   4.52503E+02   3.40085E+02   2.56484E+02   1.94335E+02   1.48041E+02
+   1.13490E+02   8.76093E+01   6.81723E+01   5.35206E+01   4.24294E+01
+   3.39924E+01   2.75383E+01   2.25690E+01   1.87103E+01   1.57018E+01
+   1.33237E+01   1.14272E+01   9.89813E+00   8.65126E+00   7.62275E+00
+   6.76462E+00   6.04055E+00   5.42526E+00   4.88987E+00   4.42319E+00
+   4.01042E+00   3.64147E+00   3.30852E+00   3.00558E+00   2.73076E+00
+   2.47529E+00   2.24042E+00   2.02316E+00   1.82217E+00   1.63576E+00
+   1.46323E+00   1.30382E+00   1.15672E+00   1.02169E+00   8.97596E-01
+   7.85260E-01   6.82243E-01   5.89100E-01   5.05291E-01   4.30286E-01
+   3.63544E-01   3.04523E-01   2.52672E-01   2.07491E-01   1.68300E-01
+   1.34926E-01   1.06414E-01   8.25060E-02   6.27133E-02   4.65729E-02
+   3.36391E-02   2.35052E-02   1.57425E-02   1.00221E-02   5.95916E-03
+   3.22918E-03   1.53051E-03   5.87448E-04   1.56001E-04   1.90785E-05
+   0.00000E+00   2.69771E+06   3.48468E+06   2.56616E+06   1.88957E+06
+   1.39122E+06   1.02418E+06   7.53892E+05   5.54869E+05   4.08341E+05
+   3.00475E+05   2.21080E+05   1.62649E+05   1.19651E+05   8.80150E+04
+   6.47409E+04   4.76206E+04   3.50285E+04   2.57678E+04   1.89577E+04
+   1.39499E+04   1.02677E+04   7.56020E+03   5.56929E+03   4.10516E+03
+   3.02828E+03   2.23588E+03   1.65301E+03   1.21823E+03   9.03793E+02
+   6.71989E+02   5.00957E+02   3.74628E+02   2.81069E+02   2.11817E+02
+   1.60464E+02   1.22316E+02   9.38793E+01   7.26284E+01   5.66908E+01
+   4.46880E+01   3.56045E+01   2.86914E+01   2.33953E+01   1.93027E+01
+   1.61265E+01   1.36267E+01   1.16412E+01   1.00463E+01   8.75007E+00
+   7.68402E+00   6.79694E+00   6.05020E+00   5.41700E+00   4.86716E+00
+   4.38887E+00   3.96676E+00   3.59037E+00   3.25162E+00   2.94432E+00
+   2.66646E+00   2.40908E+00   2.17333E+00   1.95611E+00   1.75595E+00
+   1.57109E+00   1.40071E+00   1.24394E+00   1.09990E+00   9.68247E-01
+   8.47757E-01   7.39147E-01   6.39969E-01   5.50677E-01   4.70672E-01
+   3.99373E-01   3.36196E-01   2.80565E-01   2.31901E-01   1.89685E-01
+   1.53225E-01   1.22319E-01   9.60410E-02   7.41148E-02   5.60563E-02
+   4.14100E-02   2.97405E-02   2.06541E-02   1.37401E-02   8.68228E-03
+   5.11916E-03   2.74713E-03   1.28710E-03   4.87109E-04   1.27409E-04
+   1.56266E-05   0.00000E+00   5.71946E+06   4.28486E+06   3.15029E+06
+   2.31575E+06   1.70194E+06   1.25056E+06   9.18700E+05   6.74760E+05
+   4.95486E+05   3.63765E+05   2.67006E+05   1.95944E+05   1.43767E+05
+   1.05465E+05   7.73545E+04   5.67288E+04   4.15982E+04   3.05010E+04
+   2.23638E+04   1.63980E+04   1.20250E+04   8.81991E+03   6.47108E+03
+   4.74979E+03   3.48840E+03   2.56376E+03   1.88635E+03   1.38315E+03
+   1.02081E+03   7.54892E+02   5.59601E+02   4.16050E+02   3.10270E+02
+   2.32380E+02   1.74931E+02   1.32490E+02   1.01032E+02   7.76589E+01
+   6.02317E+01   4.71839E+01   3.73669E+01   2.99383E+01   2.42789E+01
+   1.99287E+01   1.65698E+01   1.39385E+01   1.18576E+01   1.01926E+01
+   8.84423E+00   7.73878E+00   6.82150E+00   6.05127E+00   5.39965E+00
+   4.83506E+00   4.34505E+00   3.91365E+00   3.52999E+00   3.18574E+00
+   2.87445E+00   2.59400E+00   2.33520E+00   2.09912E+00   1.88251E+00
+   1.68378E+00   1.50106E+00   1.33341E+00   1.17985E+00   1.03941E+00
+   9.11644E-01   7.95238E-01   6.90792E-01   5.95852E-01   5.10768E-01
+   4.34883E-01   3.67564E-01   3.08187E-01   2.56143E-01   2.10829E-01
+   1.71707E-01   1.38081E-01   1.09720E-01   8.57302E-02   6.58207E-02
+   4.95152E-02   3.63686E-02   2.59593E-02   1.79089E-02   1.18274E-02
+   7.41375E-03   4.33176E-03   2.30050E-03   1.06470E-03   3.97034E-04
+   1.02262E-04   1.25796E-05   0.00000E+00   7.14828E+06   5.34470E+06
+   3.92014E+06   2.87462E+06   2.10733E+06   1.54439E+06   1.13149E+06
+   8.28733E+05   6.06800E+05   4.44164E+05   3.25020E+05   2.37764E+05
+   1.73882E+05   1.27128E+05   9.29199E+04   6.78998E+04   4.96057E+04
+   3.62336E+04   2.64623E+04   1.93242E+04   1.41112E+04   1.03050E+04
+   7.52666E+03   5.49886E+03   4.01905E+03   2.93900E+03   2.15129E+03
+   1.56887E+03   1.15149E+03   8.46677E+02   6.23954E+02   4.61094E+02
+   3.41729E+02   2.54319E+02   1.90215E+02   1.43131E+02   1.08437E+02
+   8.28122E+01   6.38207E+01   4.96865E+01   3.91149E+01   3.11612E+01
+   2.51355E+01   2.05282E+01   1.69885E+01   1.42283E+01   1.20546E+01
+   1.03220E+01   8.92363E+00   7.78068E+00   6.83484E+00   6.04254E+00
+   5.37377E+00   4.79559E+00   4.29491E+00   3.85519E+00   3.46519E+00
+   3.11629E+00   2.80183E+00   2.51952E+00   2.26000E+00   2.02421E+00
+   1.80877E+00   1.61197E+00   1.43181E+00   1.26725E+00   1.11721E+00
+   9.80599E-01   8.56889E-01   7.44685E-01   6.44468E-01   5.53787E-01
+   4.72891E-01   4.01069E-01   3.37647E-01   2.81963E-01   2.33380E-01
+   1.91278E-01   1.55106E-01   1.24163E-01   9.81968E-02   7.63472E-02
+   5.83124E-02   4.36261E-02   3.18557E-02   2.25951E-02   1.54823E-02
+   1.01486E-02   6.30899E-03   3.65194E-03   1.91868E-03   8.76757E-04
+   3.21975E-04   8.16196E-05   1.00717E-05   0.00000E+00   9.00603E+06
+   6.71741E+06   4.91264E+06   3.59173E+06   2.62503E+06   1.91781E+06
+   1.40060E+06   1.02249E+06   7.46164E+05   5.44306E+05   3.96903E+05
+   2.89307E+05   2.10798E+05   1.53536E+05   1.11789E+05   8.13643E+04
+   5.92010E+04   4.30619E+04   3.13146E+04   2.27671E+04   1.65502E+04
+   1.20300E+04   8.74458E+03   6.35723E+03   4.62288E+03   3.36289E+03
+   2.44837E+03   1.77550E+03   1.29575E+03   9.47187E+02   6.93840E+02
+   5.09590E+02   3.75299E+02   2.77520E+02   2.06226E+02   1.54171E+02
+   1.16044E+02   8.80531E+01   6.74333E+01   5.21793E+01   4.08373E+01
+   3.23529E+01   2.59605E+01   2.10984E+01   1.73809E+01   1.44950E+01
+   1.22317E+01   1.04342E+01   8.98822E+00   7.80976E+00   6.83708E+00
+   6.02419E+00   5.33956E+00   4.74895E+00   4.23868E+00   3.79163E+00
+   3.39620E+00   3.04352E+00   2.72667E+00   2.44324E+00   2.18368E+00
+   1.94880E+00   1.73507E+00   1.54067E+00   1.36348E+00   1.20235E+00
+   1.05609E+00   9.23530E-01   8.04031E-01   6.96128E-01   6.00188E-01
+   5.13771E-01   4.37029E-01   3.69206E-01   3.09587E-01   2.57481E-01
+   2.12231E-01   1.73201E-01   1.39830E-01   1.11421E-01   8.77017E-02
+   6.78473E-02   5.15488E-02   3.83523E-02   2.78395E-02   1.96212E-02
+   1.33526E-02   8.68670E-03   5.35523E-03   3.07074E-03   1.59590E-03
+   7.19983E-04   2.60386E-04   6.49840E-05   8.04384E-06   0.00000E+00
+   1.13787E+07   8.46417E+06   6.16999E+06   4.49613E+06   3.27497E+06
+   2.38445E+06   1.73531E+06   1.26233E+06   9.17847E+05   6.67066E+05
+   4.84583E+05   3.51857E+05   2.55367E+05   1.85252E+05   1.34329E+05
+   9.73609E+04   7.05374E+04   5.10836E+04   3.69819E+04   2.67644E+04
+   1.93649E+04   1.40084E+04   1.01326E+04   7.32908E+03   5.30197E+03
+   3.83635E+03   2.77784E+03   2.00298E+03   1.45337E+03   1.05616E+03
+   7.69009E+02   5.61326E+02   4.10809E+02   3.01846E+02   2.22863E+02
+   1.65537E+02   1.23800E+02   9.33449E+01   7.10445E+01   5.46453E+01
+   4.25231E+01   3.35063E+01   2.67495E+01   2.16363E+01   1.77453E+01
+   1.47379E+01   1.23884E+01   1.05291E+01   9.03798E+00   7.82613E+00
+   6.82839E+00   5.99644E+00   5.29728E+00   4.69545E+00   4.17667E+00
+   3.72328E+00   3.32335E+00   2.96775E+00   2.64931E+00   2.36548E+00
+   2.10653E+00   1.87314E+00   1.66164E+00   1.47009E+00   1.29624E+00
+   1.13885E+00   9.96622E-01   8.68290E-01   7.53125E-01   6.49596E-01
+   5.57960E-01   4.75791E-01   4.03153E-01   3.39247E-01   2.83327E-01
+   2.34678E-01   1.92625E-01   1.56524E-01   1.25805E-01   9.97824E-02
+   7.81651E-02   6.01654E-02   4.54707E-02   3.36411E-02   2.42742E-02
+   1.69990E-02   1.14882E-02   7.41705E-03   4.53411E-03   2.57527E-03
+   1.32384E-03   5.89610E-04   2.10006E-04   5.16151E-05   6.40878E-06
+   0.00000E+00   1.43623E+07   1.06531E+07   7.73888E+06   5.61974E+06
+   4.07892E+06   2.95910E+06   2.14564E+06   1.55501E+06   1.12638E+06
+   8.15474E+05   5.90073E+05   4.26747E+05   3.08464E+05   2.22847E+05
+   1.60909E+05   1.16126E+05   8.37650E+04   6.03926E+04   4.35222E+04
+   3.13513E+04   2.25760E+04   1.62519E+04   1.16970E+04   8.41763E+03
+   6.05773E+03   4.35976E+03   3.13962E+03   2.25099E+03   1.62399E+03
+   1.17324E+03   8.49153E+02   6.16049E+02   4.48061E+02   3.27150E+02
+   2.40018E+02   1.77150E+02   1.31652E+02   9.86507E+01   7.46294E+01
+   5.70684E+01   4.41619E+01   3.46147E+01   2.74983E+01   2.21396E+01
+   1.80805E+01   1.49561E+01   1.25244E+01   1.06065E+01   9.07294E+00
+   7.82991E+00   6.80897E+00   5.95954E+00   5.24721E+00   4.63538E+00
+   4.10919E+00   3.65048E+00   3.24697E+00   2.88930E+00   2.57005E+00
+   2.28652E+00   2.02883E+00   1.79749E+00   1.58871E+00   1.40041E+00
+   1.23027E+00   1.07689E+00   9.38902E-01   8.14951E-01   7.04217E-01
+   6.05109E-01   5.17781E-01   4.39826E-01   3.71225E-01   3.11143E-01
+   2.58809E-01   2.13488E-01   1.74492E-01   1.41175E-01   1.12961E-01
+   8.91769E-02   6.95204E-02   5.32400E-02   4.00222E-02   2.94430E-02
+   2.11174E-02   1.46928E-02   9.86044E-03   6.31738E-03   3.82916E-03
+   2.15411E-03   1.09521E-03   4.81522E-04   1.68919E-04   4.08993E-05
+   5.09389E-06   0.00000E+00   1.80634E+07   1.33591E+07   9.67043E+06
+   6.99732E+06   5.06041E+06   3.65765E+06   2.64227E+06   1.90768E+06
+   1.37653E+06   9.92687E+05   7.15455E+05   5.15340E+05   3.70975E+05
+   2.66891E+05   1.91896E+05   1.37892E+05   9.90282E+04   7.10778E+04
+   5.09890E+04   3.65593E+04   2.62014E+04   1.87704E+04   1.34428E+04
+   9.62506E+03   6.89081E+03   4.93305E+03   3.53328E+03   2.51901E+03
+   1.80708E+03   1.29799E+03   9.33905E+02   6.73473E+02   4.86841E+02
+   3.53275E+02   2.57578E+02   1.88933E+02   1.39546E+02   1.03934E+02
+   7.81640E+01   5.94330E+01   4.57437E+01   3.56721E+01   2.82033E+01
+   2.26062E+01   1.83851E+01   1.51490E+01   1.26394E+01   1.06664E+01
+   9.09323E+00   7.82132E+00   6.77908E+00   5.91378E+00   5.18968E+00
+   4.56909E+00   4.03660E+00   3.57358E+00   3.16742E+00   2.80852E+00
+   2.48923E+00   2.20668E+00   1.95085E+00   1.72209E+00   1.51649E+00
+   1.33184E+00   1.16570E+00   1.01659E+00   8.83023E-01   7.63578E-01
+   6.57344E-01   5.62683E-01   4.79644E-01   4.05851E-01   3.41204E-01
+   2.84842E-01   2.35970E-01   1.93842E-01   1.57762E-01   1.27080E-01
+   1.01225E-01   7.95365E-02   6.17036E-02   4.70120E-02   3.51504E-02
+   2.57120E-02   1.83296E-02   1.26701E-02   8.44322E-03   5.36760E-03
+   3.22569E-03   1.79717E-03   9.03651E-04   3.92184E-04   1.35511E-04
+   3.23327E-05   4.03927E-06   0.00000E+00   2.25985E+07   1.66642E+07
+   1.20201E+07   8.66631E+06   6.24463E+06   4.49697E+06   3.23646E+06
+   2.32783E+06   1.67324E+06   1.20196E+06   8.62853E+05   6.19012E+05
+   4.43787E+05   3.17951E+05   2.27645E+05   1.62879E+05   1.16463E+05
+   8.32212E+04   5.94307E+04   4.24159E+04   3.02561E+04   2.15715E+04
+   1.53733E+04   1.09524E+04   7.80113E+03   5.55559E+03   3.95803E+03
+   2.80626E+03   2.00199E+03   1.42984E+03   1.02284E+03   7.33282E+02
+   5.26916E+02   3.80053E+02   2.75426E+02   2.00806E+02   1.47428E+02
+   1.09159E+02   8.16254E+01   6.17246E+01   4.72597E+01   3.66732E+01
+   2.88615E+01   2.30343E+01   1.86583E+01   1.53163E+01   1.27334E+01
+   1.07089E+01   9.09904E+00   7.80061E+00   6.73902E+00   5.85948E+00
+   5.12502E+00   4.49692E+00   3.95925E+00   3.49293E+00   3.08504E+00
+   2.72574E+00   2.40715E+00   2.12624E+00   1.87286E+00   1.64720E+00
+   1.44520E+00   1.26455E+00   1.10269E+00   9.58054E-01   8.29068E-01
+   7.14223E-01   6.12533E-01   5.22319E-01   4.43534E-01   3.73832E-01
+   3.13044E-01   2.60286E-01   2.14747E-01   1.75672E-01   1.42362E-01
+   1.14170E-01   9.05289E-02   7.07950E-02   5.46530E-02   4.14255E-02
+   3.08055E-02   2.24045E-02   1.58742E-02   1.09008E-02   7.21267E-03
+   4.54959E-03   2.71056E-03   1.49554E-03   7.43644E-04   3.18572E-04
+   1.08429E-04   2.55023E-05   3.19564E-06   0.00000E+00   2.80942E+07
+   2.06566E+07   1.48474E+07   1.06666E+07   7.65827E+06   5.49484E+06
+   3.93998E+06   2.82320E+06   2.02160E+06   1.44659E+06   1.03441E+06
+   7.39139E+05   5.27774E+05   3.76576E+05   2.68498E+05   1.91298E+05
+   1.36196E+05   9.68965E+04   6.88890E+04   4.89439E+04   3.47516E+04
+   2.46601E+04   1.74903E+04   1.23996E+04   8.78779E+03   6.22624E+03
+   4.41275E+03   3.11178E+03   2.20792E+03   1.56820E+03   1.11550E+03
+   7.95131E+02   5.68040E+02   4.07314E+02   2.93445E+02   2.12688E+02
+   1.55245E+02   1.14293E+02   8.49921E+01   6.39298E+01   4.87018E+01
+   3.76131E+01   2.94700E+01   2.34225E+01   1.88995E+01   1.54578E+01
+   1.28064E+01   1.07342E+01   9.09063E+00   7.76808E+00   6.68912E+00
+   5.79701E+00   5.05362E+00   4.41926E+00   3.87753E+00   3.40891E+00
+   3.00019E+00   2.64130E+00   2.32415E+00   2.04551E+00   1.79514E+00
+   1.57303E+00   1.37503E+00   1.19869E+00   1.04137E+00   9.01392E-01
+   7.77103E-01   6.66926E-01   5.69800E-01   4.84012E-01   4.09424E-01
+   3.43730E-01   2.86694E-01   2.37416E-01   1.95073E-01   1.58907E-01
+   1.28221E-01   1.02374E-01   8.08039E-02   6.28883E-02   4.83096E-02
+   3.64270E-02   2.69405E-02   1.94803E-02   1.37173E-02   9.35733E-03
+   6.14716E-03   3.84705E-03   2.27213E-03   1.24140E-03   6.10393E-04
+   2.58102E-04   8.65406E-05   2.00703E-05   2.52256E-06   0.00000E+00
+   3.46867E+07   2.54309E+07   1.82155E+07   1.30404E+07   9.32929E+06
+   6.66971E+06   4.76497E+06   3.40175E+06   2.42675E+06   1.72992E+06
+   1.23225E+06   8.77070E+05   6.23783E+05   4.43291E+05   3.14776E+05
+   2.23340E+05   1.58340E+05   1.12168E+05   7.93988E+04   5.61607E+04
+   3.96957E+04   2.80389E+04   1.97935E+04   1.39653E+04   9.84907E+03
+   6.94332E+03   4.89599E+03   3.43437E+03   2.42393E+03   1.71236E+03
+   1.21136E+03   8.58656E+02   6.09959E+02   4.34881E+02   3.11516E+02
+   2.24501E+02   1.62946E+02   1.19302E+02   8.82441E+01   6.60367E+01
+   5.00628E+01   3.84879E+01   3.00269E+01   2.37699E+01   1.91083E+01
+   1.55733E+01   1.28585E+01   1.07425E+01   9.06832E+00   7.72410E+00
+   6.62976E+00   5.72676E+00   4.97585E+00   4.33650E+00   3.79182E+00
+   3.32190E+00   2.91324E+00   2.55556E+00   2.24053E+00   1.96477E+00
+   1.71792E+00   1.49982E+00   1.30617E+00   1.13443E+00   9.81856E-01
+   8.46683E-01   7.27184E-01   6.21716E-01   5.29150E-01   4.47745E-01
+   3.77283E-01   3.15498E-01   2.62096E-01   2.16165E-01   1.76879E-01
+   1.43477E-01   1.15268E-01   9.16214E-02   7.19838E-02   5.57545E-02
+   4.26166E-02   3.19661E-02   2.35112E-02   1.69016E-02   1.18276E-02
+   8.01450E-03   5.22709E-03   3.24538E-03   1.90004E-03   1.02791E-03
+   4.99758E-04   2.08580E-04   6.89018E-05   1.57615E-05   1.98694E-06
+   0.00000E+00   4.25207E+07   3.10874E+07   2.21910E+07   1.58317E+07
+   1.12868E+07   8.04065E+06   5.72385E+06   4.07150E+06   2.89389E+06
+   2.05525E+06   1.45846E+06   1.03411E+06   7.32622E+05   5.18590E+05
+   3.66774E+05   2.59179E+05   1.82991E+05   1.29088E+05   9.09867E+04
+   6.40782E+04   4.50923E+04   3.17077E+04   2.22809E+04   1.56469E+04
+   1.09825E+04   7.70467E+03   5.40597E+03   3.77268E+03   2.64901E+03
+   1.86156E+03   1.30990E+03   9.23477E+02   6.52410E+02   4.62578E+02
+   3.29522E+02   2.36170E+02   1.70484E+02   1.24158E+02   9.13632E+01
+   6.80343E+01   5.13368E+01   3.92944E+01   3.05305E+01   2.40758E+01
+   1.92845E+01   1.56631E+01   1.28901E+01   1.07342E+01   9.03249E+00
+   7.66907E+00   6.56136E+00   5.64912E+00   4.89214E+00   4.24905E+00
+   3.70252E+00   3.23227E+00   2.82454E+00   2.46883E+00   2.15660E+00
+   1.88429E+00   1.64146E+00   1.42775E+00   1.23878E+00   1.07188E+00
+   9.24243E-01   7.93996E-01   6.79351E-01   5.78607E-01   4.90575E-01
+   4.13495E-01   3.47070E-01   2.89083E-01   2.39189E-01   1.96468E-01
+   1.60093E-01   1.29309E-01   1.03432E-01   8.18442E-02   6.40039E-02
+   4.93339E-02   3.75202E-02   2.79951E-02   2.04763E-02   1.46336E-02
+   1.01764E-02   6.84935E-03   4.43478E-03   2.73153E-03   1.58514E-03
+   8.49090E-04   4.08169E-04   1.68144E-04   5.47283E-05   1.23523E-05
+   1.56179E-06   0.00000E+00   5.17493E+07   3.77311E+07   2.68435E+07
+   1.90863E+07   1.35605E+07   9.62704E+06   6.82916E+06   4.84051E+06
+   3.42812E+06   2.42580E+06   1.71507E+06   1.21152E+06   8.55051E+05
+   6.02924E+05   4.24756E+05   2.98962E+05   2.10230E+05   1.47697E+05
+   1.03670E+05   7.27023E+04   5.09410E+04   3.56635E+04   2.49488E+04
+   1.74408E+04   1.21848E+04   8.50762E+03   5.94064E+03   4.12514E+03
+   2.88202E+03   2.01500E+03   1.41053E+03   9.89203E+02   6.95129E+02
+   4.90231E+02   3.47350E+02   2.47623E+02   1.77813E+02   1.28831E+02
+   9.43330E+01   6.99134E+01   5.25185E+01   4.00298E+01   3.09796E+01
+   2.43397E+01   1.94282E+01   1.57275E+01   1.29014E+01   1.07098E+01
+   8.98358E+00   7.60342E+00   6.48434E+00   5.56455E+00   4.80291E+00
+   4.15732E+00   3.61004E+00   3.14042E+00   2.73446E+00   2.38145E+00
+   2.07266E+00   1.80433E+00   1.56597E+00   1.35703E+00   1.17303E+00
+   1.01118E+00   8.68619E-01   7.43387E-01   6.33632E-01   5.37604E-01
+   4.54059E-01   3.81226E-01   3.18737E-01   2.64428E-01   2.17907E-01
+   1.78253E-01   1.44644E-01   1.16330E-01   9.26427E-02   7.29752E-02
+   5.68018E-02   4.35693E-02   3.29692E-02   2.44689E-02   1.77973E-02
+   1.26438E-02   8.73740E-03   5.84106E-03   3.75432E-03   2.29387E-03
+   1.31939E-03   6.99727E-04   3.32569E-04   1.35222E-04   4.33711E-05
+   9.66126E-06   1.22514E-06   0.00000E+00   6.25321E+07   4.54716E+07
+   3.22444E+07   2.28507E+07   1.61808E+07   1.14485E+07   8.09342E+06
+   5.71673E+06   4.03446E+06   2.84471E+06   2.00400E+06   1.41044E+06
+   9.91761E+05   6.96697E+05   4.88948E+05   3.42812E+05   2.40119E+05
+   1.68022E+05   1.17459E+05   8.20324E+04   5.72374E+04   3.99005E+04
+   2.77916E+04   1.93420E+04   1.34521E+04   9.34910E+03   6.49767E+03
+   4.49007E+03   3.12175E+03   2.17182E+03   1.51267E+03   1.05544E+03
+   7.37855E+02   5.17668E+02   3.64891E+02   2.58790E+02   1.84891E+02
+   1.33298E+02   9.71392E+01   7.16662E+01   5.36040E+01   4.06924E+01
+   3.13735E+01   2.45616E+01   1.95396E+01   1.57667E+01   1.28930E+01
+   1.06696E+01   8.92208E+00   7.52763E+00   6.39917E+00   5.47350E+00
+   4.70860E+00   4.06175E+00   3.51477E+00   3.04672E+00   2.64335E+00
+   2.29375E+00   1.98899E+00   1.72515E+00   1.49167E+00   1.28782E+00
+   1.10903E+00   9.52422E-01   8.15052E-01   6.94896E-01   5.90042E-01
+   4.98698E-01   4.19575E-01   3.50895E-01   2.92230E-01   2.41469E-01
+   1.98181E-01   1.61449E-01   1.30457E-01   1.04470E-01   8.28302E-02
+   6.49491E-02   5.03172E-02   3.84063E-02   2.89150E-02   2.13454E-02
+   1.54383E-02   1.09027E-02   7.48648E-03   4.97076E-03   3.17147E-03
+   1.92212E-03   1.09574E-03   5.75319E-04   2.70342E-04   1.08495E-04
+   3.42953E-05   7.54221E-06   9.59215E-07   0.00000E+00   7.50348E+07
+   5.44213E+07   3.84673E+07   2.71726E+07   1.91783E+07   1.35244E+07
+   9.52898E+06   6.70792E+06   4.71773E+06   3.31493E+06   2.32703E+06
+   1.63196E+06   1.14337E+06   8.00255E+05   5.59537E+05   3.90823E+05
+   2.72698E+05   1.90077E+05   1.32352E+05   9.20617E+04   6.39728E+04
+   4.44103E+04   3.08018E+04   2.13446E+04   1.47795E+04   1.02256E+04
+   7.07449E+03   4.86565E+03   3.36691E+03   2.33115E+03   1.61573E+03
+   1.12179E+03   7.80328E+02   5.44724E+02   3.82040E+02   2.69608E+02
+   1.91680E+02   1.37537E+02   9.97696E+01   7.32861E+01   5.45901E+01
+   4.12809E+01   3.17120E+01   2.47419E+01   1.96192E+01   1.57814E+01
+   1.28654E+01   1.06143E+01   8.84850E+00   7.44220E+00   6.30635E+00
+   5.37644E+00   4.60967E+00   3.96275E+00   3.41712E+00   2.95154E+00
+   2.55154E+00   2.20602E+00   1.90586E+00   1.64696E+00   1.41875E+00
+   1.22028E+00   1.04691E+00   8.95689E-01   7.63597E-01   6.48548E-01
+   5.48580E-01   4.61869E-01   3.87086E-01   3.22454E-01   2.67488E-01
+   2.20138E-01   1.79939E-01   1.45982E-01   1.17461E-01   9.36562E-02
+   7.39269E-02   5.77029E-02   4.44924E-02   3.37930E-02   2.53121E-02
+   1.85853E-02   1.33661E-02   9.38285E-03   6.40179E-03   4.22148E-03
+   2.67350E-03   1.60719E-03   9.08014E-04   4.71980E-04   2.19264E-04
+   8.68557E-05   2.70616E-05   5.87730E-06   7.49631E-07   0.00000E+00
+   1.37203E+06   1.89581E+06   1.38919E+06   1.01797E+06   7.45974E+05
+   5.46684E+05   4.00660E+05   2.93662E+05   2.15256E+05   1.57801E+05
+   1.15695E+05   8.48366E+04   6.22196E+04   4.56415E+04   3.34888E+04
+   2.45791E+04   1.80460E+04   1.32549E+04   9.74059E+03   7.16222E+03
+   5.27002E+03   3.88093E+03   2.86080E+03   2.11129E+03   1.56030E+03
+   1.15501E+03   8.56650E+02   6.33916E+02   4.72605E+02   3.53458E+02
+   2.65325E+02   2.00015E+02   1.51454E+02   1.15336E+02   8.84000E+01
+   6.82555E+01   5.31214E+01   4.17090E+01   3.30614E+01   2.64724E+01
+   2.14207E+01   1.75206E+01   1.44866E+01   1.21039E+01   1.02242E+01
+   8.72025E+00   7.50651E+00   6.51633E+00   5.69920E+00   5.01671E+00
+   4.43967E+00   3.94566E+00   3.51980E+00   3.14425E+00   2.81329E+00
+   2.51850E+00   2.25436E+00   2.01661E+00   1.80186E+00   1.60925E+00
+   1.43281E+00   1.27338E+00   1.12869E+00   9.97520E-01   8.78386E-01
+   7.70457E-01   6.72845E-01   5.84696E-01   5.05448E-01   4.34221E-01
+   3.71102E-01   3.14446E-01   2.64319E-01   2.20201E-01   1.81607E-01
+   1.48082E-01   1.19206E-01   9.45847E-02   7.38390E-02   5.65675E-02
+   4.25336E-02   3.11855E-02   2.22620E-02   1.54071E-02   1.02828E-02
+   6.57304E-03   3.98906E-03   2.26657E-03   1.18973E-03   5.61419E-04
+   2.29161E-04   7.58432E-05   1.80264E-05   2.34293E-06   6.96789E-08
+   0.00000E+00   2.60525E+06   1.94854E+06   1.42992E+06   1.04940E+06
+   7.70216E+05   5.65367E+05   4.15048E+05   3.04735E+05   2.23774E+05
+   1.64349E+05   1.20726E+05   8.87001E+04   6.51851E+04   4.79166E+04
+   3.52334E+04   2.59162E+04   1.90705E+04   1.40395E+04   1.03412E+04
+   7.62181E+03   5.62155E+03   4.14970E+03   3.06620E+03   2.26818E+03
+   1.68009E+03   1.24637E+03   9.26327E+02   6.86793E+02   5.12878E+02
+   3.84106E+02   2.88626E+02   2.17712E+02   1.64872E+02   1.25497E+02
+   9.60825E+01   7.40561E+01   5.74930E+01   4.49976E+01   3.55303E+01
+   2.83219E+01   2.28028E+01   1.85506E+01   1.52516E+01   1.26694E+01
+   1.06399E+01   9.02299E+00   7.72387E+00   6.66888E+00   5.80228E+00
+   5.08184E+00   4.47557E+00   3.95903E+00   3.51592E+00   3.12712E+00
+   2.78622E+00   2.48412E+00   2.21478E+00   1.97356E+00   1.75670E+00
+   1.56311E+00   1.38659E+00   1.22781E+00   1.08434E+00   9.54854E-01
+   8.37764E-01   7.32147E-01   6.37047E-01   5.51538E-01   4.75018E-01
+   4.06531E-01   3.46110E-01   2.92118E-01   2.44567E-01   2.02910E-01
+   1.66642E-01   1.35293E-01   1.08428E-01   8.56385E-02   6.65442E-02
+   5.07314E-02   3.79552E-02   2.76837E-02   1.96549E-02   1.35253E-02
+   8.97254E-03   5.69921E-03   3.43561E-03   1.93790E-03   1.00913E-03
+   4.72014E-04   1.90774E-04   6.24437E-05   1.46563E-05   1.88527E-06
+   5.68822E-08   0.00000E+00   2.75204E+06   2.06112E+06   1.51500E+06
+   1.11368E+06   8.18760E+05   6.02015E+05   4.42707E+05   3.25602E+05
+   2.39511E+05   1.76213E+05   1.29667E+05   9.54360E+04   7.02576E+04
+   5.17351E+04   3.81067E+04   2.80775E+04   2.06956E+04   1.52608E+04
+   1.12587E+04   8.31079E+03   6.13869E+03   4.53767E+03   3.35712E+03
+   2.48621E+03   1.84341E+03   1.36861E+03   1.01778E+03   7.54862E+02
+   5.63743E+02   4.22084E+02   3.16958E+02   2.38828E+02   1.80586E+02
+   1.37177E+02   1.04755E+02   8.04877E+01   6.22557E+01   4.85194E+01
+   3.81304E+01   3.02383E+01   2.42124E+01   1.95850E+01   1.60083E+01
+   1.32202E+01   1.10386E+01   9.30864E+00   7.92519E+00   6.80701E+00
+   5.89278E+00   5.13623E+00   4.50248E+00   3.96502E+00   3.50612E+00
+   3.10536E+00   2.75567E+00   2.44724E+00   2.17356E+00   1.92960E+00
+   1.71126E+00   1.51721E+00   1.34104E+00   1.18326E+00   1.04130E+00
+   9.13708E-01   7.98822E-01   6.95628E-01   6.03102E-01   5.20258E-01
+   4.46452E-01   3.80661E-01   3.22871E-01   2.71455E-01   2.26373E-01
+   1.87058E-01   1.52988E-01   1.23680E-01   9.86881E-02   7.75951E-02
+   6.00181E-02   4.55374E-02   3.39022E-02   2.46008E-02   1.73729E-02
+   1.18881E-02   7.84002E-03   4.94794E-03   2.96229E-03   1.65847E-03
+   8.56613E-04   3.97104E-04   1.58895E-04   5.14249E-05   1.19159E-05
+   1.51654E-06   4.64439E-08   0.00000E+00   3.00042E+06   2.24988E+06
+   1.65612E+06   1.21915E+06   8.97561E+05   6.60867E+05   4.86642E+05
+   3.58387E+05   2.63966E+05   1.94446E+05   1.43255E+05   1.05558E+05
+   7.77935E+04   5.73429E+04   4.22776E+04   3.11780E+04   2.29990E+04
+   1.69712E+04   1.25279E+04   9.25203E+03   6.83627E+03   5.05432E+03
+   3.73951E+03   2.76902E+03   2.05240E+03   1.52290E+03   1.13163E+03
+   8.38394E+02   6.25276E+02   4.67369E+02   3.50251E+02   2.63278E+02
+   1.98512E+02   1.50305E+02   1.14357E+02   8.75037E+01   6.73747E+01
+   5.22494E+01   4.08444E+01   3.22100E+01   2.56423E+01   2.06195E+01
+   1.67544E+01   1.37556E+01   1.14204E+01   9.57765E+00   8.11117E+00
+   6.93150E+00   5.97147E+00   5.18060E+00   4.52104E+00   3.96419E+00
+   3.49085E+00   3.07934E+00   2.72189E+00   2.40804E+00   2.13081E+00
+   1.88477E+00   1.66551E+00   1.47148E+00   1.29606E+00   1.13959E+00
+   9.99396E-01   8.73901E-01   7.61364E-01   6.60691E-01   5.70797E-01
+   4.90639E-01   4.19531E-01   3.56399E-01   3.01178E-01   2.52256E-01
+   2.09549E-01   1.72469E-01   1.40483E-01   1.13095E-01   8.98549E-02
+   7.03374E-02   5.41592E-02   4.08988E-02   3.03017E-02   2.18773E-02
+   1.53684E-02   1.04585E-02   6.85721E-03   4.30090E-03   2.55803E-03
+   1.42201E-03   7.28874E-04   3.35057E-04   1.32854E-04   4.25948E-05
+   9.79060E-06   1.25364E-06   4.15029E-08   0.00000E+00   3.37707E+06
+   2.53428E+06   1.86716E+06   1.37569E+06   1.01362E+06   7.46874E+05
+   5.50347E+05   4.05550E+05   2.98863E+05   2.20253E+05   1.62329E+05
+   1.19647E+05   8.81939E+04   6.50155E+04   4.79342E+04   3.53453E+04
+   2.60670E+04   1.92281E+04   1.41869E+04   1.04705E+04   7.73047E+03
+   5.70995E+03   4.21980E+03   3.12052E+03   2.30940E+03   1.71057E+03
+   1.26856E+03   9.37705E+02   6.97585E+02   5.19956E+02   3.88447E+02
+   2.90985E+02   2.18574E+02   1.64812E+02   1.24833E+02   9.50595E+01
+   7.28164E+01   5.61630E+01   4.36551E+01   3.42254E+01   2.70848E+01
+   2.16496E+01   1.74874E+01   1.42742E+01   1.17848E+01   9.83015E+00
+   8.28222E+00   7.04292E+00   6.03896E+00   5.21554E+00   4.53181E+00
+   3.95701E+00   3.47050E+00   3.04937E+00   2.68515E+00   2.36673E+00
+   2.08666E+00   1.83916E+00   1.61950E+00   1.42591E+00   1.25159E+00
+   1.09674E+00   9.58532E-01   8.35310E-01   7.25249E-01   6.27182E-01
+   5.39967E-01   4.62510E-01   3.94084E-01   3.33572E-01   2.80861E-01
+   2.34359E-01   1.93937E-01   1.58994E-01   1.28986E-01   1.03411E-01
+   8.18126E-02   6.37623E-02   4.88777E-02   3.67388E-02   2.70898E-02
+   1.94608E-02   1.35998E-02   9.20451E-03   6.00038E-03   3.74046E-03
+   2.21027E-03   1.22009E-03   6.20659E-04   2.82981E-04   1.11224E-04
+   3.53455E-05   8.06876E-06   1.04176E-06   3.73022E-08   0.00000E+00
+   3.91292E+06   2.93684E+06   2.16405E+06   1.59456E+06   1.17489E+06
+   8.65628E+05   6.37746E+05   4.69833E+05   3.46114E+05   2.54962E+05
+   1.87808E+05   1.38336E+05   1.01894E+05   7.50497E+04   5.52777E+04
+   4.07152E+04   2.99903E+04   2.20919E+04   1.62754E+04   1.19921E+04
+   8.83792E+03   6.51511E+03   4.80454E+03   3.54470E+03   2.61671E+03
+   1.93292E+03   1.42926E+03   1.05310E+03   7.80772E+02   5.79837E+02
+   4.31489E+02   3.21876E+02   2.40696E+02   1.80631E+02   1.36127E+02
+   1.03112E+02   7.85482E+01   6.02368E+01   4.65460E+01   3.62734E+01
+   2.85328E+01   2.26707E+01   1.82048E+01   1.47750E+01   1.21314E+01
+   1.00661E+01   8.43860E+00   7.14167E+00   6.09570E+00   5.24152E+00
+   4.53521E+00   3.94387E+00   3.44542E+00   3.01574E+00   2.64567E+00
+   2.32346E+00   2.04123E+00   1.79285E+00   1.57327E+00   1.38051E+00
+   1.20763E+00   1.05465E+00   9.18642E-01   7.97850E-01   6.90378E-01
+   5.94991E-01   5.10492E-01   4.35744E-01   3.69981E-01   3.12049E-01
+   2.61791E-01   2.17635E-01   1.79414E-01   1.46517E-01   1.18390E-01
+   9.45280E-02   7.44701E-02   5.77888E-02   4.41028E-02   3.29970E-02
+   2.42156E-02   1.73100E-02   1.20344E-02   8.10102E-03   5.25093E-03
+   3.25342E-03   1.91010E-03   1.04707E-03   5.28659E-04   2.39084E-04
+   9.31572E-05   2.93456E-05   6.65330E-06   8.64781E-07   3.31010E-08
+   0.00000E+00   2.69812E+06   3.48327E+06   2.56493E+06   1.88851E+06
+   1.39030E+06   1.02338E+06   7.53200E+05   5.54270E+05   4.07822E+05
+   3.00025E+05   2.20690E+05   1.62311E+05   1.19359E+05   8.77617E+04
+   6.45215E+04   4.74307E+04   3.48641E+04   2.56254E+04   1.88345E+04
+   1.38433E+04   1.01755E+04   7.48038E+03   5.50024E+03   4.04543E+03
+   2.97661E+03   2.19118E+03   1.61434E+03   1.18485E+03   8.74909E+02
+   6.46988E+02   4.79305E+02   3.55865E+02   2.64800E+02   1.97693E+02
+   1.48184E+02   1.11618E+02   8.45383E+01   6.44476E+01   4.95009E+01
+   3.83431E+01   2.99792E+01   2.36784E+01   1.89038E+01   1.52563E+01
+   1.24595E+01   1.02855E+01   8.58047E+00   7.22804E+00   6.14206E+00
+   5.25891E+00   4.53160E+00   3.92510E+00   3.41590E+00   2.97870E+00
+   2.60365E+00   2.27842E+00   1.99466E+00   1.74593E+00   1.52687E+00
+   1.33532E+00   1.16418E+00   1.01330E+00   8.79687E-01   7.61464E-01
+   6.56679E-01   5.64033E-01   4.82281E-01   4.10244E-01   3.47120E-01
+   2.91726E-01   2.43863E-01   2.01983E-01   1.65884E-01   1.34944E-01
+   1.08607E-01   8.63642E-02   6.77543E-02   5.23514E-02   3.97775E-02
+   2.96247E-02   2.16384E-02   1.53917E-02   1.06459E-02   7.12781E-03
+   4.59393E-03   2.82917E-03   1.65039E-03   8.98452E-04   4.50253E-04
+   2.01989E-04   7.80283E-05   2.43676E-05   5.48723E-06   7.17189E-07
+   2.91042E-08   0.00000E+00   5.71778E+06   4.28340E+06   3.14902E+06
+   2.31465E+06   1.70099E+06   1.24974E+06   9.17985E+05   6.74140E+05
+   4.94949E+05   3.63300E+05   2.66603E+05   1.95594E+05   1.43464E+05
+   1.05203E+05   7.71277E+04   5.65324E+04   4.14283E+04   3.03539E+04
+   2.22365E+04   1.62879E+04   1.19297E+04   8.73744E+03   6.39974E+03
+   4.68808E+03   3.43501E+03   2.51757E+03   1.84640E+03   1.34867E+03
+   9.90970E+02   7.29059E+02   5.37228E+02   3.96661E+02   2.93457E+02
+   2.17783E+02   1.62239E+02   1.21433E+02   9.13768E+01   6.92033E+01
+   5.28014E+01   4.06285E+01   3.15576E+01   2.47646E+01   1.96475E+01
+   1.57609E+01   1.27977E+01   1.05068E+01   8.71948E+00   7.30871E+00
+   6.18116E+00   5.26826E+00   4.51970E+00   3.89809E+00   3.37842E+00
+   2.93410E+00   2.55457E+00   2.22683E+00   1.94210E+00   1.69357E+00
+   1.47559E+00   1.28577E+00   1.11687E+00   9.68588E-01   8.37801E-01
+   7.22559E-01   6.20839E-01   5.31276E-01   4.52577E-01   3.83525E-01
+   3.23278E-01   2.70632E-01   2.25342E-01   1.85890E-01   1.52037E-01
+   1.23158E-01   9.86929E-02   7.81319E-02   6.10164E-02   4.69243E-02
+   3.54828E-02   2.62940E-02   1.91070E-02   1.35180E-02   9.29748E-03
+   6.18832E-03   3.96355E-03   2.42467E-03   1.40433E-03   7.58533E-04
+   3.76865E-04   1.67425E-04   6.39457E-05   1.96931E-05   4.34901E-06
+   5.49862E-07   2.10156E-08   0.00000E+00   7.14654E+06   5.34318E+06
+   3.91883E+06   2.87348E+06   2.10635E+06   1.54354E+06   1.13075E+06
+   8.28092E+05   6.06245E+05   4.43683E+05   3.24603E+05   2.37403E+05
+   1.73569E+05   1.26857E+05   9.26854E+04   6.76968E+04   4.94300E+04
+   3.60815E+04   2.63307E+04   1.92103E+04   1.40127E+04   1.02198E+04
+   7.45292E+03   5.43508E+03   3.96389E+03   2.89126E+03   2.11000E+03
+   1.53323E+03   1.12065E+03   8.19980E+02   6.00833E+02   4.41055E+02
+   3.24351E+02   2.39232E+02   1.77096E+02   1.31702E+02   9.84576E+01
+   7.40743E+01   5.61442E+01   4.29165E+01   3.31186E+01   2.58251E+01
+   2.03633E+01   1.62389E+01   1.31120E+01   1.07074E+01   8.84090E+00
+   7.37464E+00   6.20803E+00   5.26756E+00   4.49961E+00   3.86450E+00
+   3.33570E+00   2.88542E+00   2.50238E+00   2.17297E+00   1.88798E+00
+   1.64024E+00   1.42383E+00   1.23615E+00   1.06982E+00   9.24397E-01
+   7.96650E-01   6.84548E-01   5.86006E-01   4.99601E-01   4.23996E-01
+   3.57939E-01   3.00554E-01   2.50621E-01   2.07853E-01   1.70764E-01
+   1.39085E-01   1.12185E-01   8.95066E-02   7.05413E-02   5.48344E-02
+   4.19701E-02   3.15824E-02   2.32852E-02   1.68325E-02   1.18441E-02
+   8.09991E-03   5.35912E-03   3.41088E-03   2.07262E-03   1.19189E-03
+   6.38847E-04   3.14776E-04   1.38589E-04   5.24235E-05   1.59864E-05
+   3.50164E-06   4.44277E-07   1.79655E-08   0.00000E+00   9.00423E+06
+   6.71585E+06   4.91129E+06   3.59055E+06   2.62401E+06   1.91693E+06
+   1.39983E+06   1.02182E+06   7.45589E+05   5.43809E+05   3.96472E+05
+   2.88933E+05   2.10474E+05   1.53256E+05   1.11546E+05   8.11544E+04
+   5.90193E+04   4.29047E+04   3.11785E+04   2.26493E+04   1.64483E+04
+   1.19419E+04   8.66836E+03   6.29130E+03   4.56585E+03   3.31355E+03
+   2.40569E+03   1.73866E+03   1.26387E+03   9.19592E+02   6.69940E+02
+   4.88877E+02   3.57337E+02   2.61925E+02   1.92667E+02   1.42360E+02
+   1.05732E+02   7.90258E+01   5.95052E+01   4.51908E+01   3.46515E+01
+   2.68528E+01   2.10470E+01   1.66878E+01   1.34009E+01   1.08865E+01
+   8.94440E+00   7.42579E+00   6.22279E+00   5.25701E+00   4.47158E+00
+   3.82457E+00   3.28799E+00   2.83291E+00   2.44732E+00   2.11706E+00
+   1.83248E+00   1.58610E+00   1.37173E+00   1.18658E+00   1.02315E+00
+   8.80826E-01   7.56312E-01   6.47491E-01   5.52226E-01   4.69040E-01
+   3.96556E-01   3.33494E-01   2.78948E-01   2.31685E-01   1.91383E-01
+   1.56587E-01   1.27003E-01   1.02000E-01   8.10224E-02   6.35662E-02
+   4.91830E-02   3.74649E-02   2.80542E-02   2.05785E-02   1.47980E-02
+   1.03554E-02   7.04138E-03   4.63082E-03   2.92868E-03   1.76763E-03
+   1.00923E-03   5.36768E-04   2.62283E-04   1.14443E-04   4.28760E-05
+   1.29493E-05   2.81480E-06   3.58791E-07   1.53475E-08   0.00000E+00
+   1.13768E+07   8.46255E+06   6.16859E+06   4.49491E+06   3.27392E+06
+   2.38354E+06   1.73452E+06   1.26164E+06   9.17252E+05   6.66551E+05
+   4.84137E+05   3.51470E+05   2.55032E+05   1.84963E+05   1.34078E+05
+   9.71437E+04   7.03494E+04   5.09210E+04   3.68412E+04   2.66427E+04
+   1.92596E+04   1.39172E+04   1.00537E+04   7.26090E+03   5.24301E+03
+   3.78533E+03   2.73372E+03   1.96489E+03   1.42042E+03   1.02763E+03
+   7.44302E+02   5.39914E+02   3.92241E+02   2.85727E+02   2.08850E+02
+   1.53331E+02   1.13146E+02   8.40211E+01   6.28595E+01   4.74346E+01
+   3.61455E+01   2.78410E+01   2.16944E+01   1.71051E+01   1.36632E+01
+   1.10436E+01   9.02977E+00   7.46219E+00   6.22562E+00   5.23689E+00
+   4.43592E+00   3.77863E+00   3.23562E+00   2.77686E+00   2.38967E+00
+   2.05935E+00   1.77584E+00   1.53137E+00   1.31949E+00   1.13721E+00
+   9.76967E-01   8.37979E-01   7.16869E-01   6.11451E-01   5.19543E-01
+   4.39620E-01   3.70270E-01   3.10191E-01   2.58447E-01   2.13804E-01
+   1.75903E-01   1.43328E-01   1.15758E-01   9.25673E-02   7.32035E-02
+   5.71707E-02   4.40279E-02   3.33770E-02   2.48699E-02   1.81492E-02
+   1.29822E-02   9.03469E-03   6.10794E-03   3.99268E-03   2.50900E-03
+   1.50407E-03   8.52570E-04   4.49929E-04   2.18020E-04   9.42759E-05
+   3.49846E-05   1.04660E-05   2.25850E-06   2.89283E-07   1.30577E-08
+   0.00000E+00   1.43604E+07   1.06514E+07   7.73742E+06   5.61848E+06
+   4.07783E+06   2.95816E+06   2.14482E+06   1.55430E+06   1.12577E+06
+   8.14941E+05   5.89611E+05   4.26347E+05   3.08117E+05   2.22547E+05
+   1.60650E+05   1.15901E+05   8.35705E+04   6.02243E+04   4.33766E+04
+   3.12253E+04   2.24670E+04   1.61577E+04   1.16154E+04   8.34712E+03
+   5.99674E+03   4.30700E+03   3.09399E+03   2.21161E+03   1.58991E+03
+   1.14375E+03   8.23609E+02   5.93913E+02   4.28868E+02   3.10490E+02
+   2.25536E+02   1.64539E+02   1.20648E+02   8.90238E+01   6.61827E+01
+   4.96321E+01   3.75903E+01   2.87834E+01   2.23018E+01   1.74886E+01
+   1.38977E+01   1.11780E+01   9.09694E+00   7.48398E+00   6.21679E+00
+   5.20750E+00   4.39297E+00   3.72701E+00   3.17890E+00   2.71758E+00
+   2.32972E+00   2.00009E+00   1.71829E+00   1.47624E+00   1.26727E+00
+   1.08821E+00   9.31412E-01   7.95958E-01   6.78399E-01   5.76486E-01
+   4.87996E-01   4.11363E-01   3.45147E-01   2.88025E-01   2.39041E-01
+   1.96958E-01   1.61388E-01   1.30954E-01   1.05315E-01   8.38500E-02
+   6.60140E-02   5.13198E-02   3.93363E-02   2.96762E-02   2.20027E-02
+   1.59739E-02   1.13656E-02   7.86570E-03   5.28682E-03   3.43491E-03
+   2.14465E-03   1.27689E-03   7.18555E-04   3.76250E-04   1.80795E-04
+   7.74781E-05   2.84793E-05   8.44060E-06   1.80889E-06   2.32868E-07
+   1.10663E-08   0.00000E+00   1.80614E+07   1.33574E+07   9.66893E+06
+   6.99602E+06   5.05928E+06   3.65667E+06   2.64142E+06   1.90695E+06
+   1.37589E+06   9.92134E+05   7.14977E+05   5.14925E+05   3.70616E+05
+   2.66581E+05   1.91627E+05   1.37659E+05   9.88269E+04   7.09036E+04
+   5.08383E+04   3.64290E+04   2.60886E+04   1.86729E+04   1.33584E+04
+   9.55211E+03   6.82773E+03   4.87848E+03   3.48608E+03   2.47827E+03
+   1.77184E+03   1.26748E+03   9.07493E+02   6.50589E+02   4.67001E+02
+   3.36056E+02   2.42614E+02   1.75906E+02   1.28183E+02   9.39977E+01
+   6.94511E+01   5.17683E+01   3.89768E+01   2.96744E+01   2.28659E+01
+   1.78368E+01   1.41036E+01   1.12896E+01   9.14595E+00   7.49139E+00
+   6.19661E+00   5.16920E+00   4.34309E+00   3.67008E+00   3.11819E+00
+   2.65539E+00   2.26775E+00   1.93956E+00   1.66005E+00   1.42091E+00
+   1.21525E+00   1.03971E+00   8.86598E-01   7.54854E-01   6.40972E-01
+   5.42645E-01   4.57618E-01   3.84288E-01   3.21190E-01   2.66990E-01
+   2.20710E-01   1.81122E-01   1.47809E-01   1.19433E-01   9.56388E-02
+   7.58127E-02   5.94185E-02   4.59796E-02   3.50764E-02   2.63339E-02
+   1.94271E-02   1.40308E-02   9.92969E-03   6.83355E-03   4.56629E-03
+   2.94862E-03   1.82914E-03   1.08157E-03   6.04215E-04   3.13904E-04
+   1.49574E-04   6.35243E-05   2.31309E-05   6.79292E-06   1.44628E-06
+   1.87165E-07   9.34375E-09   0.00000E+00   2.25964E+07   1.66624E+07
+   1.20185E+07   8.66495E+06   6.24346E+06   4.49596E+06   3.23558E+06
+   2.32707E+06   1.67258E+06   1.20138E+06   8.62357E+05   6.18583E+05
+   4.43416E+05   3.17630E+05   2.27366E+05   1.62638E+05   1.16255E+05
+   8.30408E+04   5.92746E+04   4.22810E+04   3.01394E+04   2.14705E+04
+   1.52861E+04   1.08769E+04   7.73586E+03   5.49913E+03   3.90920E+03
+   2.76413E+03   1.96554E+03   1.39830E+03   9.95533E+02   7.09623E+02
+   5.06409E+02   3.62259E+02   2.59966E+02   1.87352E+02   1.35697E+02
+   9.89078E+01   7.26424E+01   5.38290E+01   4.02962E+01   3.05091E+01
+   2.33841E+01   1.81482E+01   1.42804E+01   1.13783E+01   9.17701E+00
+   7.48475E+00   6.16546E+00   5.12240E+00   4.28668E+00   3.60821E+00
+   3.05383E+00   2.59061E+00   2.20404E+00   1.87799E+00   1.60135E+00
+   1.36558E+00   1.16358E+00   9.91842E-01   8.42632E-01   7.14754E-01
+   6.04653E-01   5.09975E-01   4.28437E-01   3.58406E-01   2.98400E-01
+   2.47074E-01   2.03437E-01   1.66270E-01   1.35133E-01   1.08731E-01
+   8.66941E-02   6.84195E-02   5.33819E-02   4.11170E-02   3.12177E-02
+   2.33223E-02   1.71190E-02   1.22992E-02   8.65744E-03   5.92450E-03
+   3.93561E-03   2.52572E-03   1.55662E-03   9.14092E-04   5.06920E-04
+   2.61289E-04   1.23459E-04   5.19645E-05   1.87453E-05   5.45582E-06
+   1.15444E-06   1.50207E-07   7.86118E-09   0.00000E+00   2.80921E+07
+   2.06547E+07   1.48457E+07   1.06652E+07   7.65705E+06   5.49378E+06
+   3.93907E+06   2.82241E+06   2.02091E+06   1.44600E+06   1.03389E+06
+   7.38694E+05   5.27389E+05   3.76243E+05   2.68209E+05   1.91048E+05
+   1.35980E+05   9.67098E+04   6.87275E+04   4.88042E+04   3.46308E+04
+   2.45556E+04   1.73999E+04   1.23215E+04   8.72024E+03   6.16782E+03
+   4.36224E+03   3.06819E+03   2.17022E+03   1.53558E+03   1.08726E+03
+   7.70673E+02   5.46845E+02   3.88928E+02   2.77477E+02   1.98797E+02
+   1.43139E+02   1.03721E+02   7.57354E+01   5.58014E+01   4.15412E+01
+   3.12831E+01   2.38541E+01   1.84217E+01   1.44278E+01   1.14442E+01
+   9.19040E+00   7.46444E+00   6.12378E+00   5.06753E+00   4.22415E+00
+   3.54179E+00   2.98617E+00   2.52356E+00   2.13890E+00   1.81564E+00
+   1.54241E+00   1.31043E+00   1.11243E+00   9.44738E-01   7.99617E-01
+   6.75734E-01   5.69498E-01   4.78511E-01   4.00472E-01   3.33723E-01
+   2.76769E-01   2.28262E-01   1.87198E-01   1.52373E-01   1.23329E-01
+   9.88126E-02   7.84448E-02   6.16347E-02   4.78700E-02   3.66998E-02
+   2.77306E-02   2.06154E-02   1.50556E-02   1.07598E-02   7.53298E-03
+   5.12584E-03   3.38497E-03   2.15889E-03   1.32185E-03   7.70856E-04
+   4.24349E-04   2.17006E-04   1.01675E-04   4.24137E-05   1.51588E-05
+   4.37340E-06   9.20031E-07   1.20373E-07   6.59110E-09   0.00000E+00
+   3.46845E+07   2.54290E+07   1.82138E+07   1.30389E+07   9.32803E+06
+   6.66862E+06   4.76403E+06   3.40093E+06   2.42604E+06   1.72931E+06
+   1.23171E+06   8.76609E+05   6.23384E+05   4.42946E+05   3.14477E+05
+   2.23082E+05   1.58116E+05   1.11974E+05   7.92315E+04   5.60160E+04
+   3.95706E+04   2.79308E+04   1.96999E+04   1.38844E+04   9.77917E+03
+   6.88287E+03   4.84372E+03   3.38929E+03   2.38494E+03   1.67863E+03
+   1.18217E+03   8.33374E+02   5.88055E+02   4.15887E+02   2.95026E+02
+   2.10164E+02   1.50459E+02   1.08405E+02   7.87106E+01   5.76739E+01
+   4.27050E+01   3.19929E+01   2.42741E+01   1.86569E+01   1.45457E+01
+   1.14875E+01   9.18654E+00   7.43095E+00   6.07206E+00   5.00506E+00
+   4.15594E+00   3.47122E+00   2.91558E+00   2.45456E+00   2.07259E+00
+   1.75276E+00   1.48344E+00   1.25563E+00   1.06193E+00   8.98515E-01
+   7.57643E-01   6.37862E-01   5.35553E-01   4.48283E-01   3.73737E-01
+   3.10240E-01   2.56288E-01   2.10532E-01   1.71966E-01   1.39401E-01
+   1.12362E-01   8.96417E-02   7.08544E-02   5.54228E-02   4.28489E-02
+   3.26965E-02   2.45869E-02   1.81880E-02   1.32153E-02   9.39478E-03
+   6.54155E-03   4.42592E-03   2.90542E-03   1.84151E-03   1.12012E-03
+   6.48673E-04   3.54457E-04   1.79834E-04   8.35511E-05   3.45436E-05
+   1.22332E-05   3.49924E-06   7.32121E-07   9.63293E-08   5.50779E-09
+   0.00000E+00   4.25184E+07   3.10854E+07   2.21893E+07   1.58302E+07
+   1.12854E+07   8.03952E+06   5.72287E+06   4.07065E+06   2.89315E+06
+   2.05461E+06   1.45791E+06   1.03364E+06   7.32209E+05   5.18232E+05
+   3.66465E+05   2.58911E+05   1.82759E+05   1.28887E+05   9.08134E+04
+   6.39284E+04   4.49627E+04   3.15957E+04   2.21841E+04   1.55632E+04
+   1.09102E+04   7.64210E+03   5.35189E+03   3.72603E+03   2.60868E+03
+   1.82668E+03   1.27971E+03   8.97346E+02   6.29778E+02   4.42961E+02
+   3.12499E+02   2.21377E+02   1.57609E+02   1.12930E+02   8.15506E+01
+   5.94364E+01   4.37820E+01   3.26358E+01   2.46431E+01   1.88534E+01
+   1.46343E+01   1.15088E+01   9.16594E+00   7.38481E+00   6.01080E+00
+   4.93546E+00   4.08249E+00   3.39689E+00   2.84241E+00   2.38392E+00
+   2.00539E+00   1.68959E+00   1.42462E+00   1.20136E+00   1.01222E+00
+   8.53279E-01   7.16792E-01   6.01198E-01   5.02858E-01   4.19311E-01
+   3.48238E-01   2.87949E-01   2.36939E-01   1.93863E-01   1.57711E-01
+   1.27318E-01   1.02195E-01   8.11816E-02   6.38865E-02   4.97487E-02
+   3.82856E-02   2.90769E-02   2.17595E-02   1.60165E-02   1.15781E-02
+   8.18716E-03   5.66956E-03   3.81402E-03   2.48880E-03   1.56758E-03
+   9.47223E-04   5.44715E-04   2.95451E-04   1.48712E-04   6.85122E-05
+   2.80753E-05   9.85268E-06   2.79487E-06   5.81763E-07   7.69839E-08
+   4.58765E-09   0.00000E+00   5.17469E+07   3.77291E+07   2.68417E+07
+   1.90847E+07   1.35591E+07   9.62587E+06   6.82814E+06   4.83962E+06
+   3.42736E+06   2.42514E+06   1.71450E+06   1.21102E+06   8.54623E+05
+   6.02554E+05   4.24435E+05   2.98684E+05   2.09990E+05   1.47489E+05
+   1.03491E+05   7.25471E+04   5.08068E+04   3.55475E+04   2.48486E+04
+   1.73542E+04   1.21099E+04   8.44287E+03   5.88468E+03   4.07688E+03
+   2.84030E+03   1.97893E+03   1.37932E+03   9.62199E+02   6.71750E+02
+   4.69975E+02   3.29782E+02   2.32366E+02   1.64543E+02   1.17270E+02
+   8.42394E+01   6.10801E+01   4.47678E+01   3.32096E+01   2.49603E+01
+   1.90112E+01   1.46941E+01   1.15084E+01   9.12922E+00   7.32661E+00
+   5.94056E+00   4.85925E+00   4.00426E+00   3.31922E+00   2.76701E+00
+   2.31196E+00   1.93756E+00   1.62633E+00   1.36617E+00   1.14776E+00
+   9.63434E-01   8.09126E-01   6.77136E-01   5.65790E-01   4.71442E-01
+   3.91610E-01   3.23975E-01   2.66840E-01   2.18702E-01   1.78225E-01
+   1.44402E-01   1.16090E-01   9.27929E-02   7.33951E-02   5.75047E-02
+   4.45776E-02   3.41479E-02   2.58118E-02   1.92223E-02   1.40784E-02
+   1.01249E-02   7.12137E-03   4.90445E-03   3.28038E-03   2.12776E-03
+   1.33176E-03   7.99399E-04   4.56488E-04   2.45762E-04   1.22722E-04
+   5.60651E-05   2.27725E-05   7.92042E-06   2.22855E-06   4.61663E-07
+   6.14428E-08   3.80923E-09   0.00000E+00   6.25296E+07   4.54694E+07
+   3.22426E+07   2.28491E+07   1.61794E+07   1.14472E+07   8.09236E+06
+   5.71581E+06   4.03367E+06   2.84402E+06   2.00341E+06   1.40993E+06
+   9.91317E+05   6.96313E+05   4.88615E+05   3.42525E+05   2.39870E+05
+   1.67807E+05   1.17273E+05   8.18716E+04   5.70984E+04   3.97804E+04
+   2.76877E+04   1.92523E+04   1.33745E+04   9.28208E+03   6.43976E+03
+   4.44015E+03   3.07860E+03   2.13452E+03   1.48042E+03   1.02754E+03
+   7.13709E+02   4.96758E+02   3.46767E+02   2.43061E+02   1.71222E+02
+   1.21401E+02   8.67635E+01   6.25977E+01   4.56589E+01   3.37129E+01
+   2.52254E+01   1.91306E+01   1.47256E+01   1.14872E+01   9.07704E+00
+   7.25699E+00   5.86193E+00   4.77694E+00   3.92170E+00   3.23861E+00
+   2.68975E+00   2.23897E+00   1.86937E+00   1.56323E+00   1.30824E+00
+   1.09498E+00   9.15674E-01   7.66144E-01   6.38736E-01   5.31679E-01
+   4.41327E-01   3.65185E-01   3.00940E-01   2.46895E-01   2.01553E-01
+   1.63589E-01   1.32003E-01   1.05680E-01   8.41167E-02   6.62447E-02
+   5.16730E-02   3.98758E-02   3.04047E-02   2.28733E-02   1.69510E-02
+   1.23527E-02   8.83799E-03   6.18294E-03   4.23471E-03   2.81609E-03
+   1.81561E-03   1.12922E-03   6.73325E-04   3.81794E-04   2.04023E-04
+   1.01073E-04   4.57886E-05   1.84357E-05   6.35563E-06   1.77418E-06
+   3.65893E-07   4.89765E-08   3.15322E-09   0.00000E+00   7.50322E+07
+   5.44191E+07   3.84653E+07   2.71709E+07   1.91768E+07   1.35231E+07
+   9.52788E+06   6.70697E+06   4.71691E+06   3.31422E+06   2.32642E+06
+   1.63143E+06   1.14291E+06   7.99857E+05   5.59192E+05   3.90525E+05
+   2.72441E+05   1.89854E+05   1.32159E+05   9.18951E+04   6.38288E+04
+   4.42859E+04   3.06942E+04   2.12517E+04   1.46993E+04   1.01562E+04
+   7.01457E+03   4.81400E+03   3.32229E+03   2.29259E+03   1.58240E+03
+   1.09297E+03   7.55399E+02   5.23147E+02   3.63350E+02   2.53401E+02
+   1.77608E+02   1.25301E+02   8.91113E+01   6.39835E+01   4.64526E+01
+   3.41451E+01   2.54387E+01   1.92124E+01   1.47296E+01   1.14458E+01
+   9.01014E+00   7.17661E+00   5.77549E+00   4.68907E+00   3.83528E+00
+   3.15544E+00   2.61095E+00   2.16524E+00   1.80106E+00   1.50046E+00
+   1.25101E+00   1.04316E+00   8.69044E-01   7.24405E-01   6.01641E-01
+   4.98895E-01   4.12525E-01   3.40035E-01   2.79122E-01   2.28093E-01
+   1.85461E-01   1.49920E-01   1.20478E-01   9.60497E-02   7.61283E-02
+   5.96929E-02   4.63558E-02   3.56101E-02   2.70260E-02   2.02346E-02
+   1.49221E-02   1.08196E-02   7.70101E-03   5.35856E-03   3.64979E-03
+   2.41307E-03   1.54638E-03   9.55691E-04   5.66056E-04   3.18711E-04
+   1.69046E-04   8.30822E-05   3.73247E-05   1.48974E-05   5.09126E-06
+   1.41035E-06   2.89644E-07   3.89911E-08   2.60245E-09   0.00000E+00

=== added file 'Template/lib/Pdfdata/cteq6l1.tbl'
--- Template/lib/Pdfdata/cteq6l1.tbl	1970-01-01 00:00:00 +0000
+++ Template/lib/Pdfdata/cteq6l1.tbl	2010-10-30 03:26:37 +0000
@@ -0,0 +1,3102 @@
+ Parton Distribution Table : cteq6l1
+  Ordr, Nfl, lambda        Qmass 1,  2,  3,         4,  5,  6
+    1.    5. 0.1652    0.000    0.000    0.200    1.300    4.500  180.000
+   NX,  NT,  NfMx
+   95   19    5
+QINI, QMAX, (QV(I), I =0, NT)
+ 1.30000E+00 1.00000E+04
+ 1.30000E+00 1.53865E+00 1.84636E+00 2.24885E+00 2.78358E+00 3.50602E+00
+ 4.50000E+00 6.20054E+00 8.81356E+00 1.29625E+01 1.97913E+01 3.14839E+01
+ 5.23915E+01 9.15982E+01 1.69063E+02 3.31152E+02 6.92354E+02 1.55489E+03
+ 3.77707E+03 1.00000E+04
+XMIN, (XV(I), I =0, NX)
+ 1.00000E-06
+ 0.00000E+00 1.00000E-06 1.28121E-06 1.64152E-06 2.10317E-06 2.69463E-06
+ 3.45242E-06 4.42329E-06 5.66715E-06 7.26076E-06 9.30241E-06 1.19180E-05
+ 1.52689E-05 1.95617E-05 2.50609E-05 3.21053E-05 4.11287E-05 5.26863E-05
+ 6.74889E-05 8.64459E-05 1.10720E-04 1.41800E-04 1.81585E-04 2.32503E-04
+ 2.97652E-04 3.80981E-04 4.87518E-04 6.26039E-04 8.00452E-04 1.02297E-03
+ 1.30657E-03 1.66759E-03 2.12729E-03 2.71054E-03 3.44865E-03 4.37927E-03
+ 5.54908E-03 7.01192E-03 8.83064E-03 1.10763E-02 1.38266E-02 1.71641E-02
+ 2.11717E-02 2.59364E-02 3.15062E-02 3.79623E-02 4.53425E-02 5.36750E-02
+ 6.29705E-02 7.32221E-02 8.44039E-02 9.64793E-02 1.09332E-01 1.23067E-01
+ 1.37507E-01 1.52639E-01 1.68416E-01 1.84794E-01 2.01731E-01 2.19016E-01
+ 2.36948E-01 2.55242E-01 2.73927E-01 2.92954E-01 3.12340E-01 3.32036E-01
+ 3.52019E-01 3.72282E-01 3.92772E-01 4.13533E-01 4.34326E-01 4.55495E-01
+ 4.76836E-01 4.98342E-01 5.20006E-01 5.41818E-01 5.63773E-01 5.85861E-01
+ 6.08077E-01 6.30459E-01 6.52800E-01 6.75387E-01 6.98063E-01 7.20830E-01
+ 7.43683E-01 7.66623E-01 7.89636E-01 8.12791E-01 8.35940E-01 8.59175E-01
+ 8.82485E-01 9.05866E-01 9.29311E-01 9.52817E-01 9.76387E-01 1.00000E+00
+Parton Distribution Table:
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   3.69126E+06   1.86219E-10   0.00000E+00   9.31095E-11
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   1.16529E-11
+   5.82645E-12   1.16387E-11   5.81935E-12   0.00000E+00   0.00000E+00
+   1.45661E-12   0.00000E+00   1.45484E-12   0.00000E+00   0.00000E+00
+   0.00000E+00   3.63709E-13   3.63709E-13   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   9.09273E-14   4.54636E-14   0.00000E+00
+   1.13798E-14   0.00000E+00   0.00000E+00   5.68989E-15   0.00000E+00
+   5.68295E-15   2.84495E-15   1.42247E-15   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   3.55618E-16   1.77809E-16
+   0.00000E+00   1.77809E-16   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   8.87962E-17   0.00000E+00   4.44523E-17   4.44523E-17
+   4.43981E-17   0.00000E+00   0.00000E+00   4.43981E-17   4.43981E-17
+   2.21990E-17   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   1.10995E-17   5.55654E-18   0.00000E+00
+   0.00000E+00   2.77827E-18   0.00000E+00   2.77827E-18   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   6.94567E-19   0.00000E+00
+   0.00000E+00   6.93720E-19   3.47284E-19   6.93720E-19   0.00000E+00
+   0.00000E+00   0.00000E+00   1.73430E-19   0.00000E+00   0.00000E+00
+   0.00000E+00   1.08526E-20   1.08394E-20   0.00000E+00   3.39144E-22
+   0.00000E+00   0.00000E+00   1.37473E+06   1.02159E+06   7.43741E+05
+   5.41190E+05   3.93538E+05   2.85970E+05   2.07654E+05   1.50673E+05
+   1.09242E+05   7.91400E+04   5.72842E+04   4.14280E+04   2.99335E+04
+   2.16077E+04   1.55822E+04   1.12254E+04   8.07812E+03   5.80668E+03
+   4.16905E+03   2.98960E+03   2.14108E+03   1.53133E+03   1.09369E+03
+   7.79973E+02   5.55383E+02   3.94825E+02   2.80239E+02   1.97503E+02
+   1.39710E+02   9.86437E+01   6.95144E+01   4.88893E+01   3.42940E+01
+   2.40082E+01   1.67750E+01   1.17014E+01   8.14734E+00   5.66467E+00
+   3.93425E+00   2.73067E+00   1.89515E+00   1.31606E+00   9.15169E-01
+   6.37444E-01   4.45818E-01   3.12821E-01   2.20453E-01   1.56104E-01
+   1.11101E-01   7.94875E-02   5.71754E-02   4.13411E-02   3.00937E-02
+   2.19609E-02   1.61069E-02   1.18550E-02   8.75019E-03   6.47204E-03
+   4.79282E-03   3.56186E-03   2.63895E-03   1.95605E-03   1.44781E-03
+   1.06958E-03   7.87407E-04   5.77324E-04   4.21143E-04   3.05181E-04
+   2.19516E-04   1.56234E-04   1.10202E-04   7.63331E-05   5.18514E-05
+   3.43069E-05   2.18717E-05   1.31796E-05   7.21383E-06   3.21428E-06
+   6.37239E-07   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   3.21160E+06   2.38067E+06
+   1.72799E+06   1.25357E+06   9.08762E+05   6.58311E+05   4.76520E+05
+   3.44658E+05   2.49080E+05   1.79853E+05   1.29752E+05   9.35211E+04
+   6.73425E+04   4.84434E+04   3.48120E+04   2.49892E+04   1.79179E+04
+   1.28323E+04   9.17891E+03   6.55717E+03   4.67797E+03   3.33262E+03
+   2.37069E+03   1.68379E+03   1.19398E+03   8.45198E+02   5.97324E+02
+   4.19095E+02   2.95131E+02   2.07427E+02   1.45490E+02   1.01834E+02
+   7.10836E+01   4.95152E+01   3.44209E+01   2.38855E+01   1.65428E+01
+   1.14399E+01   7.90179E+00   5.45405E+00   3.76404E+00   2.59913E+00
+   1.79718E+00   1.24470E+00   8.65622E-01   6.03987E-01   4.23285E-01
+   2.98086E-01   2.11003E-01   1.50158E-01   1.07443E-01   7.72847E-02
+   5.59731E-02   4.06406E-02   2.96592E-02   2.17223E-02   1.59551E-02
+   1.17443E-02   8.65522E-03   6.40191E-03   4.72077E-03   3.48303E-03
+   2.56650E-03   1.88794E-03   1.38437E-03   1.01149E-03   7.35835E-04
+   5.32347E-04   3.82885E-04   2.73137E-04   1.93776E-04   1.35714E-04
+   9.39605E-05   6.41616E-05   4.30877E-05   2.83441E-05   1.81614E-05
+   1.12373E-05   6.62050E-06   3.60630E-06   1.71747E-06   5.69638E-07
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   5.60466E+06
+   4.14406E+06   2.99875E+06   2.16874E+06   1.56729E+06   1.13177E+06
+   8.16619E+05   5.88737E+05   4.24083E+05   3.05206E+05   2.19448E+05
+   1.57635E+05   1.13120E+05   8.10911E+04   5.80678E+04   4.15341E+04
+   2.96731E+04   2.11731E+04   1.50886E+04   1.07381E+04   7.63129E+03
+   5.41537E+03   3.83699E+03   2.71424E+03   1.91677E+03   1.35115E+03
+   9.50832E+02   6.64188E+02   4.65664E+02   3.25809E+02   2.27475E+02
+   1.58472E+02   1.10089E+02   7.63112E+01   5.27841E+01   3.64423E+01
+   2.51090E+01   1.72725E+01   1.18669E+01   8.14664E+00   5.59163E+00
+   3.83988E+00   2.64048E+00   1.81865E+00   1.25784E+00   8.72868E-01
+   6.08414E-01   4.26168E-01   3.00077E-01   2.12437E-01   1.51231E-01
+   1.08235E-01   7.80036E-02   5.63609E-02   4.09354E-02   2.98399E-02
+   2.18156E-02   1.59851E-02   1.17272E-02   8.63590E-03   6.34018E-03
+   4.65782E-03   3.41780E-03   2.50400E-03   1.82901E-03   1.33153E-03
+   9.65493E-04   6.96548E-04   4.99944E-04   3.56240E-04   2.52797E-04
+   1.77446E-04   1.23477E-04   8.50944E-05   5.80197E-05   3.90993E-05
+   2.60174E-05   1.70812E-05   1.10550E-05   7.04543E-06   4.44291E-06
+   2.76102E-06   1.70327E-06   1.05078E-06   6.55322E-07   4.19516E-07
+   2.78420E-07   1.92152E-07   1.36741E-07   9.77283E-08   6.76988E-08
+   4.33396E-08   2.39972E-08   9.53479E-09   1.18638E-09   0.00000E+00
+   8.65959E+06   6.38648E+06   4.60713E+06   3.32152E+06   2.39281E+06
+   1.72238E+06   1.23876E+06   8.90172E+05   6.39103E+05   4.58421E+05
+   3.28503E+05   2.35169E+05   1.68177E+05   1.20139E+05   8.57255E+04
+   6.10978E+04   4.34919E+04   3.09197E+04   2.19524E+04   1.55640E+04
+   1.10186E+04   7.78877E+03   5.49690E+03   3.87288E+03   2.72387E+03
+   1.91209E+03   1.33993E+03   9.31921E+02   6.50530E+02   4.53138E+02
+   3.14945E+02   2.18400E+02   1.51008E+02   1.04174E+02   7.17057E+01
+   4.92604E+01   3.37695E+01   2.31109E+01   1.57956E+01   1.07866E+01
+   7.36428E+00   5.03012E+00   3.44039E+00   2.35686E+00   1.62138E+00
+   1.11917E+00   7.75987E-01   5.40719E-01   3.78782E-01   2.66800E-01
+   1.88991E-01   1.34598E-01   9.65410E-02   6.94259E-02   5.01915E-02
+   3.64207E-02   2.65075E-02   1.93380E-02   1.41253E-02   1.03579E-02
+   7.57253E-03   5.54042E-03   4.04922E-03   2.95511E-03   2.15050E-03
+   1.56005E-03   1.12750E-03   8.11040E-04   5.80707E-04   4.13033E-04
+   2.92825E-04   2.05598E-04   1.43346E-04   9.92100E-05   6.81530E-05
+   4.64802E-05   3.14939E-05   2.12314E-05   1.42683E-05   9.58429E-06
+   6.48537E-06   4.42002E-06   3.05711E-06   2.15327E-06   1.54536E-06
+   1.12720E-06   8.28264E-07   6.06069E-07   4.36028E-07   3.02348E-07
+   1.97062E-07   1.16235E-07   5.80714E-08   2.05590E-08   2.59433E-09
+   0.00000E+00   1.24910E+07   9.18851E+06   6.60784E+06   4.74898E+06
+   3.41029E+06   2.44692E+06   1.75418E+06   1.25643E+06   8.99086E+05
+   6.42754E+05   4.59045E+05   3.27502E+05   2.33402E+05   1.66152E+05
+   1.18141E+05   8.39010E+04   5.95089E+04   4.21522E+04   2.98167E+04
+   2.10605E+04   1.48534E+04   1.04591E+04   7.35266E+03   5.15985E+03
+   3.61441E+03   2.52681E+03   1.76337E+03   1.22118E+03   8.48795E+02
+   5.88667E+02   4.07328E+02   2.81188E+02   1.93527E+02   1.32881E+02
+   9.10289E+01   6.22319E+01   4.24516E+01   2.89073E+01   1.96570E+01
+   1.33546E+01   9.07032E+00   6.16311E+00   4.19329E+00   2.85761E+00
+   1.95565E+00   1.34292E+00   9.26357E-01   6.42231E-01   4.47647E-01
+   3.13757E-01   2.21183E-01   1.56776E-01   1.11927E-01   8.01221E-02
+   5.76645E-02   4.16589E-02   3.01885E-02   2.19302E-02   1.59515E-02
+   1.16494E-02   8.48239E-03   6.18174E-03   4.50061E-03   3.27234E-03
+   2.37284E-03   1.71548E-03   1.23589E-03   8.86435E-04   6.33117E-04
+   4.49405E-04   3.18194E-04   2.23317E-04   1.55828E-04   1.08114E-04
+   7.46154E-05   5.12712E-05   3.51319E-05   2.40605E-05   1.65169E-05
+   1.14020E-05   7.97324E-06   5.64189E-06   4.05860E-06   2.96734E-06
+   2.19781E-06   1.63951E-06   1.21969E-06   8.94494E-07   6.39167E-07
+   4.36816E-07   2.78704E-07   1.59889E-07   7.69759E-08   2.60228E-08
+   3.30183E-09   0.00000E+00   1.72217E+07   1.26361E+07   9.05882E+06
+   6.49005E+06   4.64581E+06   3.32277E+06   2.37438E+06   1.69512E+06
+   1.20901E+06   8.61451E+05   6.13171E+05   4.35980E+05   3.09647E+05
+   2.19666E+05   1.55646E+05   1.10145E+05   7.78434E+04   5.49396E+04
+   3.87196E+04   2.72475E+04   1.91447E+04   1.34295E+04   9.40445E+03
+   6.57391E+03   4.58666E+03   3.19352E+03   2.21955E+03   1.53061E+03
+   1.05939E+03   7.31579E+02   5.04011E+02   3.46390E+02   2.37326E+02
+   1.62207E+02   1.10600E+02   7.52535E+01   5.10871E+01   3.46177E+01
+   2.34235E+01   1.58339E+01   1.06999E+01   7.23347E+00   4.89650E+00
+   3.31982E+00   2.26047E+00   1.54442E+00   1.06004E+00   7.31292E-01
+   5.07247E-01   3.53830E-01   2.48264E-01   1.75158E-01   1.24487E-01
+   8.87167E-02   6.35719E-02   4.57302E-02   3.29996E-02   2.38740E-02
+   1.72949E-02   1.25808E-02   9.12487E-03   6.62478E-03   4.80536E-03
+   3.48143E-03   2.51576E-03   1.81284E-03   1.30203E-03   9.31237E-04
+   6.63492E-04   4.70008E-04   3.32302E-04   2.33057E-04   1.62674E-04
+   1.13046E-04   7.82758E-05   5.40766E-05   3.73497E-05   2.58586E-05
+   1.80027E-05   1.26415E-05   9.01110E-06   6.50583E-06   4.77021E-06
+   3.54419E-06   2.65574E-06   1.99331E-06   1.48412E-06   1.08382E-06
+   7.67727E-07   5.18004E-07   3.25010E-07   1.82548E-07   8.54494E-08
+   2.78983E-08   3.55430E-09   0.00000E+00   2.29822E+07   1.68198E+07
+   1.20208E+07   8.58524E+06   6.12628E+06   4.36771E+06   3.11107E+06
+   2.21386E+06   1.57385E+06   1.11771E+06   7.92922E+05   5.61892E+05
+   3.97719E+05   2.81178E+05   1.98539E+05   1.40007E+05   9.85977E+04
+   6.93381E+04   4.86902E+04   3.41383E+04   2.38974E+04   1.67004E+04
+   1.16505E+04   8.11250E+03   5.63800E+03   3.90988E+03   2.70651E+03
+   1.85869E+03   1.28114E+03   8.80993E+02   6.04355E+02   4.13549E+02
+   2.82087E+02   1.91934E+02   1.30272E+02   8.82279E+01   5.96131E+01
+   4.02024E+01   2.70710E+01   1.82102E+01   1.22451E+01   8.23708E+00
+   5.54822E+00   3.74301E+00   2.53605E+00   1.72421E+00   1.17770E+00
+   8.08559E-01   5.58188E-01   3.87551E-01   2.70683E-01   1.90117E-01
+   1.34527E-01   9.54565E-02   6.81119E-02   4.87924E-02   3.50658E-02
+   2.52679E-02   1.82326E-02   1.32124E-02   9.54687E-03   6.90578E-03
+   4.99133E-03   3.60369E-03   2.59546E-03   1.86436E-03   1.33505E-03
+   9.52256E-04   6.76856E-04   4.78512E-04   3.37817E-04   2.36732E-04
+   1.65248E-04   1.14967E-04   7.98066E-05   5.53645E-05   3.84726E-05
+   2.68528E-05   1.88859E-05   1.34185E-05   9.68490E-06   7.07810E-06
+   5.24494E-06   3.92753E-06   2.95594E-06   2.21987E-06   1.64794E-06
+   1.19591E-06   8.39267E-07   5.59388E-07   3.45645E-07   1.90480E-07
+   8.69611E-08   2.75451E-08   3.52189E-09   0.00000E+00   2.99095E+07
+   2.18346E+07   1.55568E+07   1.10763E+07   7.87918E+06   5.59975E+06
+   3.97597E+06   2.82027E+06   1.99846E+06   1.41462E+06   1.00026E+06
+   7.06459E+05   4.98368E+05   3.51139E+05   2.47089E+05   1.73640E+05
+   1.21856E+05   8.53910E+04   5.97483E+04   4.17400E+04   2.91118E+04
+   2.02690E+04   1.40870E+04   9.77183E+03   6.76502E+03   4.67307E+03
+   3.22203E+03   2.20371E+03   1.51278E+03   1.03599E+03   7.07702E+02
+   4.82207E+02   3.27495E+02   2.21850E+02   1.49905E+02   1.01064E+02
+   6.79723E+01   4.56261E+01   3.05783E+01   2.04715E+01   1.36996E+01
+   9.17098E+00   6.14741E+00   4.12716E+00   2.78289E+00   1.88299E+00
+   1.28007E+00   8.74733E-01   6.01088E-01   4.15445E-01   2.88875E-01
+   2.02006E-01   1.42330E-01   1.00568E-01   7.14637E-02   5.09866E-02
+   3.64975E-02   2.61980E-02   1.88315E-02   1.35959E-02   9.78814E-03
+   7.05519E-03   5.08171E-03   3.65670E-03   2.62518E-03   1.87994E-03
+   1.34235E-03   9.54939E-04   6.77199E-04   4.77815E-04   3.36832E-04
+   2.35838E-04   1.64610E-04   1.14623E-04   7.97298E-05   5.54992E-05
+   3.87551E-05   2.72227E-05   1.92948E-05   1.38268E-05   1.00658E-05
+   7.41427E-06   5.52769E-06   4.15457E-06   3.12968E-06   2.34556E-06
+   1.73314E-06   1.24870E-06   8.67970E-07   5.71634E-07   3.48082E-07
+   1.88395E-07   8.40171E-08   2.58876E-08   3.32095E-09   0.00000E+00
+   3.81464E+07   2.77786E+07   1.97317E+07   1.40058E+07   9.93235E+06
+   7.03698E+06   4.98076E+06   3.52181E+06   2.48760E+06   1.75519E+06
+   1.23703E+06   8.70814E+05   6.12275E+05   4.29951E+05   3.01525E+05
+   2.11170E+05   1.47682E+05   1.03128E+05   7.19045E+04   5.00533E+04
+   3.47840E+04   2.41300E+04   1.67084E+04   1.15469E+04   7.96361E+03
+   5.47981E+03   3.76360E+03   2.56382E+03   1.75296E+03   1.19561E+03
+   8.13387E+02   5.51905E+02   3.73242E+02   2.51752E+02   1.69366E+02
+   1.13679E+02   7.61128E+01   5.08578E+01   3.39276E+01   2.26082E+01
+   1.50586E+01   1.00333E+01   6.69370E+00   4.47272E+00   3.00177E+00
+   2.02163E+00   1.36797E+00   9.30545E-01   6.36568E-01   4.38023E-01
+   3.03256E-01   2.11157E-01   1.48160E-01   1.04258E-01   7.37887E-02
+   5.24384E-02   3.73920E-02   2.67391E-02   1.91491E-02   1.37755E-02
+   9.88226E-03   7.09850E-03   5.09578E-03   3.65495E-03   2.61575E-03
+   1.86763E-03   1.32986E-03   9.43641E-04   6.67691E-04   4.70207E-04
+   3.30992E-04   2.31544E-04   1.61585E-04   1.12594E-04   7.84522E-05
+   5.47657E-05   3.83979E-05   2.71111E-05   1.93326E-05   1.39433E-05
+   1.02127E-05   7.56106E-06   5.65648E-06   4.25684E-06   3.20333E-06
+   2.39247E-06   1.75793E-06   1.25684E-06   8.65194E-07   5.63109E-07
+   3.38039E-07   1.79791E-07   7.84003E-08   2.35429E-08   3.02969E-09
+   0.00000E+00   4.78400E+07   3.47525E+07   2.46114E+07   1.74167E+07
+   1.23136E+07   8.69731E+06   6.13688E+06   4.32572E+06   3.04581E+06
+   2.14221E+06   1.50495E+06   1.05599E+06   7.40046E+05   5.17959E+05
+   3.62035E+05   2.52695E+05   1.76121E+05   1.22565E+05   8.51599E+04
+   5.90724E+04   4.09061E+04   2.82751E+04   1.95075E+04   1.34317E+04
+   9.22900E+03   6.32647E+03   4.32853E+03   2.93708E+03   2.00031E+03
+   1.35890E+03   9.20746E+02   6.22198E+02   4.19031E+02   2.81445E+02
+   1.88533E+02   1.25995E+02   8.39888E+01   5.58709E+01   3.71042E+01
+   2.46128E+01   1.63189E+01   1.08229E+01   7.18733E+00   4.78046E+00
+   3.19364E+00   2.14108E+00   1.44229E+00   9.76738E-01   6.65241E-01
+   4.55781E-01   3.14218E-01   2.17880E-01   1.52258E-01   1.06714E-01
+   7.52313E-02   5.32586E-02   3.78343E-02   2.69563E-02   1.92347E-02
+   1.37887E-02   9.85757E-03   7.05702E-03   5.04949E-03   3.61035E-03
+   2.57601E-03   1.83396E-03   1.30236E-03   9.21838E-04   6.50847E-04
+   4.57493E-04   3.21588E-04   2.24767E-04   1.56819E-04   1.09334E-04
+   7.62918E-05   5.33875E-05   3.75595E-05   2.66320E-05   1.90833E-05
+   1.38311E-05   1.01748E-05   7.55773E-06   5.66339E-06   4.26094E-06
+   3.19907E-06   2.37893E-06   1.73724E-06   1.23215E-06   8.39950E-07
+   5.40309E-07   3.19840E-07   1.67228E-07   7.13550E-08   2.09136E-08
+   2.69947E-09   0.00000E+00   5.91411E+07   4.28589E+07   3.02625E+07
+   2.13521E+07   1.50507E+07   1.05983E+07   7.45544E+06   5.23897E+06
+   3.67739E+06   2.57832E+06   1.80560E+06   1.26291E+06   8.82206E+05
+   6.15450E+05   4.28765E+05   2.98280E+05   2.07197E+05   1.43703E+05
+   9.95063E+04   6.87856E+04   4.74660E+04   3.26935E+04   2.24754E+04
+   1.54193E+04   1.05559E+04   7.20910E+03   4.91395E+03   3.32147E+03
+   2.25340E+03   1.52487E+03   1.02912E+03   6.92649E+02   4.64580E+02
+   3.10751E+02   2.07294E+02   1.37946E+02   9.15600E+01   6.06427E+01
+   4.00963E+01   2.64796E+01   1.74782E+01   1.15398E+01   7.62904E+00
+   5.05146E+00   3.35964E+00   2.24239E+00   1.50391E+00   1.01405E+00
+   6.87704E-01   4.69191E-01   3.22130E-01   2.22460E-01   1.54844E-01
+   1.08103E-01   7.59200E-02   5.35451E-02   3.78985E-02   2.69055E-02
+   1.91307E-02   1.36673E-02   9.73787E-03   6.94853E-03   4.95606E-03
+   3.53266E-03   2.51315E-03   1.78418E-03   1.26368E-03   8.92304E-04
+   6.28661E-04   4.41099E-04   3.09636E-04   2.16222E-04   1.50817E-04
+   1.05197E-04   7.34975E-05   5.15406E-05   3.63656E-05   2.58768E-05
+   1.86146E-05   1.35421E-05   9.99292E-06   7.43715E-06   5.57538E-06
+   4.18919E-06   3.13537E-06   2.32008E-06   1.68322E-06   1.18410E-06
+   7.99314E-07   5.08217E-07   2.96708E-07   1.52546E-07   6.37294E-08
+   1.82535E-08   2.36300E-09   0.00000E+00   7.22023E+07   5.22008E+07
+   3.67516E+07   2.58545E+07   1.81705E+07   1.27572E+07   8.94712E+06
+   6.26812E+06   4.38633E+06   3.06590E+06   2.14037E+06   1.49236E+06
+   1.03919E+06   7.22645E+05   5.01819E+05   3.47963E+05   2.40913E+05
+   1.66532E+05   1.14926E+05   7.91751E+04   5.44479E+04   3.73723E+04
+   2.56017E+04   1.75017E+04   1.19384E+04   8.12349E+03   5.51688E+03
+   3.71489E+03   2.51082E+03   1.69258E+03   1.13788E+03   7.62843E+02
+   5.09622E+02   3.39503E+02   2.25545E+02   1.49469E+02   9.87921E+01
+   6.51547E+01   4.28947E+01   2.82050E+01   1.85359E+01   1.21846E+01
+   8.01999E+00   5.28704E+00   3.50103E+00   2.32666E+00   1.55374E+00
+   1.04322E+00   7.04533E-01   4.78700E-01   3.27337E-01   2.25160E-01
+   1.56119E-01   1.08577E-01   7.59690E-02   5.33839E-02   3.76491E-02
+   2.66350E-02   1.88730E-02   1.34383E-02   9.54313E-03   6.78780E-03
+   4.82637E-03   3.42989E-03   2.43300E-03   1.72254E-03   1.21690E-03
+   8.57246E-04   6.02713E-04   4.22144E-04   2.95929E-04   2.06469E-04
+   1.43971E-04   1.00459E-04   7.02642E-05   4.93636E-05   3.49164E-05
+   2.49190E-05   1.79820E-05   1.31191E-05   9.70106E-06   7.22683E-06
+   5.41503E-06   4.06018E-06   3.02750E-06   2.22832E-06   1.60569E-06
+   1.12020E-06   7.48777E-07   4.70601E-07   2.71008E-07   1.37039E-07
+   5.60831E-08   1.57149E-08   2.04015E-09   0.00000E+00   8.71771E+07
+   6.28816E+07   4.41445E+07   3.09659E+07   2.16995E+07   1.51902E+07
+   1.06220E+07   7.41930E+06   5.17630E+06   3.60708E+06   2.51047E+06
+   1.74501E+06   1.21133E+06   8.39700E+05   5.81253E+05   4.01750E+05
+   2.77252E+05   1.91024E+05   1.31393E+05   9.02177E+04   6.18324E+04
+   4.22963E+04   2.88749E+04   1.96705E+04   1.33703E+04   9.06522E+03
+   6.13423E+03   4.11526E+03   2.77114E+03   1.86107E+03   1.24640E+03
+   8.32383E+02   5.53908E+02   3.67546E+02   2.43197E+02   1.60514E+02
+   1.05656E+02   6.93922E+01   4.54928E+01   2.97868E+01   1.94921E+01
+   1.27583E+01   8.36170E+00   5.48871E+00   3.61914E+00   2.39499E+00
+   1.59268E+00   1.06495E+00   7.16277E-01   4.84729E-01   3.30157E-01
+   2.26219E-01   1.56262E-01   1.08272E-01   7.54792E-02   5.28501E-02
+   3.71420E-02   2.61864E-02   1.84924E-02   1.31243E-02   9.29005E-03
+   6.58709E-03   4.66939E-03   3.30858E-03   2.34031E-03   1.65247E-03
+   1.16446E-03   8.18417E-04   5.74250E-04   4.01512E-04   2.81092E-04
+   1.95945E-04   1.36589E-04   9.53355E-05   6.67445E-05   4.69657E-05
+   3.32912E-05   2.38177E-05   1.72305E-05   1.25973E-05   9.32736E-06
+   6.94965E-06   5.20109E-06   3.88933E-06   2.88800E-06   2.11367E-06
+   1.51247E-06   1.04633E-06   6.92541E-07   4.30266E-07   2.44435E-07
+   1.21591E-07   4.87686E-08   1.33819E-08   1.74208E-09   0.00000E+00
+   1.89352E+06   2.30204E-05   1.79678E-05   1.40239E-05   1.09457E-05
+   8.54308E-06   6.66795E-06   5.20441E-06   4.06211E-06   3.17056E-06
+   2.47470E-06   1.93158E-06   1.50769E-06   1.17684E-06   9.18604E-07
+   7.17053E-07   5.59741E-07   4.36958E-07   3.41122E-07   2.66322E-07
+   2.07938E-07   1.62368E-07   1.26798E-07   9.90344E-08   7.73632E-08
+   6.04472E-08   4.72427E-08   3.67946E-08   2.87823E-08   2.25266E-08
+   1.76421E-08   1.38277E-08   1.08445E-08   8.51598E-09   6.69828E-09
+   5.27976E-09   4.17160E-09   3.30615E-09   2.63001E-09   2.10151E-09
+   1.68811E-09   1.36442E-09   1.11059E-09   9.10896E-10   7.54051E-10
+   6.29867E-10   5.31252E-10   4.52536E-10   3.89336E-10   3.38277E-10
+   2.96762E-10   2.62773E-10   2.34882E-10   2.11553E-10   1.92091E-10
+   1.75686E-10   1.61760E-10   1.49859E-10   1.39621E-10   1.30844E-10
+   1.23131E-10   1.16416E-10   1.10521E-10   1.05328E-10   1.00724E-10
+   9.66340E-11   9.29882E-11   8.97267E-11   8.68065E-11   8.41781E-11
+   8.18320E-11   7.96984E-11   7.77736E-11   7.60350E-11   7.44632E-11
+   7.30414E-11   7.17552E-11   7.05920E-11   6.95408E-11   6.85902E-11
+   6.77394E-11   6.69697E-11   6.62803E-11   6.56650E-11   6.51184E-11
+   6.46357E-11   6.42128E-11   6.38448E-11   6.35306E-11   6.32656E-11
+   6.30471E-11   6.28728E-11   6.27404E-11   6.26481E-11   6.25938E-11
+   0.00000E+00   9.19753E+04   7.07674E+04   5.36848E+04   4.07275E+04
+   3.08971E+04   2.34390E+04   1.77806E+04   1.34877E+04   1.02309E+04
+   7.75999E+03   5.88549E+03   4.46347E+03   3.38475E+03   2.56648E+03
+   1.94582E+03   1.47508E+03   1.11806E+03   8.47322E+02   6.42027E+02
+   4.86373E+02   3.68370E+02   2.78922E+02   2.11129E+02   1.59757E+02
+   1.20835E+02   9.13523E+01   6.90265E+01   5.18976E+01   3.91664E+01
+   2.95338E+01   2.22491E+01   1.67428E+01   1.25778E+01   9.43647E+00
+   7.06960E+00   5.28910E+00   3.95040E+00   2.94600E+00   2.19379E+00
+   1.63157E+00   1.21224E+00   9.00143E-01   6.68340E-01   4.96265E-01
+   3.69242E-01   2.75104E-01   2.05430E-01   1.53814E-01   1.15512E-01
+   8.70289E-02   6.57951E-02   4.99126E-02   3.80454E-02   2.90361E-02
+   2.22379E-02   1.70693E-02   1.31240E-02   1.01015E-02   7.77770E-03
+   6.00231E-03   4.61625E-03   3.54884E-03   2.72264E-03   2.08349E-03
+   1.58811E-03   1.20510E-03   9.09609E-04   6.81969E-04   5.07696E-04
+   3.74312E-04   2.73829E-04   1.97293E-04   1.40039E-04   9.75674E-05
+   6.63999E-05   4.37960E-05   2.76756E-05   1.63363E-05   8.62421E-06
+   3.47345E-06   2.21385E-07   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   2.69954E+05   2.06345E+05   1.55341E+05
+   1.16942E+05   8.80283E+04   6.62570E+04   4.98651E+04   3.75242E+04
+   2.82341E+04   2.12411E+04   1.59778E+04   1.20168E+04   9.03620E+03
+   6.79365E+03   5.10663E+03   3.83771E+03   2.88343E+03   2.16589E+03
+   1.62647E+03   1.22103E+03   9.16355E+02   6.87457E+02   5.15534E+02
+   3.86436E+02   2.89526E+02   2.16797E+02   1.62244E+02   1.20790E+02
+   9.02779E+01   6.74153E+01   5.02944E+01   3.74808E+01   2.78846E+01
+   2.07190E+01   1.53740E+01   1.13934E+01   8.43031E+00   6.22919E+00
+   4.59691E+00   3.38871E+00   2.49614E+00   1.83801E+00   1.35364E+00
+   9.97239E-01   7.36385E-01   5.44645E-01   4.03849E-01   3.00330E-01
+   2.24071E-01   1.67754E-01   1.26052E-01   9.50561E-02   7.20400E-02
+   5.46705E-02   4.16396E-02   3.17881E-02   2.43097E-02   1.86121E-02
+   1.42546E-02   1.09434E-02   8.37217E-03   6.40280E-03   4.88674E-03
+   3.72047E-03   2.82165E-03   2.13081E-03   1.60099E-03   1.19548E-03
+   8.86906E-04   6.52326E-04   4.76805E-04   3.44049E-04   2.45423E-04
+   1.72773E-04   1.19790E-04   8.15945E-05   5.44269E-05   3.53950E-05
+   2.23175E-05   1.34909E-05   7.73617E-06   4.05099E-06   1.80341E-06
+   5.06698E-07   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   5.61608E+05   4.27043E+05
+   3.19528E+05   2.39062E+05   1.78830E+05   1.33750E+05   1.00015E+05
+   7.47745E+04   5.58920E+04   4.17686E+04   3.12066E+04   2.33097E+04
+   1.74065E+04   1.29947E+04   9.69821E+03   7.23572E+03   5.39670E+03
+   4.02366E+03   2.99883E+03   2.23413E+03   1.66372E+03   1.23837E+03
+   9.21310E+02   6.85059E+02   5.09092E+02   3.78073E+02   2.80593E+02
+   2.07126E+02   1.53499E+02   1.13652E+02   8.40650E+01   6.21106E+01
+   4.58109E+01   3.37461E+01   2.48257E+01   1.82410E+01   1.33828E+01
+   9.80584E+00   7.17659E+00   5.24741E+00   3.83451E+00   2.80155E+00
+   2.04763E+00   1.49739E+00   1.09784E+00   8.06378E-01   5.93932E-01
+   4.38840E-01   3.25369E-01   2.42122E-01   1.80870E-01   1.35620E-01
+   1.02217E-01   7.71524E-02   5.84530E-02   4.43927E-02   3.37759E-02
+   2.57302E-02   1.96078E-02   1.49796E-02   1.14039E-02   8.67914E-03
+   6.59228E-03   4.99513E-03   3.77061E-03   2.83437E-03   2.12013E-03
+   1.57644E-03   1.16495E-03   8.53822E-04   6.22314E-04   4.48184E-04
+   3.19533E-04   2.25279E-04   1.56890E-04   1.07821E-04   7.30419E-05
+   4.87556E-05   3.20408E-05   2.07246E-05   1.32660E-05   8.38279E-06
+   5.27487E-06   3.33587E-06   2.14179E-06   1.41573E-06   9.66952E-07
+   6.80546E-07   4.88086E-07   3.48404E-07   2.40858E-07   1.54872E-07
+   8.81291E-08   3.94387E-08   4.89888E-09   0.00000E+00   9.99387E+05
+   7.56542E+05   5.63098E+05   4.19054E+05   3.11782E+05   2.31912E+05
+   1.72457E+05   1.28208E+05   9.52853E+04   7.07951E+04   5.25826E+04
+   3.90422E+04   2.89785E+04   2.15009E+04   1.59466E+04   1.18224E+04
+   8.76108E+03   6.48954E+03   4.80470E+03   3.55550E+03   2.62970E+03
+   1.94387E+03   1.43606E+03   1.06022E+03   7.82215E+02   5.76660E+02
+   4.24817E+02   3.11208E+02   2.28892E+02   1.68182E+02   1.23443E+02
+   9.04987E+01   6.62290E+01   4.84055E+01   3.53315E+01   2.57575E+01
+   1.87504E+01   1.36326E+01   9.90095E+00   7.18475E+00   5.21119E+00
+   3.77961E+00   2.74282E+00   1.99182E+00   1.45048E+00   1.05842E+00
+   7.74618E-01   5.68820E-01   4.19223E-01   3.10158E-01   2.30395E-01
+   1.71810E-01   1.28809E-01   9.67187E-02   7.29052E-02   5.50929E-02
+   4.17118E-02   3.16228E-02   2.39830E-02   1.82363E-02   1.38182E-02
+   1.04681E-02   7.91469E-03   5.97006E-03   4.48645E-03   3.35770E-03
+   2.50088E-03   1.85191E-03   1.36323E-03   9.95547E-04   7.23338E-04
+   5.19616E-04   3.69844E-04   2.60642E-04   1.81767E-04   1.25406E-04
+   8.55972E-05   5.78698E-05   3.87907E-05   2.58524E-05   1.72713E-05
+   1.15804E-05   7.87275E-06   5.46731E-06   3.89180E-06   2.84417E-06
+   2.11341E-06   1.57811E-06   1.16778E-06   8.39248E-07   5.72401E-07
+   3.57533E-07   1.94194E-07   7.96726E-08   9.94502E-09   0.00000E+00
+   1.61993E+06   1.22142E+06   9.04835E+05   6.70163E+05   4.96200E+05
+   3.67276E+05   2.71758E+05   2.01011E+05   1.48628E+05   1.09853E+05
+   8.11622E+04   5.99398E+04   4.42476E+04   3.26488E+04   2.40792E+04
+   1.77502E+04   1.30780E+04   9.63039E+03   7.08767E+03   5.21321E+03
+   3.83211E+03   2.81504E+03   2.06649E+03   1.51586E+03   1.11109E+03
+   8.13680E+02   5.95410E+02   4.33172E+02   3.16407E+02   2.30870E+02
+   1.68264E+02   1.22484E+02   8.89953E+01   6.45771E+01   4.67950E+01
+   3.38682E+01   2.44767E+01   1.76679E+01   1.27400E+01   9.17954E+00
+   6.61155E+00   4.76233E+00   3.43270E+00   2.47636E+00   1.79178E+00
+   1.29930E+00   9.45134E-01   6.89940E-01   5.05578E-01   3.71967E-01
+   2.74819E-01   2.03859E-01   1.52057E-01   1.13603E-01   8.52128E-02
+   6.40842E-02   4.82900E-02   3.64402E-02   2.75091E-02   2.08234E-02
+   1.57076E-02   1.18466E-02   8.91772E-03   6.69755E-03   5.01169E-03
+   3.73509E-03   2.77064E-03   2.04358E-03   1.49871E-03   1.09065E-03
+   7.89969E-04   5.65977E-04   4.02053E-04   2.83055E-04   1.97461E-04
+   1.36525E-04   9.36217E-05   6.38033E-05   4.32992E-05   2.93764E-05
+   2.00996E-05   1.38888E-05   9.77627E-06   7.03931E-06   5.18184E-06
+   3.88887E-06   2.94111E-06   2.21467E-06   1.63914E-06   1.17044E-06
+   7.88597E-07   4.84151E-07   2.56530E-07   1.00770E-07   1.26203E-08
+   0.00000E+00   3.29732E+06   1.85115E+06   1.36541E+06   1.00687E+06
+   7.42193E+05   5.46883E+05   4.02808E+05   2.96565E+05   2.18250E+05
+   1.60543E+05   1.18040E+05   8.67469E+04   6.37176E+04   4.67775E+04
+   3.43224E+04   2.51692E+04   1.84461E+04   1.35104E+04   9.88904E+03
+   7.23342E+03   5.28721E+03   3.86175E+03   2.81841E+03   2.05524E+03
+   1.49741E+03   1.08992E+03   7.92633E+02   5.72994E+02   4.15888E+02
+   3.01512E+02   2.18324E+02   1.57881E+02   1.13954E+02   8.21350E+01
+   5.91181E+01   4.24988E+01   3.05067E+01   2.18721E+01   1.56657E+01
+   1.12123E+01   8.02242E+00   5.74098E+00   4.11167E+00   2.94755E+00
+   2.11967E+00   1.52788E+00   1.10494E+00   8.02035E-01   5.84485E-01
+   4.27719E-01   3.14366E-01   2.32010E-01   1.72203E-01   1.28030E-01
+   9.55805E-02   7.15474E-02   5.36677E-02   4.03169E-02   3.03003E-02
+   2.28366E-02   1.71515E-02   1.28805E-02   9.65515E-03   7.22128E-03
+   5.38151E-03   3.99463E-03   2.95161E-03   2.16885E-03   1.58492E-03
+   1.14951E-03   8.30091E-04   5.93175E-04   4.20530E-04   2.95710E-04
+   2.06269E-04   1.42810E-04   9.82578E-05   6.73501E-05   4.61123E-05
+   3.16729E-05   2.20138E-05   1.54967E-05   1.11262E-05   8.16229E-06
+   6.10205E-06   4.62655E-06   3.51600E-06   2.64677E-06   1.94978E-06
+   1.38064E-06   9.19239E-07   5.55782E-07   2.88278E-07   1.09358E-07
+   1.37370E-08   0.00000E+00   3.80646E+06   2.84836E+06   2.09109E+06
+   1.53465E+06   1.12579E+06   8.25479E+05   6.04994E+05   4.43184E+05
+   3.24487E+05   2.37456E+05   1.73674E+05   1.26952E+05   9.27457E+04
+   6.77147E+04   4.94082E+04   3.60272E+04   2.62522E+04   1.91158E+04
+   1.39091E+04   1.01128E+04   7.34672E+03   5.33272E+03   3.86743E+03
+   2.80214E+03   2.02830E+03   1.46656E+03   1.05939E+03   7.60538E+02
+   5.48200E+02   3.94654E+02   2.83741E+02   2.03715E+02   1.45967E+02
+   1.04438E+02   7.46157E+01   5.32413E+01   3.79330E+01   2.69935E+01
+   1.91898E+01   1.36328E+01   9.68252E+00   6.87857E+00   4.89111E+00
+   3.48159E+00   2.48647E+00   1.78019E+00   1.27895E+00   9.22384E-01
+   6.67993E-01   4.85858E-01   3.54989E-01   2.60478E-01   1.92251E-01
+   1.42150E-01   1.05552E-01   7.85967E-02   5.86515E-02   4.38384E-02
+   3.27820E-02   2.45866E-02   1.83760E-02   1.37339E-02   1.02458E-02
+   7.62674E-03   5.65671E-03   4.17883E-03   3.07273E-03   2.24652E-03
+   1.63314E-03   1.17780E-03   8.45298E-04   5.99790E-04   4.21704E-04
+   2.93551E-04   2.02176E-04   1.37692E-04   9.27067E-05   6.17261E-05
+   4.06740E-05   2.65485E-05   1.72895E-05   1.12251E-05   7.33337E-06
+   4.85596E-06   3.27860E-06   2.26657E-06   1.59763E-06   1.13747E-06
+   8.07763E-07   5.60158E-07   3.69789E-07   2.23764E-07   1.17165E-07
+   4.51941E-08   5.66410E-09   0.00000E+00   5.61138E+06   4.18335E+06
+   3.05749E+06   2.23379E+06   1.63119E+06   1.19053E+06   8.68457E+05
+   6.33163E+05   4.61356E+05   3.35970E+05   2.44512E+05   1.77838E+05
+   1.29260E+05   9.38883E+04   6.81477E+04   4.94281E+04   3.58234E+04
+   2.59427E+04   1.87719E+04   1.35715E+04   9.80307E+03   7.07440E+03
+   5.10031E+03   3.67330E+03   2.64270E+03   1.89896E+03   1.36315E+03
+   9.72290E+02   6.96312E+02   4.98002E+02   3.55670E+02   2.53642E+02
+   1.80504E+02   1.28261E+02   9.10004E+01   6.44792E+01   4.56173E+01
+   3.22334E+01   2.27537E+01   1.60513E+01   1.13207E+01   7.98680E+00
+   5.64041E+00   3.98796E+00   2.82936E+00   2.01261E+00   1.43680E+00
+   1.02984E+00   7.41332E-01   5.36040E-01   3.89417E-01   2.84143E-01
+   2.08580E-01   1.53399E-01   1.13310E-01   8.39400E-02   6.23226E-02
+   4.63516E-02   3.44908E-02   2.57439E-02   1.91488E-02   1.42440E-02
+   1.05768E-02   7.83702E-03   5.78639E-03   4.25567E-03   3.11571E-03
+   2.26841E-03   1.64250E-03   1.18010E-03   8.44087E-04   5.97170E-04
+   4.18904E-04   2.91200E-04   2.00532E-04   1.36794E-04   9.24754E-05
+   6.20245E-05   4.13522E-05   2.74675E-05   1.83285E-05   1.22898E-05
+   8.35409E-06   5.78556E-06   4.08979E-06   2.94679E-06   2.14551E-06
+   1.55988E-06   1.11776E-06   7.73769E-07   5.04948E-07   2.99375E-07
+   1.51633E-07   5.53468E-08   6.97347E-09   0.00000E+00   7.97287E+06
+   5.92294E+06   4.31061E+06   3.13587E+06   2.28001E+06   1.65679E+06
+   1.20322E+06   8.73286E+05   6.33427E+05   4.59149E+05   3.32598E+05
+   2.40760E+05   1.74155E+05   1.25882E+05   9.09192E+04   6.56145E+04
+   4.73133E+04   3.40871E+04   2.45363E+04   1.76449E+04   1.26768E+04
+   9.09828E+03   6.52304E+03   4.67148E+03   3.34159E+03   2.38717E+03
+   1.70350E+03   1.20766E+03   8.59624E+02   6.11015E+02   4.33656E+02
+   3.07299E+02   2.17285E+02   1.53394E+02   1.08119E+02   7.61026E+01
+   5.34826E+01   3.75387E+01   2.63217E+01   1.84443E+01   1.29220E+01
+   9.05634E+00   6.35401E+00   4.46354E+00   3.14676E+00   2.22449E+00
+   1.57841E+00   1.12462E+00   8.04854E-01   5.78672E-01   4.18065E-01
+   3.03394E-01   2.21540E-01   1.62086E-01   1.19120E-01   8.78050E-02
+   6.48733E-02   4.80170E-02   3.55599E-02   2.64186E-02   1.95596E-02
+   1.44834E-02   1.07063E-02   7.89792E-03   5.80604E-03   4.25197E-03
+   3.10015E-03   2.24809E-03   1.62167E-03   1.16100E-03   8.27789E-04
+   5.84039E-04   4.08833E-04   2.83848E-04   1.95457E-04   1.33535E-04
+   9.06036E-05   6.11610E-05   4.11851E-05   2.77488E-05   1.88666E-05
+   1.29480E-05   9.03608E-06   6.42894E-06   4.65848E-06   3.42298E-06
+   2.52497E-06   1.84703E-06   1.32308E-06   9.10456E-07   5.87572E-07
+   3.42772E-07   1.69482E-07   5.96943E-08   7.54851E-09   0.00000E+00
+   1.09966E+07   8.14185E+06   5.90156E+06   4.27573E+06   3.09594E+06
+   2.24029E+06   1.62009E+06   1.17081E+06   8.45550E+05   6.10218E+05
+   4.40063E+05   3.17115E+05   2.28340E+05   1.64284E+05   1.18099E+05
+   8.48241E+04   6.08701E+04   4.36398E+04   3.12566E+04   2.23646E+04
+   1.59856E+04   1.14135E+04   8.13991E+03   5.79825E+03   4.12506E+03
+   2.93058E+03   2.07960E+03   1.46579E+03   1.03736E+03   7.33038E+02
+   5.17176E+02   3.64281E+02   2.56006E+02   1.79615E+02   1.25812E+02
+   8.79999E+01   6.14522E+01   4.28580E+01   2.98597E+01   2.07900E+01
+   1.44727E+01   1.00790E+01   7.02724E+00   4.90587E+00   3.43755E+00
+   2.41552E+00   1.70389E+00   1.20705E+00   8.58997E-01   6.14209E-01
+   4.41361E-01   3.18619E-01   2.31470E-01   1.68499E-01   1.23224E-01
+   9.03914E-02   6.64673E-02   4.89678E-02   3.60965E-02   2.66967E-02
+   1.96769E-02   1.45061E-02   1.06767E-02   7.84258E-03   5.74129E-03
+   4.18742E-03   3.04104E-03   2.19684E-03   1.57904E-03   1.12670E-03
+   8.00951E-04   5.63673E-04   3.93825E-04   2.73134E-04   1.88087E-04
+   1.28693E-04   8.76174E-05   5.94878E-05   4.04068E-05   2.75487E-05
+   1.90100E-05   1.32733E-05   9.43263E-06   6.82648E-06   5.01662E-06
+   3.72126E-06   2.75755E-06   2.01660E-06   1.43786E-06   9.81055E-07
+   6.25402E-07   3.58933E-07   1.73421E-07   5.91600E-08   7.50614E-09
+   0.00000E+00   1.47972E+07   1.09206E+07   7.88505E+06   5.69041E+06
+   4.10395E+06   2.95781E+06   2.13030E+06   1.53321E+06   1.10267E+06
+   7.92431E+05   5.69033E+05   4.08285E+05   2.92703E+05   2.09659E+05
+   1.50042E+05   1.07278E+05   7.66284E+04   5.46809E+04   3.89792E+04
+   2.77564E+04   1.97428E+04   1.40264E+04   9.95315E+03   7.05374E+03
+   4.99228E+03   3.52800E+03   2.49021E+03   1.74556E+03   1.22858E+03
+   8.63327E+02   6.05657E+02   4.24161E+02   2.96355E+02   2.06701E+02
+   1.43923E+02   1.00063E+02   6.94534E+01   4.81433E+01   3.33370E+01
+   2.30691E+01   1.59612E+01   1.10480E+01   7.65644E+00   5.31322E+00
+   3.70114E+00   2.58570E+00   1.81359E+00   1.27762E+00   9.04267E-01
+   6.43136E-01   4.59746E-01   3.30199E-01   2.38694E-01   1.72909E-01
+   1.25844E-01   9.18805E-02   6.72509E-02   4.93211E-02   3.61941E-02
+   2.66521E-02   1.95588E-02   1.43577E-02   1.05232E-02   7.69811E-03
+   5.61288E-03   4.07773E-03   2.95017E-03   2.12348E-03   1.52113E-03
+   1.08195E-03   7.66995E-04   5.38512E-04   3.75597E-04   2.60253E-04
+   1.79244E-04   1.22828E-04   8.38948E-05   5.72614E-05   3.91930E-05
+   2.69902E-05   1.88485E-05   1.33348E-05   9.59966E-06   7.02536E-06
+   5.20504E-06   3.87739E-06   2.87435E-06   2.09505E-06   1.48395E-06
+   1.00275E-06   6.31107E-07   3.56313E-07   1.68312E-07   5.57307E-08
+   7.09392E-09   0.00000E+00   1.94975E+07   1.43452E+07   1.03190E+07
+   7.41885E+06   5.33011E+06   3.82672E+06   2.74536E+06   1.96808E+06
+   1.40977E+06   1.00903E+06   7.21608E+05   5.15613E+05   3.68097E+05
+   2.62543E+05   1.87080E+05   1.33176E+05   9.47074E+04   6.72791E+04
+   4.77422E+04   3.38398E+04   2.39575E+04   1.69401E+04   1.19630E+04
+   8.43670E+03   5.94148E+03   4.17761E+03   2.93370E+03   2.04563E+03
+   1.43221E+03   1.00106E+03   6.98486E+02   4.86490E+02   3.38012E+02
+   2.34428E+02   1.62298E+02   1.12190E+02   7.74182E+01   5.33507E+01
+   3.67261E+01   2.52648E+01   1.73777E+01   1.19580E+01   8.23894E+00
+   5.68450E+00   3.93731E+00   2.73532E+00   1.90799E+00   1.33688E+00
+   9.41215E-01   6.65955E-01   4.73656E-01   3.38504E-01   2.43519E-01
+   1.75566E-01   1.27185E-01   9.24355E-02   6.73540E-02   4.91798E-02
+   3.59334E-02   2.63481E-02   1.92543E-02   1.40759E-02   1.02749E-02
+   7.48663E-03   5.43752E-03   3.93543E-03   2.83688E-03   2.03484E-03
+   1.45292E-03   1.03034E-03   7.28502E-04   5.10376E-04   3.55417E-04
+   2.46081E-04   1.69524E-04   1.16345E-04   7.97119E-05   5.46708E-05
+   3.76751E-05   2.61681E-05   1.84538E-05   1.31892E-05   9.58402E-06
+   7.06561E-06   5.25853E-06   3.92172E-06   2.90140E-06   2.10424E-06
+   1.47905E-06   9.89223E-07   6.14523E-07   3.41296E-07   1.57682E-07
+   5.07631E-08   6.48192E-09   0.00000E+00   2.52280E+07   1.85063E+07
+   1.32642E+07   9.50158E+06   6.80132E+06   4.86480E+06   3.47696E+06
+   2.48306E+06   1.77181E+06   1.26322E+06   8.99826E+05   6.40390E+05
+   4.55328E+05   3.23432E+05   2.29513E+05   1.62697E+05   1.15209E+05
+   8.14909E+04   5.75746E+04   4.06283E+04   2.86345E+04   2.01550E+04
+   1.41675E+04   9.94458E+03   6.97005E+03   4.87708E+03   3.40814E+03
+   2.36446E+03   1.64709E+03   1.14536E+03   7.95023E+02   5.50813E+02
+   3.80658E+02   2.62576E+02   1.80791E+02   1.24282E+02   8.52838E+01
+   5.84406E+01   4.00026E+01   2.73629E+01   1.87141E+01   1.28049E+01
+   8.77292E+00   6.01920E+00   4.14626E+00   2.86488E+00   1.98773E+00
+   1.38547E+00   9.70422E-01   6.83175E-01   4.83519E-01   3.43888E-01
+   2.46234E-01   1.76702E-01   1.27429E-01   9.22022E-02   6.68912E-02
+   4.86332E-02   3.53837E-02   2.58383E-02   1.88046E-02   1.36922E-02
+   9.95550E-03   7.22606E-03   5.22859E-03   3.77045E-03   2.70845E-03
+   1.93625E-03   1.37826E-03   9.74611E-04   6.87406E-04   4.80614E-04
+   3.34219E-04   2.31256E-04   1.59364E-04   1.09539E-04   7.52696E-05
+   5.18555E-05   3.59525E-05   2.51561E-05   1.78831E-05   1.28830E-05
+   9.42505E-06   6.98117E-06   5.20653E-06   3.87971E-06   2.86035E-06
+   2.06203E-06   1.43737E-06   9.51182E-07   5.83158E-07   3.18601E-07
+   1.44021E-07   4.51442E-08   5.78210E-09   0.00000E+00   3.21256E+07
+   2.34987E+07   1.67836E+07   1.19803E+07   8.54509E+06   6.09007E+06
+   4.33684E+06   3.08575E+06   2.19367E+06   1.55809E+06   1.10565E+06
+   7.83836E+05   5.55147E+05   3.92779E+05   2.77608E+05   1.95994E+05
+   1.38218E+05   9.73594E+04   6.84962E+04   4.81291E+04   3.37741E+04
+   2.36683E+04   1.65631E+04   1.15736E+04   8.07458E+03   5.62357E+03
+   3.91128E+03   2.70033E+03   1.87193E+03   1.29531E+03   8.94610E+02
+   6.16669E+02   4.23978E+02   2.90935E+02   1.99260E+02   1.36249E+02
+   9.29926E+01   6.33777E+01   4.31456E+01   2.93514E+01   1.99642E+01
+   1.35856E+01   9.25732E+00   6.31729E+00   4.32847E+00   2.97508E+00
+   2.05352E+00   1.42406E+00   9.92483E-01   6.95296E-01   4.89749E-01
+   3.46686E-01   2.47105E-01   1.76529E-01   1.26744E-01   9.13099E-02
+   6.59627E-02   4.77586E-02   3.46043E-02   2.51681E-02   1.82440E-02
+   1.32323E-02   9.58448E-03   6.93084E-03   4.99676E-03   3.59060E-03
+   2.57056E-03   1.83180E-03   1.30005E-03   9.16817E-04   6.45142E-04
+   4.50218E-04   3.12681E-04   2.16238E-04   1.49076E-04   1.02623E-04
+   7.07145E-05   4.89186E-05   3.41006E-05   2.40118E-05   1.71828E-05
+   1.24549E-05   9.15577E-06   6.80065E-06   5.07386E-06   3.77262E-06
+   2.76898E-06   1.98287E-06   1.37018E-06   8.96939E-07   5.42668E-07
+   2.91661E-07   1.29043E-07   3.94345E-08   5.06590E-09   0.00000E+00
+   4.03331E+07   2.94206E+07   2.09421E+07   1.48976E+07   1.05892E+07
+   7.52060E+06   5.33667E+06   3.78360E+06   2.68008E+06   1.89664E+06
+   1.34092E+06   9.47084E+05   6.68234E+05   4.70984E+05   3.31594E+05
+   2.33192E+05   1.63798E+05   1.14914E+05   8.05177E+04   5.63426E+04
+   3.93725E+04   2.74746E+04   1.91441E+04   1.33187E+04   9.25095E+03
+   6.41383E+03   4.44063E+03   3.05141E+03   2.10541E+03   1.44994E+03
+   9.96583E+02   6.83603E+02   4.67664E+02   3.19299E+02   2.17574E+02
+   1.48007E+02   1.00493E+02   6.81309E+01   4.61372E+01   3.12206E+01
+   2.11232E+01   1.42984E+01   9.69176E+00   6.57919E+00   4.48467E+00
+   3.06673E+00   2.10616E+00   1.45335E+00   1.00799E+00   7.02809E-01
+   4.92740E-01   3.47210E-01   2.46379E-01   1.75238E-01   1.25277E-01
+   8.98729E-02   6.46561E-02   4.66227E-02   3.36458E-02   2.43755E-02
+   1.76011E-02   1.27177E-02   9.17755E-03   6.61256E-03   4.75050E-03
+   3.40201E-03   2.42760E-03   1.72459E-03   1.22049E-03   8.58484E-04
+   6.02767E-04   4.19908E-04   2.91291E-04   2.01359E-04   1.38881E-04
+   9.57486E-05   6.61526E-05   4.59367E-05   3.21770E-05   2.27807E-05
+   1.63902E-05   1.19367E-05   8.80381E-06   6.54804E-06   4.88121E-06
+   3.61800E-06   2.64182E-06   1.87834E-06   1.28632E-06   8.32842E-07
+   4.97245E-07   2.62916E-07   1.13895E-07   3.39712E-08   4.37683E-09
+   0.00000E+00   4.99977E+07   3.63726E+07   2.58056E+07   1.82965E+07
+   1.29616E+07   9.17432E+06   6.48788E+06   4.58389E+06   3.23560E+06
+   2.28167E+06   1.60737E+06   1.13117E+06   7.95196E+05   5.58393E+05
+   3.91660E+05   2.74387E+05   1.91994E+05   1.34171E+05   9.36400E+04
+   6.52632E+04   4.54217E+04   3.15657E+04   2.19032E+04   1.51739E+04
+   1.04944E+04   7.24422E+03   4.99348E+03   3.41575E+03   2.34613E+03
+   1.60830E+03   1.10028E+03   7.51165E+02   5.11420E+02   3.47477E+02
+   2.35611E+02   1.59479E+02   1.07739E+02   7.26737E+01   4.89627E+01
+   3.29631E+01   2.21878E+01   1.49421E+01   1.00765E+01   6.80565E+00
+   4.61581E+00   3.14078E+00   2.14649E+00   1.47407E+00   1.01754E+00
+   7.06186E-01   4.92866E-01   3.45753E-01   2.44281E-01   1.73003E-01
+   1.23161E-01   8.79915E-02   6.30470E-02   4.52825E-02   3.25506E-02
+   2.34924E-02   1.68993E-02   1.21656E-02   8.74743E-03   6.28045E-03
+   4.49645E-03   3.20942E-03   2.28294E-03   1.61699E-03   1.14121E-03
+   8.00734E-04   5.61046E-04   3.90201E-04   2.70395E-04   1.86849E-04
+   1.28937E-04   8.90236E-05   6.16601E-05   4.29662E-05   3.02256E-05
+   2.14987E-05   1.55361E-05   1.13549E-05   8.39220E-06   6.24335E-06
+   4.64572E-06   3.43022E-06   2.49053E-06   1.75759E-06   1.19261E-06
+   7.63668E-07   4.49930E-07   2.34058E-07   9.93107E-08   2.89416E-08
+   3.73949E-09   0.00000E+00   6.12701E+07   4.44574E+07   3.14407E+07
+   2.22200E+07   1.56898E+07   1.10688E+07   7.80161E+06   5.49355E+06
+   3.86452E+06   2.71581E+06   1.90656E+06   1.33700E+06   9.36555E+05
+   6.55291E+05   4.57953E+05   3.19648E+05   2.22830E+05   1.55132E+05
+   1.07855E+05   7.48791E+04   5.19096E+04   3.59309E+04   2.48316E+04
+   1.71322E+04   1.17996E+04   8.11077E+03   5.56698E+03   3.79133E+03
+   2.59268E+03   1.76941E+03   1.20504E+03   8.18922E+02   5.54963E+02
+   3.75289E+02   2.53257E+02   1.70599E+02   1.14691E+02   7.69834E+01
+   5.16103E+01   3.45732E+01   2.31559E+01   1.55165E+01   1.04121E+01
+   6.99772E+00   4.72300E+00   3.19825E+00   2.17539E+00   1.48693E+00
+   1.02171E+00   7.05878E-01   4.90474E-01   3.42581E-01   2.41016E-01
+   1.69977E-01   1.20512E-01   8.57530E-02   6.12007E-02   4.37864E-02
+   3.13548E-02   2.25452E-02   1.61582E-02   1.15902E-02   8.30428E-03
+   5.94179E-03   4.23978E-03   3.01648E-03   2.13911E-03   1.51075E-03
+   1.06341E-03   7.44377E-04   5.20521E-04   3.61457E-04   2.50232E-04
+   1.72866E-04   1.19351E-04   8.25222E-05   5.72911E-05   4.00487E-05
+   2.82802E-05   2.01943E-05   1.46449E-05   1.07311E-05   7.94000E-06
+   5.90308E-06   4.38144E-06   3.22091E-06   2.32445E-06   1.62777E-06
+   1.09426E-06   6.92935E-07   4.02873E-07   2.06211E-07   8.57280E-08
+   2.44340E-08   3.16593E-09   0.00000E+00   7.43031E+07   5.37780E+07
+   3.79139E+07   2.67107E+07   1.88010E+07   1.32212E+07   9.28850E+06
+   6.51916E+06   4.57084E+06   3.20144E+06   2.23989E+06   1.56539E+06
+   1.09275E+06   7.61901E+05   5.30574E+05   3.69011E+05   2.56309E+05
+   1.77785E+05   1.23145E+05   8.51725E+04   5.88203E+04   4.05571E+04
+   2.79189E+04   1.91858E+04   1.31607E+04   9.00928E+03   6.15813E+03
+   4.17605E+03   2.84363E+03   1.93231E+03   1.31022E+03   8.86457E+02
+   5.98025E+02   4.02566E+02   2.70411E+02   1.81305E+02   1.21314E+02
+   8.10416E+01   5.40708E+01   3.60472E+01   2.40267E+01   1.60224E+01
+   1.06999E+01   7.15670E+00   4.80745E+00   3.24018E+00   2.19372E+00
+   1.49264E+00   1.02103E+00   7.02308E-01   4.85890E-01   3.37939E-01
+   2.36768E-01   1.66299E-01   1.17432E-01   8.32335E-02   5.91733E-02
+   4.21757E-02   3.00883E-02   2.15559E-02   1.53934E-02   1.10027E-02
+   7.85617E-03   5.60229E-03   3.98451E-03   2.82596E-03   1.99803E-03
+   1.40715E-03   9.87965E-04   6.89983E-04   4.81568E-04   3.33919E-04
+   2.30960E-04   1.59516E-04   1.10193E-04   7.62943E-05   5.30832E-05
+   3.72142E-05   2.63661E-05   1.88898E-05   1.37367E-05   1.00832E-05
+   7.46286E-06   5.54077E-06   4.09977E-06   2.99937E-06   2.15087E-06
+   1.49435E-06   9.95141E-07   6.23171E-07   3.57542E-07   1.80084E-07
+   7.33798E-08   2.04734E-08   2.66003E-09   0.00000E+00   8.92499E+07
+   6.44376E+07   4.52911E+07   3.18105E+07   2.23214E+07   1.56478E+07
+   1.09586E+07   7.66683E+06   5.35821E+06   3.74070E+06   2.60857E+06
+   1.81698E+06   1.26411E+06   8.78379E+05   6.09580E+05   4.22482E+05
+   2.92414E+05   2.02104E+05   1.39484E+05   9.61202E+04   6.61347E+04
+   4.54290E+04   3.11536E+04   2.13260E+04   1.45715E+04   9.93534E+03
+   6.76385E+03   4.56783E+03   3.09757E+03   2.09606E+03   1.41522E+03
+   9.53373E+02   6.40359E+02   4.29156E+02   2.86982E+02   1.91544E+02
+   1.27578E+02   8.48335E+01   5.63377E+01   3.73829E+01   2.48003E+01
+   1.64607E+01   1.09413E+01   7.28406E+00   4.87047E+00   3.26768E+00
+   2.20237E+00   1.49187E+00   1.01604E+00   6.95876E-01   4.79412E-01
+   3.32051E-01   2.31702E-01   1.62090E-01   1.14012E-01   8.04985E-02
+   5.70127E-02   4.04850E-02   2.87762E-02   2.05425E-02   1.46178E-02
+   1.04123E-02   7.40948E-03   5.26639E-03   3.73366E-03   2.63994E-03
+   1.86107E-03   1.30713E-03   9.15465E-04   6.37940E-04   4.44435E-04
+   3.07744E-04   2.12678E-04   1.46862E-04   1.01506E-04   7.03715E-05
+   4.90616E-05   3.44841E-05   2.45025E-05   1.76026E-05   1.28275E-05
+   9.42555E-06   6.97350E-06   5.16734E-06   3.80982E-06   2.77292E-06
+   1.97544E-06   1.36147E-06   8.98070E-07   5.56127E-07   3.14882E-07
+   1.56079E-07   6.23579E-08   1.70457E-08   2.22064E-09   0.00000E+00
+   1.73083E+06   8.20954E+05   6.01532E+05   4.40747E+05   3.22940E+05
+   2.36622E+05   1.73377E+05   1.27037E+05   9.30839E+04   6.82060E+04
+   4.99777E+04   3.66216E+04   2.68353E+04   1.96647E+04   1.44106E+04
+   1.05607E+04   7.73977E+03   5.67268E+03   4.15798E+03   3.04803E+03
+   2.23465E+03   1.63857E+03   1.20173E+03   8.81558E+02   6.46886E+02
+   4.74865E+02   3.48755E+02   2.55071E+02   1.87616E+02   1.38129E+02
+   1.01814E+02   7.51536E+01   5.55454E+01   4.11456E+01   3.05634E+01
+   2.27824E+01   1.70491E+01   1.28201E+01   9.69434E+00   7.37773E+00
+   5.65491E+00   4.36811E+00   3.40177E+00   2.67047E+00   2.11519E+00
+   1.68794E+00   1.35656E+00   1.09697E+00   8.91632E-01   7.27701E-01
+   5.95763E-01   4.88794E-01   4.01945E-01   3.30219E-01   2.71336E-01
+   2.22693E-01   1.82430E-01   1.49067E-01   1.21417E-01   9.87262E-02
+   7.97703E-02   6.42057E-02   5.14125E-02   4.09443E-02   3.23944E-02
+   2.54550E-02   1.98535E-02   1.53566E-02   1.17769E-02   8.94013E-03
+   6.73278E-03   5.00097E-03   3.66922E-03   2.65594E-03   1.89403E-03
+   1.32863E-03   9.15152E-04   6.17680E-04   4.07544E-04   2.61879E-04
+   1.64014E-04   9.91108E-05   5.76782E-05   3.21265E-05   1.69942E-05
+   8.45275E-06   3.90297E-06   1.63912E-06   6.14173E-07   1.97305E-07
+   5.13778E-08   9.86959E-09   1.17213E-09   5.78758E-11   3.34234E-13
+   0.00000E+00   1.17690E+06   8.81202E+05   6.47512E+05   4.75829E+05
+   3.49701E+05   2.57031E+05   1.88937E+05   1.38898E+05   1.02123E+05
+   7.50926E+04   5.52233E+04   4.06162E+04   2.98766E+04   2.19796E+04
+   1.61721E+04   1.19008E+04   8.75894E+03   6.44758E+03   4.74697E+03
+   3.49557E+03   2.57459E+03   1.89669E+03   1.39763E+03   1.03018E+03
+   7.59576E+02   5.60244E+02   4.13416E+02   3.03793E+02   2.24462E+02
+   1.65968E+02   1.22825E+02   9.09922E+01   6.74627E+01   5.00990E+01
+   3.72789E+01   2.78110E+01   2.08068E+01   1.56223E+01   1.17795E+01
+   8.92587E+00   6.80177E+00   5.21576E+00   4.02689E+00   3.13021E+00
+   2.45281E+00   1.93513E+00   1.53697E+00   1.22814E+00   9.86532E-01
+   7.95935E-01   6.44444E-01   5.23160E-01   4.25925E-01   3.46607E-01
+   2.82266E-01   2.29717E-01   1.86690E-01   1.51409E-01   1.22446E-01
+   9.88961E-02   7.93920E-02   6.35084E-02   5.05536E-02   4.00309E-02
+   3.14969E-02   2.46165E-02   1.90987E-02   1.46961E-02   1.12135E-02
+   8.46898E-03   6.34557E-03   4.68888E-03   3.42192E-03   2.46316E-03
+   1.74617E-03   1.21698E-03   8.32148E-04   5.56805E-04   3.63565E-04
+   2.30432E-04   1.41650E-04   8.32824E-05   4.64400E-05   2.40665E-05
+   1.11310E-05   4.10434E-06   6.36957E-07   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   1.34111E+06   1.00650E+06   7.41641E+05
+   5.46529E+05   4.02791E+05   2.96888E+05   2.18852E+05   1.61345E+05
+   1.18961E+05   8.77205E+04   6.46905E+04   4.77116E+04   3.51926E+04
+   2.59610E+04   1.91529E+04   1.41316E+04   1.04277E+04   7.69540E+03
+   5.67962E+03   4.19230E+03   3.09481E+03   2.28490E+03   1.68717E+03
+   1.24598E+03   9.20312E+02   6.79856E+02   5.02371E+02   3.69586E+02
+   2.73308E+02   2.02195E+02   1.49662E+02   1.10847E+02   8.21241E+01
+   6.09093E+01   4.52369E+01   3.36600E+01   2.50975E+01   1.87639E+01
+   1.40753E+01   1.06003E+01   8.02063E+00   6.10124E+00   4.66892E+00
+   3.59455E+00   2.78822E+00   2.17667E+00   1.71035E+00   1.35207E+00
+   1.07461E+00   8.58068E-01   6.87850E-01   5.53071E-01   4.46207E-01
+   3.59972E-01   2.90750E-01   2.34785E-01   1.89402E-01   1.52536E-01
+   1.22530E-01   9.83369E-02   7.84586E-02   6.23930E-02   4.93840E-02
+   3.88903E-02   3.04363E-02   2.36639E-02   1.82666E-02   1.39859E-02
+   1.06203E-02   7.98259E-03   5.95334E-03   4.37887E-03   3.18141E-03
+   2.28016E-03   1.60982E-03   1.11770E-03   7.61724E-04   5.08377E-04
+   3.31483E-04   2.10203E-04   1.29694E-04   7.69687E-05   4.37702E-05
+   2.36111E-05   1.18929E-05   5.43525E-06   2.11874E-06   5.67758E-07
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   1.61931E+06   1.21715E+06
+   8.98468E+05   6.63255E+05   4.89641E+05   3.61486E+05   2.66882E+05
+   1.97041E+05   1.45481E+05   1.07414E+05   7.93082E+04   5.85567E+04
+   4.32348E+04   3.19217E+04   2.35684E+04   1.74006E+04   1.28465E+04
+   9.48401E+03   7.00134E+03   5.16832E+03   3.81503E+03   2.81595E+03
+   2.07841E+03   1.53397E+03   1.13210E+03   8.35434E+02   6.16554E+02
+   4.52892E+02   3.34316E+02   2.46815E+02   1.82251E+02   1.34613E+02
+   9.94192E+01   7.34741E+01   5.43491E+01   4.02571E+01   2.98639E+01
+   2.22010E+01   1.65489E+01   1.23770E+01   9.29424E+00   7.01243E+00
+   5.31956E+00   4.05794E+00   3.11782E+00   2.41034E+00   1.87539E+00
+   1.46805E+00   1.15557E+00   9.14048E-01   7.26080E-01   5.78711E-01
+   4.63014E-01   3.70550E-01   2.97025E-01   2.38118E-01   1.90766E-01
+   1.52626E-01   1.21827E-01   9.71865E-02   7.70885E-02   6.09599E-02
+   4.79879E-02   3.75918E-02   2.92692E-02   2.26425E-02   1.73927E-02
+   1.32528E-02   1.00168E-02   7.49406E-03   5.56385E-03   4.07424E-03
+   2.94734E-03   2.10365E-03   1.47939E-03   1.02346E-03   6.95334E-04
+   4.62991E-04   3.01552E-04   1.91369E-04   1.18532E-04   7.09892E-05
+   4.11089E-05   2.29499E-05   1.23280E-05   6.38337E-06   3.21346E-06
+   1.60301E-06   8.25458E-07   4.53969E-07   2.67553E-07   1.59818E-07
+   8.86617E-08   3.94260E-08   4.86736E-09   0.00000E+00   2.04392E+06
+   1.53682E+06   1.13483E+06   8.37969E+05   6.18726E+05   4.56814E+05
+   3.37247E+05   2.48954E+05   1.83760E+05   1.35624E+05   1.00086E+05
+   7.38510E+04   5.44857E+04   4.01927E+04   2.96446E+04   2.18611E+04
+   1.61185E+04   1.18822E+04   8.75765E+03   6.45341E+03   4.75446E+03
+   3.50202E+03   2.57894E+03   1.89874E+03   1.39762E+03   1.02845E+03
+   7.56704E+02   5.54011E+02   4.07544E+02   2.99764E+02   2.20473E+02
+   1.62156E+02   1.19219E+02   8.76805E+01   6.45217E+01   4.75275E+01
+   3.50483E+01   2.58900E+01   1.91682E+01   1.42328E+01   1.06064E+01
+   7.93816E+00   5.97131E+00   4.51549E+00   3.43852E+00   2.63427E+00
+   2.03105E+00   1.57559E+00   1.22923E+00   9.63911E-01   7.59284E-01
+   6.00288E-01   4.76578E-01   3.78572E-01   3.01304E-01   2.39911E-01
+   1.90955E-01   1.51830E-01   1.20465E-01   9.55514E-02   7.53696E-02
+   5.92809E-02   4.64231E-02   3.61819E-02   2.80321E-02   2.15806E-02
+   1.64986E-02   1.25132E-02   9.41506E-03   7.01231E-03   5.18354E-03
+   3.77950E-03   2.72278E-03   1.93565E-03   1.35616E-03   9.35034E-04
+   6.33432E-04   4.20895E-04   2.73901E-04   1.73997E-04   1.08204E-04
+   6.53810E-05   3.84992E-05   2.21351E-05   1.24958E-05   7.01310E-06
+   3.98586E-06   2.34131E-06   1.44470E-06   9.25156E-07   5.93924E-07
+   3.61479E-07   1.94612E-07   7.96597E-08   9.91982E-09   0.00000E+00
+   2.65156E+06   1.99207E+06   1.46951E+06   1.08391E+06   7.99355E+05
+   5.89402E+05   4.34514E+05   3.20267E+05   2.36010E+05   1.73882E+05
+   1.28080E+05   9.43192E+04   6.94403E+04   5.11102E+04   3.76084E+04
+   2.76653E+04   2.03449E+04   1.49568E+04   1.09921E+04   8.07559E+03
+   5.93087E+03   4.35416E+03   3.19545E+03   2.34419E+03   1.71904E+03
+   1.26001E+03   9.23309E+02   6.73075E+02   4.92940E+02   3.60903E+02
+   2.64163E+02   1.93314E+02   1.41379E+02   1.03408E+02   7.56580E+01
+   5.53960E+01   4.05939E+01   2.97891E+01   2.19031E+01   1.61466E+01
+   1.19423E+01   8.86853E+00   6.61766E+00   4.96304E+00   3.74777E+00
+   2.84699E+00   2.17656E+00   1.67436E+00   1.29555E+00   1.00777E+00
+   7.87659E-01   6.18035E-01   4.87135E-01   3.84263E-01   3.03796E-01
+   2.40347E-01   1.90127E-01   1.50281E-01   1.18556E-01   9.35239E-02
+   7.33769E-02   5.74163E-02   4.47375E-02   3.46979E-02   2.67541E-02
+   2.05005E-02   1.56010E-02   1.17792E-02   8.82409E-03   6.54362E-03
+   4.81673E-03   3.49752E-03   2.50958E-03   1.77729E-03   1.24078E-03
+   8.52753E-04   5.76157E-04   3.82131E-04   2.48525E-04   1.58074E-04
+   9.87078E-05   6.01581E-05   3.59738E-05   2.12162E-05   1.24563E-05
+   7.39115E-06   4.50354E-06   2.84687E-06   1.86674E-06   1.24045E-06
+   8.05976E-07   4.87305E-07   2.56858E-07   1.00758E-07   1.26002E-08
+   0.00000E+00   3.14643E+06   2.61235E+06   1.92317E+06   1.41554E+06
+   1.04163E+06   7.66288E+05   5.63570E+05   4.14360E+05   3.04562E+05
+   2.23788E+05   1.64383E+05   1.20705E+05   8.86021E+04   6.50131E+04
+   4.76862E+04   3.49632E+04   2.56243E+04   1.87719E+04   1.37459E+04
+   1.00610E+04   7.36048E+03   5.38222E+03   3.93372E+03   2.87359E+03
+   2.09806E+03   1.53090E+03   1.11662E+03   8.10056E+02   5.90345E+02
+   4.30027E+02   3.13112E+02   2.27899E+02   1.65743E+02   1.20529E+02
+   8.76595E+01   6.37881E+01   4.64457E+01   3.38585E+01   2.47254E+01
+   1.80987E+01   1.32889E+01   9.79479E+00   7.25298E+00   5.39712E+00
+   4.04354E+00   3.04738E+00   2.31140E+00   1.76422E+00   1.35461E+00
+   1.04581E+00   8.11436E-01   6.32197E-01   4.94923E-01   3.87844E-01
+   3.04695E-01   2.39596E-01   1.88426E-01   1.48099E-01   1.16197E-01
+   9.11836E-02   7.11743E-02   5.54165E-02   4.29705E-02   3.31703E-02
+   2.54581E-02   1.94191E-02   1.47126E-02   1.10600E-02   8.25017E-03
+   6.09229E-03   4.46625E-03   3.23008E-03   2.30877E-03   1.62910E-03
+   1.13348E-03   7.76666E-04   5.23467E-04   3.46621E-04   2.25348E-04
+   1.43541E-04   9.00106E-05   5.53162E-05   3.35518E-05   2.02301E-05
+   1.22577E-05   7.57149E-06   4.82103E-06   3.17103E-06   2.13706E-06
+   1.43777E-06   9.33292E-07   5.58307E-07   2.88536E-07   1.09346E-07
+   1.37209E-08   0.00000E+00   4.81079E+06   3.59861E+06   2.64083E+06
+   1.93745E+06   1.42092E+06   1.04173E+06   7.63445E+05   5.59286E+05
+   4.09559E+05   2.99792E+05   2.19351E+05   1.60423E+05   1.17273E+05
+   8.56886E+04   6.25803E+04   4.56808E+04   3.33276E+04   2.43020E+04
+   1.77109E+04   1.29000E+04   9.39047E+03   6.83158E+03   4.96694E+03
+   3.60893E+03   2.62049E+03   1.90135E+03   1.37886E+03   9.94308E+02
+   7.20252E+02   5.21411E+02   3.77244E+02   2.72792E+02   1.97067E+02
+   1.42325E+02   1.02783E+02   7.42526E+01   5.36637E+01   3.88221E+01
+   2.81282E+01   2.04241E+01   1.48730E+01   1.08703E+01   7.98063E+00
+   5.88710E+00   4.37222E+00   3.26631E+00   2.45592E+00   1.85840E+00
+   1.41485E+00   1.08328E+00   8.33753E-01   6.44508E-01   5.00772E-01
+   3.89562E-01   3.03895E-01   2.37347E-01   1.85437E-01   1.44831E-01
+   1.12934E-01   8.81014E-02   6.83705E-02   5.29346E-02   4.08207E-02
+   3.13416E-02   2.39275E-02   1.81564E-02   1.36851E-02   1.02350E-02
+   7.59599E-03   5.58030E-03   4.06977E-03   2.92765E-03   2.08105E-03
+   1.45989E-03   1.00940E-03   6.86868E-04   4.59294E-04   3.01277E-04
+   1.93624E-04   1.21494E-04   7.46805E-05   4.46387E-05   2.60374E-05
+   1.48573E-05   8.34615E-06   4.67376E-06   2.65638E-06   1.55938E-06
+   9.57194E-07   6.05324E-07   3.80789E-07   2.25719E-07   1.17360E-07
+   4.51838E-08   5.65153E-09   0.00000E+00   6.60126E+06   4.92281E+06
+   3.59932E+06   2.63080E+06   1.92208E+06   1.40368E+06   1.02463E+06
+   7.47597E+05   5.45205E+05   3.97410E+05   2.89533E+05   2.10828E+05
+   1.53436E+05   1.11604E+05   8.11309E+04   5.89433E+04   4.27974E+04
+   3.10546E+04   2.25193E+04   1.63190E+04   1.18177E+04   8.55198E+03
+   6.18425E+03   4.46869E+03   3.22656E+03   2.32766E+03   1.67816E+03
+   1.20282E+03   8.65994E+02   6.23026E+02   4.47905E+02   3.21790E+02
+   2.30923E+02   1.65647E+02   1.18797E+02   8.52148E+01   6.11410E+01
+   4.39046E+01   3.15706E+01   2.27471E+01   1.64347E+01   1.19159E+01
+   8.67760E+00   6.34896E+00   4.67665E+00   3.46513E+00   2.58419E+00
+   1.93971E+00   1.46505E+00   1.11301E+00   8.50155E-01   6.52346E-01
+   5.03263E-01   3.88789E-01   3.01265E-01   2.33770E-01   1.81497E-01
+   1.40894E-01   1.09214E-01   8.47133E-02   6.53721E-02   5.03367E-02
+   3.86098E-02   2.94889E-02   2.23972E-02   1.69093E-02   1.26817E-02
+   9.43816E-03   6.97113E-03   5.09694E-03   3.70012E-03   2.64969E-03
+   1.87525E-03   1.31005E-03   9.02305E-04   6.11893E-04   4.08022E-04
+   2.67158E-04   1.71636E-04   1.07896E-04   6.66675E-05   4.02653E-05
+   2.39163E-05   1.40523E-05   8.24945E-06   4.90813E-06   3.00143E-06
+   1.89809E-06   1.23646E-06   8.09299E-07   5.13510E-07   3.00878E-07
+   1.51780E-07   5.53377E-08   6.96377E-09   0.00000E+00   8.94851E+06
+   6.65177E+06   4.84466E+06   3.52717E+06   2.56672E+06   1.86687E+06
+   1.35715E+06   9.86075E+05   7.16071E+05   5.19707E+05   3.76972E+05
+   2.73276E+05   1.97983E+05   1.43344E+05   1.03716E+05   7.49934E+04
+   5.41875E+04   3.91260E+04   2.82302E+04   2.03532E+04   1.46628E+04
+   1.05549E+04   7.59163E+03   5.45566E+03   3.91724E+03   2.80985E+03
+   2.01412E+03   1.43500E+03   1.02697E+03   7.34331E+02   5.24641E+02
+   3.74530E+02   2.67031E+02   1.90284E+02   1.35549E+02   9.65645E+01
+   6.88002E+01   4.90528E+01   3.50169E+01   2.50443E+01   1.79589E+01
+   1.29222E+01   9.33836E+00   6.77960E+00   4.95528E+00   3.64322E+00
+   2.69616E+00   2.00839E+00   1.50559E+00   1.13542E+00   8.61073E-01
+   6.56112E-01   5.02755E-01   3.85838E-01   2.97071E-01   2.29089E-01
+   1.76794E-01   1.36443E-01   1.05160E-01   8.11198E-02   6.22591E-02
+   4.76860E-02   3.63870E-02   2.76498E-02   2.08954E-02   1.56978E-02
+   1.17162E-02   8.67803E-03   6.37985E-03   4.64310E-03   3.35559E-03
+   2.39245E-03   1.68608E-03   1.17322E-03   8.05127E-04   5.44267E-04
+   3.62033E-04   2.36706E-04   1.52089E-04   9.58356E-05   5.95557E-05
+   3.63559E-05   2.19763E-05   1.32579E-05   8.07092E-06   5.02016E-06
+   3.21654E-06   2.11800E-06   1.41733E-06   9.38394E-07   5.94233E-07
+   3.43927E-07   1.69593E-07   5.96864E-08   7.54103E-09   0.00000E+00
+   1.19582E+07   8.86021E+06   6.42793E+06   4.66140E+06   3.37853E+06
+   2.44735E+06   1.77181E+06   1.28198E+06   9.27007E+05   6.69906E+05
+   4.83800E+05   3.49165E+05   2.51826E+05   1.81495E+05   1.30712E+05
+   9.40687E+04   6.76460E+04   4.86066E+04   3.48978E+04   2.50344E+04
+   1.79434E+04   1.28495E+04   9.19339E+03   6.57137E+03   4.69262E+03
+   3.34735E+03   2.38589E+03   1.68998E+03   1.20240E+03   8.54671E+02
+   6.06928E+02   4.30609E+02   3.05087E+02   2.16015E+02   1.52878E+02
+   1.08190E+02   7.65646E+01   5.42153E+01   3.84332E+01   2.72937E+01
+   1.94321E+01   1.38812E+01   9.95827E+00   7.17662E+00   5.20705E+00
+   3.80033E+00   2.79198E+00   2.06482E+00   1.53693E+00   1.15101E+00
+   8.66959E-01   6.56210E-01   4.99597E-01   3.81000E-01   2.91554E-01
+   2.23499E-01   1.71483E-01   1.31600E-01   1.00868E-01   7.73948E-02
+   5.90875E-02   4.50245E-02   3.41828E-02   2.58465E-02   1.94374E-02
+   1.45325E-02   1.07953E-02   7.95887E-03   5.82461E-03   4.21999E-03
+   3.03660E-03   2.15586E-03   1.51320E-03   1.04894E-03   7.17378E-04
+   4.83538E-04   3.20943E-04   2.09615E-04   1.34754E-04   8.51516E-05
+   5.32388E-05   3.28476E-05   2.01864E-05   1.24646E-05   7.81456E-06
+   5.02121E-06   3.31606E-06   2.23361E-06   1.51267E-06   1.00301E-06
+   6.30583E-07   3.59821E-07   1.73504E-07   5.91533E-08   7.50037E-09
+   0.00000E+00   1.57450E+07   1.16287E+07   8.40385E+06   6.07054E+06
+   4.38248E+06   3.16189E+06   2.27984E+06   1.64278E+06   1.18296E+06
+   8.51261E+05   6.12142E+05   4.39874E+05   3.15852E+05   2.26624E+05
+   1.62475E+05   1.16390E+05   8.33073E+04   5.95768E+04   4.25685E+04
+   3.03880E+04   2.16727E+04   1.54420E+04   1.09917E+04   7.81597E+03
+   5.55187E+03   3.93893E+03   2.79224E+03   1.96665E+03   1.39135E+03
+   9.83301E+02   6.94193E+02   4.89595E+02   3.44779E+02   2.42616E+02
+   1.70629E+02   1.19984E+02   8.43615E+01   5.93439E+01   4.17886E+01
+   2.94762E+01   2.08425E+01   1.47860E+01   1.05337E+01   7.53833E+00
+   5.43139E+00   3.93650E+00   2.87205E+00   2.10952E+00   1.55962E+00
+   1.16027E+00   8.68273E-01   6.53034E-01   4.94121E-01   3.74547E-01
+   2.84934E-01   2.17175E-01   1.65702E-01   1.26472E-01   9.64206E-02
+   7.36004E-02   5.59034E-02   4.23854E-02   3.20213E-02   2.40954E-02
+   1.80345E-02   1.34205E-02   9.92345E-03   7.28304E-03   5.30646E-03
+   3.82781E-03   2.74281E-03   1.93932E-03   1.35593E-03   9.36532E-04
+   6.38441E-04   4.29185E-04   2.84334E-04   1.85569E-04   1.19404E-04
+   7.56934E-05   4.76254E-05   2.96938E-05   1.85313E-05   1.16776E-05
+   7.49790E-06   4.93490E-06   3.32517E-06   2.26876E-06   1.54330E-06
+   1.02001E-06   6.35136E-07   3.56995E-07   1.68374E-07   5.57250E-08
+   7.08947E-09   0.00000E+00   2.04317E+07   1.50431E+07   1.08304E+07
+   7.79352E+06   5.60463E+06   4.02787E+06   2.89274E+06   2.07608E+06
+   1.48891E+06   1.06702E+06   7.64098E+05   5.46749E+05   3.90914E+05
+   2.79264E+05   1.99335E+05   1.42158E+05   1.01291E+05   7.21051E+04
+   5.12803E+04   3.64340E+04   2.58600E+04   1.83357E+04   1.29869E+04
+   9.18820E+03   6.49322E+03   4.58280E+03   3.23153E+03   2.26366E+03
+   1.59275E+03   1.11940E+03   7.85822E+02   5.51043E+02   3.85787E+02
+   2.69862E+02   1.88647E+02   1.31842E+02   9.21228E+01   6.43948E+01
+   4.50554E+01   3.15748E+01   2.21804E+01   1.56313E+01   1.10621E+01
+   7.86368E+00   5.62816E+00   4.05206E+00   2.93690E+00   2.14309E+00
+   1.57424E+00   1.16374E+00   8.65471E-01   6.46968E-01   4.86639E-01
+   3.66733E-01   2.77412E-01   2.10274E-01   1.59571E-01   1.21152E-01
+   9.18865E-02   6.97875E-02   5.27437E-02   3.97952E-02   2.99207E-02
+   2.24088E-02   1.66944E-02   1.23666E-02   9.10307E-03   6.65147E-03
+   4.82541E-03   3.46603E-03   2.47344E-03   1.74194E-03   1.21338E-03
+   8.35196E-04   5.67643E-04   3.80666E-04   2.51789E-04   1.64260E-04
+   1.05825E-04   6.73216E-05   4.26327E-05   2.68531E-05   1.69981E-05
+   1.09024E-05   7.13649E-06   4.78156E-06   3.26514E-06   2.24323E-06
+   1.52612E-06   1.00278E-06   6.17654E-07   3.41819E-07   1.57728E-07
+   5.07584E-08   6.47848E-09   0.00000E+00   2.61487E+07   1.91941E+07
+   1.37682E+07   9.87086E+06   7.07190E+06   5.06306E+06   3.62223E+06
+   2.58950E+06   1.84981E+06   1.32037E+06   9.41706E+05   6.71080E+05
+   4.77818E+05   3.39914E+05   2.41592E+05   1.71550E+05   1.21699E+05
+   8.62479E+04   6.10622E+04   4.31857E+04   3.05100E+04   2.15308E+04
+   1.51770E+04   1.06855E+04   7.51405E+03   5.27661E+03   3.70183E+03
+   2.57947E+03   1.80543E+03   1.26209E+03   8.81174E+02   6.14495E+02
+   4.27791E+02   2.97535E+02   2.06784E+02   1.43667E+02   9.97854E+01
+   6.93283E+01   4.82095E+01   3.35754E+01   2.34379E+01   1.64131E+01
+   1.15416E+01   8.15222E+00   5.79760E+00   4.14758E+00   2.98719E+00
+   2.16618E+00   1.58141E+00   1.16195E+00   8.58996E-01   6.38374E-01
+   4.77444E-01   3.57789E-01   2.69168E-01   2.02935E-01   1.53197E-01
+   1.15718E-01   8.73235E-02   6.59980E-02   4.96380E-02   3.72742E-02
+   2.78943E-02   2.07951E-02   1.54220E-02   1.13731E-02   8.33503E-03
+   6.06402E-03   4.38074E-03   3.13361E-03   2.22735E-03   1.56263E-03
+   1.08457E-03   7.44096E-04   5.04300E-04   3.37443E-04   2.22903E-04
+   1.45399E-04   9.38199E-05   5.99092E-05   3.81867E-05   2.42892E-05
+   1.55760E-05   1.01436E-05   6.74387E-06   4.57849E-06   3.15368E-06
+   2.17319E-06   1.47469E-06   9.61826E-07   5.85591E-07   3.19003E-07
+   1.44055E-07   4.51403E-08   5.77945E-09   0.00000E+00   3.30331E+07
+   2.41766E+07   1.72804E+07   1.23443E+07   8.81178E+06   6.28548E+06
+   4.48002E+06   3.19066E+06   2.27054E+06   1.61443E+06   1.14693E+06
+   8.14085E+05   5.77314E+05   4.09024E+05   2.89514E+05   2.04720E+05
+   1.44615E+05   1.02049E+05   7.19342E+04   5.06500E+04   3.56230E+04
+   2.50246E+04   1.75583E+04   1.23041E+04   8.61096E+03   6.01753E+03
+   4.20089E+03   2.91238E+03   2.02810E+03   1.41044E+03   9.79593E+02
+   6.79491E+02   4.70476E+02   3.25422E+02   2.24902E+02   1.55368E+02
+   1.07292E+02   7.41090E+01   5.12298E+01   3.54660E+01   2.46086E+01
+   1.71283E+01   1.19712E+01   8.40397E+00   5.94022E+00   4.22378E+00
+   3.02370E+00   2.17953E+00   1.58174E+00   1.15542E+00   8.49278E-01
+   6.27595E-01   4.66806E-01   3.47923E-01   2.60361E-01   1.95278E-01
+   1.46669E-01   1.10237E-01   8.27792E-02   6.22656E-02   4.66092E-02
+   3.48376E-02   2.59517E-02   1.92600E-02   1.42202E-02   1.04410E-02
+   7.61907E-03   5.51978E-03   3.97118E-03   2.82919E-03   2.00322E-03
+   1.40019E-03   9.68474E-04   6.62382E-04   4.47737E-04   2.99002E-04
+   1.97297E-04   1.28717E-04   8.32068E-05   5.33425E-05   3.42223E-05
+   2.19710E-05   1.42559E-05   9.40592E-06   6.33171E-06   4.34023E-06
+   3.00543E-06   2.07174E-06   1.39975E-06   9.05294E-07   5.44559E-07
+   2.91969E-07   1.29069E-07   3.94312E-08   5.06386E-09   0.00000E+00
+   4.12275E+07   3.00887E+07   2.14317E+07   1.52564E+07   1.08521E+07
+   7.71320E+06   5.47779E+06   3.88701E+06   2.75586E+06   1.95216E+06
+   1.38161E+06   9.76899E+05   6.90083E+05   4.86996E+05   3.43330E+05
+   2.41793E+05   1.70103E+05   1.19536E+05   8.39067E+04   5.88277E+04
+   4.11952E+04   2.88118E+04   2.01253E+04   1.40389E+04   9.77982E+03
+   6.80230E+03   4.72622E+03   3.26054E+03   2.25943E+03   1.56350E+03
+   1.08041E+03   7.45574E+02   5.13534E+02   3.53320E+02   2.42866E+02
+   1.66862E+02   1.14590E+02   7.87059E+01   5.40984E+01   3.72370E+01
+   2.56878E+01   1.77752E+01   1.23507E+01   8.61939E+00   6.05683E+00
+   4.28154E+00   3.04725E+00   2.18386E+00   1.57586E+00   1.14466E+00
+   8.36721E-01   6.14951E-01   4.54973E-01   3.37324E-01   2.51135E-01
+   1.87410E-01   1.40064E-01   1.04763E-01   7.82926E-02   5.86169E-02
+   4.36751E-02   3.24964E-02   2.40994E-02   1.78065E-02   1.30900E-02
+   9.56998E-03   6.95413E-03   5.01727E-03   3.59515E-03   2.55123E-03
+   1.79964E-03   1.25338E-03   8.64060E-04   5.89226E-04   3.97309E-04
+   2.64855E-04   1.74618E-04   1.13967E-04   7.38235E-05   4.75204E-05
+   3.06822E-05   1.98716E-05   1.30304E-05   8.69317E-06   5.90986E-06
+   4.07884E-06   2.83232E-06   1.94936E-06   1.30974E-06   8.39399E-07
+   4.98714E-07   2.63153E-07   1.13914E-07   3.39685E-08   4.37525E-09
+   0.00000E+00   5.08793E+07   3.70312E+07   2.62881E+07   1.86501E+07
+   1.32207E+07   9.36415E+06   6.62698E+06   4.68581E+06   3.31029E+06
+   2.33640E+06   1.64747E+06   1.16055E+06   8.16732E+05   5.74176E+05
+   4.03228E+05   2.82866E+05   1.98209E+05   1.38728E+05   9.69807E+04
+   6.77130E+04   4.72186E+04   3.28840E+04   2.28706E+04   1.58840E+04
+   1.10159E+04   7.62727E+03   5.27512E+03   3.62199E+03   2.49803E+03
+   1.72031E+03   1.18296E+03   8.12296E+02   5.56667E+02   3.81034E+02
+   2.60555E+02   1.78072E+02   1.21635E+02   8.30923E+01   5.68007E+01
+   3.88808E+01   2.66722E+01   1.83528E+01   1.26801E+01   8.79928E+00
+   6.14841E+00   4.32183E+00   3.05873E+00   2.17993E+00   1.56438E+00
+   1.13016E+00   8.21711E-01   6.00737E-01   4.42169E-01   3.26162E-01
+   2.41613E-01   1.79420E-01   1.33448E-01   9.93421E-02   7.38948E-02
+   5.50727E-02   4.08485E-02   3.02582E-02   2.23412E-02   1.64361E-02
+   1.20311E-02   8.75891E-03   6.33853E-03   4.55465E-03   3.25083E-03
+   2.29803E-03   1.61513E-03   1.12098E-03   7.70322E-04   5.23832E-04
+   3.52410E-04   2.34554E-04   1.54545E-04   1.00930E-04   6.55246E-05
+   4.23540E-05   2.75167E-05   1.79675E-05   1.18929E-05   8.00868E-06
+   5.48651E-06   3.80419E-06   2.64396E-06   1.81432E-06   1.21116E-06
+   7.68812E-07   4.51070E-07   2.34240E-07   9.93249E-08   2.89394E-08
+   3.73828E-09   0.00000E+00   6.21390E+07   4.51065E+07   3.19163E+07
+   2.25685E+07   1.59452E+07   1.12559E+07   7.93871E+06   5.59400E+06
+   3.93813E+06   2.76975E+06   1.94609E+06   1.36597E+06   9.57783E+05
+   6.70848E+05   4.69355E+05   3.28006E+05   2.28957E+05   1.59624E+05
+   1.11148E+05   7.72941E+04   5.36810E+04   3.72305E+04   2.57853E+04
+   1.78324E+04   1.23137E+04   8.48849E+03   5.84471E+03   3.99472E+03
+   2.74250E+03   1.87989E+03   1.28660E+03   8.79221E+02   5.99593E+02
+   4.08386E+02   2.77856E+02   1.88929E+02   1.28386E+02   8.72456E+01
+   5.93248E+01   4.03919E+01   2.75598E+01   1.88609E+01   1.29604E+01
+   8.94475E+00   6.21611E+00   4.34572E+00   3.05904E+00   2.16847E+00
+   1.54790E+00   1.11238E+00   8.04602E-01   5.85223E-01   4.28597E-01
+   3.14585E-01   2.31904E-01   1.71388E-01   1.26874E-01   9.40123E-02
+   6.96106E-02   5.16486E-02   3.81388E-02   2.81278E-02   2.06788E-02
+   1.51487E-02   1.10423E-02   8.00591E-03   5.77018E-03   4.12982E-03
+   2.93628E-03   2.06789E-03   1.44822E-03   1.00177E-03   6.86297E-04
+   4.65454E-04   3.12474E-04   2.07686E-04   1.36784E-04   8.94051E-05
+   5.81816E-05   3.77649E-05   2.46823E-05   1.62389E-05   1.08380E-05
+   7.35511E-06   5.06834E-06   3.52425E-06   2.44795E-06   1.67306E-06
+   1.10894E-06   6.96969E-07   4.03759E-07   2.06350E-07   8.57384E-08
+   2.44322E-08   3.16499E-09   0.00000E+00   7.51595E+07   5.44178E+07
+   3.83827E+07   2.70542E+07   1.90527E+07   1.34056E+07   9.42363E+06
+   6.61817E+06   4.64340E+06   3.25461E+06   2.27885E+06   1.59394E+06
+   1.11367E+06   7.77236E+05   5.41813E+05   3.77249E+05   2.62348E+05
+   1.82212E+05   1.26391E+05   8.75533E+04   6.05667E+04   4.18383E+04
+   2.88592E+04   1.98761E+04   1.36677E+04   9.38174E+03   6.43201E+03
+   4.37664E+03   2.99140E+03   2.04128E+03   1.39067E+03   9.45933E+02
+   6.42045E+02   4.35207E+02   2.94667E+02   1.99374E+02   1.34808E+02
+   9.11473E+01   6.16616E+01   4.17667E+01   2.83498E+01   1.93001E+01
+   1.31927E+01   9.05714E+00   6.26120E+00   4.35431E+00   3.04909E+00
+   2.15022E+00   1.52698E+00   1.09177E+00   7.85727E-01   5.68657E-01
+   4.14438E-01   3.02724E-01   2.22103E-01   1.63379E-01   1.20389E-01
+   8.88035E-02   6.54592E-02   4.83562E-02   3.55519E-02   2.61077E-02
+   1.91125E-02   1.39429E-02   1.01215E-02   7.30866E-03   5.24672E-03
+   3.74058E-03   2.64951E-03   1.85910E-03   1.29750E-03   8.94594E-04
+   6.11076E-04   4.13396E-04   2.76984E-04   1.83876E-04   1.21075E-04
+   7.92170E-05   5.16805E-05   3.36846E-05   2.21415E-05   1.46682E-05
+   9.86065E-06   6.73449E-06   4.66067E-06   3.24530E-06   2.25024E-06
+   1.53051E-06   1.00676E-06   6.26334E-07   3.58229E-07   1.80190E-07
+   7.33875E-08   2.04720E-08   2.65930E-09   0.00000E+00   9.00940E+07
+   6.50682E+07   4.57532E+07   3.21490E+07   2.25694E+07   1.58296E+07
+   1.10918E+07   7.76443E+06   5.42973E+06   3.79311E+06   2.64697E+06
+   1.84512E+06   1.28473E+06   8.93494E+05   6.20658E+05   4.30602E+05
+   2.98367E+05   2.06469E+05   1.42684E+05   9.84672E+04   6.78563E+04
+   4.66922E+04   3.20807E+04   2.20066E+04   1.50714E+04   1.03026E+04
+   7.03394E+03   4.76565E+03   3.24330E+03   2.20353E+03   1.49456E+03
+   1.01203E+03   6.83774E+02   4.61345E+02   3.10896E+02   2.09353E+02
+   1.40872E+02   9.47826E+01   6.38045E+01   4.30029E+01   2.90423E+01
+   1.96717E+01   1.33785E+01   9.13798E+00   6.28503E+00   4.34872E+00
+   3.02980E+00   2.12588E+00   1.50217E+00   1.06873E+00   7.65389E-01
+   5.51259E-01   3.99854E-01   2.90696E-01   2.12291E-01   1.55447E-01
+   1.14029E-01   8.37391E-02   6.14547E-02   4.52031E-02   3.30915E-02
+   2.41985E-02   1.76412E-02   1.28168E-02   9.26642E-03   6.66454E-03
+   4.76564E-03   3.38465E-03   2.38854E-03   1.66998E-03   1.16160E-03
+   7.98371E-04   5.43813E-04   3.67018E-04   2.45468E-04   1.62785E-04
+   1.07182E-04   7.02080E-05   4.59214E-05   3.00533E-05   1.98613E-05
+   1.32404E-05   8.95639E-06   6.14822E-06   4.26761E-06   2.97221E-06
+   2.05537E-06   1.39032E-06   9.07260E-07   5.58606E-07   3.15416E-07
+   1.56160E-07   6.23636E-08   1.70446E-08   2.22008E-09   0.00000E+00
+   1.48618E+06   2.05202E+06   1.50357E+06   1.10167E+06   8.07207E+05
+   5.91451E+05   4.33367E+05   3.17538E+05   2.32669E+05   1.70485E+05
+   1.24922E+05   9.15381E+04   6.70767E+04   4.91534E+04   3.60204E+04
+   2.63974E+04   1.93462E+04   1.41794E+04   1.03933E+04   7.61892E+03
+   5.58581E+03   4.09587E+03   3.00395E+03   2.20366E+03   1.61708E+03
+   1.18709E+03   8.71870E+02   6.37697E+02   4.69085E+02   3.45387E+02
+   2.54615E+02   1.87977E+02   1.38967E+02   1.02976E+02   7.65299E+01
+   5.70869E+01   4.27640E+01   3.22029E+01   2.44011E+01   1.86237E+01
+   1.43320E+01   1.11313E+01   8.73226E+00   6.92034E+00   5.54691E+00
+   4.49086E+00   3.67056E+00   3.02489E+00   2.50933E+00   2.09169E+00
+   1.74884E+00   1.46403E+00   1.22636E+00   1.02428E+00   8.53456E-01
+   7.08328E-01   5.85046E-01   4.80508E-01   3.92136E-01   3.18424E-01
+   2.56057E-01   2.04383E-01   1.61684E-01   1.26695E-01   9.81901E-02
+   7.52101E-02   5.68692E-02   4.23834E-02   3.11023E-02   2.24127E-02
+   1.58875E-02   1.09889E-02   7.42088E-03   4.87945E-03   3.11504E-03
+   1.92558E-03   1.15022E-03   6.63495E-04   3.70132E-04   2.00162E-04
+   1.06049E-04   5.48280E-05   2.78247E-05   1.38271E-05   6.68217E-06
+   3.10497E-06   1.36565E-06   5.54967E-07   2.03678E-07   6.46424E-08
+   1.67245E-08   3.20311E-09   3.79967E-10   1.87552E-11   1.08306E-13
+   0.00000E+00   2.80380E+06   2.09650E+06   1.53799E+06   1.12829E+06
+   8.27765E+05   6.07315E+05   4.45597E+05   3.26959E+05   2.39920E+05
+   1.76062E+05   1.29209E+05   9.48298E+04   6.96031E+04   5.10910E+04
+   3.75056E+04   2.75351E+04   2.02172E+04   1.48457E+04   1.09028E+04
+   8.00826E+03   5.88317E+03   4.32282E+03   3.17706E+03   2.33561E+03
+   1.71759E+03   1.26355E+03   9.30018E+02   6.81691E+02   5.02485E+02
+   3.70718E+02   2.73803E+02   2.02491E+02   1.49924E+02   1.11236E+02
+   8.27443E+01   6.17541E+01   4.62611E+01   3.48171E+01   2.63502E+01
+   2.00725E+01   1.54054E+01   1.19233E+01   9.31366E+00   7.34415E+00
+   5.85335E+00   4.70953E+00   3.82372E+00   3.12920E+00   2.57737E+00
+   2.13299E+00   1.77067E+00   1.47193E+00   1.22462E+00   1.01608E+00
+   8.41248E-01   6.93921E-01   5.69763E-01   4.65306E-01   3.77630E-01
+   3.05017E-01   2.43998E-01   1.93771E-01   1.52528E-01   1.18938E-01
+   9.17364E-02   6.99338E-02   5.26331E-02   3.90447E-02   2.85245E-02
+   2.04631E-02   1.44426E-02   9.94707E-03   6.68991E-03   4.38175E-03
+   2.78717E-03   1.71707E-03   1.02231E-03   5.87463E-04   3.25967E-04
+   1.74468E-04   9.05269E-05   4.48139E-05   2.07822E-05   8.47654E-06
+   2.41484E-06   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   2.94738E+06   2.20639E+06   1.62083E+06
+   1.19072E+06   8.74796E+05   6.42733E+05   4.72260E+05   3.47023E+05
+   2.55013E+05   1.87411E+05   1.37739E+05   1.01239E+05   7.44160E+04
+   5.47039E+04   4.02164E+04   2.95681E+04   2.17411E+04   1.59875E+04
+   1.17578E+04   8.64816E+03   6.36180E+03   4.68061E+03   3.44434E+03
+   2.53515E+03   1.86644E+03   1.37446E+03   1.01262E+03   7.42872E+02
+   5.47972E+02   4.04500E+02   2.98861E+02   2.21055E+02   1.63651E+02
+   1.21370E+02   9.02139E+01   6.72506E+01   5.02974E+01   3.77748E+01
+   2.85123E+01   2.16490E+01   1.65512E+01   1.27529E+01   9.91137E+00
+   7.77169E+00   6.15658E+00   4.92153E+00   3.96887E+00   3.22545E+00
+   2.63797E+00   2.16779E+00   1.78708E+00   1.47546E+00   1.21949E+00
+   1.00534E+00   8.27225E-01   6.78292E-01   5.53727E-01   4.49709E-01
+   3.62997E-01   2.91673E-01   2.32128E-01   1.83424E-01   1.43676E-01
+   1.11496E-01   8.55871E-02   6.49391E-02   4.86477E-02   3.59226E-02
+   2.61274E-02   1.86607E-02   1.31148E-02   8.99588E-03   6.02754E-03
+   3.93500E-03   2.49663E-03   1.53587E-03   9.14663E-04   5.27096E-04
+   2.94439E-04   1.59585E-04   8.46411E-05   4.35623E-05   2.17234E-05
+   1.03325E-05   4.52801E-06   1.67410E-06   3.61216E-07   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   3.20540E+06   2.40197E+06
+   1.76662E+06   1.29936E+06   9.55721E+05   7.02989E+05   5.17108E+05
+   3.80388E+05   2.79825E+05   2.05853E+05   1.51440E+05   1.11412E+05
+   8.19664E+04   6.03043E+04   4.43681E+04   3.26439E+04   2.40184E+04
+   1.76725E+04   1.30037E+04   9.56864E+03   7.04138E+03   5.18193E+03
+   3.81384E+03   2.80724E+03   2.06661E+03   1.52153E+03   1.12060E+03
+   8.21677E+02   6.05700E+02   4.46734E+02   3.29716E+02   2.43563E+02
+   1.80034E+02   1.33275E+02   9.88495E+01   7.35035E+01   5.48151E+01
+   4.10316E+01   3.08545E+01   2.33287E+01   1.77520E+01   1.36079E+01
+   1.05171E+01   8.19741E+00   6.45301E+00   5.12465E+00   4.10476E+00
+   3.31298E+00   2.69086E+00   2.19609E+00   1.79820E+00   1.47484E+00
+   1.21120E+00   9.92305E-01   8.11611E-01   6.61639E-01   5.37110E-01
+   4.33861E-01   3.48356E-01   2.78486E-01   2.20521E-01   1.73400E-01
+   1.35171E-01   1.04398E-01   7.97641E-02   6.02407E-02   4.49218E-02
+   3.30213E-02   2.39120E-02   1.70038E-02   1.19003E-02   8.13001E-03
+   5.42716E-03   3.53154E-03   2.23498E-03   1.37293E-03   8.17803E-04
+   4.72553E-04   2.65666E-04   1.45703E-04   7.88449E-05   4.19693E-05
+   2.21517E-05   1.16294E-05   6.09802E-06   3.22592E-06   1.74918E-06
+   9.92002E-07   5.99787E-07   3.82937E-07   2.49513E-07   1.56446E-07
+   8.82723E-08   3.94070E-08   4.86724E-09   0.00000E+00   3.61026E+06
+   2.70689E+06   1.99219E+06   1.46616E+06   1.07901E+06   7.94069E+05
+   5.84360E+05   4.30020E+05   3.16433E+05   2.32839E+05   1.71320E+05
+   1.26049E+05   9.27359E+04   6.82227E+04   5.01859E+04   3.69152E+04
+   2.71519E+04   1.99693E+04   1.46857E+04   1.07994E+04   7.94104E+03
+   5.83891E+03   4.29311E+03   3.15646E+03   2.32076E+03   1.70623E+03
+   1.25469E+03   9.18397E+02   6.75725E+02   4.97352E+02   3.66245E+02
+   2.69877E+02   1.98944E+02   1.46838E+02   1.08557E+02   8.04373E+01
+   5.97559E+01   4.45436E+01   3.33443E+01   2.50886E+01   1.89916E+01
+   1.44772E+01   1.11232E+01   8.61639E+00   6.73956E+00   5.31706E+00
+   4.23040E+00   3.39135E+00   2.73595E+00   2.21799E+00   1.80424E+00
+   1.47031E+00   1.20003E+00   9.77220E-01   7.94626E-01   6.44148E-01
+   5.20063E-01   4.17880E-01   3.33794E-01   2.65519E-01   2.09220E-01
+   1.63724E-01   1.27025E-01   9.76502E-02   7.42648E-02   5.58317E-02
+   4.14466E-02   3.03309E-02   2.18688E-02   1.54839E-02   1.07918E-02
+   7.34345E-03   4.88417E-03   3.16806E-03   1.99998E-03   1.22686E-03
+   7.30973E-04   4.23511E-04   2.39584E-04   1.32890E-04   7.32586E-05
+   4.01649E-05   2.21887E-05   1.24761E-05   7.22066E-06   4.35951E-06
+   2.76441E-06   1.83558E-06   1.25943E-06   8.67342E-07   5.79376E-07
+   3.58786E-07   1.94304E-07   7.96448E-08   9.91972E-09   0.00000E+00
+   4.19856E+06   3.14769E+06   2.31628E+06   1.70434E+06   1.25395E+06
+   9.22494E+05   6.78578E+05   4.99098E+05   3.67046E+05   2.69898E+05
+   1.98436E+05   1.45874E+05   1.07219E+05   7.87948E+04   5.78968E+04
+   4.25341E+04   3.12426E+04   2.29445E+04   1.68475E+04   1.23684E+04
+   9.07852E+03   6.66257E+03   4.88879E+03   3.58670E+03   2.63107E+03
+   1.92967E+03   1.41536E+03   1.03316E+03   7.57988E+02   5.56212E+02
+   4.08279E+02   2.99833E+02   2.20234E+02   1.61935E+02   1.19238E+02
+   8.79762E+01   6.50625E+01   4.82686E+01   3.59513E+01   2.69070E+01
+   2.02550E+01   1.53506E+01   1.17231E+01   9.02447E+00   7.01371E+00
+   5.49734E+00   4.34508E+00   3.46032E+00   2.77327E+00   2.23368E+00
+   1.80545E+00   1.46217E+00   1.18622E+00   9.60327E-01   7.76476E-01
+   6.25989E-01   5.02720E-01   4.01869E-01   3.19387E-01   2.52822E-01
+   1.98256E-01   1.54414E-01   1.19246E-01   9.12503E-02   6.90832E-02
+   5.17031E-02   3.82115E-02   2.78407E-02   1.99876E-02   1.40919E-02
+   9.78168E-03   6.63012E-03   4.39390E-03   2.84116E-03   1.78931E-03
+   1.09619E-03   6.53329E-04   3.79554E-04   2.16041E-04   1.21143E-04
+   6.79489E-05   3.82426E-05   2.19331E-05   1.29688E-05   7.98592E-06
+   5.15883E-06   3.48353E-06   2.42777E-06   1.71443E-06   1.19333E-06
+   7.94226E-07   4.85149E-07   2.56613E-07   1.00746E-07   1.26001E-08
+   0.00000E+00   2.91935E+06   3.75381E+06   2.75957E+06   2.02837E+06
+   1.49066E+06   1.09530E+06   8.04643E+05   5.91001E+05   4.33993E+05
+   3.18628E+05   2.33877E+05   1.71629E+05   1.25919E+05   9.23592E+04
+   6.77266E+04   4.96504E+04   3.63890E+04   2.66622E+04   1.95300E+04
+   1.43016E+04   1.04700E+04   7.66273E+03   5.60667E+03   4.10119E+03
+   2.99920E+03   2.19259E+03   1.60287E+03   1.16593E+03   8.52327E+02
+   6.23107E+02   4.55609E+02   3.33242E+02   2.43746E+02   1.78440E+02
+   1.30793E+02   9.60452E+01   7.06795E+01   5.21666E+01   3.86472E+01
+   2.87644E+01   2.15289E+01   1.62195E+01   1.23113E+01   9.41817E+00
+   7.27343E+00   5.66443E+00   4.44834E+00   3.51979E+00   2.80295E+00
+   2.24338E+00   1.80213E+00   1.45069E+00   1.17006E+00   9.41854E-01
+   7.57354E-01   6.07316E-01   4.85201E-01   3.85917E-01   3.05197E-01
+   2.40438E-01   1.87654E-01   1.45481E-01   1.11835E-01   8.51941E-02
+   6.42106E-02   4.78441E-02   3.52050E-02   2.55394E-02   1.82583E-02
+   1.28189E-02   8.86244E-03   5.98405E-03   3.95181E-03   2.54755E-03
+   1.60071E-03   9.79468E-04   5.84019E-04   3.40238E-04   1.94852E-04
+   1.10420E-04   6.29470E-05   3.62661E-05   2.14596E-05   1.31836E-05
+   8.46640E-06   5.69194E-06   3.96843E-06   2.82334E-06   2.01170E-06
+   1.39931E-06   9.23787E-07   5.56579E-07   2.88342E-07   1.09337E-07
+   1.37208E-08   0.00000E+00   6.31684E+06   4.72365E+06   3.46520E+06
+   2.54148E+06   1.86350E+06   1.36601E+06   1.00105E+06   7.33388E+05
+   5.37130E+05   3.93270E+05   2.87848E+05   2.10616E+05   1.54054E+05
+   1.12642E+05   8.23334E+04   6.01576E+04   4.39383E+04   3.20796E+04
+   2.34125E+04   1.70802E+04   1.24558E+04   9.07978E+03   6.61627E+03
+   4.81928E+03   3.50902E+03   2.55383E+03   1.85838E+03   1.34531E+03
+   9.78688E+02   7.11913E+02   5.17868E+02   3.76776E+02   2.74085E+02
+   1.99523E+02   1.45400E+02   1.06135E+02   7.76248E+01   5.69302E+01
+   4.19017E+01   3.09781E+01   2.30268E+01   1.72263E+01   1.29821E+01
+   9.85919E+00   7.55827E+00   5.84284E+00   4.55456E+00   3.57733E+00
+   2.82800E+00   2.24717E+00   1.79248E+00   1.43299E+00   1.14810E+00
+   9.18163E-01   7.33653E-01   5.84711E-01   4.64364E-01   3.67211E-01
+   2.88756E-01   2.26236E-01   1.75609E-01   1.35416E-01   1.03550E-01
+   7.84721E-02   5.88391E-02   4.36171E-02   3.19315E-02   2.30478E-02
+   1.63951E-02   1.14534E-02   7.87966E-03   5.29458E-03   3.47976E-03
+   2.23268E-03   1.39631E-03   8.50305E-04   5.04332E-04   2.91875E-04
+   1.65594E-04   9.24306E-05   5.14149E-05   2.84792E-05   1.58854E-05
+   8.99400E-06   5.21744E-06   3.13523E-06   1.96412E-06   1.27946E-06
+   8.57150E-07   5.74914E-07   3.73347E-07   2.24379E-07   1.17211E-07
+   4.51766E-08   5.65148E-09   0.00000E+00   8.08566E+06   6.03168E+06
+   4.41184E+06   3.22614E+06   2.35830E+06   1.72330E+06   1.25882E+06
+   9.19197E+05   6.70944E+05   4.89545E+05   3.57046E+05   2.60300E+05
+   1.89689E+05   1.38171E+05   1.00601E+05   7.32128E+04   5.32563E+04
+   3.87211E+04   2.81396E+04   2.04397E+04   1.48395E+04   1.07684E+04
+   7.81032E+03   5.66205E+03   4.10267E+03   2.97106E+03   2.15107E+03
+   1.54903E+03   1.12094E+03   8.10992E+02   5.86686E+02   4.24438E+02
+   3.06972E+02   2.22143E+02   1.60905E+02   1.16727E+02   8.48320E+01
+   6.18140E+01   4.51961E+01   3.31889E+01   2.45012E+01   1.82017E+01
+   1.36206E+01   1.02704E+01   7.81730E+00   5.99975E+00   4.64338E+00
+   3.62112E+00   2.84243E+00   2.24295E+00   1.77692E+00   1.41108E+00
+   1.12323E+00   8.92585E-01   7.08830E-01   5.61545E-01   4.43366E-01
+   3.48614E-01   2.72599E-01   2.12419E-01   1.63995E-01   1.25791E-01
+   9.56859E-02   7.21375E-02   5.38114E-02   3.96868E-02   2.89075E-02
+   2.07608E-02   1.46961E-02   1.02167E-02   6.99616E-03   4.67997E-03
+   3.06322E-03   1.95843E-03   1.22144E-03   7.42696E-04   4.40641E-04
+   2.55756E-04   1.46055E-04   8.24694E-05   4.67144E-05   2.65894E-05
+   1.54138E-05   9.18630E-06   5.67497E-06   3.65274E-06   2.44133E-06
+   1.67359E-06   1.15697E-06   7.85373E-07   5.07715E-07   2.99846E-07
+   1.51667E-07   5.53323E-08   6.96373E-09   0.00000E+00   1.04116E+07
+   7.74470E+06   5.64550E+06   4.11395E+06   2.99667E+06   2.18190E+06
+   1.58798E+06   1.15521E+06   8.40003E+05   6.10518E+05   4.43516E+05
+   3.22038E+05   2.33716E+05   1.69530E+05   1.22907E+05   8.90586E+04
+   6.44968E+04   4.66830E+04   3.37704E+04   2.44153E+04   1.76418E+04
+   1.27399E+04   9.19480E+03   6.63228E+03   4.78112E+03   3.44433E+03
+   2.48053E+03   1.77649E+03   1.27849E+03   9.19803E+02   6.61610E+02
+   4.75863E+02   3.42127E+02   2.46089E+02   1.77155E+02   1.27711E+02
+   9.22236E+01   6.67647E+01   4.84946E+01   3.53731E+01   2.59369E+01
+   1.91365E+01   1.42214E+01   1.06489E+01   8.04903E+00   6.13461E+00
+   4.71482E+00   3.65148E+00   2.84670E+00   2.23121E+00   1.75595E+00
+   1.38539E+00   1.09585E+00   8.65456E-01   6.83162E-01   5.38044E-01
+   4.22384E-01   3.30265E-01   2.56832E-01   1.99064E-01   1.52868E-01
+   1.16644E-01   8.82693E-02   6.62058E-02   4.91357E-02   3.60557E-02
+   2.61315E-02   1.86745E-02   1.31554E-02   9.10181E-03   6.20422E-03
+   4.13209E-03   2.69383E-03   1.71639E-03   1.06777E-03   6.48435E-04
+   3.84956E-04   2.24171E-04   1.28910E-04   7.36516E-05   4.24705E-05
+   2.47947E-05   1.48616E-05   9.22257E-06   5.95391E-06   3.99643E-06
+   2.76362E-06   1.93806E-06   1.35420E-06   9.19577E-07   5.89723E-07
+   3.43132E-07   1.69506E-07   5.96823E-08   7.54100E-09   0.00000E+00
+   1.34002E+07   9.93742E+06   7.21725E+06   5.23975E+06   3.80229E+06
+   2.75785E+06   1.99932E+06   1.44868E+06   1.04916E+06   7.59412E+05
+   5.49388E+05   3.97227E+05   2.87046E+05   2.07306E+05   1.49628E+05
+   1.07933E+05   7.78079E+04   5.60558E+04   4.03590E+04   2.90387E+04
+   2.08801E+04   1.50036E+04   1.07740E+04   7.73152E+03   5.54448E+03
+   3.97305E+03   2.84590E+03   2.02684E+03   1.45054E+03   1.03769E+03
+   7.42115E+02   5.30648E+02   3.79245E+02   2.71139E+02   1.93989E+02
+   1.38976E+02   9.97227E+01   7.17304E+01   5.17628E+01   3.75088E+01
+   2.73203E+01   2.00223E+01   1.47796E+01   1.09921E+01   8.25245E+00
+   6.24724E+00   4.76913E+00   3.66890E+00   2.84139E+00   2.21253E+00
+   1.73010E+00   1.35641E+00   1.06637E+00   8.37101E-01   6.56907E-01
+   5.14403E-01   4.01565E-01   3.12267E-01   2.41524E-01   1.86215E-01
+   1.42252E-01   1.07984E-01   8.12991E-02   6.06696E-02   4.48009E-02
+   3.27109E-02   2.35904E-02   1.67763E-02   1.17618E-02   8.09934E-03
+   5.49611E-03   3.64487E-03   2.36704E-03   1.50327E-03   9.33003E-04
+   5.66038E-04   3.36362E-04   1.96595E-04   1.13882E-04   6.58453E-05
+   3.86311E-05   2.30846E-05   1.42380E-05   9.12048E-06   6.07482E-06
+   4.18686E-06   2.95001E-06   2.08944E-06   1.46255E-06   9.88220E-07
+   6.27073E-07   3.59209E-07   1.73438E-07   5.91502E-08   7.50034E-09
+   0.00000E+00   1.71663E+07   1.26904E+07   9.18183E+06   6.64058E+06
+   4.80015E+06   3.46793E+06   2.50408E+06   1.80709E+06   1.30335E+06
+   9.39483E+05   6.76789E+05   4.87247E+05   3.50567E+05   2.52065E+05
+   1.81120E+05   1.30056E+05   9.33241E+04   6.69196E+04   4.79520E+04
+   3.43355E+04   2.45678E+04   1.75658E+04   1.25501E+04   8.95989E+03
+   6.39188E+03   4.55598E+03   3.24594E+03   2.29894E+03   1.63617E+03
+   1.16390E+03   8.27626E+02   5.88361E+02   4.18013E+02   2.97068E+02
+   2.11250E+02   1.50412E+02   1.07256E+02   7.66629E+01   5.49698E+01
+   3.95766E+01   2.86397E+01   2.08525E+01   1.52919E+01   1.12986E+01
+   8.42707E+00   6.33779E+00   4.80681E+00   3.67400E+00   2.82714E+00
+   2.18752E+00   1.69991E+00   1.32459E+00   1.03514E+00   8.07820E-01
+   6.30297E-01   4.90797E-01   3.81034E-01   2.94707E-01   2.26730E-01
+   1.73904E-01   1.32161E-01   9.98139E-02   7.47691E-02   5.55179E-02
+   4.07932E-02   2.96381E-02   2.12701E-02   1.50535E-02   1.05043E-02
+   7.19989E-03   4.86426E-03   3.21245E-03   2.07846E-03   1.31595E-03
+   8.15019E-04   4.94114E-04   2.94007E-04   1.72538E-04   1.00712E-04
+   5.89309E-05   3.51537E-05   2.14578E-05   1.35621E-05   8.90835E-06
+   6.06910E-06   4.25528E-06   3.02948E-06   2.15331E-06   1.50353E-06
+   1.00838E-06   6.32405E-07   3.56524E-07   1.68323E-07   5.57226E-08
+   7.08945E-09   0.00000E+00   2.18325E+07   1.60895E+07   1.15972E+07
+   8.35536E+06   6.01630E+06   4.32951E+06   3.11376E+06   2.23803E+06
+   1.60757E+06   1.15397E+06   8.27816E+05   5.93442E+05   4.25131E+05
+   3.04341E+05   2.17713E+05   1.55628E+05   1.11165E+05   7.93433E+04
+   5.65871E+04   4.03255E+04   2.87142E+04   2.04295E+04   1.45234E+04
+   1.03161E+04   7.32156E+03   5.19134E+03   3.67904E+03   2.59146E+03
+   1.83431E+03   1.29763E+03   9.17529E+02   6.48555E+02   4.58110E+02
+   3.23652E+02   2.28785E+02   1.61916E+02   1.14756E+02   8.15182E+01
+   5.80879E+01   4.15596E+01   2.98852E+01   2.16217E+01   1.57555E+01
+   1.15671E+01   8.57283E+00   6.40668E+00   4.82849E+00   3.66750E+00
+   2.80463E+00   2.15680E+00   1.66590E+00   1.29036E+00   1.00254E+00
+   7.77887E-01   6.03539E-01   4.67378E-01   3.60896E-01   2.77655E-01
+   2.12493E-01   1.62152E-01   1.22602E-01   9.21295E-02   6.86692E-02
+   5.07369E-02   3.70974E-02   2.68217E-02   1.91562E-02   1.34930E-02
+   9.37175E-03   6.39442E-03   4.30149E-03   2.82933E-03   1.82403E-03
+   1.15153E-03   7.11856E-04   4.31396E-04   2.57115E-04   1.51556E-04
+   8.91658E-05   5.27993E-05   3.19992E-05   1.99121E-05   1.28502E-05
+   8.61064E-06   5.96376E-06   4.22827E-06   3.02639E-06   2.15082E-06
+   1.49457E-06   9.93642E-07   6.15530E-07   3.41457E-07   1.57690E-07
+   5.07566E-08   6.47847E-09   0.00000E+00   2.75294E+07   2.02255E+07
+   1.45240E+07   1.04246E+07   7.47766E+06   5.36036E+06   3.84007E+06
+   2.74913E+06   1.96677E+06   1.40608E+06   1.00451E+06   7.17102E+05
+   5.11545E+05   3.64631E+05   2.59708E+05   1.84828E+05   1.31431E+05
+   9.33830E+04   6.62936E+04   4.70220E+04   3.33238E+04   2.35951E+04
+   1.66920E+04   1.17977E+04   8.33092E+03   5.87678E+03   4.14324E+03
+   2.90286E+03   2.04377E+03   1.43798E+03   1.01118E+03   7.10772E+02
+   4.99217E+02   3.50672E+02   2.46446E+02   1.73390E+02   1.22158E+02
+   8.62563E+01   6.10926E+01   4.34434E+01   3.10488E+01   2.23257E+01
+   1.61687E+01   1.17975E+01   8.69003E+00   6.45456E+00   4.83495E+00
+   3.65014E+00   2.77457E+00   2.12097E+00   1.62860E+00   1.25415E+00
+   9.68874E-01   7.47550E-01   5.76815E-01   4.44274E-01   3.41238E-01
+   2.61165E-01   1.98842E-01   1.50971E-01   1.13575E-01   8.49223E-02
+   6.29858E-02   4.63106E-02   3.36968E-02   2.42459E-02   1.72343E-02
+   1.20824E-02   8.35367E-03   5.67433E-03   3.80104E-03   2.49037E-03
+   1.60002E-03   1.00739E-03   6.21739E-04   3.76745E-04   2.24992E-04
+   1.33253E-04   7.90351E-05   4.73533E-05   2.91323E-05   1.84453E-05
+   1.21164E-05   8.24839E-06   5.78190E-06   4.12830E-06   2.96101E-06
+   2.09925E-06   1.44967E-06   9.54650E-07   5.83940E-07   3.18724E-07
+   1.44026E-07   4.51390E-08   5.77944E-09   0.00000E+00   3.43939E+07
+   2.51932E+07   1.80253E+07   1.28901E+07   9.21170E+06   6.57851E+06
+   4.69474E+06   3.34799E+06   2.38583E+06   1.69890E+06   1.20883E+06
+   8.59448E+05   6.10557E+05   4.33387E+05   3.07370E+05   2.17808E+05
+   1.54209E+05   1.09082E+05   7.70913E+04   5.44320E+04   3.83971E+04
+   2.70600E+04   1.90521E+04   1.34008E+04   9.41653E+03   6.60946E+03
+   4.63630E+03   3.23141E+03   2.26327E+03   1.58403E+03   1.10793E+03
+   7.74552E+02   5.41017E+02   3.77914E+02   2.64091E+02   1.84743E+02
+   1.29406E+02   9.08416E+01   6.39628E+01   4.52160E+01   3.21242E+01
+   2.29618E+01   1.65305E+01   1.19897E+01   8.77930E+00   6.48226E+00
+   4.82704E+00   3.62276E+00   2.73767E+00   2.08064E+00   1.58849E+00
+   1.21633E+00   9.34449E-01   7.17030E-01   5.50286E-01   4.21595E-01
+   3.22132E-01   2.45278E-01   1.85798E-01   1.40366E-01   1.05072E-01
+   7.81799E-02   5.77029E-02   4.22216E-02   3.05744E-02   2.18947E-02
+   1.54900E-02   1.08094E-02   7.43992E-03   5.03153E-03   3.35663E-03
+   2.19087E-03   1.40301E-03   8.81148E-04   5.43075E-04   3.29143E-04
+   1.97023E-04   1.17280E-04   7.01361E-05   4.25075E-05   2.65220E-05
+   1.70554E-05   1.13726E-05   7.83961E-06   5.54308E-06   3.97412E-06
+   2.85002E-06   2.01261E-06   1.37992E-06   8.99660E-07   5.43275E-07
+   2.91754E-07   1.29047E-07   3.94302E-08   5.06385E-09   0.00000E+00
+   4.25688E+07   3.10907E+07   2.21659E+07   1.57943E+07   1.12463E+07
+   8.00202E+06   5.68942E+06   4.04208E+06   2.86948E+06   2.03543E+06
+   1.44262E+06   1.02161E+06   7.22850E+05   5.11010E+05   3.60931E+05
+   2.54694E+05   1.79560E+05   1.26470E+05   8.89906E+04   6.25561E+04
+   4.39302E+04   3.08185E+04   2.15982E+04   1.51204E+04   1.05743E+04
+   7.38612E+03   5.15572E+03   3.57529E+03   2.49149E+03   1.73483E+03
+   1.20710E+03   8.39436E+02   5.83201E+02   4.05174E+02   2.81588E+02
+   1.95891E+02   1.36446E+02   9.52431E+01   6.66805E+01   4.68677E+01
+   3.31066E+01   2.35279E+01   1.68406E+01   1.21443E+01   8.84151E+00
+   6.49076E+00   4.80572E+00   3.58618E+00   2.69464E+00   2.03639E+00
+   1.54602E+00   1.17727E+00   8.99535E-01   6.86524E-01   5.24089E-01
+   3.99434E-01   3.03634E-01   2.30025E-01   1.73370E-01   1.30335E-01
+   9.70850E-02   7.18868E-02   5.28028E-02   3.84520E-02   2.77127E-02
+   1.97522E-02   1.39095E-02   9.66232E-03   6.62100E-03   4.45850E-03
+   2.96246E-03   1.92653E-03   1.22990E-03   7.70663E-04   4.74445E-04
+   2.87689E-04   1.72665E-04   1.03328E-04   6.23082E-05   3.81873E-05
+   2.41414E-05   1.57405E-05   1.06292E-05   7.39953E-06   5.26372E-06
+   3.78126E-06   2.70703E-06   1.90208E-06   1.29403E-06   8.34976E-07
+   4.97716E-07   2.62988E-07   1.13898E-07   3.39677E-08   4.37525E-09
+   0.00000E+00   5.22013E+07   3.80188E+07   2.70118E+07   1.91803E+07
+   1.36092E+07   9.64882E+06   6.83557E+06   4.83865E+06   3.42228E+06
+   2.41847E+06   1.70761E+06   1.20463E+06   8.49029E+05   5.97846E+05
+   4.20577E+05   2.95583E+05   2.07532E+05   1.45562E+05   1.01993E+05
+   7.13887E+04   4.99150E+04   3.48625E+04   2.43229E+04   1.69505E+04
+   1.17994E+04   8.20311E+03   5.69880E+03   3.93253E+03   2.72703E+03
+   1.88941E+03   1.30803E+03   9.04977E+02   6.25473E+02   4.32258E+02
+   2.98813E+02   2.06758E+02   1.43234E+02   9.94337E+01   6.92310E+01
+   4.83909E+01   3.39928E+01   2.40232E+01   1.70995E+01   1.22622E+01
+   8.87774E+00   6.48114E+00   4.77195E+00   3.54125E+00   2.64617E+00
+   1.98877E+00   1.50165E+00   1.13729E+00   8.64372E-01   6.56205E-01
+   4.98341E-01   3.77866E-01   2.85788E-01   2.15426E-01   1.61564E-01
+   1.20871E-01   8.95986E-02   6.60256E-02   4.82669E-02   3.49830E-02
+   2.50944E-02   1.78031E-02   1.24796E-02   8.63016E-03   5.88802E-03
+   3.94827E-03   2.61323E-03   1.69343E-03   1.07792E-03   6.74024E-04
+   4.14587E-04   2.51589E-04   1.51443E-04   9.11313E-05   5.54117E-05
+   3.43282E-05   2.19671E-05   1.44989E-05   9.89468E-06   6.94093E-06
+   4.95741E-06   3.56244E-06   2.54299E-06   1.77654E-06   1.19871E-06
+   7.65341E-07   4.50295E-07   2.34112E-07   9.93119E-08   2.89388E-08
+   3.73827E-09   0.00000E+00   6.34420E+07   4.60798E+07   3.26295E+07
+   2.30911E+07   1.63281E+07   1.15365E+07   8.14430E+06   5.74465E+06
+   4.04852E+06   2.85064E+06   2.00536E+06   1.40941E+06   9.89618E+05
+   6.94180E+05   4.86456E+05   3.40541E+05   2.38146E+05   1.66361E+05
+   1.16089E+05   8.09179E+04   5.63395E+04   3.91814E+04   2.72174E+04
+   1.88841E+04   1.30865E+04   9.05647E+03   6.26267E+03   4.30112E+03
+   2.96848E+03   2.04679E+03   1.41006E+03   9.70737E+02   6.67549E+02
+   4.58987E+02   3.15655E+02   2.17274E+02   1.49728E+02   1.03391E+02
+   7.16022E+01   4.97802E+01   3.47806E+01   2.44475E+01   1.73078E+01
+   1.23446E+01   8.88925E+00   6.45454E+00   4.72674E+00   3.48879E+00
+   2.59294E+00   1.93832E+00   1.45575E+00   1.09670E+00   8.29177E-01
+   6.26222E-01   4.73143E-01   3.56950E-01   2.68624E-01   2.01493E-01
+   1.50376E-01   1.11962E-01   8.25967E-02   6.05773E-02   4.40756E-02
+   3.17962E-02   2.27027E-02   1.60325E-02   1.11877E-02   7.70260E-03
+   5.23273E-03   3.49444E-03   2.30412E-03   1.48806E-03   9.44577E-04
+   5.89536E-04   3.62391E-04   2.20147E-04   1.32942E-04   8.04564E-05
+   4.93259E-05   3.08744E-05   1.99791E-05   1.33289E-05   9.17626E-06
+   6.47436E-06   4.63532E-06   3.32795E-06   2.36662E-06   1.64289E-06
+   1.09909E-06   6.94247E-07   4.03156E-07   2.06253E-07   8.57286E-08
+   2.44318E-08   3.16498E-09   0.00000E+00   7.64437E+07   5.53771E+07
+   3.90857E+07   2.75693E+07   1.94301E+07   1.36822E+07   9.62626E+06
+   6.76666E+06   4.75220E+06   3.33434E+06   2.33727E+06   1.63676E+06
+   1.14505E+06   8.00234E+05   5.58670E+05   3.89606E+05   2.71407E+05
+   1.88854E+05   1.31262E+05   9.11259E+04   6.31878E+04   4.37619E+04
+   3.02714E+04   2.09133E+04   1.44298E+04   9.94198E+03   6.84434E+03
+   4.67896E+03   3.21441E+03   2.20602E+03   1.51256E+03   1.03630E+03
+   7.09161E+02   4.85192E+02   3.32011E+02   2.27379E+02   1.55893E+02
+   1.07096E+02   7.37851E+01   5.10316E+01   3.54694E+01   2.48016E+01
+   1.74668E+01   1.23928E+01   8.87739E+00   6.41219E+00   4.67110E+00
+   3.42962E+00   2.53559E+00   1.88552E+00   1.40872E+00   1.05576E+00
+   7.94142E-01   5.96706E-01   4.48575E-01   3.36733E-01   2.52165E-01
+   1.88229E-01   1.39798E-01   1.03594E-01   7.60606E-02   5.55220E-02
+   4.02092E-02   2.88730E-02   2.05211E-02   1.44262E-02   1.00220E-02
+   6.86999E-03   4.64752E-03   3.09117E-03   2.03073E-03   1.30724E-03
+   8.27644E-04   5.15693E-04   3.16878E-04   1.92754E-04   1.16802E-04
+   7.11021E-05   4.39464E-05   2.77778E-05   1.81597E-05   1.22289E-05
+   8.47971E-06   6.00842E-06   4.30648E-06   3.08599E-06   2.18476E-06
+   1.50642E-06   9.98961E-07   6.24199E-07   3.57761E-07   1.80115E-07
+   7.33800E-08   2.04716E-08   2.65930E-09   0.00000E+00   9.13598E+07
+   6.60138E+07   4.64461E+07   3.26567E+07   2.29414E+07   1.61022E+07
+   1.12915E+07   7.91078E+06   5.53697E+06   3.87169E+06   2.70456E+06
+   1.88733E+06   1.31566E+06   9.16163E+05   6.37274E+05   4.42783E+05
+   3.07297E+05   2.13017E+05   1.47486E+05   1.01989E+05   7.04406E+04
+   4.85889E+04   3.34732E+04   2.30295E+04   1.58230E+04   1.08552E+04
+   7.44071E+03   5.06395E+03   3.46339E+03   2.36614E+03   1.61490E+03
+   1.10127E+03   7.50060E+02   5.10719E+02   3.47788E+02   2.37020E+02
+   1.61702E+02   1.10534E+02   7.57729E+01   5.21431E+01   3.60592E+01
+   2.50867E+01   1.75782E+01   1.24086E+01   8.84363E+00   6.35530E+00
+   4.60604E+00   3.36455E+00   2.47473E+00   1.83083E+00   1.36088E+00
+   1.01471E+00   7.59432E-01   5.67764E-01   4.24704E-01   3.17251E-01
+   2.36424E-01   1.75632E-01   1.29819E-01   9.57490E-02   6.99704E-02
+   5.08392E-02   3.66481E-02   2.61956E-02   1.85338E-02   1.29708E-02
+   8.97136E-03   6.12341E-03   4.12540E-03   2.73313E-03   1.78913E-03
+   1.14813E-03   7.25147E-04   4.51169E-04   2.77191E-04   1.68878E-04
+   1.02709E-04   6.28944E-05   3.91834E-05   2.49971E-05   1.64938E-05
+   1.11973E-05   7.80958E-06   5.55003E-06   3.97805E-06   2.84299E-06
+   2.00267E-06   1.37109E-06   9.01090E-07   5.56932E-07   3.15052E-07
+   1.56102E-07   6.23579E-08   1.70443E-08   2.22008E-09   0.00000E+00
+   1.48587E+06   2.05202E+06   1.50356E+06   1.10167E+06   8.07206E+05
+   5.91450E+05   4.33366E+05   3.17537E+05   2.32668E+05   1.70485E+05
+   1.24922E+05   9.15375E+04   6.70762E+04   4.91528E+04   3.60199E+04
+   2.63969E+04   1.93458E+04   1.41790E+04   1.03929E+04   7.61854E+03
+   5.58546E+03   4.09554E+03   3.00363E+03   2.20335E+03   1.61678E+03
+   1.18681E+03   8.71599E+02   6.37434E+02   4.68828E+02   3.45134E+02
+   2.54364E+02   1.87725E+02   1.38711E+02   1.02715E+02   7.62599E+01
+   5.68049E+01   4.24666E+01   3.18865E+01   2.40620E+01   1.82585E+01
+   1.39376E+01   1.07053E+01   8.27360E+00   6.42967E+00   5.02718E+00
+   3.94736E+00   3.11102E+00   2.45901E+00   1.94804E+00   1.54617E+00
+   1.22945E+00   9.79510E-01   7.83012E-01   6.26523E-01   5.02983E-01
+   4.04942E-01   3.26941E-01   2.64693E-01   2.14841E-01   1.75120E-01
+   1.42724E-01   1.16589E-01   9.53328E-02   7.79903E-02   6.37534E-02
+   5.20425E-02   4.23809E-02   3.43861E-02   2.77716E-02   2.22801E-02
+   1.77704E-02   1.40115E-02   1.09220E-02   8.39789E-03   6.35344E-03
+   4.71638E-03   3.42473E-03   2.42436E-03   1.66723E-03   1.10900E-03
+   7.13879E-04   4.40638E-04   2.60515E-04   1.46777E-04   7.82738E-05
+   3.91513E-05   1.81458E-05   7.63919E-06   2.86665E-06   9.21710E-07
+   2.40119E-07   4.61361E-08   5.47966E-09   2.70573E-10   1.56257E-12
+   0.00000E+00   2.80380E+06   2.09650E+06   1.53799E+06   1.12829E+06
+   8.27764E+05   6.07314E+05   4.45596E+05   3.26958E+05   2.39920E+05
+   1.76061E+05   1.29208E+05   9.48291E+04   6.96024E+04   5.10904E+04
+   3.75050E+04   2.75345E+04   2.02166E+04   1.48452E+04   1.09023E+04
+   8.00780E+03   5.88273E+03   4.32241E+03   3.17666E+03   2.33523E+03
+   1.71722E+03   1.26320E+03   9.29677E+02   6.81359E+02   5.02161E+02
+   3.70399E+02   2.73487E+02   2.02176E+02   1.49607E+02   1.10914E+02
+   8.24149E+01   6.14138E+01   4.59068E+01   3.44453E+01   2.59574E+01
+   1.96557E+01   1.49618E+01   1.14513E+01   8.81281E+00   6.81578E+00
+   5.30112E+00   4.13933E+00   3.24365E+00   2.54910E+00   2.00798E+00
+   1.58497E+00   1.25365E+00   9.93716E-01   7.90526E-01   6.29570E-01
+   5.03137E-01   4.03268E-01   3.24163E-01   2.61311E-01   2.11166E-01
+   1.71374E-01   1.39047E-01   1.13072E-01   9.20294E-02   7.49322E-02
+   6.09571E-02   4.95126E-02   4.01155E-02   3.23773E-02   2.60103E-02
+   2.07517E-02   1.64584E-02   1.29015E-02   9.99667E-03   7.63924E-03
+   5.74299E-03   4.23539E-03   3.05469E-03   2.14707E-03   1.46567E-03
+   9.67072E-04   6.16934E-04   3.76712E-04   2.19659E-04   1.21373E-04
+   6.28113E-05   2.98214E-05   1.24857E-05   4.12863E-06   6.12892E-07
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   2.94738E+06   2.20639E+06   1.62083E+06
+   1.19072E+06   8.74795E+05   6.42732E+05   4.72258E+05   3.47022E+05
+   2.55012E+05   1.87410E+05   1.37738E+05   1.01238E+05   7.44152E+04
+   5.47031E+04   4.02157E+04   2.95674E+04   2.17405E+04   1.59869E+04
+   1.17573E+04   8.64761E+03   6.36127E+03   4.68011E+03   3.44386E+03
+   2.53468E+03   1.86599E+03   1.37403E+03   1.01220E+03   7.42465E+02
+   5.47574E+02   4.04110E+02   2.98476E+02   2.20673E+02   1.63268E+02
+   1.20984E+02   8.98220E+01   6.68497E+01   4.98843E+01   3.73461E+01
+   2.80650E+01   2.11801E+01   1.60587E+01   1.22355E+01   9.36936E+00
+   7.20703E+00   5.57353E+00   4.32646E+00   3.37018E+00   2.63297E+00
+   2.06213E+00   1.61868E+00   1.27352E+00   1.00432E+00   7.95094E-01
+   6.30238E-01   5.01389E-01   4.00090E-01   3.20207E-01   2.57015E-01
+   2.06794E-01   1.67104E-01   1.34987E-01   1.09283E-01   8.85445E-02
+   7.17633E-02   5.81049E-02   4.69689E-02   3.78677E-02   3.04092E-02
+   2.43048E-02   1.92888E-02   1.52166E-02   1.18628E-02   9.14063E-03
+   6.94563E-03   5.19177E-03   3.80695E-03   2.73005E-03   1.90818E-03
+   1.29575E-03   8.50782E-04   5.40513E-04   3.29064E-04   1.91680E-04
+   1.06183E-04   5.54651E-05   2.69702E-05   1.19701E-05   4.65551E-06
+   1.46139E-06   2.55385E-07   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   3.20540E+06   2.40197E+06
+   1.76662E+06   1.29936E+06   9.55720E+05   7.02988E+05   5.17106E+05
+   3.80387E+05   2.79824E+05   2.05852E+05   1.51439E+05   1.11411E+05
+   8.19654E+04   6.03034E+04   4.43672E+04   3.26431E+04   2.40176E+04
+   1.76718E+04   1.30030E+04   9.56798E+03   7.04074E+03   5.18132E+03
+   3.81326E+03   2.80668E+03   2.06607E+03   1.52101E+03   1.12010E+03
+   8.21188E+02   6.05224E+02   4.46267E+02   3.29257E+02   2.43108E+02
+   1.79582E+02   1.32822E+02   9.83926E+01   7.30397E+01   5.43414E+01
+   4.05448E+01   3.03518E+01   2.28076E+01   1.72108E+01   1.30458E+01
+   9.93495E+00   7.59786E+00   5.84080E+00   4.50652E+00   3.48928E+00
+   2.70986E+00   2.11013E+00   1.64719E+00   1.28911E+00   1.01147E+00
+   7.96899E-01   6.28729E-01   4.97942E-01   3.95600E-01   3.15251E-01
+   2.51966E-01   2.01868E-01   1.62435E-01   1.30652E-01   1.05316E-01
+   8.49552E-02   6.85467E-02   5.52476E-02   4.44512E-02   3.56677E-02
+   2.85031E-02   2.26691E-02   1.78992E-02   1.40476E-02   1.08935E-02
+   8.34862E-03   6.30922E-03   4.69011E-03   3.42011E-03   2.43919E-03
+   1.69577E-03   1.14574E-03   7.48817E-04   4.73922E-04   2.87773E-04
+   1.67537E-04   9.30953E-05   4.91079E-05   2.44395E-05   1.14154E-05
+   4.98073E-06   2.06310E-06   8.41752E-07   3.65799E-07   1.78160E-07
+   9.07792E-08   3.95290E-08   4.86801E-09   0.00000E+00   3.61026E+06
+   2.70688E+06   1.99218E+06   1.46616E+06   1.07901E+06   7.94067E+05
+   5.84358E+05   4.30019E+05   3.16431E+05   2.32837E+05   1.71319E+05
+   1.26048E+05   9.27348E+04   6.82216E+04   5.01849E+04   3.69143E+04
+   2.71509E+04   1.99684E+04   1.46849E+04   1.07986E+04   7.94029E+03
+   5.83819E+03   4.29242E+03   3.15580E+03   2.32013E+03   1.70562E+03
+   1.25409E+03   9.17821E+02   6.75164E+02   4.96804E+02   3.65707E+02
+   2.69346E+02   1.98418E+02   1.46314E+02   1.08032E+02   7.99084E+01
+   5.92199E+01   4.39976E+01   3.27856E+01   2.45151E+01   1.84019E+01
+   1.38711E+01   1.05021E+01   7.98339E+00   6.09982E+00   4.67763E+00
+   3.59988E+00   2.77924E+00   2.15180E+00   1.67051E+00   1.30053E+00
+   1.01532E+00   7.96129E-01   6.25233E-01   4.92978E-01   3.89964E-01
+   3.09444E-01   2.46294E-01   1.96499E-01   1.57461E-01   1.26119E-01
+   1.01233E-01   8.13123E-02   6.53223E-02   5.24157E-02   4.19823E-02
+   3.35314E-02   2.66698E-02   2.11098E-02   1.65857E-02   1.29519E-02
+   9.99231E-03   7.61812E-03   5.72677E-03   4.23447E-03   3.07138E-03
+   2.17891E-03   1.50703E-03   1.01334E-03   6.59406E-04   4.15868E-04
+   2.51952E-04   1.46662E-04   8.17831E-05   4.35753E-05   2.21699E-05
+   1.08232E-05   5.13612E-06   2.46063E-06   1.24075E-06   6.73150E-07
+   3.76132E-07   1.96288E-07   7.97409E-08   9.92035E-09   0.00000E+00
+   4.19856E+06   3.14769E+06   2.31628E+06   1.70434E+06   1.25395E+06
+   9.22493E+05   6.78576E+05   4.99097E+05   3.67044E+05   2.69896E+05
+   1.98434E+05   1.45873E+05   1.07218E+05   7.87936E+04   5.78956E+04
+   4.25330E+04   3.12415E+04   2.29435E+04   1.68465E+04   1.23674E+04
+   9.07764E+03   6.66173E+03   4.88799E+03   3.58593E+03   2.63032E+03
+   1.92895E+03   1.41467E+03   1.03249E+03   7.57336E+02   5.55577E+02
+   4.07657E+02   2.99222E+02   2.19631E+02   1.61338E+02   1.18642E+02
+   8.73802E+01   6.44627E+01   4.76623E+01   3.53361E+01   2.62810E+01
+   1.96173E+01   1.47014E+01   1.10642E+01   8.35946E+00   6.34809E+00
+   4.83832E+00   3.70121E+00   2.84079E+00   2.18706E+00   1.68872E+00
+   1.30793E+00   1.01606E+00   7.92984E-01   6.19943E-01   4.86673E-01
+   3.83340E-01   3.02921E-01   2.40116E-01   1.90784E-01   1.52263E-01
+   1.21455E-01   9.70877E-02   7.76571E-02   6.21221E-02   4.96331E-02
+   3.95790E-02   3.14705E-02   2.49161E-02   1.96302E-02   1.53494E-02
+   1.19285E-02   9.15698E-03   6.94599E-03   5.19478E-03   3.82128E-03
+   2.75737E-03   1.94617E-03   1.33941E-03   8.96506E-04   5.80983E-04
+   3.65222E-04   2.20841E-04   1.28584E-04   7.19819E-05   3.87438E-05
+   2.01274E-05   1.02096E-05   5.16216E-06   2.70177E-06   1.49767E-06
+   8.69968E-07   4.99031E-07   2.58186E-07   1.00822E-07   1.26006E-08
+   0.00000E+00   2.91896E+06   3.75380E+06   2.75956E+06   2.02837E+06
+   1.49066E+06   1.09530E+06   8.04641E+05   5.90999E+05   4.33991E+05
+   3.18626E+05   2.33876E+05   1.71628E+05   1.25917E+05   9.23578E+04
+   6.77252E+04   4.96492E+04   3.63878E+04   2.66611E+04   1.95289E+04
+   1.43005E+04   1.04690E+04   7.66176E+03   5.60574E+03   4.10030E+03
+   2.99834E+03   2.19177E+03   1.60207E+03   1.16516E+03   8.51579E+02
+   6.22379E+02   4.54899E+02   3.32547E+02   2.43063E+02   1.77766E+02
+   1.30125E+02   9.53801E+01   7.00146E+01   5.14991E+01   3.79750E+01
+   2.80860E+01   2.08437E+01   1.55280E+01   1.16158E+01   8.72264E+00
+   6.58355E+00   4.98750E+00   3.79276E+00   2.89433E+00   2.21595E+00
+   1.70195E+00   1.31151E+00   1.01392E+00   7.87666E-01   6.13045E-01
+   4.79193E-01   3.75872E-01   2.95806E-01   2.33534E-01   1.84809E-01
+   1.46910E-01   1.16715E-01   9.29228E-02   7.40231E-02   5.89708E-02
+   4.69177E-02   3.72538E-02   2.94925E-02   2.32462E-02   1.82320E-02
+   1.41897E-02   1.09753E-02   8.38451E-03   6.32878E-03   4.70963E-03
+   3.44705E-03   2.47487E-03   1.73817E-03   1.19057E-03   7.93394E-04
+   5.12167E-04   3.21005E-04   1.93790E-04   1.12901E-04   6.34693E-05
+   3.45107E-05   1.82834E-05   9.58772E-06   5.09114E-06   2.82421E-06
+   1.64768E-06   9.85052E-07   5.67705E-07   2.89592E-07   1.09397E-07
+   1.37212E-08   0.00000E+00   6.31684E+06   4.72365E+06   3.46520E+06
+   2.54147E+06   1.86350E+06   1.36601E+06   1.00105E+06   7.33386E+05
+   5.37128E+05   3.93268E+05   2.87846E+05   2.10614E+05   1.54052E+05
+   1.12641E+05   8.23319E+04   6.01561E+04   4.39368E+04   3.20782E+04
+   2.34111E+04   1.70790E+04   1.24546E+04   9.07864E+03   6.61518E+03
+   4.81823E+03   3.50801E+03   2.55286E+03   1.85745E+03   1.34441E+03
+   9.77818E+02   7.11069E+02   5.17047E+02   3.75976E+02   2.73302E+02
+   1.98755E+02   1.44643E+02   1.05386E+02   7.68810E+01   5.61893E+01
+   4.11618E+01   3.02379E+01   2.22861E+01   1.64860E+01   1.22450E+01
+   9.12943E+00   6.84177E+00   5.14684E+00   3.88716E+00   2.94669E+00
+   2.24162E+00   1.71113E+00   1.31090E+00   1.00778E+00   7.78737E-01
+   6.02979E-01   4.68989E-01   3.66095E-01   2.86753E-01   2.25338E-01
+   1.77498E-01   1.40455E-01   1.11072E-01   8.80207E-02   6.97897E-02
+   5.53346E-02   4.38119E-02   3.46161E-02   2.72662E-02   2.13804E-02
+   1.66801E-02   1.29109E-02   9.93043E-03   7.54224E-03   5.65893E-03
+   4.18507E-03   3.04344E-03   2.17047E-03   1.51369E-03   1.02912E-03
+   6.80368E-04   4.35312E-04   2.70069E-04   1.61010E-04   9.22854E-05
+   5.07160E-05   2.66732E-05   1.34319E-05   6.52411E-06   3.10479E-06
+   1.50551E-06   7.71294E-07   4.21318E-07   2.33006E-07   1.18170E-07
+   4.52225E-08   5.65181E-09   0.00000E+00   8.08565E+06   6.03168E+06
+   4.41184E+06   3.22614E+06   2.35829E+06   1.72329E+06   1.25882E+06
+   9.19194E+05   6.70941E+05   4.89542E+05   3.57043E+05   2.60298E+05
+   1.89687E+05   1.38169E+05   1.00599E+05   7.32110E+04   5.32546E+04
+   3.87195E+04   2.81380E+04   2.04382E+04   1.48381E+04   1.07670E+04
+   7.80904E+03   5.66083E+03   4.10150E+03   2.96994E+03   2.14999E+03
+   1.54799E+03   1.11994E+03   8.10024E+02   5.85747E+02   4.23526E+02
+   3.06084E+02   2.21275E+02   1.60055E+02   1.15891E+02   8.40072E+01
+   6.09984E+01   4.43878E+01   3.23869E+01   2.37055E+01   1.74138E+01
+   1.28434E+01   9.50837E+00   7.07625E+00   5.28679E+00   3.96617E+00
+   2.98710E+00   2.25819E+00   1.71348E+00   1.30520E+00   9.97900E-01
+   7.67085E-01   5.90957E-01   4.57399E-01   3.55355E-01   2.77048E-01
+   2.16718E-01   1.69931E-01   1.33864E-01   1.05378E-01   8.31288E-02
+   6.56080E-02   5.17768E-02   4.08009E-02   3.20816E-02   2.51456E-02
+   1.96185E-02   1.52274E-02   1.17243E-02   8.96967E-03   6.77515E-03
+   5.05502E-03   3.71730E-03   2.68786E-03   1.90597E-03   1.32177E-03
+   8.93781E-04   5.87953E-04   3.74537E-04   2.31595E-04   1.37843E-04
+   7.90918E-05   4.37115E-05   2.32994E-05   1.20459E-05   6.12866E-06
+   3.13702E-06   1.67207E-06   9.39878E-07   5.45068E-07   3.06492E-07
+   1.52398E-07   5.53671E-08   6.96399E-09   0.00000E+00   1.04116E+07
+   7.74469E+06   5.64549E+06   4.11395E+06   2.99666E+06   2.18190E+06
+   1.58797E+06   1.15521E+06   8.40000E+05   6.10515E+05   4.43513E+05
+   3.22035E+05   2.33713E+05   1.69528E+05   1.22905E+05   8.90566E+04
+   6.44949E+04   4.66811E+04   3.37686E+04   2.44136E+04   1.76401E+04
+   1.27384E+04   9.19332E+03   6.63087E+03   4.77978E+03   3.44304E+03
+   2.47929E+03   1.77530E+03   1.27734E+03   9.18701E+02   6.60546E+02
+   4.74834E+02   3.41128E+02   2.45118E+02   1.76207E+02   1.26785E+02
+   9.13160E+01   6.58731E+01   4.76174E+01   3.45095E+01   2.50872E+01
+   1.83022E+01   1.34058E+01   9.85645E+00   7.28551E+00   5.40679E+00
+   4.02976E+00   3.01584E+00   2.26605E+00   1.70941E+00   1.29483E+00
+   9.84674E-01   7.53056E-01   5.77278E-01   4.44676E-01   3.43863E-01
+   2.66867E-01   2.07819E-01   1.62226E-01   1.27231E-01   9.97109E-02
+   7.83071E-02   6.15239E-02   4.83322E-02   3.79097E-02   2.96673E-02
+   2.31412E-02   1.79658E-02   1.38747E-02   1.06276E-02   8.08815E-03
+   6.07645E-03   4.50894E-03   3.29738E-03   2.37096E-03   1.67193E-03
+   1.15316E-03   7.75724E-04   5.07882E-04   3.22220E-04   1.98672E-04
+   1.18120E-04   6.79005E-05   3.77744E-05   2.04224E-05   1.08341E-05
+   5.74367E-06   3.11073E-06   1.76323E-06   1.04108E-06   6.18796E-07
+   3.48251E-07   1.70064E-07   5.97087E-08   7.54120E-09   0.00000E+00
+   1.34002E+07   9.93741E+06   7.21725E+06   5.23975E+06   3.80229E+06
+   2.75785E+06   1.99932E+06   1.44868E+06   1.04916E+06   7.59409E+05
+   5.49385E+05   3.97224E+05   2.87043E+05   2.07303E+05   1.49626E+05
+   1.07930E+05   7.78057E+04   5.60536E+04   4.03570E+04   2.90368E+04
+   2.08782E+04   1.50019E+04   1.07723E+04   7.72990E+03   5.54294E+03
+   3.97157E+03   2.84449E+03   2.02549E+03   1.44925E+03   1.03645E+03
+   7.40918E+02   5.29494E+02   3.78130E+02   2.70060E+02   1.92942E+02
+   1.37957E+02   9.87305E+01   7.07619E+01   5.08165E+01   3.65841E+01
+   2.64175E+01   1.91432E+01   1.39274E+01   1.01713E+01   7.46858E+00
+   5.50662E+00   4.07815E+00   3.03329E+00   2.26566E+00   1.69940E+00
+   1.28024E+00   9.68482E-01   7.36974E-01   5.62212E-01   4.31043E-01
+   3.31799E-01   2.56354E-01   1.98755E-01   1.54470E-01   1.20625E-01
+   9.41204E-02   7.35929E-02   5.75643E-02   4.50191E-02   3.51502E-02
+   2.73801E-02   2.12561E-02   1.64224E-02   1.26204E-02   9.61779E-03
+   7.28206E-03   5.44199E-03   4.01651E-03   2.92136E-03   2.08916E-03
+   1.46526E-03   1.00529E-03   6.72886E-04   4.38582E-04   2.77216E-04
+   1.70503E-04   1.01317E-04   5.83868E-05   3.27181E-05   1.79457E-05
+   9.75438E-06   5.35724E-06   3.02870E-06   1.78723E-06   1.08374E-06
+   6.49697E-07   3.63150E-07   1.73863E-07   5.91702E-08   7.50050E-09
+   0.00000E+00   1.71663E+07   1.26904E+07   9.18182E+06   6.64057E+06
+   4.80014E+06   3.46793E+06   2.50407E+06   1.80709E+06   1.30335E+06
+   9.39479E+05   6.76785E+05   4.87243E+05   3.50564E+05   2.52062E+05
+   1.81117E+05   1.30053E+05   9.33215E+04   6.69172E+04   4.79496E+04
+   3.43333E+04   2.45657E+04   1.75637E+04   1.25482E+04   8.95805E+03
+   6.39013E+03   4.55432E+03   3.24435E+03   2.29742E+03   1.63472E+03
+   1.16251E+03   8.26289E+02   5.87076E+02   4.16777E+02   2.95877E+02
+   2.10100E+02   1.49299E+02   1.06178E+02   7.56168E+01   5.39544E+01
+   3.85913E+01   2.76849E+01   1.99300E+01   1.44049E+01   1.04515E+01
+   7.62495E+00   5.58640E+00   4.11174E+00   3.04000E+00   2.25758E+00
+   1.68395E+00   1.26186E+00   9.49701E-01   7.19153E-01   5.46013E-01
+   4.16702E-01   3.19325E-01   2.45635E-01   1.89622E-01   1.46737E-01
+   1.14100E-01   8.86474E-02   6.90153E-02   5.37490E-02   4.18502E-02
+   3.25297E-02   2.52232E-02   1.94905E-02   1.49867E-02   1.14613E-02
+   8.69092E-03   6.54708E-03   4.86737E-03   3.57352E-03   2.58536E-03
+   1.83905E-03   1.28306E-03   8.75803E-04   5.83410E-04   3.78657E-04
+   2.38523E-04   1.46402E-04   8.69926E-05   5.02877E-05   2.83998E-05
+   1.58033E-05   8.78619E-06   4.97305E-06   2.90528E-06   1.76114E-06
+   1.08345E-06   6.50006E-07   3.59559E-07   1.68647E-07   5.57378E-08
+   7.08957E-09   0.00000E+00   2.18325E+07   1.60895E+07   1.15971E+07
+   8.35536E+06   6.01630E+06   4.32950E+06   3.11376E+06   2.23802E+06
+   1.60757E+06   1.15397E+06   8.27812E+05   5.93438E+05   4.25127E+05
+   3.04337E+05   2.17710E+05   1.55625E+05   1.11162E+05   7.93405E+04
+   5.65845E+04   4.03229E+04   2.87117E+04   2.04272E+04   1.45212E+04
+   1.03141E+04   7.31959E+03   5.18946E+03   3.67725E+03   2.58976E+03
+   1.83268E+03   1.29607E+03   9.16045E+02   6.47134E+02   4.56748E+02
+   3.22345E+02   2.27529E+02   1.60706E+02   1.13590E+02   8.03940E+01
+   5.70036E+01   4.05145E+01   2.88798E+01   2.06576E+01   1.48358E+01
+   1.06958E+01   7.75457E+00   5.64652E+00   4.13110E+00   3.03658E+00
+   2.24238E+00   1.66358E+00   1.24014E+00   9.28691E-01   6.99885E-01
+   5.28914E-01   4.01837E-01   3.06582E-01   2.34818E-01   1.80503E-01
+   1.39090E-01   1.07703E-01   8.33238E-02   6.45961E-02   5.00921E-02
+   3.88340E-02   3.00521E-02   2.31974E-02   1.78430E-02   1.36557E-02
+   1.03936E-02   7.84255E-03   5.87865E-03   4.34816E-03   3.17584E-03
+   2.28569E-03   1.61743E-03   1.12266E-03   7.62542E-04   5.05637E-04
+   3.26875E-04   2.05268E-04   1.25782E-04   7.47737E-05   4.33817E-05
+   2.47011E-05   1.39415E-05   7.91369E-06   4.59485E-06   2.75257E-06
+   1.69889E-06   1.05262E-06   6.29220E-07   3.43793E-07   1.57937E-07
+   5.07681E-08   6.47857E-09   0.00000E+00   2.75294E+07   2.02255E+07
+   1.45240E+07   1.04246E+07   7.47765E+06   5.36035E+06   3.84007E+06
+   2.74912E+06   1.96677E+06   1.40607E+06   1.00451E+06   7.17098E+05
+   5.11541E+05   3.64627E+05   2.59704E+05   1.84825E+05   1.31428E+05
+   9.33798E+04   6.62906E+04   4.70191E+04   3.33211E+04   2.35925E+04
+   1.66895E+04   1.17954E+04   8.32870E+03   5.87468E+03   4.14124E+03
+   2.90096E+03   2.04196E+03   1.43626E+03   1.00954E+03   7.09209E+02
+   4.97724E+02   3.49245E+02   2.45080E+02   1.72082E+02   1.20904E+02
+   8.50538E+01   5.99398E+01   4.23395E+01   2.99942E+01   2.13218E+01
+   1.52182E+01   1.09041E+01   7.85771E+00   5.68756E+00   4.13694E+00
+   3.02369E+00   2.22067E+00   1.63881E+00   1.21549E+00   9.05797E-01
+   6.79441E-01   5.11128E-01   3.86612E-01   2.93695E-01   2.23997E-01
+   1.71468E-01   1.31578E-01   1.01468E-01   7.81742E-02   6.03514E-02
+   4.66032E-02   3.59749E-02   2.77186E-02   2.13014E-02   1.63106E-02
+   1.24253E-02   9.41258E-03   7.06796E-03   5.27211E-03   3.87997E-03
+   2.81950E-03   2.01887E-03   1.42136E-03   9.81654E-04   6.63585E-04
+   4.38094E-04   2.82156E-04   1.76694E-04   1.08134E-04   6.43418E-05
+   3.74829E-05   2.15235E-05   1.23166E-05   7.12447E-06   4.22616E-06
+   2.58059E-06   1.61166E-06   1.00097E-06   5.94585E-07   3.20522E-07
+   1.44214E-07   4.51477E-08   5.77952E-09   0.00000E+00   3.43939E+07
+   2.51932E+07   1.80253E+07   1.28901E+07   9.21170E+06   6.57850E+06
+   4.69473E+06   3.34798E+06   2.38582E+06   1.69890E+06   1.20882E+06
+   8.59443E+05   6.10553E+05   4.33383E+05   3.07366E+05   2.17804E+05
+   1.54205E+05   1.09078E+05   7.70879E+04   5.44287E+04   3.83940E+04
+   2.70570E+04   1.90493E+04   1.33982E+04   9.41405E+03   6.60712E+03
+   4.63407E+03   3.22931E+03   2.26128E+03   1.58213E+03   1.10613E+03
+   7.72840E+02   5.39388E+02   3.76363E+02   2.62614E+02   1.83335E+02
+   1.28063E+02   8.95609E+01   6.27422E+01   4.40545E+01   3.10220E+01
+   2.19199E+01   1.55514E+01   1.10764E+01   7.93499E+00   5.71030E+00
+   4.13002E+00   3.00206E+00   2.19307E+00   1.61014E+00   1.18834E+00
+   8.81339E-01   6.58074E-01   4.92846E-01   3.71171E-01   2.80774E-01
+   2.13253E-01   1.62574E-01   1.24243E-01   9.54245E-02   7.32167E-02
+   5.62919E-02   4.32878E-02   3.32749E-02   2.55282E-02   1.95323E-02
+   1.48893E-02   1.12908E-02   8.51348E-03   6.36229E-03   4.72286E-03
+   3.45858E-03   2.50074E-03   1.78165E-03   1.24812E-03   8.57824E-04
+   5.77208E-04   3.79477E-04   2.43553E-04   1.52144E-04   9.30261E-05
+   5.54269E-05   3.24351E-05   1.87858E-05   1.08929E-05   6.40872E-06
+   3.87004E-06   2.39747E-06   1.50831E-06   9.36029E-07   5.51551E-07
+   2.93138E-07   1.29190E-07   3.94368E-08   5.06391E-09   0.00000E+00
+   4.25688E+07   3.10907E+07   2.21659E+07   1.57943E+07   1.12463E+07
+   8.00201E+06   5.68941E+06   4.04207E+06   2.86948E+06   2.03542E+06
+   1.44262E+06   1.02161E+06   7.22845E+05   5.11005E+05   3.60926E+05
+   2.54690E+05   1.79556E+05   1.26466E+05   8.89867E+04   6.25525E+04
+   4.39268E+04   3.08152E+04   2.15951E+04   1.51175E+04   1.05715E+04
+   7.38352E+03   5.15326E+03   3.57297E+03   2.48930E+03   1.73275E+03
+   1.20513E+03   8.37571E+02   5.81433E+02   4.03497E+02   2.79997E+02
+   1.94381E+02   1.35014E+02   9.38843E+01   6.53930E+01   4.56501E+01
+   3.19586E+01   2.24502E+01   1.58351E+01   1.12132E+01   7.98723E+00
+   5.71565E+00   4.11121E+00   2.97243E+00   2.16019E+00   1.57808E+00
+   1.15906E+00   8.55619E-01   6.36009E-01   4.74240E-01   3.55642E-01
+   2.67909E-01   2.02651E-01   1.53868E-01   1.17116E-01   8.95923E-02
+   6.84641E-02   5.24244E-02   4.01483E-02   3.07332E-02   2.34783E-02
+   1.78862E-02   1.35744E-02   1.02473E-02   7.69121E-03   5.72068E-03
+   4.22638E-03   3.07993E-03   2.21602E-03   1.57105E-03   1.09523E-03
+   7.49193E-04   5.01873E-04   3.28638E-04   2.10242E-04   1.31051E-04
+   8.00863E-05   4.78004E-05   2.81076E-05   1.64204E-05   9.64112E-06
+   5.75858E-06   3.52903E-06   2.20967E-06   1.39574E-06   8.63523E-07
+   5.04148E-07   2.64053E-07   1.14007E-07   3.39727E-08   4.37529E-09
+   0.00000E+00   5.22013E+07   3.80188E+07   2.70118E+07   1.91803E+07
+   1.36092E+07   9.64882E+06   6.83556E+06   4.83864E+06   3.42228E+06
+   2.41846E+06   1.70760E+06   1.20462E+06   8.49023E+05   5.97841E+05
+   4.20572E+05   2.95578E+05   2.07527E+05   1.45558E+05   1.01988E+05
+   7.13846E+04   4.99112E+04   3.48589E+04   2.43195E+04   1.69473E+04
+   1.17963E+04   8.20024E+03   5.69609E+03   3.92998E+03   2.72463E+03
+   1.88714E+03   1.30589E+03   9.02952E+02   6.23561E+02   4.30452E+02
+   2.97107E+02   2.05146E+02   1.41712E+02   9.79974E+01   6.78776E+01
+   4.71187E+01   3.28008E+01   2.29116E+01   1.60695E+01   1.13155E+01
+   8.01549E+00   5.70463E+00   4.08141E+00   2.93555E+00   2.12263E+00
+   1.54308E+00   1.12802E+00   8.28910E-01   6.13455E-01   4.55461E-01
+   3.40135E-01   2.55181E-01   1.92247E-01   1.45389E-01   1.10222E-01
+   8.39871E-02   6.39247E-02   4.87524E-02   3.71846E-02   2.83474E-02
+   2.15649E-02   1.63583E-02   1.23606E-02   9.28950E-03   6.94066E-03
+   5.13837E-03   3.77834E-03   2.74021E-03   1.96206E-03   1.38429E-03
+   9.60453E-04   6.53984E-04   4.36218E-04   2.84567E-04   1.81503E-04
+   1.12927E-04   6.89976E-05   4.12685E-05   2.43903E-05   1.43709E-05
+   8.53731E-06   5.16758E-06   3.20512E-06   2.02227E-06   1.27927E-06
+   7.87741E-07   4.55293E-07   2.34932E-07   9.93952E-08   2.89426E-08
+   3.73831E-09   0.00000E+00   6.34420E+07   4.60798E+07   3.26295E+07
+   2.30911E+07   1.63281E+07   1.15365E+07   8.14429E+06   5.74464E+06
+   4.04851E+06   2.85063E+06   2.00535E+06   1.40940E+06   9.89611E+05
+   6.94174E+05   4.86450E+05   3.40536E+05   2.38141E+05   1.66356E+05
+   1.16084E+05   8.09134E+04   5.63352E+04   3.91774E+04   2.72136E+04
+   1.88805E+04   1.30831E+04   9.05331E+03   6.25970E+03   4.29833E+03
+   2.96585E+03   2.04432E+03   1.40774E+03   9.68548E+02   6.65489E+02
+   4.57049E+02   3.13832E+02   2.15559E+02   1.48116E+02   1.01878E+02
+   7.01843E+01   4.84549E+01   3.35467E+01   2.33044E+01   1.62557E+01
+   1.13843E+01   8.02096E+00   5.67831E+00   4.04151E+00   2.89215E+00
+   2.08098E+00   1.50560E+00   1.09556E+00   8.01464E-01   5.90593E-01
+   4.36642E-01   3.24745E-01   2.42656E-01   1.82087E-01   1.37165E-01
+   1.03579E-01   7.86193E-02   5.96032E-02   4.52764E-02   3.43947E-02
+   2.61137E-02   1.97832E-02   1.49432E-02   1.12426E-02   8.41197E-03
+   6.25678E-03   4.61073E-03   3.37463E-03   2.43584E-03   1.73583E-03
+   1.21888E-03   8.41757E-04   5.70608E-04   3.79037E-04   2.46380E-04
+   1.56715E-04   9.73517E-05   5.94892E-05   3.56674E-05   2.11913E-05
+   1.25907E-05   7.56152E-06   4.63034E-06   2.89973E-06   1.83912E-06
+   1.16286E-06   7.11818E-07   4.07039E-07   2.06883E-07   8.57921E-08
+   2.44347E-08   3.16501E-09   0.00000E+00   7.64437E+07   5.53771E+07
+   3.90857E+07   2.75693E+07   1.94301E+07   1.36822E+07   9.62625E+06
+   6.76665E+06   4.75219E+06   3.33433E+06   2.33727E+06   1.63675E+06
+   1.14504E+06   8.00227E+05   5.58663E+05   3.89600E+05   2.71401E+05
+   1.88849E+05   1.31257E+05   9.11209E+04   6.31831E+04   4.37575E+04
+   3.02672E+04   2.09093E+04   1.44261E+04   9.93853E+03   6.84109E+03
+   4.67591E+03   3.21155E+03   2.20334E+03   1.51005E+03   1.03394E+03
+   7.06950E+02   4.83119E+02   3.30069E+02   2.25560E+02   1.54192E+02
+   1.05507E+02   7.23039E+01   4.96551E+01   3.41955E+01   2.36290E+01
+   1.63948E+01   1.14211E+01   8.00495E+00   5.63783E+00   3.99245E+00
+   2.84297E+00   2.03579E+00   1.46605E+00   1.06198E+00   7.73506E-01
+   5.67588E-01   4.17899E-01   3.09553E-01   2.30388E-01   1.72206E-01
+   1.29220E-01   9.72016E-02   7.34952E-02   5.55011E-02   4.19948E-02
+   3.17750E-02   2.40273E-02   1.81276E-02   1.36352E-02   1.02146E-02
+   7.60942E-03   5.63467E-03   4.13336E-03   3.01137E-03   2.16348E-03
+   1.53452E-03   1.07252E-03   7.37319E-04   4.97650E-04   3.29264E-04
+   2.13303E-04   1.35336E-04   8.39631E-05   5.13303E-05   3.08586E-05
+   1.84329E-05   1.10407E-05   6.69713E-06   4.14223E-06   2.61381E-06
+   1.66306E-06   1.04943E-06   6.37978E-07   3.60777E-07   1.80600E-07
+   7.34284E-08   2.04738E-08   2.65932E-09   0.00000E+00   9.13598E+07
+   6.60138E+07   4.64461E+07   3.26567E+07   2.29414E+07   1.61021E+07
+   1.12915E+07   7.91077E+06   5.53696E+06   3.87168E+06   2.70455E+06
+   1.88732E+06   1.31565E+06   9.16155E+05   6.37267E+05   4.42776E+05
+   3.07290E+05   2.13010E+05   1.47480E+05   1.01984E+05   7.04354E+04
+   4.85840E+04   3.34687E+04   2.30252E+04   1.58190E+04   1.08515E+04
+   7.43718E+03   5.06064E+03   3.46029E+03   2.36324E+03   1.61219E+03
+   1.09874E+03   7.47694E+02   5.08510E+02   3.45726E+02   2.35098E+02
+   1.59911E+02   1.08870E+02   7.42301E+01   5.07174E+01   3.47477E+01
+   2.38869E+01   1.64886E+01   1.14275E+01   7.96886E+00   5.58432E+00
+   3.93513E+00   2.78869E+00   1.98758E+00   1.42484E+00   1.02758E+00
+   7.45241E-01   5.44584E-01   3.99332E-01   2.94626E-01   2.18423E-01
+   1.62634E-01   1.21570E-01   9.10968E-02   6.86175E-02   5.16174E-02
+   3.89043E-02   2.93205E-02   2.20825E-02   1.65924E-02   1.24285E-02
+   9.27109E-03   6.87660E-03   5.06959E-03   3.70206E-03   2.68492E-03
+   1.92006E-03   1.35559E-03   9.43141E-04   6.45503E-04   4.33852E-04
+   2.85962E-04   1.84662E-04   1.16897E-04   7.24505E-05   4.43243E-05
+   2.67245E-05   1.60502E-05   9.68823E-06   5.93020E-06   3.69920E-06
+   2.34781E-06   1.49608E-06   9.41018E-07   5.67735E-07   3.17394E-07
+   1.56475E-07   6.23948E-08   1.70460E-08   2.22009E-09   0.00000E+00
+   8.70704E+06   6.75935E+06   5.18041E+06   3.97021E+06   3.04274E+06
+   2.33194E+06   1.78719E+06   1.36970E+06   1.04974E+06   8.04521E+05
+   6.16592E+05   4.72564E+05   3.62182E+05   2.77585E+05   2.12751E+05
+   1.63061E+05   1.24979E+05   9.57927E+04   7.34238E+04   5.62798E+04
+   4.31403E+04   3.30696E+04   2.53510E+04   1.94351E+04   1.49007E+04
+   1.14251E+04   8.76104E+03   6.69139E+03   5.13309E+03   3.93833E+03
+   3.02226E+03   2.31976E+03   1.78025E+03   1.36672E+03   1.04973E+03
+   8.06821E+02   6.20494E+02   4.77621E+02   3.68045E+02   2.83984E+02
+   2.19473E+02   1.69939E+02   1.31878E+02   1.02567E+02   8.00614E+01
+   6.26709E+01   4.92210E+01   3.87903E+01   3.06759E+01   2.43427E+01
+   1.93839E+01   1.54868E+01   1.24268E+01   9.98544E+00   8.04922E+00
+   6.50216E+00   5.26109E+00   4.26169E+00   3.45410E+00   2.80539E+00
+   2.27275E+00   1.84104E+00   1.48919E+00   1.20239E+00   9.67944E-01
+   7.76614E-01   6.20599E-01   4.93490E-01   3.90336E-01   3.06630E-01
+   2.39644E-01   1.85364E-01   1.42065E-01   1.07748E-01   8.07593E-02
+   5.97271E-02   4.35098E-02   3.11583E-02   2.18841E-02   1.50225E-02
+   1.00822E-02   6.55628E-03   4.12251E-03   2.49196E-03   1.43758E-03
+   7.84120E-04   3.99567E-04   1.86649E-04   7.84807E-05   2.86261E-05
+   8.59610E-06   1.94658E-06   2.81975E-07   1.80571E-08   1.56926E-10
+   0.00000E+00   2.11396E+07   1.61839E+07   1.22057E+07   9.20491E+06
+   6.94155E+06   5.23443E+06   3.94688E+06   2.97582E+06   2.24348E+06
+   1.69120E+06   1.27475E+06   9.60741E+05   7.23993E+05   5.45513E+05
+   4.10976E+05   3.09573E+05   2.33155E+05   1.75571E+05   1.32188E+05
+   9.95069E+04   7.48927E+04   5.63571E+04   4.24016E+04   3.18963E+04
+   2.39899E+04   1.80399E+04   1.35643E+04   1.01529E+04   7.63362E+03
+   5.73924E+03   4.31504E+03   3.24445E+03   2.43869E+03   1.83359E+03
+   1.37925E+03   1.03828E+03   7.82161E+02   5.89872E+02   4.45479E+02
+   3.37016E+02   2.55500E+02   1.94185E+02   1.48017E+02   1.13158E+02
+   8.68993E+01   6.69777E+01   5.18386E+01   4.02923E+01   3.14510E+01
+   2.46530E+01   1.94055E+01   1.53349E+01   1.21786E+01   9.68969E+00
+   7.73759E+00   6.19418E+00   4.96839E+00   3.99113E+00   3.20831E+00
+   2.58522E+00   2.07805E+00   1.67050E+00   1.34109E+00   1.07479E+00
+   8.58877E-01   6.84089E-01   5.42729E-01   4.28475E-01   3.36554E-01
+   2.62523E-01   2.03762E-01   1.56534E-01   1.19168E-01   8.97945E-02
+   6.68817E-02   4.91686E-02   3.56193E-02   2.53783E-02   1.77501E-02
+   1.21436E-02   8.13372E-03   5.28812E-03   3.33292E-03   2.02667E-03
+   1.18223E-03   6.56950E-04   3.45007E-04   1.69063E-04   7.66693E-05
+   3.15654E-05   1.15414E-05   3.61866E-06   9.03110E-07   1.44729E-07
+   1.44047E-09   0.00000E+00   3.89622E+07   2.96075E+07   2.21354E+07
+   1.65460E+07   1.23657E+07   9.23964E+06   6.90241E+06   5.15524E+06
+   3.84940E+06   2.87362E+06   2.14461E+06   1.60010E+06   1.19349E+06
+   8.89926E+05   6.63363E+05   4.94312E+05   3.68213E+05   2.74181E+05
+   2.04086E+05   1.51851E+05   1.12941E+05   8.39657E+04   6.23985E+04
+   4.63513E+04   3.44164E+04   2.55422E+04   1.89498E+04   1.39885E+04
+   1.03718E+04   7.68785E+03   5.69691E+03   4.22070E+03   3.12512E+03
+   2.31409E+03   1.71396E+03   1.27023E+03   9.41950E+02   6.99243E+02
+   5.19811E+02   3.87131E+02   2.88980E+02   2.16311E+02   1.62452E+02
+   1.22413E+02   9.27097E+01   7.05082E+01   5.38785E+01   4.13707E+01
+   3.19205E+01   2.47466E+01   1.92764E+01   1.50814E+01   1.18643E+01
+   9.35394E+00   7.40455E+00   5.87791E+00   4.67653E+00   3.72735E+00
+   2.97325E+00   2.37805E+00   1.89750E+00   1.51442E+00   1.20719E+00
+   9.60720E-01   7.62433E-01   6.03126E-01   4.75272E-01   3.72715E-01
+   2.90855E-01   2.25399E-01   1.73840E-01   1.32713E-01   1.00421E-01
+   7.52262E-02   5.57194E-02   4.07495E-02   2.93802E-02   2.08458E-02
+   1.45323E-02   9.91855E-03   6.63668E-03   4.31810E-03   2.73009E-03
+   1.67058E-03   9.84846E-04   5.56196E-04   2.99156E-04   1.51659E-04
+   7.20469E-05   3.15300E-05   1.24267E-05   4.23045E-06   1.13654E-06
+   1.90635E-07   1.99892E-09   0.00000E+00   6.32706E+07   4.78138E+07
+   3.55134E+07   2.63693E+07   1.95737E+07   1.45247E+07   1.07745E+07
+   7.98974E+06   5.92256E+06   4.38853E+06   3.25053E+06   2.40662E+06
+   1.78103E+06   1.31746E+06   9.74083E+05   7.19847E+05   5.31694E+05
+   3.92510E+05   2.89602E+05   2.13552E+05   1.57380E+05   1.15913E+05
+   8.53190E+04   6.27601E+04   4.61361E+04   3.38903E+04   2.48815E+04
+   1.81684E+04   1.33243E+04   9.76618E+03   7.15447E+03   5.23875E+03
+   3.83263E+03   2.80343E+03   2.05063E+03   1.50058E+03   1.09853E+03
+   8.04937E+02   5.90595E+02   4.34111E+02   3.19834E+02   2.36319E+02
+   1.75225E+02   1.30393E+02   9.75595E+01   7.33262E+01   5.53980E+01
+   4.20746E+01   3.21249E+01   2.46563E+01   1.90228E+01   1.47466E+01
+   1.14997E+01   8.98999E+00   7.05875E+00   5.55949E+00   4.38963E+00
+   3.47300E+00   2.75035E+00   2.18443E+00   1.73097E+00   1.37218E+00
+   1.08653E+00   8.59038E-01   6.77332E-01   5.32391E-01   4.16898E-01
+   3.24916E-01   2.52029E-01   1.94143E-01   1.48868E-01   1.13006E-01
+   8.50445E-02   6.33778E-02   4.67157E-02   3.40126E-02   2.44261E-02
+   1.72733E-02   1.20123E-02   8.18616E-03   5.47633E-03   3.56818E-03
+   2.26385E-03   1.39375E-03   8.29354E-04   4.74638E-04   2.59924E-04
+   1.34867E-04   6.59047E-05   2.97819E-05   1.21279E-05   4.24546E-06
+   1.15919E-06   1.94609E-07   2.14402E-09   0.00000E+00   9.52622E+07
+   7.16545E+07   5.29261E+07   3.90770E+07   2.88402E+07   2.12761E+07
+   1.56890E+07   1.15638E+07   8.51927E+06   6.27319E+06   4.61691E+06
+   3.39612E+06   2.49673E+06   1.83447E+06   1.34707E+06   9.88543E+05
+   7.24973E+05   5.31318E+05   3.89122E+05   2.84776E+05   2.08256E+05
+   1.52180E+05   1.11116E+05   8.10668E+04   5.90943E+04   4.30359E+04
+   3.13192E+04   2.26609E+04   1.64665E+04   1.19559E+04   8.67427E+03
+   6.28901E+03   4.55451E+03   3.29704E+03   2.38625E+03   1.72739E+03
+   1.25072E+03   9.06266E+02   6.57466E+02   4.77791E+02   3.48019E+02
+   2.54233E+02   1.86393E+02   1.37168E+02   1.01518E+02   7.54957E+01
+   5.64525E+01   4.24506E+01   3.21022E+01   2.44124E+01   1.86684E+01
+   1.43488E+01   1.10985E+01   8.60791E+00   6.70739E+00   5.24389E+00
+   4.11092E+00   3.22998E+00   2.54051E+00   2.00451E+00   1.57807E+00
+   1.24302E+00   9.78111E-01   7.68573E-01   6.02341E-01   4.70632E-01
+   3.66387E-01   2.83918E-01   2.19006E-01   1.67782E-01   1.27979E-01
+   9.66547E-02   7.23862E-02   5.36987E-02   3.94149E-02   2.85888E-02
+   2.04642E-02   1.44339E-02   1.00198E-02   6.82231E-03   4.56535E-03
+   2.97978E-03   1.89706E-03   1.17434E-03   7.04249E-04   4.07222E-04
+   2.25916E-04   1.19032E-04   5.91498E-05   2.71769E-05   1.12222E-05
+   3.96011E-06   1.08028E-06   1.79618E-07   2.07359E-09   0.00000E+00
+   1.36197E+08   1.02020E+08   7.49820E+07   5.50830E+07   4.04452E+07
+   2.96823E+07   2.17721E+07   1.59613E+07   1.16947E+07   8.56365E+06
+   6.26705E+06   4.58345E+06   3.34995E+06   2.44674E+06   1.78579E+06
+   1.30243E+06   9.49174E+05   6.91185E+05   5.02908E+05   3.65605E+05
+   2.65557E+05   1.92711E+05   1.39718E+05   1.01200E+05   7.32272E+04
+   5.29255E+04   3.82202E+04   2.74330E+04   1.97736E+04   1.42387E+04
+   1.02433E+04   7.36237E+03   5.28454E+03   3.79078E+03   2.71812E+03
+   1.94898E+03   1.39752E+03   1.00267E+03   7.20149E+02   5.18068E+02
+   3.73529E+02   2.70097E+02   1.96024E+02   1.42810E+02   1.04655E+02
+   7.70783E+01   5.70943E+01   4.25414E+01   3.18866E+01   2.40416E+01
+   1.82337E+01   1.39033E+01   1.06720E+01   8.21583E+00   6.35614E+00
+   4.93486E+00   3.84266E+00   2.99949E+00   2.34410E+00   1.83809E+00
+   1.43819E+00   1.12608E+00   8.80891E-01   6.88203E-01   5.36309E-01
+   4.16722E-01   3.22665E-01   2.48720E-01   1.90877E-01   1.45503E-01
+   1.10458E-01   8.30412E-02   6.19234E-02   4.57537E-02   3.34616E-02
+   2.41934E-02   1.72717E-02   1.21574E-02   8.42866E-03   5.73639E-03
+   3.84089E-03   2.51134E-03   1.60380E-03   9.97342E-04   6.01763E-04
+   3.50610E-04   1.96236E-04   1.04386E-04   5.23545E-05   2.42392E-05
+   1.00520E-05   3.54366E-06   9.59282E-07   1.57470E-07   1.90014E-09
+   0.00000E+00   1.87391E+08   1.39834E+08   1.02307E+08   7.48095E+07
+   5.46721E+07   3.99322E+07   2.91489E+07   2.12644E+07   1.55026E+07
+   1.12945E+07   8.22299E+06   5.98248E+06   4.34922E+06   3.15941E+06
+   2.29326E+06   1.66318E+06   1.20518E+06   8.72520E+05   6.31101E+05
+   4.56040E+05   3.29214E+05   2.37413E+05   1.71031E+05   1.23074E+05
+   8.84628E+04   6.35015E+04   4.55396E+04   3.24511E+04   2.32210E+04
+   1.65970E+04   1.18491E+04   8.45020E+03   6.01692E+03   4.28087E+03
+   3.04386E+03   2.16389E+03   1.53809E+03   1.09372E+03   7.78450E+02
+   5.54890E+02   3.96391E+02   2.83976E+02   2.04194E+02   1.47396E+02
+   1.07039E+02   7.81330E+01   5.73720E+01   4.23859E+01   3.15085E+01
+   2.35672E+01   1.77363E+01   1.34231E+01   1.02297E+01   7.82034E+00
+   6.00939E+00   4.63516E+00   3.58639E+00   2.78219E+00   2.16114E+00
+   1.68473E+00   1.31060E+00   1.02041E+00   7.93846E-01   6.16865E-01
+   4.78188E-01   3.69653E-01   2.84790E-01   2.18460E-01   1.66872E-01
+   1.26627E-01   9.57168E-02   7.16650E-02   5.32368E-02   3.91982E-02
+   2.85780E-02   2.06069E-02   1.46791E-02   1.03158E-02   7.14522E-03
+   4.86189E-03   3.25742E-03   2.13319E-03   1.36577E-03   8.52329E-04
+   5.16557E-04   3.02525E-04   1.70261E-04   9.10514E-05   4.58608E-05
+   2.12784E-05   8.81416E-06   3.09007E-06   8.27654E-07   1.34032E-07
+   1.68654E-09   0.00000E+00   2.61198E+08   1.94102E+08   1.41303E+08
+   1.02802E+08   7.47436E+07   5.43081E+07   3.94333E+07   2.86126E+07
+   2.07462E+07   1.50312E+07   1.08821E+07   7.87189E+06   5.68965E+06
+   4.10880E+06   2.96453E+06   2.13693E+06   1.53889E+06   1.10710E+06
+   7.95643E+05   5.71188E+05   4.09598E+05   2.93381E+05   2.09890E+05
+   1.49973E+05   1.07021E+05   7.62569E+04   5.42771E+04   3.83762E+04
+   2.72457E+04   1.93175E+04   1.36782E+04   9.67268E+03   6.82806E+03
+   4.81515E+03   3.39287E+03   2.38977E+03   1.68265E+03   1.18503E+03
+   8.35209E+02   5.89459E+02   4.16878E+02   2.95652E+02   2.10455E+02
+   1.50394E+02   1.08137E+02   7.81650E+01   5.68470E+01   4.16062E+01
+   3.06480E+01   2.27216E+01   1.69541E+01   1.27250E+01   9.62053E+00
+   7.29765E+00   5.56576E+00   4.26180E+00   3.27427E+00   2.52267E+00
+   1.94642E+00   1.50755E+00   1.16531E+00   9.01675E-01   6.97239E-01
+   5.38611E-01   4.15135E-01   3.19125E-01   2.44538E-01   1.86609E-01
+   1.41832E-01   1.07111E-01   8.06016E-02   6.00925E-02   4.44660E-02
+   3.26248E-02   2.37118E-02   1.70531E-02   1.21222E-02   8.50637E-03
+   5.88707E-03   4.00532E-03   2.68526E-03   1.76099E-03   1.12993E-03
+   7.07144E-04   4.29983E-04   2.52698E-04   1.42675E-04   7.64761E-05
+   3.85445E-05   1.78499E-05   7.35440E-06   2.55356E-06   6.74365E-07
+   1.07506E-07   1.41741E-09   0.00000E+00   3.53645E+08   2.61772E+08
+   1.89665E+08   1.37325E+08   9.93594E+07   7.18384E+07   5.19016E+07
+   3.74689E+07   2.70282E+07   1.94807E+07   1.40288E+07   1.00938E+07
+   7.25586E+06   5.21088E+06   3.73857E+06   2.67951E+06   1.91843E+06
+   1.37201E+06   9.80115E+05   6.99326E+05   4.98372E+05   3.54709E+05
+   2.52131E+05   1.78971E+05   1.26859E+05   8.97712E+04   6.34506E+04
+   4.45377E+04   3.13899E+04   2.20903E+04   1.55224E+04   1.08914E+04
+   7.62700E+03   5.33464E+03   3.72752E+03   2.60307E+03   1.81686E+03
+   1.26818E+03   8.85730E+02   6.19381E+02   4.33978E+02   3.04907E+02
+   2.15015E+02   1.52219E+02   1.08440E+02   7.76697E+01   5.59813E+01
+   4.06138E+01   2.96617E+01   2.18081E+01   1.61417E+01   1.20207E+01
+   9.01985E+00   6.79195E+00   5.14345E+00   3.91145E+00   2.98513E+00
+   2.28506E+00   1.75199E+00   1.34873E+00   1.03633E+00   7.97250E-01
+   6.13026E-01   4.70977E-01   3.61086E-01   2.76157E-01   2.10571E-01
+   1.59929E-01   1.21007E-01   9.09920E-02   6.81987E-02   5.06556E-02
+   3.73553E-02   2.73241E-02   1.98064E-02   1.42127E-02   1.00855E-02
+   7.06834E-03   4.88832E-03   3.32520E-03   2.23007E-03   1.46373E-03
+   9.40377E-04   5.89417E-04   3.58962E-04   2.11237E-04   1.19344E-04
+   6.39369E-05   3.21514E-05   1.48200E-05   6.05925E-06   2.08042E-06
+   5.41445E-07   8.50371E-08   1.17193E-09   0.00000E+00   4.67226E+08
+   3.44565E+08   2.48533E+08   1.79129E+08   1.29009E+08   9.28406E+07
+   6.67582E+07   4.79633E+07   3.44302E+07   2.46934E+07   1.76939E+07
+   1.26663E+07   9.05828E+06   6.47135E+06   4.61830E+06   3.29222E+06
+   2.34422E+06   1.66721E+06   1.18426E+06   8.40133E+05   5.95217E+05
+   4.21117E+05   2.97520E+05   2.09886E+05   1.47834E+05   1.03940E+05
+   7.29838E+04   5.08813E+04   3.56161E+04   2.48896E+04   1.73646E+04
+   1.20951E+04   8.40660E+03   5.83497E+03   4.04524E+03   2.80239E+03
+   1.94002E+03   1.34288E+03   9.29970E+02   6.44734E+02   4.47819E+02
+   3.11879E+02   2.18005E+02   1.52984E+02   1.08040E+02   7.67203E+01
+   5.48311E+01   3.94511E+01   2.85807E+01   2.08488E+01   1.53146E+01
+   1.13208E+01   8.43444E+00   6.30728E+00   4.74457E+00   3.58482E+00
+   2.71875E+00   2.06854E+00   1.57663E+00   1.20686E+00   9.22172E-01
+   7.05621E-01   5.39752E-01   4.12600E-01   3.14796E-01   2.39631E-01
+   1.81903E-01   1.37567E-01   1.03667E-01   7.76550E-02   5.79971E-02
+   4.29369E-02   3.15690E-02   2.30304E-02   1.66557E-02   1.19287E-02
+   8.45162E-03   5.91644E-03   4.08853E-03   2.78002E-03   1.86429E-03
+   1.22384E-03   7.86488E-04   4.93087E-04   3.00295E-04   1.76620E-04
+   9.96460E-05   5.32403E-05   2.66551E-05   1.22060E-05   4.94483E-06
+   1.67736E-06   4.30181E-07   6.66185E-08   9.57524E-10   0.00000E+00
+   6.04568E+08   4.44281E+08   3.19086E+08   2.28984E+08   1.64191E+08
+   1.17633E+08   8.42048E+07   6.02220E+07   4.30302E+07   3.07168E+07
+   2.19053E+07   1.56055E+07   1.11057E+07   7.89470E+06   5.60572E+06
+   3.97569E+06   2.81619E+06   1.99231E+06   1.40761E+06   9.93137E+05
+   6.99718E+05   4.92259E+05   3.45785E+05   2.42508E+05   1.69792E+05
+   1.18649E+05   8.27966E+04   5.73515E+04   3.98861E+04   2.76898E+04
+   1.91880E+04   1.32731E+04   9.16024E+03   6.31220E+03   4.34381E+03
+   2.98656E+03   2.05161E+03   1.40900E+03   9.67973E+02   6.65649E+02
+   4.58562E+02   3.16727E+02   2.19563E+02   1.52804E+02   1.07030E+02
+   7.53879E+01   5.34498E+01   3.81574E+01   2.74332E+01   1.98636E+01
+   1.44862E+01   1.06339E+01   7.86963E+00   5.84655E+00   4.37036E+00
+   3.28203E+00   2.47448E+00   1.87200E+00   1.41895E+00   1.08043E+00
+   8.21302E-01   6.25315E-01   4.76029E-01   3.62209E-01   2.75123E-01
+   2.08540E-01   1.57661E-01   1.18774E-01   8.91802E-02   6.65749E-02
+   4.95655E-02   3.65877E-02   2.68297E-02   1.95267E-02   1.40926E-02
+   1.00751E-02   7.12771E-03   4.98364E-03   3.44061E-03   2.33770E-03
+   1.56671E-03   1.02791E-03   6.60152E-04   4.13515E-04   2.51502E-04
+   1.47626E-04   8.30418E-05   4.41808E-05   2.19906E-05   9.99191E-06
+   4.00736E-06   1.34246E-06   3.39341E-07   5.18618E-08   7.75826E-10
+   0.00000E+00   7.68327E+08   5.62726E+08   4.02498E+08   2.87643E+08
+   2.05385E+08   1.46521E+08   1.04431E+08   7.43618E+07   5.28986E+07
+   3.75921E+07   2.66866E+07   1.89242E+07   1.34046E+07   9.48380E+06
+   6.70172E+06   4.72981E+06   3.33378E+06   2.34662E+06   1.64946E+06
+   1.15773E+06   8.11373E+05   5.67742E+05   3.96627E+05   2.76614E+05
+   1.92570E+05   1.33785E+05   9.28083E+04   6.38936E+04   4.41631E+04
+   3.04668E+04   2.09772E+04   1.44157E+04   9.88214E+03   6.76300E+03
+   4.62146E+03   3.15476E+03   2.15134E+03   1.46650E+03   9.99864E+02
+   6.82305E+02   4.66390E+02   3.19616E+02   2.19831E+02   1.51792E+02
+   1.05497E+02   7.37382E+01   5.18857E+01   3.67671E+01   2.62431E+01
+   1.88688E+01   1.36672E+01   9.96665E+00   7.32922E+00   5.41159E+00
+   4.02128E+00   3.00262E+00   2.25134E+00   1.69413E+00   1.27751E+00
+   9.67950E-01   7.32274E-01   5.54968E-01   4.20608E-01   3.18683E-01
+   2.41078E-01   1.82026E-01   1.37108E-01   1.02930E-01   7.70299E-02
+   5.73270E-02   4.25590E-02   3.13328E-02   2.29209E-02   1.66455E-02
+   1.19897E-02   8.55685E-03   6.04432E-03   4.22037E-03   2.91005E-03
+   1.97490E-03   1.32203E-03   8.66273E-04   5.55512E-04   3.47321E-04
+   2.10734E-04   1.23306E-04   6.90767E-05   3.65548E-05   1.80714E-05
+   8.14119E-06   3.23086E-06   1.06876E-06   2.66358E-07   4.02065E-08
+   6.24799E-10   0.00000E+00   9.61159E+08   7.01692E+08   4.99918E+08
+   3.55839E+08   2.53054E+08   1.79789E+08   1.27613E+08   9.04881E+07
+   6.40971E+07   4.53545E+07   3.20569E+07   2.26321E+07   1.59592E+07
+   1.12399E+07   7.90610E+06   5.55373E+06   3.89595E+06   2.72910E+06
+   1.90892E+06   1.33317E+06   9.29606E+05   6.47126E+05   4.49718E+05
+   3.11969E+05   2.16003E+05   1.49230E+05   1.02940E+05   7.04545E+04
+   4.84124E+04   3.31983E+04   2.27180E+04   1.55145E+04   1.05673E+04
+   7.18468E+03   4.87684E+03   3.30641E+03   2.23909E+03   1.51551E+03
+   1.02584E+03   6.94919E+02   4.71506E+02   3.20720E+02   2.18948E+02
+   1.50057E+02   1.03523E+02   7.18310E+01   5.01817E+01   3.53103E+01
+   2.50309E+01   1.78777E+01   1.28661E+01   9.32405E+00   6.81572E+00
+   5.00326E+00   3.69714E+00   2.74578E+00   2.04812E+00   1.53354E+00
+   1.15086E+00   8.67997E-01   6.53738E-01   4.93341E-01   3.72375E-01
+   2.81037E-01   2.11807E-01   1.59357E-01   1.19629E-01   8.95214E-02
+   6.67941E-02   4.95688E-02   3.67032E-02   2.69554E-02   1.96740E-02
+   1.42577E-02   1.02500E-02   7.30216E-03   5.14941E-03   3.58977E-03
+   2.47134E-03   1.67447E-03   1.11901E-03   7.31832E-04   4.68250E-04
+   2.91976E-04   1.76574E-04   1.02902E-04   5.73602E-05   3.01690E-05
+   1.48036E-05   6.60913E-06   2.59469E-06   8.47573E-07   2.08343E-07
+   3.10850E-08   5.00899E-10   0.00000E+00   1.18569E+09   8.62932E+08
+   6.12459E+08   4.34269E+08   3.07628E+08   2.17703E+08   1.53908E+08
+   1.08693E+08   7.66782E+07   5.40322E+07   3.80303E+07   2.67352E+07
+   1.87714E+07   1.31627E+07   9.21758E+06   6.44588E+06   4.50116E+06
+   3.13845E+06   2.18492E+06   1.51863E+06   1.05378E+06   7.29940E+05
+   5.04719E+05   3.48330E+05   2.39920E+05   1.64870E+05   1.13113E+05
+   7.69833E+04   5.26011E+04   3.58636E+04   2.43980E+04   1.65619E+04
+   1.12117E+04   7.57508E+03   5.10899E+03   3.44123E+03   2.31490E+03
+   1.55622E+03   1.04615E+03   7.03735E+02   4.74124E+02   3.20214E+02
+   2.17050E+02   1.47701E+02   1.01183E+02   6.97205E+01   4.83755E+01
+   3.38125E+01   2.38137E+01   1.69012E+01   1.20893E+01   8.70951E+00
+   6.33060E+00   4.62175E+00   3.39732E+00   2.51040E+00   1.86348E+00
+   1.38880E+00   1.03757E+00   7.79219E-01   5.84452E-01   4.39317E-01
+   3.30348E-01   2.48421E-01   1.86582E-01   1.39919E-01   1.04711E-01
+   7.81266E-02   5.81299E-02   4.30253E-02   3.17797E-02   2.32850E-02
+   1.69577E-02   1.22637E-02   8.79899E-03   6.25652E-03   4.40382E-03
+   3.06427E-03   2.10550E-03   1.42369E-03   9.49306E-04   6.19296E-04
+   3.95108E-04   2.45543E-04   1.47905E-04   8.57902E-05   4.75546E-05
+   2.48451E-05   1.20955E-05   5.35001E-06   2.07760E-06   6.70246E-07
+   1.62562E-07   2.39891E-08   4.00180E-10   0.00000E+00   1.44447E+09
+   1.04814E+09   7.41182E+08   5.23589E+08   3.69507E+08   2.60500E+08
+   1.83455E+08   1.29055E+08   9.06838E+07   6.36462E+07   4.46158E+07
+   3.12361E+07   2.18404E+07   1.52503E+07   1.06338E+07   7.40402E+06
+   5.14748E+06   3.57306E+06   2.47620E+06   1.71316E+06   1.18319E+06
+   8.15682E+05   5.61274E+05   3.85450E+05   2.64153E+05   1.80590E+05
+   1.23253E+05   8.34323E+04   5.66990E+04   3.84440E+04   2.60060E+04
+   1.75519E+04   1.18119E+04   7.93264E+03   5.31733E+03   3.55916E+03
+   2.37896E+03   1.58891E+03   1.06108E+03   7.09018E+02   4.74464E+02
+   3.18270E+02   2.14269E+02   1.44822E+02   9.85463E+01   6.74549E+01
+   4.64999E+01   3.22956E+01   2.26052E+01   1.59477E+01   1.13415E+01
+   8.12526E+00   5.87450E+00   4.26668E+00   3.12086E+00   2.29520E+00
+   1.69601E+00   1.25850E+00   9.36288E-01   7.00369E-01   5.23295E-01
+   3.91908E-01   2.93666E-01   2.20100E-01   1.64783E-01   1.23196E-01
+   9.19286E-02   6.84003E-02   5.07594E-02   3.74758E-02   2.76151E-02
+   2.01874E-02   1.46695E-02   1.05863E-02   7.57968E-03   5.37839E-03
+   3.77782E-03   2.62302E-03   1.79823E-03   1.21294E-03   8.06626E-04
+   5.24638E-04   3.33580E-04   2.06499E-04   1.23828E-04   7.14512E-05
+   3.93673E-05   2.04230E-05   9.86175E-06   4.32089E-06   1.65974E-06
+   5.28883E-07   1.26615E-07   1.84907E-08   3.18846E-10   0.00000E+00
+   1.73998E+09   1.25894E+09   8.87082E+08   6.24403E+08   4.39051E+08
+   3.08389E+08   2.16372E+08   1.51638E+08   1.06145E+08   7.42098E+07
+   5.18172E+07   3.61341E+07   2.51636E+07   1.74991E+07   1.21514E+07
+   8.42524E+06   5.83255E+06   4.03112E+06   2.78140E+06   1.91574E+06
+   1.31712E+06   9.03833E+05   6.19021E+05   4.23083E+05   2.88536E+05
+   1.96282E+05   1.33290E+05   8.97567E+04   6.06785E+04   4.09232E+04
+   2.75326E+04   1.84791E+04   1.23654E+04   8.25629E+03   5.50159E+03
+   3.66034E+03   2.43159E+03   1.61393E+03   1.07098E+03   7.11045E+02
+   4.72745E+02   3.15057E+02   2.10729E+02   1.41507E+02   9.56752E+01
+   6.50767E+01   4.45833E+01   3.07779E+01   2.14167E+01   1.50236E+01
+   1.06260E+01   7.57256E+00   5.44739E+00   3.93727E+00   2.86656E+00
+   2.09882E+00   1.54430E+00   1.14126E+00   8.45752E-01   6.30305E-01
+   4.69258E-01   3.50239E-01   2.61586E-01   1.95444E-01   1.45887E-01
+   1.08757E-01   8.09320E-02   6.00599E-02   4.44578E-02   3.27434E-02
+   2.40716E-02   1.75567E-02   1.27293E-02   9.16576E-03   6.54802E-03
+   4.63587E-03   3.24870E-03   2.25015E-03   1.53860E-03   1.03490E-03
+   6.86116E-04   4.44732E-04   2.81691E-04   1.73625E-04   1.03605E-04
+   5.94488E-05   3.25462E-05   1.67613E-05   8.02634E-06   3.48329E-06
+   1.32352E-06   4.16652E-07   9.84891E-08   1.42414E-08   2.53487E-10
+   0.00000E+00   2.07455E+09   1.49685E+09   1.05108E+09   7.37258E+08
+   5.16576E+08   3.61548E+08   2.52754E+08   1.76487E+08   1.23082E+08
+   8.57289E+07   5.96333E+07   4.14247E+07   2.87355E+07   1.99042E+07
+   1.37662E+07   9.50609E+06   6.55368E+06   4.51059E+06   3.09901E+06
+   2.12530E+06   1.45479E+06   9.93862E+05   6.77598E+05   4.60984E+05
+   3.12907E+05   2.11840E+05   1.43156E+05   9.59155E+04   6.45149E+04
+   4.32866E+04   2.89697E+04   1.93396E+04   1.28703E+04   8.54542E+03
+   5.66183E+03   3.74510E+03   2.47321E+03   1.63170E+03   1.07618E+03
+   7.10099E+02   4.69186E+02   3.10737E+02   2.06546E+02   1.37838E+02
+   9.26255E+01   6.26232E+01   4.26497E+01   2.92740E+01   2.02569E+01
+   1.41336E+01   9.94478E+00   7.05184E+00   5.04875E+00   3.63245E+00
+   2.63310E+00   1.91984E+00   1.40697E+00   1.03581E+00   7.64795E-01
+   5.67994E-01   4.21449E-01   3.13549E-01   2.33464E-01   1.73920E-01
+   1.29453E-01   9.62430E-02   7.14317E-02   5.28751E-02   3.90430E-02
+   2.86862E-02   2.10396E-02   1.53095E-02   1.10742E-02   7.95536E-03
+   5.66980E-03   4.00427E-03   2.79891E-03   1.93337E-03   1.31817E-03
+   8.83853E-04   5.83986E-04   3.77107E-04   2.37860E-04   1.45927E-04
+   8.66240E-05   4.94141E-05   2.68744E-05   1.37371E-05   6.52281E-06
+   2.80380E-06   1.05388E-06   3.27820E-07   7.65379E-08   1.09631E-08
+   2.01162E-10   0.00000E+00   2.45039E+09   1.76326E+09   1.23401E+09
+   8.62634E+08   6.02352E+08   4.20120E+08   2.92670E+08   2.03634E+08
+   1.41504E+08   9.82013E+07   6.80574E+07   4.71001E+07   3.25489E+07
+   2.24592E+07   1.54730E+07   1.06426E+07   7.30784E+06   5.00923E+06
+   3.42744E+06   2.34070E+06   1.59543E+06   1.08523E+06   7.36644E+05
+   4.98914E+05   3.37112E+05   2.27166E+05   1.52790E+05   1.01872E+05
+   6.81862E+04   4.55220E+04   3.03109E+04   2.01300E+04   1.33254E+04
+   8.79986E+03   5.79833E+03   3.81392E+03   2.50430E+03   1.64266E+03
+   1.07705E+03   7.06463E+02   4.63998E+02   3.05462E+02   2.01829E+02
+   1.33890E+02   8.94467E+01   6.01264E+01   4.07192E+01   2.77963E+01
+   1.91326E+01   1.32811E+01   9.29909E+00   6.56294E+00   4.67768E+00
+   3.35096E+00   2.41907E+00   1.75687E+00   1.28270E+00   9.40933E-01
+   6.92351E-01   5.12514E-01   3.79080E-01   2.81174E-01   2.08749E-01
+   1.55072E-01   1.15112E-01   8.53561E-02   6.31898E-02   4.66576E-02
+   3.43678E-02   2.51901E-02   1.84315E-02   1.33794E-02   9.65461E-03
+   6.91844E-03   4.91824E-03   3.46430E-03   2.41476E-03   1.66309E-03
+   1.13032E-03   7.55309E-04   4.97216E-04   3.19776E-04   2.00801E-04
+   1.22586E-04   7.23726E-05   4.10347E-05   2.21667E-05   1.12448E-05
+   5.29419E-06   2.25402E-06   8.38185E-07   2.57667E-07   5.94365E-08
+   8.43688E-09   1.59397E-10   0.00000E+00   2.86949E+09   2.05944E+09
+   1.43659E+09   1.00094E+09   6.96595E+08   4.84212E+08   3.36168E+08
+   2.33091E+08   1.61407E+08   1.11617E+08   7.70782E+07   5.31494E+07
+   3.65943E+07   2.51564E+07   1.72657E+07   1.18301E+07   8.09175E+06
+   5.52470E+06   3.76500E+06   2.56078E+06   1.73824E+06   1.17741E+06
+   7.95805E+05   5.36644E+05   3.61003E+05   2.42168E+05   1.62136E+05
+   1.07592E+05   7.16736E+04   4.76191E+04   3.15511E+04   2.08484E+04
+   1.37302E+04   9.01981E+03   5.91163E+03   3.86739E+03   2.52544E+03
+   1.64727E+03   1.07396E+03   7.00418E+02   4.57386E+02   2.99378E+02
+   1.96675E+02   1.29729E+02   8.61820E+01   5.76135E+01   3.88084E+01
+   2.63540E+01   1.80486E+01   1.24680E+01   8.68922E+00   6.10520E+00
+   4.33300E+00   3.09141E+00   2.22305E+00   1.60852E+00   1.17024E+00
+   8.55528E-01   6.27462E-01   4.63044E-01   3.41461E-01   2.52540E-01
+   1.86968E-01   1.38518E-01   1.02553E-01   7.58488E-02   5.60104E-02
+   4.12539E-02   3.03129E-02   2.21635E-02   1.61773E-02   1.17138E-02
+   8.43121E-03   6.02598E-03   4.27219E-03   3.00072E-03   2.08539E-03
+   1.43170E-03   9.69764E-04   6.45659E-04   4.23370E-04   2.71118E-04
+   1.69453E-04   1.02920E-04   6.04206E-05   3.40456E-05   1.82652E-05
+   9.19483E-06   4.29226E-06   1.81009E-06   6.65978E-07   2.02361E-07
+   4.61308E-08   6.49159E-09   1.26137E-10   0.00000E+00   3.33368E+09
+   2.38652E+09   1.65946E+09   1.15251E+09   7.99469E+08   5.53894E+08
+   3.83267E+08   2.64854E+08   1.82778E+08   1.25960E+08   8.66790E+07
+   5.95585E+07   4.08602E+07   2.79871E+07   1.91378E+07   1.30640E+07
+   8.90189E+06   6.05450E+06   4.10999E+06   2.78437E+06   1.88242E+06
+   1.26987E+06   8.54738E+05   5.73953E+05   3.84442E+05   2.56760E+05
+   1.71143E+05   1.13047E+05   7.49611E+04   4.95697E+04   3.26865E+04
+   2.14935E+04   1.40846E+04   9.20580E+03   6.00244E+03   3.90623E+03
+   2.53722E+03   1.64602E+03   1.06729E+03   6.92236E+02   4.49544E+02
+   2.92616E+02   1.91176E+02   1.25413E+02   8.28688E+01   5.51078E+01
+   3.69306E+01   2.49546E+01   1.70085E+01   1.16954E+01   8.11490E+00
+   5.67761E+00   4.01339E+00   2.85236E+00   2.04362E+00   1.47352E+00
+   1.06842E+00   7.78587E-01   5.69266E-01   4.18860E-01   3.07990E-01
+   2.27154E-01   1.67721E-01   1.23932E-01   9.15179E-02   6.75159E-02
+   4.97321E-02   3.65383E-02   2.67811E-02   1.95320E-02   1.42206E-02
+   1.02703E-02   7.37251E-03   5.25479E-03   3.71478E-03   2.60137E-03
+   1.80213E-03   1.23309E-03   8.32244E-04   5.51971E-04   3.60452E-04
+   2.29797E-04   1.42932E-04   8.63549E-05   5.04047E-05   2.82230E-05
+   1.50365E-05   7.51131E-06   3.47658E-06   1.45224E-06   5.28707E-07
+   1.58818E-07   3.57884E-08   4.99438E-09   9.97034E-11   0.00000E+00
+   1.48587E+06   2.05539E+06   1.50647E+06   1.10418E+06   8.09376E+05
+   5.93325E+05   4.34985E+05   3.18936E+05   2.33877E+05   1.71529E+05
+   1.25824E+05   9.23167E+04   6.77494E+04   4.97344E+04   3.65223E+04
+   2.68310E+04   1.97208E+04   1.45030E+04   1.06729E+04   7.86045E+03
+   5.79449E+03   4.27618E+03   3.15975E+03   2.33830E+03   1.73345E+03
+   1.28769E+03   9.58842E+02   7.12741E+02   5.34007E+02   4.01575E+02
+   3.03267E+02   2.30127E+02   1.75502E+02   1.34675E+02   1.04063E+02
+   8.10372E+01   6.36320E+01   5.04227E+01   4.03477E+01   3.26210E+01
+   2.66595E+01   2.20300E+01   1.84098E+01   1.55541E+01   1.32938E+01
+   1.14821E+01   1.00197E+01   8.82899E+00   7.85081E+00   7.03964E+00
+   6.36026E+00   5.78486E+00   5.29388E+00   4.86420E+00   4.48661E+00
+   4.14902E+00   3.84310E+00   3.56243E+00   3.30216E+00   3.06099E+00
+   2.83160E+00   2.61550E+00   2.41049E+00   2.21585E+00   2.03052E+00
+   1.85436E+00   1.68718E+00   1.52872E+00   1.37921E+00   1.23816E+00
+   1.10698E+00   9.83372E-01   8.68496E-01   7.62228E-01   6.64418E-01
+   5.74885E-01   4.93413E-01   4.19754E-01   3.53622E-01   2.94587E-01
+   2.42774E-01   1.97123E-01   1.57594E-01   1.23753E-01   9.51629E-02
+   7.13797E-02   5.19632E-02   3.64184E-02   2.43897E-02   1.53647E-02
+   8.90615E-03   4.57736E-03   1.94587E-03   5.85317E-04   7.56359E-05
+   0.00000E+00   2.80782E+06   2.09998E+06   1.54100E+06   1.13089E+06
+   8.30009E+05   6.09253E+05   4.47271E+05   3.28405E+05   2.41170E+05
+   1.77141E+05   1.30141E+05   9.56350E+04   7.02987E+04   5.16919E+04
+   3.80246E+04   2.79835E+04   2.06045E+04   1.51804E+04   1.11919E+04
+   8.25802E+03   6.09895E+03   4.50926E+03   3.33816E+03   2.47483E+03
+   1.83791E+03   1.36756E+03   1.01994E+03   7.59275E+02   5.69601E+02
+   4.28800E+02   3.24090E+02   2.46054E+02   1.87680E+02   1.43988E+02
+   1.11187E+02   8.64901E+01   6.78077E+01   5.36230E+01   4.28030E+01
+   3.45072E+01   2.81109E+01   2.31489E+01   1.92738E+01   1.62225E+01
+   1.38122E+01   1.18842E+01   1.03314E+01   9.06969E+00   8.03515E+00
+   7.17861E+00   6.46211E+00   5.85596E+00   5.33922E+00   4.88743E+00
+   4.49093E+00   4.13704E+00   3.81710E+00   3.52441E+00   3.25398E+00
+   3.00444E+00   2.76818E+00   2.54673E+00   2.33775E+00   2.14042E+00
+   1.95358E+00   1.77698E+00   1.61033E+00   1.45325E+00   1.30590E+00
+   1.16763E+00   1.03973E+00   9.19872E-01   8.09079E-01   7.07134E-01
+   6.13801E-01   5.28817E-01   4.51895E-01   3.82714E-01   3.20949E-01
+   2.66099E-01   2.18225E-01   1.76283E-01   1.40177E-01   1.09455E-01
+   8.36629E-02   6.23488E-02   4.50743E-02   3.13500E-02   2.08187E-02
+   1.29911E-02   7.44814E-03   3.77831E-03   1.58003E-03   4.66086E-04
+   6.03694E-05   0.00000E+00   2.95154E+06   2.20999E+06   1.62394E+06
+   1.19340E+06   8.77116E+05   6.44736E+05   4.73990E+05   3.48518E+05
+   2.56304E+05   1.88526E+05   1.38702E+05   1.02071E+05   7.51351E+04
+   5.53250E+04   4.07530E+04   3.00316E+04   2.21415E+04   1.63334E+04
+   1.20567E+04   8.90632E+03   6.58483E+03   4.87331E+03   3.61085E+03
+   2.67902E+03   1.99078E+03   1.48195E+03   1.10554E+03   8.23042E+02
+   6.17319E+02   4.64506E+02   3.50809E+02   2.66051E+02   2.02642E+02
+   1.55187E+02   1.19575E+02   9.27783E+01   7.25262E+01   5.71685E+01
+   4.54716E+01   3.65198E+01   2.96323E+01   2.43019E+01   2.01500E+01
+   1.68898E+01   1.43217E+01   1.22736E+01   1.06285E+01   9.29534E+00
+   8.20467E+00   7.30342E+00   6.55070E+00   5.91481E+00   5.37336E+00
+   4.90059E+00   4.48629E+00   4.11724E+00   3.78439E+00   3.48081E+00
+   3.20130E+00   2.94443E+00   2.70231E+00   2.47645E+00   2.26438E+00
+   2.06517E+00   1.87754E+00   1.70115E+00   1.53559E+00   1.38037E+00
+   1.23556E+00   1.10036E+00   9.75972E-01   8.60000E-01   7.53358E-01
+   6.55739E-01   5.66826E-01   4.86282E-01   4.13753E-01   3.48858E-01
+   2.91235E-01   2.40323E-01   1.96130E-01   1.57626E-01   1.24671E-01
+   9.67973E-02   7.35440E-02   5.44534E-02   3.90922E-02   2.69811E-02
+   1.77653E-02   1.09787E-02   6.22400E-03   3.11529E-03   1.28097E-03
+   3.70391E-04   4.80915E-05   0.00000E+00   3.20969E+06   2.40569E+06
+   1.76984E+06   1.30213E+06   9.58118E+05   7.05060E+05   5.18896E+05
+   3.81933E+05   2.81159E+05   2.07006E+05   1.52436E+05   1.12272E+05
+   8.27095E+04   6.09462E+04   4.49225E+04   3.31228E+04   2.44322E+04
+   1.80299E+04   1.33124E+04   9.83538E+03   7.27181E+03   5.38101E+03
+   3.98586E+03   2.95588E+03   2.19506E+03   1.63257E+03   1.21658E+03
+   9.04479E+02   6.77316E+02   5.08696E+02   3.83350E+02   2.90011E+02
+   2.20277E+02   1.68170E+02   1.29138E+02   9.98287E+01   7.77297E+01
+   6.10147E+01   4.83200E+01   3.86343E+01   3.12061E+01   2.54769E+01
+   2.10299E+01   1.75502E+01   1.48189E+01   1.26480E+01   1.09098E+01
+   9.50532E+00   8.35922E+00   7.41421E+00   6.62636E+00   5.96187E+00
+   5.39686E+00   4.90424E+00   4.47330E+00   4.09020E+00   3.74555E+00
+   3.43215E+00   3.14462E+00   2.88140E+00   2.63437E+00   2.40499E+00
+   2.19066E+00   1.99031E+00   1.80257E+00   1.62697E+00   1.46300E+00
+   1.31006E+00   1.16812E+00   1.03627E+00   9.15559E-01   8.03586E-01
+   7.01139E-01   6.07827E-01   5.23262E-01   4.47038E-01   3.78745E-01
+   3.17945E-01   2.64243E-01   2.17036E-01   1.76274E-01   1.40955E-01
+   1.10897E-01   8.56220E-02   6.46672E-02   4.75748E-02   3.39189E-02
+   2.32331E-02   1.51691E-02   9.28514E-03   5.20593E-03   2.57147E-03
+   1.04003E-03   2.95041E-04   3.83989E-05   0.00000E+00   3.61470E+06
+   2.71073E+06   1.99550E+06   1.46902E+06   1.08148E+06   7.96208E+05
+   5.86208E+05   4.31616E+05   3.17811E+05   2.34030E+05   1.72349E+05
+   1.26938E+05   9.35036E+04   6.88857E+04   5.07587E+04   3.74100E+04
+   2.75792E+04   2.03385E+04   1.50047E+04   1.10749E+04   8.17905E+03
+   6.04453E+03   4.47075E+03   3.30995E+03   2.45340E+03   1.82089E+03
+   1.35379E+03   1.00388E+03   7.49649E+02   5.61302E+02   4.21590E+02
+   3.17798E+02   2.40453E+02   1.82821E+02   1.39780E+02   1.07566E+02
+   8.33594E+01   6.51173E+01   5.13157E+01   4.08270E+01   3.28158E+01
+   2.66622E+01   2.19055E+01   1.81987E+01   1.53005E+01   1.30054E+01
+   1.11742E+01   9.69914E+00   8.49871E+00   7.51117E+00   6.68948E+00
+   5.99763E+00   5.41028E+00   4.89901E+00   4.45257E+00   4.05655E+00
+   3.70119E+00   3.37903E+00   3.08448E+00   2.81587E+00   2.56483E+00
+   2.33276E+00   2.11691E+00   1.91611E+00   1.72886E+00   1.55458E+00
+   1.39264E+00   1.24235E+00   1.10356E+00   9.75254E-01   8.58366E-01
+   7.50464E-01   6.52223E-01   5.63177E-01   4.82869E-01   4.10835E-01
+   3.46611E-01   2.89716E-01   2.39720E-01   1.95988E-01   1.58425E-01
+   1.26051E-01   9.86528E-02   7.57482E-02   5.68739E-02   4.15768E-02
+   2.94406E-02   2.00145E-02   1.29591E-02   7.85778E-03   4.35775E-03
+   2.12465E-03   8.45526E-04   2.35534E-04   3.07247E-05   0.00000E+00
+   4.20314E+06   3.15166E+06   2.31971E+06   1.70730E+06   1.25651E+06
+   9.24704E+05   6.80486E+05   5.00747E+05   3.68470E+05   2.71128E+05
+   1.99498E+05   1.46792E+05   1.08012E+05   7.94796E+04   5.84883E+04
+   4.30451E+04   3.16839E+04   2.33257E+04   1.71768E+04   1.26528E+04
+   9.32425E+03   6.87486E+03   5.07219E+03   3.74515E+03   2.76797E+03
+   2.04800E+03   1.51763E+03   1.12137E+03   8.34258E+02   6.22181E+02
+   4.65360E+02   3.49247E+02   2.63025E+02   1.99018E+02   1.51405E+02
+   1.15913E+02   8.93579E+01   6.94339E+01   5.44279E+01   4.30763E+01
+   3.44460E+01   2.78476E+01   2.27702E+01   1.88308E+01   1.57637E+01
+   1.33443E+01   1.14209E+01   9.87654E+00   8.62320E+00   7.59459E+00
+   6.74046E+00   6.02260E+00   5.41418E+00   4.88549E+00   4.42472E+00
+   4.01689E+00   3.65189E+00   3.32199E+00   3.02138E+00   2.74827E+00
+   2.49406E+00   2.26008E+00   2.04342E+00   1.84280E+00   1.65658E+00
+   1.48408E+00   1.32456E+00   1.17723E+00   1.04183E+00   9.17233E-01
+   8.04265E-01   7.00476E-01   6.06426E-01   5.21581E-01   4.45425E-01
+   3.77440E-01   3.17115E-01   2.63934E-01   2.17434E-01   1.76959E-01
+   1.42372E-01   1.12721E-01   8.77636E-02   6.70191E-02   5.00271E-02
+   3.63427E-02   2.55606E-02   1.72478E-02   1.10758E-02   6.65337E-03
+   3.65014E-03   1.75690E-03   6.88187E-04   1.88388E-04   2.46298E-05
+   0.00000E+00   2.91896E+06   3.75790E+06   2.76311E+06   2.03143E+06
+   1.49331E+06   1.09758E+06   8.06614E+05   5.92703E+05   4.35464E+05
+   3.19898E+05   2.34974E+05   1.72577E+05   1.26737E+05   9.30662E+04
+   6.83373E+04   5.01779E+04   3.68446E+04   2.70558E+04   1.98700E+04
+   1.45952E+04   1.07236E+04   7.88182E+03   5.79593E+03   4.26470E+03
+   3.14046E+03   2.31469E+03   1.70838E+03   1.25691E+03   9.30984E+02
+   6.91127E+02   5.14452E+02   3.84169E+02   2.87834E+02   2.16635E+02
+   1.63911E+02   1.24795E+02   9.56692E+01   7.39238E+01   5.76277E+01
+   4.53620E+01   3.60833E+01   2.90240E+01   2.36179E+01   1.94428E+01
+   1.62062E+01   1.36635E+01   1.16494E+01   1.00374E+01   8.73284E+00
+   7.66480E+00   6.77977E+00   6.03729E+00   5.40912E+00   4.86424E+00
+   4.39030E+00   3.97177E+00   3.59817E+00   3.26152E+00   2.95577E+00
+   2.67903E+00   2.42245E+00   2.18726E+00   1.97044E+00   1.77055E+00
+   1.58586E+00   1.41557E+00   1.25880E+00   1.11469E+00   9.82867E-01
+   8.62111E-01   7.53130E-01   6.53464E-01   5.63568E-01   4.82844E-01
+   4.10724E-01   3.46640E-01   2.90043E-01   2.40385E-01   1.97180E-01
+   1.59753E-01   1.27932E-01   1.00793E-01   7.80753E-02   5.92980E-02
+   4.40085E-02   3.17722E-02   2.21967E-02   1.48677E-02   9.46960E-03
+   5.63605E-03   3.05913E-03   1.45385E-03   5.60704E-04   1.50942E-04
+   1.97772E-05   0.00000E+00   6.32175E+06   4.72791E+06   3.46888E+06
+   2.54465E+06   1.86624E+06   1.36838E+06   1.00310E+06   7.35156E+05
+   5.38657E+05   3.94589E+05   2.88987E+05   2.11600E+05   1.54904E+05
+   1.13376E+05   8.29674E+04   6.07052E+04   4.44112E+04   3.24881E+04
+   2.37653E+04   1.73850E+04   1.27190E+04   9.30712E+03   6.81264E+03
+   4.98890E+03   3.65555E+03   2.68046E+03   1.96779E+03   1.43964E+03
+   1.06022E+03   7.82401E+02   5.78828E+02   4.29518E+02   3.19727E+02
+   2.39047E+02   1.79653E+02   1.35853E+02   1.03439E+02   7.93884E+01
+   6.14770E+01   4.80792E+01   3.80064E+01   3.03888E+01   2.45890E+01
+   2.01346E+01   1.66994E+01   1.40134E+01   1.18949E+01   1.02058E+01
+   8.84335E+00   7.73103E+00   6.81158E+00   6.04191E+00   5.39211E+00
+   4.82968E+00   4.34166E+00   3.91186E+00   3.52941E+00   3.18601E+00
+   2.87533E+00   2.59533E+00   2.33691E+00   2.10119E+00   1.88494E+00
+   1.68660E+00   1.50429E+00   1.33708E+00   1.18397E+00   1.04395E+00
+   9.16575E-01   8.00494E-01   6.96288E-01   6.01493E-01   5.16446E-01
+   4.40483E-01   3.72978E-01   3.13317E-01   2.60913E-01   2.15186E-01
+   1.75625E-01   1.41547E-01   1.12743E-01   8.83252E-02   6.80122E-02
+   5.13323E-02   3.78436E-02   2.71267E-02   1.88057E-02   1.24903E-02
+   7.88142E-03   4.64170E-03   2.48916E-03   1.16626E-03   4.42173E-04
+   1.16945E-04   1.53589E-05   0.00000E+00   8.09076E+06   6.03610E+06
+   4.41566E+06   3.22944E+06   2.36114E+06   1.72576E+06   1.26095E+06
+   9.21032E+05   6.72529E+05   4.90914E+05   3.58228E+05   2.61322E+05
+   1.90571E+05   1.38933E+05   1.01259E+05   7.37812E+04   5.37472E+04
+   3.91451E+04   2.85057E+04   2.07559E+04   1.51126E+04   1.10042E+04
+   8.01402E+03   5.83798E+03   4.25464E+03   3.10237E+03   2.26450E+03
+   1.64680E+03   1.20543E+03   8.84012E+02   6.49815E+02   4.79035E+02
+   3.54200E+02   2.63019E+02   1.96311E+02   1.47426E+02   1.11479E+02
+   8.49775E+01   6.53674E+01   5.07922E+01   3.99027E+01   3.17174E+01
+   2.55218E+01   2.07896E+01   1.71588E+01   1.43333E+01   1.21141E+01
+   1.03512E+01   8.93377E+00   7.77979E+00   6.82823E+00   6.03341E+00
+   5.36381E+00   4.78554E+00   4.28499E+00   3.84538E+00   3.45541E+00
+   3.10651E+00   2.79207E+00   2.50986E+00   2.25056E+00   2.01515E+00
+   1.80022E+00   1.60409E+00   1.42471E+00   1.26102E+00   1.11192E+00
+   9.76277E-01   8.53520E-01   7.42220E-01   6.42826E-01   5.52879E-01
+   4.72601E-01   4.01275E-01   3.38225E-01   2.82797E-01   2.34372E-01
+   1.92348E-01   1.56194E-01   1.25224E-01   9.92003E-02   7.72719E-02
+   5.91441E-02   4.43561E-02   3.24796E-02   2.31126E-02   1.58972E-02
+   1.04674E-02   6.54184E-03   3.81114E-03   2.01831E-03   9.31732E-04
+   3.47006E-04   9.00930E-05   1.18619E-05   0.00000E+00   1.04169E+07
+   7.74929E+06   5.64946E+06   4.11737E+06   2.99962E+06   2.18445E+06
+   1.59018E+06   1.15712E+06   8.41649E+05   6.11939E+05   4.44743E+05
+   3.23098E+05   2.34632E+05   1.70321E+05   1.23590E+05   8.96485E+04
+   6.50063E+04   4.71230E+04   3.41503E+04   2.47434E+04   1.79251E+04
+   1.29846E+04   9.40607E+03   6.81473E+03   4.93869E+03   3.58046E+03
+   2.59809E+03   1.87780E+03   1.36600E+03   9.95416E+02   7.26958E+02
+   5.32356E+02   3.90970E+02   2.88341E+02   2.13730E+02   1.59402E+02
+   1.19710E+02   9.06367E+01   6.92622E+01   5.34767E+01   4.17564E+01
+   3.29999E+01   2.64101E+01   2.14041E+01   1.75827E+01   1.46222E+01
+   1.23065E+01   1.04736E+01   9.00449E+00   7.81160E+00   6.83031E+00
+   6.01243E+00   5.32488E+00   4.73245E+00   4.22092E+00   3.77290E+00
+   3.37673E+00   3.02354E+00   2.70643E+00   2.42301E+00   2.16375E+00
+   1.92944E+00   1.71655E+00   1.52321E+00   1.34726E+00   1.18750E+00
+   1.04272E+00   9.11667E-01   7.93675E-01   6.87231E-01   5.92659E-01
+   5.07512E-01   4.31910E-01   3.65084E-01   3.06319E-01   2.54929E-01
+   2.10270E-01   1.71724E-01   1.38745E-01   1.10652E-01   8.71813E-02
+   6.75229E-02   5.13729E-02   3.82840E-02   2.78442E-02   1.96703E-02
+   1.34235E-02   8.76242E-03   5.42400E-03   3.12583E-03   1.63483E-03
+   7.43653E-04   2.72125E-04   6.93987E-05   9.15967E-06   0.00000E+00
+   1.34057E+07   9.94218E+06   7.22137E+06   5.24331E+06   3.80536E+06
+   2.76050E+06   2.00161E+06   1.45066E+06   1.05087E+06   7.60888E+05
+   5.50662E+05   3.98327E+05   2.87997E+05   2.08127E+05   1.50337E+05
+   1.08545E+05   7.83366E+04   5.65123E+04   4.07532E+04   2.93791E+04
+   2.11740E+04   1.52574E+04   1.09931E+04   7.92068E+03   5.70781E+03
+   4.11412E+03   2.96771E+03   2.13177E+03   1.54116E+03   1.11596E+03
+   8.09730E+02   5.89073E+02   4.29734E+02   3.14789E+02   2.31749E+02
+   1.71668E+02   1.28054E+02   9.63131E+01   7.31260E+01   5.61096E+01
+   4.35530E+01   3.42271E+01   2.72486E+01   2.19752E+01   1.79693E+01
+   1.48796E+01   1.24723E+01   1.05735E+01   9.05602E+00   7.82708E+00
+   6.81850E+00   5.97967E+00   5.27604E+00   4.67113E+00   4.15013E+00
+   3.69511E+00   3.29402E+00   2.93770E+00   2.61898E+00   2.33529E+00
+   2.07691E+00   1.84445E+00   1.63422E+00   1.44420E+00   1.27211E+00
+   1.11663E+00   9.76416E-01   8.50137E-01   7.37008E-01   6.35455E-01
+   5.45680E-01   4.65258E-01   3.94214E-01   3.31736E-01   2.77077E-01
+   2.29525E-01   1.88418E-01   1.53128E-01   1.23099E-01   9.76603E-02
+   7.65299E-02   5.89362E-02   4.45721E-02   3.30060E-02   2.38437E-02
+   1.67222E-02   1.13224E-02   7.32726E-03   4.49241E-03   2.56111E-03
+   1.32291E-03   5.93014E-04   2.13274E-04   5.34603E-05   7.07301E-06
+   0.00000E+00   1.71720E+07   1.26953E+07   9.18610E+06   6.64427E+06
+   4.80334E+06   3.47068E+06   2.50645E+06   1.80915E+06   1.30513E+06
+   9.41015E+05   6.78112E+05   4.88389E+05   3.51554E+05   2.52917E+05
+   1.81856E+05   1.30691E+05   9.38727E+04   6.73933E+04   4.83609E+04
+   3.46886E+04   2.48726E+04   1.78289E+04   1.27773E+04   9.15596E+03
+   6.56115E+03   4.70215E+03   3.37211E+03   2.40760E+03   1.72998E+03
+   1.24489E+03   8.97555E+02   6.48756E+02   4.70174E+02   3.42135E+02
+   2.50209E+02   1.84114E+02   1.36437E+02   1.01957E+02   7.69266E+01
+   5.86703E+01   4.52796E+01   3.53915E+01   2.80328E+01   2.25005E+01
+   1.83177E+01   1.51052E+01   1.26116E+01   1.06511E+01   9.08893E+00
+   7.82691E+00   6.79352E+00   5.93588E+00   5.21802E+00   4.60229E+00
+   4.07333E+00   3.61266E+00   3.20787E+00   2.84955E+00   2.53022E+00
+   2.24715E+00   1.99043E+00   1.76049E+00   1.55349E+00   1.36727E+00
+   1.19942E+00   1.04850E+00   9.13057E-01   7.91675E-01   6.83467E-01
+   5.86804E-01   5.01773E-01   4.25978E-01   3.59356E-01   3.01062E-01
+   2.50321E-01   2.06404E-01   1.68637E-01   1.36385E-01   1.09091E-01
+   8.60954E-02   6.71035E-02   5.13837E-02   3.86285E-02   2.84242E-02
+   2.03957E-02   1.42006E-02   9.53993E-03   6.12068E-03   3.71696E-03
+   2.09629E-03   1.06947E-03   4.72487E-04   1.67054E-04   4.11842E-05
+   5.46170E-06   0.00000E+00   2.18385E+07   1.60947E+07   1.16016E+07
+   8.35919E+06   6.01961E+06   4.33236E+06   3.11623E+06   2.24016E+06
+   1.60941E+06   1.15556E+06   8.29189E+05   5.94628E+05   4.26155E+05
+   3.05225E+05   2.18477E+05   1.56287E+05   1.11734E+05   7.98346E+04
+   5.70113E+04   4.06916E+04   2.90302E+04   2.07023E+04   1.47589E+04
+   1.05193E+04   7.49694E+03   5.34275E+03   3.80968E+03   2.70393E+03
+   1.93136E+03   1.38139E+03   9.89819E+02   7.10955E+02   5.11970E+02
+   3.70155E+02   2.68954E+02   1.96636E+02   1.44789E+02   1.07523E+02
+   8.06352E+01   6.11411E+01   4.69255E+01   3.64868E+01   2.87594E+01
+   2.29785E+01   1.86273E+01   1.52990E+01   1.27248E+01   1.07073E+01
+   9.10392E+00   7.81180E+00   6.75611E+00   5.88178E+00   5.15154E+00
+   4.52664E+00   3.99117E+00   3.52617E+00   3.11887E+00   2.75960E+00
+   2.44062E+00   2.15899E+00   1.90465E+00   1.67785E+00   1.47459E+00
+   1.29258E+00   1.12929E+00   9.83165E-01   8.52652E-01   7.36251E-01
+   6.32986E-01   5.41179E-01   4.60814E-01   3.89528E-01   3.27178E-01
+   2.72893E-01   2.25878E-01   1.85393E-01   1.50756E-01   1.21334E-01
+   9.65671E-02   7.58146E-02   5.87726E-02   4.47496E-02   3.34409E-02
+   2.44519E-02   1.74275E-02   1.20464E-02   8.02961E-03   5.10748E-03
+   3.07223E-03   1.71414E-03   8.63775E-04   3.76146E-04   1.30781E-04
+   3.17286E-05   4.21746E-06   0.00000E+00   2.75355E+07   2.02309E+07
+   1.45286E+07   1.04286E+07   7.48109E+06   5.36333E+06   3.84263E+06
+   2.75134E+06   1.96868E+06   1.40773E+06   1.00594E+06   7.18333E+05
+   5.12608E+05   3.65548E+05   2.60500E+05   1.85512E+05   1.32022E+05
+   9.38926E+04   6.67335E+04   4.74016E+04   3.36514E+04   2.38779E+04
+   1.69360E+04   1.20083E+04   8.51257E+03   6.03355E+03   4.27847E+03
+   3.01923E+03   2.14415E+03   1.52457E+03   1.08588E+03   7.75210E+02
+   5.54799E+02   3.98627E+02   2.87835E+02   2.09133E+02   1.53045E+02
+   1.12971E+02   8.42260E+01   6.35063E+01   4.84817E+01   3.75081E+01
+   2.94260E+01   2.34082E+01   1.88980E+01   1.54614E+01   1.28125E+01
+   1.07425E+01   9.10174E+00   7.78252E+00   6.70703E+00   5.81811E+00
+   5.07730E+00   4.44484E+00   3.90430E+00   3.43623E+00   3.02757E+00
+   2.66836E+00   2.35061E+00   2.07119E+00   1.81990E+00   1.59678E+00
+   1.39772E+00   1.22026E+00   1.06181E+00   9.20662E-01   7.95192E-01
+   6.83818E-01   5.85484E-01   4.98475E-01   4.22675E-01   3.55763E-01
+   2.97524E-01   2.47067E-01   2.03584E-01   1.66329E-01   1.34618E-01
+   1.07822E-01   8.53855E-02   6.66878E-02   5.14197E-02   3.89297E-02
+   2.89188E-02   2.10124E-02   1.48756E-02   1.02084E-02   6.75143E-03
+   4.25767E-03   2.53680E-03   1.40029E-03   6.97006E-04   2.99210E-04
+   1.02330E-04   2.44450E-05   3.25667E-06   0.00000E+00   3.44003E+07
+   2.51987E+07   1.80301E+07   1.28942E+07   9.21527E+06   6.58159E+06
+   4.69740E+06   3.35029E+06   2.38781E+06   1.70061E+06   1.21031E+06
+   8.60725E+05   6.11660E+05   4.34339E+05   3.08192E+05   2.18518E+05
+   1.54821E+05   1.09610E+05   7.75474E+04   5.48255E+04   3.87367E+04
+   2.73530E+04   1.93049E+04   1.36189E+04   9.60462E+03   6.77174E+03
+   4.77623E+03   3.35179E+03   2.36706E+03   1.67350E+03   1.18507E+03
+   8.41060E+02   5.98345E+02   4.27337E+02   3.06710E+02   2.21513E+02
+   1.61146E+02   1.18262E+02   8.76768E+01   6.57530E+01   4.99409E+01
+   3.84517E+01   3.00310E+01   2.37891E+01   1.91301E+01   1.55930E+01
+   1.28754E+01   1.07576E+01   9.08319E+00   7.73987E+00   6.64703E+00
+   5.74561E+00   4.99602E+00   4.35757E+00   3.81332E+00   3.34342E+00
+   2.93447E+00   2.57627E+00   2.26058E+00   1.98408E+00   1.73643E+00
+   1.51750E+00   1.32302E+00   1.15044E+00   9.97025E-01   8.61003E-01
+   7.40648E-01   6.34314E-01   5.40871E-01   4.58576E-01   3.87223E-01
+   3.24537E-01   2.70239E-01   2.23425E-01   1.83281E-01   1.49057E-01
+   1.20074E-01   9.57085E-02   7.54160E-02   5.85960E-02   4.49384E-02
+   3.38307E-02   2.49819E-02   1.80378E-02   1.26843E-02   8.64189E-03
+   5.67096E-03   3.54571E-03   2.09263E-03   1.14283E-03   5.61934E-04
+   2.37828E-04   8.00303E-05   1.88343E-05   2.51475E-06   0.00000E+00
+   4.25754E+07   3.10965E+07   2.21709E+07   1.57986E+07   1.12500E+07
+   8.00522E+06   5.69218E+06   4.04447E+06   2.87154E+06   2.03720E+06
+   1.44416E+06   1.02294E+06   7.23994E+05   5.11998E+05   3.61783E+05
+   2.55430E+05   1.80195E+05   1.27018E+05   8.94634E+04   6.29641E+04
+   4.42821E+04   3.11221E+04   2.18600E+04   1.53462E+04   1.07690E+04
+   7.55404E+03   5.30046E+03   3.69975E+03   2.59874E+03   1.82725E+03
+   1.28673E+03   9.08044E+02   6.42296E+02   4.56077E+02   3.25444E+02
+   2.33691E+02   1.69039E+02   1.23365E+02   9.09684E+01   6.78704E+01
+   5.12976E+01   3.93150E+01   3.05734E+01   2.41213E+01   1.93241E+01
+   1.56945E+01   1.29143E+01   1.07536E+01   9.04911E+00   7.68465E+00
+   6.57688E+00   5.66500E+00   4.90836E+00   4.26544E+00   3.71882E+00
+   3.24826E+00   2.84005E+00   2.48376E+00   2.17090E+00   1.89796E+00
+   1.65451E+00   1.44019E+00   1.25064E+00   1.08318E+00   9.34981E-01
+   8.04182E-01   6.88979E-01   5.87665E-01   4.99049E-01   4.21365E-01
+   3.54325E-01   2.95706E-01   2.45173E-01   2.01816E-01   1.64817E-01
+   1.33430E-01   1.06983E-01   8.48639E-02   6.65389E-02   5.14313E-02
+   3.92326E-02   2.93689E-02   2.15586E-02   1.54684E-02   1.08047E-02
+   7.30842E-03   4.75866E-03   2.94991E-03   1.72458E-03   9.31842E-04
+   4.52645E-04   1.88897E-04   6.25607E-05   1.45120E-05   1.94185E-06
+   0.00000E+00   5.22082E+07   3.80247E+07   2.70169E+07   1.91848E+07
+   1.36130E+07   9.65214E+06   6.83843E+06   4.84113E+06   3.42442E+06
+   2.42031E+06   1.70920E+06   1.20600E+06   8.50216E+05   5.98871E+05
+   4.21461E+05   2.96346E+05   2.08190E+05   1.46130E+05   1.02483E+05
+   7.18114E+04   5.02796E+04   3.51770E+04   2.45940E+04   1.71842E+04
+   1.20008E+04   8.37682E+03   5.84847E+03   4.06116E+03   2.83782E+03
+   1.98482E+03   1.39019E+03   9.75711E+02   6.86352E+02   4.84654E+02
+   3.43913E+02   2.45587E+02   1.76676E+02   1.28252E+02   9.40849E+01
+   6.98499E+01   5.25476E+01   4.00964E+01   3.10531E+01   2.44053E+01
+   1.94807E+01   1.57669E+01   1.29302E+01   1.07311E+01   9.00035E+00
+   7.61766E+00   6.49735E+00   5.57699E+00   4.81500E+00   4.16907E+00
+   3.62136E+00   3.15125E+00   2.74475E+00   2.39120E+00   2.08189E+00
+   1.81310E+00   1.57432E+00   1.36501E+00   1.18068E+00   1.01854E+00
+   8.75689E-01   7.50174E-01   6.40127E-01   5.43789E-01   4.59911E-01
+   3.86718E-01   3.23846E-01   2.69129E-01   2.22182E-01   1.82094E-01
+   1.48050E-01   1.19311E-01   9.52164E-02   7.51678E-02   5.86447E-02
+   4.50954E-02   3.42158E-02   2.54693E-02   1.85854E-02   1.32515E-02
+   9.19441E-03   6.17459E-03   3.98921E-03   2.45185E-03   1.41992E-03
+   7.59117E-04   3.64303E-04   1.49926E-04   4.88829E-05   1.11821E-05
+   1.49946E-06   0.00000E+00   6.34492E+07   4.60860E+07   3.26349E+07
+   2.30957E+07   1.63321E+07   1.15400E+07   8.14727E+06   5.74722E+06
+   4.05074E+06   2.85255E+06   2.00701E+06   1.41084E+06   9.90849E+05
+   6.95243E+05   4.87373E+05   3.41332E+05   2.38829E+05   1.66950E+05
+   1.16597E+05   8.13559E+04   5.67171E+04   3.95070E+04   2.74981E+04
+   1.91260E+04   1.32949E+04   9.23610E+03   6.41737E+03   4.43400E+03
+   3.08287E+03   2.14524E+03   1.49478E+03   1.04362E+03   7.30230E+02
+   5.12885E+02   3.62001E+02   2.57133E+02   1.84014E+02   1.32898E+02
+   9.70130E+01   7.16850E+01   5.36879E+01   4.07950E+01   3.14702E+01
+   2.46419E+01   1.96009E+01   1.58111E+01   1.29241E+01   1.06913E+01
+   8.93779E+00   7.53971E+00   6.40917E+00   5.48227E+00   4.71655E+00
+   4.06904E+00   3.52146E+00   3.05286E+00   2.64898E+00   2.29895E+00
+   1.99384E+00   1.72973E+00   1.49606E+00   1.29208E+00   1.11321E+00
+   9.56553E-01   8.19143E-01   6.98942E-01   5.94026E-01   5.02594E-01
+   4.23349E-01   3.54511E-01   2.95653E-01   2.44665E-01   2.01124E-01
+   1.64119E-01   1.32845E-01   1.06572E-01   8.46546E-02   6.65099E-02
+   5.16335E-02   3.94995E-02   2.98101E-02   2.20651E-02   1.60062E-02
+   1.13412E-02   7.81643E-03   5.21159E-03   3.34097E-03   2.03596E-03
+   1.16800E-03   6.17860E-04   2.92961E-04   1.18912E-04   3.81794E-05
+   8.61666E-06   1.15786E-06   0.00000E+00   7.64511E+07   5.53836E+07
+   3.90912E+07   2.75741E+07   1.94342E+07   1.36857E+07   9.62935E+06
+   6.76932E+06   4.75450E+06   3.33632E+06   2.33899E+06   1.63824E+06
+   1.14633E+06   8.01336E+05   5.59621E+05   3.90426E+05   2.72114E+05
+   1.89465E+05   1.31788E+05   9.15796E+04   6.35789E+04   4.40990E+04
+   3.05618E+04   2.11635E+04   1.46453E+04   1.01277E+04   7.00417E+03
+   4.81617E+03   3.33246E+03   2.30756E+03   1.59988E+03   1.11136E+03
+   7.73657E+02   5.40598E+02   3.79604E+02   2.68265E+02   1.91019E+02
+   1.37283E+02   9.97426E+01   7.33708E+01   5.47170E+01   4.14108E+01
+   3.18256E+01   2.48321E+01   1.96860E+01   1.58282E+01   1.28970E+01
+   1.06351E+01   8.86229E+00   7.45160E+00   6.31309E+00   5.38151E+00
+   4.61365E+00   3.96590E+00   3.41962E+00   2.95353E+00   2.55313E+00
+   2.20733E+00   1.90701E+00   1.64806E+00   1.41988E+00   1.22151E+00
+   1.04830E+00   8.97242E-01   7.65323E-01   6.50433E-01   5.50598E-01
+   4.63982E-01   3.89248E-01   3.24621E-01   2.69615E-01   2.22182E-01
+   1.81864E-01   1.47761E-01   1.19075E-01   9.50937E-02   7.51863E-02
+   5.87887E-02   4.54142E-02   3.45629E-02   2.59456E-02   1.90970E-02
+   1.37714E-02   9.69670E-03   6.63854E-03   4.39457E-03   2.79542E-03
+   1.68905E-03   9.59911E-04   5.02451E-04   2.35401E-04   9.42500E-05
+   2.98075E-05   6.64006E-06   8.94076E-07   0.00000E+00   9.13675E+07
+   6.60205E+07   4.64519E+07   3.26617E+07   2.29457E+07   1.61059E+07
+   1.12948E+07   7.91355E+06   5.53936E+06   3.87375E+06   2.70634E+06
+   1.88886E+06   1.31698E+06   9.17306E+05   6.38260E+05   4.43633E+05
+   3.08030E+05   2.13649E+05   1.48031E+05   1.02459E+05   7.08455E+04
+   4.89377E+04   3.37737E+04   2.32883E+04   1.60459E+04   1.10471E+04
+   7.60578E+03   5.20559E+03   3.58517E+03   2.47081E+03   1.70485E+03
+   1.17853E+03   8.16384E+02   5.67640E+02   3.96629E+02   2.78928E+02
+   1.97659E+02   1.41392E+02   1.02266E+02   7.49043E+01   5.56343E+01
+   4.19446E+01   3.21205E+01   2.49772E+01   1.97371E+01   1.58195E+01
+   1.28500E+01   1.05634E+01   8.77473E+00   7.35412E+00   6.20980E+00
+   5.27536E+00   4.50686E+00   3.86019E+00   3.31631E+00   2.85366E+00
+   2.45753E+00   2.11662E+00   1.82163E+00   1.56827E+00   1.34590E+00
+   1.15338E+00   9.85970E-01   8.40601E-01   7.14196E-01   6.04587E-01
+   5.09759E-01   4.27850E-01   3.57494E-01   2.96922E-01   2.45601E-01
+   2.01546E-01   1.64274E-01   1.32892E-01   1.06621E-01   8.47640E-02
+   6.67088E-02   5.19113E-02   3.99039E-02   3.02133E-02   2.25599E-02
+   1.65120E-02   1.18371E-02   8.28272E-03   5.63279E-03   3.70215E-03
+   2.33679E-03   1.39997E-03   7.88192E-04   4.08252E-04   1.89002E-04
+   7.46546E-05   2.32625E-05   5.11708E-06   6.90387E-07   0.00000E+00
+   1.48618E+06   2.05437E+06   1.50559E+06   1.10342E+06   8.08708E+05
+   5.92743E+05   4.34479E+05   3.18495E+05   2.33493E+05   1.71195E+05
+   1.25534E+05   9.20642E+04   6.75297E+04   4.95434E+04   3.63562E+04
+   2.66866E+04   1.95952E+04   1.43938E+04   1.05779E+04   7.77787E+03
+   5.72269E+03   4.21375E+03   3.10547E+03   2.29110E+03   1.69241E+03
+   1.25200E+03   9.27798E+02   6.85792E+02   5.10554E+02   3.81156E+02
+   2.85482E+02   2.14627E+02   1.61987E+02   1.22879E+02   9.37557E+01
+   7.20175E+01   5.57261E+01   4.34793E+01   3.42352E+01   2.72252E+01
+   2.18813E+01   1.77833E+01   1.46194E+01   1.21548E+01   1.02266E+01
+   8.69590E+00   7.46888E+00   6.47302E+00   5.65412E+00   4.97174E+00
+   4.39588E+00   3.90400E+00   3.48135E+00   3.11026E+00   2.78494E+00
+   2.49675E+00   2.23986E+00   2.00958E+00   1.80219E+00   1.61640E+00
+   1.44613E+00   1.29194E+00   1.15147E+00   1.02344E+00   9.06387E-01
+   7.99517E-01   7.02024E-01   6.13166E-01   5.32512E-01   4.59325E-01
+   3.93871E-01   3.34615E-01   2.81788E-01   2.34999E-01   1.93872E-01
+   1.58033E-01   1.27110E-01   1.00724E-01   7.84920E-02   5.99912E-02
+   4.49712E-02   3.28425E-02   2.33259E-02   1.60391E-02   1.06173E-02
+   6.71768E-03   4.02509E-03   2.25080E-03   1.15814E-03   5.32912E-04
+   2.10590E-04   6.67742E-05   1.49564E-05   1.77750E-06   4.49035E-08
+   0.00000E+00   2.80662E+06   2.09892E+06   1.54008E+06   1.13009E+06
+   8.29315E+05   6.08649E+05   4.46746E+05   3.27948E+05   2.40772E+05
+   1.76795E+05   1.29840E+05   9.53731E+04   7.00708E+04   5.14937E+04
+   3.78523E+04   2.78336E+04   2.04742E+04   1.50670E+04   1.10934E+04
+   8.17235E+03   6.02446E+03   4.44450E+03   3.28185E+03   2.42587E+03
+   1.79533E+03   1.33053E+03   9.87733E+02   7.31317E+02   5.45270E+02
+   4.07617E+02   3.05639E+02   2.29973E+02   1.73658E+02   1.31750E+02
+   1.00494E+02   7.71332E+01   5.96070E+01   4.64214E+01   3.64641E+01
+   2.89125E+01   2.31575E+01   1.87472E+01   1.53459E+01   1.27005E+01
+   1.06345E+01   8.99817E+00   7.68978E+00   6.63099E+00   5.76318E+00
+   5.04269E+00   4.43708E+00   3.92203E+00   3.48145E+00   3.09641E+00
+   2.76045E+00   2.46422E+00   2.20139E+00   1.96690E+00   1.75665E+00
+   1.56917E+00   1.39814E+00   1.24397E+00   1.10418E+00   9.77369E-01
+   8.61994E-01   7.57172E-01   6.62032E-01   5.75759E-01   4.97879E-01
+   4.27565E-01   3.65019E-01   3.08703E-01   2.58775E-01   2.14801E-01
+   1.76366E-01   1.43066E-01   1.14500E-01   9.02668E-02   6.99768E-02
+   5.31921E-02   3.96515E-02   2.87883E-02   2.03218E-02   1.38840E-02
+   9.12865E-03   5.73429E-03   3.41048E-03   1.89179E-03   9.64895E-04
+   4.39709E-04   1.71894E-04   5.38549E-05   1.19023E-05   1.39971E-06
+   3.59598E-08   0.00000E+00   2.95029E+06   2.20889E+06   1.62299E+06
+   1.19258E+06   8.76396E+05   6.44110E+05   4.73445E+05   3.48043E+05
+   2.55892E+05   1.88167E+05   1.38390E+05   1.01799E+05   7.48987E+04
+   5.51195E+04   4.05742E+04   2.98762E+04   2.20064E+04   1.62159E+04
+   1.19545E+04   8.81748E+03   6.50759E+03   4.80616E+03   3.55246E+03
+   2.62826E+03   1.94664E+03   1.44355E+03   1.07215E+03   7.94052E+02
+   5.92090E+02   4.42542E+02   3.31678E+02   2.49378E+02   1.88104E+02
+   1.42499E+02   1.08490E+02   8.30792E+01   6.40267E+01   4.97057E+01
+   3.89041E+01   3.07248E+01   2.45029E+01   1.97451E+01   1.60848E+01
+   1.32456E+01   1.10348E+01   9.28923E+00   7.89812E+00   6.77634E+00
+   5.86033E+00   5.10283E+00   4.46876E+00   3.93185E+00   3.47462E+00
+   3.07685E+00   2.73135E+00   2.42810E+00   2.16024E+00   1.92234E+00
+   1.70996E+00   1.52141E+00   1.35016E+00   1.19648E+00   1.05777E+00
+   9.32510E-01   8.19082E-01   7.16519E-01   6.23886E-01   5.40300E-01
+   4.65243E-01   3.97811E-01   3.38142E-01   2.84700E-01   2.37575E-01
+   1.96296E-01   1.60416E-01   1.29503E-01   1.03135E-01   8.08961E-02
+   6.23891E-02   4.71689E-02   3.49670E-02   2.52404E-02   1.77099E-02
+   1.20232E-02   7.85274E-03   4.89763E-03   2.89007E-03   1.58967E-03
+   8.03503E-04   3.62522E-04   1.40147E-04   4.33659E-05   9.45144E-06
+   1.09929E-06   2.87457E-08   0.00000E+00   3.20840E+06   2.40456E+06
+   1.76885E+06   1.30128E+06   9.57371E+05   7.04410E+05   5.18331E+05
+   3.81441E+05   2.80731E+05   2.06634E+05   1.52112E+05   1.11991E+05
+   8.24644E+04   6.07331E+04   4.47372E+04   3.29617E+04   2.42921E+04
+   1.79081E+04   1.32065E+04   9.74329E+03   7.19176E+03   5.31141E+03
+   3.92534E+03   2.90326E+03   2.14931E+03   1.59278E+03   1.18197E+03
+   8.74433E+02   6.51169E+02   4.85934E+02   3.63524E+02   2.72734E+02
+   2.05213E+02   1.55024E+02   1.17654E+02   8.97824E+01   6.89275E+01
+   5.32879E+01   4.15221E+01   3.26376E+01   2.59001E+01   2.07648E+01
+   1.68277E+01   1.37847E+01   1.14239E+01   9.56693E+00   8.09269E+00
+   6.90853E+00   5.94545E+00   5.15230E+00   4.49121E+00   3.93385E+00
+   3.46130E+00   3.05200E+00   2.69807E+00   2.38877E+00   2.11675E+00
+   1.87620E+00   1.66235E+00   1.47331E+00   1.30236E+00   1.14960E+00
+   1.01232E+00   8.88915E-01   7.77669E-01   6.77546E-01   5.87545E-01
+   5.06726E-01   4.34521E-01   3.69964E-01   3.13128E-01   2.62486E-01
+   2.18065E-01   1.79359E-01   1.45898E-01   1.17226E-01   9.29067E-02
+   7.25102E-02   5.56376E-02   4.18413E-02   3.08484E-02   2.21405E-02
+   1.54427E-02   1.04188E-02   6.76032E-03   4.18696E-03   2.45254E-03
+   1.33821E-03   6.70502E-04   2.99666E-04   1.14687E-04   3.51369E-05
+   7.60902E-06   9.04785E-07   2.78937E-08   0.00000E+00   3.61335E+06
+   2.70955E+06   1.99448E+06   1.46813E+06   1.08071E+06   7.95534E+05
+   5.85621E+05   4.31106E+05   3.17368E+05   2.33644E+05   1.72014E+05
+   1.26646E+05   9.32496E+04   6.86649E+04   5.05667E+04   3.72430E+04
+   2.74341E+04   2.02122E+04   1.48949E+04   1.09795E+04   8.09610E+03
+   5.97241E+03   4.40805E+03   3.25544E+03   2.40600E+03   1.77966E+03
+   1.31793E+03   9.72753E+02   7.22564E+02   5.37724E+02   4.01056E+02
+   2.99905E+02   2.24854E+02   1.69210E+02   1.27892E+02   9.71671E+01
+   7.42508E+01   5.71238E+01   4.42853E+01   3.46276E+01   2.73325E+01
+   2.17949E+01   1.75669E+01   1.43127E+01   1.17987E+01   9.82946E+00
+   8.27257E+00   7.02719E+00   6.01855E+00   5.19135E+00   4.50482E+00
+   3.92848E+00   3.44194E+00   3.02233E+00   2.66104E+00   2.34664E+00
+   2.07128E+00   1.82881E+00   1.61412E+00   1.42512E+00   1.25491E+00
+   1.10347E+00   9.67938E-01   8.46636E-01   7.37771E-01   6.40234E-01
+   5.52963E-01   4.74964E-01   4.05620E-01   3.43913E-01   2.89856E-01
+   2.41931E-01   2.00108E-01   1.63856E-01   1.32681E-01   1.06110E-01
+   8.36957E-02   6.50008E-02   4.96256E-02   3.71248E-02   2.72239E-02
+   1.94293E-02   1.34723E-02   9.03364E-03   5.82372E-03   3.58213E-03
+   2.08305E-03   1.12776E-03   5.60372E-04   2.48244E-04   9.41530E-05
+   2.86209E-05   6.19040E-06   7.62413E-07   2.84007E-08   0.00000E+00
+   4.20175E+06   3.15044E+06   2.31865E+06   1.70638E+06   1.25571E+06
+   9.24006E+05   6.79879E+05   5.00218E+05   3.68010E+05   2.70728E+05
+   1.99150E+05   1.46489E+05   1.07749E+05   7.92509E+04   5.82893E+04
+   4.28721E+04   3.15335E+04   2.31950E+04   1.70631E+04   1.25540E+04
+   9.23833E+03   6.80016E+03   5.00725E+03   3.68869E+03   2.71889E+03
+   2.00531E+03   1.48050E+03   1.08914E+03   8.06215E+02   5.97771E+02
+   4.44103E+02   3.30725E+02   2.46880E+02   1.84934E+02   1.39105E+02
+   1.05157E+02   7.99393E+01   6.11710E+01   4.71633E+01   3.66732E+01
+   2.87852E+01   2.28252E+01   1.82957E+01   1.48255E+01   1.21567E+01
+   1.00754E+01   8.43708E+00   7.13216E+00   6.07975E+00   5.22029E+00
+   4.50998E+00   3.91618E+00   3.41699E+00   2.98828E+00   2.62067E+00
+   2.30207E+00   2.02417E+00   1.78044E+00   1.56549E+00   1.37702E+00
+   1.20797E+00   1.05818E+00   9.24686E-01   8.05709E-01   6.99393E-01
+   6.04558E-01   5.20088E-01   4.44940E-01   3.78449E-01   3.19554E-01
+   2.68210E-01   2.22914E-01   1.83583E-01   1.49664E-01   1.20645E-01
+   9.60420E-02   7.53975E-02   5.82729E-02   4.42688E-02   3.29464E-02
+   2.40316E-02   1.70558E-02   1.17581E-02   7.83647E-03   5.01973E-03
+   3.06670E-03   1.77056E-03   9.51229E-04   4.68801E-04   2.05885E-04
+   7.74033E-05   2.33524E-05   5.04557E-06   6.40541E-07   2.74591E-08
+   0.00000E+00   2.91935E+06   3.75664E+06   2.76201E+06   2.03048E+06
+   1.49247E+06   1.09686E+06   8.05985E+05   5.92155E+05   4.34987E+05
+   3.19484E+05   2.34614E+05   1.72263E+05   1.26465E+05   9.28292E+04
+   6.81312E+04   4.99988E+04   3.66889E+04   2.69204E+04   1.97522E+04
+   1.44929E+04   1.06346E+04   7.80449E+03   5.72871E+03   4.20625E+03
+   3.08965E+03   2.27049E+03   1.66994E+03   1.22355E+03   9.01961E+02
+   6.65867E+02   4.92457E+02   3.65008E+02   2.71135E+02   2.02069E+02
+   1.51194E+02   1.13678E+02   8.59371E+01   6.53892E+01   5.01275E+01
+   3.87543E+01   3.02448E+01   2.38469E+01   1.90085E+01   1.53195E+01
+   1.24958E+01   1.03037E+01   8.58582E+00   7.22343E+00   6.12930E+00
+   5.23949E+00   4.50714E+00   3.89741E+00   3.38692E+00   2.95027E+00
+   2.57734E+00   2.25541E+00   1.97570E+00   1.73135E+00   1.51667E+00
+   1.32919E+00   1.16168E+00   1.01384E+00   8.82624E-01   7.66160E-01
+   6.62528E-01   5.70487E-01   4.88867E-01   4.16581E-01   3.52920E-01
+   2.96787E-01   2.48084E-01   2.05324E-01   1.68376E-01   1.36671E-01
+   1.09683E-01   8.69199E-02   6.79191E-02   5.22422E-02   3.94933E-02
+   2.92423E-02   2.12179E-02   1.49763E-02   1.02655E-02   6.80073E-03
+   4.32883E-03   2.62693E-03   1.50595E-03   8.02948E-04   3.92543E-04
+   1.70934E-04   6.37137E-05   1.90830E-05   4.11929E-06   5.36893E-07
+   2.56868E-08   0.00000E+00   6.32025E+06   4.72659E+06   3.46773E+06
+   2.54365E+06   1.86538E+06   1.36763E+06   1.00244E+06   7.34585E+05
+   5.38161E+05   3.94157E+05   2.88611E+05   2.11273E+05   1.54620E+05
+   1.13129E+05   8.27527E+04   6.05185E+04   4.42490E+04   3.23470E+04
+   2.36426E+04   1.72784E+04   1.26263E+04   9.22658E+03   6.74262E+03
+   4.92804E+03   3.60264E+03   2.63444E+03   1.92777E+03   1.40491E+03
+   1.03001E+03   7.56113E+02   5.55943E+02   4.09585E+02   3.02359E+02
+   2.23902E+02   1.66435E+02   1.24302E+02   9.33317E+01   7.05292E+01
+   5.36960E+01   4.12286E+01   3.19574E+01   2.50292E+01   1.98212E+01
+   1.58735E+01   1.28688E+01   1.05489E+01   8.74031E+00   7.31325E+00
+   6.17282E+00   5.24981E+00   4.49376E+00   3.86723E+00   3.34512E+00
+   2.90057E+00   2.52262E+00   2.19783E+00   1.91689E+00   1.67258E+00
+   1.45887E+00   1.27308E+00   1.10783E+00   9.62666E-01   8.34422E-01
+   7.21142E-01   6.20836E-01   5.32192E-01   4.53987E-01   3.85086E-01
+   3.24730E-01   2.71792E-01   2.26112E-01   1.86229E-01   1.51962E-01
+   1.22726E-01   9.79862E-02   7.72421E-02   6.00315E-02   4.59195E-02
+   3.45165E-02   2.54060E-02   1.83221E-02   1.28499E-02   8.74931E-03
+   5.75572E-03   3.63650E-03   2.18928E-03   1.24437E-03   6.57268E-04
+   3.17974E-04   1.36800E-04   5.02461E-05   1.47545E-05   3.08106E-06
+   3.72510E-07   1.49777E-08   0.00000E+00   8.08919E+06   6.03473E+06
+   4.41447E+06   3.22840E+06   2.36024E+06   1.72497E+06   1.26027E+06
+   9.20438E+05   6.72011E+05   4.90464E+05   3.57837E+05   2.60981E+05
+   1.90275E+05   1.38676E+05   1.01035E+05   7.35867E+04   5.35781E+04
+   3.89981E+04   2.83780E+04   2.06449E+04   1.50161E+04   1.09203E+04
+   7.94111E+03   5.77461E+03   4.19955E+03   3.05447E+03   2.22285E+03
+   1.61066E+03   1.17399E+03   8.56662E+02   6.26011E+02   4.58307E+02
+   3.36144E+02   2.47281E+02   1.82580E+02   1.35432E+02   1.00989E+02
+   7.57885E+01   5.73021E+01   4.36964E+01   3.36423E+01   2.61753E+01
+   2.05962E+01   1.63920E+01   1.32102E+01   1.07667E+01   8.87170E+00
+   7.38383E+00   6.20050E+00   5.24726E+00   4.47003E+00   3.82885E+00
+   3.29693E+00   2.84602E+00   2.46436E+00   2.13779E+00   1.85655E+00
+   1.61304E+00   1.40095E+00   1.21737E+00   1.05482E+00   9.12669E-01
+   7.87666E-01   6.77768E-01   5.80925E-01   4.95761E-01   4.21004E-01
+   3.55479E-01   2.98383E-01   2.48564E-01   2.05808E-01   1.68682E-01
+   1.36964E-01   1.10056E-01   8.74179E-02   6.85481E-02   5.29867E-02
+   4.03055E-02   3.01239E-02   2.20411E-02   1.57983E-02   1.10090E-02
+   7.44587E-03   4.86403E-03   3.05051E-03   1.82217E-03   1.02717E-03
+   5.37760E-04   2.57727E-04   1.09793E-04   3.99322E-05   1.16325E-05
+   2.42979E-06   3.04105E-07   1.41901E-08   0.00000E+00   1.04152E+07
+   7.74786E+06   5.64821E+06   4.11629E+06   2.99868E+06   2.18363E+06
+   1.58947E+06   1.15650E+06   8.41109E+05   6.11470E+05   4.44336E+05
+   3.22744E+05   2.34323E+05   1.70053E+05   1.23357E+05   8.94460E+04
+   6.48302E+04   4.69699E+04   3.40173E+04   2.46278E+04   1.78246E+04
+   1.28972E+04   9.33017E+03   6.74876E+03   4.88135E+03   3.53060E+03
+   2.55474E+03   1.84020E+03   1.33330E+03   9.66973E+02   7.02208E+02
+   5.10810E+02   3.72209E+02   2.71994E+02   1.99474E+02   1.46956E+02
+   1.08831E+02   8.11133E+01   6.09094E+01   4.61339E+01   3.52838E+01
+   2.72754E+01   2.13279E+01   1.68719E+01   1.35183E+01   1.09566E+01
+   8.97998E+00   7.43550E+00   6.21287E+00   5.23243E+00   4.43658E+00
+   3.78288E+00   3.24292E+00   2.78715E+00   2.40300E+00   2.07570E+00
+   1.79503E+00   1.55303E+00   1.34315E+00   1.16226E+00   1.00280E+00
+   8.63968E-01   7.42438E-01   6.36088E-01   5.42815E-01   4.61189E-01
+   3.89893E-01   3.27717E-01   2.73820E-01   2.27035E-01   1.87097E-01
+   1.52606E-01   1.23301E-01   9.85811E-02   7.79024E-02   6.07665E-02
+   4.67190E-02   3.53414E-02   2.62638E-02   1.91031E-02   1.36091E-02
+   9.42316E-03   6.33099E-03   4.10697E-03   2.55686E-03   1.51545E-03
+   8.47270E-04   4.39698E-04   2.08784E-04   8.80880E-05   3.17357E-05
+   9.17742E-06   1.91997E-06   2.48719E-07   1.31389E-08   0.00000E+00
+   1.34040E+07   9.94069E+06   7.22007E+06   5.24218E+06   3.80438E+06
+   2.75965E+06   2.00087E+06   1.45002E+06   1.05031E+06   7.60399E+05
+   5.50237E+05   3.97958E+05   2.87675E+05   2.07847E+05   1.50095E+05
+   1.08334E+05   7.81532E+04   5.63529E+04   4.06147E+04   2.92587E+04
+   2.10693E+04   1.51665E+04   1.09141E+04   7.85201E+03   5.64814E+03
+   4.06224E+03   2.92261E+03   2.09266E+03   1.50716E+03   1.08639E+03
+   7.84007E+02   5.66689E+02   4.10250E+02   2.97819E+02   2.16957E+02
+   1.58762E+02   1.16780E+02   8.64509E+01   6.44830E+01   4.85184E+01
+   3.68678E+01   2.83209E+01   2.20110E+01   1.73105E+01   1.37921E+01
+   1.11184E+01   9.06538E+00   7.46878E+00   6.21059E+00   5.20603E+00
+   4.39411E+00   3.72999E+00   3.18371E+00   2.72451E+00   2.33907E+00
+   2.01200E+00   1.73269E+00   1.49287E+00   1.28573E+00   1.10797E+00
+   9.51931E-01   8.16682E-01   6.98815E-01   5.96142E-01   5.06516E-01
+   4.28457E-01   3.60609E-01   3.01738E-01   2.50965E-01   2.07117E-01
+   1.69883E-01   1.37900E-01   1.10875E-01   8.82040E-02   6.93471E-02
+   5.38109E-02   4.11499E-02   3.09574E-02   2.28758E-02   1.65409E-02
+   1.17124E-02   8.05849E-03   5.37836E-03   3.46485E-03   2.14138E-03
+   1.25941E-03   6.98395E-04   3.59296E-04   1.69050E-04   7.06499E-05
+   2.52201E-05   7.24328E-06   1.51824E-06   2.02806E-07   1.18364E-08
+   0.00000E+00   1.71702E+07   1.26938E+07   9.18475E+06   6.64309E+06
+   4.80231E+06   3.46979E+06   2.50568E+06   1.80847E+06   1.30454E+06
+   9.40505E+05   6.77669E+05   4.88004E+05   3.51219E+05   2.52626E+05
+   1.81603E+05   1.30471E+05   9.36816E+04   6.72273E+04   4.82166E+04
+   3.45632E+04   2.47637E+04   1.77342E+04   1.26951E+04   9.08451E+03
+   6.49906E+03   4.64818E+03   3.32521E+03   2.36693E+03   1.69463E+03
+   1.21416E+03   8.70834E+02   6.25511E+02   4.49950E+02   3.24529E+02
+   2.34871E+02   1.70740E+02   1.24763E+02   9.17525E+01   6.79913E+01
+   5.08299E+01   3.83822E+01   2.93047E+01   2.26419E+01   1.77059E+01
+   1.40308E+01   1.12519E+01   9.12836E+00   7.48433E+00   6.19439E+00
+   5.16882E+00   4.34334E+00   3.67085E+00   3.11991E+00   2.65864E+00
+   2.27301E+00   1.94710E+00   1.66989E+00   1.43285E+00   1.22893E+00
+   1.05467E+00   9.02354E-01   7.70903E-01   6.56853E-01   5.57954E-01
+   4.72022E-01   3.97533E-01   3.33103E-01   2.77473E-01   2.29739E-01
+   1.88722E-01   1.54074E-01   1.24469E-01   9.95895E-02   7.88332E-02
+   6.16655E-02   4.76019E-02   3.62080E-02   2.70905E-02   1.99057E-02
+   1.43089E-02   1.00709E-02   6.88538E-03   4.56519E-03   2.92073E-03
+   1.79201E-03   1.04586E-03   5.75288E-04   2.93420E-04   1.36811E-04
+   5.66459E-05   2.00413E-05   5.71892E-06   1.20132E-06   1.64901E-07
+   1.04479E-08   0.00000E+00   2.18366E+07   1.60931E+07   1.16002E+07
+   8.35797E+06   6.01855E+06   4.33144E+06   3.11543E+06   2.23946E+06
+   1.60880E+06   1.15503E+06   8.28728E+05   5.94227E+05   4.25807E+05
+   3.04922E+05   2.18213E+05   1.56058E+05   1.11535E+05   7.96618E+04
+   5.68611E+04   4.05611E+04   2.89168E+04   2.06038E+04   1.46733E+04
+   1.04450E+04   7.43236E+03   5.28662E+03   3.76092E+03   2.66166E+03
+   1.89464E+03   1.34947E+03   9.62072E+02   6.86828E+02   4.90989E+02
+   3.51900E+02   2.53061E+02   1.82787E+02   1.32709E+02   9.69732E+01
+   7.14059E+01   5.30510E+01   3.98165E+01   3.02211E+01   2.32175E+01
+   1.80570E+01   1.42342E+01   1.13577E+01   9.16958E+00   7.48294E+00
+   6.16508E+00   5.12157E+00   4.28498E+00   3.60610E+00   3.05209E+00
+   2.59006E+00   2.20528E+00   1.88136E+00   1.60693E+00   1.37321E+00
+   1.17295E+00   1.00252E+00   8.54179E-01   7.26706E-01   6.16590E-01
+   5.21531E-01   4.39313E-01   3.68378E-01   3.07316E-01   2.54852E-01
+   2.10058E-01   1.71761E-01   1.39577E-01   1.12222E-01   8.93553E-02
+   7.03828E-02   5.47777E-02   4.20665E-02   3.18278E-02   2.36835E-02
+   1.73048E-02   1.23667E-02   8.65173E-03   5.87796E-03   3.87173E-03
+   2.46008E-03   1.49850E-03   8.67901E-04   4.73569E-04   2.39482E-04
+   1.10668E-04   4.54041E-05   1.59255E-05   4.51702E-06   9.51061E-07
+   1.33739E-07   9.07944E-09   0.00000E+00   2.75336E+07   2.02292E+07
+   1.45271E+07   1.04273E+07   7.47998E+06   5.36236E+06   3.84179E+06
+   2.75061E+06   1.96805E+06   1.40717E+06   1.00545E+06   7.17915E+05
+   5.12245E+05   3.65233E+05   2.60225E+05   1.85274E+05   1.31815E+05
+   9.37127E+04   6.65772E+04   4.72658E+04   3.35335E+04   2.37754E+04
+   1.68469E+04   1.19309E+04   8.44541E+03   5.97520E+03   4.22779E+03
+   2.97531E+03   2.10600E+03   1.49142E+03   1.05708E+03   7.50181E+02
+   5.33045E+02   3.79711E+02   2.71377E+02   1.94802E+02   1.40555E+02
+   1.02072E+02   7.47017E+01   5.51669E+01   4.11624E+01   3.10655E+01
+   2.37359E+01   1.83630E+01   1.44026E+01   1.14363E+01   9.18983E+00
+   7.46544E+00   6.12350E+00   5.06506E+00   4.21976E+00   3.53639E+00
+   2.98082E+00   2.51922E+00   2.13627E+00   1.81513E+00   1.54410E+00
+   1.31419E+00   1.11797E+00   9.51657E-01   8.07497E-01   6.84145E-01
+   5.78050E-01   4.86869E-01   4.08363E-01   3.40945E-01   2.83185E-01
+   2.33799E-01   1.91841E-01   1.56147E-01   1.26303E-01   1.01069E-01
+   8.00873E-02   6.27726E-02   4.86095E-02   3.71376E-02   2.79503E-02
+   2.06854E-02   1.50297E-02   1.06785E-02   7.42601E-03   5.01367E-03
+   3.28091E-03   2.07046E-03   1.25212E-03   7.19715E-04   3.89584E-04
+   1.95349E-04   8.94796E-05   3.63831E-05   1.26548E-05   3.56901E-06
+   7.53273E-07   1.08216E-07   7.79364E-09   0.00000E+00   3.43983E+07
+   2.51970E+07   1.80285E+07   1.28929E+07   9.21411E+06   6.58058E+06
+   4.69652E+06   3.34953E+06   2.38715E+06   1.70004E+06   1.20981E+06
+   8.60290E+05   6.11282E+05   4.34010E+05   3.07907E+05   2.18270E+05
+   1.54605E+05   1.09423E+05   7.73847E+04   5.46842E+04   3.86140E+04
+   2.72464E+04   1.92123E+04   1.35385E+04   9.53480E+03   6.71109E+03
+   4.72357E+03   3.30617E+03   2.32745E+03   1.63911E+03   1.15520E+03
+   8.15109E+02   5.75802E+02   4.07747E+02   2.89678E+02   2.06695E+02
+   1.48243E+02   1.07014E+02   7.78571E+01   5.71650E+01   4.24131E+01
+   3.18348E+01   2.41959E+01   1.86241E+01   1.45365E+01   1.14886E+01
+   9.19004E+00   7.43277E+00   6.07051E+00   5.00008E+00   4.14837E+00
+   3.46231E+00   2.90661E+00   2.44660E+00   2.06638E+00   1.74872E+00
+   1.48165E+00   1.25598E+00   1.06413E+00   9.02182E-01   7.62378E-01
+   6.43257E-01   5.41241E-01   4.53951E-01   3.79134E-01   3.15179E-01
+   2.60644E-01   2.14239E-01   1.75006E-01   1.41795E-01   1.14167E-01
+   9.09274E-02   7.17056E-02   5.59281E-02   4.30926E-02   3.27541E-02
+   2.45217E-02   1.80499E-02   1.30419E-02   9.21256E-03   6.36845E-03
+   4.27290E-03   2.77802E-03   1.74120E-03   1.04548E-03   5.96420E-04
+   3.20291E-04   1.59261E-04   7.23167E-05   2.91468E-05   1.00559E-05
+   2.82093E-06   5.96837E-07   8.73813E-08   6.62354E-09   0.00000E+00
+   4.25733E+07   3.10946E+07   2.21693E+07   1.57972E+07   1.12488E+07
+   8.00417E+06   5.69127E+06   4.04367E+06   2.87085E+06   2.03660E+06
+   1.44364E+06   1.02248E+06   7.23600E+05   5.11656E+05   3.61486E+05
+   2.55172E+05   1.79971E+05   1.26823E+05   8.92941E+04   6.28170E+04
+   4.41544E+04   3.10112E+04   2.17637E+04   1.52626E+04   1.06964E+04
+   7.49103E+03   5.24577E+03   3.65238E+03   2.55764E+03   1.79156E+03
+   1.25575E+03   8.81151E+02   6.18949E+02   4.35803E+02   3.07831E+02
+   2.18379E+02   1.55719E+02   1.11765E+02   8.08533E+01   5.90350E+01
+   4.35634E+01   3.25268E+01   2.45969E+01   1.88405E+01   1.46366E+01
+   1.15155E+01   9.17123E+00   7.38588E+00   6.00699E+00   4.92740E+00
+   4.07148E+00   3.38445E+00   2.82996E+00   2.37259E+00   1.99593E+00
+   1.68241E+00   1.41981E+00   1.19877E+00   1.01158E+00   8.54188E-01
+   7.18876E-01   6.04065E-01   5.06159E-01   4.22752E-01   3.51581E-01
+   2.91022E-01   2.39624E-01   1.96095E-01   1.59473E-01   1.28622E-01
+   1.03088E-01   8.17183E-02   6.41355E-02   4.97799E-02   3.81645E-02
+   2.88604E-02   2.14935E-02   1.57358E-02   1.13069E-02   7.94095E-03
+   5.45689E-03   3.63860E-03   2.35035E-03   1.46318E-03   8.72319E-04
+   4.93913E-04   2.63161E-04   1.29771E-04   5.84212E-05   2.33440E-05
+   7.99077E-06   2.23040E-06   4.73027E-07   7.04230E-08   5.58290E-09
+   0.00000E+00   5.22060E+07   3.80228E+07   2.70153E+07   1.91833E+07
+   1.36118E+07   9.65105E+06   6.83748E+06   4.84030E+06   3.42370E+06
+   2.41969E+06   1.70866E+06   1.20553E+06   8.49806E+05   5.98515E+05
+   4.21152E+05   2.96077E+05   2.07957E+05   1.45928E+05   1.02306E+05
+   7.16585E+04   5.01468E+04   3.50617E+04   2.44939E+04   1.70974E+04
+   1.19255E+04   8.31137E+03   5.79168E+03   4.01201E+03   2.79518E+03
+   1.94782E+03   1.35809E+03   9.47858E+02   6.62188E+02   4.63686E+02
+   3.25711E+02   2.29778E+02   1.62936E+02   1.16300E+02   8.36751E+01
+   6.07690E+01   4.46097E+01   3.31402E+01   2.49391E+01   1.90131E+01
+   1.47042E+01   1.15182E+01   9.13445E+00   7.32575E+00   5.93379E+00
+   4.84777E+00   3.98974E+00   3.30337E+00   2.75133E+00   2.29759E+00
+   1.92526E+00   1.61645E+00   1.35877E+00   1.14269E+00   9.60402E-01
+   8.07744E-01   6.77029E-01   5.66578E-01   4.72790E-01   3.93236E-01
+   3.25656E-01   2.68412E-01   2.20053E-01   1.79291E-01   1.45162E-01
+   1.16550E-01   9.29870E-02   7.33668E-02   5.73071E-02   4.42640E-02
+   3.37674E-02   2.54055E-02   1.88219E-02   1.37060E-02   9.79402E-03
+   6.83901E-03   4.67192E-03   3.09596E-03   1.98697E-03   1.22865E-03
+   7.27321E-04   4.08755E-04   2.16091E-04   1.05686E-04   4.71768E-05
+   1.86921E-05   6.34990E-06   1.76404E-06   3.74987E-07   5.66567E-08
+   4.67328E-09   0.00000E+00   6.34469E+07   4.60840E+07   3.26332E+07
+   2.30942E+07   1.63308E+07   1.15388E+07   8.14628E+06   5.74636E+06
+   4.04999E+06   2.85190E+06   2.00645E+06   1.41034E+06   9.90422E+05
+   6.94872E+05   4.87051E+05   3.41053E+05   2.38586E+05   1.66739E+05
+   1.16413E+05   8.11968E+04   5.65791E+04   3.93871E+04   2.73941E+04
+   1.90357E+04   1.32166E+04   9.16815E+03   6.35843E+03   4.38300E+03
+   3.03865E+03   2.10690E+03   1.46153E+03   1.01479E+03   7.05234E+02
+   4.91211E+02   3.43204E+02   2.40822E+02   1.69853E+02   1.20593E+02
+   8.63099E+01   6.23608E+01   4.55496E+01   3.36747E+01   2.52231E+01
+   1.91430E+01   1.47404E+01   1.14979E+01   9.08083E+00   7.25337E+00
+   5.85179E+00   4.76194E+00   3.90377E+00   3.21958E+00   2.67116E+00
+   2.22196E+00   1.85463E+00   1.55108E+00   1.29872E+00   1.08789E+00
+   9.10702E-01   7.62905E-01   6.36860E-01   5.30795E-01   4.41110E-01
+   3.65365E-01   3.01304E-01   2.47284E-01   2.01860E-01   1.63751E-01
+   1.31995E-01   1.05501E-01   8.37902E-02   6.58029E-02   5.11554E-02
+   3.93214E-02   2.98487E-02   2.23435E-02   1.64675E-02   1.19275E-02
+   8.47629E-03   5.88503E-03   3.99660E-03   2.63217E-03   1.67850E-03
+   1.03095E-03   6.06005E-04   3.38062E-04   1.77337E-04   8.60283E-05
+   3.80819E-05   1.49641E-05   5.04613E-06   1.39561E-06   2.97316E-07
+   4.55082E-08   3.88885E-09   0.00000E+00   7.64488E+07   5.53815E+07
+   3.90894E+07   2.75725E+07   1.94329E+07   1.36846E+07   9.62832E+06
+   6.76842E+06   4.75372E+06   3.33565E+06   2.33840E+06   1.63772E+06
+   1.14588E+06   8.00950E+05   5.59285E+05   3.90135E+05   2.71862E+05
+   1.89245E+05   1.31598E+05   9.14142E+04   6.34353E+04   4.39744E+04
+   3.04538E+04   2.10698E+04   1.45640E+04   1.00571E+04   6.94303E+03
+   4.76330E+03   3.28663E+03   2.26784E+03   1.56546E+03   1.08154E+03
+   7.47818E+02   5.18212E+02   3.60206E+02   2.51449E+02   1.76436E+02
+   1.24627E+02   8.87479E+01   6.38063E+01   4.63820E+01   3.41308E+01
+   2.54501E+01   1.92315E+01   1.47466E+01   1.14558E+01   9.01151E+00
+   7.16972E+00   5.76180E+00   4.67060E+00   3.81416E+00   3.13356E+00
+   2.58985E+00   2.14601E+00   1.78433E+00   1.48650E+00   1.23979E+00
+   1.03446E+00   8.62547E-01   7.19709E-01   5.98380E-01   4.96703E-01
+   4.11089E-01   3.39091E-01   2.78466E-01   2.27573E-01   1.84974E-01
+   1.49401E-01   1.19898E-01   9.54027E-02   7.54275E-02   5.89608E-02
+   4.56200E-02   3.48977E-02   2.63602E-02   1.96328E-02   1.43947E-02
+   1.03707E-02   7.32962E-03   5.05994E-03   3.41616E-03   2.23612E-03
+   1.41685E-03   8.64446E-04   5.04582E-04   2.79418E-04   1.45450E-04
+   6.99926E-05   3.07289E-05   1.19772E-05   4.01020E-06   1.10444E-06
+   2.35759E-07   3.64994E-08   3.21967E-09   0.00000E+00   9.13651E+07
+   6.60183E+07   4.64500E+07   3.26601E+07   2.29443E+07   1.61046E+07
+   1.12937E+07   7.91261E+06   5.53854E+06   3.87305E+06   2.70572E+06
+   1.88833E+06   1.31652E+06   9.16904E+05   6.37911E+05   4.43330E+05
+   3.07767E+05   2.13421E+05   1.47833E+05   1.02287E+05   7.06963E+04
+   4.88083E+04   3.36615E+04   2.31910E+04   1.59615E+04   1.09739E+04
+   7.54238E+03   5.15078E+03   3.53769E+03   2.42969E+03   1.66923E+03
+   1.14769E+03   7.89689E+02   5.44533E+02   3.76625E+02   2.61605E+02
+   1.82653E+02   1.28385E+02   9.09820E+01   6.51030E+01   4.71067E+01
+   3.45095E+01   2.56216E+01   1.92803E+01   1.47243E+01   1.13933E+01
+   8.92762E+00   7.07576E+00   5.66466E+00   4.57443E+00   3.72147E+00
+   3.04579E+00   2.50777E+00   2.07005E+00   1.71457E+00   1.42288E+00
+   1.18213E+00   9.82502E-01   8.15993E-01   6.78183E-01   5.61591E-01
+   4.64282E-01   3.82688E-01   3.14364E-01   2.57083E-01   2.09212E-01
+   1.69323E-01   1.36168E-01   1.08800E-01   8.61847E-02   6.78328E-02
+   5.27793E-02   4.06450E-02   3.09429E-02   2.32583E-02   1.72355E-02
+   1.25719E-02   9.00948E-03   6.33280E-03   4.34700E-03   2.91771E-03
+   1.89821E-03   1.19511E-03   7.24322E-04   4.19853E-04   2.30804E-04
+   1.19230E-04   5.69190E-05   2.47869E-05   9.58467E-06   3.18707E-06
+   8.74235E-07   1.86959E-07   2.92339E-08   2.65384E-09   0.00000E+00

=== added file 'Template/lib/Pdfdata/cteq6m.tbl'
--- Template/lib/Pdfdata/cteq6m.tbl	1970-01-01 00:00:00 +0000
+++ Template/lib/Pdfdata/cteq6m.tbl	2010-10-30 03:26:37 +0000
@@ -0,0 +1,3102 @@
+ Parton Distribution Table : cteq6m.tbl                                   
+  Ordr, Nfl, lambda        Qmass 1,  2,  3,         4,  5,  6
+    2.    5. 0.2262    0.000    0.000    0.200    1.300    4.500  180.000
+   NX,  NT,  NfMx
+   95   19    5
+QINI, QMAX, (QV(I), I =0, NT)
+ 1.30000E+00 1.00000E+04
+ 1.30000E+00 1.53103E+00 1.83093E+00 2.22652E+00 2.75757E+00 3.48432E+00
+ 4.50000E+00 6.12336E+00 8.60096E+00 1.25113E+01 1.89158E+01 2.98428E+01
+ 4.93458E+01 8.59327E+01 1.58446E+02 3.11155E+02 6.55033E+02 1.48885E+03
+ 3.68271E+03 1.00000E+04
+XMIN, (XV(I), I =0, NX)
+ 1.00000E-06
+ 0.00000E+00 1.00000E-06 1.28121E-06 1.64152E-06 2.10317E-06 2.69463E-06
+ 3.45242E-06 4.42329E-06 5.66715E-06 7.26076E-06 9.30241E-06 1.19180E-05
+ 1.52689E-05 1.95617E-05 2.50609E-05 3.21053E-05 4.11287E-05 5.26863E-05
+ 6.74889E-05 8.64459E-05 1.10720E-04 1.41800E-04 1.81585E-04 2.32503E-04
+ 2.97652E-04 3.80981E-04 4.87518E-04 6.26039E-04 8.00452E-04 1.02297E-03
+ 1.30657E-03 1.66759E-03 2.12729E-03 2.71054E-03 3.44865E-03 4.37927E-03
+ 5.54908E-03 7.01192E-03 8.83064E-03 1.10763E-02 1.38266E-02 1.71641E-02
+ 2.11717E-02 2.59364E-02 3.15062E-02 3.79623E-02 4.53425E-02 5.36750E-02
+ 6.29705E-02 7.32221E-02 8.44039E-02 9.64793E-02 1.09332E-01 1.23067E-01
+ 1.37507E-01 1.52639E-01 1.68416E-01 1.84794E-01 2.01731E-01 2.19016E-01
+ 2.36948E-01 2.55242E-01 2.73927E-01 2.92954E-01 3.12340E-01 3.32036E-01
+ 3.52019E-01 3.72282E-01 3.92772E-01 4.13533E-01 4.34326E-01 4.55495E-01
+ 4.76836E-01 4.98342E-01 5.20006E-01 5.41818E-01 5.63773E-01 5.85861E-01
+ 6.08077E-01 6.30459E-01 6.52800E-01 6.75387E-01 6.98063E-01 7.20830E-01
+ 7.43683E-01 7.66623E-01 7.89636E-01 8.12791E-01 8.35940E-01 8.59175E-01
+ 8.82485E-01 9.05866E-01 9.29311E-01 9.52817E-01 9.76387E-01 1.00000E+00
+Parton Distribution Table:
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   3.55130E+06   1.86219E-10   0.00000E+00   4.66116E-11
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   1.16387E-11   0.00000E+00   0.00000E+00   0.00000E+00
+   2.90967E-12   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   1.13659E-14   5.68295E-15
+   0.00000E+00   2.84495E-15   0.00000E+00   0.00000E+00   0.00000E+00
+   7.11237E-16   0.00000E+00   0.00000E+00   7.10369E-16   0.00000E+00
+   0.00000E+00   3.55185E-16   0.00000E+00   1.77592E-16   0.00000E+00
+   0.00000E+00   4.44523E-17   0.00000E+00   0.00000E+00   8.87962E-17
+   0.00000E+00   0.00000E+00   0.00000E+00   4.43981E-17   2.22261E-17
+   0.00000E+00   0.00000E+00   1.11131E-17   0.00000E+00   1.11131E-17
+   5.55654E-18   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   2.77827E-18   0.00000E+00   5.54976E-18   2.77827E-18   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   6.94567E-19
+   0.00000E+00   0.00000E+00   0.00000E+00   3.46860E-19   3.46860E-19
+   0.00000E+00   0.00000E+00   0.00000E+00   8.67150E-20   2.17052E-20
+   2.16787E-20   0.00000E+00   0.00000E+00   1.35658E-21   3.39144E-22
+   8.46826E-23   0.00000E+00   1.08304E+06   8.08481E+05   5.91873E+05
+   4.33212E+05   3.16851E+05   2.31678E+05   1.69267E+05   1.23626E+05
+   9.02153E+04   6.58078E+04   4.79595E+04   3.49361E+04   2.54238E+04
+   1.84918E+04   1.34352E+04   9.75544E+03   7.07517E+03   5.12777E+03
+   3.71161E+03   2.68446E+03   1.93885E+03   1.39909E+03   1.00807E+03
+   7.25604E+02   5.21431E+02   3.74278E+02   2.68147E+02   1.90899E+02
+   1.36346E+02   9.72448E+01   6.91986E+01   4.91569E+01   3.48107E+01
+   2.46038E+01   1.73408E+01   1.21968E+01   8.55046E+00   5.98074E+00
+   4.16945E+00   2.90055E+00   2.01210E+00   1.39409E+00   9.64363E-01
+   6.67267E-01   4.62467E-01   3.21484E-01   2.24234E-01   1.57365E-01
+   1.11050E-01   7.90345E-02   5.66500E-02   4.09995E-02   2.99467E-02
+   2.20480E-02   1.63616E-02   1.22522E-02   9.23287E-03   7.01141E-03
+   5.35088E-03   4.11705E-03   3.17174E-03   2.45848E-03   1.90981E-03
+   1.48912E-03   1.16155E-03   9.08045E-04   7.09092E-04   5.54021E-04
+   4.31681E-04   3.35955E-04   2.60513E-04   2.01088E-04   1.54176E-04
+   1.17478E-04   8.86383E-05   6.62440E-05   4.87939E-05   3.54129E-05
+   2.51834E-05   1.74941E-05   1.17749E-05   7.61289E-06   4.64581E-06
+   2.61281E-06   1.26612E-06   4.32656E-07   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   2.46028E+06   1.83301E+06
+   1.33875E+06   9.77500E+05   7.13195E+05   5.20168E+05   3.79077E+05
+   2.76141E+05   2.00981E+05   1.46210E+05   1.06264E+05   7.71911E+04
+   5.60149E+04   4.06235E+04   2.94284E+04   2.13039E+04   1.54037E+04
+   1.11290E+04   8.02998E+03   5.78887E+03   4.16728E+03   2.99697E+03
+   2.15197E+03   1.54350E+03   1.10522E+03   7.90361E+02   5.64122E+02
+   4.00023E+02   2.84583E+02   2.02140E+02   1.43242E+02   1.01316E+02
+   7.14314E+01   5.02566E+01   3.52568E+01   2.46796E+01   1.72180E+01
+   1.19839E+01   8.31345E+00   5.75466E+00   3.97256E+00   2.73908E+00
+   1.88599E+00   1.29903E+00   8.96493E-01   6.20614E-01   4.31198E-01
+   3.01459E-01   2.11979E-01   1.50327E-01   1.07386E-01   7.74472E-02
+   5.63797E-02   4.13617E-02   3.05877E-02   2.28213E-02   1.71345E-02
+   1.29620E-02   9.85366E-03   7.55141E-03   5.79424E-03   4.47259E-03
+   3.46030E-03   2.68693E-03   2.08757E-03   1.62554E-03   1.26479E-03
+   9.84788E-04   7.65082E-04   5.93875E-04   4.59711E-04   3.54461E-04
+   2.71776E-04   2.07347E-04   1.56917E-04   1.17862E-04   8.75048E-05
+   6.42455E-05   4.64462E-05   3.30277E-05   2.29958E-05   1.56180E-05
+   1.02751E-05   6.51889E-06   3.93145E-06   2.22385E-06   1.14286E-06
+   5.06332E-07   1.64139E-07   8.66699E-09   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   4.18953E+06
+   3.11508E+06   2.26956E+06   1.65299E+06   1.20300E+06   8.75129E+05
+   6.36095E+05   4.62127E+05   3.35439E+05   2.43349E+05   1.76372E+05
+   1.27751E+05   9.24376E+04   6.68400E+04   4.82758E+04   3.48411E+04
+   2.51140E+04   1.80871E+04   1.30088E+04   9.34738E+03   6.70665E+03
+   4.80675E+03   3.43957E+03   2.45828E+03   1.75390E+03   1.24957E+03
+   8.88529E+02   6.27574E+02   4.44706E+02   3.14588E+02   2.22000E+02
+   1.56347E+02   1.09747E+02   7.68650E+01   5.36757E+01   3.73953E+01
+   2.59649E+01   1.79838E+01   1.24151E+01   8.55181E+00   5.87518E+00
+   4.03163E+00   2.76329E+00   1.89475E+00   1.30209E+00   8.97687E-01
+   6.21297E-01   4.32716E-01   3.03192E-01   2.14242E-01   1.52525E-01
+   1.09616E-01   7.95307E-02   5.81390E-02   4.28462E-02   3.18506E-02
+   2.38270E-02   1.79561E-02   1.35975E-02   1.03792E-02   7.93203E-03
+   6.09703E-03   4.69735E-03   3.63168E-03   2.80951E-03   2.17800E-03
+   1.68736E-03   1.30801E-03   1.01195E-03   7.82140E-04   6.03091E-04
+   4.63219E-04   3.53928E-04   2.69161E-04   2.03163E-04   1.52278E-04
+   1.12926E-04   8.28951E-05   6.00090E-05   4.28042E-05   2.99824E-05
+   2.05589E-05   1.37328E-05   8.91640E-06   5.57634E-06   3.34230E-06
+   1.89497E-06   1.00573E-06   4.90101E-07   2.15507E-07   8.34420E-08
+   2.87622E-08   8.72728E-09   2.50591E-09   0.00000E+00   0.00000E+00
+   6.33877E+06   4.70327E+06   3.41802E+06   2.48301E+06   1.80236E+06
+   1.30765E+06   9.47930E+05   6.86787E+05   4.97132E+05   3.59632E+05
+   2.59907E+05   1.87709E+05   1.35422E+05   9.76270E+04   7.02982E+04
+   5.05773E+04   3.63427E+04   2.60901E+04   1.87040E+04   1.33950E+04
+   9.57853E+03   6.84145E+03   4.87850E+03   3.47423E+03   2.46975E+03
+   1.75298E+03   1.24179E+03   8.73611E+02   6.16604E+02   4.34411E+02
+   3.05285E+02   2.14083E+02   1.49619E+02   1.04320E+02   7.25157E+01
+   5.02845E+01   3.47497E+01   2.39526E+01   1.64565E+01   1.12810E+01
+   7.71350E+00   5.26826E+00   3.59460E+00   2.45384E+00   1.67926E+00
+   1.15299E+00   7.94930E-01   5.51556E-01   3.85081E-01   2.71132E-01
+   1.92367E-01   1.37764E-01   9.96146E-02   7.25616E-02   5.32885E-02
+   3.94682E-02   2.94178E-02   2.20849E-02   1.66592E-02   1.26658E-02
+   9.64051E-03   7.37906E-03   5.66112E-03   4.35763E-03   3.35642E-03
+   2.59018E-03   1.99774E-03   1.54145E-03   1.18723E-03   9.13335E-04
+   7.01162E-04   5.36122E-04   4.07868E-04   3.08875E-04   2.32229E-04
+   1.73418E-04   1.28192E-04   9.38424E-05   6.78032E-05   4.83088E-05
+   3.38532E-05   2.32621E-05   1.56138E-05   1.02227E-05   6.48317E-06
+   3.97203E-06   2.33172E-06   1.30625E-06   6.93665E-07   3.48727E-07
+   1.65480E-07   7.42800E-08   2.98931E-08   9.33031E-09   4.27545E-10
+   0.00000E+00   8.98492E+06   6.65238E+06   4.82194E+06   3.49361E+06
+   2.52917E+06   1.82997E+06   1.32292E+06   9.55786E+05   6.89894E+05
+   4.97641E+05   3.58602E+05   2.58221E+05   1.85736E+05   1.33490E+05
+   9.58258E+04   6.87268E+04   4.92275E+04   3.52253E+04   2.51703E+04
+   1.79655E+04   1.28033E+04   9.11305E+03   6.47553E+03   4.59497E+03
+   3.25455E+03   2.30132E+03   1.62405E+03   1.13801E+03   8.00045E+02
+   5.61356E+02   3.92863E+02   2.74323E+02   1.90889E+02   1.32501E+02
+   9.16886E+01   6.32853E+01   4.35302E+01   2.98625E+01   2.04200E+01
+   1.39314E+01   9.48135E+00   6.44573E+00   4.37843E+00   2.97585E+00
+   2.02806E+00   1.38686E+00   9.52509E-01   6.58407E-01   4.58037E-01
+   3.21343E-01   2.27207E-01   1.62140E-01   1.16840E-01   8.48044E-02
+   6.20603E-02   4.57961E-02   3.40088E-02   2.54339E-02   1.91108E-02
+   1.44721E-02   1.09708E-02   8.36188E-03   6.38800E-03   4.89559E-03
+   3.75424E-03   2.88398E-03   2.21429E-03   1.70054E-03   1.30378E-03
+   9.98200E-04   7.62815E-04   5.80514E-04   4.39614E-04   3.31394E-04
+   2.48072E-04   1.84456E-04   1.35818E-04   9.90613E-05   7.13539E-05
+   5.07063E-05   3.54805E-05   2.43698E-05   1.63796E-05   1.07621E-05
+   6.87312E-06   4.25951E-06   2.54643E-06   1.46531E-06   8.08790E-07
+   4.27812E-07   2.15518E-07   1.02054E-07   4.24540E-08   1.31213E-08
+   1.02319E-09   0.00000E+00   1.22143E+07   9.02359E+06   6.52332E+06
+   4.71353E+06   3.40303E+06   2.45542E+06   1.77011E+06   1.27523E+06
+   9.17831E+05   6.60123E+05   4.74284E+05   3.40496E+05   2.44173E+05
+   1.74947E+05   1.25195E+05   8.95053E+04   6.39051E+04   4.55784E+04
+   3.24606E+04   2.30908E+04   1.63998E+04   1.16322E+04   8.23644E+03
+   5.82340E+03   4.10953E+03   2.89493E+03   2.03521E+03   1.42048E+03
+   9.94675E+02   6.95084E+02   4.84445E+02   3.36838E+02   2.33379E+02
+   1.61277E+02   1.11102E+02   7.63333E+01   5.22631E+01   3.56855E+01
+   2.42880E+01   1.64927E+01   1.11729E+01   7.56112E+00   5.11353E+00
+   3.46047E+00   2.34867E+00   1.59967E+00   1.09448E+00   7.53706E-01
+   5.22456E-01   3.65221E-01   2.57337E-01   1.82990E-01   1.31411E-01
+   9.50368E-02   6.93016E-02   5.09508E-02   3.76968E-02   2.80839E-02
+   2.10197E-02   1.58543E-02   1.19699E-02   9.08498E-03   6.91104E-03
+   5.27323E-03   4.02608E-03   3.07871E-03   2.35310E-03   1.79866E-03
+   1.37266E-03   1.04588E-03   7.95557E-04   6.02532E-04   4.54146E-04
+   3.40740E-04   2.53909E-04   1.87948E-04   1.37807E-04   1.00108E-04
+   7.18521E-05   5.08970E-05   3.55324E-05   2.43690E-05   1.63775E-05
+   1.07771E-05   6.91056E-06   4.31327E-06   2.60840E-06   1.52585E-06
+   8.61252E-07   4.67872E-07   2.42203E-07   1.16885E-07   4.88493E-08
+   1.48392E-08   1.35965E-09   0.00000E+00   1.61231E+07   1.18847E+07
+   8.56846E+06   6.17430E+06   4.44533E+06   3.19846E+06   2.29923E+06
+   1.65165E+06   1.18530E+06   8.49969E+05   6.08864E+05   4.35786E+05
+   3.11551E+05   2.22527E+05   1.58744E+05   1.13127E+05   8.05094E+04
+   5.72319E+04   4.06246E+04   2.88002E+04   2.03847E+04   1.44081E+04
+   1.01658E+04   7.16153E+03   5.03530E+03   3.53371E+03   2.47487E+03
+   1.72050E+03   1.20001E+03   8.35181E+02   5.79695E+02   4.01367E+02
+   2.76897E+02   1.90512E+02   1.30658E+02   8.93631E+01   6.09054E+01
+   4.13943E+01   2.80438E+01   1.89553E+01   1.27830E+01   8.61185E+00
+   5.79886E+00   3.90753E+00   2.64132E+00   1.79186E+00   1.22132E+00
+   8.37914E-01   5.78743E-01   4.03115E-01   2.83048E-01   2.00556E-01
+   1.43526E-01   1.03423E-01   7.51474E-02   5.50438E-02   4.05737E-02
+   3.01109E-02   2.24487E-02   1.68648E-02   1.26811E-02   9.58433E-03
+   7.26006E-03   5.51535E-03   4.19247E-03   3.19139E-03   2.42818E-03
+   1.84738E-03   1.40335E-03   1.06414E-03   8.05690E-04   6.07281E-04
+   4.55566E-04   3.40188E-04   2.52332E-04   1.85929E-04   1.35740E-04
+   9.81975E-05   7.02185E-05   4.95693E-05   3.45149E-05   2.36252E-05
+   1.58656E-05   1.04464E-05   6.71597E-06   4.21260E-06   2.56832E-06
+   1.51947E-06   8.70274E-07   4.80381E-07   2.52222E-07   1.22515E-07
+   5.09599E-08   1.51881E-08   1.51200E-09   0.00000E+00   2.08171E+07
+   1.53103E+07   1.10079E+07   7.91011E+06   5.67914E+06   4.07458E+06
+   2.92064E+06   2.09194E+06   1.49686E+06   1.07019E+06   7.64312E+05
+   5.45374E+05   3.88696E+05   2.76758E+05   1.96806E+05   1.39800E+05
+   9.91691E+04   7.02635E+04   4.97082E+04   3.51201E+04   2.47724E+04
+   1.74480E+04   1.22670E+04   8.61047E+03   6.03183E+03   4.21713E+03
+   2.94231E+03   2.03740E+03   1.41545E+03   9.81155E+02   6.78230E+02
+   4.67626E+02   3.21236E+02   2.20058E+02   1.50258E+02   1.02308E+02
+   6.94144E+01   4.69624E+01   3.16717E+01   2.13101E+01   1.43068E+01
+   9.59576E+00   6.43372E+00   4.31707E+00   2.90642E+00   1.96393E+00
+   1.33355E+00   9.11508E-01   6.27314E-01   4.35376E-01   3.04630E-01
+   2.15076E-01   1.53379E-01   1.10123E-01   7.97276E-02   5.81815E-02
+   4.27264E-02   3.15863E-02   2.34563E-02   1.75518E-02   1.31440E-02
+   9.89259E-03   7.46194E-03   5.64406E-03   4.27155E-03   3.23692E-03
+   2.45172E-03   1.85663E-03   1.40391E-03   1.05949E-03   7.98469E-04
+   5.98969E-04   4.47220E-04   3.32384E-04   2.45414E-04   1.80011E-04
+   1.30853E-04   9.42694E-05   6.71568E-05   4.72435E-05   3.28061E-05
+   2.24084E-05   1.50329E-05   9.89951E-06   6.37630E-06   4.01454E-06
+   2.46272E-06   1.46911E-06   8.50005E-07   4.73926E-07   2.50658E-07
+   1.21796E-07   5.02007E-08   1.46730E-08   1.53910E-09   0.00000E+00
+   2.64124E+07   1.93813E+07   1.38964E+07   9.95780E+06   7.12913E+06
+   5.10026E+06   3.64529E+06   2.60333E+06   1.85728E+06   1.32389E+06
+   9.42644E+05   6.70558E+05   4.76436E+05   3.38163E+05   2.39708E+05
+   1.69726E+05   1.20005E+05   8.47447E+04   5.97524E+04   4.20728E+04
+   2.95745E+04   2.07572E+04   1.45419E+04   1.01703E+04   7.09841E+03
+   4.94418E+03   3.43655E+03   2.37028E+03   1.64027E+03   1.13244E+03
+   7.79629E+02   5.35306E+02   3.66179E+02   2.49766E+02   1.69801E+02
+   1.15104E+02   7.77488E+01   5.23644E+01   3.51568E+01   2.35491E+01
+   1.57403E+01   1.05112E+01   7.01766E+00   4.68931E+00   3.14445E+00
+   2.11648E+00   1.43173E+00   9.74988E-01   6.68593E-01   4.62355E-01
+   3.22371E-01   2.26787E-01   1.61162E-01   1.15289E-01   8.31665E-02
+   6.04647E-02   4.42368E-02   3.25768E-02   2.40970E-02   1.79597E-02
+   1.33948E-02   1.00393E-02   7.54070E-03   5.67897E-03   4.27927E-03
+   3.22823E-03   2.43419E-03   1.83487E-03   1.38114E-03   1.03740E-03
+   7.78241E-04   5.81043E-04   4.31820E-04   3.19446E-04   2.34793E-04
+   1.71450E-04   1.24101E-04   8.90403E-05   6.31974E-05   4.43067E-05
+   3.06841E-05   2.09151E-05   1.40155E-05   9.22917E-06   5.95322E-06
+   3.75945E-06   2.31754E-06   1.39119E-06   8.10730E-07   4.54859E-07
+   2.41317E-07   1.16869E-07   4.76149E-08   1.36490E-08   1.48521E-09
+   0.00000E+00   3.30347E+07   2.41854E+07   1.72927E+07   1.23566E+07
+   8.82145E+06   6.29281E+06   4.48461E+06   3.19331E+06   2.27144E+06
+   1.61424E+06   1.14589E+06   8.12631E+05   5.75587E+05   4.07251E+05
+   2.87763E+05   2.03093E+05   1.43129E+05   1.00739E+05   7.07923E+04
+   4.96766E+04   3.47993E+04   2.43389E+04   1.69907E+04   1.18401E+04
+   8.23363E+03   5.71343E+03   3.95628E+03   2.71810E+03   1.87364E+03
+   1.28842E+03   8.83433E+02   6.04083E+02   4.11501E+02   2.79484E+02
+   1.89187E+02   1.27685E+02   8.58685E+01   5.75766E+01   3.84857E+01
+   2.56651E+01   1.70800E+01   1.13568E+01   7.55058E+00   5.02469E+00
+   3.35604E+00   2.25015E+00   1.51646E+00   1.02887E+00   7.03011E-01
+   4.84408E-01   3.36556E-01   2.35916E-01   1.67058E-01   1.19071E-01
+   8.55829E-02   6.19892E-02   4.51818E-02   3.31445E-02   2.44208E-02
+   1.81289E-02   1.34663E-02   1.00508E-02   7.51775E-03   5.63736E-03
+   4.22953E-03   3.17654E-03   2.38457E-03   1.78928E-03   1.34076E-03
+   1.00238E-03   7.48568E-04   5.56293E-04   4.11533E-04   3.03048E-04
+   2.21750E-04   1.61217E-04   1.16210E-04   8.30483E-05   5.87335E-05
+   4.10421E-05   2.83499E-05   1.92853E-05   1.29095E-05   8.50005E-06
+   5.48964E-06   3.47539E-06   2.15091E-06   1.29735E-06   7.59849E-07
+   4.27826E-07   2.27019E-07   1.09314E-07   4.39561E-08   1.23602E-08
+   1.38259E-09   0.00000E+00   4.08190E+07   2.98163E+07   2.12593E+07
+   1.51481E+07   1.07835E+07   7.67031E+06   5.45040E+06   3.86959E+06
+   2.74431E+06   1.94442E+06   1.37608E+06   9.72871E+05   6.86945E+05
+   4.84509E+05   3.41264E+05   2.40075E+05   1.68641E+05   1.18303E+05
+   8.28566E+04   5.79449E+04   4.04521E+04   2.81937E+04   1.96122E+04
+   1.36178E+04   9.43537E+03   6.52296E+03   4.49994E+03   3.07960E+03
+   2.11462E+03   1.44839E+03   9.89152E+02   6.73614E+02   4.56968E+02
+   3.09059E+02   2.08317E+02   1.39990E+02   9.37359E+01   6.25772E+01
+   4.16462E+01   2.76520E+01   1.83235E+01   1.21319E+01   8.03265E+00
+   5.32379E+00   3.54192E+00   2.36565E+00   1.58836E+00   1.07370E+00
+   7.31006E-01   5.01888E-01   3.47469E-01   2.42691E-01   1.71246E-01
+   1.21610E-01   8.70899E-02   6.28450E-02   4.56334E-02   3.33468E-02
+   2.44736E-02   1.80963E-02   1.33878E-02   9.95092E-03   7.41198E-03
+   5.53434E-03   4.13441E-03   3.09143E-03   2.31047E-03   1.72588E-03
+   1.28749E-03   9.58140E-04   7.12342E-04   5.26954E-04   3.88078E-04
+   2.84498E-04   2.07273E-04   1.50050E-04   1.07726E-04   7.66908E-05
+   5.40511E-05   3.76524E-05   2.59453E-05   1.76166E-05   1.17809E-05
+   7.75624E-06   5.01464E-06   3.18139E-06   1.97525E-06   1.19567E-06
+   7.02627E-07   3.96196E-07   2.09826E-07   1.00282E-07   3.97573E-08
+   1.09703E-08   1.25404E-09   0.00000E+00   4.99095E+07   3.63733E+07
+   2.58620E+07   1.83757E+07   1.30439E+07   9.25137E+06   6.55477E+06
+   4.63995E+06   3.28088E+06   2.31760E+06   1.63521E+06   1.15251E+06
+   8.11266E+05   5.70393E+05   4.00482E+05   2.80827E+05   1.96625E+05
+   1.37479E+05   9.59662E+04   6.68858E+04   4.65342E+04   3.23200E+04
+   2.24036E+04   1.55004E+04   1.07008E+04   7.37042E+03   5.06566E+03
+   3.45340E+03   2.36219E+03   1.61164E+03   1.09627E+03   7.43552E+02
+   5.02349E+02   3.38338E+02   2.27095E+02   1.51960E+02   1.01316E+02
+   6.73461E+01   4.46278E+01   2.95048E+01   1.94686E+01   1.28362E+01
+   8.46439E+00   5.58744E+00   3.70292E+00   2.46377E+00   1.64812E+00
+   1.11001E+00   7.53020E-01   5.15146E-01   3.55386E-01   2.47327E-01
+   1.73898E-01   1.23042E-01   8.77939E-02   6.31162E-02   4.56580E-02
+   3.32365E-02   2.42974E-02   1.78952E-02   1.31858E-02   9.76046E-03
+   7.23999E-03   5.38305E-03   4.00426E-03   2.98108E-03   2.21829E-03
+   1.64967E-03   1.22523E-03   9.07694E-04   6.71879E-04   4.94796E-04
+   3.62792E-04   2.64802E-04   1.92108E-04   1.38498E-04   9.90472E-05
+   7.02542E-05   4.93530E-05   3.42789E-05   2.35673E-05   1.59747E-05
+   1.06735E-05   7.02681E-06   4.54737E-06   2.89006E-06   1.79891E-06
+   1.09170E-06   6.42760E-07   3.62380E-07   1.91225E-07   9.05913E-08
+   3.53857E-08   9.58495E-09   1.11523E-09   0.00000E+00   6.04582E+07
+   4.39609E+07   3.11696E+07   2.20844E+07   1.56320E+07   1.10550E+07
+   7.80998E+06   5.51223E+06   3.88611E+06   2.73690E+06   1.92521E+06
+   1.35274E+06   9.49263E+05   6.65324E+05   4.65656E+05   3.25480E+05
+   2.27152E+05   1.58301E+05   1.10134E+05   7.65020E+04   5.30433E+04
+   3.67135E+04   2.53601E+04   1.74835E+04   1.20264E+04   8.25305E+03
+   5.65135E+03   3.83796E+03   2.61525E+03   1.77737E+03   1.20427E+03
+   8.13539E+02   5.47411E+02   3.67172E+02   2.45427E+02   1.63538E+02
+   1.08576E+02   7.18657E+01   4.74216E+01   3.12195E+01   2.05143E+01
+   1.34699E+01   8.84658E+00   5.81658E+00   3.83999E+00   2.54532E+00
+   1.69640E+00   1.13836E+00   7.69492E-01   5.24527E-01   3.60576E-01
+   2.50037E-01   1.75178E-01   1.23495E-01   8.77951E-02   6.28814E-02
+   4.53173E-02   3.28619E-02   2.39299E-02   1.75555E-02   1.28836E-02
+   9.49786E-03   7.01622E-03   5.19481E-03   3.84793E-03   2.85236E-03
+   2.11338E-03   1.56477E-03   1.15714E-03   8.53455E-04   6.29012E-04
+   4.61198E-04   3.36705E-04   2.44718E-04   1.76810E-04   1.26963E-04
+   9.04596E-05   6.39393E-05   4.47782E-05   3.10163E-05   2.12799E-05
+   1.44020E-05   9.61539E-06   6.33005E-06   4.09986E-06   2.60942E-06
+   1.62734E-06   9.89193E-07   5.82809E-07   3.28076E-07   1.72270E-07
+   8.08140E-08   3.10859E-08   8.26927E-09   9.76472E-10   0.00000E+00
+   1.75282E+06   2.17543E-05   1.69796E-05   1.32526E-05   1.03436E-05
+   8.07323E-06   6.30121E-06   4.91817E-06   3.83869E-06   2.99618E-06
+   2.33859E-06   1.82536E-06   1.42477E-06   1.11211E-06   8.68084E-07
+   6.77617E-07   5.28957E-07   4.12925E-07   3.22361E-07   2.51675E-07
+   1.96502E-07   1.53438E-07   1.19825E-07   9.35878E-08   7.31084E-08
+   5.71227E-08   4.46444E-08   3.47709E-08   2.71993E-08   2.12877E-08
+   1.66718E-08   1.30672E-08   1.02481E-08   8.04762E-09   6.32988E-09
+   4.98938E-09   3.94217E-09   3.12431E-09   2.48536E-09   1.98593E-09
+   1.59527E-09   1.28938E-09   1.04951E-09   8.60799E-10   7.12579E-10
+   5.95225E-10   5.02034E-10   4.27647E-10   3.67923E-10   3.19672E-10
+   2.80440E-10   2.48321E-10   2.21964E-10   1.99918E-10   1.81527E-10
+   1.66024E-10   1.52864E-10   1.41617E-10   1.31942E-10   1.23648E-10
+   1.16358E-10   1.10013E-10   1.04442E-10   9.95350E-11   9.51845E-11
+   9.13192E-11   8.78739E-11   8.47919E-11   8.20323E-11   7.95484E-11
+   7.73314E-11   7.53151E-11   7.34962E-11   7.18532E-11   7.03678E-11
+   6.90242E-11   6.78088E-11   6.67096E-11   6.57162E-11   6.48178E-11
+   6.40138E-11   6.32864E-11   6.26349E-11   6.20535E-11   6.15370E-11
+   6.10808E-11   6.06812E-11   6.03335E-11   6.00365E-11   5.97861E-11
+   5.95796E-11   5.94149E-11   5.92898E-11   5.92025E-11   5.91513E-11
+   0.00000E+00   1.39685E+05   1.06931E+05   8.07356E+04   6.10991E+04
+   4.61940E+04   3.49988E+04   2.64920E+04   2.00906E+04   1.52219E+04
+   1.15521E+04   8.75891E+03   6.65044E+03   5.04466E+03   3.83112E+03
+   2.90658E+03   2.20724E+03   1.67438E+03   1.27108E+03   9.63827E+02
+   7.31216E+02   5.54080E+02   4.19984E+02   3.17941E+02   2.40722E+02
+   1.82014E+02   1.37621E+02   1.03906E+02   7.81161E+01   5.88977E+01
+   4.43933E+01   3.34086E+01   2.51281E+01   1.88557E+01   1.41360E+01
+   1.05724E+01   7.89569E+00   5.87730E+00   4.36400E+00   3.22665E+00
+   2.37772E+00   1.74335E+00   1.27365E+00   9.25933E-01   6.71225E-01
+   4.85401E-01   3.50953E-01   2.53641E-01   1.83977E-01   1.33788E-01
+   9.80021E-02   7.21632E-02   5.36578E-02   4.02208E-02   3.04340E-02
+   2.32044E-02   1.78851E-02   1.38787E-02   1.08759E-02   8.57206E-03
+   6.82068E-03   5.44126E-03   4.37572E-03   3.52861E-03   2.86085E-03
+   2.32146E-03   1.89091E-03   1.53892E-03   1.25482E-03   1.02047E-03
+   8.30045E-04   6.72242E-04   5.42851E-04   4.35512E-04   3.47469E-04
+   2.74607E-04   2.15101E-04   1.66150E-04   1.26502E-04   9.44665E-05
+   6.89461E-05   4.87635E-05   3.31481E-05   2.12704E-05   1.25526E-05
+   6.34725E-06   2.17217E-06   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   3.60792E+05   2.75209E+05   2.06850E+05
+   1.55714E+05   1.17139E+05   8.82466E+04   6.64350E+04   5.00781E+04
+   3.77221E+04   2.84465E+04   2.14361E+04   1.61687E+04   1.21863E+04
+   9.19195E+03   6.92766E+03   5.22437E+03   3.93635E+03   2.96723E+03
+   2.23454E+03   1.68326E+03   1.26667E+03   9.53310E+02   7.16673E+02
+   5.38768E+02   4.04543E+02   3.03709E+02   2.27709E+02   1.69956E+02
+   1.27245E+02   9.52268E+01   7.11566E+01   5.31340E+01   3.95836E+01
+   2.94578E+01   2.18706E+01   1.62123E+01   1.19790E+01   8.82888E+00
+   6.48061E+00   4.74133E+00   3.45251E+00   2.50551E+00   1.81022E+00
+   1.30451E+00   9.38364E-01   6.75065E-01   4.85732E-01   3.50849E-01
+   2.54205E-01   1.85538E-01   1.36186E-01   1.00926E-01   7.54269E-02
+   5.68847E-02   4.32380E-02   3.32118E-02   2.56865E-02   2.00550E-02
+   1.57488E-02   1.24829E-02   9.92050E-03   7.94534E-03   6.38233E-03
+   5.15377E-03   4.16653E-03   3.38109E-03   2.74259E-03   2.22929E-03
+   1.80829E-03   1.46752E-03   1.18693E-03   9.57722E-04   7.68534E-04
+   6.13982E-04   4.86586E-04   3.82884E-04   2.97748E-04   2.28994E-04
+   1.73337E-04   1.29007E-04   9.38208E-05   6.64395E-05   4.53882E-05
+   2.96981E-05   1.82228E-05   1.02015E-05   4.84631E-06   1.56288E-06
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   6.79796E+05   5.16861E+05
+   3.86908E+05   2.89937E+05   2.17153E+05   1.62797E+05   1.21979E+05
+   9.14742E+04   6.85575E+04   5.14203E+04   3.85428E+04   2.89083E+04
+   2.16675E+04   1.62485E+04   1.21758E+04   9.12739E+03   6.83666E+03
+   5.12210E+03   3.83415E+03   2.87038E+03   2.14681E+03   1.60562E+03
+   1.19961E+03   8.96138E+02   6.68688E+02   4.98822E+02   3.71641E+02
+   2.75571E+02   2.04999E+02   1.52417E+02   1.13150E+02   8.39300E+01
+   6.21091E+01   4.59069E+01   3.38513E+01   2.49202E+01   1.82865E+01
+   1.33846E+01   9.75796E+00   7.09113E+00   5.13025E+00   3.69973E+00
+   2.65739E+00   1.90433E+00   1.36290E+00   9.75812E-01   6.99153E-01
+   5.02975E-01   3.63134E-01   2.64119E-01   1.93261E-01   1.42762E-01
+   1.06382E-01   7.99741E-02   6.06059E-02   4.63991E-02   3.57702E-02
+   2.78297E-02   2.17766E-02   1.71966E-02   1.36154E-02   1.08606E-02
+   8.68956E-03   6.98745E-03   5.62604E-03   4.54592E-03   3.67245E-03
+   2.97248E-03   2.40165E-03   1.94105E-03   1.56423E-03   1.25751E-03
+   1.00575E-03   8.00996E-04   6.33142E-04   4.97093E-04   3.85993E-04
+   2.96659E-04   2.24657E-04   1.67511E-04   1.22346E-04   8.72731E-05
+   6.03588E-05   4.02908E-05   2.55766E-05   1.52251E-05   8.21340E-06
+   3.78658E-06   1.22444E-06   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   1.11704E+06
+   8.46710E+05   6.31449E+05   4.71254E+05   3.51531E+05   2.62393E+05
+   1.95759E+05   1.46128E+05   1.09021E+05   8.13761E+04   6.07055E+04
+   4.53029E+04   3.37869E+04   2.52054E+04   1.87904E+04   1.40106E+04
+   1.04387E+04   7.77799E+03   5.79059E+03   4.31085E+03   3.20629E+03
+   2.38440E+03   1.77141E+03   1.31566E+03   9.76105E+02   7.23881E+02
+   5.36174E+02   3.95164E+02   2.92216E+02   2.15946E+02   1.59334E+02
+   1.17453E+02   8.63718E+01   6.34325E+01   4.64749E+01   3.39907E+01
+   2.47806E+01   1.80196E+01   1.30527E+01   9.42516E+00   6.77712E+00
+   4.85832E+00   3.47012E+00   2.47350E+00   1.76167E+00   1.25556E+00
+   8.95894E-01   6.42002E-01   4.61894E-01   3.34803E-01   2.44226E-01
+   1.79838E-01   1.33620E-01   1.00134E-01   7.56571E-02   5.77344E-02
+   4.43671E-02   3.43990E-02   2.68233E-02   2.11047E-02   1.66481E-02
+   1.32270E-02   1.05415E-02   8.44146E-03   6.76908E-03   5.44592E-03
+   4.38115E-03   3.53051E-03   2.84059E-03   2.28561E-03   1.83439E-03
+   1.46838E-03   1.16962E-03   9.27722E-04   7.30537E-04   5.71434E-04
+   4.42264E-04   3.38882E-04   2.56021E-04   1.90539E-04   1.39086E-04
+   9.92852E-05   6.88798E-05   4.62726E-05   2.97390E-05   1.81068E-05
+   1.02040E-05   5.16097E-06   2.17290E-06   6.16388E-07   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   1.69629E+06   1.28205E+06   9.52724E+05   7.08329E+05   5.26385E+05
+   3.91335E+05   2.90790E+05   2.16152E+05   1.60586E+05   1.19337E+05
+   8.86326E+04   6.58412E+04   4.88796E+04   3.62918E+04   2.69270E+04
+   1.99793E+04   1.48130E+04   1.09819E+04   8.13481E+03   6.02488E+03
+   4.45812E+03   3.29792E+03   2.43721E+03   1.80048E+03   1.32864E+03
+   9.79925E+02   7.21852E+02   5.28986E+02   3.88980E+02   2.85809E+02
+   2.09667E+02   1.53645E+02   1.12316E+02   8.19861E+01   5.97028E+01
+   4.33954E+01   3.14417E+01   2.27215E+01   1.63580E+01   1.17403E+01
+   8.39248E+00   5.98214E+00   4.25000E+00   3.01393E+00   2.13655E+00
+   1.51601E+00   1.07741E+00   7.69147E-01   5.51474E-01   3.98392E-01
+   2.89719E-01   2.12667E-01   1.57552E-01   1.17699E-01   8.86627E-02
+   6.74417E-02   5.16624E-02   3.99187E-02   3.10200E-02   2.43192E-02
+   1.91139E-02   1.51270E-02   1.20092E-02   9.57742E-03   7.64897E-03
+   6.12757E-03   4.90895E-03   3.93846E-03   3.15541E-03   2.52750E-03
+   2.01997E-03   1.60975E-03   1.27670E-03   1.00824E-03   7.90615E-04
+   6.15824E-04   4.74749E-04   3.62376E-04   2.72835E-04   2.02399E-04
+   1.47398E-04   1.05044E-04   7.28606E-05   4.90277E-05   3.16720E-05
+   1.94897E-05   1.12210E-05   5.92236E-06   2.74787E-06   1.04120E-06
+   2.56062E-07   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   3.14250E+06   1.84282E+06   1.36481E+06   1.01108E+06
+   7.48683E+05   5.54508E+05   4.10488E+05   3.03925E+05   2.24905E+05
+   1.66448E+05   1.23113E+05   9.10649E+04   6.73162E+04   4.97597E+04
+   3.67561E+04   2.71481E+04   2.00360E+04   1.47844E+04   1.09001E+04
+   8.03409E+03   5.91615E+03   4.35495E+03   3.20246E+03   2.35387E+03
+   1.72821E+03   1.26802E+03   9.29228E+02   6.77284E+02   4.95371E+02
+   3.62000E+02   2.64100E+02   1.92448E+02   1.39882E+02   1.01517E+02
+   7.34951E+01   5.31049E+01   3.82492E+01   2.74769E+01   1.96657E+01
+   1.40324E+01   9.97473E+00   7.07119E+00   4.99787E+00   3.52683E+00
+   2.48882E+00   1.75841E+00   1.24480E+00   8.85338E-01   6.32632E-01
+   4.55506E-01   3.30239E-01   2.41654E-01   1.78502E-01   1.32935E-01
+   9.98398E-02   7.57008E-02   5.78054E-02   4.45143E-02   3.44728E-02
+   2.69303E-02   2.10897E-02   1.66268E-02   1.31493E-02   1.04445E-02
+   8.30814E-03   6.62763E-03   5.28757E-03   4.22378E-03   3.36970E-03
+   2.68706E-03   2.13836E-03   1.69647E-03   1.33957E-03   1.05317E-03
+   8.22252E-04   6.37644E-04   4.89502E-04   3.72069E-04   2.79041E-04
+   2.06212E-04   1.49699E-04   1.06389E-04   7.36646E-05   4.95418E-05
+   3.20625E-05   1.98355E-05   1.15591E-05   6.24947E-06   3.05063E-06
+   1.29779E-06   4.50903E-07   1.18195E-07   1.92722E-08   2.62833E-09
+   8.46826E-23   0.00000E+00   3.49735E+06   2.62821E+06   1.93961E+06
+   1.43157E+06   1.05612E+06   7.79164E+05   5.74554E+05   4.23672E+05
+   3.12245E+05   2.30110E+05   1.69481E+05   1.24813E+05   9.18581E+04
+   6.75926E+04   4.97021E+04   3.65378E+04   2.68394E+04   1.97090E+04
+   1.44606E+04   1.06055E+04   7.77086E+03   5.69103E+03   4.16359E+03
+   3.04428E+03   2.22338E+03   1.62254E+03   1.18261E+03   8.57105E+02
+   6.23407E+02   4.52966E+02   3.28567E+02   2.38014E+02   1.71975E+02
+   1.24049E+02   8.92601E+01   6.40955E+01   4.58797E+01   3.27526E+01
+   2.32978E+01   1.65225E+01   1.16757E+01   8.22938E+00   5.78501E+00
+   4.06098E+00   2.85207E+00   2.00585E+00   1.41406E+00   1.00170E+00
+   7.13188E-01   5.11658E-01   3.69722E-01   2.69623E-01   1.98532E-01
+   1.47349E-01   1.10306E-01   8.33451E-02   6.34246E-02   4.86613E-02
+   3.75445E-02   2.92169E-02   2.27903E-02   1.78915E-02   1.40898E-02
+   1.11411E-02   8.82215E-03   7.00348E-03   5.56029E-03   4.41838E-03
+   3.50663E-03   2.78034E-03   2.20027E-03   1.73490E-03   1.36132E-03
+   1.06310E-03   8.24243E-04   6.34398E-04   4.83193E-04   3.64128E-04
+   2.70608E-04   1.97937E-04   1.42115E-04   9.97205E-05   6.80489E-05
+   4.49745E-05   2.84935E-05   1.71458E-05   9.62133E-06   4.91417E-06
+   2.17885E-06   7.60793E-07   1.43035E-07   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   4.84432E+06   3.63000E+06
+   2.66967E+06   1.96333E+06   1.44318E+06   1.06074E+06   7.79239E+05
+   5.72365E+05   4.20176E+05   3.08398E+05   2.26217E+05   1.65897E+05
+   1.21580E+05   8.90750E+04   6.52128E+04   4.77257E+04   3.49000E+04
+   2.55098E+04   1.86299E+04   1.35984E+04   9.91626E+03   7.22675E+03
+   5.26116E+03   3.82746E+03   2.78123E+03   2.01912E+03   1.46400E+03
+   1.05529E+03   7.63434E+02   5.51660E+02   3.97936E+02   2.86627E+02
+   2.05910E+02   1.47657E+02   1.05621E+02   7.53893E+01   5.36409E+01
+   3.80624E+01   2.69141E+01   1.89746E+01   1.33320E+01   9.34441E+00
+   6.53426E+00   4.56367E+00   3.19010E+00   2.23355E+00   1.56811E+00
+   1.10645E+00   7.84897E-01   5.61082E-01   4.04077E-01   2.93666E-01
+   2.15537E-01   1.59420E-01   1.18947E-01   8.95572E-02   6.79136E-02
+   5.19122E-02   3.99024E-02   3.09320E-02   2.40330E-02   1.87885E-02
+   1.47346E-02   1.16001E-02   9.14559E-03   7.22701E-03   5.71176E-03
+   4.51717E-03   3.56835E-03   2.81531E-03   2.21743E-03   1.73968E-03
+   1.35831E-03   1.05537E-03   8.14149E-04   6.23416E-04   4.72451E-04
+   3.54222E-04   2.61958E-04   1.90658E-04   1.36275E-04   9.52086E-05
+   6.47334E-05   4.26608E-05   2.69969E-05   1.62691E-05   9.19191E-06
+   4.77398E-06   2.20433E-06   8.56089E-07   2.45825E-07   3.28163E-08
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   6.54376E+06
+   4.88965E+06   3.58389E+06   2.62646E+06   1.92383E+06   1.40888E+06
+   1.03120E+06   7.54583E+05   5.51837E+05   4.03452E+05   2.94776E+05
+   2.15302E+05   1.57144E+05   1.14651E+05   8.35840E+04   6.09073E+04
+   4.43457E+04   3.22703E+04   2.34615E+04   1.70469E+04   1.23736E+04
+   8.97519E+03   6.50300E+03   4.70796E+03   3.40429E+03   2.45906E+03
+   1.77400E+03   1.27204E+03   9.15439E+02   6.57978E+02   4.72069E+02
+   3.38152E+02   2.41571E+02   1.72244E+02   1.22503E+02   8.69318E+01
+   6.14942E+01   4.33801E+01   3.04973E+01   2.13777E+01   1.49370E+01
+   1.04127E+01   7.24382E+00   5.03419E+00   3.50280E+00   2.44171E+00
+   1.70727E+00   1.19992E+00   8.48111E-01   6.04098E-01   4.33584E-01
+   3.14029E-01   2.29726E-01   1.69329E-01   1.25915E-01   9.44685E-02
+   7.13853E-02   5.43634E-02   4.16293E-02   3.21462E-02   2.48778E-02
+   1.93685E-02   1.51263E-02   1.18569E-02   9.30757E-03   7.32170E-03
+   5.76051E-03   4.53432E-03   3.56530E-03   2.79919E-03   2.19437E-03
+   1.71305E-03   1.33092E-03   1.02888E-03   7.89749E-04   6.01646E-04
+   4.53667E-04   3.38411E-04   2.49030E-04   1.80344E-04   1.28315E-04
+   8.92492E-05   6.04489E-05   3.97125E-05   2.50905E-05   1.51301E-05
+   8.59287E-06   4.52202E-06   2.15330E-06   8.98025E-07   3.11955E-07
+   8.62509E-08   1.79550E-08   3.70334E-09   0.00000E+00   0.00000E+00
+   8.66363E+06   6.45575E+06   4.71597E+06   3.44431E+06   2.51416E+06
+   1.83468E+06   1.33804E+06   9.75524E+05   7.10769E+05   5.17677E+05
+   3.76782E+05   2.74120E+05   1.99281E+05   1.44806E+05   1.05136E+05
+   7.62924E+04   5.53130E+04   4.00780E+04   2.90113E+04   2.09858E+04
+   1.51645E+04   1.09493E+04   7.89668E+03   5.69001E+03   4.09479E+03
+   2.94343E+03   2.11299E+03   1.50739E+03   1.07930E+03   7.71738E+02
+   5.50779E+02   3.92419E+02   2.78816E+02   1.97701E+02   1.39824E+02
+   9.86631E+01   6.93979E+01   4.86775E+01   3.40291E+01   2.37206E+01
+   1.64843E+01   1.14306E+01   7.91189E+00   5.47181E+00   3.79005E+00
+   2.63051E+00   1.83186E+00   1.28249E+00   9.03166E-01   6.41009E-01
+   4.58509E-01   3.30935E-01   2.41290E-01   1.77237E-01   1.31347E-01
+   9.81936E-02   7.39362E-02   5.60966E-02   4.27944E-02   3.29186E-02
+   2.53747E-02   1.96741E-02   1.53013E-02   1.19426E-02   9.33426E-03
+   7.30974E-03   5.72531E-03   4.48565E-03   3.51078E-03   2.74310E-03
+   2.14033E-03   1.66266E-03   1.28544E-03   9.88759E-04   7.55177E-04
+   5.72393E-04   4.29450E-04   3.18726E-04   2.33386E-04   1.68171E-04
+   1.19101E-04   8.24685E-05   5.56351E-05   3.64286E-05   2.29700E-05
+   1.38517E-05   7.89743E-06   4.19948E-06   2.04768E-06   8.97727E-07
+   3.47015E-07   1.19342E-07   3.70846E-08   1.02481E-08   4.27960E-10
+   0.00000E+00   1.12808E+07   8.38302E+06   6.10371E+06   4.44287E+06
+   3.23203E+06   2.35035E+06   1.70810E+06   1.24085E+06   9.00803E+05
+   6.53654E+05   4.73966E+05   3.43505E+05   2.48757E+05   1.80044E+05
+   1.30199E+05   9.40949E+04   6.79394E+04   4.90203E+04   3.53338E+04
+   2.54489E+04   1.83091E+04   1.31609E+04   9.44895E+03   6.77724E+03
+   4.85451E+03   3.47293E+03   2.48114E+03   1.76121E+03   1.25479E+03
+   8.92679E+02   6.33826E+02   4.49227E+02   3.17486E+02   2.23906E+02
+   1.57496E+02   1.10521E+02   7.73092E+01   5.39262E+01   3.74916E+01
+   2.59922E+01   1.79673E+01   1.23946E+01   8.53684E+00   5.87595E+00
+   4.05183E+00   2.80019E+00   1.94220E+00   1.35450E+00   9.50405E-01
+   6.72121E-01   4.79113E-01   3.44608E-01   2.50415E-01   1.83299E-01
+   1.35373E-01   1.00842E-01   7.56582E-02   5.71893E-02   4.34627E-02
+   3.33038E-02   2.55701E-02   1.97443E-02   1.52924E-02   1.18846E-02
+   9.24900E-03   7.21072E-03   5.62256E-03   4.38486E-03   3.41618E-03
+   2.65646E-03   2.06307E-03   1.59485E-03   1.22702E-03   9.39151E-04
+   7.13746E-04   5.38272E-04   4.01844E-04   2.96740E-04   2.16218E-04
+   1.55029E-04   1.09287E-04   7.53330E-05   5.06181E-05   3.30310E-05
+   2.07825E-05   1.25281E-05   7.16458E-06   3.84246E-06   1.90952E-06
+   8.68818E-07   3.59548E-07   1.37340E-07   4.80520E-08   1.38241E-08
+   1.02360E-09   0.00000E+00   1.44816E+07   1.07327E+07   7.78911E+06
+   5.65091E+06   4.09707E+06   2.96923E+06   2.15041E+06   1.55667E+06
+   1.12604E+06   8.14127E+05   5.88155E+05   4.24667E+05   3.06366E+05
+   2.20884E+05   1.59108E+05   1.14530E+05   8.23614E+04   5.91826E+04
+   4.24818E+04   3.04679E+04   2.18263E+04   1.56208E+04   1.11656E+04
+   7.97250E+03   5.68465E+03   4.04789E+03   2.87832E+03   2.03320E+03
+   1.44154E+03   1.02046E+03   7.20920E+02   5.08342E+02   3.57401E+02
+   2.50728E+02   1.75424E+02   1.22439E+02   8.51846E+01   5.90982E+01
+   4.08673E+01   2.81821E+01   1.93802E+01   1.33017E+01   9.11732E+00
+   6.24620E+00   4.28819E+00   2.95104E+00   2.03869E+00   1.41634E+00
+   9.90180E-01   6.97741E-01   4.95658E-01   3.55269E-01   2.57287E-01
+   1.87669E-01   1.38120E-01   1.02519E-01   7.66393E-02   5.77147E-02
+   4.36955E-02   3.33531E-02   2.55066E-02   1.96147E-02   1.51294E-02
+   1.17080E-02   9.07251E-03   7.04186E-03   5.46655E-03   4.24373E-03
+   3.29119E-03   2.54719E-03   1.96906E-03   1.51484E-03   1.15985E-03
+   8.83395E-04   6.68088E-04   5.01336E-04   3.72428E-04   2.73653E-04
+   1.98425E-04   1.41575E-04   9.93464E-05   6.81763E-05   4.56274E-05
+   2.96733E-05   1.86282E-05   1.12233E-05   6.43457E-06   3.47607E-06
+   1.75475E-06   8.21633E-07   3.56325E-07   1.44487E-07   5.32014E-08
+   1.53768E-08   1.36002E-09   0.00000E+00   1.83621E+07   1.35725E+07
+   9.81844E+06   7.09992E+06   5.13065E+06   3.70579E+06   2.67471E+06
+   1.92949E+06   1.39084E+06   1.00199E+06   7.21257E+05   5.18856E+05
+   3.72925E+05   2.67853E+05   1.92202E+05   1.37813E+05   9.87129E+04
+   7.06473E+04   5.05051E+04   3.60722E+04   2.57327E+04   1.83380E+04
+   1.30511E+04   9.27779E+03   6.58582E+03   4.66821E+03   3.30413E+03
+   2.32285E+03   1.63907E+03   1.15467E+03   8.11722E+02   5.69504E+02
+   3.98370E+02   2.78027E+02   1.93512E+02   1.34354E+02   9.29810E+01
+   6.41660E+01   4.41393E+01   3.02805E+01   2.07177E+01   1.41493E+01
+   9.65221E+00   6.58231E+00   4.49934E+00   3.08345E+00   2.12176E+00
+   1.46843E+00   1.02286E+00   7.18184E-01   5.08410E-01   3.63135E-01
+   2.62086E-01   1.90497E-01   1.39711E-01   1.03327E-01   7.69631E-02
+   5.77418E-02   4.35497E-02   3.31137E-02   2.52233E-02   1.93179E-02
+   1.48392E-02   1.14349E-02   8.82311E-03   6.81825E-03   5.26965E-03
+   4.07237E-03   3.14404E-03   2.42194E-03   1.86365E-03   1.42692E-03
+   1.08732E-03   8.24147E-04   6.20263E-04   4.63166E-04   3.42400E-04
+   2.50358E-04   1.80662E-04   1.28282E-04   8.96127E-05   6.12285E-05
+   4.08177E-05   2.64573E-05   1.65725E-05   9.97870E-06   5.73350E-06
+   3.11703E-06   1.59448E-06   7.63753E-07   3.42525E-07   1.44082E-07
+   5.43390E-08   1.55988E-08   1.51235E-09   0.00000E+00   2.30283E+07
+   1.69770E+07   1.22423E+07   8.82412E+06   6.35583E+06   4.57549E+06
+   3.29136E+06   2.36623E+06   1.69977E+06   1.22024E+06   8.75244E+05
+   6.27356E+05   4.49259E+05   3.21479E+05   2.29814E+05   1.64150E+05
+   1.17122E+05   8.34921E+04   5.94493E+04   4.22879E+04   3.00427E+04
+   2.13198E+04   1.51089E+04   1.06942E+04   7.55798E+03   5.33332E+03
+   3.75784E+03   2.62947E+03   1.84678E+03   1.29481E+03   9.05850E+02
+   6.32427E+02   4.40184E+02   3.05659E+02   2.11660E+02   1.46197E+02
+   1.00656E+02   6.91029E+01   4.72916E+01   3.22783E+01   2.19749E+01
+   1.49351E+01   1.01407E+01   6.88424E+00   4.68558E+00   3.19786E+00
+   2.19186E+00   1.51119E+00   1.04881E+00   7.33769E-01   5.17633E-01
+   3.68427E-01   2.64990E-01   1.91927E-01   1.40265E-01   1.03362E-01
+   7.67088E-02   5.73355E-02   4.30786E-02   3.26294E-02   2.47561E-02
+   1.88832E-02   1.44458E-02   1.10851E-02   8.51688E-03   6.55296E-03
+   5.04247E-03   3.87934E-03   2.98161E-03   2.28621E-03   1.75121E-03
+   1.33452E-03   1.01212E-03   7.63481E-04   5.71861E-04   4.24960E-04
+   3.12650E-04   2.27505E-04   1.63396E-04   1.15476E-04   8.03118E-05
+   5.46405E-05   3.62878E-05   2.34458E-05   1.46549E-05   8.81880E-06
+   5.07708E-06   2.77578E-06   1.43610E-06   7.00588E-07   3.22014E-07
+   1.38629E-07   5.28210E-08   1.49865E-08   1.53941E-09   0.00000E+00
+   2.85960E+07   2.10272E+07   1.51153E+07   1.08603E+07   7.79729E+06
+   5.59482E+06   4.01129E+06   2.87411E+06   2.05758E+06   1.47200E+06
+   1.05213E+06   7.51462E+05   5.36196E+05   3.82286E+05   2.72270E+05
+   1.93744E+05   1.37711E+05   9.77884E+04   6.93555E+04   4.91376E+04
+   3.47678E+04   2.45715E+04   1.73407E+04   1.22218E+04   8.60040E+03
+   6.04225E+03   4.23847E+03   2.95217E+03   2.06393E+03   1.44031E+03
+   1.00288E+03   6.96803E+02   4.82627E+02   3.33472E+02   2.29768E+02
+   1.57905E+02   1.08167E+02   7.38837E+01   5.03095E+01   3.41674E+01
+   2.31477E+01   1.56574E+01   1.05824E+01   7.15214E+00   4.84735E+00
+   3.29479E+00   2.24951E+00   1.54509E+00   1.06844E+00   7.44821E-01
+   5.23593E-01   3.71357E-01   2.66175E-01   1.92101E-01   1.39896E-01
+   1.02717E-01   7.59512E-02   5.65566E-02   4.23314E-02   3.19402E-02
+   2.41376E-02   1.83370E-02   1.39707E-02   1.06758E-02   8.16783E-03
+   6.25728E-03   4.79405E-03   3.67186E-03   2.80963E-03   2.14451E-03
+   1.63528E-03   1.24038E-03   9.36343E-04   7.02994E-04   5.24075E-04
+   3.87599E-04   2.83820E-04   2.05552E-04   1.46947E-04   1.03374E-04
+   7.15864E-05   4.85038E-05   3.20947E-05   2.06733E-05   1.28961E-05
+   7.75625E-06   4.47361E-06   2.45832E-06   1.28434E-06   6.35899E-07
+   2.97625E-07   1.29991E-07   4.96441E-08   1.38880E-08   1.48548E-09
+   0.00000E+00   3.51909E+07   2.58107E+07   1.84963E+07   1.32478E+07
+   9.48116E+06   6.78110E+06   4.84594E+06   3.46063E+06   2.46915E+06
+   1.76043E+06   1.25395E+06   8.92469E+05   6.34554E+05   4.50782E+05
+   3.19884E+05   2.26782E+05   1.60589E+05   1.13600E+05   8.02589E+04
+   5.66393E+04   3.99164E+04   2.80961E+04   1.97469E+04   1.38597E+04
+   9.71168E+03   6.79353E+03   4.74472E+03   3.28988E+03   2.28969E+03
+   1.59055E+03   1.10235E+03   7.62304E+02   5.25471E+02   3.61314E+02
+   2.47734E+02   1.69412E+02   1.15475E+02   7.84845E+01   5.31796E+01
+   3.59405E+01   2.42327E+01   1.63148E+01   1.09770E+01   7.38638E+00
+   4.98523E+00   3.37484E+00   2.29526E+00   1.57059E+00   1.08214E+00
+   7.51666E-01   5.26552E-01   3.72139E-01   2.65809E-01   1.91154E-01
+   1.38712E-01   1.01478E-01   7.47605E-02   5.54614E-02   4.13536E-02
+   3.10826E-02   2.33970E-02   1.77030E-02   1.34328E-02   1.02222E-02
+   7.78807E-03   5.94082E-03   4.53201E-03   3.45592E-03   2.63279E-03
+   2.00047E-03   1.51866E-03   1.14664E-03   8.61604E-04   6.43881E-04
+   4.77782E-04   3.51711E-04   2.56351E-04   1.84800E-04   1.31516E-04
+   9.21054E-05   6.35173E-05   4.28659E-05   2.82651E-05   1.81540E-05
+   1.13035E-05   6.79541E-06   3.92630E-06   2.16752E-06   1.14199E-06
+   5.72220E-07   2.71393E-07   1.19532E-07   4.55255E-08   1.25422E-08
+   1.38281E-09   0.00000E+00   4.29483E+07   3.14212E+07   2.24478E+07
+   1.60280E+07   1.14349E+07   8.15238E+06   5.80711E+06   4.13346E+06
+   2.93946E+06   2.08870E+06   1.48272E+06   1.05165E+06   7.45125E+05
+   5.27454E+05   3.72949E+05   2.63438E+05   1.85858E+05   1.30982E+05
+   9.21877E+04   6.48065E+04   4.54937E+04   3.18944E+04   2.23261E+04
+   1.56057E+04   1.08897E+04   7.58524E+03   5.27500E+03   3.64137E+03
+   2.52314E+03   1.74484E+03   1.20378E+03   8.28592E+02   5.68485E+02
+   3.89033E+02   2.65461E+02   1.80656E+02   1.22543E+02   8.28835E+01
+   5.58896E+01   3.75916E+01   2.52273E+01   1.69065E+01   1.13246E+01
+   7.58752E+00   5.09988E+00   3.43868E+00   2.32971E+00   1.58821E+00
+   1.09031E+00   7.54631E-01   5.26772E-01   3.70980E-01   2.64057E-01
+   1.89217E-01   1.36818E-01   9.97280E-02   7.32021E-02   5.41020E-02
+   4.01866E-02   3.00897E-02   2.25608E-02   1.70020E-02   1.28488E-02
+   9.73753E-03   7.38795E-03   5.61170E-03   4.26269E-03   3.23643E-03
+   2.45487E-03   1.85698E-03   1.40353E-03   1.05492E-03   7.89099E-04
+   5.87007E-04   4.33595E-04   3.17723E-04   2.30529E-04   1.65436E-04
+   1.17217E-04   8.17360E-05   5.61396E-05   3.77428E-05   2.48042E-05
+   1.58881E-05   9.87587E-06   5.93509E-06   3.43496E-06   1.90417E-06
+   1.01050E-06   5.11198E-07   2.44748E-07   1.08229E-07   4.09695E-08
+   1.11087E-08   1.25423E-09   0.00000E+00   5.20120E+07   3.79580E+07
+   2.70355E+07   1.92445E+07   1.36870E+07   9.72729E+06   6.90691E+06
+   4.90042E+06   3.47350E+06   2.46000E+06   1.74045E+06   1.23025E+06
+   8.68668E+05   6.12758E+05   4.31733E+05   3.03867E+05   2.13602E+05
+   1.49978E+05   1.05163E+05   7.36472E+04   5.15009E+04   3.59647E+04
+   2.50756E+04   1.74569E+04   1.21316E+04   8.41504E+03   5.82746E+03
+   4.00524E+03   2.76323E+03   1.90244E+03   1.30665E+03   8.95314E+02
+   6.11437E+02   4.16476E+02   2.82851E+02   1.91578E+02   1.29334E+02
+   8.70608E+01   5.84292E+01   3.91157E+01   2.61295E+01   1.74322E+01
+   1.16259E+01   7.75628E+00   5.19209E+00   3.48704E+00   2.35347E+00
+   1.59845E+00   1.09337E+00   7.54044E-01   5.24511E-01   3.68081E-01
+   2.61077E-01   1.86414E-01   1.34310E-01   9.75440E-02   7.13364E-02
+   5.25260E-02   3.88678E-02   2.89912E-02   2.16522E-02   1.62523E-02
+   1.22329E-02   9.23293E-03   6.97621E-03   5.27670E-03   3.99129E-03
+   3.01736E-03   2.27888E-03   1.71628E-03   1.29156E-03   9.66438E-04
+   7.19691E-04   5.32973E-04   3.91922E-04   2.85898E-04   2.06519E-04
+   1.47554E-04   1.04100E-04   7.22851E-05   4.94559E-05   3.31284E-05
+   2.17031E-05   1.38666E-05   8.60604E-06   5.17065E-06   2.99727E-06
+   1.66771E-06   8.90442E-07   4.53844E-07   2.18673E-07   9.67654E-08
+   3.63208E-08   9.69012E-09   1.11539E-09   0.00000E+00   6.25344E+07
+   4.55257E+07   3.23283E+07   2.29422E+07   1.62669E+07   1.15249E+07
+   8.15759E+06   5.76934E+06   4.07623E+06   2.87743E+06   2.02905E+06
+   1.42945E+06   1.00589E+06   7.07114E+05   4.96479E+05   3.48201E+05
+   2.43890E+05   1.70622E+05   1.19198E+05   8.31641E+04   5.79358E+04
+   4.03027E+04   2.79906E+04   1.94090E+04   1.34339E+04   9.28017E+03
+   6.40000E+03   4.37995E+03   3.00887E+03   2.06259E+03   1.41043E+03
+   9.62117E+02   6.54093E+02   4.43494E+02   2.99812E+02   2.02123E+02
+   1.35818E+02   9.09988E+01   6.07893E+01   4.05088E+01   2.69380E+01
+   1.78921E+01   1.18814E+01   7.89360E+00   5.26277E+00   3.52069E+00
+   2.36720E+00   1.60183E+00   1.09173E+00   7.50225E-01   5.20019E-01
+   3.63636E-01   2.57022E-01   1.82863E-01   1.31281E-01   9.49971E-02
+   6.92191E-02   5.07768E-02   3.74312E-02   2.78135E-02   2.06917E-02
+   1.54700E-02   1.15976E-02   8.71796E-03   6.56017E-03   4.94137E-03
+   3.72203E-03   2.80186E-03   2.10714E-03   1.58007E-03   1.18396E-03
+   8.82043E-04   6.53965E-04   4.82166E-04   3.53005E-04   2.56380E-04
+   1.84395E-04   1.31183E-04   9.21650E-05   6.37390E-05   4.34462E-05
+   2.90018E-05   1.89431E-05   1.20748E-05   7.48353E-06   4.49540E-06
+   2.60968E-06   1.45680E-06   7.81778E-07   4.00721E-07   1.93815E-07
+   8.56053E-08   3.18064E-08   8.34910E-09   9.76607E-10   0.00000E+00
+   1.61923E+06   7.66105E+05   5.55265E+05   4.02442E+05   2.91683E+05
+   2.11410E+05   1.53230E+05   1.11064E+05   8.05026E+04   5.83527E+04
+   4.22989E+04   3.06632E+04   2.22297E+04   1.61170E+04   1.16863E+04
+   8.47470E+03   6.14668E+03   4.45908E+03   3.23565E+03   2.34865E+03
+   1.70552E+03   1.23914E+03   9.00884E+02   6.55511E+02   4.77471E+02
+   3.48244E+02   2.54410E+02   1.85344E+02   1.36047E+02   1.00170E+02
+   7.40301E+01   5.49543E+01   4.09877E+01   3.07579E+01   2.32415E+01
+   1.76989E+01   1.35878E+01   1.05213E+01   8.21761E+00   6.47252E+00
+   5.13838E+00   4.10834E+00   3.30504E+00   2.67155E+00   2.16944E+00
+   1.76626E+00   1.44055E+00   1.17580E+00   9.59581E-01   7.82418E-01
+   6.37014E-01   5.17581E-01   4.19963E-01   3.39286E-01   2.73370E-01
+   2.19442E-01   1.75428E-01   1.39607E-01   1.10549E-01   8.72754E-02
+   6.83502E-02   5.32612E-02   4.12426E-02   3.17300E-02   2.42271E-02
+   1.83553E-02   1.37914E-02   1.02678E-02   7.57348E-03   5.52487E-03
+   3.99675E-03   2.84854E-03   2.00391E-03   1.38972E-03   9.48762E-04
+   6.36616E-04   4.19075E-04   2.70075E-04   1.69975E-04   1.04060E-04
+   6.20401E-05   3.56296E-05   1.96773E-05   1.03837E-05   5.19372E-06
+   2.43705E-06   1.05868E-06   4.16806E-07   1.45821E-07   4.34964E-08
+   1.04375E-08   1.82766E-09   1.94493E-10   8.34048E-12   3.87609E-14
+   0.00000E+00   1.15590E+06   8.59192E+05   6.25984E+05   4.56274E+05
+   3.32618E+05   2.42592E+05   1.76961E+05   1.29151E+05   9.42755E+04
+   6.88539E+04   5.02977E+04   3.67626E+04   2.68760E+04   1.96595E+04
+   1.43844E+04   1.05310E+04   7.71215E+03   5.65142E+03   4.14276E+03
+   3.03895E+03   2.23020E+03   1.63798E+03   1.20369E+03   8.85401E+02
+   6.51776E+02   4.80370E+02   3.54437E+02   2.60740E+02   1.93044E+02
+   1.43240E+02   1.06526E+02   7.94559E+01   5.94174E+01   4.46045E+01
+   3.36175E+01   2.54594E+01   1.93698E+01   1.48149E+01   1.13890E+01
+   8.80373E+00   6.84001E+00   5.34278E+00   4.19316E+00   3.30591E+00
+   2.61896E+00   2.08252E+00   1.66103E+00   1.32846E+00   1.06418E+00
+   8.53545E-01   6.84762E-01   5.49292E-01   4.40682E-01   3.52573E-01
+   2.81653E-01   2.24459E-01   1.78318E-01   1.41185E-01   1.11322E-01
+   8.76006E-02   6.84404E-02   5.32623E-02   4.12274E-02   3.17438E-02
+   2.42839E-02   1.84609E-02   1.39375E-02   1.04468E-02   7.77262E-03
+   5.73467E-03   4.20543E-03   3.05005E-03   2.19161E-03   1.55988E-03
+   1.09860E-03   7.65423E-04   5.26720E-04   3.57728E-04   2.39281E-04
+   1.57137E-04   1.01066E-04   6.30158E-05   3.76702E-05   2.11530E-05
+   1.06216E-05   4.16368E-06   4.49256E-07   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   1.35938E+06   1.01445E+06   7.42674E+05
+   5.44052E+05   3.98615E+05   2.92251E+05   2.14306E+05   1.57255E+05
+   1.15412E+05   8.47599E+04   6.22599E+04   4.57627E+04   3.36430E+04
+   2.47489E+04   1.82094E+04   1.34063E+04   9.87175E+03   7.27360E+03
+   5.36019E+03   3.95258E+03   2.91519E+03   2.15147E+03   1.58823E+03
+   1.17330E+03   8.67082E+02   6.41315E+02   4.74610E+02   3.50037E+02
+   2.59615E+02   1.92838E+02   1.43422E+02   1.06877E+02   7.97465E+01
+   5.96545E+01   4.47302E+01   3.36472E+01   2.53796E+01   1.92110E+01
+   1.45883E+01   1.11208E+01   8.50726E+00   6.53530E+00   5.03968E+00
+   3.90264E+00   3.03660E+00   2.37274E+00   1.86097E+00   1.46517E+00
+   1.15668E+00   9.15546E-01   7.25724E-01   5.75954E-01   4.57675E-01
+   3.63097E-01   2.87897E-01   2.27954E-01   1.80069E-01   1.41895E-01
+   1.11426E-01   8.73989E-02   6.81095E-02   5.29164E-02   4.09223E-02
+   3.15096E-02   2.41269E-02   1.83794E-02   1.39199E-02   1.04817E-02
+   7.84593E-03   5.83479E-03   4.32007E-03   3.17154E-03   2.31249E-03
+   1.67524E-03   1.20465E-03   8.60256E-04   6.09069E-04   4.27664E-04
+   2.97158E-04   2.04018E-04   1.38074E-04   9.15679E-05   5.91057E-05
+   3.68470E-05   2.17528E-05   1.18346E-05   5.54549E-06   1.83364E-06
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   1.66166E+06   1.24374E+06
+   9.13787E+05   6.71789E+05   4.93932E+05   3.63397E+05   2.67385E+05
+   1.96864E+05   1.44954E+05   1.06796E+05   7.86882E+04   5.80109E+04
+   4.27688E+04   3.15482E+04   2.32716E+04   1.71748E+04   1.26750E+04
+   9.35838E+03   6.90931E+03   5.10332E+03   3.76920E+03   2.78501E+03
+   2.05774E+03   1.52107E+03   1.12440E+03   8.31573E+02   6.15117E+02
+   4.53254E+02   3.35695E+02   2.48865E+02   1.84612E+02   1.37121E+02
+   1.01895E+02   7.58459E+01   5.65338E+01   4.22312E+01   3.15977E+01
+   2.36989E+01   1.78110E+01   1.34238E+01   1.01427E+01   7.68983E+00
+   5.84894E+00   4.46598E+00   3.42614E+00   2.64016E+00   2.04299E+00
+   1.58806E+00   1.23871E+00   9.69677E-01   7.60849E-01   5.98291E-01
+   4.71489E-01   3.71277E-01   2.92421E-01   2.30177E-01   1.80879E-01
+   1.41897E-01   1.10994E-01   8.67802E-02   6.74499E-02   5.23028E-02
+   4.03949E-02   3.10856E-02   2.38053E-02   1.81521E-02   1.37725E-02
+   1.03999E-02   7.81441E-03   5.84045E-03   4.35052E-03   3.21810E-03
+   2.36741E-03   1.73296E-03   1.26100E-03   9.12639E-04   6.55769E-04
+   4.68005E-04   3.30944E-04   2.31575E-04   1.59947E-04   1.08508E-04
+   7.18855E-05   4.62617E-05   2.85065E-05   1.65712E-05   8.78566E-06
+   4.00644E-06   1.29943E-06   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   2.08294E+06
+   1.56179E+06   1.14978E+06   8.46907E+05   6.23820E+05   4.59738E+05
+   3.38808E+05   2.49810E+05   1.84182E+05   1.35856E+05   1.00203E+05
+   7.39360E+04   5.45485E+04   4.02593E+04   2.97086E+04   2.19296E+04
+   1.61844E+04   1.19474E+04   8.81756E+03   6.50909E+03   4.80375E+03
+   3.54591E+03   2.61675E+03   1.93146E+03   1.42532E+03   1.05202E+03
+   7.76393E+02   5.70571E+02   4.21322E+02   3.11288E+02   2.30034E+02
+   1.70119E+02   1.25799E+02   9.31252E+01   6.89871E+01   5.11814E+01
+   3.80039E+01   2.82665E+01   2.10510E+01   1.57104E+01   1.17466E+01
+   8.80827E+00   6.62347E+00   4.99863E+00   3.79011E+00   2.88699E+00
+   2.20892E+00   1.69858E+00   1.31142E+00   1.01682E+00   7.90802E-01
+   6.16805E-01   4.82495E-01   3.77394E-01   2.95434E-01   2.31285E-01
+   1.80867E-01   1.41283E-01   1.10098E-01   8.58048E-02   6.65118E-02
+   5.14655E-02   3.96842E-02   3.05071E-02   2.33516E-02   1.78093E-02
+   1.35235E-02   1.02276E-02   7.70242E-03   5.77428E-03   4.31742E-03
+   3.20853E-03   2.37326E-03   1.74811E-03   1.28090E-03   9.34108E-04
+   6.76675E-04   4.87083E-04   3.47526E-04   2.45421E-04   1.71138E-04
+   1.17290E-04   7.85993E-05   5.12779E-05   3.21800E-05   1.92209E-05
+   1.06743E-05   5.34028E-06   2.23357E-06   6.33791E-07   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   2.64685E+06   1.98577E+06   1.46283E+06   1.07802E+06   7.94358E+05
+   5.85552E+05   4.31574E+05   3.18193E+05   2.34558E+05   1.72957E+05
+   1.27507E+05   9.40232E+04   6.93150E+04   5.11096E+04   3.76746E+04
+   2.77750E+04   2.04696E+04   1.50871E+04   1.11155E+04   8.18983E+03
+   6.03167E+03   4.44229E+03   3.27030E+03   2.40753E+03   1.77163E+03
+   1.30364E+03   9.58956E+02   7.02217E+02   5.16566E+02   3.80096E+02
+   2.79637E+02   2.05810E+02   1.51398E+02   1.11442E+02   8.20499E+01
+   6.04686E+01   4.45783E+01   3.29011E+01   2.43009E+01   1.79775E+01
+   1.33184E+01   9.89136E+00   7.36478E+00   5.50240E+00   4.13026E+00
+   3.11482E+00   2.36011E+00   1.79783E+00   1.37566E+00   1.05766E+00
+   8.16093E-01   6.31885E-01   4.90985E-01   3.81666E-01   2.97100E-01
+   2.31405E-01   1.80129E-01   1.40131E-01   1.08798E-01   8.45223E-02
+   6.53367E-02   5.04403E-02   3.88217E-02   2.98027E-02   2.27915E-02
+   1.73748E-02   1.31947E-02   9.98493E-03   7.52843E-03   5.65327E-03
+   4.23615E-03   3.15674E-03   2.34246E-03   1.73169E-03   1.27393E-03
+   9.32967E-04   6.78842E-04   4.90830E-04   3.51786E-04   2.49524E-04
+   1.74785E-04   1.20348E-04   8.10777E-05   5.32350E-05   3.37115E-05
+   2.04145E-05   1.16088E-05   6.06909E-06   2.79713E-06   1.05521E-06
+   2.59243E-07   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   3.02153E+06   2.53559E+06   1.86698E+06   1.37502E+06
+   1.01249E+06   7.45705E+05   5.49085E+05   4.04381E+05   2.97729E+05
+   2.19236E+05   1.61386E+05   1.18812E+05   8.74366E+04   6.43497E+04
+   4.73390E+04   3.48248E+04   2.56068E+04   1.88277E+04   1.38362E+04
+   1.01670E+04   7.46668E+03   5.48280E+03   4.02374E+03   2.95250E+03
+   2.16521E+03   1.58750E+03   1.16334E+03   8.48426E+02   6.21499E+02
+   4.55274E+02   3.33370E+02   2.44129E+02   1.78632E+02   1.30743E+02
+   9.56813E+01   7.00625E+01   5.12996E+01   3.75889E+01   2.75526E+01
+   2.02207E+01   1.48562E+01   1.09390E+01   8.07363E+00   5.97843E+00
+   4.44784E+00   3.32482E+00   2.49756E+00   1.88667E+00   1.43211E+00
+   1.09270E+00   8.37125E-01   6.43841E-01   4.97192E-01   3.84275E-01
+   2.97556E-01   2.30642E-01   1.78746E-01   1.38503E-01   1.07147E-01
+   8.29750E-02   6.39598E-02   4.92575E-02   3.78336E-02   2.89958E-02
+   2.21461E-02   1.68678E-02   1.28034E-02   9.68794E-03   7.30690E-03
+   5.49059E-03   4.11853E-03   3.07333E-03   2.28439E-03   1.69195E-03
+   1.24727E-03   9.15362E-04   6.67460E-04   4.83579E-04   3.47271E-04
+   2.46745E-04   1.73141E-04   1.19422E-04   8.06249E-05   5.30855E-05
+   3.37703E-05   2.06049E-05   1.18796E-05   6.36985E-06   3.09073E-06
+   1.30909E-06   4.53444E-07   1.18589E-07   1.92887E-08   2.60780E-09
+   8.46826E-23   0.00000E+00   4.41747E+06   3.30942E+06   2.43341E+06
+   1.78945E+06   1.31553E+06   9.67177E+05   7.10844E+05   5.22457E+05
+   3.83859E+05   2.82022E+05   2.07119E+05   1.52100E+05   1.11646E+05
+   8.19425E+04   6.01114E+04   4.40892E+04   3.23198E+04   2.36870E+04
+   1.73498E+04   1.27046E+04   9.29715E+03   6.80152E+03   4.97246E+03
+   3.63407E+03   2.65410E+03   1.93756E+03   1.41359E+03   1.02606E+03
+   7.48007E+02   5.45178E+02   3.97102E+02   2.89188E+02   2.10374E+02
+   1.53031E+02   1.11274E+02   8.09284E+01   5.88359E+01   4.27899E+01
+   3.11223E+01   2.26562E+01   1.65075E+01   1.20511E+01   8.81758E+00
+   6.47202E+00   4.77316E+00   3.53709E+00   2.63455E+00   1.97373E+00
+   1.48636E+00   1.12551E+00   8.56116E-01   6.54004E-01   5.01891E-01
+   3.85626E-01   2.96990E-01   2.29049E-01   1.76698E-01   1.36340E-01
+   1.05068E-01   8.10844E-02   6.23079E-02   4.78522E-02   3.66652E-02
+   2.80409E-02   2.13788E-02   1.62589E-02   1.23266E-02   9.31821E-03
+   7.02330E-03   5.27435E-03   3.95474E-03   2.94982E-03   2.19155E-03
+   1.62203E-03   1.19454E-03   8.75299E-04   6.36866E-04   4.59977E-04
+   3.28980E-04   2.32443E-04   1.61970E-04   1.10701E-04   7.38808E-05
+   4.79265E-05   2.99074E-05   1.77787E-05   9.88314E-06   5.01177E-06
+   2.21111E-06   7.69805E-07   1.45043E-07   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   5.74912E+06   4.29987E+06
+   3.15525E+06   2.31525E+06   1.69828E+06   1.24563E+06   9.13265E+05
+   6.69511E+05   4.90604E+05   3.59450E+05   2.63233E+05   1.92734E+05
+   1.41042E+05   1.03190E+05   7.54521E+04   5.51544E+04   4.02917E+04
+   2.94241E+04   2.14731E+04   1.56645E+04   1.14188E+04   8.32028E+03
+   6.05790E+03   4.40862E+03   3.20582E+03   2.32980E+03   1.69192E+03
+   1.22211E+03   8.86543E+02   6.42836E+02   4.65753E+02   3.37304E+02
+   2.43966E+02   1.76398E+02   1.27464E+02   9.20969E+01   6.65016E+01
+   4.80234E+01   3.46742E+01   2.50517E+01   1.81125E+01   1.31187E+01
+   9.52253E+00   6.93335E+00   5.07278E+00   3.72941E+00   2.75632E+00
+   2.04935E+00   1.53209E+00   1.15201E+00   8.70456E-01   6.60751E-01
+   5.04081E-01   3.85140E-01   2.95075E-01   2.26466E-01   1.73920E-01
+   1.33637E-01   1.02588E-01   7.88925E-02   6.04283E-02   4.62727E-02
+   3.53621E-02   2.69807E-02   2.05283E-02   1.55839E-02   1.17969E-02
+   8.90608E-03   6.70577E-03   5.03129E-03   3.76997E-03   2.81029E-03
+   2.08683E-03   1.54372E-03   1.13627E-03   8.32038E-04   6.04923E-04
+   4.36458E-04   3.11798E-04   2.19971E-04   1.53056E-04   1.04438E-04
+   6.96071E-05   4.51130E-05   2.81640E-05   1.67879E-05   9.40503E-06
+   4.85281E-06   2.23017E-06   8.63242E-07   2.47401E-07   3.30532E-08
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   7.43353E+06
+   5.54840E+06   4.06140E+06   2.97255E+06   2.17469E+06   1.59070E+06
+   1.16300E+06   8.50120E+05   6.21099E+05   4.53662E+05   3.31182E+05
+   2.41698E+05   1.76288E+05   1.28535E+05   9.36565E+04   6.82156E+04
+   4.96506E+04   3.61219E+04   2.62597E+04   1.90806E+04   1.38530E+04
+   1.00521E+04   7.28788E+03   5.28067E+03   3.82287E+03   2.76549E+03
+   1.99892E+03   1.43677E+03   1.03709E+03   7.48142E+02   5.39184E+02
+   3.88342E+02   2.79288E+02   2.00748E+02   1.44176E+02   1.03513E+02
+   7.42580E+01   5.32627E+01   3.81911E+01   2.73964E+01   1.96646E+01
+   1.41381E+01   1.01867E+01   7.36174E+00   5.34659E+00   3.90196E+00
+   2.86321E+00   2.11389E+00   1.56964E+00   1.17251E+00   8.80420E-01
+   6.64316E-01   5.03958E-01   3.82980E-01   2.91949E-01   2.23007E-01
+   1.70509E-01   1.30476E-01   9.97750E-02   7.64572E-02   5.83694E-02
+   4.45597E-02   3.39581E-02   2.58431E-02   1.96172E-02   1.48607E-02
+   1.12282E-02   8.46217E-03   6.36191E-03   4.76640E-03   3.56698E-03
+   2.65564E-03   1.96962E-03   1.45518E-03   1.06971E-03   7.82148E-04
+   5.67756E-04   4.08901E-04   2.91546E-04   2.05223E-04   1.42482E-04
+   9.69987E-05   6.45179E-05   4.17475E-05   2.60528E-05   1.55551E-05
+   8.76617E-06   4.58563E-06   2.17398E-06   9.03696E-07   3.13192E-07
+   8.64335E-08   1.79590E-08   3.69400E-09   0.00000E+00   0.00000E+00
+   9.53863E+06   7.10356E+06   5.18556E+06   3.78465E+06   2.76086E+06
+   2.01349E+06   1.46766E+06   1.06948E+06   7.78887E+05   5.67059E+05
+   4.12588E+05   3.00082E+05   2.18111E+05   1.58463E+05   1.15045E+05
+   8.34825E+04   6.05327E+04   4.38683E+04   3.17653E+04   2.29878E+04
+   1.66211E+04   1.20099E+04   8.66995E+03   6.25446E+03   4.50751E+03
+   3.24571E+03   2.33499E+03   1.67009E+03   1.19954E+03   8.60912E+02
+   6.17206E+02   4.42132E+02   3.16199E+02   2.25969E+02   1.61326E+02
+   1.15118E+02   8.20629E+01   5.84797E+01   4.16545E+01   2.96789E+01
+   2.11571E+01   1.51057E+01   1.08083E+01   7.75649E+00   5.59450E+00
+   4.05498E+00   2.95556E+00   2.16773E+00   1.59936E+00   1.18733E+00
+   8.86272E-01   6.64918E-01   5.01702E-01   3.79294E-01   2.87733E-01
+   2.18772E-01   1.66545E-01   1.26921E-01   9.66821E-02   7.38217E-02
+   5.61672E-02   4.27431E-02   3.24782E-02   2.46492E-02   1.86636E-02
+   1.41047E-02   1.06338E-02   7.99763E-03   6.00128E-03   4.48782E-03
+   3.35272E-03   2.49174E-03   1.84484E-03   1.36053E-03   9.98248E-04
+   7.28409E-04   5.27609E-04   3.79086E-04   2.69615E-04   1.89264E-04
+   1.31050E-04   8.89686E-05   5.90286E-05   3.81155E-05   2.37628E-05
+   1.41994E-05   8.03820E-06   4.25075E-06   2.06421E-06   9.02218E-07
+   3.47984E-07   1.19482E-07   3.70868E-08   1.02410E-08   4.27956E-10
+   0.00000E+00   1.21413E+07   9.02009E+06   6.56551E+06   4.77757E+06
+   3.47465E+06   2.52620E+06   1.83558E+06   1.33325E+06   9.67796E+05
+   7.02221E+05   5.09183E+05   3.69042E+05   2.67279E+05   1.93478E+05
+   1.39947E+05   1.01169E+05   7.30754E+04   5.27503E+04   3.80445E+04
+   2.74198E+04   1.97435E+04   1.42056E+04   1.02108E+04   7.33360E+03
+   5.26149E+03   3.77116E+03   2.70029E+03   1.92192E+03   1.37363E+03
+   9.80885E+02   6.99579E+02   4.98469E+02   3.54539E+02   2.51939E+02
+   1.78827E+02   1.26847E+02   8.98734E+01   6.36459E+01   4.50465E+01
+   3.18881E+01   2.25837E+01   1.60180E+01   1.13857E+01   8.11705E+00
+   5.81653E+00   4.18872E+00   3.03374E+00   2.21124E+00   1.62162E+00
+   1.19678E+00   8.88276E-01   6.62778E-01   4.97494E-01   3.74227E-01
+   2.82543E-01   2.13853E-01   1.62104E-01   1.23034E-01   9.33594E-02
+   7.10271E-02   5.38550E-02   4.08505E-02   3.09454E-02   2.34180E-02
+   1.76832E-02   1.33293E-02   1.00248E-02   7.52197E-03   5.63190E-03
+   4.20232E-03   3.13287E-03   2.32335E-03   1.71647E-03   1.26303E-03
+   9.24573E-04   6.72983E-04   4.86208E-04   3.48372E-04   2.47058E-04
+   1.72893E-04   1.19354E-04   8.07793E-05   5.34451E-05   3.44278E-05
+   2.14347E-05   1.28122E-05   7.27879E-06   3.88373E-06   1.92271E-06
+   8.72371E-07   3.60306E-07   1.37448E-07   4.80530E-08   1.38186E-08
+   1.02359E-09   0.00000E+00   1.53278E+07   1.13592E+07   8.24325E+06
+   5.98006E+06   4.33567E+06   3.14217E+06   2.27578E+06   1.64754E+06
+   1.19193E+06   8.61894E+05   6.22793E+05   4.49784E+05   3.24585E+05
+   2.34099E+05   1.68698E+05   1.21491E+05   8.74153E+04   6.28535E+04
+   4.51500E+04   3.24083E+04   2.32388E+04   1.66499E+04   1.19163E+04
+   8.52093E+03   6.08601E+03   4.34215E+03   3.09468E+03   2.19196E+03
+   1.55902E+03   1.10772E+03   7.86011E+02   5.57122E+02   3.94129E+02
+   2.78528E+02   1.96584E+02   1.38635E+02   9.76461E+01   6.87331E+01
+   4.83494E+01   3.40137E+01   2.39385E+01   1.68722E+01   1.19177E+01
+   8.44306E+00   6.01279E+00   4.30354E+00   3.09816E+00   2.24484E+00
+   1.63678E+00   1.20117E+00   8.86699E-01   6.58112E-01   4.91510E-01
+   3.67923E-01   2.76494E-01   2.08343E-01   1.57258E-01   1.18873E-01
+   8.98540E-02   6.81113E-02   5.14637E-02   3.89069E-02   2.93800E-02
+   2.21663E-02   1.66901E-02   1.25459E-02   9.41078E-03   7.04318E-03
+   5.26046E-03   3.91547E-03   2.91207E-03   2.15431E-03   1.58766E-03
+   1.16525E-03   8.50751E-04   6.17526E-04   4.44855E-04   3.17769E-04
+   2.24647E-04   1.56687E-04   1.07818E-04   7.27342E-05   4.79796E-05
+   3.08286E-05   1.91642E-05   1.14552E-05   6.52712E-06   3.50926E-06
+   1.76527E-06   8.24440E-07   3.56918E-07   1.44570E-07   5.32016E-08
+   1.53726E-08   1.36002E-09   0.00000E+00   1.91943E+07   1.41886E+07
+   1.02650E+07   7.42361E+06   5.36529E+06   3.87586E+06   2.79800E+06
+   2.01887E+06   1.45564E+06   1.04897E+06   7.55326E+05   5.43562E+05
+   3.90846E+05   2.80854E+05   2.01636E+05   1.44661E+05   1.03686E+05
+   7.42602E+04   5.31315E+04   3.79826E+04   2.71238E+04   1.93518E+04
+   1.37909E+04   9.81846E+03   6.98168E+03   4.95858E+03   3.51774E+03
+   2.47971E+03   1.75522E+03   1.24100E+03   8.76163E+02   6.17828E+02
+   4.34774E+02   3.05594E+02   2.14500E+02   1.50418E+02   1.05337E+02
+   7.37137E+01   5.15464E+01   3.60457E+01   2.52162E+01   1.76655E+01
+   1.24032E+01   8.73433E+00   6.18353E+00   4.39984E+00   3.14928E+00
+   2.26897E+00   1.64523E+00   1.20084E+00   8.81808E-01   6.51140E-01
+   4.83926E-01   3.60520E-01   2.69697E-01   2.02330E-01   1.52079E-01
+   1.14495E-01   8.62100E-02   6.51096E-02   4.90215E-02   3.69348E-02
+   2.78004E-02   2.09091E-02   1.56963E-02   1.17646E-02   8.79999E-03
+   6.56797E-03   4.89246E-03   3.63178E-03   2.69402E-03   1.98764E-03
+   1.46084E-03   1.06917E-03   7.78353E-04   5.63270E-04   4.04510E-04
+   2.88010E-04   2.02932E-04   1.41051E-04   9.67333E-05   6.50384E-05
+   4.27726E-05   2.74116E-05   1.70124E-05   1.01677E-05   5.80840E-06
+   3.14368E-06   1.60286E-06   7.65968E-07   3.42988E-07   1.44145E-07
+   5.43388E-08   1.55956E-08   1.51234E-09   0.00000E+00   2.38466E+07
+   1.75828E+07   1.26815E+07   9.14244E+06   6.58658E+06   4.74275E+06
+   3.41261E+06   2.45413E+06   1.76350E+06   1.26645E+06   9.08753E+05
+   6.51657E+05   4.66887E+05   3.34269E+05   2.39096E+05   1.70888E+05
+   1.22016E+05   8.70480E+04   6.20348E+04   4.41690E+04   3.14127E+04
+   2.23185E+04   1.58380E+04   1.12273E+04   7.94844E+03   5.61989E+03
+   3.96878E+03   2.78446E+03   1.96162E+03   1.38022E+03   9.69651E+02
+   6.80301E+02   4.76267E+02   3.32993E+02   2.32475E+02   1.62128E+02
+   1.12905E+02   7.85611E+01   5.46215E+01   3.79751E+01   2.64120E+01
+   1.83957E+01   1.28414E+01   8.99087E+00   6.32909E+00   4.47813E+00
+   3.18762E+00   2.28408E+00   1.64737E+00   1.19611E+00   8.73875E-01
+   6.42077E-01   4.74914E-01   3.52155E-01   2.62259E-01   1.95898E-01
+   1.46632E-01   1.09952E-01   8.24683E-02   6.20541E-02   4.65538E-02
+   3.49547E-02   2.62227E-02   1.96592E-02   1.47122E-02   1.09936E-02
+   8.19912E-03   6.10177E-03   4.53234E-03   3.35483E-03   2.48163E-03
+   1.82566E-03   1.33788E-03   9.76249E-04   7.08530E-04   5.11107E-04
+   3.65853E-04   2.59603E-04   1.82289E-04   1.26253E-04   8.62896E-05
+   5.78214E-05   3.79105E-05   2.42332E-05   1.50156E-05   8.97271E-06
+   5.13762E-06   2.79716E-06   1.44277E-06   7.02334E-07   3.22375E-07
+   1.38677E-07   5.28205E-08   1.49841E-08   1.53941E-09   0.00000E+00
+   2.94007E+07   2.16230E+07   1.55472E+07   1.11734E+07   8.02420E+06
+   5.75931E+06   4.13054E+06   2.96056E+06   2.12025E+06   1.51745E+06
+   1.08509E+06   7.75364E+05   5.53537E+05   3.94868E+05   2.81402E+05
+   2.00374E+05   1.42527E+05   1.01288E+05   7.19007E+04   5.09898E+04
+   3.61171E+04   2.55554E+04   1.80593E+04   1.27474E+04   8.98559E+03
+   6.32509E+03   4.44679E+03   3.10532E+03   2.17749E+03   1.52482E+03
+   1.06605E+03   7.44231E+02   5.18391E+02   3.60573E+02   2.50407E+02
+   1.73699E+02   1.20306E+02   8.32499E+01   5.75599E+01   3.97939E+01
+   2.75219E+01   1.90612E+01   1.32319E+01   9.21289E+00   6.44999E+00
+   4.53897E+00   3.21371E+00   2.29067E+00   1.64360E+00   1.18732E+00
+   8.63169E-01   6.31138E-01   4.64643E-01   3.42960E-01   2.54284E-01
+   1.89127E-01   1.40979E-01   1.05291E-01   7.86665E-02   5.89742E-02
+   4.40834E-02   3.29842E-02   2.46609E-02   1.84276E-02   1.37465E-02
+   1.02398E-02   7.61365E-03   5.64896E-03   4.18357E-03   3.08739E-03
+   2.27708E-03   1.67011E-03   1.22015E-03   8.87549E-04   6.42094E-04
+   4.61652E-04   3.29340E-04   2.32884E-04   1.62955E-04   1.12459E-04
+   7.65989E-05   5.11563E-05   3.34400E-05   2.13221E-05   1.31913E-05
+   7.88141E-06   4.52249E-06   2.47545E-06   1.28964E-06   6.37273E-07
+   2.97906E-07   1.30028E-07   4.96435E-08   1.38861E-08   1.48548E-09
+   0.00000E+00   3.59822E+07   2.63966E+07   1.89210E+07   1.35556E+07
+   9.70431E+06   6.94285E+06   4.96320E+06   3.54564E+06   2.53079E+06
+   1.80512E+06   1.28636E+06   9.15980E+05   6.51611E+05   4.63159E+05
+   3.28869E+05   2.33306E+05   1.65329E+05   1.17045E+05   8.27645E+04
+   5.84632E+04   4.12455E+04   2.90656E+04   2.04552E+04   1.43780E+04
+   1.00917E+04   7.07271E+03   4.95046E+03   3.44124E+03   2.40199E+03
+   1.67418E+03   1.16490E+03   8.09291E+02   5.60917E+02   3.88183E+02
+   2.68197E+02   1.85068E+02   1.27502E+02   8.77562E+01   6.03482E+01
+   4.14949E+01   2.85424E+01   1.96606E+01   1.35745E+01   9.40081E+00
+   6.54683E+00   4.58300E+00   3.22815E+00   2.28923E+00   1.63435E+00
+   1.17481E+00   8.49957E-01   6.18533E-01   4.53277E-01   3.33063E-01
+   2.45870E-01   1.82093E-01   1.35179E-01   1.00557E-01   7.48386E-02
+   5.58961E-02   4.16304E-02   3.10388E-02   2.31269E-02   1.72235E-02
+   1.28064E-02   9.50891E-03   7.04796E-03   5.21294E-03   3.84881E-03
+   2.83152E-03   2.08198E-03   1.52222E-03   1.10859E-03   8.03786E-04
+   5.79581E-04   4.15296E-04   2.95253E-04   2.08047E-04   1.45063E-04
+   9.97546E-05   6.77154E-05   4.50751E-05   2.93790E-05   1.86879E-05
+   1.15449E-05   6.89705E-06   3.96571E-06   2.18122E-06   1.14619E-06
+   5.73300E-07   2.71611E-07   1.19560E-07   4.55248E-08   1.25408E-08
+   1.38281E-09   0.00000E+00   4.37264E+07   3.19973E+07   2.28654E+07
+   1.63307E+07   1.16543E+07   8.31144E+06   5.92243E+06   4.21707E+06
+   3.00008E+06   2.13266E+06   1.51460E+06   1.07478E+06   7.61903E+05
+   5.39630E+05   3.81788E+05   2.69857E+05   1.90522E+05   1.34372E+05
+   9.46546E+04   6.66026E+04   4.68028E+04   3.28498E+04   2.30244E+04
+   1.61169E+04   1.12646E+04   7.86084E+03   5.47822E+03   3.79097E+03
+   2.63420E+03   1.82760E+03   1.26572E+03   8.75141E+02   6.03615E+02
+   4.15667E+02   2.85745E+02   1.96172E+02   1.34455E+02   9.20582E+01
+   6.29742E+01   4.30719E+01   2.94710E+01   2.01934E+01   1.38696E+01
+   9.55525E+00   6.62035E+00   4.61095E+00   3.23158E+00   2.28031E+00
+   1.62003E+00   1.15892E+00   8.34505E-01   6.04467E-01   4.40974E-01
+   3.22583E-01   2.37109E-01   1.74867E-01   1.29285E-01   9.57904E-02
+   7.10153E-02   5.28430E-02   3.92124E-02   2.91319E-02   2.16307E-02
+   1.60546E-02   1.18976E-02   8.80517E-03   6.50537E-03   4.79624E-03
+   3.52999E-03   2.58869E-03   1.89744E-03   1.38283E-03   1.00380E-03
+   7.25402E-04   5.21306E-04   3.72258E-04   2.63738E-04   1.85185E-04
+   1.28669E-04   8.81688E-05   5.96513E-05   3.95806E-05   2.57255E-05
+   1.63270E-05   1.00730E-05   6.01754E-06   3.46670E-06   1.91511E-06
+   1.01383E-06   5.12046E-07   2.44917E-07   1.08250E-07   4.09688E-08
+   1.11076E-08   1.25423E-09   0.00000E+00   5.27772E+07   3.85245E+07
+   2.74462E+07   1.95421E+07   1.39028E+07   9.88371E+06   7.02031E+06
+   4.98264E+06   3.53312E+06   2.50323E+06   1.77180E+06   1.25300E+06
+   8.85172E+05   6.24736E+05   4.40430E+05   3.10183E+05   2.18192E+05
+   1.53316E+05   1.07592E+05   7.54160E+04   5.27905E+04   3.69061E+04
+   2.57639E+04   1.79610E+04   1.25015E+04   8.68714E+03   6.02821E+03
+   4.15311E+03   2.87308E+03   1.98435E+03   1.36798E+03   9.41429E+02
+   6.46251E+02   4.42874E+02   3.02955E+02   2.06951E+02   1.41129E+02
+   9.61360E+01   6.54275E+01   4.45201E+01   3.03057E+01   2.06591E+01
+   1.41176E+01   9.67702E+00   6.67141E+00   4.62359E+00   3.22465E+00
+   2.26443E+00   1.60109E+00   1.13998E+00   8.17072E-01   5.89139E-01
+   4.27886E-01   3.11637E-01   2.28087E-01   1.67513E-01   1.23345E-01
+   9.10282E-02   6.72237E-02   4.98350E-02   3.68445E-02   2.72745E-02
+   2.01807E-02   1.49269E-02   1.10246E-02   8.13198E-03   5.98833E-03
+   4.40066E-03   3.22843E-03   2.35984E-03   1.72415E-03   1.25241E-03
+   9.06124E-04   6.52620E-04   4.67411E-04   3.32619E-04   2.34836E-04
+   1.64313E-04   1.13770E-04   7.76888E-05   5.23900E-05   3.46553E-05
+   2.24640E-05   1.42269E-05   8.76687E-06   5.23744E-06   3.02280E-06
+   1.67645E-06   8.93076E-07   4.54509E-07   2.18804E-07   9.67815E-08
+   3.63202E-08   9.68930E-09   1.11539E-09   0.00000E+00   6.32867E+07
+   4.60827E+07   3.27321E+07   2.32349E+07   1.64791E+07   1.16787E+07
+   8.26911E+06   5.85019E+06   4.13486E+06   2.91995E+06   2.05989E+06
+   1.45182E+06   1.02213E+06   7.18898E+05   5.05035E+05   3.54416E+05
+   2.48408E+05   1.73908E+05   1.21590E+05   8.49061E+04   5.92063E+04
+   4.12305E+04   2.86692E+04   1.99062E+04   1.37990E+04   9.54881E+03
+   6.59832E+03   4.52612E+03   3.11753E+03   2.14366E+03   1.47115E+03
+   1.00780E+03   6.88592E+02   4.69656E+02   3.19733E+02   2.17350E+02
+   1.47492E+02   9.99719E+01   6.76991E+01   4.58354E+01   3.10455E+01
+   2.10581E+01   1.43193E+01   9.76711E+00   6.70095E+00   4.62174E+00
+   3.20804E+00   2.24214E+00   1.57795E+00   1.11832E+00   7.97911E-01
+   5.72741E-01   4.14157E-01   3.00332E-01   2.18886E-01   1.60090E-01
+   1.17405E-01   8.63026E-02   6.34877E-02   4.68897E-02   3.45390E-02
+   2.54758E-02   1.87834E-02   1.38453E-02   1.01909E-02   7.49168E-03
+   5.49851E-03   4.02737E-03   2.94493E-03   2.14550E-03   1.56245E-03
+   1.13118E-03   8.15679E-04   5.85491E-04   4.17903E-04   2.96361E-04
+   2.08513E-04   1.45387E-04   1.00321E-04   6.82728E-05   4.58949E-05
+   3.02690E-05   1.95709E-05   1.23702E-05   7.61456E-06   4.54945E-06
+   2.63019E-06   1.46376E-06   7.83860E-07   4.01242E-07   1.93916E-07
+   8.56175E-08   3.18059E-08   8.34848E-09   9.76606E-10   0.00000E+00
+   1.41880E+06   1.91493E+06   1.38792E+06   1.00594E+06   7.29086E+05
+   5.28437E+05   3.83013E+05   2.77615E+05   2.01226E+05   1.45860E+05
+   1.05733E+05   7.66484E+04   5.55680E+04   4.02886E+04   2.92136E+04
+   2.11858E+04   1.53666E+04   1.11482E+04   8.08998E+03   5.87272E+03
+   4.26500E+03   3.09912E+03   2.25352E+03   1.64007E+03   1.19494E+03
+   8.71833E+02   6.37197E+02   4.64477E+02   3.41180E+02   2.51433E+02
+   1.86030E+02   1.38291E+02   1.03328E+02   7.77112E+01   5.88813E+01
+   4.49890E+01   3.46777E+01   2.69800E+01   2.11900E+01   1.67961E+01
+   1.34282E+01   1.08183E+01   8.77274E+00   7.14925E+00   5.85305E+00
+   4.80447E+00   3.95202E+00   3.25633E+00   2.68753E+00   2.22201E+00
+   1.84027E+00   1.52567E+00   1.26559E+00   1.04591E+00   8.60686E-01
+   7.03294E-01   5.69568E-01   4.56445E-01   3.61469E-01   2.83217E-01
+   2.18204E-01   1.65639E-01   1.23525E-01   9.03036E-02   6.44691E-02
+   4.47983E-02   3.01710E-02   1.95973E-02   1.22340E-02   7.31398E-03
+   4.22725E-03   2.36975E-03   1.32142E-03   7.47387E-04   4.33334E-04
+   2.57579E-04   1.55853E-04   9.50144E-05   5.77480E-05   3.46178E-05
+   2.03905E-05   1.16308E-05   6.39986E-06   3.37075E-06   1.68436E-06
+   7.89988E-07   3.43105E-07   1.35069E-07   4.72527E-08   1.40947E-08
+   3.38217E-09   5.92237E-10   6.30236E-11   2.70266E-12   1.25601E-14
+   0.00000E+00   2.67977E+06   1.98726E+06   1.44362E+06   1.04887E+06
+   7.62134E+05   5.53897E+05   4.02604E+05   2.92699E+05   2.12826E+05
+   1.54786E+05   1.12592E+05   8.19215E+04   5.96171E+04   4.33984E+04
+   3.15992E+04   2.30159E+04   1.67689E+04   1.22226E+04   8.91216E+03
+   6.50178E+03   4.74573E+03   3.46638E+03   2.53375E+03   1.85384E+03
+   1.35780E+03   9.95825E+02   7.31509E+02   5.35889E+02   3.95418E+02
+   2.92605E+02   2.17239E+02   1.61929E+02   1.21190E+02   9.11888E+01
+   6.90220E+01   5.26003E+01   4.03645E+01   3.12100E+01   2.43145E+01
+   1.90876E+01   1.50917E+01   1.20132E+01   9.61869E+00   7.73892E+00
+   6.25614E+00   5.07370E+00   4.12602E+00   3.36395E+00   2.74912E+00
+   2.25229E+00   1.84931E+00   1.52064E+00   1.25148E+00   1.02640E+00
+   8.38464E-01   6.80392E-01   5.47403E-01   4.36005E-01   3.43292E-01
+   2.67554E-01   2.05126E-01   1.55031E-01   1.15179E-01   8.39565E-02
+   5.98343E-02   4.15815E-02   2.80863E-02   1.83788E-02   1.16427E-02
+   7.14396E-03   4.30692E-03   2.57561E-03   1.56842E-03   9.88329E-04
+   6.46258E-04   4.35863E-04   2.99512E-04   2.07578E-04   1.43572E-04
+   9.82532E-05   6.59440E-05   4.28952E-05   2.66036E-05   1.53443E-05
+   7.73339E-06   2.81771E-06   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   2.85682E+06   2.12299E+06   1.54618E+06
+   1.12640E+06   8.20710E+05   5.98174E+05   4.36053E+05   3.17978E+05
+   2.31919E+05   1.69210E+05   1.23482E+05   9.01448E+04   6.58224E+04
+   4.80811E+04   3.51303E+04   2.56786E+04   1.87751E+04   1.37340E+04
+   1.00498E+04   7.35794E+03   5.38947E+03   3.95027E+03   2.89714E+03
+   2.12663E+03   1.56239E+03   1.14917E+03   8.46346E+02   6.21474E+02
+   4.59420E+02   3.40439E+02   2.52939E+02   1.88549E+02   1.40991E+02
+   1.05896E+02   7.99149E+01   6.06473E+01   4.62828E+01   3.55431E+01
+   2.74659E+01   2.13633E+01   1.67190E+01   1.31646E+01   1.04219E+01
+   8.29032E+00   6.62728E+00   5.31733E+00   4.28032E+00   3.45676E+00
+   2.79991E+00   2.27490E+00   1.85313E+00   1.51224E+00   1.23547E+00
+   1.00608E+00   8.16242E-01   6.58039E-01   5.26136E-01   4.16637E-01
+   3.26240E-01   2.52979E-01   1.93041E-01   1.45284E-01   1.07546E-01
+   7.81699E-02   5.56156E-02   3.86499E-02   2.61743E-02   1.72417E-02
+   1.10632E-02   6.93823E-03   4.32408E-03   2.70833E-03   1.74370E-03
+   1.16569E-03   8.06575E-04   5.72812E-04   4.12291E-04   2.98431E-04
+   2.15246E-04   1.53909E-04   1.08349E-04   7.46378E-05   4.98485E-05
+   3.20185E-05   1.93676E-05   1.07309E-05   5.07289E-06   1.65059E-06
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   3.13404E+06   2.33376E+06
+   1.70388E+06   1.24441E+06   9.08984E+05   6.64213E+05   4.85435E+05
+   3.54907E+05   2.59520E+05   1.89840E+05   1.38893E+05   1.01656E+05
+   7.44154E+04   5.44947E+04   3.99139E+04   2.92456E+04   2.14330E+04
+   1.57138E+04   1.15234E+04   8.45429E+03   6.20444E+03   4.55581E+03
+   3.34665E+03   2.46015E+03   1.80960E+03   1.33227E+03   9.81827E+02
+   7.21201E+02   5.33087E+02   3.94811E+02   2.93009E+02   2.18043E+02
+   1.62646E+02   1.21766E+02   9.15111E+01   6.90970E+01   5.24119E+01
+   3.99682E+01   3.06395E+01   2.36231E+01   1.83124E+01   1.42761E+01
+   1.11864E+01   8.80749E+00   6.97002E+00   5.53831E+00   4.41721E+00
+   3.53652E+00   2.84121E+00   2.29075E+00   1.85234E+00   1.50090E+00
+   1.21779E+00   9.85041E-01   7.94006E-01   6.36154E-01   5.05643E-01
+   3.98195E-01   3.10164E-01   2.39351E-01   1.81819E-01   1.36286E-01
+   1.00534E-01   7.28735E-02   5.17612E-02   3.59683E-02   2.44138E-02
+   1.61755E-02   1.04931E-02   6.69913E-03   4.28291E-03   2.77152E-03
+   1.84874E-03   1.27797E-03   9.09794E-04   6.61162E-04   4.84767E-04
+   3.56369E-04   2.60571E-04   1.88758E-04   1.34684E-04   9.41994E-05
+   6.41063E-05   4.22288E-05   2.65268E-05   1.56614E-05   8.39885E-06
+   3.85781E-06   1.24872E-06   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   3.53137E+06
+   2.63409E+06   1.92705E+06   1.41023E+06   1.03214E+06   7.55675E+05
+   5.53325E+05   4.05292E+05   2.96894E+05   2.17557E+05   1.59435E+05
+   1.16877E+05   8.56860E+04   6.28374E+04   4.60847E+04   3.38081E+04
+   2.48036E+04   1.82027E+04   1.33596E+04   9.80819E+03   7.20178E+03
+   5.29004E+03   3.88662E+03   2.85698E+03   2.10090E+03   1.54591E+03
+   1.13834E+03   8.35213E+02   6.16431E+02   4.55671E+02   3.37373E+02
+   2.50333E+02   1.86083E+02   1.38740E+02   1.03767E+02   7.79178E+01
+   5.87308E+01   4.44726E+01   3.38288E+01   2.58644E+01   1.98724E+01
+   1.53498E+01   1.19149E+01   9.29308E+00   7.28676E+00   5.73870E+00
+   4.53836E+00   3.60451E+00   2.87395E+00   2.30053E+00   1.84743E+00
+   1.48689E+00   1.19858E+00   9.63331E-01   7.71725E-01   6.14648E-01
+   4.85795E-01   3.80533E-01   2.94912E-01   2.26520E-01   1.71324E-01
+   1.27919E-01   9.40427E-02   6.79872E-02   4.82109E-02   3.34953E-02
+   2.27800E-02   1.51698E-02   9.93337E-03   6.43583E-03   4.19769E-03
+   2.78203E-03   1.90074E-03   1.34144E-03   9.70481E-04   7.13604E-04
+   5.27699E-04   3.90383E-04   2.86890E-04   2.08725E-04   1.49599E-04
+   1.05156E-04   7.20394E-05   4.78971E-05   3.05306E-05   1.84680E-05
+   1.03564E-05   5.21906E-06   2.19254E-06   6.22002E-07   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   4.07227E+06   3.04106E+06   2.22778E+06   1.63241E+06   1.19621E+06
+   8.76799E+05   6.42694E+05   4.71214E+05   3.45489E+05   2.53367E+05
+   1.85806E+05   1.36288E+05   9.99634E+04   7.33340E+04   5.37951E+04
+   3.94688E+04   2.89556E+04   2.12463E+04   1.55884E+04   1.14392E+04
+   8.39404E+03   6.16088E+03   4.52194E+03   3.32008E+03   2.43802E+03
+   1.79105E+03   1.31635E+03   9.63710E+02   7.09503E+02   5.22993E+02
+   3.85972E+02   2.85352E+02   2.11238E+02   1.56765E+02   1.16639E+02
+   8.70791E+01   6.52185E+01   4.90430E+01   3.70263E+01   2.80840E+01
+   2.13979E+01   1.63862E+01   1.26086E+01   9.74880E+00   7.57916E+00
+   5.91997E+00   4.64496E+00   3.66168E+00   2.89885E+00   2.30476E+00
+   1.83873E+00   1.47046E+00   1.17798E+00   9.41001E-01   7.49384E-01
+   5.93462E-01   4.66504E-01   3.63546E-01   2.80372E-01   2.14379E-01
+   1.61457E-01   1.20093E-01   8.79989E-02   6.34520E-02   4.49208E-02
+   3.12007E-02   2.12552E-02   1.42171E-02   9.38490E-03   6.15543E-03
+   4.07923E-03   2.75242E-03   1.91241E-03   1.36799E-03   9.99224E-04
+   7.39307E-04   5.48816E-04   4.06900E-04   2.99429E-04   2.18002E-04
+   1.56377E-04   1.10034E-04   7.55316E-05   5.03931E-05   3.23334E-05
+   1.97894E-05   1.13466E-05   5.96989E-06   2.76381E-06   1.04572E-06
+   2.57070E-07   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   2.83994E+06   3.57444E+06   2.62002E+06   1.92078E+06
+   1.40809E+06   1.03242E+06   7.56925E+05   5.55026E+05   4.06939E+05
+   2.98401E+05   2.18783E+05   1.60424E+05   1.17613E+05   8.62327E+04
+   6.32129E+04   4.63405E+04   3.39643E+04   2.48943E+04   1.82424E+04
+   1.33684E+04   9.79470E+03   7.17682E+03   5.25786E+03   3.85259E+03
+   2.82278E+03   2.06868E+03   1.51638E+03   1.10691E+03   8.12358E+02
+   5.96751E+02   4.38744E+02   3.23029E+02   2.38047E+02   1.75788E+02
+   1.30087E+02   9.65496E+01   7.18533E+01   5.36653E+01   4.02235E+01
+   3.02775E+01   2.28874E+01   1.73853E+01   1.32685E+01   1.01758E+01
+   7.84840E+00   6.08320E+00   4.73793E+00   3.70877E+00   2.91647E+00
+   2.30386E+00   1.82655E+00   1.45180E+00   1.15610E+00   9.18103E-01
+   7.26985E-01   5.72560E-01   4.47708E-01   3.47159E-01   2.66463E-01
+   2.02847E-01   1.52142E-01   1.12744E-01   8.23468E-02   5.92238E-02
+   4.18576E-02   2.90620E-02   1.98263E-02   1.33125E-02   8.84894E-03
+   5.86370E-03   3.93596E-03   2.69234E-03   1.89339E-03   1.36658E-03
+   1.00395E-03   7.45086E-04   5.53823E-04   4.10625E-04   3.01992E-04
+   2.19622E-04   1.57381E-04   1.10637E-04   7.59268E-05   5.06918E-05
+   3.26163E-05   2.00849E-05   1.16629E-05   6.28847E-06   3.06360E-06
+   1.30143E-06   4.51706E-07   1.18303E-07   1.92598E-08   2.60660E-09
+   0.00000E+00   0.00000E+00   5.79726E+06   4.33094E+06   3.17389E+06
+   2.32611E+06   1.70453E+06   1.24912E+06   9.15225E+05   6.70597E+05
+   4.91254E+05   3.59873E+05   2.63566E+05   1.93025E+05   1.41325E+05
+   1.03466E+05   7.57254E+04   5.54173E+04   4.05420E+04   2.96562E+04
+   2.16858E+04   1.58557E+04   1.15891E+04   8.46973E+03   6.18818E+03
+   4.52109E+03   3.30242E+03   2.41223E+03   1.76207E+03   1.28139E+03
+   9.36695E+02   6.85173E+02   5.01475E+02   3.67417E+02   2.69344E+02
+   1.97782E+02   1.45484E+02   1.07282E+02   7.92942E+01   5.87927E+01
+   4.37308E+01   3.26557E+01   2.44831E+01   1.84421E+01   1.39570E+01
+   1.06145E+01   8.12018E+00   6.24411E+00   4.82641E+00   3.75060E+00
+   2.92888E+00   2.29813E+00   1.81014E+00   1.42953E+00   1.13126E+00
+   8.92823E-01   7.02737E-01   5.50260E-01   4.27890E-01   3.30047E-01
+   2.52061E-01   1.90991E-01   1.42627E-01   1.05278E-01   7.66316E-02
+   5.49626E-02   3.87758E-02   2.69078E-02   1.83790E-02   1.23834E-02
+   8.28226E-03   5.53641E-03   3.75509E-03   2.59492E-03   1.83941E-03
+   1.33365E-03   9.81035E-04   7.27001E-04   5.38513E-04   3.97188E-04
+   2.90216E-04   2.09345E-04   1.48619E-04   1.03299E-04   6.99442E-05
+   4.59325E-05   2.89520E-05   1.73510E-05   9.70618E-06   4.94578E-06
+   2.18928E-06   7.63695E-07   1.43668E-07   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   7.10594E+06   5.30440E+06
+   3.88341E+06   2.84299E+06   2.08082E+06   1.52289E+06   1.11425E+06
+   8.15194E+05   5.96220E+05   4.36013E+05   3.18747E+05   2.32984E+05
+   1.70233E+05   1.24360E+05   9.08113E+04   6.62986E+04   4.83813E+04
+   3.52977E+04   2.57405E+04   1.87663E+04   1.36755E+04   9.96326E+03
+   7.25565E+03   5.28288E+03   3.84511E+03   2.79811E+03   2.03596E+03
+   1.47438E+03   1.07312E+03   7.81394E+02   5.69153E+02   4.14882E+02
+   3.02502E+02   2.20860E+02   1.61480E+02   1.18317E+02   8.68623E+01
+   6.39492E+01   4.72167E+01   3.49903E+01   2.60291E+01   1.94513E+01
+   1.46042E+01   1.10191E+01   8.36490E+00   6.38416E+00   4.89916E+00
+   3.78075E+00   2.93278E+00   2.28631E+00   1.78948E+00   1.40441E+00
+   1.10461E+00   8.66526E-01   6.78036E-01   5.27897E-01   4.08258E-01
+   3.13264E-01   2.38054E-01   1.79542E-01   1.33493E-01   9.81470E-02
+   7.11937E-02   5.09191E-02   3.58546E-02   2.48632E-02   1.69983E-02
+   1.14876E-02   7.72487E-03   5.20319E-03   3.56044E-03   2.48140E-03
+   1.77048E-03   1.28860E-03   9.49251E-04   7.03104E-04   5.19948E-04
+   3.82519E-04   2.78676E-04   2.00341E-04   1.41770E-04   9.82157E-05
+   6.63171E-05   4.34565E-05   2.73754E-05   1.64373E-05   9.26098E-06
+   4.79951E-06   2.21269E-06   8.58391E-07   2.46320E-07   3.28786E-08
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   8.76781E+06
+   6.53623E+06   4.77747E+06   3.49152E+06   2.55088E+06   1.86337E+06
+   1.36066E+06   9.93391E+05   7.24969E+05   5.28961E+05   3.85781E+05
+   2.81286E+05   2.05000E+05   1.49360E+05   1.08766E+05   7.91796E+04
+   5.76103E+04   4.19021E+04   3.04599E+04   2.21342E+04   1.60751E+04
+   1.16704E+04   8.46807E+03   6.14247E+03   4.45337E+03   3.22763E+03
+   2.33864E+03   1.68606E+03   1.22162E+03   8.85302E+02   6.41639E+02
+   4.65285E+02   3.37400E+02   2.44926E+02   1.77999E+02   1.29598E+02
+   9.45183E+01   6.91082E+01   5.06638E+01   3.72703E+01   2.75187E+01
+   2.04093E+01   1.52081E+01   1.13888E+01   8.58247E+00   6.50356E+00
+   4.95651E+00   3.79962E+00   2.92853E+00   2.26873E+00   1.76485E+00
+   1.37668E+00   1.07635E+00   8.39365E-01   6.53001E-01   5.05560E-01
+   3.88879E-01   2.96858E-01   2.24475E-01   1.68521E-01   1.24756E-01
+   9.13611E-02   6.60413E-02   4.70997E-02   3.30990E-02   2.29327E-02
+   1.56888E-02   1.06292E-02   7.18021E-03   4.86675E-03   3.35380E-03
+   2.35245E-03   1.68609E-03   1.22984E-03   9.06093E-04   6.70174E-04
+   4.94416E-04   3.62611E-04   2.63273E-04   1.88556E-04   1.32952E-04
+   9.17737E-05   6.17711E-05   4.03729E-05   2.54025E-05   1.52679E-05
+   8.64903E-06   4.54263E-06   2.15999E-06   8.99848E-07   3.12342E-07
+   8.62976E-08   1.79457E-08   3.69346E-09   0.00000E+00   0.00000E+00
+   1.08507E+07   8.07500E+06   5.88975E+06   4.29502E+06   3.13082E+06
+   2.28163E+06   1.66205E+06   1.21038E+06   8.81041E+05   6.41116E+05
+   4.66289E+05   3.39021E+05   2.46354E+05   1.78948E+05   1.29909E+05
+   9.42698E+04   6.83650E+04   4.95568E+04   3.58996E+04   2.59941E+04
+   1.88094E+04   1.36041E+04   9.83297E+03   7.10410E+03   5.12942E+03
+   3.70181E+03   2.67051E+03   1.91648E+03   1.38207E+03   9.96713E+02
+   7.18741E+02   5.18456E+02   3.73897E+02   2.69868E+02   1.94958E+02
+   1.41066E+02   1.02220E+02   7.42411E+01   5.40535E+01   3.94842E+01
+   2.89453E+01   2.13126E+01   1.57671E+01   1.17231E+01   8.77284E+00
+   6.60258E+00   4.99885E+00   3.80762E+00   2.91652E+00   2.24573E+00
+   1.73654E+00   1.34657E+00   1.04667E+00   8.11489E-01   6.27740E-01
+   4.83324E-01   3.69799E-01   2.80854E-01   2.11336E-01   1.57931E-01
+   1.16411E-01   8.49135E-02   6.11666E-02   4.34974E-02   3.05043E-02
+   2.11138E-02   1.44501E-02   9.81004E-03   6.65210E-03   4.53207E-03
+   3.14070E-03   2.21357E-03   1.59134E-03   1.16181E-03   8.55300E-04
+   6.31278E-04   4.64381E-04   3.39402E-04   2.45507E-04   1.75129E-04
+   1.23011E-04   8.45856E-05   5.67377E-05   3.69760E-05   2.32271E-05
+   1.39644E-05   7.94305E-06   4.21609E-06   2.05302E-06   8.99170E-07
+   3.47317E-07   1.19377E-07   3.70765E-08   1.02405E-08   4.27956E-10
+   0.00000E+00   1.34316E+07   9.97541E+06   7.25802E+06   5.27948E+06
+   3.83847E+06   2.78990E+06   2.02675E+06   1.47183E+06   1.06827E+06
+   7.75059E+05   5.62001E+05   4.07342E+05   2.95060E+05   2.13630E+05
+   1.54570E+05   1.11783E+05   8.07827E+04   5.83489E+04   4.21142E+04
+   3.03798E+04   2.18986E+04   1.57762E+04   1.13571E+04   8.17135E+03
+   5.87501E+03   4.22138E+03   3.03170E+03   2.16549E+03   1.55423E+03
+   1.11536E+03   8.00216E+02   5.74189E+02   4.11829E+02   2.95562E+02
+   2.12267E+02   1.52656E+02   1.09924E+02   7.93192E+01   5.73677E+01
+   4.16211E+01   3.03026E+01   2.21578E+01   1.62796E+01   1.20215E+01
+   8.93611E+00   6.68155E+00   5.02661E+00   3.80517E+00   2.89717E+00
+   2.21766E+00   1.70486E+00   1.31433E+00   1.01577E+00   7.83045E-01
+   6.02360E-01   4.61261E-01   3.51065E-01   2.65280E-01   1.98648E-01
+   1.47774E-01   1.08455E-01   7.87978E-02   5.65625E-02   4.01060E-02
+   2.80657E-02   1.94040E-02   1.32819E-02   9.03176E-03   6.14361E-03
+   4.20324E-03   2.92565E-03   2.06925E-03   1.49034E-03   1.08808E-03
+   7.99847E-04   5.88830E-04   4.31759E-04   3.14389E-04   2.26524E-04
+   1.60918E-04   1.12580E-04   7.71066E-05   5.15366E-05   3.34842E-05
+   2.09940E-05   1.26202E-05   7.20160E-06   3.85582E-06   1.91378E-06
+   8.69958E-07   3.59783E-07   1.37366E-07   4.80451E-08   1.38183E-08
+   1.02359E-09   0.00000E+00   1.65968E+07   1.22986E+07   8.92427E+06
+   6.47365E+06   4.69347E+06   3.40151E+06   2.46379E+06   1.78383E+06
+   1.29074E+06   9.33533E+05   6.74744E+05   4.87458E+05   3.51913E+05
+   2.53924E+05   1.83085E+05   1.31934E+05   9.49998E+04   6.83639E+04
+   4.91563E+04   3.53229E+04   2.53614E+04   1.81973E+04   1.30461E+04
+   9.34705E+03   6.69133E+03   4.78662E+03   3.42208E+03   2.43278E+03
+   1.73773E+03   1.24091E+03   8.85772E+02   6.32250E+02   4.51018E+02
+   3.21876E+02   2.29832E+02   1.64303E+02   1.17586E+02   8.43143E+01
+   6.05887E+01   4.36704E+01   3.15846E+01   2.29419E+01   1.67444E+01
+   1.22837E+01   9.07245E+00   6.74089E+00   5.04027E+00   3.79276E+00
+   2.87088E+00   2.18490E+00   1.67011E+00   1.28021E+00   9.83849E-01
+   7.54179E-01   5.76966E-01   4.39443E-01   3.32720E-01   2.50159E-01
+   1.86423E-01   1.38051E-01   1.00883E-01   7.30078E-02   5.22222E-02
+   3.69193E-02   2.57786E-02   1.78004E-02   1.21835E-02   8.29539E-03
+   5.65719E-03   3.88355E-03   2.71234E-03   1.92312E-03   1.38637E-03
+   1.01148E-03   7.42073E-04   5.44706E-04   3.98023E-04   2.88702E-04
+   2.07177E-04   1.46554E-04   1.02116E-04   6.96604E-05   4.63915E-05
+   3.00482E-05   1.88020E-05   1.12985E-05   6.46456E-06   3.48682E-06
+   1.75815E-06   8.22533E-07   3.56508E-07   1.44506E-07   5.31956E-08
+   1.53723E-08   1.36002E-09   0.00000E+00   2.04421E+07   1.51125E+07
+   1.09348E+07   7.90902E+06   5.71716E+06   4.13091E+06   2.98290E+06
+   2.15290E+06   1.55282E+06   1.11943E+06   8.06423E+05   5.80619E+05
+   4.17728E+05   3.00357E+05   2.15791E+05   1.54937E+05   1.11150E+05
+   7.96839E+04   5.70756E+04   4.08528E+04   2.92146E+04   2.08765E+04
+   1.49046E+04   1.06332E+04   7.57899E+03   5.39744E+03   3.84125E+03
+   2.71784E+03   1.93208E+03   1.37292E+03   9.75068E+02   6.92376E+02
+   4.91268E+02   3.48670E+02   2.47553E+02   1.75942E+02   1.25163E+02
+   8.91985E+01   6.36994E+01   4.56222E+01   3.27861E+01   2.36623E+01
+   1.71604E+01   1.25094E+01   9.18217E+00   6.78108E+00   5.04036E+00
+   3.77086E+00   2.83810E+00   2.14781E+00   1.63260E+00   1.24446E+00
+   9.51086E-01   7.25033E-01   5.51659E-01   4.17938E-01   3.14808E-01
+   2.35517E-01   1.74670E-01   1.28764E-01   9.36935E-02   6.75371E-02
+   4.81387E-02   3.39310E-02   2.36384E-02   1.63003E-02   1.11539E-02
+   7.60154E-03   5.19466E-03   3.57560E-03   2.50368E-03   1.77806E-03
+   1.28206E-03   9.34220E-04   6.83786E-04   5.00337E-04   3.64277E-04
+   2.63177E-04   1.88087E-04   1.32486E-04   9.19402E-05   6.24688E-05
+   4.14527E-05   2.67669E-05   1.67152E-05   1.00400E-05   5.75777E-06
+   3.12566E-06   1.59718E-06   7.64462E-07   3.42667E-07   1.44096E-07
+   5.43341E-08   1.55955E-08   1.51234E-09   0.00000E+00   2.50737E+07
+   1.84914E+07   1.33401E+07   9.61979E+06   6.93261E+06   4.99357E+06
+   3.59445E+06   2.58595E+06   1.85908E+06   1.33575E+06   9.59011E+05
+   6.88107E+05   4.93331E+05   3.53456E+05   2.53023E+05   1.81000E+05
+   1.29362E+05   9.23866E+04   6.59179E+04   4.69955E+04   3.34724E+04
+   2.38211E+04   1.69359E+04   1.20309E+04   8.53792E+03   6.05327E+03
+   4.28847E+03   3.01997E+03   2.13668E+03   1.51092E+03   1.06772E+03
+   7.54278E+02   5.32371E+02   3.75796E+02   2.65332E+02   1.87504E+02
+   1.32612E+02   9.39449E+01   6.66839E+01   4.74674E+01   3.39022E+01
+   2.43168E+01   1.75270E+01   1.26990E+01   9.26574E+00   6.80269E+00
+   5.02744E+00   3.74002E+00   2.79929E+00   2.10677E+00   1.59263E+00
+   1.20732E+00   9.17672E-01   6.95744E-01   5.26536E-01   3.96809E-01
+   2.97368E-01   2.21372E-01   1.63398E-01   1.19913E-01   8.68801E-02
+   6.23790E-02   4.43049E-02   3.11351E-02   2.16402E-02   1.49006E-02
+   1.01917E-02   6.95034E-03   4.75729E-03   3.28136E-03   2.30196E-03
+   1.63632E-03   1.17942E-03   8.58008E-04   6.26355E-04   4.56788E-04
+   3.31331E-04   2.38413E-04   1.69689E-04   1.19022E-04   8.22652E-05
+   5.56759E-05   3.68149E-05   2.37013E-05   1.47719E-05   8.86869E-06
+   5.09669E-06   2.78271E-06   1.43825E-06   7.01147E-07   3.22125E-07
+   1.38639E-07   5.28169E-08   1.49839E-08   1.53941E-09   0.00000E+00
+   3.06074E+07   2.25164E+07   1.61949E+07   1.16428E+07   8.36449E+06
+   6.00597E+06   4.30936E+06   3.09020E+06   2.21425E+06   1.58561E+06
+   1.13452E+06   8.11218E+05   5.79550E+05   4.13744E+05   2.95105E+05
+   2.10324E+05   1.49756E+05   1.06543E+05   7.57240E+04   5.37735E+04
+   3.81462E+04   2.70363E+04   1.91418E+04   1.35401E+04   9.56741E+03
+   6.75312E+03   4.76275E+03   3.33828E+03   2.35079E+03   1.65432E+03
+   1.16330E+03   8.17647E+02   5.74108E+02   4.03105E+02   2.83067E+02
+   1.98924E+02   1.39891E+02   9.85280E+01   6.95272E+01   4.91981E+01
+   3.49291E+01   2.49039E+01   1.78439E+01   1.28525E+01   9.32371E+00
+   6.80638E+00   5.00214E+00   3.70078E+00   2.75490E+00   2.06217E+00
+   1.55051E+00   1.16903E+00   8.83789E-01   6.66445E-01   5.01688E-01
+   3.76117E-01   2.80435E-01   2.07744E-01   1.52613E-01   1.11497E-01
+   8.04378E-02   5.75261E-02   4.07135E-02   2.85248E-02   1.97791E-02
+   1.35980E-02   9.29530E-03   6.34152E-03   4.34585E-03   3.00225E-03
+   2.10886E-03   1.49961E-03   1.07998E-03   7.84109E-04   5.70785E-04
+   4.14826E-04   2.99755E-04   2.14823E-04   1.52273E-04   1.06362E-04
+   7.32239E-05   4.93670E-05   3.25316E-05   2.08838E-05   1.29918E-05
+   7.79682E-06   4.48945E-06   2.46387E-06   1.28605E-06   6.36338E-07
+   2.97711E-07   1.29998E-07   4.96407E-08   1.38860E-08   1.48548E-09
+   0.00000E+00   3.71689E+07   2.72751E+07   1.95579E+07   1.40172E+07
+   1.00389E+07   7.18542E+06   5.13906E+06   3.67313E+06   2.62324E+06
+   1.87216E+06   1.33498E+06   9.51246E+05   6.77200E+05   4.81729E+05
+   3.42351E+05   2.43097E+05   1.72444E+05   1.22218E+05   8.65290E+04
+   6.12049E+04   4.32446E+04   3.05252E+04   2.15226E+04   1.51600E+04
+   1.06660E+04   7.49551E+03   5.26279E+03   3.67170E+03   2.57357E+03
+   1.80250E+03   1.26134E+03   8.82155E+02   6.16251E+02   4.30441E+02
+   3.00655E+02   2.10136E+02   1.46959E+02   1.02924E+02   7.22160E+01
+   5.08069E+01   3.58633E+01   2.54224E+01   1.81110E+01   1.29707E+01
+   9.35681E+00   6.79286E+00   4.96513E+00   3.65371E+00   2.70542E+00
+   2.01440E+00   1.50655E+00   1.12982E+00   8.49611E-01   6.37259E-01
+   4.77201E-01   3.55915E-01   2.64040E-01   1.94647E-01   1.42318E-01
+   1.03513E-01   7.43599E-02   5.29704E-02   3.73565E-02   2.60933E-02
+   1.80496E-02   1.23889E-02   8.46262E-03   5.77440E-03   3.96066E-03
+   2.73920E-03   1.92560E-03   1.36915E-03   9.84837E-04   7.13433E-04
+   5.17785E-04   3.74981E-04   2.69930E-04   1.92672E-04   1.36019E-04
+   9.46195E-05   6.48883E-05   4.35848E-05   2.86268E-05   1.83272E-05
+   1.13818E-05   6.82836E-06   3.93907E-06   2.17196E-06   1.14334E-06
+   5.72564E-07   2.71459E-07   1.19537E-07   4.55227E-08   1.25407E-08
+   1.38281E-09   0.00000E+00   4.48932E+07   3.28612E+07   2.34917E+07
+   1.67847E+07   1.19834E+07   8.54998E+06   6.09537E+06   4.34245E+06
+   3.09100E+06   2.19859E+06   1.56242E+06   1.10947E+06   7.87075E+05
+   5.57899E+05   3.95053E+05   2.79493E+05   1.97525E+05   1.39465E+05
+   9.83614E+04   6.93030E+04   4.87726E+04   3.42885E+04   2.40770E+04
+   1.68885E+04   1.18316E+04   8.27852E+03   5.78699E+03   4.01899E+03
+   2.80410E+03   1.95477E+03   1.36137E+03   9.47459E+02   6.58567E+02
+   4.57652E+02   3.17999E+02   2.21080E+02   1.53779E+02   1.07111E+02
+   7.47379E+01   5.22878E+01   3.67023E+01   2.58716E+01   1.83286E+01
+   1.30541E+01   9.36587E+00   6.76295E+00   4.91712E+00   3.59941E+00
+   2.65133E+00   1.96382E+00   1.46105E+00   1.08992E+00   8.15305E-01
+   6.08305E-01   4.53152E-01   3.36253E-01   2.48210E-01   1.82093E-01
+   1.32515E-01   9.59553E-02   6.86386E-02   4.87031E-02   3.42255E-02
+   2.38336E-02   1.64464E-02   1.12695E-02   7.69140E-03   5.24797E-03
+   3.60164E-03   2.49271E-03   1.75297E-03   1.24579E-03   8.94753E-04
+   6.46599E-04   4.67824E-04   3.37591E-04   2.42089E-04   1.72113E-04
+   1.21020E-04   8.38492E-05   5.72861E-05   3.83408E-05   2.51034E-05
+   1.60305E-05   9.93980E-06   5.96182E-06   3.44524E-06   1.90771E-06
+   1.01158E-06   5.11468E-07   2.44799E-07   1.08233E-07   4.09672E-08
+   1.11076E-08   1.25423E-09   0.00000E+00   5.39245E+07   3.93740E+07
+   2.80620E+07   1.99885E+07   1.42264E+07   1.01183E+07   7.19038E+06
+   5.10595E+06   3.62253E+06   2.56808E+06   1.81884E+06   1.28712E+06
+   9.09934E+05   6.42710E+05   4.53482E+05   3.19665E+05   2.25085E+05
+   1.58329E+05   1.11242E+05   7.80760E+04   5.47315E+04   3.83244E+04
+   2.68021E+04   1.87224E+04   1.30614E+04   9.09982E+03   6.33350E+03
+   4.37874E+03   3.04134E+03   2.11039E+03   1.46285E+03   1.01321E+03
+   7.00822E+02   4.84583E+02   3.35000E+02   2.31694E+02   1.60315E+02
+   1.11068E+02   7.70826E+01   5.36360E+01   3.74443E+01   2.62513E+01
+   1.84974E+01   1.31037E+01   9.35184E+00   6.71751E+00   4.85884E+00
+   3.53848E+00   2.59312E+00   1.91084E+00   1.41429E+00   1.04954E+00
+   7.81027E-01   5.79691E-01   4.29613E-01   3.17171E-01   2.32966E-01
+   1.70089E-01   1.23202E-01   8.88182E-02   6.32651E-02   4.47148E-02
+   3.13118E-02   2.17381E-02   1.49636E-02   1.02356E-02   6.97910E-03
+   4.76093E-03   3.26839E-03   2.26296E-03   1.59141E-03   1.13005E-03
+   8.10210E-04   5.83993E-04   4.21186E-04   3.02847E-04   2.16350E-04
+   1.53211E-04   1.07308E-04   7.40594E-05   5.04136E-05   3.36251E-05
+   2.19502E-05   1.39835E-05   8.65819E-06   5.19230E-06   3.00554E-06
+   1.67054E-06   8.91291E-07   4.54055E-07   2.18712E-07   9.67679E-08
+   3.63190E-08   9.68926E-09   1.11539E-09   0.00000E+00   6.44149E+07
+   4.69180E+07   3.33376E+07   2.36738E+07   1.67973E+07   1.19094E+07
+   8.43635E+06   5.97145E+06   4.22279E+06   2.98372E+06   2.10615E+06
+   1.48538E+06   1.04649E+06   7.36581E+05   5.17878E+05   3.63747E+05
+   2.55192E+05   1.78844E+05   1.25184E+05   8.75264E+04   6.11190E+04
+   4.26287E+04   2.96932E+04   2.06576E+04   1.43518E+04   9.95661E+03
+   6.90022E+03   4.74942E+03   3.28417E+03   2.26858E+03   1.56526E+03
+   1.07904E+03   7.42781E+02   5.11086E+02   3.51566E+02   2.41922E+02
+   1.66535E+02   1.14779E+02   7.92412E+01   5.48476E+01   3.80882E+01
+   2.65620E+01   1.86184E+01   1.31206E+01   9.31577E+00   6.65745E+00
+   4.79106E+00   3.47154E+00   2.53126E+00   1.85581E+00   1.36656E+00
+   1.00890E+00   7.46926E-01   5.51517E-01   4.06648E-01   2.98708E-01
+   2.18327E-01   1.58640E-01   1.14377E-01   8.20935E-02   5.82293E-02
+   4.09954E-02   2.86061E-02   1.97992E-02   1.35953E-02   9.28304E-03
+   6.32298E-03   4.31174E-03   2.96025E-03   2.04982E-03   1.44110E-03
+   1.02220E-03   7.31464E-04   5.25812E-04   3.78002E-04   2.70823E-04
+   1.92747E-04   1.35970E-04   9.48684E-05   6.52269E-05   4.42453E-05
+   2.94140E-05   1.91469E-05   1.21706E-05   7.52602E-06   4.51292E-06
+   2.61633E-06   1.45905E-06   7.82449E-07   4.00886E-07   1.93845E-07
+   8.56070E-08   3.18049E-08   8.34844E-09   9.76606E-10   0.00000E+00
+   1.41864E+06   1.91492E+06   1.38791E+06   1.00592E+06   7.29073E+05
+   5.28425E+05   3.83002E+05   2.77605E+05   2.01216E+05   1.45852E+05
+   1.05724E+05   7.66408E+04   5.55610E+04   4.02821E+04   2.92075E+04
+   2.11802E+04   1.53614E+04   1.11433E+04   8.08542E+03   5.86848E+03
+   4.26107E+03   3.09546E+03   2.25011E+03   1.63690E+03   1.19199E+03
+   8.69080E+02   6.34628E+02   4.62080E+02   3.38937E+02   2.49331E+02
+   1.84055E+02   1.36432E+02   1.01574E+02   7.60510E+01   5.73058E+01
+   4.34901E+01   3.32491E+01   2.56173E+01   1.98909E+01   1.55608E+01
+   1.22592E+01   9.71973E+00   7.74955E+00   6.20613E+00   4.99224E+00
+   4.02525E+00   3.24944E+00   2.62164E+00   2.10953E+00   1.68939E+00
+   1.34424E+00   1.06178E+00   8.33858E-01   6.50222E-01   5.05924E-01
+   3.93724E-01   3.07417E-01   2.41466E-01   1.91176E-01   1.53083E-01
+   1.23486E-01   1.00621E-01   8.26520E-02   6.83184E-02   5.66449E-02
+   4.69619E-02   3.87737E-02   3.17326E-02   2.56267E-02   2.03055E-02
+   1.57529E-02   1.18705E-02   8.69634E-03   6.19997E-03   4.30964E-03
+   2.92494E-03   1.93915E-03   1.25512E-03   7.91976E-04   4.85592E-04
+   2.89755E-04   1.66486E-04   9.19694E-05   4.85387E-05   2.42796E-05
+   1.13931E-05   4.94935E-06   1.94859E-06   6.81723E-07   2.03349E-07
+   4.87959E-08   8.54446E-09   9.09269E-10   3.89924E-11   1.81210E-13
+   0.00000E+00   2.67975E+06   1.98724E+06   1.44361E+06   1.04885E+06
+   7.62118E+05   5.53883E+05   4.02590E+05   2.92687E+05   2.12814E+05
+   1.54775E+05   1.12582E+05   8.19124E+04   5.96087E+04   4.33906E+04
+   3.15919E+04   2.30092E+04   1.67627E+04   1.22168E+04   8.90684E+03
+   6.49685E+03   4.74116E+03   3.46215E+03   2.52983E+03   1.85020E+03
+   1.35442E+03   9.92686E+02   7.28591E+02   5.33177E+02   3.92890E+02
+   2.90246E+02   2.15033E+02   1.59862E+02   1.19249E+02   8.93622E+01
+   6.72990E+01   5.09715E+01   3.88229E+01   2.97500E+01   2.29333E+01
+   1.77845E+01   1.38681E+01   1.08720E+01   8.56344E+00   6.77253E+00
+   5.37910E+00   4.28348E+00   3.41626E+00   2.72491E+00   2.16928E+00
+   1.72054E+00   1.35733E+00   1.06432E+00   8.30848E-01   6.44836E-01
+   4.99932E-01   3.88049E-01   3.02392E-01   2.37170E-01   1.87505E-01
+   1.49913E-01   1.20694E-01   9.81088E-02   8.03375E-02   6.61539E-02
+   5.46010E-02   4.50356E-02   3.69736E-02   3.00824E-02   2.41530E-02
+   1.90349E-02   1.47004E-02   1.10439E-02   8.08152E-03   5.76759E-03
+   4.02219E-03   2.74547E-03   1.83532E-03   1.20136E-03   7.69309E-04
+   4.80516E-04   2.93051E-04   1.72714E-04   9.79228E-05   5.27560E-05
+   2.63293E-05   1.14828E-05   3.60614E-06   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   2.85679E+06   2.12297E+06   1.54616E+06
+   1.12638E+06   8.20691E+05   5.98156E+05   4.36037E+05   3.17963E+05
+   2.31905E+05   1.69197E+05   1.23470E+05   9.01341E+04   6.58125E+04
+   4.80720E+04   3.51220E+04   2.56709E+04   1.87680E+04   1.37274E+04
+   1.00437E+04   7.35231E+03   5.38427E+03   3.94546E+03   2.89270E+03
+   2.12252E+03   1.55859E+03   1.14565E+03   8.43082E+02   6.18450E+02
+   4.56611E+02   3.37826E+02   2.50506E+02   1.86278E+02   1.38869E+02
+   1.03908E+02   7.80498E+01   5.88942E+01   4.46335E+01   3.39912E+01
+   2.60077E+01   1.99969E+01   1.54449E+01   1.19843E+01   9.33764E+00
+   7.30325E+00   5.73611E+00   4.51785E+00   3.56486E+00   2.81473E+00
+   2.21952E+00   1.74519E+00   1.36616E+00   1.06416E+00   8.26171E-01
+   6.38405E-01   4.93263E-01   3.81891E-01   2.96992E-01   2.32553E-01
+   1.83552E-01   1.46495E-01   1.17691E-01   9.54207E-02   7.78867E-02
+   6.38928E-02   5.25012E-02   4.30903E-02   3.51874E-02   2.84717E-02
+   2.27362E-02   1.78293E-02   1.37127E-02   1.02743E-02   7.51179E-03
+   5.36765E-03   3.75629E-03   2.57940E-03   1.73954E-03   1.15273E-03
+   7.50425E-04   4.79098E-04   3.00520E-04   1.83862E-04   1.09504E-04
+   6.31166E-05   3.47256E-05   1.78365E-05   8.11541E-06   2.82907E-06
+   2.12869E-07   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   3.13401E+06   2.33373E+06
+   1.70385E+06   1.24438E+06   9.08962E+05   6.64193E+05   4.85417E+05
+   3.54890E+05   2.59505E+05   1.89826E+05   1.38880E+05   1.01644E+05
+   7.44041E+04   5.44843E+04   3.99044E+04   2.92368E+04   2.14249E+04
+   1.57064E+04   1.15165E+04   8.44795E+03   6.19860E+03   4.55043E+03
+   3.34169E+03   2.45557E+03   1.80537E+03   1.32836E+03   9.78217E+02
+   7.17866E+02   5.29998E+02   3.91948E+02   2.90352E+02   2.15572E+02
+   1.60346E+02   1.19621E+02   8.95080E+01   6.72237E+01   5.06593E+01
+   3.83286E+01   2.91084E+01   2.21972E+01   1.69914E+01   1.30600E+01
+   1.00759E+01   7.80197E+00   6.06654E+00   4.73110E+00   3.69739E+00
+   2.89273E+00   2.26141E+00   1.76414E+00   1.37128E+00   1.06164E+00
+   8.20038E-01   6.31069E-01   4.86015E-01   3.75328E-01   2.91287E-01
+   2.27683E-01   1.79385E-01   1.42892E-01   1.14532E-01   9.26070E-02
+   7.53424E-02   6.15696E-02   5.03705E-02   4.11419E-02   3.34223E-02
+   2.68997E-02   2.13691E-02   1.66765E-02   1.27745E-02   9.54472E-03
+   6.96986E-03   4.98301E-03   3.49524E-03   2.41039E-03   1.63586E-03
+   1.09353E-03   7.20087E-04   4.66529E-04   2.97984E-04   1.86504E-04
+   1.14236E-04   6.82033E-05   3.92742E-05   2.15188E-05   1.08892E-05
+   4.81480E-06   1.57533E-06   7.07471E-08   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   3.53133E+06
+   2.63406E+06   1.92702E+06   1.41020E+06   1.03212E+06   7.55651E+05
+   5.53303E+05   4.05273E+05   2.96876E+05   2.17541E+05   1.59420E+05
+   1.16864E+05   8.56733E+04   6.28258E+04   4.60740E+04   3.37983E+04
+   2.47945E+04   1.81944E+04   1.33519E+04   9.80114E+03   7.19529E+03
+   5.28407E+03   3.88113E+03   2.85192E+03   2.09624E+03   1.54162E+03
+   1.13438E+03   8.31566E+02   6.13064E+02   4.52559E+02   3.34494E+02
+   2.47665E+02   1.83608E+02   1.36441E+02   1.01629E+02   7.59279E+01
+   5.68784E+01   4.27489E+01   3.22282E+01   2.43825E+01   1.85075E+01
+   1.41005E+01   1.07803E+01   8.27104E+00   6.37258E+00   4.92513E+00
+   3.81538E+00   2.96006E+00   2.29579E+00   1.77796E+00   1.37302E+00
+   1.05697E+00   8.12553E-01   6.22877E-01   4.78208E-01   3.68374E-01
+   2.85288E-01   2.22573E-01   1.75021E-01   1.39124E-01   1.11241E-01
+   8.96909E-02   7.27261E-02   5.92032E-02   4.82244E-02   3.92021E-02
+   3.16857E-02   2.53704E-02   2.00526E-02   1.55756E-02   1.18840E-02
+   8.85395E-03   6.45566E-03   4.61522E-03   3.24192E-03   2.24232E-03
+   1.52868E-03   1.02826E-03   6.82598E-04   4.46721E-04   2.88808E-04
+   1.83424E-04   1.14311E-04   6.96713E-05   4.11514E-05   2.33157E-05
+   1.24033E-05   5.99963E-06   2.45684E-06   6.97987E-07   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   4.07223E+06   3.04103E+06   2.22774E+06   1.63238E+06   1.19618E+06
+   8.76773E+05   6.42670E+05   4.71192E+05   3.45469E+05   2.53349E+05
+   1.85789E+05   1.36273E+05   9.99492E+04   7.33209E+04   5.37831E+04
+   3.94578E+04   2.89456E+04   2.12370E+04   1.55799E+04   1.14314E+04
+   8.38689E+03   6.15431E+03   4.51591E+03   3.31454E+03   2.43293E+03
+   1.78637E+03   1.31205E+03   9.59750E+02   7.05856E+02   5.19631E+02
+   3.82870E+02   2.82487E+02   2.08590E+02   1.54315E+02   1.14370E+02
+   8.49755E+01   6.32694E+01   4.72383E+01   3.53592E+01   2.65490E+01
+   1.99918E+01   1.51061E+01   1.14522E+01   8.71200E+00   6.65576E+00
+   5.10129E+00   3.91992E+00   3.01759E+00   2.32327E+00   1.78708E+00
+   1.37166E+00   1.05030E+00   8.03804E-01   6.13875E-01   4.69866E-01
+   3.61043E-01   2.79008E-01   2.17242E-01   1.70478E-01   1.35213E-01
+   1.07839E-01   8.66926E-02   7.00562E-02   5.68099E-02   4.60757E-02
+   3.72803E-02   2.99836E-02   2.38866E-02   1.87871E-02   1.45256E-02
+   1.10396E-02   8.20067E-03   5.96886E-03   4.26509E-03   2.99818E-03
+   2.07778E-03   1.42097E-03   9.60015E-04   6.40931E-04   4.22385E-04
+   2.75332E-04   1.76564E-04   1.11269E-04   6.86962E-05   4.12075E-05
+   2.38137E-05   1.30344E-05   6.60871E-06   2.97844E-06   1.10690E-06
+   2.71109E-07   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00
+   0.00000E+00   2.83971E+06   3.57440E+06   2.61998E+06   1.92075E+06
+   1.40806E+06   1.03239E+06   7.56898E+05   5.55002E+05   4.06917E+05
+   2.98380E+05   2.18764E+05   1.60407E+05   1.17597E+05   8.62183E+04
+   6.31997E+04   4.63284E+04   3.39532E+04   2.48842E+04   1.82331E+04
+   1.33599E+04   9.78687E+03   7.16965E+03   5.25128E+03   3.84656E+03
+   2.81725E+03   2.06360E+03   1.51172E+03   1.10263E+03   8.08430E+02
+   5.93139E+02   4.35422E+02   3.19969E+02   2.35227E+02   1.73187E+02
+   1.27687E+02   9.43348E+01   6.98101E+01   5.17824E+01   3.84927E+01
+   2.86919E+01   2.14425E+01   1.60766E+01   1.20920E+01   9.12580E+00
+   6.91712E+00   5.26057E+00   4.01185E+00   3.06599E+00   2.34434E+00
+   1.79184E+00   1.36743E+00   1.04178E+00   7.93871E-01   6.04110E-01
+   4.61017E-01   3.53358E-01   2.72466E-01   2.11708E-01   1.65776E-01
+   1.31179E-01   1.04345E-01   8.36308E-02   6.73495E-02   5.44037E-02
+   4.39354E-02   3.53845E-02   2.83210E-02   2.24508E-02   1.75729E-02
+   1.35256E-02   1.02399E-02   7.58371E-03   5.50902E-03   3.93309E-03
+   2.76526E-03   1.91855E-03   1.31482E-03   8.90972E-04   5.97185E-04
+   3.95437E-04   2.59209E-04   1.67295E-04   1.06199E-04   6.61086E-05
+   4.00469E-05   2.34332E-05   1.30578E-05   6.81259E-06   3.23836E-06
+   1.35083E-06   4.62947E-07   1.20167E-07   1.94538E-08   2.61647E-09
+   0.00000E+00   0.00000E+00   5.79721E+06   4.33089E+06   3.17385E+06
+   2.32607E+06   1.70450E+06   1.24909E+06   9.15195E+05   6.70570E+05
+   4.91229E+05   3.59850E+05   2.63545E+05   1.93006E+05   1.41308E+05
+   1.03450E+05   7.57107E+04   5.54039E+04   4.05297E+04   2.96450E+04
+   2.16756E+04   1.58463E+04   1.15805E+04   8.46187E+03   6.18099E+03
+   4.51451E+03   3.29639E+03   2.40671E+03   1.75701E+03   1.27676E+03
+   9.32457E+02   6.81287E+02   4.97910E+02   3.64144E+02   2.66338E+02
+   1.95019E+02   1.42945E+02   1.04949E+02   7.71514E+01   5.68275E+01
+   4.19335E+01   3.10179E+01   2.29986E+01   1.71046E+01   1.27608E+01
+   9.55196E+00   7.18184E+00   5.41848E+00   4.10038E+00   3.11030E+00
+   2.36150E+00   1.79313E+00   1.36033E+00   1.03095E+00   7.82124E-01
+   5.92914E-01   4.51040E-01   3.44766E-01   2.65190E-01   2.05568E-01
+   1.60573E-01   1.26725E-01   1.00501E-01   8.02778E-02   6.44031E-02
+   5.18023E-02   4.16399E-02   3.33677E-02   2.65671E-02   2.09480E-02
+   1.63112E-02   1.24921E-02   9.41626E-03   6.94842E-03   5.03366E-03
+   3.58674E-03   2.51860E-03   1.74609E-03   1.19611E-03   8.10232E-04
+   5.42813E-04   3.59034E-04   2.34874E-04   1.51036E-04   9.53093E-05
+   5.87749E-05   3.51042E-05   2.01051E-05   1.08458E-05   5.37082E-06
+   2.32991E-06   8.03117E-07   1.52565E-07   0.00000E+00   0.00000E+00
+   0.00000E+00   0.00000E+00   0.00000E+00   7.10588E+06   5.30435E+06
+   3.88337E+06   2.84295E+06   2.08078E+06   1.52285E+06   1.11422E+06
+   8.15164E+05   5.96192E+05   4.35988E+05   3.18724E+05   2.32963E+05
+   1.70214E+05   1.24343E+05   9.07952E+04   6.62839E+04   4.83679E+04
+   3.52854E+04   2.57293E+04   1.87560E+04   1.36661E+04   9.95469E+03
+   7.24782E+03   5.27573E+03   3.83858E+03   2.79214E+03   2.03050E+03
+   1.46940E+03   1.06857E+03   7.77228E+02   5.65342E+02   4.11393E+02
+   2.99308E+02   2.17936E+02   1.58802E+02   1.15866E+02   8.46213E+01
+   6.19036E+01   4.53551E+01   3.33024E+01   2.45070E+01   1.80870E+01
+   1.33899E+01   9.94553E+00   7.42084E+00   5.55673E+00   4.17426E+00
+   3.14398E+00   2.37109E+00   1.78916E+00   1.34964E+00   1.01768E+00
+   7.68716E-01   5.80574E-01   4.40253E-01   3.35583E-01   2.57470E-01
+   1.99089E-01   1.55109E-01   1.22074E-01   9.65115E-02   7.68232E-02
+   6.13928E-02   4.91693E-02   3.93394E-02   3.13673E-02   2.48452E-02
+   1.94873E-02   1.50961E-02   1.15053E-02   8.63574E-03   6.35006E-03
+   4.58812E-03   3.26349E-03   2.28938E-03   1.58666E-03   1.08720E-03
+   7.37038E-04   4.94402E-04   3.27521E-04   2.14670E-04   1.38341E-04
+   8.75156E-05   5.41249E-05   3.24537E-05   1.86953E-05   1.01887E-05
+   5.14286E-06   2.32536E-06   8.89702E-07   2.53324E-07   3.40213E-08
+   0.00000E+00   0.00000E+00   0.00000E+00   0.00000E+00   8.76774E+06
+   6.53618E+06   4.77742E+06   3.49147E+06   2.55084E+06   1.86332E+06
+   1.36062E+06   9.93357E+05   7.24938E+05   5.28933E+05   3.85755E+05
+   2.81263E+05   2.04979E+05   1.49340E+05   1.08748E+05   7.91635E+04
+   5.75956E+04   4.18887E+04   3.04476E+04   2.21230E+04   1.60649E+04
+   1.16611E+04   8.45958E+03   6.13474E+03   4.44632E+03   3.22119E+03
+   2.33277E+03   1.68072E+03   1.21675E+03   8.80852E+02   6.37578E+02
+   4.61579E+02   3.34018E+02   2.41840E+02   1.75183E+02   1.27031E+02
+   9.21808E+01   6.69840E+01   4.87398E+01   3.55344E+01   2.59611E+01
+   1.90201E+01   1.39776E+01   1.03058E+01   7.63402E+00   5.67553E+00
+   4.23384E+00   3.16738E+00   2.37345E+00   1.78022E+00   1.33558E+00
+   1.00217E+00   7.53805E-01   5.67219E-01   4.28763E-01   3.25901E-01
+   2.49387E-01   1.92340E-01   1.49446E-01   1.17278E-01   9.24226E-02
+   7.33063E-02   5.83514E-02   4.65312E-02   3.70546E-02   2.93985E-02
+   2.31658E-02   1.80751E-02   1.39309E-02   1.05659E-02   7.89680E-03
+   5.78576E-03   4.16867E-03   2.95905E-03   2.07295E-03   1.43547E-03
+   9.83271E-04   6.66604E-04   4.47330E-04   2.96508E-04   1.94505E-04
+   1.25467E-04   7.94697E-05   4.92264E-05   2.95903E-05   1.71174E-05
+   9.40344E-06   4.81969E-06   2.25018E-06   9.24692E-07   3.17850E-07
+   8.71888E-08   1.80373E-08   3.69836E-09   0.00000E+00   0.00000E+00
+   1.08507E+07   8.07493E+06   5.88969E+06   4.29496E+06   3.13077E+06
+   2.28159E+06   1.66201E+06   1.21035E+06   8.81007E+05   6.41085E+05
+   4.66261E+05   3.38995E+05   2.46330E+05   1.78927E+05   1.29890E+05
+   9.42521E+04   6.83489E+04   4.95421E+04   3.58863E+04   2.59820E+04
+   1.87983E+04   1.35940E+04   9.82380E+03   7.09575E+03   5.12182E+03
+   3.69489E+03   2.66421E+03   1.91076E+03   1.37687E+03   9.91973E+02
+   7.14427E+02   5.14530E+02   3.70325E+02   2.66619E+02   1.92005E+02
+   1.38383E+02   9.97875E+01   7.20403E+01   5.20693E+01   3.77025E+01
+   2.73543E+01   1.99004E+01   1.45220E+01   1.06321E+01   7.82134E+00
+   5.77512E+00   4.27947E+00   3.18087E+00   2.36893E+00   1.76660E+00
+   1.31839E+00   9.84589E-01   7.37527E-01   5.52956E-01   4.16657E-01
+   3.15791E-01   2.41000E-01   1.85375E-01   1.43630E-01   1.12377E-01
+   8.82681E-02   6.97563E-02   5.53036E-02   4.39083E-02   3.48019E-02
+   2.74741E-02   2.15383E-02   1.67180E-02   1.28197E-02   9.67616E-03
+   7.20084E-03   5.25641E-03   3.77606E-03   2.67422E-03   1.87020E-03
+   1.29346E-03   8.85234E-04   5.99804E-04   4.02383E-04   2.66664E-04
+   1.74929E-04   1.12848E-04   7.14985E-05   4.43155E-05   2.66766E-05
+   1.54776E-05   8.55588E-06   4.43942E-06   2.12513E-06   9.18862E-07
+   3.51645E-07   1.20071E-07   3.71476E-08   1.02444E-08   4.28011E-10
+   0.00000E+00   1.34316E+07   9.97534E+06   7.25796E+06   5.27942E+06
+   3.83842E+06   2.78985E+06   2.02670E+06   1.47179E+06   1.06823E+06
+   7.75025E+05   5.61971E+05   4.07314E+05   2.95034E+05   2.13607E+05
+   1.54549E+05   1.11764E+05   8.07652E+04   5.83330E+04   4.20998E+04
+   3.03667E+04   2.18866E+04   1.57653E+04   1.13472E+04   8.16237E+03
+   5.86685E+03   4.21396E+03   3.02497E+03   2.15939E+03   1.54869E+03
+   1.11033E+03   7.95646E+02   5.70041E+02   4.08066E+02   2.92150E+02
+   2.09177E+02   1.49859E+02   1.07398E+02   7.70439E+01   5.53254E+01
+   3.97958E+01   2.86803E+01   2.07245E+01   1.50216E+01   1.09240E+01
+   7.98286E+00   5.85582E+00   4.31156E+00   3.18486E+00   2.35789E+00
+   1.74859E+00   1.29830E+00   9.65120E-01   7.20021E-01   5.37892E-01
+   4.04020E-01   3.05324E-01   2.32368E-01   1.78241E-01   1.37703E-01
+   1.07409E-01   8.40800E-02   6.62002E-02   5.22716E-02   4.13187E-02
+   3.25954E-02   2.56045E-02   1.99701E-02   1.54206E-02   1.17653E-02
+   8.83762E-03   6.54855E-03   4.76234E-03   3.41055E-03   2.40933E-03
+   1.68160E-03   1.16116E-03   7.93678E-04   5.37208E-04   3.60087E-04
+   2.38448E-04   1.56323E-04   1.00787E-04   6.38334E-05   3.95617E-05
+   2.38322E-05   1.38568E-05   7.69884E-06   4.03565E-06   1.97137E-06
+   8.85550E-07   3.63180E-07   1.37906E-07   4.81002E-08   1.38213E-08
+   1.02365E-09   0.00000E+00   1.65967E+07   1.22986E+07   8.92420E+06
+   6.47358E+06   4.69341E+06   3.40146E+06   2.46374E+06   1.78379E+06
+   1.29070E+06   9.33496E+05   6.74710E+05   4.87427E+05   3.51885E+05
+   2.53899E+05   1.83062E+05   1.31913E+05   9.49809E+04   6.83466E+04
+   4.91407E+04   3.53087E+04   2.53486E+04   1.81856E+04   1.30355E+04
+   9.33742E+03   6.68260E+03   4.77870E+03   3.41490E+03   2.42628E+03
+   1.73184E+03   1.23557E+03   8.80943E+02   6.27878E+02   4.47064E+02
+   3.18302E+02   2.26605E+02   1.61394E+02   1.14969E+02   8.19666E+01
+   5.84905E+01   4.18036E+01   2.99330E+01   2.14894E+01   1.54752E+01
+   1.11812E+01   8.11874E+00   5.91803E+00   4.33056E+00   3.17979E+00
+   2.34069E+00   1.72650E+00   1.27555E+00   9.43949E-01   7.01429E-01
+   5.22138E-01   3.90938E-01   2.94568E-01   2.23549E-01   1.70990E-01
+   1.31707E-01   1.02408E-01   7.98878E-02   6.26624E-02   4.92754E-02
+   3.87782E-02   3.04471E-02   2.37985E-02   1.84671E-02   1.41868E-02
+   1.07697E-02   8.05103E-03   5.94001E-03   4.30336E-03   3.07198E-03
+   2.16436E-03   1.50727E-03   1.03882E-03   7.08911E-04   4.79150E-04
+   3.20764E-04   2.12147E-04   1.38928E-04   8.94793E-05   5.66236E-05
+   3.50746E-05   2.11344E-05   1.23079E-05   6.86754E-06   3.63144E-06
+   1.80409E-06   8.34864E-07   3.59171E-07   1.44926E-07   5.32382E-08
+   1.53747E-08   1.36007E-09   0.00000E+00   2.04420E+07   1.51124E+07
+   1.09347E+07   7.90895E+06   5.71709E+06   4.13085E+06   2.98285E+06
+   2.15286E+06   1.55278E+06   1.11939E+06   8.06387E+05   5.80586E+05
+   4.17698E+05   3.00329E+05   2.15767E+05   1.54914E+05   1.11130E+05
+   7.96653E+04   5.70588E+04   4.08375E+04   2.92008E+04   2.08640E+04
+   1.48933E+04   1.06229E+04   7.56966E+03   5.38899E+03   3.83360E+03
+   2.71094E+03   1.92584E+03   1.36729E+03   9.69976E+02   6.87778E+02
+   4.87122E+02   3.44934E+02   2.44192E+02   1.72922E+02   1.22457E+02
+   8.67804E+01   6.15476E+01   4.37161E+01   3.11073E+01   2.21925E+01
+   1.58818E+01   1.14034E+01   8.22929E+00   5.96220E+00   4.33698E+00
+   3.16610E+00   2.31773E+00   1.70063E+00   1.25039E+00   9.21260E-01
+   6.81892E-01   5.05800E-01   3.77498E-01   2.83593E-01   2.14600E-01
+   1.63666E-01   1.25681E-01   9.74070E-02   7.57187E-02   5.91651E-02
+   4.63329E-02   3.63005E-02   2.83673E-02   2.20633E-02   1.70338E-02
+   1.30189E-02   9.83397E-03   7.31642E-03   5.37476E-03   3.87889E-03
+   2.75985E-03   1.93898E-03   1.34705E-03   9.26431E-04   6.31025E-04
+   4.25770E-04   2.84573E-04   1.87916E-04   1.22883E-04   7.90359E-05
+   4.99566E-05   3.09192E-05   1.86296E-05   1.08628E-05   6.08394E-06
+   3.24182E-06   1.63378E-06   7.74203E-07   3.44752E-07   1.44422E-07
+   5.43671E-08   1.55973E-08   1.51238E-09   0.00000E+00   2.50736E+07
+   1.84913E+07   1.33400E+07   9.61972E+06   6.93254E+06   4.99351E+06
+   3.59439E+06   2.58590E+06   1.85903E+06   1.33571E+06   9.58971E+05
+   6.88071E+05   4.93299E+05   3.53426E+05   2.52996E+05   1.80976E+05
+   1.29340E+05   9.23667E+04   6.58998E+04   4.69791E+04   3.34575E+04
+   2.38077E+04   1.69238E+04   1.20199E+04   8.52798E+03   6.04429E+03
+   4.28036E+03   3.01266E+03   2.13008E+03   1.50497E+03   1.06236E+03
+   7.49453E+02   5.28032E+02   3.71899E+02   2.61837E+02   1.84375E+02
+   1.29819E+02   9.14588E+01   6.44808E+01   4.55245E+01   3.21985E+01
+   2.28317E+01   1.62406E+01   1.15909E+01   8.31493E+00   5.98889E+00
+   4.33134E+00   3.14428E+00   2.28940E+00   1.67131E+00   1.22306E+00
+   8.97238E-01   6.61551E-01   4.88988E-01   3.63783E-01   2.72465E-01
+   2.05574E-01   1.56316E-01   1.19662E-01   9.24363E-02   7.15971E-02
+   5.57280E-02   4.34594E-02   3.38973E-02   2.63643E-02   2.04043E-02
+   1.56735E-02   1.19185E-02   8.95818E-03   6.63322E-03   4.85189E-03
+   3.48798E-03   2.47336E-03   1.73261E-03   1.20060E-03   8.23799E-04
+   5.59940E-04   3.77064E-04   2.51553E-04   1.65808E-04   1.08244E-04
+   6.95080E-05   4.38738E-05   2.71271E-05   1.63413E-05   9.53869E-06
+   5.36037E-06   2.87589E-06   1.46738E-06   7.08831E-07   3.23755E-07
+   1.38892E-07   5.28424E-08   1.49854E-08   1.53944E-09   0.00000E+00
+   3.06073E+07   2.25163E+07   1.61948E+07   1.16427E+07   8.36442E+06
+   6.00590E+06   4.30930E+06   3.09014E+06   2.21420E+06   1.58556E+06
+   1.13448E+06   8.11179E+05   5.79515E+05   4.13712E+05   2.95076E+05
+   2.10298E+05   1.49732E+05   1.06522E+05   7.57046E+04   5.37559E+04
+   3.81304E+04   2.70219E+04   1.91289E+04   1.35284E+04   9.55684E+03
+   6.74358E+03   4.75416E+03   3.33055E+03   2.34383E+03   1.64806E+03
+   1.15767E+03   8.12594E+02   5.69576E+02   3.99046E+02   2.79439E+02
+   1.95687E+02   1.37012E+02   9.59764E+01   6.72753E+01   4.72204E+01
+   3.32024E+01   2.34054E+01   1.65514E+01   1.17439E+01   8.37624E+00
+   5.99872E+00   4.31425E+00   3.11484E+00   2.25612E+00   1.63886E+00
+   1.19379E+00   8.72069E-01   6.40544E-01   4.71807E-01   3.49875E-01
+   2.61249E-01   1.96523E-01   1.48980E-01   1.13683E-01   8.75232E-02
+   6.75449E-02   5.23684E-02   4.06680E-02   3.15782E-02   2.44446E-02
+   1.88256E-02   1.43882E-02   1.08859E-02   8.14187E-03   6.00034E-03
+   4.37011E-03   3.12941E-03   2.21150E-03   1.54450E-03   1.06736E-03
+   7.30579E-04   4.95450E-04   3.32919E-04   2.21649E-04   1.45805E-04
+   9.50088E-05   6.09017E-05   3.83839E-05   2.37068E-05   1.42768E-05
+   8.34166E-06   4.70233E-06   2.53852E-06   1.30920E-06   6.42393E-07
+   2.98985E-07   1.30195E-07   4.96604E-08   1.38871E-08   1.48551E-09
+   0.00000E+00   3.71688E+07   2.72750E+07   1.95578E+07   1.40171E+07
+   1.00389E+07   7.18535E+06   5.13899E+06   3.67307E+06   2.62318E+06
+   1.87211E+06   1.33494E+06   9.51204E+05   6.77162E+05   4.81695E+05
+   3.42320E+05   2.43069E+05   1.72419E+05   1.22195E+05   8.65082E+04
+   6.11861E+04   4.32277E+04   3.05099E+04   2.15088E+04   1.51476E+04
+   1.06548E+04   7.48540E+03   5.25370E+03   3.66354E+03   2.56625E+03
+   1.79592E+03   1.25545E+03   8.76872E+02   6.11526E+02   4.26223E+02
+   2.96897E+02   2.06795E+02   1.43998E+02   1.00309E+02   6.99177E+01
+   4.87970E+01   3.41159E+01   2.39124E+01   1.68141E+01   1.18628E+01
+   8.41388E+00   5.99239E+00   4.28633E+00   3.07830E+00   2.21830E+00
+   1.60360E+00   1.16285E+00   8.45933E-01   6.19008E-01   4.54359E-01
+   3.35851E-01   2.50006E-01   1.87495E-01   1.41697E-01   1.07775E-01
+   8.26922E-02   6.35815E-02   4.91009E-02   3.79696E-02   2.93506E-02
+   2.26131E-02   1.73298E-02   1.31788E-02   9.92094E-03   7.38394E-03
+   5.41626E-03   3.92783E-03   2.80172E-03   1.97307E-03   1.37372E-03
+   9.46692E-04   6.46316E-04   4.37254E-04   2.93144E-04   1.94743E-04
+   1.27832E-04   8.31344E-05   5.31919E-05   3.34728E-05   2.06506E-05
+   1.24325E-05   7.27087E-06   4.11073E-06   2.23170E-06   1.16171E-06
+   5.77330E-07   2.72452E-07   1.19689E-07   4.55378E-08   1.25416E-08
+   1.38284E-09   0.00000E+00   4.48931E+07   3.28611E+07   2.34916E+07
+   1.67846E+07   1.19833E+07   8.54990E+06   6.09530E+06   4.34238E+06
+   3.09094E+06   2.19854E+06   1.56237E+06   1.10942E+06   7.87035E+05
+   5.57862E+05   3.95020E+05   2.79462E+05   1.97498E+05   1.39441E+05
+   9.83392E+04   6.92829E+04   4.87545E+04   3.42722E+04   2.40623E+04
+   1.68753E+04   1.18197E+04   8.26784E+03   5.77740E+03   4.01039E+03
+   2.79640E+03   1.94787E+03   1.35520E+03   9.41946E+02   6.53650E+02
+   4.53275E+02   3.14111E+02   2.17635E+02   1.50737E+02   1.04435E+02
+   7.23958E+01   5.02481E+01   3.49364E+01   2.43520E+01   1.70290E+01
+   1.19484E+01   8.42868E+00   5.97067E+00   4.24824E+00   3.03521E+00
+   2.17638E+00   1.56586E+00   1.13047E+00   8.19010E-01   5.97074E-01
+   4.36741E-01   3.21787E-01   2.38793E-01   1.78535E-01   1.34502E-01
+   1.01966E-01   7.79649E-02   5.97233E-02   4.59379E-02   3.53729E-02
+   2.72206E-02   2.08733E-02   1.59183E-02   1.20453E-02   9.02253E-03
+   6.68275E-03   4.87913E-03   3.52323E-03   2.50331E-03   1.75676E-03
+   1.21927E-03   8.37849E-04   5.70486E-04   3.84989E-04   2.57490E-04
+   1.70669E-04   1.11783E-04   7.25500E-05   4.63328E-05   2.91112E-05
+   1.79403E-05   1.07980E-05   6.32077E-06   3.58348E-06   1.95545E-06
+   1.02614E-06   5.15214E-07   2.45573E-07   1.08350E-07   4.09788E-08
+   1.11082E-08   1.25425E-09   0.00000E+00   5.39244E+07   3.93739E+07
+   2.80619E+07   1.99884E+07   1.42263E+07   1.01182E+07   7.19030E+06
+   5.10587E+06   3.62247E+06   2.56802E+06   1.81878E+06   1.28707E+06
+   9.09890E+05   6.42670E+05   4.53447E+05   3.19633E+05   2.25056E+05
+   1.58303E+05   1.11218E+05   7.80546E+04   5.47123E+04   3.83071E+04
+   2.67865E+04   1.87085E+04   1.30488E+04   9.08854E+03   6.32340E+03
+   4.36971E+03   3.03325E+03   2.10316E+03   1.45640E+03   1.00746E+03
+   6.95713E+02   4.80049E+02   3.30985E+02   2.28149E+02   1.57196E+02
+   1.08335E+02   7.46993E+01   5.15688E+01   3.56621E+01   2.47241E+01
+   1.71967E+01   1.20017E+01   8.42155E+00   5.93438E+00   4.20067E+00
+   2.98611E+00   2.13078E+00   1.52595E+00   1.09688E+00   7.91470E-01
+   5.74867E-01   4.19048E-01   3.07751E-01   2.27662E-01   1.69683E-01
+   1.27427E-01   9.62797E-02   7.33600E-02   5.59843E-02   4.28895E-02
+   3.28850E-02   2.51923E-02   1.92270E-02   1.45915E-02   1.09868E-02
+   8.18906E-03   6.03629E-03   4.38681E-03   3.15430E-03   2.23245E-03
+   1.56118E-03   1.08009E-03   7.40040E-04   5.02517E-04   3.38252E-04
+   2.25678E-04   1.49236E-04   9.75258E-05   6.31675E-05   4.02657E-05
+   2.52608E-05   1.55514E-05   9.35819E-06   5.48311E-06   3.11673E-06
+   1.70865E-06   9.02821E-07   4.56996E-07   2.19314E-07   9.68586E-08
+   3.63279E-08   9.68978E-09   1.11540E-09   0.00000E+00   6.44148E+07
+   4.69179E+07   3.33375E+07   2.36737E+07   1.67972E+07   1.19093E+07
+   8.43626E+06   5.97137E+06   4.22272E+06   2.98366E+06   2.10610E+06
+   1.48533E+06   1.04644E+06   7.36538E+05   5.17840E+05   3.63713E+05
+   2.55161E+05   1.78816E+05   1.25159E+05   8.75037E+04   6.10986E+04
+   4.26103E+04   2.96767E+04   2.06428E+04   1.43386E+04   9.94473E+03
+   6.88959E+03   4.73993E+03   3.27571E+03   2.26103E+03   1.55854E+03
+   1.07307E+03   7.37482E+02   5.06396E+02   3.47426E+02   2.38279E+02
+   1.63341E+02   1.11990E+02   7.68192E+01   5.27554E+01   3.62919E+01
+   2.50291E+01   1.73181E+01   1.20235E+01   8.39350E+00   5.88442E+00
+   4.14436E+00   2.93157E+00   2.08191E+00   1.48418E+00   1.06231E+00
+   7.63479E-01   5.52509E-01   4.01365E-01   2.93808E-01   2.16662E-01
+   1.60977E-01   1.20499E-01   9.07378E-02   6.88932E-02   5.23760E-02
+   3.99635E-02   3.05106E-02   2.32682E-02   1.76752E-02   1.33489E-02
+   1.00019E-02   7.41841E-03   5.44220E-03   3.93698E-03   2.81895E-03
+   1.98735E-03   1.38490E-03   9.55062E-04   6.52446E-04   4.41813E-04
+   2.96617E-04   1.97409E-04   1.30235E-04   8.49176E-05   5.48895E-05
+   3.49251E-05   2.18784E-05   1.34563E-05   8.09632E-06   4.74824E-06
+   2.70565E-06   1.48944E-06   7.91567E-07   4.03192E-07   1.94313E-07
+   8.56770E-08   3.18118E-08   8.34885E-09   9.76620E-10   0.00000E+00
+   2.99268E+04   2.65443E+04   2.35087E+04   2.08200E+04   1.84388E+04
+   1.63299E+04   1.44621E+04   1.28080E+04   1.13429E+04   1.00454E+04
+   8.89620E+03   7.87838E+03   6.97690E+03   6.17844E+03   5.47122E+03
+   4.84477E+03   4.28987E+03   3.79830E+03   3.36280E+03   2.97695E+03
+   2.63504E+03   2.33203E+03   2.06343E+03   1.82528E+03   1.61407E+03
+   1.42667E+03   1.26033E+03   1.11042E+03   9.79398E+02   8.62827E+02
+   7.59010E+02   6.66435E+02   5.83652E+02   5.09665E+02   4.43462E+02
+   3.84193E+02   3.31067E+02   2.83497E+02   2.40987E+02   2.03144E+02
+   1.69662E+02   1.40292E+02   1.14818E+02   9.29903E+01   7.46474E+01
+   5.94073E+01   4.69580E+01   3.69348E+01   2.89668E+01   2.26990E+01
+   1.78091E+01   1.40144E+01   1.10912E+01   8.81284E+00   7.05193E+00
+   5.68155E+00   4.60994E+00   3.76707E+00   3.09983E+00   2.57270E+00
+   2.14512E+00   1.80101E+00   1.52095E+00   1.29159E+00   1.10198E+00
+   9.44371E-01   8.12494E-01   7.01355E-01   6.07268E-01   5.26901E-01
+   4.58564E-01   3.99129E-01   3.47670E-01   3.02889E-01   2.63737E-01
+   2.29361E-01   1.99066E-01   1.72281E-01   1.48536E-01   1.27403E-01
+   1.08734E-01   9.20159E-02   7.71591E-02   6.39763E-02   5.23151E-02
+   4.20513E-02   3.30865E-02   2.53146E-02   1.87156E-02   1.32006E-02
+   8.72397E-03   5.24147E-03   2.70552E-03   1.05680E-03   2.08247E-04
+   0.00000E+00   4.23356E+06   3.22568E+06   2.42101E+06   1.81957E+06
+   1.36913E+06   1.03167E+06   7.78352E+05   5.88133E+05   4.44993E+05
+   3.37245E+05   2.55959E+05   1.94615E+05   1.48211E+05   1.13096E+05
+   8.64563E+04   6.62382E+04   5.08517E+04   3.91367E+04   3.01903E+04
+   2.33545E+04   1.81139E+04   1.40937E+04   1.09981E+04   8.61264E+03
+   6.76665E+03   5.33688E+03   4.22373E+03   3.34463E+03   2.66771E+03
+   2.13641E+03   1.71671E+03   1.38452E+03   1.11931E+03   9.07498E+02
+   7.36977E+02   5.99392E+02   4.87368E+02   3.96004E+02   3.20962E+02
+   2.59310E+02   2.08479E+02   1.66715E+02   1.32462E+02   1.04559E+02
+   8.20770E+01   6.40810E+01   4.98227E+01   3.86434E+01   2.99455E+01
+   2.32290E+01   1.80671E+01   1.41107E+01   1.10939E+01   8.76276E+00
+   6.97354E+00   5.58921E+00   4.51203E+00   3.66858E+00   3.00310E+00
+   2.47918E+00   2.05557E+00   1.71570E+00   1.43996E+00   1.21485E+00
+   1.02942E+00   8.75838E-01   7.47882E-01   6.40511E-01   5.50111E-01
+   4.73263E-01   4.08319E-01   3.52184E-01   3.03927E-01   2.62241E-01
+   2.26092E-01   1.94621E-01   1.67144E-01   1.43081E-01   1.21982E-01
+   1.03400E-01   8.71805E-02   7.28327E-02   6.02530E-02   4.92464E-02
+   3.96598E-02   3.13568E-02   2.42367E-02   1.81820E-02   1.31525E-02
+   9.04942E-03   5.81098E-03   3.37234E-03   1.66617E-03   6.15726E-04
+   1.19748E-04   0.00000E+00   1.07929E+07   8.20563E+06   6.14174E+06
+   4.60124E+06   3.44915E+06   2.58797E+06   1.94296E+06   1.46012E+06
+   1.09795E+06   8.26430E+05   6.22462E+05   4.69327E+05   3.54112E+05
+   2.67481E+05   2.02198E+05   1.53035E+05   1.15926E+05   8.79332E+04
+   6.67664E+04   5.07713E+04   3.86529E+04   2.94776E+04   2.25110E+04
+   1.72248E+04   1.32012E+04   1.01404E+04   7.80353E+03   5.99688E+03
+   4.63721E+03   3.59583E+03   2.79456E+03   2.17802E+03   1.70045E+03
+   1.33113E+03   1.04379E+03   8.20145E+02   6.44759E+02   5.07172E+02
+   3.98534E+02   3.12758E+02   2.44728E+02   1.90903E+02   1.48291E+02
+   1.14709E+02   8.84398E+01   6.79675E+01   5.21196E+01   3.99447E+01
+   3.06345E+01   2.35515E+01   1.81757E+01   1.40981E+01   1.10164E+01
+   8.65257E+00   6.84964E+00   5.46209E+00   4.38744E+00   3.54952E+00
+   2.89070E+00   2.37386E+00   1.95739E+00   1.62433E+00   1.35504E+00
+   1.13596E+00   9.56190E-01   8.07882E-01   6.84867E-01   5.82117E-01
+   4.96072E-01   4.23301E-01   3.62174E-01   3.09669E-01   2.64846E-01
+   2.26410E-01   1.93343E-01   1.64793E-01   1.40092E-01   1.18661E-01
+   1.00064E-01   8.38545E-02   6.98677E-02   5.76418E-02   4.70607E-02
+   3.79287E-02   3.00922E-02   2.34114E-02   1.77824E-02   1.30851E-02
+   9.26498E-03   6.22097E-03   3.88310E-03   2.17776E-03   1.03076E-03
+   3.61795E-04   6.94664E-05   0.00000E+00   2.04359E+07   1.55004E+07
+   1.15681E+07   8.63890E+06   6.45296E+06   4.82320E+06   3.60587E+06
+   2.69749E+06   2.01840E+06   1.51123E+06   1.13175E+06   8.48112E+05
+   6.35709E+05   4.76822E+05   3.57739E+05   2.68589E+05   2.01716E+05
+   1.51610E+05   1.13992E+05   8.57819E+04   6.45819E+04   4.86691E+04
+   3.66980E+04   2.77032E+04   2.09281E+04   1.58308E+04   1.19859E+04
+   9.05087E+03   6.87212E+03   5.22726E+03   3.98119E+03   3.03804E+03
+   2.32039E+03   1.77577E+03   1.36060E+03   1.04432E+03   8.01930E+02
+   6.16289E+02   4.73369E+02   3.63401E+02   2.78454E+02   2.12973E+02
+   1.62441E+02   1.23571E+02   9.38483E+01   7.11598E+01   5.39209E+01
+   4.08943E+01   3.10755E+01   2.36984E+01   1.81592E+01   1.39954E+01
+   1.08731E+01   8.49397E+00   6.68974E+00   5.30806E+00   4.24275E+00
+   3.41547E+00   2.76734E+00   2.26072E+00   1.85392E+00   1.52972E+00
+   1.26855E+00   1.05685E+00   8.83837E-01   7.41698E-01   6.24339E-01
+   5.26787E-01   4.45529E-01   3.77175E-01   3.20104E-01   2.71392E-01
+   2.30095E-01   1.94938E-01   1.64927E-01   1.39229E-01   1.17189E-01
+   9.82440E-02   8.19690E-02   6.79267E-02   5.59450E-02   4.55937E-02
+   3.67473E-02   2.92139E-02   2.28421E-02   1.74933E-02   1.30628E-02
+   9.43301E-03   6.54121E-03   4.28912E-03   2.60462E-03   1.41332E-03
+   6.42240E-04   2.15357E-04   4.08618E-05   0.00000E+00   3.40097E+07
+   2.57278E+07   1.91392E+07   1.42437E+07   1.06004E+07   7.89212E+06
+   5.87565E+06   4.37609E+06   3.25910E+06   2.42813E+06   1.80893E+06
+   1.34813E+06   1.00465E+06   7.48956E+05   5.58301E+05   4.16339E+05
+   3.10456E+05   2.31595E+05   1.72759E+05   1.28928E+05   9.62173E+04
+   7.18425E+04   5.36463E+04   4.00832E+04   2.99538E+04   2.23996E+04
+   1.67557E+04   1.24899E+04   9.35684E+03   7.01727E+03   5.26572E+03
+   3.95616E+03   2.97290E+03   2.23699E+03   1.68438E+03   1.26995E+03
+   9.57688E+02   7.22697E+02   5.45157E+02   4.11150E+02   3.09684E+02
+   2.33013E+02   1.75017E+02   1.31250E+02   9.83932E+01   7.37328E+01
+   5.52852E+01   4.15374E+01   3.13026E+01   2.36954E+01   1.80371E+01
+   1.38177E+01   1.06760E+01   8.29642E+00   6.50154E+00   5.13347E+00
+   4.08320E+00   3.27085E+00   2.63674E+00   2.14289E+00   1.74777E+00
+   1.43403E+00   1.18223E+00   9.78926E-01   8.13463E-01   6.78118E-01
+   5.66892E-01   4.74895E-01   3.98677E-01   3.34912E-01   2.81995E-01
+   2.37115E-01   1.99327E-01   1.67390E-01   1.40337E-01   1.17361E-01
+   9.78251E-02   8.11857E-02   6.70308E-02   5.49411E-02   4.47377E-02
+   3.60239E-02   2.86685E-02   2.24868E-02   1.73317E-02   1.30697E-02
+   9.59764E-03   6.80405E-03   4.62271E-03   2.96163E-03   1.75088E-03
+   9.20127E-04   4.02258E-04   1.29446E-04   2.42897E-05   0.00000E+00
+   5.24720E+07   3.95819E+07   2.93445E+07   2.17599E+07   1.61327E+07
+   1.19633E+07   8.86954E+06   6.57712E+06   4.87603E+06   3.61552E+06
+   2.68017E+06   1.98710E+06   1.47283E+06   1.09180E+06   8.09104E+05
+   5.99681E+05   4.44323E+05   3.29255E+05   2.43908E+05   1.80709E+05
+   1.33844E+05   9.91489E+04   7.34266E+04   5.43891E+04   4.02776E+04
+   2.98338E+04   2.20957E+04   1.62964E+04   1.20755E+04   8.95258E+03
+   6.63763E+03   4.92443E+03   3.65217E+03   2.71072E+03   2.01240E+03
+   1.49529E+03   1.11097E+03   8.25821E+02   6.13629E+02   4.55924E+02
+   3.38443E+02   2.51096E+02   1.86106E+02   1.37833E+02   1.02149E+02
+   7.57480E+01   5.62604E+01   4.19109E+01   3.13435E+01   2.35635E+01
+   1.78253E+01   1.35773E+01   1.04346E+01   8.06765E+00   6.29127E+00
+   4.94341E+00   3.91301E+00   3.11916E+00   2.50177E+00   2.02275E+00
+   1.64090E+00   1.33885E+00   1.09737E+00   9.03188E-01   7.45823E-01
+   6.17678E-01   5.12873E-01   4.26625E-01   3.55556E-01   2.96430E-01
+   2.47661E-01   2.06562E-01   1.72194E-01   1.43357E-01   1.19117E-01
+   9.86958E-02   8.14810E-02   6.69511E-02   5.47095E-02   4.43586E-02
+   3.57167E-02   2.84201E-02   2.23357E-02   1.72884E-02   1.31375E-02
+   9.75693E-03   7.04769E-03   4.90632E-03   3.26697E-03   2.04588E-03
+   1.17813E-03   6.00158E-04   2.52886E-04   7.83793E-05   1.45539E-05
+   0.00000E+00   7.68959E+07   5.78357E+07   4.27255E+07   3.15654E+07
+   2.33128E+07   1.72189E+07   1.27133E+07   9.38696E+06   6.92824E+06
+   5.11353E+06   3.77255E+06   2.78316E+06   2.05232E+06   1.51331E+06
+   1.11532E+06   8.21936E+05   6.05416E+05   4.45890E+05   3.28222E+05
+   2.41580E+05   1.77711E+05   1.30713E+05   9.60909E+04   7.06324E+04
+   5.18904E+04   3.81153E+04   2.79855E+04   2.04510E+04   1.50115E+04
+   1.10198E+04   8.08654E+03   5.93510E+03   4.35264E+03   3.19312E+03
+   2.34210E+03   1.71873E+03   1.26084E+03   9.25148E+02   6.78547E+02
+   4.97657E+02   3.64751E+02   2.67289E+02   1.95787E+02   1.43395E+02
+   1.05181E+02   7.72575E+01   5.68871E+01   4.20457E+01   3.12217E+01
+   2.33204E+01   1.75374E+01   1.32845E+01   1.01572E+01   7.81409E+00
+   6.06411E+00   4.74207E+00   3.73560E+00   2.96320E+00   2.36476E+00
+   1.90218E+00   1.53485E+00   1.24539E+00   1.01491E+00   8.30343E-01
+   6.81423E-01   5.60710E-01   4.62466E-01   3.82031E-01   3.16114E-01
+   2.61584E-01   2.16879E-01   1.79447E-01   1.48358E-01   1.22461E-01
+   1.00858E-01   8.28042E-02   6.77150E-02   5.50936E-02   4.45611E-02
+   3.57443E-02   2.84615E-02   2.23817E-02   1.73729E-02   1.32711E-02
+   9.94411E-03   7.27453E-03   5.16944E-03   3.53463E-03   2.30727E-03
+   1.41279E-03   7.92827E-04   3.91807E-04   1.59387E-04   4.77210E-05
+   8.77285E-06   0.00000E+00   1.09777E+08   8.23073E+07   6.05736E+07
+   4.45755E+07   3.27885E+07   2.41160E+07   1.77291E+07   1.30320E+07
+   9.57452E+06   7.03318E+06   5.16355E+06   3.79018E+06   2.78046E+06
+   2.03925E+06   1.49469E+06   1.09525E+06   8.02023E+05   5.87118E+05
+   4.29494E+05   3.14080E+05   2.29510E+05   1.67649E+05   1.22369E+05
+   8.92839E+04   6.50920E+04   4.74312E+04   3.45395E+04   2.50206E+04
+   1.82026E+04   1.32385E+04   9.62135E+03   6.99073E+03   5.07345E+03
+   3.68158E+03   2.67020E+03   1.93686E+03   1.40408E+03   1.01783E+03
+   7.37465E+02   5.34289E+02   3.86911E+02   2.80208E+02   2.02949E+02
+   1.47052E+02   1.06792E+02   7.77155E+01   5.67398E+01   4.16115E+01
+   3.06807E+01   2.27674E+01   1.70188E+01   1.28189E+01   9.74901E+00
+   7.46118E+00   5.76085E+00   4.48214E+00   3.51284E+00   2.77207E+00
+   2.20042E+00   1.76035E+00   1.41232E+00   1.13924E+00   9.22735E-01
+   7.50148E-01   6.11557E-01   4.99778E-01   4.09285E-01   3.35610E-01
+   2.75588E-01   2.26238E-01   1.86046E-01   1.52626E-01   1.25074E-01
+   1.02300E-01   8.34594E-02   6.78502E-02   5.49235E-02   4.42157E-02
+   3.53716E-02   2.80478E-02   2.20674E-02   1.71354E-02   1.31248E-02
+   9.88552E-03   7.29687E-03   5.25259E-03   3.66820E-03   2.46072E-03
+   1.57282E-03   9.40550E-04   5.13760E-04   2.46075E-04   9.66292E-05
+   2.79800E-05   5.09257E-06   0.00000E+00   1.52724E+08   1.14137E+08
+   8.36707E+07   6.13244E+07   4.49225E+07   3.29002E+07   2.40816E+07
+   1.76223E+07   1.28876E+07   9.42217E+06   6.88407E+06   5.02795E+06
+   3.66970E+06   2.67733E+06   1.95185E+06   1.42233E+06   1.03563E+06
+   7.53697E+05   5.48048E+05   3.98297E+05   2.89202E+05   2.09867E+05
+   1.52150E+05   1.10238E+05   7.97903E+04   5.77067E+04   4.16992E+04
+   2.99621E+04   2.16179E+04   1.55876E+04   1.12282E+04   8.08303E+03
+   5.81019E+03   4.17443E+03   2.99677E+03   2.15086E+03   1.54243E+03
+   1.10583E+03   7.92349E+02   5.67670E+02   4.06574E+02   2.91281E+02
+   2.08786E+02   1.49784E+02   1.07769E+02   7.77484E+01   5.63110E+01
+   4.09928E+01   3.00200E+01   2.21373E+01   1.64511E+01   1.23226E+01
+   9.32213E+00   7.09755E+00   5.45219E+00   4.22038E+00   3.29069E+00
+   2.58316E+00   2.03941E+00   1.62257E+00   1.29431E+00   1.03786E+00
+   8.35453E-01   6.74863E-01   5.46539E-01   4.43575E-01   3.60670E-01
+   2.93558E-01   2.39213E-01   1.94811E-01   1.58891E-01   1.29233E-01
+   1.04966E-01   8.50655E-02   6.87385E-02   5.53308E-02   4.43303E-02
+   3.53073E-02   2.79319E-02   2.18910E-02   1.70152E-02   1.30436E-02
+   9.85622E-03   7.31780E-03   5.31947E-03   3.76670E-03   2.58418E-03
+   1.70003E-03   1.06347E-03   6.20745E-04   3.29839E-04   1.53027E-04
+   5.79880E-05   1.62422E-05   2.92572E-06   0.00000E+00   2.07709E+08
+   1.54725E+08   1.12979E+08   8.24711E+07   6.01643E+07   4.38766E+07
+   3.19773E+07   2.32963E+07   1.69601E+07   1.23420E+07   8.97466E+06
+   6.52296E+06   4.73720E+06   3.43851E+06   2.49370E+06   1.80744E+06
+   1.30883E+06   9.47157E+05   6.84751E+05   4.94694E+05   3.57013E+05
+   2.57452E+05   1.85450E+05   1.33473E+05   9.59489E+04   6.89022E+04
+   4.94285E+04   3.52449E+04   2.52329E+04   1.80484E+04   1.28932E+04
+   9.20205E+03   6.55594E+03   4.66700E+03   3.31874E+03   2.35877E+03
+   1.67472E+03   1.18848E+03   8.42864E+02   5.97656E+02   4.23701E+02
+   3.00521E+02   2.13335E+02   1.51634E+02   1.08153E+02   7.73892E+01
+   5.56269E+01   4.02103E+01   2.92553E+01   2.14421E+01   1.58435E+01
+   1.18027E+01   8.88206E+00   6.72757E+00   5.14160E+00   3.95958E+00
+   3.07135E+00   2.39825E+00   1.88312E+00   1.48993E+00   1.18163E+00
+   9.41855E-01   7.53493E-01   6.04764E-01   4.86517E-01   3.92140E-01
+   3.16571E-01   2.55755E-01   2.06810E-01   1.67077E-01   1.35151E-01
+   1.08981E-01   8.77292E-02   7.04409E-02   5.63764E-02   4.49292E-02
+   3.56251E-02   2.80691E-02   2.19575E-02   1.70067E-02   1.30576E-02
+   9.88064E-03   7.36470E-03   5.38922E-03   3.85746E-03   2.68649E-03
+   1.81035E-03   1.16777E-03   7.14864E-04   4.07254E-04   2.10515E-04
+   9.46394E-05   3.46429E-05   9.40238E-06   1.67629E-06   0.00000E+00
+   2.76951E+08   2.05637E+08   1.49567E+08   1.08741E+08   7.90048E+07
+   5.73755E+07   4.16372E+07   3.02015E+07   2.18895E+07   1.58567E+07
+   1.14769E+07   8.30203E+06   6.00002E+06   4.33351E+06   3.12686E+06
+   2.25459E+06   1.62398E+06   1.16883E+06   8.40312E+05   6.03612E+05
+   4.33074E+05   3.10427E+05   2.22234E+05   1.58935E+05   1.13509E+05
+   8.09642E+04   5.76819E+04   4.08329E+04   2.90198E+04   2.06002E+04
+   1.46016E+04   1.03373E+04   7.30356E+03   5.15455E+03   3.63310E+03
+   2.55876E+03   1.79987E+03   1.26522E+03   8.88731E+02   6.24143E+02
+   4.38282E+02   3.07963E+02   2.16646E+02   1.52650E+02   1.07986E+02
+   7.66730E+01   5.47149E+01   3.92847E+01   2.84023E+01   2.06938E+01
+   1.52050E+01   1.12660E+01   8.43413E+00   6.35537E+00   4.83232E+00
+   3.70227E+00   2.85680E+00   2.21887E+00   1.73275E+00   1.36331E+00
+   1.07494E+00   8.51685E-01   6.77136E-01   5.39995E-01   4.31523E-01
+   3.45415E-01   2.76858E-01   2.22011E-01   1.78146E-01   1.42768E-01
+   1.14537E-01   9.15640E-02   7.30512E-02   5.81123E-02   4.60624E-02
+   3.63427E-02   2.85174E-02   2.22258E-02   1.71904E-02   1.31569E-02
+   9.97738E-03   7.45156E-03   5.47791E-03   3.95024E-03   2.78368E-03
+   1.90645E-03   1.26168E-03   7.97884E-04   4.77909E-04   2.65709E-04
+   1.33621E-04   5.82296E-05   2.06096E-05   5.42796E-06   9.57725E-07
+   0.00000E+00   3.62863E+08   2.68565E+08   1.94580E+08   1.40906E+08
+   1.01961E+08   7.37421E+07   5.32902E+07   3.84885E+07   2.77743E+07
+   2.00300E+07   1.44319E+07   1.03911E+07   7.47442E+06   5.37233E+06
+   3.85737E+06   2.76731E+06   1.98305E+06   1.41975E+06   1.01523E+06
+   7.25246E+05   5.17417E+05   3.68742E+05   2.62423E+05   1.86536E+05
+   1.32392E+05   9.38260E+04   6.64064E+04   4.66855E+04   3.29486E+04
+   2.32213E+04   1.63379E+04   1.14784E+04   8.04609E+03   5.63260E+03
+   3.93706E+03   2.74916E+03   1.91696E+03   1.33557E+03   9.29747E+02
+   6.47076E+02   4.50337E+02   3.13656E+02   2.18775E+02   1.52886E+02
+   1.07314E+02   7.56352E+01   5.36022E+01   3.82364E+01   2.74761E+01
+   1.99036E+01   1.45440E+01   1.07190E+01   7.98318E+00   5.98467E+00
+   4.52719E+00   3.45063E+00   2.64871E+00   2.04628E+00   1.58920E+00
+   1.24339E+00   9.74671E-01   7.67618E-01   6.06515E-01   4.80577E-01
+   3.81488E-01   3.03259E-01   2.41333E-01   1.92089E-01   1.52954E-01
+   1.21598E-01   9.67513E-02   7.66793E-02   6.06293E-02   4.77830E-02
+   3.75097E-02   2.92979E-02   2.27494E-02   1.75373E-02   1.34101E-02
+   1.01412E-02   7.59493E-03   5.59770E-03   4.05805E-03   2.88338E-03
+   2.00010E-03   1.34683E-03   8.75205E-04   5.42536E-04   3.17918E-04
+   1.72488E-04   8.43921E-05   3.56618E-05   1.22146E-05   3.12541E-06
+   5.45621E-07   0.00000E+00   4.68035E+08   3.45316E+08   2.49229E+08
+   1.79776E+08   1.29572E+08   9.33317E+07   6.71695E+07   4.83091E+07
+   3.47124E+07   2.49246E+07   1.78790E+07   1.28149E+07   9.17552E+06
+   6.56403E+06   4.69048E+06   3.34854E+06   2.38761E+06   1.70068E+06
+   1.20980E+06   8.59639E+05   6.09968E+05   4.32277E+05   3.05889E+05
+   2.16162E+05   1.52501E+05   1.07410E+05   7.55422E+04   5.27584E+04
+   3.69872E+04   2.58891E+04   1.80868E+04   1.26150E+04   8.77682E+03
+   6.09693E+03   4.22805E+03   2.92851E+03   2.02520E+03   1.39915E+03
+   9.65776E+02   6.66444E+02   4.59913E+02   3.17668E+02   2.19790E+02
+   1.52399E+02   1.06182E+02   7.43117E+01   5.23156E+01   3.70852E+01
+   2.64914E+01   1.90822E+01   1.38685E+01   1.01673E+01   7.53357E+00
+   5.61871E+00   4.22866E+00   3.20648E+00   2.44842E+00   1.88144E+00
+   1.45316E+00   1.13060E+00   8.81100E-01   6.89771E-01   5.41634E-01
+   4.26423E-01   3.36256E-01   2.65466E-01   2.09753E-01   1.65719E-01
+   1.30947E-01   1.03272E-01   8.14950E-02   6.40326E-02   5.01775E-02
+   3.91786E-02   3.04581E-02   2.35509E-02   1.80952E-02   1.37968E-02
+   1.04295E-02   7.79243E-03   5.76292E-03   4.19120E-03   2.99595E-03
+   2.09718E-03   1.43179E-03   9.47820E-04   6.04687E-04   3.67376E-04
+   2.10581E-04   1.11485E-04   5.30706E-05   2.17537E-05   7.21577E-06
+   1.79543E-06   3.09971E-07   0.00000E+00   5.95217E+08   4.37793E+08
+   3.14783E+08   2.26189E+08   1.62389E+08   1.16505E+08   8.35090E+07
+   5.98138E+07   4.27998E+07   3.06009E+07   2.18558E+07   1.55963E+07
+   1.11169E+07   7.91649E+06   5.63060E+06   4.00058E+06   2.83874E+06
+   2.01202E+06   1.42407E+06   1.00667E+06   7.10542E+05   5.00842E+05
+   3.52459E+05   2.47667E+05   1.73720E+05   1.21628E+05   8.50239E+04
+   5.90048E+04   4.11026E+04   2.85808E+04   1.98329E+04   1.37369E+04
+   9.48937E+03   6.54363E+03   4.50380E+03   3.09554E+03   2.12396E+03
+   1.45570E+03   9.96753E+02   6.82281E+02   4.67082E+02   3.20079E+02
+   2.19762E+02   1.51250E+02   1.04637E+02   7.27376E+01   5.08810E+01
+   3.58499E+01   2.54618E+01   1.82394E+01   1.31856E+01   9.61644E+00
+   7.08916E+00   5.26034E+00   3.93879E+00   2.97132E+00   2.25699E+00
+   1.72510E+00   1.32510E+00   1.02521E+00   7.94333E-01   6.18137E-01
+   4.82393E-01   3.77366E-01   2.95609E-01   2.31781E-01   1.81841E-01
+   1.42610E-01   1.11829E-01   8.74944E-02   6.84800E-02   5.33452E-02
+   4.14303E-02   3.20490E-02   2.46751E-02   1.88874E-02   1.43598E-02
+   1.08287E-02   8.09198E-03   5.97305E-03   4.36184E-03   3.12996E-03
+   2.20587E-03   1.52108E-03   1.02195E-03   6.64977E-04   4.16445E-04
+   2.47935E-04   1.39001E-04   7.18026E-05   3.32584E-05   1.32280E-05
+   4.25197E-06   1.02947E-06   1.75625E-07   0.00000E+00   7.47291E+08
+   5.47979E+08   3.92549E+08   2.81003E+08   2.00970E+08   1.43623E+08
+   1.02540E+08   7.31494E+07   5.21284E+07   3.71155E+07   2.63969E+07
+   1.87557E+07   1.33105E+07   9.43627E+06   6.68113E+06   4.72502E+06
+   3.33702E+06   2.35382E+06   1.65784E+06   1.16606E+06   8.18852E+05
+   5.74176E+05   4.01917E+05   2.80880E+05   1.95918E+05   1.36382E+05
+   9.47818E+04   6.53756E+04   4.52611E+04   3.12738E+04   2.15613E+04
+   1.48348E+04   1.01778E+04   6.96918E+03   4.76232E+03   3.24921E+03
+   2.21276E+03   1.50506E+03   1.02268E+03   6.94658E+02   4.71937E+02
+   3.20979E+02   2.18771E+02   1.49501E+02   1.02727E+02   7.09476E+01
+   4.93234E+01   3.45485E+01   2.43999E+01   1.73844E+01   1.25017E+01
+   9.07090E+00   6.65329E+00   4.91193E+00   3.65927E+00   2.74630E+00
+   2.07520E+00   1.57772E+00   1.20528E+00   9.27332E-01   7.14348E-01
+   5.52598E-01   4.28607E-01   3.33171E-01   2.59280E-01   2.01919E-01
+   1.57300E-01   1.22464E-01   9.53063E-02   7.39796E-02   5.74322E-02
+   4.43583E-02   3.41455E-02   2.61702E-02   1.99553E-02   1.51215E-02
+   1.13762E-02   8.48477E-03   6.26774E-03   4.57062E-03   3.29562E-03
+   2.33324E-03   1.62113E-03   1.10109E-03   7.27944E-04   4.65541E-04
+   2.86157E-04   1.66932E-04   9.15280E-05   4.61301E-05   2.07923E-05
+   8.02671E-06   2.50150E-06   5.89527E-07   9.92611E-08   0.00000E+00
+   9.27237E+08   6.77911E+08   4.83859E+08   3.45083E+08   2.45872E+08
+   1.75041E+08   1.24487E+08   8.84560E+07   6.27846E+07   4.45208E+07
+   3.15329E+07   2.23108E+07   1.57659E+07   1.11284E+07   7.84438E+06
+   5.52270E+06   3.88251E+06   2.72578E+06   1.91069E+06   1.33737E+06
+   9.34506E+05   6.51955E+05   4.54007E+05   3.15607E+05   2.18951E+05
+   1.51570E+05   1.04742E+05   7.18207E+04   4.94286E+04   3.39458E+04
+   2.32577E+04   1.58996E+04   1.08368E+04   7.37047E+03   5.00191E+03
+   3.38870E+03   2.29127E+03   1.54715E+03   1.04360E+03   7.03680E+02
+   4.74592E+02   3.20470E+02   2.16897E+02   1.47214E+02   1.00499E+02
+   6.89753E+01   4.76667E+01   3.31976E+01   2.33176E+01   1.65254E+01
+   1.18228E+01   8.53478E+00   6.22881E+00   4.57545E+00   3.39143E+00
+   2.53232E+00   1.90359E+00   1.43961E+00   1.09380E+00   8.36923E-01
+   6.41011E-01   4.92952E-01   3.80026E-01   2.93560E-01   2.26974E-01
+   1.75574E-01   1.35827E-01   1.04984E-01   8.10924E-02   6.24557E-02
+   4.80965E-02   3.68347E-02   2.81054E-02   2.13439E-02   1.61199E-02
+   1.20934E-02   9.00337E-03   6.64176E-03   4.85022E-03   3.49429E-03
+   2.48779E-03   1.73774E-03   1.19029E-03   7.96301E-04   5.18001E-04
+   3.25574E-04   1.96411E-04   1.12261E-04   6.01946E-05   2.96008E-05
+   1.29845E-05   4.86659E-06   1.47103E-06   3.37444E-07   5.59794E-08
+   0.00000E+00   1.13811E+09   8.29657E+08   5.90050E+08   4.19286E+08
+   2.97641E+08   2.11103E+08   1.49565E+08   1.05865E+08   7.48472E+07
+   5.28633E+07   3.72906E+07   2.62762E+07   1.84906E+07   1.29962E+07
+   9.12153E+06   6.39363E+06   4.47472E+06   3.12724E+06   2.18194E+06
+   1.52001E+06   1.05702E+06   7.33796E+05   5.08438E+05   3.51631E+05
+   2.42665E+05   1.67082E+05   1.14831E+05   7.82895E+04   5.35720E+04
+   3.65750E+04   2.49084E+04   1.69230E+04   1.14615E+04   7.74482E+03
+   5.22121E+03   3.51340E+03   2.35930E+03   1.58200E+03   1.05964E+03
+   7.09484E+02   4.75176E+02   3.18659E+02   2.14226E+02   1.44453E+02
+   9.79963E+01   6.68527E+01   4.59332E+01   3.18129E+01   2.22256E+01
+   1.56697E+01   1.11538E+01   8.01153E+00   5.81805E+00   4.25245E+00
+   3.13627E+00   2.32995E+00   1.74247E+00   1.31085E+00   9.90616E-01
+   7.53835E-01   5.74101E-01   4.38932E-01   3.36354E-01   2.58220E-01
+   1.98374E-01   1.52436E-01   1.17119E-01   8.98812E-02   6.89155E-02
+   5.26696E-02   4.02391E-02   3.05609E-02   2.31165E-02   1.73967E-02
+   1.30150E-02   9.66784E-03   7.12330E-03   5.19800E-03   3.75283E-03
+   2.67130E-03   1.87802E-03   1.29433E-03   8.74057E-04   5.75968E-04
+   3.68670E-04   2.27731E-04   1.34837E-04   7.55104E-05   3.95974E-05
+   1.90004E-05   8.11270E-06   2.95289E-06   8.65950E-07   1.93277E-07
+   3.15146E-08   0.00000E+00   1.38297E+09   1.00529E+09   7.12447E+08
+   5.04452E+08   3.56805E+08   2.52135E+08   1.77972E+08   1.25496E+08
+   8.83866E+07   6.21828E+07   4.36916E+07   3.06628E+07   2.14896E+07
+   1.50414E+07   1.05125E+07   7.33702E+06   5.11260E+06   3.55717E+06
+   2.47071E+06   1.71324E+06   1.18581E+06   8.19262E+05   5.64888E+05
+   3.88723E+05   2.66897E+05   1.82806E+05   1.24971E+05   8.47322E+04
+   5.76588E+04   3.91412E+04   2.65010E+04   1.78976E+04   1.20476E+04
+   8.09000E+03   5.41916E+03   3.62291E+03   2.41678E+03   1.60972E+03
+   1.07096E+03   7.12232E+02   4.73828E+02   3.15658E+02   2.10842E+02
+   1.41278E+02   9.52641E+01   6.46102E+01   4.41438E+01   3.04085E+01
+   2.11334E+01   1.48238E+01   1.04991E+01   7.50404E+00   5.42290E+00
+   3.94411E+00   2.89447E+00   2.13955E+00   1.59193E+00   1.19140E+00
+   8.95561E-01   6.77827E-01   5.13328E-01   3.90220E-01   2.97262E-01
+   2.26821E-01   1.73157E-01   1.32194E-01   1.00883E-01   7.68810E-02
+   5.85216E-02   4.43886E-02   3.36488E-02   2.53471E-02   1.90096E-02
+   1.41791E-02   1.05094E-02   7.73089E-03   5.63825E-03   4.07044E-03
+   2.90584E-03   2.04392E-03   1.41913E-03   9.65157E-04   6.42645E-04
+   4.17170E-04   2.62776E-04   1.59544E-04   9.27232E-05   5.08827E-05
+   2.60990E-05   1.22224E-05   5.08096E-06   1.79659E-06   5.11220E-07
+   1.10931E-07   1.77198E-08   0.00000E+00   1.66490E+09   1.20685E+09
+   8.52342E+08   6.01390E+08   4.23862E+08   2.98443E+08   2.09890E+08
+   1.47454E+08   1.03463E+08   7.25116E+07   5.07521E+07   3.54779E+07
+   2.47651E+07   1.72638E+07   1.20161E+07   8.35126E+06   5.79458E+06
+   4.01419E+06   2.77586E+06   1.91619E+06   1.32022E+06   9.07869E+05
+   6.23011E+05   4.26638E+05   2.91479E+05   1.98629E+05   1.35088E+05
+   9.11001E+04   6.16581E+04   4.16252E+04   2.80239E+04   1.88169E+04
+   1.25916E+04   8.40425E+03   5.59503E+03   3.71703E+03   2.46381E+03
+   1.63047E+03   1.07775E+03   7.12107E+02   4.70699E+02   3.11584E+02
+   2.06829E+02   1.37751E+02   9.23438E+01   6.22762E+01   4.23177E+01
+   2.89972E+01   2.00496E+01   1.39934E+01   9.86230E+00   7.01462E+00
+   5.04478E+00   3.65126E+00   2.66646E+00   1.96126E+00   1.45194E+00
+   1.08108E+00   8.08369E-01   6.08585E-01   4.58354E-01   3.46468E-01
+   2.62403E-01   1.99029E-01   1.51004E-01   1.14547E-01   8.68405E-02
+   6.57271E-02   4.96776E-02   3.74025E-02   2.81374E-02   2.10263E-02
+   1.56380E-02   1.15629E-02   8.49257E-03   6.18796E-03   4.46802E-03
+   3.19188E-03   2.25360E-03   1.56672E-03   1.07453E-03   7.21307E-04
+   4.73659E-04   3.02960E-04   1.87838E-04   1.12122E-04   6.39761E-05
+   3.44110E-05   1.72691E-05   7.89559E-06   3.19694E-06   1.09856E-06
+   3.03341E-07   6.39133E-08   9.95795E-09   0.00000E+00   1.98691E+09
+   1.43632E+09   1.01098E+09   7.10864E+08   4.99276E+08   3.50300E+08
+   2.45480E+08   1.71831E+08   1.20123E+08   8.38738E+07   5.84825E+07
+   4.07244E+07   2.83166E+07   1.96612E+07   1.36297E+07   9.43392E+06
+   6.51858E+06   4.49660E+06   3.09608E+06   2.12787E+06   1.45952E+06
+   9.99097E+05   6.82440E+05   4.65125E+05   3.16240E+05   2.14437E+05
+   1.45107E+05   9.73465E+04   6.55409E+04   4.40095E+04   2.94670E+04
+   1.96752E+04   1.30906E+04   8.68624E+03   5.74835E+03   3.79576E+03
+   2.50055E+03   1.64452E+03   1.08026E+03   7.09308E+02   4.65946E+02
+   3.06551E+02   2.02271E+02   1.33928E+02   8.92747E+01   5.98771E+01
+   4.04723E+01   2.75903E+01   1.89815E+01   1.31831E+01   9.24644E+00
+   6.54508E+00   4.68474E+00   3.37441E+00   2.45240E+00   1.79501E+00
+   1.32228E+00   9.79581E-01   7.28700E-01   5.45744E-01   4.08805E-01
+   3.07309E-01   2.31424E-01   1.74508E-01   1.31602E-01   9.92089E-02
+   7.47289E-02   5.61836E-02   4.21720E-02   3.15235E-02   2.35392E-02
+   1.74536E-02   1.28758E-02   9.44011E-03   6.87221E-03   4.96103E-03
+   3.54738E-03   2.50837E-03   1.75205E-03   1.20423E-03   8.16094E-04
+   5.40877E-04   3.50393E-04   2.20901E-04   1.34857E-04   7.91680E-05
+   4.43678E-05   2.34009E-05   1.14956E-05   5.13409E-06   2.02592E-06
+   6.76905E-07   1.81385E-07   3.70474E-08   5.59789E-09   0.00000E+00
+   1.41864E+06   1.91575E+06   1.38865E+06   1.00659E+06   7.29670E+05
+   5.28959E+05   3.83480E+05   2.78033E+05   2.01599E+05   1.46194E+05
+   1.06031E+05   7.69153E+04   5.58067E+04   4.05020E+04   2.94044E+04
+   2.13564E+04   1.55191E+04   1.12845E+04   8.21182E+03   5.98164E+03
+   4.36237E+03   3.18615E+03   2.33131E+03   1.70961E+03   1.25710E+03
+   9.27398E+02   6.86869E+02   5.08808E+02   3.80819E+02   2.86881E+02
+   2.17738E+02   1.66660E+02   1.28715E+02   1.00441E+02   7.92461E+01
+   6.32532E+01   5.10783E+01   4.17324E+01   3.44896E+01   2.88211E+01
+   2.43404E+01   2.07643E+01   1.78842E+01   1.55414E+01   1.36278E+01
+   1.20441E+01   1.07228E+01   9.60919E+00   8.66035E+00   7.84337E+00
+   7.13343E+00   6.51161E+00   5.96606E+00   5.47852E+00   5.04385E+00
+   4.65160E+00   4.29400E+00   3.96455E+00   3.65808E+00   3.37346E+00
+   3.10236E+00   2.84690E+00   2.60482E+00   2.37555E+00   2.15810E+00
+   1.95254E+00   1.75875E+00   1.57658E+00   1.40630E+00   1.24741E+00
+   1.10145E+00   9.65797E-01   8.41665E-01   7.28739E-01   6.26612E-01
+   5.34795E-01   4.52749E-01   3.79904E-01   3.15676E-01   2.59365E-01
+   2.10825E-01   1.68821E-01   1.33103E-01   1.03079E-01   7.81739E-02
+   5.78348E-02   4.15337E-02   2.87213E-02   1.89864E-02   1.18124E-02
+   6.76729E-03   3.44159E-03   1.45049E-03   4.34127E-04   5.63201E-05
+   0.00000E+00   2.68076E+06   1.98815E+06   1.44442E+06   1.04958E+06
+   7.62767E+05   5.54464E+05   4.03110E+05   2.93152E+05   2.13230E+05
+   1.55148E+05   1.12915E+05   8.22105E+04   5.98754E+04   4.36293E+04
+   3.18055E+04   2.32003E+04   1.69336E+04   1.23698E+04   9.04367E+03
+   6.61927E+03   4.85068E+03   3.56014E+03   2.61750E+03   1.92864E+03
+   1.42461E+03   1.05551E+03   7.84815E+02   5.83423E+02   4.37877E+02
+   3.30539E+02   2.51133E+02   1.92221E+02   1.48265E+02   1.15401E+02
+   9.06865E+01   7.20049E+01   5.77639E+01   4.68381E+01   3.83808E+01
+   3.17843E+01   2.65911E+01   2.24723E+01   1.91762E+01   1.65172E+01
+   1.43620E+01   1.25942E+01   1.11311E+01   9.90848E+00   8.87459E+00
+   7.99153E+00   7.22925E+00   6.56621E+00   5.98753E+00   5.47301E+00
+   5.01605E+00   4.60531E+00   4.23224E+00   3.89002E+00   3.57315E+00
+   3.28044E+00   3.00323E+00   2.74361E+00   2.49912E+00   2.26906E+00
+   2.05226E+00   1.84862E+00   1.65787E+00   1.47966E+00   1.31416E+00
+   1.16063E+00   1.02043E+00   8.90890E-01   7.73023E-01   6.66383E-01
+   5.70464E-01   4.84683E-01   4.08445E-01   3.41110E-01   2.82079E-01
+   2.30595E-01   1.86473E-01   1.48509E-01   1.16423E-01   8.96176E-02
+   6.75309E-02   4.96158E-02   3.53671E-02   2.42566E-02   1.58915E-02
+   9.78601E-03   5.54028E-03   2.77768E-03   1.14997E-03   3.37065E-04
+   4.38384E-05   0.00000E+00   2.85789E+06   2.12395E+06   1.54704E+06
+   1.12716E+06   8.21394E+05   5.98785E+05   4.36599E+05   3.18466E+05
+   2.32355E+05   1.69600E+05   1.23830E+05   9.04560E+04   6.61004E+04
+   4.83295E+04   3.53523E+04   2.58768E+04   1.89522E+04   1.38921E+04
+   1.01910E+04   7.48401E+03   5.50202E+03   4.05074E+03   2.98683E+03
+   2.20669E+03   1.63384E+03   1.21295E+03   9.03259E+02   6.72180E+02
+   5.04670E+02   3.80827E+02   2.88988E+02   2.20733E+02   1.69724E+02
+   1.31561E+02   1.02850E+02   8.11636E+01   6.46532E+01   5.20197E+01
+   4.22723E+01   3.47057E+01   2.87802E+01   2.41119E+01   2.04014E+01
+   1.74313E+01   1.50417E+01   1.30972E+01   1.14993E+01   1.01740E+01
+   9.06075E+00   8.11633E+00   7.30584E+00   6.60498E+00   5.99613E+00
+   5.45716E+00   4.98019E+00   4.55301E+00   4.16638E+00   3.81316E+00
+   3.48754E+00   3.18823E+00   2.90627E+00   2.64370E+00   2.39786E+00
+   2.16789E+00   1.95247E+00   1.75132E+00   1.56403E+00   1.39006E+00
+   1.22946E+00   1.08128E+00   9.46750E-01   8.23109E-01   7.11218E-01
+   6.10509E-01   5.20394E-01   4.40210E-01   3.69313E-01   3.07012E-01
+   2.52693E-01   2.05558E-01   1.65388E-01   1.31015E-01   1.02135E-01
+   7.81543E-02   5.85223E-02   4.27042E-02   3.02171E-02   2.05557E-02
+   1.33442E-02   8.13291E-03   4.54954E-03   2.24813E-03   9.13929E-04
+   2.62206E-04   3.41921E-05   0.00000E+00   3.13519E+06   2.33479E+06
+   1.70480E+06   1.24523E+06   9.09719E+05   6.64869E+05   4.86022E+05
+   3.55431E+05   2.59989E+05   1.90259E+05   1.39267E+05   1.01990E+05
+   7.47135E+04   5.47609E+04   4.01516E+04   2.94579E+04   2.16225E+04
+   1.58829E+04   1.16743E+04   8.58899E+03   6.32462E+03   4.66304E+03
+   3.44230E+03   2.54547E+03   1.88568E+03   1.40014E+03   1.04234E+03
+   7.75071E+02   5.81116E+02   4.37640E+02   3.31197E+02   2.52102E+02
+   1.93018E+02   1.48864E+02   1.15697E+02   9.07049E+01   7.17332E+01
+   5.72729E+01   4.61659E+01   3.75908E+01   3.09154E+01   2.56916E+01
+   2.15681E+01   1.82916E+01   1.56740E+01   1.35591E+01   1.18327E+01
+   1.04102E+01   9.22240E+00   8.22067E+00   7.36551E+00   6.62975E+00
+   5.99329E+00   5.43207E+00   4.93708E+00   4.49526E+00   4.09674E+00
+   3.73406E+00   3.40113E+00   3.09652E+00   2.81100E+00   2.54653E+00
+   2.30026E+00   2.07116E+00   1.85776E+00   1.65959E+00   1.47611E+00
+   1.30662E+00   1.15103E+00   1.00822E+00   8.79258E-01   7.61342E-01
+   6.55178E-01   5.60099E-01   4.75441E-01   4.00480E-01   3.34528E-01
+   2.76856E-01   2.26835E-01   1.83644E-01   1.47032E-01   1.15872E-01
+   8.98406E-02   6.83514E-02   5.08690E-02   3.68742E-02   2.59060E-02
+   1.74840E-02   1.12509E-02   6.78801E-03   3.75331E-03   1.82886E-03
+   7.30598E-04   2.05457E-04   2.68592E-05   0.00000E+00   3.53260E+06
+   2.63520E+06   1.92803E+06   1.41111E+06   1.03293E+06   7.56378E+05
+   5.53953E+05   4.05853E+05   2.97395E+05   2.18005E+05   1.59835E+05
+   1.17234E+05   8.60045E+04   6.31218E+04   4.63385E+04   3.40346E+04
+   2.50056E+04   1.83830E+04   1.35204E+04   9.95163E+03   7.32968E+03
+   5.40408E+03   3.98828E+03   2.94760E+03   2.18166E+03   1.61790E+03
+   1.20247E+03   8.92255E+02   6.67243E+02   5.00940E+02   3.77696E+02
+   2.86260E+02   2.18085E+02   1.67260E+02   1.29191E+02   1.00603E+02
+   7.89881E+01   6.25898E+01   5.00589E+01   4.04410E+01   3.30003E+01
+   2.72164E+01   2.26816E+01   1.91033E+01   1.62637E+01   1.39844E+01
+   1.21351E+01   1.06203E+01   9.36221E+00   8.30678E+00   7.41010E+00
+   6.64204E+00   5.98024E+00   5.39874E+00   4.88751E+00   4.43265E+00
+   4.02374E+00   3.65298E+00   3.31401E+00   3.00525E+00   2.71723E+00
+   2.45178E+00   2.20587E+00   1.97831E+00   1.76746E+00   1.57271E+00
+   1.39334E+00   1.22851E+00   1.07801E+00   9.40556E-01   8.17062E-01
+   7.04704E-01   6.04040E-01   5.14319E-01   4.34811E-01   3.64742E-01
+   3.03388E-01   2.49993E-01   2.03914E-01   1.64320E-01   1.30931E-01
+   1.02662E-01   7.91764E-02   5.98999E-02   4.43127E-02   3.19145E-02
+   2.22654E-02   1.49112E-02   9.51340E-03   5.68393E-03   3.10709E-03
+   1.49350E-03   5.86660E-04   1.61911E-04   2.12171E-05   0.00000E+00
+   4.07359E+06   3.04224E+06   2.22883E+06   1.63335E+06   1.19705E+06
+   8.77549E+05   6.43365E+05   4.71813E+05   3.46023E+05   2.53844E+05
+   1.86231E+05   1.36669E+05   1.00303E+05   7.36368E+04   5.40652E+04
+   3.97098E+04   2.91705E+04   2.14379E+04   1.57592E+04   1.15915E+04
+   8.52976E+03   6.28183E+03   4.62969E+03   3.41607E+03   2.52350E+03
+   1.86719E+03   1.38414E+03   1.02395E+03   7.63111E+02   5.70709E+02
+   4.28434E+02   3.23146E+02   2.44868E+02   1.86702E+02   1.43294E+02
+   1.10833E+02   8.64009E+01   6.79605E+01   5.39471E+01   4.32556E+01
+   3.50364E+01   2.86892E+01   2.37456E+01   1.98702E+01   1.68143E+01
+   1.43761E+01   1.24092E+01   1.08065E+01   9.48215E+00   8.37633E+00
+   7.44097E+00   6.64300E+00   5.95792E+00   5.35794E+00   4.83210E+00
+   4.36567E+00   3.94774E+00   3.57015E+00   3.22629E+00   2.91443E+00
+   2.62484E+00   2.35923E+00   2.11438E+00   1.88894E+00   1.68112E+00
+   1.49013E+00   1.31512E+00   1.15510E+00   1.00973E+00   8.77612E-01
+   7.59487E-01   6.52525E-01   5.57149E-01   4.72535E-01   3.97900E-01
+   3.32426E-01   2.75362E-01   2.25933E-01   1.83484E-01   1.47181E-01
+   1.16723E-01   9.10685E-02   6.98698E-02   5.25678E-02   3.86604E-02
+   2.76673E-02   1.91703E-02   1.27414E-02   8.06101E-03   4.77029E-03
+   2.57888E-03   1.22308E-03   4.72667E-04   1.28155E-04   1.68323E-05
+   0.00000E+00   2.83971E+06   3.57570E+06   2.62114E+06   1.92179E+06
+   1.40898E+06   1.03322E+06   7.57639E+05   5.55664E+05   4.07508E+05
+   2.98909E+05   2.19236E+05   1.60828E+05   1.17974E+05   8.65544E+04
+   6.34998E+04   4.65963E+04   3.41923E+04   2.50976E+04   1.84235E+04
+   1.35298E+04   9.93840E+03   7.30480E+03   5.37180E+03   3.95402E+03
+   2.91305E+03   2.14903E+03   1.58785E+03   1.17037E+03   8.68786E+02
+   6.46931E+02   4.83357E+02   3.62697E+02   2.73306E+02   2.07139E+02
+   1.57968E+02   1.21365E+02   9.39527E+01   7.33734E+01   5.78243E+01
+   4.60322E+01   3.70239E+01   3.01114E+01   2.47621E+01   2.05946E+01
+   1.73281E+01   1.47365E+01   1.26569E+01   1.09707E+01   9.58372E+00
+   8.43060E+00   7.45920E+00   6.63353E+00   5.92710E+00   5.31032E+00
+   4.77137E+00   4.29474E+00   3.86903E+00   3.48577E+00   3.13809E+00
+   2.82406E+00   2.53376E+00   2.26872E+00   2.02556E+00   1.80276E+00
+   1.59836E+00   1.41144E+00   1.24099E+00   1.08591E+00   9.45703E-01
+   8.18870E-01   7.06008E-01   6.04285E-01   5.13997E-01   4.34258E-01
+   3.64238E-01   3.03090E-01   2.50037E-01   2.04293E-01   1.65195E-01
+   1.31916E-01   1.04132E-01   8.08480E-02   6.17102E-02   4.61768E-02
+   3.37636E-02   2.40123E-02   1.65257E-02   1.09019E-02   6.84032E-03
+   4.00997E-03   2.14434E-03   1.00382E-03   3.81803E-04   1.01783E-04
+   1.33979E-05   0.00000E+00   5.79877E+06   4.33229E+06   3.17509E+06
+   2.32718E+06   1.70549E+06   1.24998E+06   9.15988E+05   6.71278E+05
+   4.91862E+05   3.60415E+05   2.64049E+05   1.93456E+05   1.41710E+05
+   1.03809E+05   7.60311E+04   5.56897E+04   4.07847E+04   2.98724E+04
+   2.18784E+04   1.60271E+04   1.17417E+04   8.60556E+03   6.30902E+03
+   4.62859E+03   3.39801E+03   2.49725E+03   1.83763E+03   1.34842E+03
+   9.96244E+02   7.38074E+02   5.48456E+02   4.09144E+02   3.06390E+02
+   2.30680E+02   1.74703E+02   1.33251E+02   1.02387E+02   7.93539E+01
+   6.20621E+01   4.90337E+01   3.91491E+01   3.16150E+01   2.58245E+01
+   2.13423E+01   1.78513E+01   1.50974E+01   1.28997E+01   1.11266E+01
+   9.67511E+00   8.47356E+00   7.46560E+00   6.61206E+00   5.88438E+00
+   5.25108E+00   4.69948E+00   4.21320E+00   3.78040E+00   3.39223E+00
+   3.04151E+00   2.72615E+00   2.43598E+00   2.17235E+00   1.93170E+00
+   1.71230E+00   1.51206E+00   1.32988E+00   1.16461E+00   1.01500E+00
+   8.80443E-01   7.59314E-01   6.52062E-01   5.55867E-01   4.70899E-01
+   3.96216E-01   3.30949E-01   2.74221E-01   2.25240E-01   1.83214E-01
+   1.47473E-01   1.17203E-01   9.20633E-02   7.11088E-02   5.39823E-02
+   4.01627E-02   2.91872E-02   2.06215E-02   1.40917E-02   9.22396E-03
+   5.73770E-03   3.33087E-03   1.76126E-03   8.13636E-04   3.04631E-04
+   7.99064E-05   1.05414E-05   0.00000E+00   7.10755E+06   5.30584E+06
+   3.88470E+06   2.84414E+06   2.08184E+06   1.52380E+06   1.11507E+06
+   8.15921E+05   5.96868E+05   4.36592E+05   3.19263E+05   2.33444E+05
+   1.70643E+05   1.24725E+05   9.11367E+04   6.65884E+04   4.86394E+04
+   3.55275E+04   2.59450E+04   1.89483E+04   1.38373E+04   1.01072E+04
+   7.38363E+03   5.39665E+03   3.94620E+03   2.88795E+03   2.11573E+03
+   1.54508E+03   1.13587E+03   8.37079E+02   6.18553E+02   4.58707E+02
+   3.41364E+02   2.55329E+02   1.92052E+02   1.45450E+02   1.10954E+02
+   8.53648E+01   6.62766E+01   5.19868E+01   4.12175E+01   3.30623E+01
+   2.68353E+01   2.20447E+01   1.83357E+01   1.54255E+01   1.31150E+01
+   1.12594E+01   9.74712E+00   8.50026E+00   7.45840E+00   6.57922E+00
+   5.83223E+00   5.18413E+00   4.62140E+00   4.12689E+00   3.68827E+00
+   3.29635E+00   2.94367E+00   2.62793E+00   2.33874E+00   2.07725E+00
+   1.83971E+00   1.62424E+00   1.42856E+00   1.25142E+00   1.09153E+00
+   9.47521E-01   8.18644E-01   7.03194E-01   6.01469E-01   5.10669E-01
+   4.30852E-01   3.61028E-01   3.00296E-01   2.47760E-01   2.02616E-01
+   1.64071E-01   1.31454E-01   1.03969E-01   8.12617E-02   6.24369E-02
+   4.71381E-02   3.48663E-02   2.51808E-02   1.76718E-02   1.19887E-02
+   7.78478E-03   4.79962E-03   2.75834E-03   1.44164E-03   6.56800E-04
+   2.41861E-04   6.23732E-05   8.24742E-06   0.00000E+00   8.76953E+06
+   6.53777E+06   4.77885E+06   3.49275E+06   2.55197E+06   1.86434E+06
+   1.36153E+06   9.94166E+05   7.25660E+05   5.29577E+05   3.86330E+05
+   2.81776E+05   2.05436E+05   1.49748E+05   1.09112E+05   7.94875E+04
+   5.78843E+04   4.21459E+04   3.06768E+04   2.23270E+04   1.62465E+04
+   1.18228E+04   8.60344E+03   6.26272E+03   4.56013E+03   3.32243E+03
+   2.42275E+03   1.76053E+03   1.28765E+03   9.43837E+02   6.93511E+02
+   5.11251E+02   3.78111E+02   2.80988E+02   2.09940E+02   1.57906E+02
+   1.19614E+02   9.13795E+01   7.04500E+01   5.48805E+01   4.32224E+01
+   3.44494E+01   2.77927E+01   2.27011E+01   1.87811E+01   1.57210E+01
+   1.33030E+01   1.13695E+01   9.80021E+00   8.51118E+00   7.43805E+00
+   6.53545E+00   5.77106E+00   5.10984E+00   4.53751E+00   4.03612E+00
+   3.59294E+00   3.19841E+00   2.84480E+00   2.52958E+00   2.24218E+00
+   1.98352E+00   1.74969E+00   1.53860E+00   1.34785E+00   1.17602E+00
+   1.02169E+00   8.83371E-01   7.60197E-01   6.50384E-01   5.54091E-01
+   4.68548E-01   3.93708E-01   3.28546E-01   2.72134E-01   2.23566E-01
+   1.82030E-01   1.46738E-01   1.17023E-01   9.21085E-02   7.16326E-02
+   5.47496E-02   4.11063E-02   3.02272E-02   2.16943E-02   1.51229E-02
+   1.01851E-02   6.56070E-03   4.00905E-03   2.28085E-03   1.17826E-03
+   5.29454E-04   1.91794E-04   4.86505E-05   6.44708E-06   0.00000E+00
+   1.08526E+07   8.07664E+06   5.89122E+06   4.29632E+06   3.13198E+06
+   2.28267E+06   1.66298E+06   1.21121E+06   8.81777E+05   6.41772E+05
+   4.66873E+05   3.39541E+05   2.46817E+05   1.79361E+05   1.30276E+05
+   9.45965E+04   6.86556E+04   4.98152E+04   3.61293E+04   2.61983E+04
+   1.89907E+04   1.37652E+04   9.97598E+03   7.23103E+03   5.24204E+03
+   3.80173E+03   2.75907E+03   1.99482E+03   1.45146E+03   1.05816E+03
+   7.73138E+02   5.66603E+02   4.16487E+02   3.07545E+02   2.28285E+02
+   1.70557E+02   1.28324E+02   9.73686E+01   7.45634E+01   5.77025E+01
+   4.51565E+01   3.57723E+01   2.86943E+01   2.33104E+01   1.91874E+01
+   1.59840E+01   1.34642E+01   1.14573E+01   9.83488E+00   8.50683E+00
+   7.40506E+00   6.48127E+00   5.70137E+00   5.02871E+00   4.44826E+00
+   3.94134E+00   3.49482E+00   3.09879E+00   2.74523E+00   2.43141E+00
+   2.14655E+00   1.89136E+00   1.66175E+00   1.45547E+00   1.26997E+00
+   1.10367E+00   9.55038E-01   8.22471E-01   7.04991E-01   6.00749E-01
+   5.09775E-01   4.29339E-01   3.59295E-01   2.98594E-01   2.46289E-01
+   2.01468E-01   1.63318E-01   1.31061E-01   1.04036E-01   8.14901E-02
+   6.30577E-02   4.79421E-02   3.57960E-02   2.61680E-02   1.86637E-02
+   1.29228E-02   8.63997E-03   5.52079E-03   3.34360E-03   1.88311E-03
+   9.61519E-04   4.26157E-04   1.51899E-04   3.79202E-05   5.03584E-06
+   0.00000E+00   1.34336E+07   9.97716E+06   7.25958E+06   5.28087E+06
+   3.83972E+06   2.79101E+06   2.02773E+06   1.47271E+06   1.06905E+06
+   7.75756E+05   5.62622E+05   4.07895E+05   2.95552E+05   2.14068E+05
+   1.54960E+05   1.12129E+05   8.10905E+04   5.86225E+04   4.23573E+04
+   3.05957E+04   2.20903E+04   1.59463E+04   1.15080E+04   8.30519E+03
+   5.99366E+03   4.32656E+03   3.12485E+03   2.24781E+03   1.62707E+03
+   1.17980E+03   8.57193E+02   6.24559E+02   4.56330E+02   3.34877E+02
+   2.46994E+02   1.83340E+02   1.37041E+02   1.03303E+02   7.85976E+01
+   6.04413E+01   4.70129E+01   3.70270E+01   2.95382E+01   2.38718E+01
+   1.95542E+01   1.62147E+01   1.35989E+01   1.15234E+01   9.85163E+00
+   8.48774E+00   7.35995E+00   6.41718E+00   5.62367E+00   4.94124E+00
+   4.35414E+00   3.84302E+00   3.39433E+00   2.99786E+00   2.64530E+00
+   2.33368E+00   2.05207E+00   1.80094E+00   1.57604E+00   1.37493E+00
+   1.19494E+00   1.03436E+00   8.91526E-01   7.64739E-01   6.52919E-01
+   5.54161E-01   4.68378E-01   3.92886E-01   3.27452E-01   2.71008E-01
+   2.22597E-01   1.81308E-01   1.46330E-01   1.16898E-01   9.23616E-02
+   7.19949E-02   5.54309E-02   4.19210E-02   3.11265E-02   2.26208E-02
+   1.60325E-02   1.10261E-02   7.31802E-03   4.63848E-03   2.78420E-03
+   1.55225E-03   7.83385E-04   3.42479E-04   1.20138E-04   2.95298E-05
+   3.93017E-06   0.00000E+00   1.65988E+07   1.23005E+07   8.92593E+06
+   6.47513E+06   4.69479E+06   3.40269E+06   2.46484E+06   1.78476E+06
+   1.29157E+06   9.34273E+05   6.75403E+05   4.88044E+05   3.52435E+05
+   2.54388E+05   1.83498E+05   1.32301E+05   9.53257E+04   6.86533E+04
+   4.94133E+04   3.55510E+04   2.55638E+04   1.83768E+04   1.32052E+04
+   9.48804E+03   6.81621E+03   4.89723E+03   3.51995E+03   2.51918E+03
+   1.81410E+03   1.30840E+03   9.45381E+02   6.84884E+02   4.97461E+02
+   3.62851E+02   2.65973E+02   1.96189E+02   1.45719E+02   1.09153E+02
+   8.25342E+01   6.30852E+01   4.87848E+01   3.82099E+01   3.03226E+01
+   2.43846E+01   1.98815E+01   1.64133E+01   1.37075E+01   1.15683E+01
+   9.85101E+00   8.45444E+00   7.30327E+00   6.34373E+00   5.53848E+00
+   4.84792E+00   4.25562E+00   3.74158E+00   3.29189E+00   2.89600E+00
+   2.54533E+00   2.23668E+00   1.95897E+00   1.71243E+00   1.49265E+00
+   1.29704E+00   1.12280E+00   9.68079E-01   8.31105E-01   7.10096E-01
+   6.03875E-01   5.10497E-01   4.29763E-01   3.59042E-01   2.98027E-01
+   2.45637E-01   2.00910E-01   1.62940E-01   1.30927E-01   1.04120E-01
+   8.18817E-02   6.35155E-02   4.86564E-02   3.66027E-02   2.70263E-02
+   1.95252E-02   1.37514E-02   9.39324E-03   6.18863E-03   3.89098E-03
+   2.31463E-03   1.27742E-03   6.37205E-04   2.74793E-04   9.48839E-05
+   2.29738E-05   3.06421E-06   0.00000E+00   2.04444E+07   1.51145E+07
+   1.09365E+07   7.91059E+06   5.71856E+06   4.13216E+06   2.98402E+06
+   2.15390E+06   1.55370E+06   1.12021E+06   8.07122E+05   5.81241E+05
+   4.18281E+05   3.00848E+05   2.16228E+05   1.55325E+05   1.11495E+05
+   7.99898E+04   5.73470E+04   4.10935E+04   2.94280E+04   2.10657E+04
+   1.50722E+04   1.07816E+04   7.71029E+03   5.51364E+03   3.94396E+03
+   2.80843E+03   2.01207E+03   1.44354E+03   1.03736E+03   7.47314E+02
+   5.39682E+02   3.91325E+02   2.85122E+02   2.09035E+02   1.54314E+02
+   1.14890E+02   8.63551E+01   6.56237E+01   5.04662E+01   3.93176E+01
+   3.10459E+01   2.48481E+01   2.01694E+01   1.65801E+01   1.37905E+01
+   1.15924E+01   9.83356E+00   8.40751E+00   7.23557E+00   6.26145E+00
+   5.44632E+00   4.74925E+00   4.15317E+00   3.63748E+00   3.18789E+00
+   2.79355E+00   2.44563E+00   2.14066E+00   1.86745E+00   1.62598E+00
+   1.41171E+00   1.22188E+00   1.05356E+00   9.04802E-01   7.73722E-01
+   6.58461E-01   5.57757E-01   4.69635E-01   3.93795E-01   3.27667E-01
+   2.70875E-01   2.22335E-01   1.81085E-01   1.46230E-01   1.16982E-01
+   9.26072E-02   7.24874E-02   5.59540E-02   4.26475E-02   3.19119E-02
+   2.34310E-02   1.68276E-02   1.17767E-02   7.98970E-03   5.22522E-03
+   3.25866E-03   1.92110E-03   1.04951E-03   5.17439E-04   2.20127E-04
+   7.48313E-05   1.78554E-05   2.38659E-06   0.00000E+00   2.50761E+07
+   1.84935E+07   1.33419E+07   9.62147E+06   6.93410E+06   4.99490E+06
+   3.59563E+06   2.58700E+06   1.86001E+06   1.33658E+06   9.59751E+05
+   6.88766E+05   4.93917E+05   3.53976E+05   2.53485E+05   1.81410E+05
+   1.29726E+05   9.27096E+04   6.62043E+04   4.72493E+04   3.36973E+04
+   2.40203E+04   1.71122E+04   1.21869E+04   8.67584E+03   6.17522E+03
+   4.39617E+03   3.11485E+03   2.22038E+03   1.58472E+03   1.13275E+03
+   8.11561E+02   5.82785E+02   4.20152E+02   3.04341E+02   2.21811E+02
+   1.62782E+02   1.20486E+02   9.00433E+01   6.80467E+01   5.20514E+01
+   4.03474E+01   3.17068E+01   2.52622E+01   2.04178E+01   1.67156E+01
+   1.38484E+01   1.15963E+01   9.79990E+00   8.34754E+00   7.15743E+00
+   6.17090E+00   5.34773E+00   4.64575E+00   4.04727E+00   3.53115E+00
+   3.08273E+00   2.69088E+00   2.34648E+00   2.04586E+00   1.77770E+00
+   1.54174E+00   1.33330E+00   1.14948E+00   9.87235E-01   8.44503E-01
+   7.19318E-01   6.09749E-01   5.14461E-01   4.31456E-01   3.60347E-01
+   2.98625E-01   2.45860E-01   2.00966E-01   1.62990E-01   1.31051E-01
+   1.04374E-01   8.22507E-02   6.40788E-02   4.92212E-02   3.73259E-02
+   2.77810E-02   2.02835E-02   1.44806E-02   1.00699E-02   6.78518E-03
+   4.40472E-03   2.72466E-03   1.59185E-03   8.60819E-04   4.19481E-04
+   1.76050E-04   5.89318E-05   1.38631E-05   1.85685E-06   0.00000E+00
+   3.06099E+07   2.25187E+07   1.61969E+07   1.16446E+07   8.36608E+06
+   6.00738E+06   4.31061E+06   3.09131E+06   2.21525E+06   1.58649E+06
+   1.13530E+06   8.11915E+05   5.80169E+05   4.14294E+05   2.95593E+05
+   2.10757E+05   1.50140E+05   1.06884E+05   7.60259E+04   5.40409E+04
+   3.83830E+04   2.72459E+04   1.93271E+04   1.37040E+04   9.71216E+03
+   6.88098E+03   4.87557E+03   3.43757E+03   2.43828E+03   1.73138E+03
+   1.23112E+03   8.77314E+02   6.26550E+02   4.49179E+02   3.23526E+02
+   2.34450E+02   1.71078E+02   1.25914E+02   9.35827E+01   7.03449E+01
+   5.35355E+01   4.12968E+01   3.23046E+01   2.56267E+01   2.06272E+01
+   1.68203E+01   1.38818E+01   1.15807E+01   9.75063E+00   8.27513E+00
+   7.06944E+00   6.07265E+00   5.24324E+00   4.53791E+00   3.93840E+00
+   3.42301E+00   2.97679E+00   2.58830E+00   2.24818E+00   1.95252E+00
+   1.68991E+00   1.45984E+00   1.25751E+00   1.07988E+00   9.23816E-01
+   7.87148E-01   6.67829E-01   5.63874E-01   4.73881E-01   3.95843E-01
+   3.29291E-01   2.71786E-01   2.22848E-01   1.81401E-01   1.46500E-01
+   1.17282E-01   9.29944E-02   7.29485E-02   5.65642E-02   4.32357E-02
+   3.26203E-02   2.41488E-02   1.75323E-02   1.24418E-02   8.59710E-03
+   5.75317E-03   3.70712E-03   2.27446E-03   1.31684E-03   7.04873E-04
+   3.39499E-04   1.40572E-04   4.63442E-05   1.07523E-05   1.44315E-06
+   0.00000E+00   3.71715E+07   2.72775E+07   1.95600E+07   1.40191E+07
+   1.00406E+07   7.18692E+06   5.14039E+06   3.67432E+06   2.62429E+06
+   1.87309E+06   1.33581E+06   9.51984E+05   6.77855E+05   4.82310E+05
+   3.42866E+05   2.43554E+05   1.72850E+05   1.22577E+05   8.68471E+04
+   6.14864E+04   4.34938E+04   3.07455E+04   2.17173E+04   1.53320E+04
+   1.08178E+04   7.62946E+03   5.38086E+03   3.77550E+03   2.66495E+03
+   1.88289E+03   1.33201E+03   9.44242E+02   6.70746E+02   4.78250E+02
+   3.42574E+02   2.46884E+02   1.79163E+02   1.31149E+02   9.69586E+01
+   7.25103E+01   5.49144E+01   4.21640E+01   3.28384E+01   2.59416E+01
+   2.07980E+01   1.68947E+01   1.38914E+01   1.15463E+01   9.68644E+00
+   8.19093E+00   6.97221E+00   5.96727E+00   5.13339E+00   4.42625E+00
+   3.82701E+00   3.31350E+00   2.87044E+00   2.48614E+00   2.15100E+00
+   1.86085E+00   1.60422E+00   1.38039E+00   1.18440E+00   1.01311E+00
+   8.63294E-01   7.32691E-01   6.19186E-01   5.20745E-01   4.35911E-01
+   3.62677E-01   3.00502E-01   2.47022E-01   2.01715E-01   1.63515E-01
+   1.31496E-01   1.04814E-01   8.27387E-02   6.46065E-02   4.98592E-02
+   3.79230E-02   2.84661E-02   2.09603E-02   1.51314E-02   1.06738E-02
+   7.32833E-03   4.87045E-03   3.11501E-03   1.89556E-03   1.08755E-03
+   5.76219E-04   2.74311E-04   1.12064E-04   3.63938E-05   8.33097E-06
+   1.12043E-06   0.00000E+00   4.48961E+07   3.28637E+07   2.34939E+07
+   1.67867E+07   1.19852E+07   8.55157E+06   6.09678E+06   4.34370E+06
+   3.09211E+06   2.19958E+06   1.56330E+06   1.11025E+06   7.87767E+05
+   5.58513E+05   3.95598E+05   2.79975E+05   1.97953E+05   1.39844E+05
+   9.86962E+04   6.95992E+04   4.90344E+04   3.45198E+04   2.42813E+04
+   1.70688E+04   1.19906E+04   8.41873E+03   5.91045E+03   4.12742E+03
+   2.89944E+03   2.03855E+03   1.43493E+03   1.01200E+03   7.15140E+02
+   5.07211E+02   3.61385E+02   2.59050E+02   1.86995E+02   1.36168E+02
+   1.00158E+02   7.45356E+01   5.61845E+01   4.29475E+01   3.33082E+01
+   2.62073E+01   2.09309E+01   1.69396E+01   1.38778E+01   1.14937E+01
+   9.60801E+00   8.09559E+00   6.86635E+00   5.85535E+00   5.01873E+00
+   4.31127E+00   3.71355E+00   3.20300E+00   2.76404E+00   2.38471E+00
+   2.05517E+00   1.77104E+00   1.52080E+00   1.30347E+00   1.11402E+00
+   9.49178E-01   8.05647E-01   6.81083E-01   5.73314E-01   4.80268E-01
+   4.00445E-01   3.31843E-01   2.73861E-01   2.24211E-01   1.82336E-01
+   1.47191E-01   1.17865E-01   9.35415E-02   7.35110E-02   5.71376E-02
+   4.38863E-02   3.32151E-02   2.48047E-02   1.81660E-02   1.30398E-02
+   9.14312E-03   6.23719E-03   4.11672E-03   2.61331E-03   1.57723E-03
+   8.96719E-04   4.70270E-04   2.21277E-04   8.91966E-05   2.85401E-05
+   6.44830E-06   8.68965E-07   0.00000E+00   5.39276E+07   3.93767E+07
+   2.80644E+07   1.99906E+07   1.42283E+07   1.01200E+07   7.19188E+06
+   5.10727E+06   3.62371E+06   2.56912E+06   1.81977E+06   1.28794E+06
+   9.10665E+05   6.43358E+05   4.54056E+05   3.20174E+05   2.25535E+05
+   1.58728E+05   1.11594E+05   7.83874E+04   5.50065E+04   3.85672E+04
+   2.70163E+04   1.89114E+04   1.32279E+04   9.24645E+03   6.46249E+03
+   4.49190E+03   3.14073E+03   2.19762E+03   1.53935E+03   1.08024E+03
+   7.59495E+02   5.35906E+02   3.79859E+02   2.70887E+02   1.94539E+02
+   1.40948E+02   1.03168E+02   7.64149E+01   5.73431E+01   4.36466E+01
+   3.37140E+01   2.64243E+01   2.10264E+01   1.69557E+01   1.38421E+01
+   1.14238E+01   9.51607E+00   7.98980E+00   6.75251E+00   5.73747E+00
+   4.89981E+00   4.19345E+00   3.59849E+00   3.09193E+00   2.65793E+00
+   2.28427E+00   1.96093E+00   1.68327E+00   1.43976E+00   1.22918E+00
+   1.04642E+00   8.88088E-01   7.50842E-01   6.32264E-01   5.30131E-01
+   4.42346E-01   3.67373E-01   3.03224E-01   2.49247E-01   2.03232E-01
+   1.64597E-01   1.32316E-01   1.05503E-01   8.33660E-02   6.52216E-02
+   5.04613E-02   3.85743E-02   2.90500E-02   2.15829E-02   1.57210E-02
+   1.12206E-02   7.82016E-03   5.30041E-03   3.47424E-03   2.18897E-03
+   1.31027E-03   7.38176E-04   3.83178E-04   1.78207E-04   7.08856E-05
+   2.23508E-05   4.98608E-06   6.73239E-07   0.00000E+00   6.44181E+07
+   4.69208E+07   3.33402E+07   2.36761E+07   1.67993E+07   1.19111E+07
+   8.43793E+06   5.97285E+06   4.22404E+06   2.98483E+06   2.10713E+06
+   1.48625E+06   1.04726E+06   7.37264E+05   5.18483E+05   3.64283E+05
+   2.55666E+05   1.79263E+05   1.25555E+05   8.78535E+04   6.14077E+04
+   4.28833E+04   2.99177E+04   2.08554E+04   1.45259E+04   1.01098E+04
+   7.03488E+03   4.86742E+03   3.38770E+03   2.35934E+03   1.64474E+03
+   1.14860E+03   8.03576E+02   5.64183E+02   3.97901E+02   2.82335E+02
+   2.01760E+02   1.45472E+02   1.05979E+02   7.81432E+01   5.83883E+01
+   4.42607E+01   3.40561E+01   2.65935E+01   2.10857E+01   1.69441E+01
+   1.37849E+01   1.13374E+01   9.41138E+00   7.87425E+00   6.63132E+00
+   5.61423E+00   4.77716E+00   4.07328E+00   3.48224E+00   2.98065E+00
+   2.55242E+00   2.18511E+00   1.86848E+00   1.59770E+00   1.36121E+00
+   1.15758E+00   9.81605E-01   8.29825E-01   6.98838E-01   5.86167E-01
+   4.89553E-01   4.06881E-01   3.36587E-01   2.76707E-01   2.26544E-01
+   1.83971E-01   1.48384E-01   1.18784E-01   9.43096E-02   7.41960E-02
+   5.77873E-02   4.45032E-02   3.38576E-02   2.53712E-02   1.87527E-02
+   1.35855E-02   9.64103E-03   6.67867E-03   4.49753E-03   2.92754E-03
+   1.83069E-03   1.08678E-03   6.06696E-04   3.11715E-04   1.43293E-04
+   5.62483E-05   1.74806E-05   3.85166E-06   5.21071E-07   0.00000E+00
+   1.41880E+06   1.91522E+06   1.38819E+06   1.00618E+06   7.29305E+05
+   5.28636E+05   3.83194E+05   2.77780E+05   2.01375E+05   1.45997E+05
+   1.05856E+05   7.67609E+04   5.56703E+04   4.03817E+04   2.92982E+04
+   2.12627E+04   1.54366E+04   1.12118E+04   8.14779E+03   5.92528E+03
+   4.31280E+03   3.14259E+03   2.29304E+03   1.67602E+03   1.22763E+03
+   9.01563E+02   6.64237E+02   4.89037E+02   3.63523E+02   2.71761E+02
+   2.04528E+02   1.55127E+02   1.18652E+02   9.16628E+01   7.15879E+01
+   5.65671E+01   4.52327E+01   3.66085E+01   2.99799E+01   2.48277E+01
+   2.07745E+01   1.75456E+01   1.49410E+01   1.28119E+01   1.10600E+01
+   9.59829E+00   8.37071E+00   7.33325E+00   6.45178E+00   5.69890E+00
+   5.05189E+00   4.49129E+00   4.00323E+00   3.56889E+00   3.18281E+00
+   2.83637E+00   2.52437E+00   2.24292E+00   1.98894E+00   1.76199E+00
+   1.55539E+00   1.37021E+00   1.20375E+00   1.05444E+00   9.20355E-01
+   8.00322E-01   6.93087E-01   5.97448E-01   5.12520E-01   4.37100E-01
+   3.71013E-01   3.12292E-01   2.60791E-01   2.15812E-01   1.76757E-01
+   1.43104E-01   1.14374E-01   9.01112E-02   6.98720E-02   5.31900E-02
+   3.97654E-02   2.90082E-02   2.06198E-02   1.42236E-02   9.47229E-03
+   6.04986E-03   3.67434E-03   2.09346E-03   1.10458E-03   5.25638E-04
+   2.17313E-04   7.33062E-05   1.79355E-05   2.44325E-06   7.95789E-08
+   0.00000E+00   2.68013E+06   1.98758E+06   1.44392E+06   1.04914E+06
+   7.62378E+05   5.54119E+05   4.02805E+05   2.92882E+05   2.12992E+05
+   1.54937E+05   1.12729E+05   8.20462E+04   5.97303E+04   4.35012E+04
+   3.16926E+04   2.31008E+04   1.68460E+04   1.22926E+04   8.97573E+03
+   6.55951E+03   4.79815E+03   3.51399E+03   2.57698E+03   1.89308E+03
+   1.39343E+03   1.02818E+03   7.60885E+02   5.62522E+02   4.19597E+02
+   3.14560E+02   2.37173E+02   1.80031E+02   1.37626E+02   1.06115E+02
+   8.25797E+01   6.49198E+01   5.15617E+01   4.13930E+01   3.35800E+01
+   2.75253E+01   2.27815E+01   1.90292E+01   1.60264E+01   1.35980E+01
+   1.16213E+01   9.99229E+00   8.63993E+00   7.51040E+00   6.56029E+00
+   5.75659E+00   5.07133E+00   4.48217E+00   3.97272E+00   3.52263E+00
+   3.12530E+00   2.77133E+00   2.45471E+00   2.17102E+00   1.91658E+00
+   1.69057E+00   1.48596E+00   1.30355E+00   1.14043E+00   9.94833E-01
+   8.64742E-01   7.48840E-01   6.45802E-01   5.54335E-01   4.73522E-01
+   4.02072E-01   3.39773E-01   2.84680E-01   2.36612E-01   1.94855E-01
+   1.58803E-01   1.27916E-01   1.01706E-01   7.97019E-02   6.14659E-02
+   4.65245E-02   3.45800E-02   2.50706E-02   1.77065E-02   1.21308E-02
+   8.02023E-03   5.08203E-03   3.06039E-03   1.72843E-03   9.03376E-04
+   4.25321E-04   1.73775E-04   5.78185E-05   1.39354E-05   1.87526E-06
+   6.20771E-08   0.00000E+00   2.85722E+06   2.12335E+06   1.54651E+06
+   1.12669E+06   8.20979E+05   5.98418E+05   4.36275E+05   3.18180E+05
+   2.32102E+05   1.69376E+05   1.23633E+05   9.02817E+04   6.59466E+04
+   4.81939E+04   3.52327E+04   2.57715E+04   1.88594E+04   1.38104E+04
+   1.01192E+04   7.42085E+03   5.44653E+03   4.00201E+03   2.94406E+03
+   2.16917E+03   1.60096E+03   1.18414E+03   8.78038E+02   6.50156E+02
+   4.85412E+02   3.63995E+02   2.74283E+02   2.07890E+02   1.58513E+02
+   1.21772E+02   9.42986E+01   7.36837E+01   5.80988E+01   4.62581E+01
+   3.71856E+01   3.01866E+01   2.47333E+01   2.04512E+01   1.70526E+01
+   1.43306E+01   1.21368E+01   1.03482E+01   8.87832E+00   7.66289E+00
+   6.64951E+00   5.79935E+00   5.07955E+00   4.46487E+00   3.93665E+00
+   3.47295E+00   3.06620E+00   2.70617E+00   2.38614E+00   2.10115E+00
+   1.84698E+00   1.62245E+00   1.42024E+00   1.24087E+00   1.08124E+00
+   9.39437E-01   8.13330E-01   7.01494E-01   6.02533E-01   5.15079E-01
+   4.38181E-01   3.70486E-01   3.11738E-01   2.60026E-01   2.15133E-01
+   1.76334E-01   1.43020E-01   1.14635E-01   9.06886E-02   7.07000E-02
+   5.42369E-02   4.08262E-02   3.01736E-02   2.17461E-02   1.52635E-02
+   1.03887E-02   6.82111E-03   4.29007E-03   2.56295E-03   1.43355E-03
+   7.41243E-04   3.45218E-04   1.39353E-04   4.57144E-05   1.08476E-05
+   1.44108E-06   4.85286E-08   0.00000E+00   3.13448E+06   2.33415E+06
+   1.70424E+06   1.24473E+06   9.09279E+05   6.64481E+05   4.85679E+05
+   3.55127E+05   2.59721E+05   1.90022E+05   1.39058E+05   1.01806E+05
+   7.45509E+04   5.46176E+04   4.00254E+04   2.93467E+04   2.15246E+04
+   1.57968E+04   1.15986E+04   8.52243E+03   6.26617E+03   4.61172E+03
+   3.39728E+03   2.50600E+03   1.85110E+03   1.36984E+03   1.01583E+03
+   7.51925E+02   5.60880E+02   4.19954E+02   3.15748E+02   2.38608E+02
+   1.81236E+02   1.38572E+02   1.06703E+02   8.28320E+01   6.48286E+01
+   5.11974E+01   4.07963E+01   3.28154E+01   2.66354E+01   2.18186E+01
+   1.80262E+01   1.50160E+01   1.26121E+01   1.06706E+01   9.08964E+00
+   7.79375E+00   6.72175E+00   5.82893E+00   5.07783E+00   4.44028E+00
+   3.89553E+00   3.42013E+00   3.00554E+00   2.64075E+00   2.31836E+00
+   2.03289E+00   1.77964E+00   1.55708E+00   1.35762E+00   1.18152E+00
+   1.02554E+00   8.87592E-01   7.65471E-01   6.57645E-01   5.62659E-01
+   4.79083E-01   4.05930E-01   3.41802E-01   2.86404E-01   2.37859E-01
+   1.95920E-01   1.59856E-01   1.29051E-01   1.02946E-01   8.10443E-02
+   6.28644E-02   4.79797E-02   3.59232E-02   2.64048E-02   1.89204E-02
+   1.32006E-02   8.92775E-03   5.82276E-03   3.63590E-03   2.15559E-03
+   1.19562E-03   6.12473E-04   2.81700E-04   1.12393E-04   3.63738E-05
+   8.50355E-06   1.11592E-06   3.82055E-08   0.00000E+00   3.53184E+06
+   2.63453E+06   1.92744E+06   1.41058E+06   1.03246E+06   7.55967E+05
+   5.53590E+05   4.05533E+05   2.97112E+05   2.17755E+05   1.59615E+05
+   1.17040E+05   8.58331E+04   6.29707E+04   4.62054E+04   3.39175E+04
+   2.49026E+04   1.82923E+04   1.34407E+04   9.88164E+03   7.26823E+03
+   5.35016E+03   3.94100E+03   2.90616E+03   2.14536E+03   1.58611E+03
+   1.17466E+03   8.67979E+02   6.46023E+02   4.82397E+02   3.61499E+02
+   2.72112E+02   2.05730E+02   1.56465E+02   1.19752E+02   9.23370E+01
+   7.17337E+01   5.62014E+01   4.44083E+01   3.54119E+01   2.84907E+01
+   2.31353E+01   1.89517E+01   1.56586E+01   1.30509E+01   1.09630E+01
+   9.27665E+00   7.90521E+00   6.77879E+00   5.84673E+00   5.06720E+00
+   4.40917E+00   3.84991E+00   3.36448E+00   2.94346E+00   2.57504E+00
+   2.25123E+00   1.96602E+00   1.71425E+00   1.49407E+00   1.29766E+00
+   1.12506E+00   9.72836E-01   8.38806E-01   7.20664E-01   6.16798E-01
+   5.25693E-01   4.45872E-01   3.76313E-01   3.15588E-01   2.63359E-01
+   2.17796E-01   1.78617E-01   1.45091E-01   1.16600E-01   9.25810E-02
+   7.25382E-02   5.59913E-02   4.25210E-02   3.16704E-02   2.31546E-02
+   1.64985E-02   1.14435E-02   7.69174E-03   4.98401E-03   3.09046E-03
+   1.81865E-03   1.00057E-03   5.08084E-04   2.31419E-04   9.10472E-05
+   2.90832E-05   6.70274E-06   8.69361E-07   3.02447E-08   0.00000E+00
+   4.07279E+06   3.04153E+06   2.22820E+06   1.63280E+06   1.19656E+06
+   8.77116E+05   6.42982E+05   4.71474E+05   3.45725E+05   2.53581E+05
+   1.85999E+05   1.36464E+05   1.00122E+05   7.34778E+04   5.39253E+04
+   3.95866E+04   2.90622E+04   2.13427E+04   1.56756E+04   1.15181E+04
+   8.46530E+03   6.22528E+03   4.58012E+03   3.37263E+03   2.48547E+03
+   1.83389E+03   1.35501E+03   9.98530E+02   7.40900E+02   5.51301E+02
+   4.11482E+02   3.08338E+02   2.31935E+02   1.75400E+02   1.33409E+02
+   1.02171E+02   7.87958E+01   6.12593E+01   4.80164E+01   3.79745E+01
+   3.02999E+01   2.44035E+01   1.98318E+01   1.62611E+01   1.34561E+01
+   1.12276E+01   9.44138E+00   7.99896E+00   6.82194E+00   5.85378E+00
+   5.04846E+00   4.37212E+00   3.80017E+00   3.30625E+00   2.88007E+00
+   2.50907E+00   2.18465E+00   1.90035E+00   1.65057E+00   1.43315E+00
+   1.24007E+00   1.07113E+00   9.22780E-01   7.92709E-01   6.78537E-01
+   5.78579E-01   4.91267E-01   4.15088E-01   3.48986E-01   2.91513E-01
+   2.42294E-01   1.99544E-01   1.62953E-01   1.31790E-01   1.05440E-01
+   8.33392E-02   6.49930E-02   4.99272E-02   3.77304E-02   2.79590E-02
+   2.03342E-02   1.44092E-02   9.93710E-03   6.63891E-03   4.27441E-03
+   2.63239E-03   1.53786E-03   8.39417E-04   4.22636E-04   1.90710E-04
+   7.42560E-05   2.33400E-05   5.30552E-06   6.80439E-07   2.40442E-08
+   0.00000E+00   2.83994E+06   3.57495E+06   2.62048E+06   1.92120E+06
+   1.40847E+06   1.03277E+06   7.57236E+05   5.55308E+05   4.07194E+05
+   2.98632E+05   2.18992E+05   1.60613E+05   1.17784E+05   8.63875E+04
+   6.33528E+04   4.64670E+04   3.40787E+04   2.49977E+04   1.83358E+04
+   1.34528E+04   9.87086E+03   7.24558E+03   5.31990E+03   3.90856E+03
+   2.87325E+03   2.11420E+03   1.55739E+03   1.14379E+03   8.45570E+02
+   6.26648E+02   4.65641E+02   3.47222E+02   2.59790E+02   1.95325E+02
+   1.47633E+02   1.12306E+02   8.59954E+01   6.63589E+01   5.16136E+01
+   4.05004E+01   3.20624E+01   2.56241E+01   2.06681E+01   1.68257E+01
+   1.38296E+01   1.14664E+01   9.58535E+00   8.07625E+00   6.85225E+00
+   5.85093E+00   5.02226E+00   4.32962E+00   3.74668E+00   3.24567E+00
+   2.81549E+00   2.44285E+00   2.11859E+00   1.83579E+00   1.58845E+00
+   1.37412E+00   1.18461E+00   1.01949E+00   8.75101E-01   7.49020E-01
+   6.38805E-01   5.42702E-01   4.59100E-01   3.86455E-01   3.23682E-01
+   2.69323E-01   2.22967E-01   1.82876E-01   1.48717E-01   1.19762E-01
+   9.53976E-02   7.50638E-02   5.82711E-02   4.45528E-02   3.35069E-02
+   2.47047E-02   1.78749E-02   1.25981E-02   8.63907E-03   5.73746E-03
+   3.67088E-03   2.24557E-03   1.30255E-03   7.05483E-04   3.52252E-04
+   1.57513E-04   6.07432E-05   1.89018E-05   4.23233E-06   5.37098E-07
+   1.91773E-08   0.00000E+00   5.79787E+06   4.33150E+06   3.17439E+06
+   2.32656E+06   1.70495E+06   1.24949E+06   9.15562E+05   6.70902E+05
+   4.91531E+05   3.60123E+05   2.63792E+05   1.93229E+05   1.41510E+05
+   1.03633E+05   7.58763E+04   5.55536E+04   4.06651E+04   2.97674E+04
+   2.17862E+04   1.59462E+04   1.16707E+04   8.54335E+03   6.25453E+03
+   4.58087E+03   3.35626E+03   2.46072E+03   1.80569E+03   1.32056E+03
+   9.71909E+02   7.16818E+02   5.29893E+02   3.92929E+02   2.92227E+02
+   2.18300E+02   1.63870E+02   1.23754E+02   9.40424E+01   7.19957E+01
+   5.55457E+01   4.32292E+01   3.39443E+01   2.69108E+01   2.15382E+01
+   1.74041E+01   1.42052E+01   1.17007E+01   9.72135E+00   8.14381E+00
+   6.87220E+00   5.83770E+00   4.98608E+00   4.27775E+00   3.68459E+00
+   3.17731E+00   2.74400E+00   2.37055E+00   2.04726E+00   1.76670E+00
+   1.52250E+00   1.31188E+00   1.12650E+00   9.65705E-01   8.25711E-01
+   7.04003E-01   5.98073E-01   5.06105E-01   4.26448E-01   3.57532E-01
+   2.98244E-01   2.47124E-01   2.03726E-01   1.66367E-01   1.34689E-01
+   1.07971E-01   8.56050E-02   6.70380E-02   5.17873E-02   3.93975E-02
+   2.94782E-02   2.16184E-02   1.55561E-02   1.09008E-02   7.43015E-03
+   4.90326E-03   3.11602E-03   1.89235E-03   1.08912E-03   5.84810E-04
+   2.89210E-04   1.27902E-04   4.86802E-05   1.49370E-05   3.30656E-06
+   4.15082E-07   1.51192E-08   0.00000E+00   7.10661E+06   5.30500E+06
+   3.88396E+06   2.84348E+06   2.08127E+06   1.52329E+06   1.11462E+06
+   8.15524E+05   5.96519E+05   4.36283E+05   3.18991E+05   2.33205E+05
+   1.70433E+05   1.24540E+05   9.09738E+04   6.64453E+04   4.85136E+04
+   3.54171E+04   2.58481E+04   1.88633E+04   1.37628E+04   1.00419E+04
+   7.32646E+03   5.34660E+03   3.90243E+03   2.84966E+03   2.08227E+03
+   1.51590E+03   1.11038E+03   8.14820E+02   5.99117E+02   4.41732E+02
+   3.26538E+02   2.42368E+02   1.80710E+02   1.35505E+02   1.02214E+02
+   7.76574E+01   5.94506E+01   4.59075E+01   3.57686E+01   2.81419E+01
+   2.23585E+01   1.79401E+01   1.45459E+01   1.19065E+01   9.83459E+00
+   8.19329E+00   6.87790E+00   5.81333E+00   4.94134E+00   4.21945E+00
+   3.61782E+00   3.10575E+00   2.67051E+00   2.29724E+00   1.97570E+00
+   1.69801E+00   1.45744E+00   1.25089E+00   1.06992E+00   9.13632E-01
+   7.78155E-01   6.60880E-01   5.59249E-01   4.71391E-01   3.95623E-01
+   3.30355E-01   2.74453E-01   2.26459E-01   1.85900E-01   1.51145E-01
+   1.21817E-01   9.72052E-02   7.67089E-02   5.97838E-02   4.59570E-02
+   3.47862E-02   2.58937E-02   1.88877E-02   1.35161E-02   9.41640E-03
+   6.37956E-03   4.18318E-03   2.64053E-03   1.59208E-03   9.09289E-04
+   4.84203E-04   2.37317E-04   1.03933E-04   3.91470E-05   1.18509E-05
+   2.57985E-06   3.20223E-07   1.18547E-08   0.00000E+00   8.76853E+06
+   6.53689E+06   4.77806E+06   3.49206E+06   2.55137E+06   1.86380E+06
+   1.36106E+06   9.93748E+05   7.25292E+05   5.29252E+05   3.86044E+05
+   2.81524E+05   2.05214E+05   1.49553E+05   1.08940E+05   7.93370E+04
+   5.77522E+04   4.20299E+04   3.05750E+04   2.22378E+04   1.61683E+04
+   1.17543E+04   8.54350E+03   6.21027E+03   4.51426E+03   3.28232E+03
+   2.38770E+03   1.72998E+03   1.26098E+03   9.20546E+02   6.73177E+02
+   4.93493E+02   3.62602E+02   2.67431E+02   1.98077E+02   1.47503E+02
+   1.10472E+02   8.33171E+01   6.33106E+01   4.85241E+01   3.75288E+01
+   2.93136E+01   2.31273E+01   1.84330E+01   1.48515E+01   1.20842E+01
+   9.92549E+00   8.22515E+00   6.86983E+00   5.77829E+00   4.88846E+00
+   4.15508E+00   3.54670E+00   3.03126E+00   2.59525E+00   2.22311E+00
+   1.90407E+00   1.62985E+00   1.39335E+00   1.19122E+00   1.01489E+00
+   8.63278E-01   7.32418E-01   6.19623E-01   5.22290E-01   4.38508E-01
+   3.66565E-01   3.04860E-01   2.52239E-01   2.07259E-01   1.69416E-01
+   1.37140E-01   1.10034E-01   8.74008E-02   6.86491E-02   5.32463E-02
+   4.07308E-02   3.06752E-02   2.27158E-02   1.64806E-02   1.17284E-02
+   8.12363E-03   5.47040E-03   3.56419E-03   2.23467E-03   1.33770E-03
+   7.58172E-04   4.00396E-04   1.94498E-04   8.43612E-05   3.14523E-05
+   9.42589E-06   2.02875E-06   2.50522E-07   9.28685E-09   0.00000E+00
+   1.08515E+07   8.07570E+06   5.89039E+06   4.29560E+06   3.13134E+06
+   2.28211E+06   1.66248E+06   1.21077E+06   8.81389E+05   6.41430E+05
+   4.66572E+05   3.39276E+05   2.46584E+05   1.79156E+05   1.30096E+05
+   9.44383E+04   6.85168E+04   4.96934E+04   3.60226E+04   2.61047E+04
+   1.89088E+04   1.36934E+04   9.91317E+03   7.17610E+03   5.19400E+03
+   3.75974E+03   2.72240E+03   1.96286E+03   1.42357E+03   1.03381E+03
+   7.51880E+02   5.48041E+02   4.00278E+02   2.93377E+02   2.15887E+02
+   1.59687E+02   1.18772E+02   8.89459E+01   6.71069E+01   5.10672E+01
+   3.92179E+01   3.04221E+01   2.38426E+01   1.88822E+01   1.51219E+01
+   1.22341E+01   9.99450E+00   8.23993E+00   6.84850E+00   5.73309E+00
+   4.82791E+00   4.08508E+00   3.47161E+00   2.95418E+00   2.51851E+00
+   2.14839E+00   1.83256E+00   1.56234E+00   1.33034E+00   1.13292E+00
+   9.61459E-01   8.14658E-01   6.88490E-01   5.80201E-01   4.87152E-01
+   4.07398E-01   3.39205E-01   2.80968E-01   2.31522E-01   1.89438E-01
+   1.54191E-01   1.24268E-01   9.92598E-02   7.84813E-02   6.13547E-02
+   4.73607E-02   3.60509E-02   2.70140E-02   1.99012E-02   1.43610E-02
+   1.01634E-02   6.99887E-03   4.68444E-03   3.03267E-03   1.88861E-03
+   1.12244E-03   6.31312E-04   3.30653E-04   1.59198E-04   6.83925E-05
+   2.52436E-05   7.49175E-06   1.60277E-06   2.00338E-07   7.69678E-09
+   0.00000E+00   1.34325E+07   9.97617E+06   7.25871E+06   5.28010E+06
+   3.83904E+06   2.79041E+06   2.02720E+06   1.47224E+06   1.06864E+06
+   7.75396E+05   5.62305E+05   4.07616E+05   2.95307E+05   2.13853E+05
+   1.54771E+05   1.11963E+05   8.09449E+04   5.84948E+04   4.22453E+04
+   3.04976E+04   2.20044E+04   1.58711E+04   1.14422E+04   8.24768E+03
+   5.94340E+03   4.28263E+03   3.08649E+03   2.21439E+03   1.59791E+03
+   1.15435E+03   8.34983E+02   6.05170E+02   4.39402E+02   3.20083E+02
+   2.34050E+02   1.71993E+02   1.27072E+02   9.45147E+01   7.08208E+01
+   5.35254E+01   4.08293E+01   3.14638E+01   2.45029E+01   1.92870E+01
+   1.53572E+01   1.23565E+01   1.00421E+01   8.23818E+00   6.81449E+00
+   5.67826E+00   4.76018E+00   4.00990E+00   3.39295E+00   2.87484E+00
+   2.44057E+00   2.07331E+00   1.76135E+00   1.49564E+00   1.26851E+00
+   1.07608E+00   9.09660E-01   7.67784E-01   6.46362E-01   5.42585E-01
+   4.53790E-01   3.78002E-01   3.13477E-01   2.58609E-01   2.12226E-01
+   1.72919E-01   1.40147E-01   1.12453E-01   8.94196E-02   7.03768E-02
+   5.47611E-02   4.20685E-02   3.18653E-02   2.37573E-02   1.74115E-02
+   1.24968E-02   8.79513E-03   6.02145E-03   4.00579E-03   2.57678E-03
+   1.59389E-03   9.40492E-04   5.24940E-04   2.72679E-04   1.30128E-04
+   5.53762E-05   2.02378E-05   5.94968E-06   1.26583E-06   1.60091E-07
+   6.70742E-09   0.00000E+00   1.65977E+07   1.22995E+07   8.92502E+06
+   6.47432E+06   4.69407E+06   3.40206E+06   2.46428E+06   1.78427E+06
+   1.29114E+06   9.33895E+05   6.75069E+05   4.87751E+05   3.52177E+05
+   2.54162E+05   1.83299E+05   1.32126E+05   9.51729E+04   6.85193E+04
+   4.92959E+04   3.54482E+04   2.54738E+04   1.82981E+04   1.31364E+04
+   9.42786E+03   6.76364E+03   4.85130E+03   3.47985E+03   2.48426E+03
+   1.78364E+03   1.28182E+03   9.22193E+02   6.64646E+02   4.79795E+02
+   3.47415E+02   2.52471E+02   1.84356E+02   1.35326E+02   9.99946E+01
+   7.44343E+01   5.58879E+01   4.23566E+01   3.24355E+01   2.51065E+01
+   1.96471E+01   1.55575E+01   1.24518E+01   1.00689E+01   8.22049E+00
+   6.76835E+00   5.61433E+00   4.68577E+00   3.92997E+00   3.31110E+00
+   2.79358E+00   2.36172E+00   1.99810E+00   1.69063E+00   1.42989E+00
+   1.20796E+00   1.02075E+00   8.59532E-01   7.22667E-01   6.06024E-01
+   5.06748E-01   4.22160E-01   3.50268E-01   2.89319E-01   2.37713E-01
+   1.94278E-01   1.57629E-01   1.27209E-01   1.01623E-01   8.04448E-02
+   6.30228E-02   4.88089E-02   3.73162E-02   2.81267E-02   2.08643E-02
+   1.52121E-02   1.08594E-02   7.60031E-03   5.17320E-03   3.42058E-03
+   2.18630E-03   1.34323E-03   7.86904E-04   4.35865E-04   2.24551E-04
+   1.06221E-04   4.47789E-05   1.62060E-05   4.72098E-06   9.99281E-07
+   1.27813E-07   5.79991E-09   0.00000E+00   2.04431E+07   1.51134E+07
+   1.09356E+07   7.90974E+06   5.71781E+06   4.13149E+06   2.98343E+06
+   2.15338E+06   1.55325E+06   1.11981E+06   8.06772E+05   5.80933E+05
+   4.18010E+05   3.00611E+05   2.16020E+05   1.55142E+05   1.11334E+05
+   7.98494E+04   5.72241E+04   4.09858E+04   2.93338E+04   2.09833E+04
+   1.50002E+04   1.07186E+04   7.65532E+03   5.46563E+03   3.90207E+03
+   2.77196E+03   1.98027E+03   1.41580E+03   1.01317E+03   7.26204E+02
+   5.21260E+02   3.75233E+02   2.71051E+02   1.96707E+02   1.43490E+02
+   1.05357E+02   7.79298E+01   5.81442E+01   4.37944E+01   3.33343E+01
+   2.56524E+01   1.99622E+01   1.57232E+01   1.25205E+01   1.00755E+01
+   8.18746E+00   6.71069E+00   5.54186E+00   4.60518E+00   3.84576E+00
+   3.22646E+00   2.71074E+00   2.28223E+00   1.92300E+00   1.62057E+00
+   1.36521E+00   1.14880E+00   9.67004E-01   8.11109E-01   6.79317E-01
+   5.67463E-01   4.72660E-01   3.92220E-01   3.24140E-01   2.66668E-01
+   2.18214E-01   1.77608E-01   1.43496E-01   1.15309E-01   9.17104E-02
+   7.22714E-02   5.63594E-02   4.34436E-02   3.30547E-02   2.47922E-02
+   1.82979E-02   1.32717E-02   9.42313E-03   6.55847E-03   4.43809E-03
+   2.91667E-03   1.85230E-03   1.13035E-03   6.57442E-04   3.61381E-04
+   1.84654E-04   8.65843E-05   3.61620E-05   1.29623E-05   3.74273E-06
+   7.88466E-07   1.01942E-07   4.97684E-09   0.00000E+00   2.50748E+07
+   1.84923E+07   1.33409E+07   9.62057E+06   6.93331E+06   4.99420E+06
+   3.59502E+06   2.58646E+06   1.85954E+06   1.33616E+06   9.59384E+05
+   6.88442E+05   4.93633E+05   3.53727E+05   2.53266E+05   1.81219E+05
+   1.29558E+05   9.25625E+04   6.60755E+04   4.71366E+04   3.35987E+04
+   2.39341E+04   1.70369E+04   1.21211E+04   8.61841E+03   6.12508E+03
+   4.35243E+03   3.07679E+03   2.18719E+03   1.55579E+03   1.10752E+03
+   7.89556E+02   5.63588E+02   4.03389E+02   2.89688E+02   2.08979E+02
+   1.51520E+02   1.10575E+02   8.12906E+01   6.02848E+01   4.51373E+01
+   3.41578E+01   2.61397E+01   2.02322E+01   1.58546E+01   1.25634E+01
+   1.00625E+01   8.13977E+00   6.64214E+00   5.46142E+00   4.51892E+00
+   3.75769E+00   3.13942E+00   2.62663E+00   2.20237E+00   1.84822E+00
+   1.55134E+00   1.30174E+00   1.09110E+00   9.14893E-01   7.64418E-01
+   6.37736E-01   5.30663E-01   4.40289E-01   3.63925E-01   2.99566E-01
+   2.45464E-01   2.00047E-01   1.62150E-01   1.30452E-01   1.04379E-01
+   8.26511E-02   6.48390E-02   5.03309E-02   3.86144E-02   2.92392E-02
+   2.18224E-02   1.60247E-02   1.15626E-02   8.16525E-03   5.65137E-03
+   3.80197E-03   2.48340E-03   1.56706E-03   9.49819E-04   5.48481E-04
+   2.99191E-04   1.51628E-04   7.04799E-05   2.91652E-05   1.03558E-05
+   2.96458E-06   6.21790E-07   8.12236E-08   4.23986E-09   0.00000E+00
+   3.06085E+07   2.25174E+07   1.61958E+07   1.16436E+07   8.36524E+06
+   6.00664E+06   4.30997E+06   3.09075E+06   2.21475E+06   1.58605E+06
+   1.13492E+06   8.11576E+05   5.79871E+05   4.14032E+05   2.95364E+05
+   2.10556E+05   1.49964E+05   1.06730E+05   7.58911E+04   5.39230E+04
+   3.82799E+04   2.71557E+04   1.92484E+04   1.36353E+04   9.65218E+03
+   6.82864E+03   4.82992E+03   3.39786E+03   2.40367E+03   1.70122E+03
+   1.20483E+03   8.54390E+02   6.06559E+02   4.31730E+02   3.08280E+02
+   2.21105E+02   1.59375E+02   1.15621E+02   8.45013E+01   6.23011E+01
+   4.63811E+01   3.49041E+01   2.65679E+01   2.04576E+01   1.59522E+01
+   1.25809E+01   1.00307E+01   8.07811E+00   6.56332E+00   5.37360E+00
+   4.42750E+00   3.66623E+00   3.05035E+00   2.54159E+00   2.12241E+00
+   1.77396E+00   1.48310E+00   1.23960E+00   1.03495E+00   8.64467E-01
+   7.19481E-01   5.97923E-01   4.95605E-01   4.09599E-01   3.37228E-01
+   2.76489E-01   2.25646E-01   1.83147E-01   1.47838E-01   1.18434E-01
+   9.43561E-02   7.43848E-02   5.80910E-02   4.48852E-02   3.42745E-02
+   2.58282E-02   1.91817E-02   1.40143E-02   1.00593E-02   7.06527E-03
+   4.86280E-03   3.25237E-03   2.11145E-03   1.32382E-03   7.96965E-04
+   4.56915E-04   2.47345E-04   1.24332E-04   5.72918E-05   2.34916E-05
+   8.26400E-06   2.34617E-06   4.90074E-07   6.46477E-08   3.58807E-09
+   0.00000E+00   3.71701E+07   2.72762E+07   1.95589E+07   1.40181E+07
+   1.00397E+07   7.18614E+06   5.13971E+06   3.67372E+06   2.62377E+06
+   1.87263E+06   1.33541E+06   9.51628E+05   6.77543E+05   4.82037E+05
+   3.42626E+05   2.43344E+05   1.72665E+05   1.22416E+05   8.67060E+04
+   6.13631E+04   4.33859E+04   3.06513E+04   2.16350E+04   1.52602E+04
+   1.07552E+04   7.57483E+03   5.33325E+03   3.73410E+03   2.62888E+03
+   1.85146E+03   1.30463E+03   9.20377E+02   6.49944E+02   4.60102E+02
+   3.26725E+02   2.33020E+02   1.67011E+02   1.20471E+02   8.75477E+01
+   6.41856E+01   4.75220E+01   3.55717E+01   2.69367E+01   2.06385E+01
+   1.60169E+01   1.25740E+01   9.98078E+00   8.00322E+00   6.47491E+00
+   5.27897E+00   4.33145E+00   3.57182E+00   2.95964E+00   2.45592E+00
+   2.04259E+00   1.70043E+00   1.41601E+00   1.17889E+00   9.80415E-01
+   8.15767E-01   6.76313E-01   5.59873E-01   4.62264E-01   3.80554E-01
+   3.12082E-01   2.54856E-01   2.07155E-01   1.67452E-01   1.34609E-01
+   1.07378E-01   8.51803E-02   6.68540E-02   5.19741E-02   3.99738E-02
+   3.03805E-02   2.27836E-02   1.68371E-02   1.22390E-02   8.73927E-03
+   6.10488E-03   4.17834E-03   2.77827E-03   1.79265E-03   1.11674E-03
+   6.67749E-04   3.80089E-04   2.04192E-04   1.01806E-04   4.65081E-05
+   1.88978E-05   6.58739E-06   1.85519E-06   3.86042E-07   5.14007E-08
+   3.01812E-09   0.00000E+00   4.48946E+07   3.28624E+07   2.34927E+07
+   1.67856E+07   1.19843E+07   8.55076E+06   6.09607E+06   4.34308E+06
+   3.09156E+06   2.19910E+06   1.56288E+06   1.10987E+06   7.87440E+05
+   5.58226E+05   3.95346E+05   2.79755E+05   1.97760E+05   1.39675E+05
+   9.85487E+04   6.94702E+04   4.89218E+04   3.44214E+04   2.41954E+04
+   1.69939E+04   1.19253E+04   8.36176E+03   5.86081E+03   4.08427E+03
+   2.86187E+03   2.00582E+03   1.40643E+03   9.87174E+02   6.93509E+02
+   4.88349E+02   3.44922E+02   2.44659E+02   1.74392E+02   1.25103E+02
+   9.04171E+01   6.59315E+01   4.85570E+01   3.61598E+01   2.72463E+01
+   2.07758E+01   1.60495E+01   1.25436E+01   9.91370E+00   7.91585E+00
+   6.37760E+00   5.17815E+00   4.23127E+00   3.47489E+00   2.86764E+00
+   2.36992E+00   1.96316E+00   1.62780E+00   1.35019E+00   1.11971E+00
+   9.27566E-01   7.68825E-01   6.34921E-01   5.23572E-01   4.30611E-01
+   3.53112E-01   2.88437E-01   2.34609E-01   1.89929E-01   1.52900E-01
+   1.22401E-01   9.72243E-02   7.67933E-02   6.00045E-02   4.64383E-02
+   3.55514E-02   2.68921E-02   2.00704E-02   1.47587E-02   1.06739E-02
+   7.58191E-03   5.26768E-03   3.58520E-03   2.36993E-03   1.51983E-03
+   9.40713E-04   5.58689E-04   3.15732E-04   1.68331E-04   8.32467E-05
+   3.77038E-05   1.51834E-05   5.24525E-06   1.46576E-06   3.03922E-07
+   4.08258E-08   2.52473E-09   0.00000E+00   5.39259E+07   3.93753E+07
+   2.80631E+07   1.99895E+07   1.42273E+07   1.01191E+07   7.19113E+06
+   5.10661E+06   3.62313E+06   2.56861E+06   1.81932E+06   1.28755E+06
+   9.10322E+05   6.43057E+05   4.53793E+05   3.19943E+05   2.25333E+05
+   1.58551E+05   1.11440E+05   7.82526E+04   5.48888E+04   3.84645E+04
+   2.69267E+04   1.88332E+04   1.31597E+04   9.18705E+03   6.41076E+03
+   4.44696E+03   3.10160E+03   2.16356E+03   1.50970E+03   1.05443E+03
+   7.37017E+02   5.16317E+02   3.62773E+02   2.55962E+02   1.81480E+02
+   1.29496E+02   9.30983E+01   6.75335E+01   4.94841E+01   3.66679E+01
+   2.74973E+01   2.08703E+01   1.60509E+01   1.24906E+01   9.83029E+00
+   7.81681E+00   6.27206E+00   5.07172E+00   4.12749E+00   3.37588E+00
+   2.77472E+00   2.28388E+00   1.88434E+00   1.55626E+00   1.28579E+00
+   1.06214E+00   8.76452E-01   7.23667E-01   5.95308E-01   4.89004E-01
+   4.00616E-01   3.27231E-01   2.66241E-01   2.15691E-01   1.73909E-01
+   1.39429E-01   1.11153E-01   8.79138E-02   6.91399E-02   5.37847E-02
+   4.14364E-02   3.15757E-02   2.37721E-02   1.76563E-02   1.29193E-02
+   9.29615E-03   6.56880E-03   4.53903E-03   3.07200E-03   2.01880E-03
+   1.28673E-03   7.91325E-04   4.66787E-04   2.61907E-04   1.38576E-04
+   6.79786E-05   3.05265E-05   1.21844E-05   4.17221E-06   1.15716E-06
+   2.39138E-07   3.23936E-08   2.10140E-09   0.00000E+00   6.44164E+07
+   4.69194E+07   3.33388E+07   2.36749E+07   1.67983E+07   1.19102E+07
+   8.43714E+06   5.97216E+06   4.22343E+06   2.98430E+06   2.10667E+06
+   1.48584E+06   1.04690E+06   7.36949E+05   5.18207E+05   3.64042E+05
+   2.55455E+05   1.79078E+05   1.25393E+05   8.77126E+04   6.12847E+04
+   4.27761E+04   2.98241E+04   2.07739E+04   1.44549E+04   1.00479E+04
+   6.98099E+03   4.82063E+03   3.34698E+03   2.32391E+03   1.61392E+03
+   1.12178E+03   7.80235E+02   5.43856E+02   3.80184E+02   2.66872E+02
+   1.88242E+02   1.33630E+02   9.55818E+01   6.89872E+01   5.03018E+01
+   3.70961E+01   2.76904E+01   2.09230E+01   1.60222E+01   1.24159E+01
+   9.73149E+00   7.70690E+00   6.15900E+00   4.96029E+00   4.02059E+00
+   3.27521E+00   2.68122E+00   2.19808E+00   1.80635E+00   1.48597E+00
+   1.22290E+00   1.00626E+00   8.27115E-01   6.80306E-01   5.57465E-01
+   4.56144E-01   3.72240E-01   3.02862E-01   2.45440E-01   1.98045E-01
+   1.59036E-01   1.26981E-01   1.00808E-01   7.93907E-02   6.21673E-02
+   4.81459E-02   3.69242E-02   2.80073E-02   2.09861E-02   1.55118E-02
+   1.12940E-02   8.08537E-03   5.68337E-03   3.90586E-03   2.62868E-03
+   1.71735E-03   1.08789E-03   6.64746E-04   3.89467E-04   2.16961E-04
+   1.13926E-04   5.54374E-05   2.46842E-05   9.76635E-06   3.31535E-06
+   9.12845E-07   1.88060E-07   2.56773E-08   1.74105E-09   0.00000E+00

=== added file 'Template/lib/Pdfdata/mrsb.dat'
--- Template/lib/Pdfdata/mrsb.dat	1970-01-01 00:00:00 +0000
+++ Template/lib/Pdfdata/mrsb.dat	2010-10-30 03:26:37 +0000
@@ -0,0 +1,874 @@
+   0.03058   0.00527   4.08922   0.02979   0.01975   0.00000   0.02488
+   0.03107   0.00557   9.48665   0.17397   0.16338   0.00000   0.16879
+   0.03150   0.00585  16.62898   0.36677   0.35568   0.00000   0.36134
+   0.03188   0.00610  25.51256   0.60807   0.59651   0.00000   0.60241
+   0.03223   0.00634  35.76358   0.88471   0.87272   0.01645   0.87883
+   0.03255   0.00657  47.37782   1.19935   1.18695   0.20922   1.19327
+   0.03285   0.00678  60.25429   1.55066   1.53787   0.59326   1.54438
+   0.03313   0.00699  74.28833   1.93674   1.92356   0.98402   1.93027
+   0.03339   0.00719  89.37677   2.35546   2.34192   1.41194   2.34881
+   0.03364   0.00738 105.22414   2.79911   2.78523   1.86325   2.79229
+   0.03388   0.00756 121.91693   3.27114   3.25692   2.34258   3.26415
+   0.03410   0.00774 139.42232   3.77087   3.75634   2.84921   3.76372
+   0.03431   0.00791 157.62695   4.29545   4.28060   3.38028   4.28814
+   0.03452   0.00808 176.17290   4.83573   4.82058   3.92673   4.82827
+   0.03472   0.00824 195.43625   5.40186   5.38642   4.49870   5.39425
+   0.03491   0.00840 215.02991   5.98345   5.96773   5.08587   5.97570
+   0.03509   0.00855 235.02951   6.58267   6.56666   5.69039   6.57478
+   0.03527   0.00870 255.46199   7.20017   7.18390   6.31296   7.19214
+   0.03544   0.00885 276.03955   7.82835   7.81182   6.94601   7.82020
+   0.03521   0.00708   3.98786   0.03432   0.02076   0.00000   0.02763
+   0.03580   0.00747   8.74942   0.16685   0.15261   0.00000   0.15982
+   0.03632   0.00784  14.80289   0.33457   0.31970   0.00000   0.32723
+   0.03679   0.00818  22.10773   0.53845   0.52300   0.00000   0.53082
+   0.03722   0.00849  30.33257   0.76736   0.75136   0.01349   0.75946
+   0.03761   0.00879  39.46127   1.02323   1.00672   0.16967   1.01507
+   0.03798   0.00907  49.40271   1.30467   1.28767   0.47810   1.29626
+   0.03832   0.00934  60.06714   1.60987   1.59241   0.78732   1.60123
+   0.03865   0.00960  71.37088   1.93699   1.91908   1.12210   1.92813
+   0.03896   0.00985  83.08710   2.27981   2.26148   1.47133   2.27074
+   0.03925   0.01009  95.28409   2.64097   2.62224   1.83859   2.63170
+   0.03953   0.01032 107.93694   3.01990   3.00077   2.22327   3.01043
+   0.03980   0.01054 120.96298   3.41430   3.39479   2.62308   3.40464
+   0.04006   0.01076 134.10249   3.81719   3.79732   3.03111   3.80735
+   0.04031   0.01097 147.63477   4.23633   4.21611   3.45512   4.22632
+   0.04055   0.01117 161.28113   4.66386   4.64329   3.88727   4.65368
+   0.04078   0.01137 175.10072   5.10144   5.08054   4.32927   5.09109
+   0.04100   0.01156 189.11591   5.54961   5.52838   4.78165   5.53910
+   0.04122   0.01175 203.12679   6.00272   5.98118   5.23879   5.99205
+   0.04040   0.00951   3.88872   0.03965   0.02149   0.00000   0.03063
+   0.04110   0.01003   8.06820   0.16045   0.14142   0.00000   0.15100
+   0.04172   0.01051  13.17443   0.30573   0.28591   0.00000   0.29589
+   0.04229   0.01095  19.15204   0.47739   0.45684   0.00000   0.46719
+   0.04281   0.01137  25.71803   0.66620   0.64497   0.01103   0.65565
+   0.04329   0.01176  32.85580   0.87359   0.85173   0.13715   0.86273
+   0.04374   0.01213  40.48959   1.09830   1.07584   0.38405   1.08714
+   0.04417   0.01248  48.54814   1.33876   1.31573   0.62794   1.32732
+   0.04457   0.01281  56.96704   1.59341   1.56983   0.88897   1.58170
+   0.04495   0.01314  65.57672   1.85735   1.83325   1.15824   1.84538
+   0.04531   0.01345  74.43279   2.13265   2.10805   1.43861   2.12043
+   0.04566   0.01375  83.51952   2.41885   2.39378   1.72960   2.40639
+   0.04600   0.01404  92.77809   2.71420   2.68867   2.02945   2.70152
+   0.04632   0.01432 102.02321   3.01339   2.98742   2.33290   3.00048
+   0.04663   0.01459 111.46268   3.32240   3.29599   2.64594   3.30928
+   0.04693   0.01485 120.89806   3.63529   3.60848   2.96268   3.62197
+   0.04722   0.01511 130.37598   3.95341   3.92620   3.28445   3.93989
+   0.04750   0.01536 139.91663   4.27719   4.24959   3.61172   4.26348
+   0.04777   0.01560 149.38116   4.60249   4.57451   3.94036   4.58859
+   0.04369   0.01130   3.83163   0.04322   0.02174   0.00000   0.03252
+   0.04446   0.01191   7.69361   0.15711   0.13462   0.00000   0.14591
+   0.04516   0.01248  12.30392   0.29039   0.26700   0.00000   0.27874
+   0.04579   0.01300  17.60576   0.44534   0.42112   0.00000   0.43328
+   0.04637   0.01348  23.34528   0.61373   0.58874   0.00978   0.60129
+   0.04691   0.01394  29.50838   0.79684   0.77113   0.12088   0.78405
+   0.04742   0.01437  36.02960   0.99348   0.96710   0.33728   0.98035
+   0.04789   0.01478  42.84837   1.20226   1.17523   0.54918   1.18880
+   0.04835   0.01518  49.91127   1.42179   1.39415   0.77443   1.40803
+   0.04878   0.01555  57.07645   1.64784   1.61961   1.00527   1.63379
+   0.04919   0.01591  64.39452   1.88223   1.85345   1.24421   1.86791
+   0.04959   0.01626  71.85414   2.12459   2.09527   1.49085   2.11000
+   0.04997   0.01660  79.40825   2.37343   2.34360   1.74372   2.35858
+   0.05033   0.01693  86.90562   2.62425   2.59391   1.99835   2.60915
+   0.05069   0.01724  94.52112   2.88218   2.85137   2.25989   2.86685
+   0.05103   0.01754 102.09319   3.14224   3.11096   2.52338   3.12667
+   0.05136   0.01784 109.66273   3.40557   3.37386   2.78999   3.38979
+   0.05168   0.01813 117.24805   3.67260   3.64046   3.06013   3.65660
+   0.05199   0.01841 124.73839   3.93988   3.90731   3.33039   3.92367
+   0.04614   0.01277   3.79148   0.04599   0.02181   0.00000   0.03392
+   0.04697   0.01346   7.43775   0.15495   0.12967   0.00000   0.14234
+   0.04772   0.01409  11.71989   0.28019   0.25391   0.00000   0.26709
+   0.04840   0.01468  16.58229   0.42415   0.39696   0.00000   0.41060
+   0.04903   0.01522  21.79163   0.57929   0.55126   0.00898   0.56532
+   0.04961   0.01573  27.33653   0.74676   0.71795   0.11042   0.73240
+   0.05016   0.01621  33.15884   0.92548   0.89593   0.30732   0.91076
+   0.05068   0.01667  39.20529   1.11416   1.08391   0.49893   1.09909
+   0.05118   0.01711  45.42992   1.31156   1.28064   0.70161   1.29616
+   0.05165   0.01753  51.70831   1.51387   1.48232   0.90835   1.49815
+   0.05210   0.01793  58.08784   1.72276   1.69060   1.12144   1.70674
+   0.05253   0.01832  64.56018   1.93791   1.90517   1.34055   1.92160
+   0.05294   0.01869  71.08572   2.15801   2.12471   1.56437   2.14143
+   0.05335   0.01906  77.53363   2.37907   2.34523   1.78895   2.36221
+   0.05373   0.01941  84.05920   2.60569   2.57135   2.01891   2.58859
+   0.05410   0.01974  90.52246   2.83347   2.79862   2.24985   2.81611
+   0.05447   0.02007  96.96104   3.06346   3.02814   2.48286   3.04587
+   0.05482   0.02039 103.39223   3.29607   3.26028   2.71835   3.27824
+   0.05516   0.02070 109.72153   3.52824   3.49201   2.95327   3.51020
+   0.04811   0.01404   3.76048   0.04828   0.02179   0.00000   0.03505
+   0.04899   0.01480   7.24466   0.15341   0.12574   0.00000   0.13960
+   0.04978   0.01549  11.28492   0.27267   0.24393   0.00000   0.25833
+   0.05050   0.01612  15.82767   0.40857   0.37886   0.00000   0.39375
+   0.05117   0.01672  20.65517   0.55408   0.52346   0.00840   0.53880
+   0.05179   0.01727  25.75856   0.71027   0.67881   0.10288   0.69458
+   0.05238   0.01780  31.08519   0.87612   0.84387   0.28577   0.86004
+   0.05293   0.01830  36.58746   1.05045   1.01745   0.46288   1.03400
+   0.05346   0.01877  42.22459   1.23213   1.19841   0.64951   1.21532
+   0.05396   0.01923  47.88467   1.41763   1.38325   0.83919   1.40049
+   0.05444   0.01967  53.61290   1.60853   1.57350   1.03404   1.59107
+   0.05491   0.02009  59.40306   1.80456   1.76891   1.23379   1.78679
+   0.05535   0.02050  65.22054   2.00453   1.96829   1.43726   1.98647
+   0.05578   0.02089  70.94905   2.20480   2.16799   1.64083   2.18645
+   0.05619   0.02127  76.72957   2.40962   2.37227   1.84879   2.39101
+   0.05659   0.02164  82.43753   2.61498   2.57710   2.05713   2.59611
+   0.05698   0.02199  88.10817   2.82188   2.78349   2.26685   2.80275
+   0.05736   0.02234  93.75775   3.03068   2.99181   2.47836   3.01131
+   0.05772   0.02268  99.30321   3.23867   3.19931   2.68892   3.21906
+   0.05459   0.01886   3.66479   0.05636   0.02132   0.00000   0.03884
+   0.05564   0.01986   6.67233   0.14956   0.11303   0.00000   0.13130
+   0.05658   0.02076  10.02563   0.25162   0.21376   0.00000   0.23270
+   0.05745   0.02160  13.68131   0.36487   0.32580   0.00000   0.34535
+   0.05826   0.02237  17.46809   0.48370   0.44351   0.00679   0.46363
+   0.05901   0.02310  21.38564   0.60902   0.56779   0.08228   0.58843
+   0.05973   0.02378  25.39764   0.74004   0.69785   0.22717   0.71898
+   0.06041   0.02443  29.47232   0.87586   0.83276   0.36532   0.85435
+   0.06105   0.02505  33.58351   1.01564   0.97168   0.50918   0.99370
+   0.06167   0.02565  37.65213   1.15672   1.11194   0.65369   1.13438
+   0.06227   0.02621  41.71727   1.30040   1.25484   0.80061   1.27766
+   0.06284   0.02676  45.77841   1.44651   1.40021   0.94978   1.42341
+   0.06339   0.02728  49.81369   1.59422   1.54720   1.10036   1.57076
+   0.06392   0.02778  53.74281   1.74083   1.69314   1.24969   1.71704
+   0.06444   0.02827  57.67126   1.88963   1.84129   1.40106   1.86552
+   0.06494   0.02874  61.51282   2.03768   1.98871   1.55154   2.01325
+   0.06542   0.02920  65.29541   2.18576   2.13619   1.70195   2.16103
+   0.06589   0.02964  69.03334   2.33422   2.28407   1.85262   2.30921
+   0.06635   0.03007  72.67062   2.48110   2.43039   2.00161   2.45581
+   0.06165   0.02533   3.56884   0.06627   0.02011   0.00000   0.04318
+   0.06290   0.02664   6.13570   0.14761   0.09961   0.00000   0.12361
+   0.06404   0.02783   8.88707   0.23436   0.18472   0.00000   0.20955
+   0.06510   0.02893  11.79339   0.32814   0.27701   0.00000   0.30260
+   0.06609   0.02993  14.72557   0.42456   0.37206   0.00546   0.39834
+   0.06701   0.03088  17.69170   0.52440   0.47066   0.06533   0.49756
+   0.06789   0.03176  20.66995   0.62714   0.57222   0.17925   0.59971
+   0.06873   0.03261  23.64166   0.73211   0.67610   0.28617   0.70415
+   0.06953   0.03341  26.59232   0.83876   0.78171   0.39613   0.81028
+   0.07031   0.03417  29.46802   0.94510   0.88708   0.50527   0.91614
+   0.07105   0.03490  32.30273   1.05222   0.99327   0.61503   1.02280
+   0.07176   0.03559  35.09972   1.16007   1.10025   0.72537   1.13022
+   0.07245   0.03627  37.84637   1.26807   1.20741   0.83572   1.23780
+   0.07312   0.03691  40.48859   1.37427   1.31281   0.94413   1.34361
+   0.07376   0.03753  43.10493   1.48121   1.41899   1.05316   1.45017
+   0.07439   0.03813  45.63638   1.58673   1.52378   1.16066   1.55532
+   0.07500   0.03871  48.10538   1.69149   1.62784   1.26731   1.65973
+   0.07559   0.03927  50.52383   1.79579   1.73147   1.37342   1.76370
+   0.07616   0.03981  52.85509   1.89824   1.83327   1.47758   1.86583
+   0.06607   0.03011   3.51170   0.07319   0.01905   0.00000   0.04612
+   0.06748   0.03164   5.83451   0.14773   0.09153   0.00000   0.11964
+   0.06878   0.03303   8.26671   0.22631   0.16827   0.00000   0.19731
+   0.06998   0.03431  10.78742   0.30996   0.25025   0.00000   0.28013
+   0.07110   0.03548  13.29012   0.39491   0.33369   0.00478   0.36433
+   0.07216   0.03658  15.78728   0.48191   0.41931   0.05680   0.45065
+   0.07316   0.03761  18.26443   0.57056   0.50667   0.15527   0.53866
+   0.07412   0.03858  20.70937   0.66036   0.59526   0.24680   0.62786
+   0.07504   0.03951  23.11299   0.75087   0.68463   0.34022   0.71781
+   0.07593   0.04039  25.43332   0.84045   0.77314   0.43227   0.80686
+   0.07678   0.04122  27.70137   0.93008   0.86177   0.52424   0.89599
+   0.07760   0.04203  29.92200   1.01977   0.95050   0.61613   0.98520
+   0.07839   0.04280  32.08669   1.10907   1.03889   0.70750   1.07405
+   0.07916   0.04354  34.15303   1.19637   1.12533   0.79675   1.16092
+   0.07990   0.04425  36.18681   1.28385   1.21199   0.88608   1.24800
+   0.08062   0.04494  38.14140   1.36974   1.29708   0.97372   1.33349
+   0.08133   0.04560  40.03619   1.45461   1.38120   1.06027   1.41799
+   0.08201   0.04624  41.88197   1.53876   1.46462   1.14600   1.50177
+   0.08267   0.04686  43.65033   1.62104   1.54621   1.22981   1.58371
+   0.06937   0.03403   3.47019   0.07875   0.01819   0.00000   0.04847
+   0.07092   0.03575   5.62475   0.14860   0.08580   0.00000   0.11721
+   0.07235   0.03730   7.84285   0.22169   0.15691   0.00000   0.18932
+   0.07368   0.03872  10.10991   0.29861   0.23205   0.00000   0.26536
+   0.07492   0.04002  12.33434   0.37604   0.30786   0.00434   0.34199
+   0.07610   0.04124  14.53153   0.45471   0.38505   0.05127   0.41993
+   0.07721   0.04238  16.69162   0.53429   0.46326   0.13977   0.49883
+   0.07828   0.04346  18.80637   0.61439   0.54207   0.22145   0.57829
+   0.07930   0.04448  20.87015   0.69464   0.62112   0.30436   0.65795
+   0.08028   0.04545  22.84810   0.77364   0.69900   0.38562   0.73639
+   0.08123   0.04637  24.76938   0.85230   0.77660   0.46642   0.81452
+   0.08214   0.04726  26.63959   0.93065   0.85394   0.54678   0.89237
+   0.08302   0.04811  28.45264   1.00833   0.93067   0.62634   0.96958
+   0.08388   0.04892  30.17313   1.08394   1.00538   0.70374   1.04474
+   0.08470   0.04970  31.85884   1.15944   1.08001   0.78093   1.11981
+   0.08551   0.05046  33.47061   1.23328   1.15303   0.85638   1.19324
+   0.08629   0.05118  35.02592   1.30600   1.22497   0.93064   1.26557
+   0.08704   0.05188  36.53461   1.37787   1.29608   1.00397   1.33707
+   0.08778   0.05256  37.97313   1.44791   1.36540   1.07541   1.40675
+   0.07206   0.03743   3.43673   0.08374   0.01766   0.00000   0.05070
+   0.07376   0.03930   5.46072   0.15029   0.08186   0.00000   0.11609
+   0.07534   0.04098   7.51555   0.21920   0.14869   0.00000   0.18397
+   0.07680   0.04251   9.59158   0.29103   0.21866   0.00000   0.25488
+   0.07817   0.04392  11.60947   0.36281   0.28876   0.00401   0.32583
+   0.07946   0.04524  13.58551   0.43527   0.35967   0.04715   0.39752
+   0.08069   0.04647  15.51396   0.50813   0.43111   0.12826   0.46968
+   0.08186   0.04763  17.38969   0.58108   0.50274   0.20267   0.54197
+   0.08299   0.04873  19.20937   0.65383   0.57425   0.27788   0.61410
+   0.08407   0.04978  20.94220   0.72512   0.64438   0.35125   0.68482
+   0.08511   0.05077  22.61665   0.79581   0.71398   0.42393   0.75497
+   0.08612   0.05172  24.23828   0.86596   0.78311   0.49594   0.82461
+   0.08709   0.05263  25.80212   0.93527   0.85144   0.56700   0.89343
+   0.08803   0.05350  27.27946   1.00250   0.91775   0.63589   0.96021
+   0.08894   0.05434  28.72205   1.06942   0.98379   0.70439   1.02669
+   0.08982   0.05514  30.09645   1.13466   1.04820   0.77113   1.09152
+   0.09068   0.05592  31.41641   1.19873   1.11147   0.83663   1.15519
+   0.09151   0.05667  32.69127   1.26188   1.17386   0.90114   1.21796
+   0.09232   0.05739  33.90266   1.32328   1.23453   0.96384   1.27900
+   0.08136   0.05032   3.32706   0.10185   0.01561   0.00000   0.05874
+   0.08371   0.05272   4.96203   0.15814   0.06924   0.00000   0.11371
+   0.08588   0.05486   6.54963   0.21481   0.12361   0.00000   0.16924
+   0.08789   0.05682   8.09529   0.27217   0.17891   0.00000   0.22558
+   0.08978   0.05860   9.55042   0.32818   0.23310   0.00310   0.28069
+   0.09156   0.06025  10.93655   0.38353   0.28679   0.03588   0.33522
+   0.09325   0.06179  12.25621   0.43814   0.33988   0.09689   0.38907
+   0.09487   0.06324  13.51123   0.49188   0.39222   0.15184   0.44212
+   0.09641   0.06461  14.70377   0.54463   0.44369   0.20655   0.49424
+   0.09790   0.06590  15.81629   0.59558   0.49345   0.25918   0.54459
+   0.09933   0.06712  16.87210   0.64544   0.54219   0.31063   0.59389
+   0.10070   0.06829  17.87775   0.69431   0.59001   0.36101   0.64224
+   0.10202   0.06940  18.83202   0.74202   0.63674   0.41016   0.68947
+   0.10331   0.07046  19.71770   0.78778   0.68158   0.45728   0.73477
+   0.10455   0.07147  20.57143   0.83288   0.72581   0.50367   0.77944
+   0.10575   0.07245  21.37230   0.87640   0.76851   0.54843   0.82255
+   0.10691   0.07338  22.13072   0.91873   0.81007   0.59195   0.86449
+   0.10804   0.07428  22.85400   0.96009   0.85069   0.63445   0.90549
+   0.10913   0.07515  23.53099   0.99994   0.88984   0.67539   0.94499
+   0.09351   0.06771   3.20171   0.12487   0.01347   0.00000   0.06917
+   0.09698   0.07073   4.46716   0.17149   0.05741   0.00001   0.11447
+   0.10016   0.07342   5.63738   0.21686   0.10050   0.00001   0.15871
+   0.10311   0.07583   6.73078   0.26131   0.14296   0.00001   0.20217
+   0.10585   0.07803   7.72335   0.30365   0.18357   0.00234   0.24365
+   0.10842   0.08004   8.63923   0.34450   0.22288   0.02651   0.28375
+   0.11086   0.08191   9.48631   0.38397   0.26096   0.07099   0.32253
+   0.11317   0.08366  10.27026   0.42207   0.29780   0.11021   0.36000
+   0.11537   0.08530  10.99608   0.45882   0.33343   0.14866   0.39620
+   0.11747   0.08684  11.65758   0.49375   0.36732   0.18508   0.43060
+   0.11948   0.08828  12.27108   0.52739   0.40001   0.22014   0.46377
+   0.12142   0.08965  12.84349   0.55990   0.43164   0.25401   0.49585
+   0.12328   0.09095  13.37608   0.59123   0.46217   0.28665   0.52678
+   0.12506   0.09219  13.85854   0.62088   0.49107   0.31756   0.55607
+   0.12677   0.09337  14.31589   0.64978   0.51928   0.34765   0.58462
+   0.12842   0.09449  14.73570   0.67733   0.54619   0.37636   0.61185
+   0.13002   0.09557  15.12574   0.70386   0.57212   0.40399   0.63808
+   0.13157   0.09659  15.49132   0.72952   0.59723   0.43073   0.66346
+   0.13307   0.09758  15.82613   0.75395   0.62114   0.45620   0.68763
+   0.10326   0.08061   3.11612   0.14043   0.01213   0.00000   0.07628
+   0.10769   0.08403   4.17517   0.18140   0.05065   0.00000   0.11604
+   0.11174   0.08703   5.12491   0.22044   0.08765   0.00001   0.15407
+   0.11546   0.08972   5.98819   0.25792   0.12339   0.00000   0.19069
+   0.11891   0.09215   6.75237   0.29305   0.15705   0.00195   0.22509
+   0.12212   0.09437   7.44348   0.32645   0.18915   0.02182   0.25785
+   0.12513   0.09642   8.07010   0.35827   0.21984   0.05809   0.28911
+   0.12799   0.09832   8.63920   0.38861   0.24917   0.08968   0.31894
+   0.13072   0.10009   9.15746   0.41754   0.27721   0.12031   0.34744
+   0.13328   0.10175   9.61910   0.44472   0.30360   0.14902   0.37423
+   0.13576   0.10329  10.04073   0.47067   0.32884   0.17645   0.39982
+   0.13811   0.10475  10.42849   0.49551   0.35303   0.20271   0.42434
+   0.14035   0.10614  10.78409   0.51923   0.37617   0.22778   0.44777
+   0.14249   0.10745  11.09968   0.54147   0.39790   0.25134   0.46976
+   0.14456   0.10870  11.39471   0.56299   0.41894   0.27412   0.49104
+   0.14654   0.10988  11.65968   0.58335   0.43888   0.29570   0.51119
+   0.14845   0.11100  11.90307   0.60279   0.45793   0.31632   0.53044
+   0.15029   0.11208  12.12888   0.62144   0.47623   0.33612   0.54892
+   0.15207   0.11310  12.33107   0.63909   0.49356   0.35488   0.56641
+   0.11226   0.09128   3.04712   0.15215   0.01118   0.00000   0.08166
+   0.11756   0.09496   3.96439   0.18909   0.04601   0.00000   0.11756
+   0.12236   0.09818   4.76750   0.22371   0.07891   0.00001   0.15134
+   0.12676   0.10104   5.48237   0.25644   0.11023   0.00000   0.18337
+   0.13081   0.10362   6.10293   0.28675   0.13936   0.00170   0.21310
+   0.13456   0.10596   6.65449   0.31523   0.16685   0.01880   0.24109
+   0.13807   0.10811   7.14640   0.34208   0.19285   0.04986   0.26751
+   0.14138   0.11010   7.58617   0.36743   0.21747   0.07665   0.29250
+   0.14452   0.11193   7.98072   0.39139   0.24081   0.10240   0.31616
+   0.14747   0.11365   8.32616   0.41371   0.26260   0.12638   0.33822
+   0.15030   0.11524   8.63717   0.43485   0.28328   0.14911   0.35913
+   0.15299   0.11674   8.91931   0.45493   0.30296   0.17073   0.37902
+   0.15553   0.11816   9.17439   0.47398   0.32166   0.19124   0.39789
+   0.15796   0.11949   9.39650   0.49171   0.33911   0.21040   0.41547
+   0.16029   0.12076   9.60171   0.50876   0.35591   0.22882   0.43240
+   0.16251   0.12196   9.78256   0.52478   0.37172   0.24617   0.44832
+   0.16466   0.12309   9.94610   0.53997   0.38674   0.26266   0.46343
+   0.16673   0.12417  10.09570   0.55448   0.40110   0.27842   0.47787
+   0.16871   0.12519  10.22665   0.56812   0.41462   0.29327   0.49145
+   0.12090   0.10055   2.98762   0.16139   0.01042   0.00001   0.08591
+   0.12699   0.10441   3.79791   0.19514   0.04245   0.00001   0.11881
+   0.13248   0.10776   4.49330   0.22634   0.07231   0.00001   0.14935
+   0.13745   0.11076   5.10179   0.25548   0.10038   0.00002   0.17796
+   0.14202   0.11341   5.62094   0.28219   0.12625   0.00154   0.20426
+   0.14623   0.11582   6.07552   0.30703   0.15041   0.01665   0.22877
+   0.15016   0.11803   6.47398   0.33027   0.17309   0.04400   0.25173
+   0.15386   0.12005   6.82576   0.35202   0.19440   0.06740   0.27327
+   0.15732   0.12194   7.13773   0.37242   0.21444   0.08972   0.29348
+   0.16061   0.12366   7.40581   0.39131   0.23305   0.11041   0.31224
+   0.16371   0.12527   7.64383   0.40904   0.25058   0.12989   0.32988
+   0.16665   0.12678   7.85698   0.42580   0.26718   0.14832   0.34656
+   0.16944   0.12820   8.04713   0.44160   0.28288   0.16574   0.36231
+   0.17211   0.12952   8.20920   0.45621   0.29742   0.18189   0.37688
+   0.17465   0.13077   8.35750   0.47018   0.31135   0.19736   0.39083
+   0.17705   0.13197   8.48647   0.48323   0.32440   0.21187   0.40389
+   0.17937   0.13309   8.60006   0.49554   0.33674   0.22560   0.41621
+   0.18161   0.13414   8.70144   0.50725   0.34849   0.23866   0.42794
+   0.18375   0.13513   8.78857   0.51816   0.35948   0.25091   0.43889
+   0.16272   0.13592   2.75365   0.18772   0.00802   0.00000   0.09786
+   0.17169   0.14011   3.25087   0.21098   0.03165   0.00001   0.12132
+   0.17957   0.14368   3.64634   0.23147   0.05270   0.00002   0.14210
+   0.18660   0.14677   3.96819   0.24979   0.07169   0.00002   0.16076
+   0.19290   0.14944   4.22544   0.26595   0.08859   0.00102   0.17729
+   0.19861   0.15181   4.43481   0.28045   0.10388   0.01082   0.19219
+   0.20387   0.15392   4.60711   0.29356   0.11782   0.02828   0.20571
+   0.20869   0.15584   4.74841   0.30545   0.13055   0.04282   0.21803
+   0.21322   0.15756   4.86409   0.31626   0.14224   0.05639   0.22927
+   0.21738   0.15911   4.95573   0.32596   0.15281   0.06868   0.23942
+   0.22124   0.16054   5.02992   0.33484   0.16256   0.08004   0.24873
+   0.22487   0.16186   5.09020   0.34300   0.17160   0.09058   0.25733
+   0.22830   0.16308   5.13809   0.35048   0.17994   0.10033   0.26525
+   0.23149   0.16416   5.17207   0.35718   0.18752   0.10923   0.27239
+   0.23452   0.16518   5.19977   0.36346   0.19466   0.11762   0.27911
+   0.23736   0.16613   5.21821   0.36916   0.20122   0.12536   0.28524
+   0.24005   0.16701   5.23022   0.37440   0.20729   0.13255   0.29089
+   0.24260   0.16782   5.23743   0.37925   0.21296   0.13929   0.29615
+   0.24501   0.16856   5.23768   0.38364   0.21817   0.14552   0.30095
+   0.24385   0.18324   2.40488   0.19841   0.00554  -0.00007   0.10195
+   0.25524   0.18672   2.62889   0.21038   0.02135  -0.00010   0.11584
+   0.26489   0.18946   2.78332   0.22016   0.03468  -0.00009   0.12739
+   0.27318   0.19171   2.89196   0.22832   0.04613  -0.00011   0.13719
+   0.28039   0.19353   2.96283   0.23499   0.05587   0.00048   0.14541
+   0.28675   0.19498   3.00880   0.24057   0.06436   0.00615   0.15245
+   0.29238   0.19625   3.03626   0.24528   0.07181   0.01609   0.15853
+   0.29750   0.19726   3.04954   0.24926   0.07839   0.02412   0.16380
+   0.30198   0.19817   3.05237   0.25262   0.08421   0.03136   0.16841
+   0.30611   0.19883   3.04464   0.25537   0.08931   0.03778   0.17231
+   0.30984   0.19941   3.03094   0.25768   0.09384   0.04355   0.17575
+   0.31321   0.19991   3.01300   0.25964   0.09792   0.04878   0.17878
+   0.31625   0.20034   2.99145   0.26127   0.10163   0.05353   0.18143
+   0.31907   0.20063   2.96561   0.26251   0.10482   0.05770   0.18366
+   0.32170   0.20086   2.93888   0.26358   0.10777   0.06157   0.18567
+   0.32407   0.20104   2.90967   0.26440   0.11042   0.06511   0.18740
+   0.32623   0.20116   2.87941   0.26502   0.11278   0.06830   0.18889
+   0.32824   0.20125   2.84877   0.26550   0.11492   0.07121   0.19021
+   0.33007   0.20128   2.81695   0.26577   0.11681   0.07384   0.19128
+   0.31918   0.21571   2.12278   0.18810   0.00425   0.00000   0.09618
+   0.33020   0.21764   2.21533   0.19370   0.01583   0.00000   0.10476
+   0.33916   0.21889   2.26265   0.19772   0.02526  -0.00002   0.11149
+   0.34646   0.21982   2.28235   0.20070   0.03306   0.00001   0.11689
+   0.35271   0.22023   2.28125   0.20274   0.03958   0.00039   0.12117
+   0.35793   0.22047   2.26756   0.20417   0.04505   0.00420   0.12463
+   0.36234   0.22053   2.24534   0.20509   0.04970   0.01076   0.12741
+   0.36611   0.22046   2.21718   0.20560   0.05369   0.01593   0.12966
+   0.36954   0.22020   2.18516   0.20583   0.05714   0.02059   0.13152
+   0.37237   0.21983   2.14954   0.20571   0.06007   0.02453   0.13293
+   0.37481   0.21939   2.11250   0.20541   0.06261   0.02807   0.13404
+   0.37692   0.21893   2.07518   0.20495   0.06486   0.03123   0.13493
+   0.37872   0.21845   2.03793   0.20433   0.06685   0.03402   0.13563
+   0.38028   0.21787   1.99970   0.20356   0.06849   0.03642   0.13605
+   0.38167   0.21726   1.96268   0.20274   0.06996   0.03862   0.13638
+   0.38283   0.21658   1.92592   0.20184   0.07126   0.04059   0.13657
+   0.38382   0.21590   1.88989   0.20088   0.07237   0.04237   0.13664
+   0.38468   0.21522   1.85487   0.19988   0.07333   0.04398   0.13661
+   0.38536   0.21449   1.82032   0.19879   0.07413   0.04538   0.13649
+   0.38617   0.23920   1.87850   0.16998   0.00336   0.00005   0.08671
+   0.39508   0.23914   1.89558   0.17158   0.01226   0.00010   0.09193
+   0.40179   0.23864   1.88476   0.17225   0.01921   0.00005   0.09576
+   0.40701   0.23796   1.85946   0.17230   0.02488   0.00007   0.09862
+   0.41102   0.23697   1.82378   0.17184   0.02937   0.00036   0.10063
+   0.41415   0.23582   1.78318   0.17107   0.03314   0.00307   0.10213
+   0.41667   0.23455   1.74005   0.17004   0.03624   0.00766   0.10319
+   0.41855   0.23326   1.69588   0.16887   0.03884   0.01129   0.10389
+   0.41995   0.23196   1.65157   0.16754   0.04101   0.01443   0.10433
+   0.42097   0.23051   1.60718   0.16609   0.04283   0.01709   0.10451
+   0.42166   0.22908   1.56390   0.16458   0.04439   0.01940   0.10452
+   0.42212   0.22767   1.52219   0.16305   0.04571   0.02145   0.10441
+   0.42237   0.22626   1.48206   0.16151   0.04681   0.02330   0.10421
+   0.42227   0.22485   1.44281   0.15988   0.04774   0.02482   0.10386
+   0.42209   0.22345   1.40558   0.15829   0.04854   0.02619   0.10348
+   0.42181   0.22204   1.36957   0.15669   0.04919   0.02738   0.10300
+   0.42138   0.22064   1.33506   0.15511   0.04974   0.02843   0.10249
+   0.42085   0.21924   1.30214   0.15357   0.05020   0.02937   0.10194
+   0.42019   0.21787   1.27042   0.15201   0.05056   0.03018   0.10135
+   0.44386   0.25577   1.66263   0.14925   0.00263   0.00009   0.07599
+   0.44940   0.25367   1.63313   0.14844   0.00957   0.00009   0.07901
+   0.45300   0.25141   1.58907   0.14712   0.01484   0.00006   0.08102
+   0.45541   0.24896   1.53953   0.14551   0.01899   0.00005   0.08229
+   0.45662   0.24653   1.48670   0.14366   0.02234   0.00026   0.08305
+   0.45725   0.24404   1.43396   0.14173   0.02496   0.00227   0.08338
+   0.45733   0.24154   1.38248   0.13976   0.02712   0.00565   0.08346
+   0.45685   0.23917   1.33270   0.13772   0.02890   0.00818   0.08332
+   0.45616   0.23670   1.28515   0.13570   0.03037   0.01047   0.08303
+   0.45514   0.23429   1.23938   0.13367   0.03153   0.01229   0.08260
+   0.45393   0.23194   1.19606   0.13163   0.03249   0.01388   0.08208
+   0.45253   0.22968   1.15524   0.12965   0.03327   0.01527   0.08151
+   0.45090   0.22753   1.11674   0.12775   0.03389   0.01646   0.08089
+   0.44913   0.22536   1.07996   0.12588   0.03439   0.01746   0.08018
+   0.44736   0.22326   1.04554   0.12407   0.03482   0.01837   0.07947
+   0.44553   0.22117   1.01285   0.12227   0.03515   0.01919   0.07875
+   0.44366   0.21912   0.98195   0.12051   0.03541   0.01985   0.07802
+   0.44178   0.21711   0.95280   0.11880   0.03561   0.02041   0.07728
+   0.43980   0.21517   0.92508   0.11714   0.03574   0.02091   0.07651
+   0.50239   0.26849   1.42545   0.12335   0.00203   0.00010   0.06272
+   0.50287   0.26370   1.36207   0.12089   0.00720   0.00009   0.06408
+   0.50187   0.25913   1.29594   0.11830   0.01103   0.00008   0.06470
+   0.50011   0.25475   1.23169   0.11567   0.01400   0.00008   0.06486
+   0.49757   0.25052   1.17010   0.11312   0.01623   0.00023   0.06472
+   0.49469   0.24651   1.11249   0.11055   0.01800   0.00160   0.06433
+   0.49146   0.24267   1.05878   0.10809   0.01940   0.00397   0.06382
+   0.48815   0.23889   1.00887   0.10573   0.02052   0.00578   0.06316
+   0.48462   0.23534   0.96264   0.10344   0.02137   0.00726   0.06247
+   0.48091   0.23189   0.91942   0.10120   0.02207   0.00849   0.06173
+   0.47725   0.22855   0.87942   0.09905   0.02265   0.00950   0.06093
+   0.47357   0.22536   0.84242   0.09701   0.02309   0.01038   0.06011
+   0.46986   0.22232   0.80807   0.09509   0.02340   0.01118   0.05928
+   0.46606   0.21936   0.77593   0.09317   0.02366   0.01181   0.05847
+   0.46236   0.21654   0.74620   0.09136   0.02385   0.01236   0.05767
+   0.45870   0.21382   0.71836   0.08963   0.02393   0.01282   0.05686
+   0.45507   0.21119   0.69241   0.08795   0.02401   0.01320   0.05607
+   0.45150   0.20866   0.66821   0.08633   0.02406   0.01351   0.05531
+   0.44797   0.20617   0.64538   0.08478   0.02407   0.01380   0.05454
+   0.54606   0.27369   1.21914   0.09956   0.00165   0.00016   0.05068
+   0.54085   0.26659   1.13805   0.09646   0.00547   0.00011   0.05103
+   0.53502   0.25993   1.06207   0.09340   0.00831   0.00017   0.05090
+   0.52881   0.25381   0.99302   0.09055   0.01037   0.00019   0.05048
+   0.52247   0.24810   0.93017   0.08773   0.01197   0.00025   0.04994
+   0.51610   0.24271   0.87338   0.08515   0.01313   0.00122   0.04922
+   0.50984   0.23761   0.82194   0.08266   0.01409   0.00289   0.04842
+   0.50355   0.23282   0.77534   0.08032   0.01481   0.00415   0.04762
+   0.49739   0.22827   0.73298   0.07808   0.01535   0.00516   0.04683
+   0.49128   0.22399   0.69419   0.07596   0.01576   0.00594   0.04598
+   0.48530   0.21989   0.65887   0.07398   0.01608   0.00661   0.04512
+   0.47950   0.21599   0.62666   0.07212   0.01631   0.00722   0.04427
+   0.47387   0.21230   0.59715   0.07035   0.01647   0.00779   0.04342
+   0.46835   0.20871   0.56986   0.06863   0.01655   0.00810   0.04267
+   0.46301   0.20534   0.54484   0.06700   0.01661   0.00840   0.04193
+   0.45769   0.20217   0.52167   0.06545   0.01667   0.00877   0.04116
+   0.45261   0.19904   0.50019   0.06400   0.01666   0.00903   0.04041
+   0.44775   0.19597   0.48027   0.06262   0.01661   0.00922   0.03970
+   0.44294   0.19306   0.46181   0.06128   0.01659   0.00941   0.03899
+   0.57559   0.27298   1.03895   0.07893   0.00118   0.00006   0.04009
+   0.56481   0.26367   0.95032   0.07566   0.00418   0.00005   0.03992
+   0.55418   0.25518   0.87197   0.07263   0.00619   0.00007   0.03946
+   0.54393   0.24747   0.80345   0.06980   0.00778   0.00002   0.03883
+   0.53385   0.24047   0.74305   0.06712   0.00893   0.00012   0.03816
+   0.52424   0.23402   0.68996   0.06469   0.00971   0.00086   0.03740
+   0.51505   0.22795   0.64286   0.06243   0.01033   0.00202   0.03659
+   0.50625   0.22226   0.60090   0.06031   0.01086   0.00288   0.03572
+   0.49762   0.21714   0.56335   0.05834   0.01115   0.00374   0.03495
+   0.48935   0.21215   0.52948   0.05652   0.01141   0.00435   0.03407
+   0.48161   0.20729   0.49902   0.05478   0.01160   0.00480   0.03327
+   0.47415   0.20277   0.47153   0.05315   0.01172   0.00517   0.03253
+   0.46681   0.19868   0.44657   0.05164   0.01174   0.00550   0.03182
+   0.45977   0.19464   0.42381   0.05020   0.01177   0.00579   0.03111
+   0.45302   0.19087   0.40312   0.04882   0.01181   0.00602   0.03044
+   0.44638   0.18739   0.38415   0.04747   0.01189   0.00615   0.02981
+   0.44006   0.18399   0.36669   0.04624   0.01186   0.00629   0.02919
+   0.43403   0.18070   0.35059   0.04511   0.01176   0.00643   0.02857
+   0.42817   0.17758   0.33568   0.04402   0.01169   0.00652   0.02795
+   0.59230   0.26710   0.88214   0.06149   0.00095   0.00005   0.03123
+   0.57617   0.25599   0.79223   0.05846   0.00314   0.00006   0.03076
+   0.56107   0.24606   0.71585   0.05566   0.00466   0.00001   0.03019
+   0.54698   0.23725   0.65105   0.05309   0.00576   0.00002   0.02955
+   0.53365   0.22923   0.59520   0.05077   0.00657   0.00020   0.02880
+   0.52115   0.22193   0.54709   0.04869   0.00714   0.00071   0.02798
+   0.50957   0.21506   0.50519   0.04676   0.00755   0.00150   0.02718
+   0.49834   0.20892   0.46840   0.04496   0.00782   0.00214   0.02647
+   0.48777   0.20323   0.43569   0.04324   0.00809   0.00264   0.02577
+   0.47783   0.19771   0.40681   0.04169   0.00827   0.00306   0.02502
+   0.46826   0.19269   0.38098   0.04022   0.00838   0.00342   0.02434
+   0.45917   0.18800   0.35789   0.03887   0.00843   0.00368   0.02370
+   0.45056   0.18356   0.33720   0.03763   0.00841   0.00382   0.02310
+   0.44232   0.17928   0.31830   0.03646   0.00839   0.00400   0.02251
+   0.43450   0.17528   0.30124   0.03537   0.00835   0.00415   0.02194
+   0.42694   0.17156   0.28574   0.03435   0.00830   0.00426   0.02137
+   0.41971   0.16803   0.27158   0.03336   0.00825   0.00435   0.02085
+   0.41280   0.16467   0.25859   0.03241   0.00822   0.00442   0.02038
+   0.40616   0.16143   0.24678   0.03154   0.00815   0.00450   0.01990
+   0.59752   0.25712   0.74572   0.04722   0.00064   0.00006   0.02392
+   0.57646   0.24466   0.65865   0.04445   0.00237   0.00002   0.02355
+   0.55729   0.23375   0.58676   0.04207   0.00349   0.00004   0.02287
+   0.53987   0.22404   0.52711   0.03994   0.00427   0.00009   0.02214
+   0.52381   0.21525   0.47719   0.03799   0.00485   0.00016   0.02146
+   0.50890   0.20742   0.43449   0.03623   0.00524   0.00051   0.02075
+   0.49500   0.20026   0.39767   0.03458   0.00560   0.00109   0.02007
+   0.48211   0.19366   0.36567   0.03312   0.00573   0.00153   0.01941
+   0.47010   0.18752   0.33790   0.03175   0.00587   0.00187   0.01881
+   0.45867   0.18177   0.31340   0.03047   0.00599   0.00225   0.01826
+   0.44787   0.17654   0.29180   0.02929   0.00602   0.00243   0.01772
+   0.43769   0.17167   0.27263   0.02822   0.00603   0.00255   0.01719
+   0.42809   0.16706   0.25551   0.02723   0.00604   0.00269   0.01670
+   0.41900   0.16267   0.24014   0.02631   0.00602   0.00282   0.01618
+   0.41042   0.15859   0.22632   0.02544   0.00599   0.00291   0.01569
+   0.40218   0.15480   0.21379   0.02462   0.00595   0.00294   0.01524
+   0.39431   0.15124   0.20244   0.02386   0.00588   0.00300   0.01480
+   0.38680   0.14788   0.19212   0.02317   0.00579   0.00308   0.01439
+   0.37960   0.14467   0.18271   0.02247   0.00574   0.00311   0.01404
+   0.59248   0.24405   0.62737   0.03565   0.00049   0.00000   0.01815
+   0.56726   0.23053   0.54538   0.03335   0.00179   0.00007   0.01773
+   0.54487   0.21867   0.47960   0.03130   0.00274   0.00011   0.01714
+   0.52453   0.20850   0.42595   0.02955   0.00330   0.00004   0.01650
+   0.50617   0.19932   0.38135   0.02798   0.00366   0.00019   0.01593
+   0.48957   0.19098   0.34422   0.02654   0.00394   0.00038   0.01531
+   0.47397   0.18371   0.31262   0.02523   0.00414   0.00081   0.01476
+   0.45962   0.17699   0.28552   0.02408   0.00425   0.00117   0.01424
+   0.44645   0.17062   0.26195   0.02301   0.00430   0.00146   0.01376
+   0.43379   0.16509   0.24154   0.02199   0.00437   0.00166   0.01324
+   0.42214   0.15976   0.22369   0.02109   0.00437   0.00175   0.01278
+   0.41125   0.15479   0.20790   0.02027   0.00436   0.00184   0.01234
+   0.40096   0.15024   0.19381   0.01951   0.00435   0.00197   0.01192
+   0.39123   0.14597   0.18133   0.01877   0.00435   0.00207   0.01152
+   0.38211   0.14197   0.17020   0.01808   0.00433   0.00213   0.01116
+   0.37346   0.13819   0.16021   0.01745   0.00427   0.00216   0.01085
+   0.36529   0.13458   0.15119   0.01686   0.00420   0.00217   0.01054
+   0.35756   0.13114   0.14300   0.01630   0.00412   0.00218   0.01025
+   0.35018   0.12798   0.13552   0.01577   0.00405   0.00217   0.00995
+   0.57906   0.22822   0.52500   0.02649   0.00045   0.00008   0.01358
+   0.55024   0.21418   0.44956   0.02462   0.00152   0.00011   0.01309
+   0.52505   0.20198   0.39049   0.02301   0.00214   0.00006   0.01258
+   0.50254   0.19153   0.34299   0.02160   0.00258   0.00003   0.01210
+   0.48248   0.18217   0.30431   0.02032   0.00279   0.00011   0.01172
+   0.46424   0.17397   0.27230   0.01927   0.00291   0.00032   0.01116
+   0.44763   0.16650   0.24541   0.01831   0.00297   0.00066   0.01064
+   0.43226   0.15985   0.22241   0.01736   0.00309   0.00091   0.01025
+   0.41819   0.15368   0.20277   0.01648   0.00315   0.00101   0.00989
+   0.40497   0.14804   0.18603   0.01575   0.00314   0.00119   0.00950
+   0.39280   0.14277   0.17132   0.01506   0.00312   0.00122   0.00915
+   0.38152   0.13792   0.15844   0.01441   0.00310   0.00127   0.00882
+   0.37100   0.13346   0.14717   0.01379   0.00310   0.00139   0.00847
+   0.36099   0.12929   0.13713   0.01324   0.00308   0.00142   0.00818
+   0.35161   0.12540   0.12819   0.01272   0.00306   0.00144   0.00792
+   0.34274   0.12172   0.12017   0.01224   0.00303   0.00146   0.00767
+   0.33438   0.11830   0.11297   0.01181   0.00296   0.00148   0.00740
+   0.32649   0.11511   0.10648   0.01143   0.00288   0.00151   0.00713
+   0.31905   0.11203   0.10065   0.01104   0.00285   0.00153   0.00693
+   0.55791   0.21106   0.43664   0.01940   0.00038   0.00009   0.01003
+   0.52628   0.19682   0.36873   0.01801   0.00112   0.00010   0.00953
+   0.49904   0.18454   0.31621   0.01672   0.00157   0.00014   0.00917
+   0.47548   0.17360   0.27482   0.01566   0.00186   0.00011   0.00873
+   0.45388   0.16462   0.24149   0.01466   0.00202   0.00005   0.00842
+   0.43473   0.15646   0.21431   0.01380   0.00219   0.00022   0.00802
+   0.41745   0.14912   0.19183   0.01299   0.00230   0.00048   0.00770
+   0.40159   0.14253   0.17280   0.01231   0.00231   0.00060   0.00735
+   0.38700   0.13658   0.15660   0.01164   0.00239   0.00073   0.00707
+   0.37350   0.13115   0.14282   0.01107   0.00239   0.00083   0.00678
+   0.36126   0.12610   0.13080   0.01052   0.00234   0.00092   0.00651
+   0.34991   0.12144   0.12039   0.01001   0.00230   0.00099   0.00625
+   0.33921   0.11715   0.11137   0.00956   0.00230   0.00101   0.00600
+   0.32908   0.11321   0.10339   0.00917   0.00225   0.00101   0.00580
+   0.31967   0.10953   0.09630   0.00881   0.00221   0.00103   0.00561
+   0.31090   0.10603   0.08996   0.00848   0.00220   0.00111   0.00540
+   0.30254   0.10280   0.08430   0.00816   0.00217   0.00113   0.00521
+   0.29460   0.09980   0.07923   0.00786   0.00212   0.00111   0.00506
+   0.28720   0.09697   0.07468   0.00756   0.00208   0.00110   0.00489
+   0.53060   0.19336   0.36137   0.01417   0.00014  -0.00011   0.00712
+   0.49735   0.17892   0.30107   0.01298   0.00079  -0.00010   0.00682
+   0.46895   0.16651   0.25536   0.01208   0.00104  -0.00012   0.00649
+   0.44409   0.15618   0.21949   0.01123   0.00128  -0.00010   0.00620
+   0.42192   0.14732   0.19122   0.01047   0.00150  -0.00009   0.00590
+   0.40241   0.13938   0.16852   0.00980   0.00151   0.00003   0.00573
+   0.38484   0.13229   0.14965   0.00924   0.00156   0.00032   0.00540
+   0.36884   0.12602   0.13403   0.00868   0.00166   0.00041   0.00512
+   0.35449   0.12018   0.12071   0.00816   0.00160   0.00044   0.00496
+   0.34094   0.11499   0.10955   0.00779   0.00159   0.00053   0.00470
+   0.32844   0.11029   0.09995   0.00740   0.00162   0.00060   0.00451
+   0.31699   0.10598   0.09162   0.00703   0.00163   0.00064   0.00434
+   0.30649   0.10197   0.08434   0.00670   0.00160   0.00065   0.00419
+   0.29671   0.09822   0.07796   0.00638   0.00158   0.00068   0.00398
+   0.28756   0.09476   0.07235   0.00609   0.00155   0.00070   0.00381
+   0.27885   0.09152   0.06741   0.00586   0.00152   0.00069   0.00370
+   0.27070   0.08852   0.06300   0.00567   0.00148   0.00070   0.00358
+   0.26305   0.08572   0.05905   0.00550   0.00142   0.00073   0.00345
+   0.25587   0.08311   0.05547   0.00529   0.00140   0.00073   0.00333
+   0.49908   0.17408   0.29605   0.00990   0.00033   0.00008   0.00522
+   0.46459   0.16002   0.24350   0.00917   0.00063   0.00011   0.00492
+   0.43516   0.14840   0.20401   0.00842   0.00095   0.00014   0.00468
+   0.40998   0.13838   0.17383   0.00784   0.00099   0.00012   0.00447
+   0.38805   0.12984   0.15027   0.00719   0.00108   0.00010   0.00432
+   0.36837   0.12231   0.13143   0.00675   0.00119   0.00021   0.00401
+   0.35060   0.11573   0.11599   0.00638   0.00116   0.00025   0.00382
+   0.33482   0.10974   0.10316   0.00599   0.00123   0.00036   0.00362
+   0.32064   0.10434   0.09247   0.00564   0.00121   0.00044   0.00340
+   0.30723   0.09953   0.08347   0.00534   0.00123   0.00043   0.00334
+   0.29510   0.09520   0.07575   0.00506   0.00121   0.00045   0.00320
+   0.28400   0.09123   0.06913   0.00481   0.00119   0.00048   0.00304
+   0.27376   0.08751   0.06344   0.00457   0.00119   0.00049   0.00289
+   0.26437   0.08406   0.05842   0.00434   0.00116   0.00051   0.00276
+   0.25558   0.08090   0.05402   0.00414   0.00113   0.00052   0.00264
+   0.24712   0.07800   0.05016   0.00400   0.00109   0.00052   0.00256
+   0.23931   0.07529   0.04673   0.00385   0.00105   0.00052   0.00244
+   0.23205   0.07277   0.04368   0.00370   0.00100   0.00051   0.00231
+   0.22529   0.07038   0.04091   0.00355   0.00098   0.00052   0.00224
+   0.46373   0.15569   0.24168   0.00703   0.00011  -0.00004   0.00358
+   0.42883   0.14223   0.19619   0.00645   0.00040  -0.00005   0.00339
+   0.39945   0.13108   0.16243   0.00591   0.00055  -0.00002   0.00326
+   0.37439   0.12158   0.13734   0.00545   0.00074   0.00001   0.00306
+   0.35256   0.11362   0.11768   0.00504   0.00080   0.00006   0.00298
+   0.33333   0.10649   0.10211   0.00473   0.00084   0.00009   0.00278
+   0.31618   0.10034   0.08945   0.00442   0.00084   0.00017   0.00258
+   0.30062   0.09488   0.07910   0.00415   0.00082   0.00020   0.00250
+   0.28678   0.08995   0.07053   0.00391   0.00083   0.00025   0.00241
+   0.27431   0.08545   0.06334   0.00368   0.00084   0.00028   0.00220
+   0.26270   0.08145   0.05722   0.00347   0.00083   0.00031   0.00209
+   0.25202   0.07781   0.05198   0.00329   0.00081   0.00032   0.00201
+   0.24224   0.07445   0.04748   0.00315   0.00079   0.00033   0.00192
+   0.23325   0.07133   0.04357   0.00301   0.00075   0.00034   0.00183
+   0.22490   0.06849   0.04017   0.00287   0.00072   0.00034   0.00175
+   0.21699   0.06592   0.03718   0.00272   0.00071   0.00033   0.00165
+   0.20972   0.06347   0.03453   0.00259   0.00070   0.00033   0.00158
+   0.20301   0.06114   0.03216   0.00247   0.00068   0.00033   0.00154
+   0.19662   0.05903   0.03008   0.00237   0.00066   0.00033   0.00149
+   0.42620   0.13706   0.19493   0.00480   0.00013   0.00004   0.00250
+   0.39171   0.12435   0.15650   0.00431   0.00036   0.00008   0.00244
+   0.36261   0.11398   0.12830   0.00407   0.00046   0.00008   0.00226
+   0.33811   0.10527   0.10735   0.00364   0.00054  -0.00002   0.00216
+   0.31654   0.09805   0.09125   0.00347   0.00063   0.00000   0.00199
+   0.29823   0.09148   0.07860   0.00319   0.00058   0.00001   0.00182
+   0.28164   0.08586   0.06843   0.00301   0.00061   0.00008   0.00175
+   0.26713   0.08090   0.06016   0.00279   0.00059   0.00016   0.00169
+   0.25390   0.07646   0.05335   0.00258   0.00060   0.00017   0.00158
+   0.24180   0.07252   0.04768   0.00247   0.00056   0.00017   0.00146
+   0.23079   0.06889   0.04289   0.00236   0.00055   0.00019   0.00140
+   0.22087   0.06556   0.03880   0.00221   0.00055   0.00021   0.00136
+   0.21196   0.06251   0.03528   0.00200   0.00052   0.00020   0.00132
+   0.20350   0.05979   0.03228   0.00193   0.00051   0.00023   0.00122
+   0.19562   0.05730   0.02966   0.00189   0.00050   0.00024   0.00113
+   0.18816   0.05496   0.02736   0.00186   0.00048   0.00022   0.00111
+   0.18145   0.05279   0.02534   0.00177   0.00045   0.00021   0.00106
+   0.17537   0.05078   0.02357   0.00164   0.00042   0.00020   0.00101
+   0.16953   0.04891   0.02199   0.00157   0.00042   0.00021   0.00097
+   0.38732   0.11954   0.15628   0.00319   0.00014   0.00003   0.00169
+   0.35349   0.10781   0.12384   0.00299   0.00024   0.00007   0.00163
+   0.32553   0.09833   0.10064   0.00269   0.00037   0.00005   0.00156
+   0.30185   0.09039   0.08341   0.00251   0.00033  -0.00002   0.00139
+   0.28162   0.08356   0.07036   0.00236   0.00035   0.00002   0.00128
+   0.26397   0.07783   0.06008   0.00221   0.00037   0.00005   0.00120
+   0.24850   0.07272   0.05200   0.00209   0.00039   0.00009   0.00114
+   0.23474   0.06822   0.04547   0.00192   0.00038   0.00011   0.00108
+   0.22240   0.06428   0.04011   0.00179   0.00035   0.00009   0.00105
+   0.21128   0.06075   0.03567   0.00168   0.00038   0.00013   0.00096
+   0.20123   0.05754   0.03195   0.00153   0.00036   0.00010   0.00091
+   0.19206   0.05464   0.02881   0.00143   0.00035   0.00009   0.00086
+   0.18360   0.05201   0.02611   0.00139   0.00036   0.00014   0.00081
+   0.17576   0.04961   0.02381   0.00132   0.00030   0.00012   0.00075
+   0.16855   0.04741   0.02180   0.00127   0.00026   0.00010   0.00070
+   0.16186   0.04538   0.02005   0.00123   0.00027   0.00011   0.00067
+   0.15577   0.04351   0.01853   0.00117   0.00027   0.00010   0.00065
+   0.15019   0.04179   0.01719   0.00108   0.00028   0.00010   0.00065
+   0.14492   0.04018   0.01600   0.00104   0.00028   0.00012   0.00063
+   0.34795   0.10291   0.12412   0.00212   0.00008  -0.00003   0.00108
+   0.31533   0.09223   0.09698   0.00198   0.00011   0.00003   0.00109
+   0.28844   0.08352   0.07782   0.00187   0.00028   0.00002   0.00097
+   0.26642   0.07636   0.06385   0.00166   0.00022   0.00000   0.00095
+   0.24746   0.07031   0.05337   0.00149   0.00026  -0.00001   0.00089
+   0.23093   0.06512   0.04528   0.00139   0.00027   0.00002   0.00086
+   0.21638   0.06065   0.03897   0.00136   0.00029   0.00008   0.00079
+   0.20357   0.05676   0.03384   0.00126   0.00026   0.00007   0.00075
+   0.19247   0.05318   0.02968   0.00110   0.00028   0.00009   0.00073
+   0.18207   0.05010   0.02626   0.00103   0.00028   0.00010   0.00066
+   0.17272   0.04732   0.02340   0.00101   0.00027   0.00010   0.00063
+   0.16430   0.04480   0.02100   0.00097   0.00026   0.00010   0.00060
+   0.15671   0.04251   0.01897   0.00087   0.00025   0.00010   0.00057
+   0.14968   0.04044   0.01723   0.00083   0.00024   0.00010   0.00054
+   0.14326   0.03855   0.01573   0.00079   0.00023   0.00011   0.00051
+   0.13737   0.03681   0.01443   0.00072   0.00024   0.00010   0.00048
+   0.13186   0.03520   0.01329   0.00069   0.00024   0.00010   0.00046
+   0.12673   0.03371   0.01229   0.00069   0.00024   0.00012   0.00046
+   0.12204   0.03233   0.01141   0.00067   0.00024   0.00014   0.00045
+   0.30892   0.08752   0.09759   0.00137   0.00003  -0.00009   0.00067
+   0.27826   0.07794   0.07533   0.00131   0.00004  -0.00008   0.00065
+   0.25331   0.07024   0.05980   0.00118   0.00010  -0.00004   0.00063
+   0.23249   0.06389   0.04868   0.00111   0.00018   0.00000   0.00060
+   0.21490   0.05861   0.04031   0.00098   0.00019  -0.00007   0.00051
+   0.19984   0.05399   0.03401   0.00092   0.00021  -0.00003   0.00051
+   0.18658   0.05010   0.02904   0.00084   0.00020   0.00001   0.00052
+   0.17483   0.04668   0.02510   0.00081   0.00017   0.00000   0.00047
+   0.16452   0.04371   0.02189   0.00076   0.00015   0.00000   0.00040
+   0.15535   0.04100   0.01927   0.00069   0.00016   0.00003   0.00038
+   0.14706   0.03857   0.01710   0.00063   0.00014   0.00004   0.00037
+   0.13955   0.03640   0.01529   0.00060   0.00014   0.00004   0.00036
+   0.13269   0.03447   0.01377   0.00057   0.00016   0.00005   0.00035
+   0.12645   0.03271   0.01247   0.00053   0.00015   0.00006   0.00033
+   0.12075   0.03110   0.01135   0.00050   0.00015   0.00006   0.00031
+   0.11548   0.02961   0.01039   0.00047   0.00015   0.00005   0.00032
+   0.11064   0.02826   0.00955   0.00044   0.00015   0.00004   0.00030
+   0.10617   0.02703   0.00881   0.00041   0.00015   0.00004   0.00028
+   0.10199   0.02587   0.00815   0.00039   0.00014   0.00004   0.00026
+   0.27066   0.07337   0.07572   0.00094   0.00001  -0.00001   0.00045
+   0.24242   0.06492   0.05777   0.00083   0.00002  -0.00006   0.00044
+   0.21934   0.05817   0.04538   0.00076   0.00008  -0.00007   0.00036
+   0.20047   0.05262   0.03659   0.00071   0.00015  -0.00001   0.00040
+   0.18422   0.04805   0.03006   0.00071   0.00011   0.00001   0.00035
+   0.17066   0.04415   0.02517   0.00057   0.00009  -0.00003   0.00031
+   0.15879   0.04081   0.02135   0.00052   0.00010  -0.00003   0.00030
+   0.14842   0.03785   0.01833   0.00050   0.00010  -0.00001   0.00028
+   0.13925   0.03531   0.01592   0.00044   0.00012   0.00002   0.00027
+   0.13087   0.03300   0.01396   0.00046   0.00010   0.00004   0.00025
+   0.12347   0.03098   0.01233   0.00042   0.00010   0.00003   0.00024
+   0.11688   0.02917   0.01098   0.00038   0.00011   0.00003   0.00022
+   0.11098   0.02753   0.00984   0.00034   0.00012   0.00003   0.00022
+   0.10549   0.02604   0.00888   0.00032   0.00012   0.00004   0.00022
+   0.10047   0.02470   0.00806   0.00030   0.00012   0.00004   0.00021
+   0.09583   0.02347   0.00735   0.00029   0.00011   0.00004   0.00019
+   0.09160   0.02235   0.00674   0.00027   0.00010   0.00004   0.00018
+   0.08771   0.02131   0.00621   0.00025   0.00010   0.00004   0.00017
+   0.08407   0.02036   0.00574   0.00024   0.00009   0.00004   0.00017
+   0.23439   0.06066   0.05814   0.00061  -0.00005  -0.00004   0.00023
+   0.20844   0.05330   0.04371   0.00057   0.00001  -0.00005   0.00023
+   0.18736   0.04749   0.03394   0.00052   0.00003  -0.00006   0.00021
+   0.17043   0.04271   0.02705   0.00043   0.00006  -0.00007   0.00022
+   0.15603   0.03880   0.02208   0.00040   0.00008  -0.00006   0.00021
+   0.14388   0.03549   0.01832   0.00036   0.00007  -0.00003   0.00020
+   0.13339   0.03262   0.01545   0.00033   0.00008  -0.00003   0.00019
+   0.12407   0.03015   0.01317   0.00032   0.00010   0.00000   0.00019
+   0.11596   0.02800   0.01138   0.00028   0.00010   0.00000   0.00018
+   0.10871   0.02612   0.00993   0.00027   0.00008   0.00002   0.00018
+   0.10225   0.02443   0.00874   0.00026   0.00008   0.00002   0.00018
+   0.09646   0.02293   0.00775   0.00024   0.00008   0.00002   0.00017
+   0.09124   0.02160   0.00692   0.00020   0.00010   0.00003   0.00016
+   0.08647   0.02037   0.00622   0.00019   0.00008   0.00003   0.00014
+   0.08216   0.01926   0.00563   0.00017   0.00006   0.00002   0.00013
+   0.07827   0.01826   0.00512   0.00015   0.00007   0.00003   0.00013
+   0.07463   0.01734   0.00468   0.00013   0.00007   0.00003   0.00012
+   0.07126   0.01649   0.00430   0.00013   0.00006   0.00002   0.00011
+   0.06814   0.01573   0.00396   0.00013   0.00006   0.00002   0.00010
+   0.20032   0.04927   0.04383   0.00029  -0.00002  -0.00005   0.00015
+   0.17661   0.04304   0.03254   0.00030   0.00000  -0.00006   0.00012
+   0.15799   0.03806   0.02497   0.00029   0.00002  -0.00005   0.00014
+   0.14274   0.03405   0.01970   0.00027   0.00001  -0.00005   0.00013
+   0.13017   0.03075   0.01593   0.00022   0.00003  -0.00004   0.00012
+   0.11930   0.02800   0.01314   0.00025   0.00006  -0.00001   0.00015
+   0.11016   0.02567   0.01099   0.00020   0.00007  -0.00001   0.00013
+   0.10216   0.02364   0.00931   0.00016   0.00006  -0.00001   0.00012
+   0.09517   0.02186   0.00801   0.00014   0.00006   0.00000   0.00013
+   0.08893   0.02031   0.00694   0.00012   0.00006   0.00001   0.00012
+   0.08334   0.01894   0.00608   0.00013   0.00007   0.00003   0.00011
+   0.07834   0.01772   0.00537   0.00014   0.00007   0.00004   0.00011
+   0.07387   0.01663   0.00478   0.00012   0.00005   0.00002   0.00010
+   0.06985   0.01564   0.00429   0.00010   0.00006   0.00002   0.00010
+   0.06620   0.01475   0.00387   0.00009   0.00006   0.00002   0.00009
+   0.06282   0.01394   0.00351   0.00008   0.00006   0.00002   0.00008
+   0.05976   0.01321   0.00320   0.00008   0.00006   0.00003   0.00008
+   0.05697   0.01254   0.00293   0.00007   0.00006   0.00003   0.00008
+   0.05438   0.01193   0.00270   0.00007   0.00006   0.00003   0.00008
+   0.16842   0.03952   0.03271   0.00026  -0.00005  -0.00008   0.00006
+   0.14762   0.03422   0.02394   0.00026  -0.00003  -0.00010   0.00004
+   0.13148   0.03011   0.01817   0.00020  -0.00001  -0.00005   0.00006
+   0.11817   0.02683   0.01422   0.00017   0.00004  -0.00004   0.00007
+   0.10712   0.02412   0.01141   0.00017   0.00001  -0.00003   0.00008
+   0.09783   0.02185   0.00933   0.00015   0.00002  -0.00003   0.00007
+   0.08997   0.01995   0.00776   0.00012   0.00004  -0.00003   0.00007
+   0.08309   0.01829   0.00655   0.00011   0.00005  -0.00003   0.00007
+   0.07708   0.01687   0.00559   0.00010   0.00005   0.00000   0.00008
+   0.07178   0.01561   0.00484   0.00011   0.00004   0.00001   0.00007
+   0.06707   0.01451   0.00422   0.00010   0.00003   0.00000   0.00005
+   0.06287   0.01353   0.00371   0.00009   0.00003   0.00000   0.00005
+   0.05911   0.01268   0.00329   0.00009   0.00004   0.00001   0.00005
+   0.05577   0.01189   0.00294   0.00007   0.00004   0.00001   0.00005
+   0.05274   0.01118   0.00265   0.00006   0.00004   0.00002   0.00005
+   0.04992   0.01056   0.00240   0.00006   0.00003   0.00002   0.00005
+   0.04738   0.00998   0.00218   0.00005   0.00003   0.00002   0.00005
+   0.04507   0.00944   0.00199   0.00005   0.00004   0.00001   0.00004
+   0.04293   0.00896   0.00183   0.00004   0.00003   0.00001   0.00004
+   0.13926   0.03092   0.02385   0.00013  -0.00003  -0.00002   0.00002
+   0.12138   0.02666   0.01727   0.00012  -0.00001  -0.00002   0.00003
+   0.10736   0.02331   0.01299   0.00010  -0.00003  -0.00002   0.00003
+   0.09611   0.02066   0.01009   0.00008  -0.00001  -0.00001   0.00003
+   0.08660   0.01850   0.00802   0.00011   0.00000  -0.00001   0.00003
+   0.07881   0.01670   0.00652   0.00009   0.00000  -0.00002   0.00002
+   0.07218   0.01518   0.00539   0.00008   0.00000  -0.00001   0.00003
+   0.06646   0.01388   0.00452   0.00007   0.00001  -0.00002   0.00003
+   0.06152   0.01276   0.00384   0.00004   0.00000  -0.00002   0.00001
+   0.05706   0.01179   0.00331   0.00005   0.00001   0.00000   0.00003
+   0.05316   0.01093   0.00287   0.00005   0.00001   0.00000   0.00003
+   0.04970   0.01016   0.00252   0.00004   0.00001   0.00000   0.00002
+   0.04660   0.00948   0.00223   0.00004   0.00000  -0.00001   0.00001
+   0.04381   0.00887   0.00199   0.00004   0.00000  -0.00001   0.00001
+   0.04129   0.00833   0.00178   0.00004   0.00001  -0.00001   0.00002
+   0.03898   0.00784   0.00161   0.00004   0.00000  -0.00001   0.00001
+   0.03689   0.00739   0.00146   0.00004   0.00001   0.00000   0.00001
+   0.03500   0.00699   0.00133   0.00004   0.00001   0.00000   0.00001
+   0.03327   0.00662   0.00122   0.00004   0.00001   0.00000   0.00001
+   0.09026   0.01780   0.01192   0.00001  -0.00002  -0.00001  -0.00001
+   0.07738   0.01511   0.00837   0.00005  -0.00001  -0.00001   0.00000
+   0.06751   0.01303   0.00614   0.00003   0.00000  -0.00003  -0.00001
+   0.05979   0.01142   0.00466   0.00001   0.00000  -0.00001   0.00001
+   0.05335   0.01011   0.00364   0.00001   0.00001  -0.00001   0.00001
+   0.04812   0.00904   0.00291   0.00001   0.00001   0.00001   0.00001
+   0.04360   0.00814   0.00237   0.00002   0.00001   0.00001   0.00001
+   0.03977   0.00738   0.00196   0.00002   0.00001   0.00000   0.00001
+   0.03645   0.00672   0.00165   0.00002   0.00000   0.00000   0.00001
+   0.03360   0.00616   0.00140   0.00001   0.00000   0.00000   0.00001
+   0.03108   0.00567   0.00121   0.00001   0.00001   0.00000   0.00001
+   0.02885   0.00523   0.00105   0.00001   0.00001   0.00000   0.00001
+   0.02686   0.00485   0.00092   0.00001   0.00001   0.00000   0.00001
+   0.02514   0.00452   0.00082   0.00000   0.00001   0.00000   0.00001
+   0.02359   0.00422   0.00073   0.00000   0.00001   0.00000   0.00001
+   0.02214   0.00395   0.00065   0.00000   0.00001   0.00000   0.00001
+   0.02084   0.00370   0.00059   0.00000   0.00001   0.00000   0.00001
+   0.01966   0.00348   0.00053   0.00000   0.00001   0.00000   0.00001
+   0.01859   0.00328   0.00049   0.00000   0.00001   0.00000   0.00001
+   0.05347   0.00926   0.00538   0.00002  -0.00001  -0.00001  -0.00001
+   0.04515   0.00773   0.00366   0.00002  -0.00001  -0.00001  -0.00001
+   0.03891   0.00658   0.00262   0.00000   0.00000  -0.00001   0.00000
+   0.03392   0.00569   0.00194   0.00002   0.00000   0.00000   0.00001
+   0.03000   0.00497   0.00148   0.00000   0.00000  -0.00001   0.00000
+   0.02673   0.00440   0.00117   0.00000   0.00000  -0.00001   0.00000
+   0.02398   0.00393   0.00094   0.00001   0.00000   0.00000   0.00000
+   0.02167   0.00353   0.00076   0.00001   0.00000   0.00000   0.00001
+   0.01971   0.00318   0.00064   0.00000   0.00000   0.00000   0.00000
+   0.01802   0.00289   0.00054   0.00000   0.00000   0.00000   0.00000
+   0.01654   0.00264   0.00046   0.00000   0.00000   0.00000   0.00000
+   0.01523   0.00242   0.00039   0.00000   0.00000   0.00000   0.00000
+   0.01407   0.00223   0.00034   0.00001   0.00000   0.00000   0.00000
+   0.01307   0.00206   0.00030   0.00001   0.00000   0.00000   0.00000
+   0.01218   0.00191   0.00027   0.00000   0.00000   0.00000   0.00000
+   0.01138   0.00178   0.00024   0.00000   0.00000   0.00000   0.00000
+   0.01066   0.00166   0.00021   0.00000   0.00000   0.00000   0.00000
+   0.01001   0.00155   0.00019   0.00000   0.00000   0.00000   0.00000
+   0.00941   0.00146   0.00018   0.00000   0.00000   0.00000   0.00000
+   0.02803   0.00416   0.00209   0.00001   0.00000   0.00000   0.00000
+   0.02331   0.00341   0.00138   0.00000   0.00000   0.00000   0.00000
+   0.01975   0.00287   0.00096   0.00000   0.00000   0.00000   0.00000
+   0.01700   0.00244   0.00069   0.00000   0.00000   0.00000   0.00000
+   0.01480   0.00211   0.00052   0.00000   0.00000   0.00000   0.00000
+   0.01304   0.00185   0.00040   0.00000   0.00000   0.00000   0.00000
+   0.01159   0.00163   0.00032   0.00000   0.00000   0.00000   0.00000
+   0.01036   0.00145   0.00026   0.00000   0.00000   0.00000   0.00000
+   0.00935   0.00130   0.00021   0.00000   0.00000   0.00000   0.00000
+   0.00845   0.00117   0.00017   0.00000   0.00000   0.00000   0.00000
+   0.00769   0.00106   0.00015   0.00000   0.00000   0.00000   0.00000
+   0.00703   0.00096   0.00013   0.00000   0.00000   0.00000   0.00000
+   0.00646   0.00088   0.00011   0.00000   0.00000   0.00000   0.00000
+   0.00596   0.00081   0.00010   0.00000   0.00000   0.00000   0.00000
+   0.00552   0.00074   0.00008   0.00000   0.00000   0.00000   0.00000
+   0.00512   0.00069   0.00007   0.00000   0.00000   0.00000   0.00000
+   0.00476   0.00064   0.00007   0.00000   0.00000   0.00000   0.00000
+   0.00444   0.00059   0.00006   0.00000   0.00000   0.00000   0.00000
+   0.00415   0.00055   0.00005   0.00000   0.00000   0.00000   0.00000
+   0.01242   0.00153   0.00066   0.00000   0.00000   0.00000   0.00000
+   0.01009   0.00123   0.00042   0.00000   0.00000   0.00000   0.00000
+   0.00839   0.00101   0.00028   0.00000   0.00000   0.00000   0.00000
+   0.00711   0.00085   0.00020   0.00000   0.00000   0.00000   0.00000
+   0.00609   0.00072   0.00014   0.00000   0.00000   0.00000   0.00000
+   0.00530   0.00062   0.00011   0.00000   0.00000   0.00000   0.00000
+   0.00464   0.00054   0.00008   0.00000   0.00000   0.00000   0.00000
+   0.00411   0.00048   0.00007   0.00000   0.00000   0.00000   0.00000
+   0.00366   0.00042   0.00005   0.00000   0.00000   0.00000   0.00000
+   0.00328   0.00038   0.00004   0.00000   0.00000   0.00000   0.00000
+   0.00295   0.00034   0.00004   0.00000   0.00000   0.00000   0.00000
+   0.00267   0.00030   0.00003   0.00000   0.00000   0.00000   0.00000
+   0.00243   0.00027   0.00003   0.00000   0.00000   0.00000   0.00000
+   0.00222   0.00025   0.00002   0.00000   0.00000   0.00000   0.00000
+   0.00204   0.00023   0.00002   0.00000   0.00000   0.00000   0.00000
+   0.00188   0.00021   0.00002   0.00000   0.00000   0.00000   0.00000
+   0.00173   0.00019   0.00002   0.00000   0.00000   0.00000   0.00000
+   0.00160   0.00018   0.00002   0.00000   0.00000   0.00000   0.00000
+   0.00149   0.00016   0.00001   0.00000   0.00000   0.00000   0.00000
+   0.00087   0.00006   0.00002   0.00000   0.00000   0.00000   0.00000
+   0.00067   0.00005   0.00001   0.00000   0.00000   0.00000   0.00000
+   0.00053   0.00004   0.00001   0.00000   0.00000   0.00000   0.00000
+   0.00043   0.00003   0.00001   0.00000   0.00000   0.00000   0.00000
+   0.00035   0.00002   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00029   0.00002   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00025   0.00002   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00021   0.00001   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00018   0.00001   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00016   0.00001   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00014   0.00001   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00012   0.00001   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00011   0.00001   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00010   0.00001   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00009   0.00001   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00008   0.00001   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00007   0.00001   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00006   0.00001   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00006   0.00001   0.00000   0.00000   0.00000   0.00000   0.00000

=== added file 'Template/lib/Pdfdata/mrse.dat'
--- Template/lib/Pdfdata/mrse.dat	1970-01-01 00:00:00 +0000
+++ Template/lib/Pdfdata/mrse.dat	2010-10-30 03:26:37 +0000
@@ -0,0 +1,874 @@
+   0.01969   0.00164   3.55118   0.02677   0.01216   0.00000   0.01946
+   0.02025   0.00179   7.57793   0.11090   0.09579   0.00000   0.10335
+   0.02075   0.00193  12.82172   0.23244   0.21686   0.00000   0.22466
+   0.02122   0.00206  19.10611   0.38098   0.36497   0.00000   0.37299
+   0.02166   0.00219  26.42712   0.55723   0.54081   0.00527   0.54903
+   0.02208   0.00231  34.72989   0.76021   0.74340   0.09839   0.75182
+   0.02247   0.00243  43.86465   0.98640   0.96922   0.35036   0.97782
+   0.02285   0.00255  53.84789   1.23724   1.21970   0.60648   1.22849
+   0.02321   0.00266  64.64539   1.51234   1.49447   0.88512   1.50342
+   0.02356   0.00277  76.23505   1.81150   1.79329   1.18905   1.80241
+   0.02389   0.00288  88.40460   2.12923   2.11070   1.51079   2.11999
+   0.02421   0.00299 101.12978   2.46556   2.44673   1.85100   2.45617
+   0.02452   0.00309 114.57822   2.82517   2.80604   2.21431   2.81563
+   0.02482   0.00320 128.30768   3.19645   3.17703   2.58910   3.18677
+   0.02510   0.00330 142.64317   3.58834   3.56864   2.98433   3.57852
+   0.02538   0.00340 157.33185   3.99421   3.97423   3.39339   3.98425
+   0.02566   0.00349 172.41893   4.41547   4.39523   3.81770   4.40538
+   0.02592   0.00359 187.84366   4.85052   4.83002   4.25568   4.84030
+   0.02618   0.00368 203.59419   5.29922   5.27846   4.70718   5.28887
+   0.02474   0.00250   3.47767   0.03182   0.01309   0.00000   0.02246
+   0.02542   0.00271   7.05854   0.11211   0.09276   0.00000   0.10244
+   0.02605   0.00291  11.55804   0.22072   0.20080   0.00000   0.21076
+   0.02663   0.00310  16.80583   0.34939   0.32894   0.00000   0.33918
+   0.02717   0.00329  22.78441   0.49870   0.47774   0.00442   0.48824
+   0.02768   0.00347  29.43698   0.66762   0.64619   0.08140   0.65692
+   0.02817   0.00364  36.63467   0.85308   0.83119   0.28833   0.84215
+   0.02863   0.00381  44.38515   1.05605   1.03373   0.49570   1.04491
+   0.02907   0.00397  52.65651   1.27606   1.25332   0.71861   1.26471
+   0.02950   0.00413  61.42758   1.51276   1.48962   0.95925   1.50121
+   0.02990   0.00429  70.53279   1.76171   1.73819   1.21152   1.74997
+   0.03030   0.00444  79.95409   2.02287   1.99898   1.47588   2.01095
+   0.03068   0.00459  89.81767   2.29982   2.27556   1.75587   2.28772
+   0.03104   0.00473  99.79204   2.58347   2.55887   2.04242   2.57120
+   0.03139   0.00487 110.12135   2.88072   2.85578   2.34242   2.86828
+   0.03174   0.00501 120.61844   3.18643   3.16117   2.65076   3.17383
+   0.03207   0.00515 131.31885   3.50168   3.47609   2.96851   3.48892
+   0.03239   0.00529 142.17978   3.82523   3.79933   3.29447   3.81231
+   0.03271   0.00542 153.19455   4.15697   4.13077   3.62852   4.14391
+   0.03097   0.00380   3.40545   0.03786   0.01385   0.00000   0.02586
+   0.03181   0.00411   6.57386   0.11364   0.08887   0.00000   0.10126
+   0.03258   0.00441  10.41684   0.21005   0.18457   0.00000   0.19732
+   0.03329   0.00468  14.77885   0.32099   0.29486   0.00000   0.30794
+   0.03395   0.00495  19.63823   0.44696   0.42022   0.00370   0.43361
+   0.03458   0.00521  24.94275   0.58701   0.55968   0.06707   0.57336
+   0.03518   0.00545  30.58560   0.73851   0.71063   0.23640   0.72460
+   0.03574   0.00569  36.57152   0.90217   0.87376   0.40367   0.88799
+   0.03628   0.00593  42.87396   1.07747   1.04856   0.58136   1.06304
+   0.03680   0.00616  49.47533   1.26407   1.23467   0.77119   1.24940
+   0.03730   0.00638  56.24904   1.45841   1.42855   0.96825   1.44351
+   0.03778   0.00659  63.18329   1.66044   1.63013   1.17289   1.64531
+   0.03824   0.00680  70.37444   1.87289   1.84215   1.38785   1.85756
+   0.03868   0.00701  77.57558   2.08875   2.05759   1.60607   2.07321
+   0.03911   0.00721  84.97078   2.31331   2.28175   1.83288   2.29757
+   0.03953   0.00740  92.42378   2.54265   2.51070   2.06436   2.52671
+   0.03994   0.00760  99.96243   2.77757   2.74524   2.30133   2.76145
+   0.04033   0.00779 107.55736   3.01718   2.98448   2.54290   3.00087
+   0.04071   0.00797 115.20648   3.26140   3.22834   2.78901   3.24491
+   0.03526   0.00486   3.36372   0.04194   0.01418   0.00000   0.02806
+   0.03620   0.00525   6.30520   0.11473   0.08611   0.00000   0.10042
+   0.03706   0.00561   9.80067   0.20434   0.17493   0.00000   0.18965
+   0.03786   0.00596  13.70569   0.30582   0.27567   0.00000   0.29076
+   0.03861   0.00629  17.99901   0.41964   0.38879   0.00332   0.40423
+   0.03931   0.00660  22.63300   0.54489   0.51339   0.05976   0.52916
+   0.03998   0.00691  27.51343   0.67924   0.64712   0.21006   0.66321
+   0.04061   0.00721  32.64497   0.82325   0.79054   0.35729   0.80692
+   0.04122   0.00749  38.00473   0.97644   0.94317   0.51259   0.95984
+   0.04180   0.00777  43.57787   1.13849   1.10468   0.67751   1.12162
+   0.04236   0.00804  49.25711   1.30629   1.27196   0.84772   1.28916
+   0.04289   0.00831  55.03409   1.47978   1.44496   1.02353   1.46241
+   0.04341   0.00856  60.99135   1.66135   1.62605   1.20731   1.64374
+   0.04391   0.00881  66.92216   1.84494   1.80917   1.39300   1.82710
+   0.04439   0.00906  72.98276   2.03511   1.99890   1.58516   2.01705
+   0.04486   0.00930  79.06006   2.22852   2.19188   1.78047   2.21024
+   0.04531   0.00953  85.17880   2.42586   2.38880   1.97963   2.40738
+   0.04575   0.00976  91.31627   2.62640   2.58893   2.18190   2.60771
+   0.04618   0.00999  97.47144   2.83007   2.79221   2.38724   2.81119
+   0.03862   0.00579   3.33430   0.04511   0.01434   0.00000   0.02973
+   0.03964   0.00624   6.12080   0.11562   0.08391   0.00000   0.09977
+   0.04057   0.00666   9.38464   0.20056   0.16799   0.00000   0.18429
+   0.04144   0.00707  12.99000   0.29571   0.26233   0.00000   0.27904
+   0.04225   0.00745  16.91681   0.40150   0.36738   0.00308   0.38446
+   0.04301   0.00782  21.12117   0.51711   0.48228   0.05500   0.49971
+   0.04373   0.00817  25.51753   0.64036   0.60486   0.19298   0.62264
+   0.04442   0.00851  30.11081   0.77175   0.73562   0.32733   0.75371
+   0.04508   0.00885  34.88095   0.91084   0.87409   0.46835   0.89250
+   0.04571   0.00917  39.81517   1.05730   1.01998   0.61745   1.03867
+   0.04631   0.00948  44.81833   1.20834   1.17046   0.77070   1.18944
+   0.04689   0.00978  49.88438   1.36391   1.32549   0.92840   1.34474
+   0.04745   0.01008  55.08754   1.52615   1.48722   1.09266   1.50673
+   0.04799   0.01037  60.24567   1.68963   1.65020   1.25806   1.66996
+   0.04851   0.01065  65.49797   1.85846   1.81855   1.42871   1.83855
+   0.04902   0.01093  70.74580   2.02965   1.98927   1.60163   2.00951
+   0.04951   0.01120  76.01181   2.20383   2.16301   1.77748   2.18347
+   0.04998   0.01146  81.27710   2.38035   2.33910   1.95559   2.35977
+   0.05044   0.01172  86.54155   2.55919   2.51751   2.13595   2.53840
+   0.04142   0.00662   3.31156   0.04774   0.01442   0.00000   0.03108
+   0.04250   0.00713   5.98113   0.11639   0.08206   0.00000   0.09923
+   0.04350   0.00761   9.07337   0.19779   0.16255   0.00000   0.18018
+   0.04442   0.00806  12.45933   0.28824   0.25213   0.00000   0.27020
+   0.04528   0.00850  16.12036   0.38814   0.35124   0.00290   0.36971
+   0.04609   0.00891  20.01555   0.49671   0.45906   0.05154   0.47791
+   0.04686   0.00931  24.06589   0.61192   0.57356   0.18058   0.59277
+   0.04759   0.00969  28.27670   0.73422   0.69518   0.30565   0.71473
+   0.04829   0.01006  32.63007   0.86318   0.82350   0.43642   0.84337
+   0.04896   0.01042  37.11482   0.99852   0.95822   0.57421   0.97840
+   0.04960   0.01077  41.64456   1.13763   1.09674   0.71539   1.11722
+   0.05022   0.01111  46.21478   1.28049   1.23903   0.86023   1.25980
+   0.05081   0.01144  50.89389   1.42906   1.38706   1.01069   1.40810
+   0.05138   0.01176  55.51700   1.57837   1.53584   1.16179   1.55715
+   0.05194   0.01208  60.21161   1.73220   1.68916   1.31732   1.71072
+   0.05247   0.01238  64.88875   1.88780   1.84428   1.47454   1.86609
+   0.05299   0.01268  69.56979   2.04578   2.00179   1.63408   2.02384
+   0.05350   0.01297  74.23846   2.20556   2.16111   1.79534   2.18339
+   0.05399   0.01326  78.89542   2.36711   2.32221   1.95830   2.34471
+   0.05129   0.01008   3.24108   0.05701   0.01435   0.00000   0.03568
+   0.05260   0.01081   5.56440   0.11936   0.07547   0.00000   0.09742
+   0.05380   0.01150   8.16462   0.19026   0.14524   0.00000   0.16776
+   0.05491   0.01216  10.93508   0.26719   0.22114   0.00000   0.24419
+   0.05595   0.01277  13.86261   0.35049   0.30347   0.00239   0.32701
+   0.05692   0.01336  16.91634   0.43949   0.39156   0.04195   0.41555
+   0.05785   0.01393  20.03601   0.53256   0.48378   0.14635   0.50821
+   0.05873   0.01447  23.22879   0.63006   0.58047   0.24610   0.60530
+   0.05957   0.01500  26.48306   0.73164   0.68128   0.34911   0.70650
+   0.06037   0.01550  29.79247   0.83707   0.78598   0.45652   0.81156
+   0.06114   0.01600  33.09380   0.94435   0.89256   0.56546   0.91850
+   0.06189   0.01647  36.38672   1.05348   1.00103   0.67618   1.02730
+   0.06260   0.01693  39.72456   1.16601   1.11291   0.79023   1.13951
+   0.06329   0.01738  42.98737   1.27814   1.22443   0.90379   1.25134
+   0.06396   0.01782  46.27136   1.39279   1.33849   1.01980   1.36570
+   0.06460   0.01824  49.51346   1.50791   1.45303   1.13622   1.48053
+   0.06523   0.01866  52.73123   1.62398   1.56855   1.25352   1.59632
+   0.06583   0.01906  55.91472   1.74060   1.68463   1.37133   1.71267
+   0.06642   0.01946  59.06604   1.85776   1.80128   1.48963   1.82959
+   0.06312   0.01532   3.17002   0.06828   0.01370   0.00000   0.04099
+   0.06468   0.01638   5.16969   0.12364   0.06759   0.00000   0.09563
+   0.06612   0.01737   7.33247   0.18477   0.12736   0.00000   0.15609
+   0.06745   0.01830   9.57375   0.24974   0.19108   0.00000   0.22044
+   0.06869   0.01918  11.88702   0.31870   0.25890   0.00197   0.28883
+   0.06986   0.02002  14.25123   0.39114   0.33026   0.03389   0.36074
+   0.07096   0.02081  16.62263   0.46579   0.40391   0.11774   0.43489
+   0.07202   0.02158  19.01031   0.54292   0.48009   0.19668   0.51155
+   0.07302   0.02231  21.40820   0.62230   0.55856   0.27718   0.59048
+   0.07399   0.02302  23.81401   0.70376   0.63917   0.36021   0.67151
+   0.07491   0.02371  26.18272   0.78579   0.72038   0.44356   0.75314
+   0.07580   0.02437  28.51712   0.86842   0.80224   0.52745   0.83538
+   0.07665   0.02501  30.85878   0.95286   0.88594   0.61310   0.91946
+   0.07748   0.02563  33.12164   1.03627   0.96864   0.69764   1.00251
+   0.07828   0.02623  35.37822   1.12088   1.05257   0.78334   1.08679
+   0.07905   0.02681  37.58440   1.20518   1.13621   0.86867   1.17076
+   0.07980   0.02738  39.75458   1.28957   1.21997   0.95405   1.25484
+   0.08052   0.02794  41.88326   1.37377   1.30357   1.03919   1.33874
+   0.08123   0.02848  43.97327   1.45782   1.38703   1.12414   1.42250
+   0.07103   0.01957   3.12746   0.07602   0.01306   0.00000   0.04454
+   0.07276   0.02087   4.94634   0.12710   0.06250   0.00000   0.09481
+   0.07435   0.02209   6.87434   0.18287   0.11677   0.00000   0.14984
+   0.07583   0.02323   8.83935   0.24146   0.17400   0.00000   0.20776
+   0.07720   0.02431  10.83883   0.30296   0.23423   0.00174   0.26863
+   0.07850   0.02532  12.85715   0.36688   0.29699   0.02977   0.33197
+   0.07973   0.02629  14.85900   0.43218   0.36120   0.10318   0.39673
+   0.08090   0.02722  16.85452   0.49910   0.42709   0.17167   0.46314
+   0.08202   0.02811  18.84047   0.56745   0.49445   0.24100   0.53100
+   0.08309   0.02897  20.81647   0.63710   0.56319   0.31202   0.60020
+   0.08411   0.02979  22.74634   0.70681   0.63202   0.38287   0.66947
+   0.08510   0.03059  24.63399   0.77660   0.70098   0.45376   0.73885
+   0.08605   0.03136  26.51529   0.84754   0.77112   0.52575   0.80939
+   0.08696   0.03210  28.32024   0.91723   0.84005   0.59643   0.87870
+   0.08785   0.03282  30.10986   0.98758   0.90968   0.66773   0.94870
+   0.08871   0.03352  31.84877   1.05735   0.97875   0.73840   1.01812
+   0.08954   0.03420  33.54977   1.12688   1.04761   0.80880   1.08732
+   0.09034   0.03486  35.20918   1.19596   1.11605   0.87871   1.15608
+   0.09112   0.03550  36.83008   1.26464   1.18411   0.94818   1.22445
+   0.07712   0.02327   3.09642   0.08215   0.01250   0.00000   0.04733
+   0.07898   0.02478   4.78999   0.13018   0.05879   0.00000   0.09450
+   0.08069   0.02619   6.55923   0.18230   0.10932   0.00000   0.14583
+   0.08228   0.02750   8.34077   0.23662   0.16220   0.00000   0.19944
+   0.08376   0.02873  10.13480   0.29316   0.21740   0.00160   0.25531
+   0.08516   0.02990  11.92930   0.35150   0.27450   0.02708   0.31304
+   0.08648   0.03100  13.69447   0.41071   0.33256   0.09368   0.37168
+   0.08774   0.03206  15.44109   0.47102   0.39179   0.15541   0.43145
+   0.08895   0.03308  17.16765   0.53227   0.45202   0.21755   0.49220
+   0.09010   0.03405  18.87506   0.59438   0.51317   0.28090   0.55383
+   0.09121   0.03499  20.53249   0.65624   0.57412   0.34380   0.61524
+   0.09227   0.03589  22.14458   0.71792   0.63493   0.40647   0.67649
+   0.09329   0.03677  23.74359   0.78034   0.69653   0.46985   0.73850
+   0.09428   0.03761  25.26930   0.84143   0.75684   0.53185   0.79920
+   0.09523   0.03842  26.77559   0.90289   0.81754   0.59417   0.86028
+   0.09616   0.03921  28.23242   0.96362   0.87755   0.65572   0.92066
+   0.09705   0.03997  29.65150   1.02394   0.93718   0.71683   0.98064
+   0.09792   0.04072  31.03018   1.08369   0.99627   0.77734   1.04006
+   0.09876   0.04144  32.37166   1.14291   1.05486   0.83728   1.09896
+   0.08212   0.02662   3.07130   0.08745   0.01218   0.00000   0.04982
+   0.08410   0.02830   4.66720   0.13350   0.05641   0.00000   0.09497
+   0.08592   0.02986   6.31461   0.18291   0.10417   0.00000   0.14357
+   0.08761   0.03132   7.95718   0.23401   0.15378   0.00000   0.19393
+   0.08918   0.03268   9.59719   0.28682   0.20521   0.00149   0.24605
+   0.09067   0.03397  11.22517   0.34097   0.25809   0.02506   0.29957
+   0.09208   0.03519  12.81593   0.39563   0.31157   0.08658   0.35365
+   0.09342   0.03636  14.38059   0.45104   0.36587   0.14329   0.40850
+   0.09470   0.03748  15.91868   0.50705   0.42084   0.20011   0.46400
+   0.09593   0.03855  17.43187   0.56361   0.47642   0.25781   0.52007
+   0.09710   0.03958  18.89348   0.61975   0.53162   0.31490   0.57575
+   0.09823   0.04057  20.30833   0.67549   0.58649   0.37157   0.63105
+   0.09932   0.04152  21.70607   0.73173   0.64189   0.42869   0.68687
+   0.10037   0.04244  23.03284   0.78659   0.69596   0.48439   0.74134
+   0.10138   0.04333  24.33833   0.84162   0.75023   0.54022   0.79600
+   0.10236   0.04419  25.59657   0.89584   0.80372   0.59520   0.84985
+   0.10331   0.04503  26.81776   0.94955   0.85674   0.64965   0.90322
+   0.10424   0.04584  28.00002   1.00261   0.90914   0.70342   0.95595
+   0.10513   0.04662  29.14679   1.05508   0.96097   0.75656   1.00810
+   0.09937   0.04033   2.98848   0.10631   0.01090   0.00000   0.05860
+   0.10178   0.04265   4.29124   0.14585   0.04846   0.00000   0.09717
+   0.10399   0.04478   5.58628   0.18709   0.08793   0.00000   0.13753
+   0.10606   0.04676   6.83706   0.22879   0.12805   0.00000   0.17845
+   0.10798   0.04860   8.05178   0.27093   0.16875   0.00118   0.21988
+   0.10979   0.05033   9.22842   0.31331   0.20981   0.01946   0.26160
+   0.11152   0.05196  10.35250   0.35538   0.25067   0.06691   0.30307
+   0.11315   0.05351  11.43593   0.39734   0.29149   0.10992   0.34447
+   0.11472   0.05499  12.48134   0.43913   0.33223   0.15237   0.38574
+   0.11622   0.05639  13.49250   0.48076   0.37288   0.19492   0.42688
+   0.11765   0.05774  14.45263   0.52157   0.41276   0.23651   0.46723
+   0.11903   0.05903  15.36731   0.56162   0.45195   0.27732   0.50685
+   0.12036   0.06027  16.25894   0.60158   0.49109   0.31802   0.54640
+   0.12164   0.06145  17.09169   0.64016   0.52891   0.35730   0.58460
+   0.12287   0.06260  17.90132   0.67847   0.56650   0.39630   0.62256
+   0.12407   0.06370  18.67107   0.71588   0.60321   0.43435   0.65962
+   0.12522   0.06476  19.40906   0.75260   0.63928   0.47171   0.69601
+   0.12634   0.06579  20.11494   0.78857   0.67463   0.50830   0.73168
+   0.12743   0.06678  20.79169   0.82385   0.70932   0.54417   0.76666
+   0.11969   0.06086   2.89290   0.12914   0.00953   0.00000   0.06933
+   0.12274   0.06394   3.91428   0.16242   0.04093   0.00000   0.10168
+   0.12554   0.06674   4.88892   0.19599   0.07285   0.00001   0.13444
+   0.12815   0.06931   5.79801   0.22908   0.10449   0.00001   0.16681
+   0.13057   0.07169   6.65413   0.26172   0.13584   0.00093   0.19881
+   0.13287   0.07390   7.46052   0.29384   0.16680   0.01472   0.23036
+   0.13503   0.07598   8.21128   0.32513   0.19705   0.05030   0.26114
+   0.13709   0.07793   8.91817   0.35580   0.22676   0.08197   0.29133
+   0.13904   0.07978   9.58538   0.38584   0.25593   0.11270   0.32094
+   0.14092   0.08154  10.21769   0.41531   0.28460   0.14305   0.35001
+   0.14272   0.08320  10.80566   0.44380   0.31234   0.17233   0.37813
+   0.14444   0.08478  11.35505   0.47140   0.33927   0.20072   0.40540
+   0.14609   0.08630  11.88237   0.49861   0.36584   0.22868   0.43229
+   0.14769   0.08774  12.36515   0.52454   0.39119   0.25535   0.45793
+   0.14922   0.08912  12.82737   0.55001   0.41612   0.28154   0.48314
+   0.15070   0.09045  13.25862   0.57462   0.44022   0.30684   0.50749
+   0.15213   0.09172  13.66616   0.59852   0.46366   0.33143   0.53116
+   0.15352   0.09295  14.05048   0.62171   0.48641   0.35528   0.55414
+   0.15486   0.09412  14.41298   0.64425   0.50855   0.37847   0.57648
+   0.13360   0.07717   2.82706   0.14395   0.00867   0.00000   0.07631
+   0.13717   0.08070   3.68985   0.17345   0.03655   0.00000   0.10501
+   0.14045   0.08390   4.49248   0.20263   0.06433   0.00001   0.13350
+   0.14348   0.08683   5.22417   0.23091   0.09144   0.00001   0.16120
+   0.14632   0.08949   5.89990   0.25841   0.11789   0.00078   0.18818
+   0.14899   0.09198   6.52496   0.28510   0.14367   0.01229   0.21442
+   0.15149   0.09428   7.09521   0.31079   0.16857   0.04185   0.23972
+   0.15387   0.09645   7.62431   0.33567   0.19275   0.06785   0.26425
+   0.15615   0.09848   8.11713   0.35980   0.21624   0.09282   0.28806
+   0.15832   0.10041   8.57796   0.38323   0.23910   0.11726   0.31122
+   0.16039   0.10222   8.99882   0.40570   0.26106   0.14065   0.33343
+   0.16237   0.10394   9.38735   0.42725   0.28216   0.16312   0.35476
+   0.16427   0.10558   9.75643   0.44832   0.30282   0.18507   0.37563
+   0.16608   0.10714  10.08837   0.46827   0.32241   0.20589   0.39540
+   0.16783   0.10862  10.40291   0.48773   0.34153   0.22619   0.41469
+   0.16952   0.11004  10.69259   0.50637   0.35988   0.24565   0.43319
+   0.17114   0.11139  10.96229   0.52436   0.37761   0.26445   0.45105
+   0.17271   0.11269  11.21275   0.54170   0.39471   0.28256   0.46826
+   0.17422   0.11393  11.44658   0.55845   0.41124   0.30008   0.48490
+   0.14481   0.09112   2.77370   0.15474   0.00804   0.00000   0.08139
+   0.14886   0.09496   3.52698   0.18151   0.03351   0.00000   0.10752
+   0.15256   0.09841   4.21420   0.20757   0.05850   0.00001   0.13305
+   0.15597   0.10154   4.82989   0.23253   0.08258   0.00001   0.15758
+   0.15917   0.10438   5.38962   0.25651   0.10581   0.00069   0.18120
+   0.16216   0.10702   5.89994   0.27955   0.12823   0.01071   0.20392
+   0.16496   0.10945   6.35884   0.30153   0.14968   0.03639   0.22564
+   0.16762   0.11173   6.77912   0.32263   0.17034   0.05878   0.24652
+   0.17015   0.11385   7.16582   0.34292   0.19024   0.08011   0.26663
+   0.17257   0.11586   7.52329   0.36249   0.20948   0.10084   0.28603
+   0.17486   0.11774   7.84551   0.38110   0.22783   0.12054   0.30451
+   0.17705   0.11951   8.13939   0.39884   0.24535   0.13936   0.32215
+   0.17914   0.12120   8.41598   0.41608   0.26240   0.15763   0.33929
+   0.18114   0.12280   8.66103   0.43230   0.27846   0.17487   0.35543
+   0.18306   0.12432   8.89113   0.44802   0.29406   0.19158   0.37109
+   0.18491   0.12576   9.10038   0.46299   0.30895   0.20752   0.38603
+   0.18669   0.12713   9.29298   0.47737   0.32326   0.22284   0.40037
+   0.18839   0.12844   9.46966   0.49115   0.33699   0.23754   0.41413
+   0.19004   0.12969   9.63272   0.50440   0.35020   0.25168   0.42735
+   0.15457   0.10347   2.72746   0.16300   0.00755   0.00001   0.08527
+   0.15905   0.10751   3.39780   0.18756   0.03117   0.00001   0.10937
+   0.16313   0.11112   3.99956   0.21118   0.05405   0.00001   0.13264
+   0.16691   0.11437   4.53104   0.23358   0.07588   0.00001   0.15476
+   0.17041   0.11730   5.00759   0.25492   0.09678   0.00065   0.17588
+   0.17368   0.12003   5.43584   0.27524   0.11674   0.00960   0.19602
+   0.17674   0.12253   5.81882   0.29446   0.13571   0.03248   0.21512
+   0.17963   0.12485   6.16417   0.31279   0.15385   0.05228   0.23336
+   0.18238   0.12701   6.47761   0.33030   0.17123   0.07102   0.25081
+   0.18499   0.12904   6.76425   0.34707   0.18791   0.08912   0.26754
+   0.18748   0.13094   7.02082   0.36293   0.20373   0.10625   0.28338
+   0.18983   0.13272   7.25169   0.37796   0.21876   0.12251   0.29841
+   0.19209   0.13441   7.46695   0.39249   0.23331   0.13824   0.31295
+   0.19425   0.13599   7.65514   0.40607   0.24695   0.15300   0.32657
+   0.19632   0.13750   7.83013   0.41918   0.26014   0.16725   0.33971
+   0.19832   0.13891   7.98700   0.43162   0.27267   0.18080   0.35219
+   0.20022   0.14027   8.12990   0.44349   0.28466   0.19376   0.36413
+   0.20204   0.14156   8.25954   0.45481   0.29613   0.20614   0.37553
+   0.20379   0.14279   8.37782   0.46564   0.30711   0.21801   0.38643
+   0.19468   0.15140   2.54395   0.18450   0.00596   0.00001   0.09523
+   0.20087   0.15560   2.96924   0.20167   0.02394   0.00002   0.11281
+   0.20648   0.15927   3.32924   0.21752   0.04065   0.00001   0.12909
+   0.21152   0.16249   3.62992   0.23202   0.05606   0.00001   0.14406
+   0.21612   0.16538   3.88575   0.24538   0.07033   0.00044   0.15787
+   0.22044   0.16792   4.10422   0.25770   0.08358   0.00647   0.17066
+   0.22443   0.17023   4.28866   0.26902   0.09587   0.02171   0.18247
+   0.22812   0.17234   4.44733   0.27953   0.10732   0.03458   0.19345
+   0.23159   0.17427   4.58414   0.28931   0.11804   0.04650   0.20370
+   0.23485   0.17605   4.70313   0.29847   0.12812   0.05780   0.21331
+   0.23789   0.17767   4.80363   0.30691   0.13750   0.06829   0.22223
+   0.24078   0.17916   4.88816   0.31472   0.14622   0.07807   0.23050
+   0.24353   0.18054   4.96333   0.32213   0.15452   0.08738   0.23835
+   0.24607   0.18184   5.02325   0.32886   0.16215   0.09595   0.24553
+   0.24851   0.18303   5.07608   0.33525   0.16941   0.10411   0.25236
+   0.25085   0.18412   5.11933   0.34117   0.17622   0.11176   0.25872
+   0.25307   0.18514   5.15524   0.34670   0.18261   0.11897   0.26469
+   0.25518   0.18610   5.18441   0.35187   0.18860   0.12576   0.27027
+   0.25720   0.18699   5.20795   0.35670   0.19426   0.13217   0.27552
+   0.26333   0.21303   2.26512   0.18780   0.00425  -0.00008   0.09599
+   0.27129   0.21594   2.47270   0.19691   0.01680  -0.00009   0.10681
+   0.27832   0.21827   2.63207   0.20483   0.02794  -0.00012   0.11635
+   0.28445   0.22025   2.75191   0.21166   0.03776  -0.00013   0.12469
+   0.28986   0.22191   2.84295   0.21762   0.04651   0.00015   0.13205
+   0.29482   0.22325   2.91221   0.22286   0.05442   0.00383   0.13863
+   0.29933   0.22430   2.96180   0.22740   0.06147   0.01301   0.14441
+   0.30337   0.22524   2.99737   0.23138   0.06783   0.02052   0.14957
+   0.30705   0.22603   3.02230   0.23493   0.07362   0.02733   0.15425
+   0.31046   0.22668   3.03900   0.23811   0.07893   0.03364   0.15851
+   0.31362   0.22716   3.04682   0.24081   0.08375   0.03931   0.16226
+   0.31649   0.22756   3.04768   0.24317   0.08812   0.04451   0.16561
+   0.31918   0.22792   3.04518   0.24531   0.09217   0.04937   0.16871
+   0.32161   0.22816   3.03649   0.24711   0.09578   0.05373   0.17141
+   0.32390   0.22835   3.02562   0.24872   0.09914   0.05780   0.17391
+   0.32601   0.22848   3.01132   0.25009   0.10224   0.06156   0.17614
+   0.32800   0.22853   2.99488   0.25128   0.10506   0.06502   0.17814
+   0.32987   0.22851   2.97660   0.25229   0.10763   0.06822   0.17993
+   0.33159   0.22848   2.95678   0.25316   0.11002   0.07118   0.18155
+   0.32682   0.25108   2.03536   0.17287   0.00336   0.00004   0.08811
+   0.33479   0.25204   2.13496   0.17744   0.01289   0.00001   0.09519
+   0.34170   0.25253   2.20107   0.18110   0.02108   0.00002   0.10110
+   0.34753   0.25271   2.24110   0.18404   0.02813   0.00001   0.10609
+   0.35257   0.25272   2.26318   0.18635   0.03426   0.00025   0.11034
+   0.35694   0.25252   2.27259   0.18823   0.03958   0.00270   0.11392
+   0.36072   0.25225   2.27087   0.18963   0.04424   0.00910   0.11696
+   0.36405   0.25181   2.26190   0.19071   0.04840   0.01422   0.11957
+   0.36705   0.25123   2.24784   0.19154   0.05209   0.01871   0.12183
+   0.36974   0.25056   2.23016   0.19215   0.05540   0.02278   0.12378
+   0.37204   0.24990   2.20830   0.19250   0.05835   0.02649   0.12542
+   0.37413   0.24916   2.18394   0.19268   0.06093   0.02978   0.12682
+   0.37603   0.24840   2.15904   0.19275   0.06329   0.03280   0.12806
+   0.37758   0.24759   2.13144   0.19264   0.06534   0.03548   0.12903
+   0.37903   0.24677   2.10388   0.19245   0.06722   0.03796   0.12987
+   0.38037   0.24589   2.07554   0.19216   0.06889   0.04019   0.13054
+   0.38152   0.24501   2.04703   0.19179   0.07039   0.04222   0.13110
+   0.38251   0.24413   2.01843   0.19133   0.07173   0.04405   0.13155
+   0.38337   0.24326   1.98997   0.19081   0.07296   0.04575   0.13191
+   0.38521   0.27498   1.83264   0.15219   0.00272   0.00007   0.07749
+   0.39209   0.27378   1.86805   0.15400   0.01024   0.00006   0.08217
+   0.39750   0.27247   1.88082   0.15523   0.01657   0.00011   0.08593
+   0.40205   0.27084   1.87733   0.15597   0.02180   0.00009   0.08890
+   0.40570   0.26925   1.86365   0.15630   0.02633   0.00025   0.09132
+   0.40874   0.26748   1.84317   0.15638   0.03012   0.00210   0.09327
+   0.41126   0.26573   1.81704   0.15614   0.03345   0.00673   0.09486
+   0.41327   0.26396   1.78772   0.15576   0.03634   0.01042   0.09609
+   0.41488   0.26222   1.75663   0.15525   0.03884   0.01364   0.09708
+   0.41619   0.26051   1.72472   0.15464   0.04102   0.01653   0.09788
+   0.41725   0.25873   1.69157   0.15391   0.04290   0.01906   0.09848
+   0.41805   0.25695   1.65810   0.15307   0.04456   0.02132   0.09888
+   0.41871   0.25521   1.62554   0.15222   0.04606   0.02336   0.09918
+   0.41912   0.25348   1.59233   0.15126   0.04732   0.02509   0.09933
+   0.41941   0.25177   1.56022   0.15029   0.04846   0.02670   0.09942
+   0.41956   0.25005   1.52857   0.14928   0.04945   0.02816   0.09942
+   0.41956   0.24840   1.49770   0.14824   0.05031   0.02947   0.09935
+   0.41943   0.24682   1.46760   0.14719   0.05106   0.03063   0.09920
+   0.41924   0.24521   1.43836   0.14614   0.05171   0.03168   0.09899
+   0.43737   0.28894   1.65006   0.13043   0.00222   0.00007   0.06635
+   0.44204   0.28570   1.64403   0.13062   0.00821   0.00011   0.06946
+   0.44547   0.28246   1.62440   0.13043   0.01315   0.00006   0.07184
+   0.44795   0.27929   1.59558   0.12988   0.01726   0.00007   0.07358
+   0.44957   0.27626   1.56173   0.12917   0.02066   0.00019   0.07492
+   0.45082   0.27316   1.52532   0.12827   0.02344   0.00158   0.07592
+   0.45142   0.27020   1.48680   0.12725   0.02586   0.00507   0.07661
+   0.45172   0.26723   1.44793   0.12616   0.02790   0.00782   0.07707
+   0.45175   0.26436   1.40952   0.12498   0.02967   0.01020   0.07736
+   0.45154   0.26160   1.37203   0.12376   0.03120   0.01229   0.07753
+   0.45102   0.25891   1.33487   0.12253   0.03249   0.01406   0.07755
+   0.45028   0.25630   1.29867   0.12128   0.03358   0.01566   0.07744
+   0.44945   0.25378   1.26420   0.12005   0.03454   0.01713   0.07728
+   0.44851   0.25123   1.23033   0.11878   0.03532   0.01838   0.07705
+   0.44750   0.24877   1.19809   0.11753   0.03601   0.01949   0.07679
+   0.44640   0.24640   1.16696   0.11626   0.03661   0.02047   0.07649
+   0.44517   0.24411   1.13708   0.11500   0.03713   0.02132   0.07612
+   0.44385   0.24192   1.10839   0.11376   0.03757   0.02208   0.07569
+   0.44249   0.23974   1.08090   0.11254   0.03793   0.02275   0.07526
+   0.49251   0.29604   1.44560   0.10476   0.00172   0.00007   0.05328
+   0.49360   0.29045   1.40739   0.10387   0.00641   0.00006   0.05515
+   0.49354   0.28535   1.36358   0.10274   0.01016   0.00012   0.05648
+   0.49301   0.28021   1.31688   0.10148   0.01314   0.00007   0.05734
+   0.49179   0.27552   1.27009   0.10015   0.01555   0.00014   0.05789
+   0.49033   0.27095   1.22409   0.09873   0.01760   0.00121   0.05823
+   0.48830   0.26669   1.17906   0.09732   0.01921   0.00372   0.05833
+   0.48614   0.26255   1.13581   0.09588   0.02059   0.00569   0.05830
+   0.48385   0.25857   1.09457   0.09443   0.02177   0.00734   0.05815
+   0.48145   0.25478   1.05551   0.09300   0.02278   0.00877   0.05792
+   0.47886   0.25117   1.01815   0.09158   0.02360   0.01005   0.05763
+   0.47624   0.24767   0.98261   0.09018   0.02425   0.01111   0.05727
+   0.47364   0.24432   0.94930   0.08882   0.02480   0.01204   0.05689
+   0.47088   0.24103   0.91735   0.08747   0.02525   0.01283   0.05646
+   0.46810   0.23793   0.88734   0.08617   0.02564   0.01355   0.05602
+   0.46523   0.23499   0.85881   0.08489   0.02595   0.01420   0.05556
+   0.46241   0.23212   0.83184   0.08365   0.02621   0.01475   0.05508
+   0.45964   0.22930   0.80629   0.08243   0.02641   0.01522   0.05459
+   0.45690   0.22656   0.78205   0.08125   0.02659   0.01563   0.05407
+   0.53565   0.29457   1.26377   0.08224   0.00146   0.00014   0.04192
+   0.53256   0.28702   1.20656   0.08094   0.00504   0.00013   0.04305
+   0.52889   0.28011   1.14964   0.07949   0.00790   0.00016   0.04378
+   0.52481   0.27360   1.09435   0.07802   0.01011   0.00015   0.04409
+   0.52045   0.26755   1.04200   0.07653   0.01189   0.00018   0.04427
+   0.51596   0.26194   0.99280   0.07498   0.01338   0.00100   0.04427
+   0.51124   0.25668   0.94644   0.07356   0.01450   0.00286   0.04406
+   0.50666   0.25160   0.90300   0.07208   0.01545   0.00427   0.04380
+   0.50208   0.24676   0.86257   0.07063   0.01623   0.00545   0.04350
+   0.49751   0.24222   0.82502   0.06924   0.01688   0.00647   0.04315
+   0.49287   0.23797   0.78976   0.06789   0.01741   0.00732   0.04270
+   0.48832   0.23380   0.75682   0.06656   0.01783   0.00803   0.04228
+   0.48392   0.22983   0.72631   0.06528   0.01819   0.00865   0.04187
+   0.47940   0.22611   0.69750   0.06404   0.01845   0.00921   0.04141
+   0.47503   0.22254   0.67072   0.06286   0.01866   0.00971   0.04093
+   0.47074   0.21907   0.64558   0.06174   0.01881   0.01012   0.04041
+   0.46652   0.21577   0.62201   0.06064   0.01893   0.01048   0.03990
+   0.46236   0.21264   0.59987   0.05957   0.01901   0.01082   0.03940
+   0.45829   0.20962   0.57907   0.05854   0.01906   0.01109   0.03891
+   0.56667   0.28691   1.10129   0.06342   0.00109   0.00000   0.03228
+   0.55919   0.27778   1.03373   0.06203   0.00394   0.00001   0.03300
+   0.55158   0.26949   0.97072   0.06055   0.00615   0.00001   0.03344
+   0.54405   0.26182   0.91219   0.05913   0.00783   0.00002   0.03349
+   0.53662   0.25472   0.85869   0.05767   0.00921   0.00008   0.03349
+   0.52935   0.24822   0.80977   0.05627   0.01022   0.00064   0.03334
+   0.52215   0.24217   0.76468   0.05489   0.01105   0.00206   0.03311
+   0.51517   0.23642   0.72341   0.05356   0.01173   0.00314   0.03276
+   0.50831   0.23105   0.68555   0.05228   0.01228   0.00403   0.03239
+   0.50163   0.22600   0.65084   0.05107   0.01273   0.00478   0.03200
+   0.49515   0.22120   0.61877   0.04990   0.01304   0.00536   0.03159
+   0.48880   0.21671   0.58913   0.04875   0.01328   0.00590   0.03117
+   0.48271   0.21248   0.56193   0.04765   0.01348   0.00639   0.03075
+   0.47677   0.20831   0.53656   0.04661   0.01367   0.00674   0.03025
+   0.47108   0.20436   0.51317   0.04561   0.01379   0.00706   0.02979
+   0.46557   0.20058   0.49141   0.04463   0.01384   0.00735   0.02936
+   0.46017   0.19701   0.47122   0.04370   0.01390   0.00758   0.02893
+   0.45488   0.19362   0.45243   0.04280   0.01395   0.00776   0.02848
+   0.44971   0.19040   0.43489   0.04194   0.01397   0.00792   0.02805
+   0.58603   0.27450   0.95662   0.04810   0.00082  -0.00001   0.02451
+   0.57422   0.26421   0.88436   0.04681   0.00311  -0.00002   0.02496
+   0.56283   0.25493   0.81940   0.04551   0.00479   0.00014   0.02522
+   0.55199   0.24647   0.76118   0.04426   0.00603   0.00015   0.02516
+   0.54166   0.23880   0.70914   0.04296   0.00701   0.00010   0.02511
+   0.53174   0.23162   0.66250   0.04180   0.00776   0.00051   0.02488
+   0.52210   0.22513   0.62027   0.04063   0.00836   0.00156   0.02458
+   0.51288   0.21904   0.58211   0.03951   0.00883   0.00233   0.02422
+   0.50416   0.21328   0.54763   0.03844   0.00921   0.00300   0.02386
+   0.49583   0.20788   0.51641   0.03741   0.00951   0.00357   0.02350
+   0.48761   0.20289   0.48785   0.03641   0.00975   0.00394   0.02312
+   0.47981   0.19809   0.46169   0.03547   0.00991   0.00428   0.02274
+   0.47240   0.19356   0.43788   0.03458   0.01002   0.00458   0.02236
+   0.46511   0.18935   0.41600   0.03373   0.01008   0.00486   0.02195
+   0.45817   0.18536   0.39595   0.03292   0.01013   0.00507   0.02155
+   0.45149   0.18152   0.37743   0.03214   0.01018   0.00521   0.02116
+   0.44501   0.17789   0.36030   0.03140   0.01018   0.00537   0.02078
+   0.43873   0.17445   0.34444   0.03071   0.01015   0.00555   0.02041
+   0.43269   0.17115   0.32971   0.03004   0.01012   0.00569   0.02005
+   0.59421   0.25900   0.82780   0.03593   0.00062   0.00013   0.01830
+   0.57849   0.24775   0.75468   0.03485   0.00237   0.00004   0.01867
+   0.56376   0.23772   0.69088   0.03373   0.00374   0.00006   0.01881
+   0.54985   0.22883   0.63483   0.03271   0.00467   0.00011   0.01872
+   0.53688   0.22069   0.58568   0.03161   0.00544   0.00009   0.01865
+   0.52484   0.21308   0.54234   0.03068   0.00604   0.00032   0.01831
+   0.51319   0.20631   0.50376   0.02971   0.00645   0.00113   0.01807
+   0.50213   0.19998   0.46939   0.02882   0.00674   0.00176   0.01779
+   0.49171   0.19408   0.43855   0.02794   0.00700   0.00225   0.01750
+   0.48183   0.18860   0.41086   0.02709   0.00722   0.00265   0.01720
+   0.47228   0.18354   0.38586   0.02636   0.00729   0.00296   0.01685
+   0.46325   0.17872   0.36326   0.02564   0.00734   0.00319   0.01651
+   0.45471   0.17419   0.34282   0.02495   0.00737   0.00337   0.01619
+   0.44634   0.17002   0.32399   0.02427   0.00742   0.00353   0.01590
+   0.43840   0.16608   0.30688   0.02362   0.00746   0.00367   0.01559
+   0.43079   0.16232   0.29123   0.02299   0.00749   0.00380   0.01527
+   0.42355   0.15871   0.27680   0.02241   0.00747   0.00392   0.01495
+   0.41662   0.15524   0.26345   0.02188   0.00741   0.00402   0.01464
+   0.40999   0.15194   0.25125   0.02135   0.00738   0.00408   0.01434
+   0.59256   0.24099   0.71335   0.02643   0.00050   0.00014   0.01348
+   0.57335   0.22916   0.64179   0.02560   0.00181   0.00010   0.01377
+   0.55562   0.21877   0.58066   0.02467   0.00292   0.00008   0.01392
+   0.53907   0.20970   0.52834   0.02385   0.00361   0.00003   0.01377
+   0.52385   0.20133   0.48311   0.02298   0.00425   0.00015   0.01370
+   0.50990   0.19359   0.44364   0.02219   0.00469   0.00042   0.01355
+   0.49644   0.18681   0.40904   0.02152   0.00495   0.00097   0.01324
+   0.48402   0.18042   0.37839   0.02077   0.00522   0.00143   0.01301
+   0.47225   0.17456   0.35122   0.02009   0.00538   0.00175   0.01276
+   0.46108   0.16922   0.32705   0.01948   0.00547   0.00197   0.01250
+   0.45042   0.16431   0.30530   0.01886   0.00557   0.00217   0.01221
+   0.44044   0.15958   0.28579   0.01830   0.00558   0.00235   0.01195
+   0.43107   0.15512   0.26830   0.01778   0.00557   0.00251   0.01170
+   0.42209   0.15090   0.25242   0.01723   0.00564   0.00265   0.01145
+   0.41358   0.14696   0.23806   0.01673   0.00565   0.00275   0.01121
+   0.40545   0.14325   0.22501   0.01628   0.00559   0.00279   0.01098
+   0.39767   0.13974   0.21302   0.01585   0.00553   0.00287   0.01073
+   0.39020   0.13641   0.20199   0.01546   0.00548   0.00298   0.01047
+   0.38308   0.13327   0.19189   0.01506   0.00542   0.00302   0.01025
+   0.58228   0.22134   0.61172   0.01905   0.00050   0.00003   0.00987
+   0.55966   0.20958   0.54354   0.01847   0.00153   0.00013   0.01006
+   0.53960   0.19895   0.48682   0.01780   0.00232   0.00013   0.01011
+   0.52090   0.18984   0.43853   0.01715   0.00286   0.00016   0.01013
+   0.50379   0.18163   0.39732   0.01653   0.00332   0.00009   0.01003
+   0.48833   0.17405   0.36197   0.01600   0.00357   0.00030   0.00977
+   0.47363   0.16732   0.33132   0.01538   0.00385   0.00074   0.00965
+   0.45986   0.16125   0.30430   0.01487   0.00396   0.00107   0.00941
+   0.44710   0.15554   0.28063   0.01436   0.00405   0.00129   0.00920
+   0.43525   0.15019   0.25981   0.01387   0.00413   0.00144   0.00901
+   0.42407   0.14521   0.24128   0.01346   0.00411   0.00160   0.00878
+   0.41342   0.14068   0.22460   0.01303   0.00412   0.00176   0.00858
+   0.40342   0.13649   0.20971   0.01260   0.00413   0.00190   0.00841
+   0.39402   0.13243   0.19657   0.01218   0.00414   0.00194   0.00825
+   0.38513   0.12867   0.18467   0.01178   0.00415   0.00198   0.00806
+   0.37664   0.12515   0.17379   0.01142   0.00414   0.00204   0.00783
+   0.36860   0.12183   0.16391   0.01109   0.00411   0.00209   0.00762
+   0.36097   0.11868   0.15489   0.01077   0.00407   0.00212   0.00743
+   0.35358   0.11576   0.14670   0.01049   0.00402   0.00216   0.00727
+   0.56425   0.20104   0.52191   0.01359   0.00040   0.00009   0.00704
+   0.53912   0.18936   0.45843   0.01318   0.00125   0.00010   0.00720
+   0.51680   0.17910   0.40617   0.01264   0.00186   0.00008   0.00736
+   0.49656   0.17007   0.36222   0.01223   0.00219   0.00006   0.00730
+   0.47821   0.16205   0.32553   0.01180   0.00249   0.00012   0.00721
+   0.46145   0.15484   0.29422   0.01130   0.00279   0.00015   0.00712
+   0.44595   0.14828   0.26713   0.01086   0.00298   0.00054   0.00699
+   0.43155   0.14232   0.24374   0.01047   0.00305   0.00083   0.00685
+   0.41825   0.13681   0.22344   0.01008   0.00310   0.00101   0.00671
+   0.40590   0.13173   0.20568   0.00972   0.00314   0.00113   0.00655
+   0.39419   0.12706   0.18994   0.00944   0.00313   0.00125   0.00632
+   0.38315   0.12279   0.17610   0.00912   0.00314   0.00134   0.00617
+   0.37286   0.11885   0.16384   0.00880   0.00314   0.00140   0.00604
+   0.36336   0.11506   0.15275   0.00846   0.00310   0.00146   0.00588
+   0.35435   0.11154   0.14286   0.00817   0.00308   0.00150   0.00571
+   0.34570   0.10825   0.13399   0.00791   0.00308   0.00154   0.00552
+   0.33749   0.10514   0.12597   0.00768   0.00305   0.00157   0.00537
+   0.32970   0.10220   0.11868   0.00747   0.00299   0.00160   0.00525
+   0.32231   0.09944   0.11202   0.00725   0.00294   0.00161   0.00515
+   0.53925   0.18129   0.44354   0.00970   0.00013  -0.00004   0.00487
+   0.51252   0.16974   0.38498   0.00934   0.00080  -0.00008   0.00512
+   0.48869   0.15984   0.33755   0.00908   0.00130  -0.00003   0.00508
+   0.46755   0.15101   0.29848   0.00870   0.00154  -0.00007   0.00518
+   0.44830   0.14335   0.26582   0.00832   0.00187  -0.00005   0.00514
+   0.43082   0.13653   0.23872   0.00803   0.00203   0.00008   0.00499
+   0.41488   0.13030   0.21518   0.00766   0.00222   0.00034   0.00491
+   0.40020   0.12457   0.19520   0.00739   0.00222   0.00052   0.00483
+   0.38656   0.11943   0.17793   0.00713   0.00224   0.00064   0.00471
+   0.37387   0.11476   0.16290   0.00687   0.00229   0.00072   0.00456
+   0.36198   0.11043   0.14981   0.00663   0.00229   0.00082   0.00443
+   0.35113   0.10637   0.13824   0.00634   0.00234   0.00094   0.00436
+   0.34108   0.10261   0.12800   0.00606   0.00238   0.00104   0.00430
+   0.33130   0.09918   0.11875   0.00586   0.00231   0.00106   0.00413
+   0.32218   0.09596   0.11054   0.00567   0.00227   0.00107   0.00399
+   0.31362   0.09291   0.10325   0.00550   0.00225   0.00108   0.00390
+   0.30549   0.09005   0.09667   0.00533   0.00222   0.00110   0.00380
+   0.29775   0.08738   0.09073   0.00517   0.00217   0.00111   0.00371
+   0.29044   0.08487   0.08537   0.00501   0.00213   0.00112   0.00361
+   0.50956   0.16073   0.37369   0.00655   0.00034   0.00012   0.00350
+   0.48147   0.14981   0.32087   0.00639   0.00080   0.00006   0.00366
+   0.45674   0.14051   0.27820   0.00618   0.00110   0.00012   0.00372
+   0.43481   0.13235   0.24418   0.00593   0.00139   0.00008   0.00372
+   0.41530   0.12507   0.21587   0.00572   0.00147   0.00004   0.00370
+   0.39793   0.11861   0.19205   0.00544   0.00162   0.00020   0.00359
+   0.38144   0.11288   0.17237   0.00526   0.00171   0.00035   0.00353
+   0.36673   0.10763   0.15529   0.00505   0.00174   0.00046   0.00342
+   0.35307   0.10289   0.14070   0.00488   0.00174   0.00058   0.00335
+   0.34038   0.09857   0.12815   0.00472   0.00173   0.00069   0.00330
+   0.32883   0.09458   0.11710   0.00452   0.00172   0.00071   0.00320
+   0.31783   0.09093   0.10752   0.00435   0.00174   0.00070   0.00311
+   0.30758   0.08756   0.09912   0.00420   0.00176   0.00070   0.00302
+   0.29820   0.08432   0.09162   0.00404   0.00172   0.00074   0.00293
+   0.28933   0.08137   0.08496   0.00391   0.00168   0.00077   0.00283
+   0.28082   0.07870   0.07902   0.00382   0.00165   0.00080   0.00271
+   0.27290   0.07616   0.07375   0.00370   0.00162   0.00080   0.00262
+   0.26550   0.07374   0.06906   0.00358   0.00159   0.00080   0.00256
+   0.25853   0.07148   0.06479   0.00346   0.00156   0.00080   0.00250
+   0.47552   0.14182   0.31350   0.00452   0.00013  -0.00003   0.00238
+   0.44681   0.13155   0.26604   0.00442   0.00052  -0.00002   0.00251
+   0.42189   0.12271   0.22889   0.00435   0.00070  -0.00003   0.00249
+   0.39992   0.11500   0.19851   0.00414   0.00096  -0.00002   0.00254
+   0.38054   0.10831   0.17441   0.00391   0.00111   0.00002   0.00253
+   0.36285   0.10241   0.15416   0.00381   0.00117   0.00006   0.00249
+   0.34679   0.09711   0.13742   0.00372   0.00119   0.00020   0.00242
+   0.33221   0.09234   0.12311   0.00351   0.00128   0.00032   0.00238
+   0.31878   0.08800   0.11097   0.00337   0.00129   0.00039   0.00232
+   0.30640   0.08405   0.10055   0.00328   0.00126   0.00043   0.00225
+   0.29506   0.08044   0.09138   0.00315   0.00125   0.00042   0.00221
+   0.28462   0.07711   0.08343   0.00302   0.00124   0.00045   0.00213
+   0.27499   0.07404   0.07651   0.00291   0.00123   0.00049   0.00204
+   0.26590   0.07120   0.07045   0.00279   0.00120   0.00053   0.00197
+   0.25738   0.06857   0.06513   0.00269   0.00118   0.00055   0.00191
+   0.24931   0.06615   0.06043   0.00262   0.00116   0.00055   0.00188
+   0.24174   0.06387   0.05620   0.00256   0.00113   0.00057   0.00183
+   0.23462   0.06173   0.05236   0.00250   0.00109   0.00060   0.00178
+   0.22798   0.05971   0.04894   0.00242   0.00106   0.00061   0.00171
+   0.43863   0.12327   0.26068   0.00297   0.00016   0.00005   0.00165
+   0.41024   0.11375   0.21881   0.00286   0.00043   0.00013   0.00176
+   0.38542   0.10568   0.18638   0.00286   0.00065  -0.00003   0.00182
+   0.36340   0.09875   0.16062   0.00276   0.00079   0.00006   0.00179
+   0.34409   0.09257   0.13979   0.00275   0.00091   0.00001   0.00175
+   0.32710   0.08725   0.12268   0.00254   0.00092   0.00009   0.00177
+   0.31150   0.08249   0.10865   0.00246   0.00088   0.00012   0.00174
+   0.29748   0.07809   0.09674   0.00240   0.00089   0.00021   0.00167
+   0.28460   0.07421   0.08666   0.00234   0.00092   0.00028   0.00161
+   0.27274   0.07075   0.07808   0.00226   0.00094   0.00032   0.00156
+   0.26190   0.06754   0.07068   0.00219   0.00090   0.00037   0.00151
+   0.25188   0.06456   0.06427   0.00211   0.00089   0.00039   0.00148
+   0.24261   0.06183   0.05870   0.00204   0.00089   0.00040   0.00144
+   0.23382   0.05940   0.05385   0.00197   0.00087   0.00039   0.00135
+   0.22578   0.05711   0.04956   0.00188   0.00084   0.00038   0.00128
+   0.21842   0.05491   0.04576   0.00177   0.00080   0.00036   0.00124
+   0.21149   0.05288   0.04240   0.00169   0.00079   0.00036   0.00120
+   0.20496   0.05100   0.03941   0.00164   0.00079   0.00038   0.00117
+   0.19877   0.04925   0.03672   0.00158   0.00079   0.00038   0.00113
+   0.40002   0.10618   0.21545   0.00190   0.00014   0.00006   0.00114
+   0.37203   0.09758   0.17905   0.00188   0.00034   0.00003   0.00120
+   0.34785   0.09026   0.15114   0.00189   0.00045   0.00008   0.00125
+   0.32671   0.08393   0.12922   0.00189   0.00053  -0.00001   0.00118
+   0.30823   0.07848   0.11166   0.00182   0.00059  -0.00004   0.00116
+   0.29166   0.07371   0.09741   0.00179   0.00058   0.00002   0.00114
+   0.27687   0.06943   0.08567   0.00175   0.00061   0.00011   0.00110
+   0.26356   0.06557   0.07567   0.00164   0.00066   0.00015   0.00111
+   0.25152   0.06210   0.06738   0.00153   0.00064   0.00016   0.00108
+   0.24051   0.05898   0.06042   0.00146   0.00058   0.00015   0.00103
+   0.23025   0.05617   0.05440   0.00144   0.00060   0.00023   0.00098
+   0.22088   0.05359   0.04923   0.00139   0.00061   0.00024   0.00096
+   0.21227   0.05123   0.04476   0.00134   0.00062   0.00025   0.00095
+   0.20406   0.04907   0.04091   0.00132   0.00062   0.00028   0.00092
+   0.19661   0.04706   0.03752   0.00127   0.00061   0.00029   0.00089
+   0.18986   0.04516   0.03452   0.00120   0.00059   0.00027   0.00086
+   0.18336   0.04343   0.03187   0.00116   0.00056   0.00026   0.00082
+   0.17710   0.04185   0.02952   0.00115   0.00053   0.00026   0.00076
+   0.17136   0.04036   0.02741   0.00111   0.00051   0.00025   0.00073
+   0.36031   0.09044   0.17629   0.00128   0.00013   0.00003   0.00069
+   0.33313   0.08255   0.14492   0.00131   0.00020   0.00005   0.00074
+   0.30994   0.07604   0.12105   0.00123   0.00031   0.00002   0.00083
+   0.28974   0.07039   0.10263   0.00127   0.00041  -0.00003   0.00078
+   0.27255   0.06547   0.08782   0.00115   0.00040  -0.00005   0.00081
+   0.25689   0.06128   0.07601   0.00115   0.00048   0.00001   0.00084
+   0.24290   0.05751   0.06634   0.00113   0.00048   0.00004   0.00080
+   0.23047   0.05421   0.05835   0.00105   0.00049   0.00011   0.00080
+   0.21914   0.05120   0.05164   0.00103   0.00050   0.00014   0.00076
+   0.20876   0.04844   0.04598   0.00103   0.00050   0.00014   0.00072
+   0.19921   0.04598   0.04118   0.00101   0.00050   0.00017   0.00075
+   0.19060   0.04376   0.03714   0.00095   0.00047   0.00018   0.00070
+   0.18275   0.04173   0.03367   0.00088   0.00044   0.00017   0.00063
+   0.17548   0.03982   0.03057   0.00084   0.00046   0.00020   0.00063
+   0.16870   0.03809   0.02790   0.00081   0.00047   0.00020   0.00062
+   0.16230   0.03652   0.02557   0.00078   0.00046   0.00017   0.00058
+   0.15638   0.03506   0.02352   0.00076   0.00044   0.00017   0.00055
+   0.15088   0.03371   0.02170   0.00074   0.00043   0.00019   0.00054
+   0.14577   0.03243   0.02009   0.00071   0.00041   0.00020   0.00053
+   0.32078   0.07613   0.14329   0.00084   0.00005  -0.00002   0.00041
+   0.29500   0.06916   0.11669   0.00089   0.00013  -0.00004   0.00045
+   0.27308   0.06336   0.09641   0.00090   0.00021  -0.00008   0.00046
+   0.25438   0.05849   0.08103   0.00085   0.00025   0.00000   0.00051
+   0.23803   0.05425   0.06882   0.00083   0.00025  -0.00004   0.00050
+   0.22388   0.05054   0.05917   0.00074   0.00026  -0.00003   0.00053
+   0.21075   0.04730   0.05123   0.00076   0.00030  -0.00004   0.00053
+   0.19927   0.04442   0.04478   0.00075   0.00031   0.00003   0.00048
+   0.18901   0.04181   0.03942   0.00072   0.00031   0.00007   0.00048
+   0.17970   0.03946   0.03494   0.00067   0.00031   0.00008   0.00049
+   0.17111   0.03739   0.03118   0.00063   0.00031   0.00009   0.00049
+   0.16320   0.03549   0.02795   0.00063   0.00031   0.00011   0.00047
+   0.15597   0.03374   0.02519   0.00065   0.00030   0.00012   0.00044
+   0.14943   0.03214   0.02282   0.00060   0.00028   0.00013   0.00042
+   0.14340   0.03069   0.02076   0.00054   0.00027   0.00013   0.00040
+   0.13781   0.02936   0.01895   0.00047   0.00027   0.00011   0.00038
+   0.13253   0.02813   0.01737   0.00044   0.00028   0.00010   0.00037
+   0.12753   0.02698   0.01597   0.00045   0.00029   0.00011   0.00036
+   0.12292   0.02590   0.01474   0.00045   0.00028   0.00012   0.00035
+   0.28175   0.06315   0.11536   0.00055   0.00004  -0.00003   0.00026
+   0.25773   0.05714   0.09264   0.00058   0.00011   0.00000   0.00030
+   0.23779   0.05208   0.07598   0.00054   0.00013   0.00000   0.00030
+   0.22023   0.04781   0.06321   0.00060   0.00018  -0.00002   0.00032
+   0.20554   0.04424   0.05326   0.00051   0.00017  -0.00004   0.00033
+   0.19201   0.04104   0.04548   0.00059   0.00022  -0.00006   0.00031
+   0.18043   0.03829   0.03914   0.00054   0.00020  -0.00002   0.00031
+   0.17023   0.03587   0.03399   0.00048   0.00018   0.00001   0.00031
+   0.16089   0.03368   0.02974   0.00046   0.00020   0.00003   0.00032
+   0.15237   0.03171   0.02621   0.00045   0.00022   0.00003   0.00032
+   0.14475   0.02996   0.02326   0.00043   0.00020   0.00005   0.00030
+   0.13772   0.02836   0.02076   0.00042   0.00020   0.00006   0.00027
+   0.13129   0.02689   0.01862   0.00042   0.00020   0.00006   0.00026
+   0.12546   0.02556   0.01677   0.00039   0.00019   0.00005   0.00027
+   0.12011   0.02434   0.01519   0.00036   0.00019   0.00006   0.00027
+   0.11516   0.02320   0.01383   0.00035   0.00021   0.00009   0.00027
+   0.11056   0.02218   0.01263   0.00034   0.00021   0.00011   0.00027
+   0.10626   0.02126   0.01158   0.00032   0.00020   0.00010   0.00026
+   0.10224   0.02039   0.01065   0.00030   0.00019   0.00009   0.00025
+   0.24454   0.05173   0.09173   0.00034  -0.00005  -0.00007   0.00008
+   0.22257   0.04648   0.07296   0.00037   0.00007  -0.00003   0.00014
+   0.20381   0.04224   0.05909   0.00041   0.00009  -0.00006   0.00021
+   0.18848   0.03857   0.04875   0.00033   0.00010  -0.00007   0.00016
+   0.17453   0.03555   0.04070   0.00037   0.00011  -0.00007   0.00020
+   0.16321   0.03286   0.03443   0.00025   0.00016  -0.00005   0.00022
+   0.15259   0.03052   0.02946   0.00034   0.00015  -0.00001   0.00021
+   0.14337   0.02848   0.02540   0.00033   0.00017   0.00002   0.00023
+   0.13509   0.02665   0.02208   0.00030   0.00017   0.00002   0.00023
+   0.12761   0.02503   0.01934   0.00027   0.00015   0.00001   0.00020
+   0.12086   0.02358   0.01707   0.00025   0.00015   0.00003   0.00019
+   0.11471   0.02225   0.01516   0.00023   0.00014   0.00003   0.00019
+   0.10913   0.02105   0.01354   0.00021   0.00014   0.00003   0.00020
+   0.10398   0.01996   0.01216   0.00021   0.00016   0.00006   0.00019
+   0.09924   0.01896   0.01096   0.00021   0.00017   0.00007   0.00018
+   0.09484   0.01805   0.00993   0.00022   0.00017   0.00007   0.00019
+   0.09083   0.01721   0.00903   0.00021   0.00016   0.00006   0.00019
+   0.08716   0.01644   0.00825   0.00019   0.00015   0.00005   0.00018
+   0.08370   0.01572   0.00756   0.00018   0.00014   0.00005   0.00018
+   0.20903   0.04168   0.07197   0.00025   0.00000  -0.00002   0.00007
+   0.18910   0.03726   0.05652   0.00022   0.00004  -0.00005   0.00011
+   0.17233   0.03364   0.04539   0.00029   0.00004  -0.00009   0.00011
+   0.15841   0.03062   0.03699   0.00024   0.00005  -0.00007   0.00013
+   0.14648   0.02807   0.03068   0.00024   0.00009  -0.00004   0.00018
+   0.13626   0.02583   0.02573   0.00020   0.00011  -0.00003   0.00016
+   0.12688   0.02392   0.02182   0.00025   0.00011  -0.00001   0.00018
+   0.11869   0.02222   0.01869   0.00023   0.00013   0.00001   0.00018
+   0.11156   0.02074   0.01615   0.00018   0.00013   0.00002   0.00017
+   0.10522   0.01942   0.01406   0.00013   0.00012   0.00002   0.00014
+   0.09931   0.01822   0.01235   0.00015   0.00012   0.00003   0.00013
+   0.09391   0.01716   0.01090   0.00015   0.00012   0.00004   0.00013
+   0.08904   0.01621   0.00967   0.00015   0.00012   0.00004   0.00013
+   0.08471   0.01533   0.00865   0.00013   0.00013   0.00005   0.00014
+   0.08071   0.01452   0.00777   0.00012   0.00013   0.00006   0.00014
+   0.07699   0.01379   0.00701   0.00010   0.00012   0.00005   0.00013
+   0.07356   0.01312   0.00636   0.00010   0.00011   0.00005   0.00013
+   0.07039   0.01250   0.00579   0.00009   0.00012   0.00006   0.00014
+   0.06745   0.01193   0.00529   0.00009   0.00012   0.00006   0.00014
+   0.17631   0.03314   0.05588   0.00016  -0.00008  -0.00011  -0.00003
+   0.15869   0.02945   0.04334   0.00019  -0.00001  -0.00008   0.00003
+   0.14415   0.02645   0.03445   0.00015   0.00002  -0.00008   0.00005
+   0.13179   0.02399   0.02790   0.00015   0.00001  -0.00007   0.00006
+   0.12124   0.02187   0.02288   0.00017   0.00006  -0.00005   0.00009
+   0.11218   0.02011   0.01907   0.00014   0.00003  -0.00005   0.00005
+   0.10434   0.01851   0.01607   0.00012   0.00007  -0.00002   0.00009
+   0.09724   0.01715   0.01367   0.00013   0.00006  -0.00002   0.00008
+   0.09095   0.01596   0.01174   0.00014   0.00007   0.00000   0.00008
+   0.08540   0.01491   0.01017   0.00014   0.00009   0.00002   0.00010
+   0.08050   0.01395   0.00888   0.00010   0.00007   0.00001   0.00009
+   0.07596   0.01310   0.00781   0.00010   0.00007   0.00001   0.00009
+   0.07184   0.01234   0.00691   0.00010   0.00007   0.00002   0.00009
+   0.06814   0.01164   0.00614   0.00010   0.00007   0.00002   0.00008
+   0.06475   0.01101   0.00549   0.00009   0.00007   0.00002   0.00008
+   0.06162   0.01042   0.00494   0.00008   0.00007   0.00003   0.00008
+   0.05873   0.00989   0.00446   0.00008   0.00007   0.00003   0.00008
+   0.05604   0.00941   0.00405   0.00009   0.00006   0.00002   0.00007
+   0.05358   0.00897   0.00369   0.00008   0.00005   0.00002   0.00006
+   0.14600   0.02568   0.04254   0.00008  -0.00001  -0.00003   0.00002
+   0.13062   0.02277   0.03272   0.00012   0.00000  -0.00002   0.00002
+   0.11797   0.02038   0.02573   0.00011   0.00003  -0.00003   0.00003
+   0.10747   0.01839   0.02061   0.00010   0.00001  -0.00003   0.00002
+   0.09860   0.01671   0.01682   0.00008   0.00003  -0.00001   0.00006
+   0.09073   0.01530   0.01390   0.00013   0.00004  -0.00001   0.00005
+   0.08405   0.01409   0.01164   0.00010   0.00003   0.00000   0.00005
+   0.07820   0.01300   0.00984   0.00008   0.00003   0.00000   0.00005
+   0.07299   0.01206   0.00840   0.00008   0.00002  -0.00001   0.00004
+   0.06834   0.01122   0.00724   0.00007   0.00002  -0.00001   0.00002
+   0.06419   0.01048   0.00628   0.00006   0.00003   0.00000   0.00004
+   0.06039   0.00982   0.00549   0.00007   0.00003   0.00000   0.00003
+   0.05696   0.00923   0.00484   0.00007   0.00003   0.00000   0.00003
+   0.05389   0.00869   0.00429   0.00007   0.00003   0.00000   0.00004
+   0.05108   0.00820   0.00382   0.00007   0.00003   0.00001   0.00004
+   0.04849   0.00775   0.00342   0.00007   0.00003   0.00000   0.00003
+   0.04614   0.00734   0.00308   0.00006   0.00003   0.00000   0.00003
+   0.04399   0.00697   0.00278   0.00005   0.00003   0.00000   0.00003
+   0.04199   0.00663   0.00252   0.00004   0.00002   0.00000   0.00002
+   0.09475   0.01458   0.02338   0.00001   0.00001   0.00001   0.00000
+   0.08369   0.01275   0.01749   0.00002   0.00001  -0.00001   0.00001
+   0.07467   0.01127   0.01344   0.00007   0.00002   0.00000   0.00002
+   0.06742   0.01007   0.01055   0.00002   0.00002  -0.00001   0.00002
+   0.06110   0.00909   0.00844   0.00006   0.00001   0.00000   0.00002
+   0.05598   0.00824   0.00685   0.00002   0.00002   0.00000   0.00002
+   0.05144   0.00752   0.00563   0.00002   0.00003  -0.00001   0.00003
+   0.04743   0.00689   0.00469   0.00002   0.00002   0.00000   0.00003
+   0.04395   0.00635   0.00395   0.00002   0.00002   0.00001   0.00003
+   0.04088   0.00587   0.00336   0.00002   0.00002   0.00001   0.00002
+   0.03810   0.00545   0.00288   0.00002   0.00003   0.00001   0.00003
+   0.03564   0.00507   0.00248   0.00002   0.00002   0.00001   0.00002
+   0.03343   0.00473   0.00216   0.00002   0.00002   0.00001   0.00002
+   0.03142   0.00443   0.00190   0.00002   0.00002   0.00000   0.00001
+   0.02961   0.00416   0.00167   0.00002   0.00002   0.00001   0.00001
+   0.02797   0.00391   0.00148   0.00003   0.00002   0.00001   0.00002
+   0.02647   0.00369   0.00132   0.00003   0.00002   0.00001   0.00002
+   0.02511   0.00349   0.00119   0.00002   0.00002   0.00001   0.00002
+   0.02386   0.00330   0.00107   0.00002   0.00002   0.00001   0.00002
+   0.05613   0.00748   0.01178   0.00002   0.00000  -0.00001  -0.00001
+   0.04898   0.00646   0.00857   0.00002   0.00000  -0.00001   0.00000
+   0.04331   0.00565   0.00642   0.00000  -0.00001  -0.00001   0.00000
+   0.03867   0.00499   0.00492   0.00000  -0.00001  -0.00001   0.00000
+   0.03478   0.00446   0.00385  -0.00001   0.00001  -0.00001   0.00000
+   0.03139   0.00401   0.00307   0.00001   0.00000   0.00000   0.00001
+   0.02859   0.00362   0.00248   0.00002   0.00001  -0.00001   0.00001
+   0.02617   0.00330   0.00203   0.00001   0.00001  -0.00001   0.00001
+   0.02407   0.00301   0.00168   0.00001   0.00000   0.00000   0.00001
+   0.02222   0.00277   0.00141   0.00000   0.00001   0.00000   0.00001
+   0.02057   0.00255   0.00119   0.00001   0.00001   0.00000   0.00001
+   0.01912   0.00236   0.00102   0.00001   0.00001   0.00000   0.00001
+   0.01783   0.00218   0.00087   0.00000   0.00001   0.00000   0.00001
+   0.01665   0.00203   0.00076   0.00001   0.00001   0.00000   0.00001
+   0.01560   0.00190   0.00066   0.00001   0.00001   0.00000   0.00001
+   0.01467   0.00178   0.00058   0.00001   0.00001   0.00000   0.00001
+   0.01381   0.00167   0.00051   0.00001   0.00001   0.00000   0.00001
+   0.01302   0.00157   0.00046   0.00001   0.00001   0.00000   0.00001
+   0.01230   0.00148   0.00041   0.00001   0.00001   0.00000   0.00001
+   0.02942   0.00332   0.00522   0.00000   0.00000   0.00000   0.00000
+   0.02533   0.00283   0.00368   0.00001   0.00000   0.00000   0.00000
+   0.02208   0.00244   0.00268   0.00001   0.00000   0.00000   0.00000
+   0.01946   0.00213   0.00201   0.00001   0.00000   0.00000   0.00000
+   0.01730   0.00188   0.00154   0.00000   0.00000   0.00000   0.00000
+   0.01549   0.00168   0.00120   0.00001   0.00000   0.00000   0.00000
+   0.01398   0.00150   0.00095   0.00001   0.00000   0.00000   0.00000
+   0.01268   0.00136   0.00076   0.00000   0.00000   0.00000   0.00000
+   0.01156   0.00123   0.00062   0.00000   0.00000   0.00000   0.00000
+   0.01059   0.00112   0.00051   0.00000   0.00000   0.00000   0.00000
+   0.00973   0.00102   0.00043   0.00000   0.00000   0.00000   0.00000
+   0.00898   0.00094   0.00036   0.00000   0.00000   0.00000   0.00000
+   0.00832   0.00087   0.00030   0.00000   0.00000   0.00000   0.00000
+   0.00772   0.00080   0.00026   0.00000   0.00000   0.00000   0.00000
+   0.00719   0.00074   0.00022   0.00000   0.00000   0.00000   0.00000
+   0.00672   0.00069   0.00020   0.00000   0.00000   0.00000   0.00000
+   0.00629   0.00064   0.00017   0.00000   0.00000   0.00000   0.00000
+   0.00589   0.00060   0.00015   0.00000   0.00000   0.00000   0.00000
+   0.00554   0.00056   0.00013   0.00000   0.00000   0.00000   0.00000
+   0.01301   0.00121   0.00193   0.00000   0.00000   0.00000   0.00000
+   0.01101   0.00101   0.00131   0.00000   0.00000   0.00000   0.00000
+   0.00944   0.00086   0.00092   0.00000   0.00000   0.00000   0.00000
+   0.00820   0.00074   0.00067   0.00000   0.00000   0.00000   0.00000
+   0.00719   0.00064   0.00050   0.00000   0.00000   0.00000   0.00000
+   0.00637   0.00057   0.00038   0.00000   0.00000   0.00000   0.00000
+   0.00568   0.00050   0.00029   0.00000   0.00000   0.00000   0.00000
+   0.00510   0.00045   0.00023   0.00000   0.00000   0.00000   0.00000
+   0.00460   0.00040   0.00018   0.00000   0.00000   0.00000   0.00000
+   0.00417   0.00036   0.00015   0.00000   0.00000   0.00000   0.00000
+   0.00381   0.00033   0.00012   0.00000   0.00000   0.00000   0.00000
+   0.00348   0.00030   0.00010   0.00000   0.00000   0.00000   0.00000
+   0.00319   0.00027   0.00008   0.00000   0.00000   0.00000   0.00000
+   0.00294   0.00025   0.00007   0.00000   0.00000   0.00000   0.00000
+   0.00272   0.00023   0.00006   0.00000   0.00000   0.00000   0.00000
+   0.00252   0.00021   0.00005   0.00000   0.00000   0.00000   0.00000
+   0.00234   0.00020   0.00005   0.00000   0.00000   0.00000   0.00000
+   0.00218   0.00018   0.00004   0.00000   0.00000   0.00000   0.00000
+   0.00203   0.00017   0.00003   0.00000   0.00000   0.00000   0.00000
+   0.00090   0.00005   0.00009   0.00000   0.00000   0.00000   0.00000
+   0.00073   0.00004   0.00005   0.00000   0.00000   0.00000   0.00000
+   0.00060   0.00003   0.00003   0.00000   0.00000   0.00000   0.00000
+   0.00050   0.00003   0.00002   0.00000   0.00000   0.00000   0.00000
+   0.00043   0.00002   0.00002   0.00000   0.00000   0.00000   0.00000
+   0.00036   0.00002   0.00001   0.00000   0.00000   0.00000   0.00000
+   0.00031   0.00002   0.00001   0.00000   0.00000   0.00000   0.00000
+   0.00027   0.00001   0.00001   0.00000   0.00000   0.00000   0.00000
+   0.00024   0.00001   0.00001   0.00000   0.00000   0.00000   0.00000
+   0.00021   0.00001   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00019   0.00001   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00017   0.00001   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00015   0.00001   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00014   0.00001   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00012   0.00001   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00011   0.00001   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00010   0.00001   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00009   0.00001   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00008   0.00001   0.00000   0.00000   0.00000   0.00000   0.00000

=== added file 'Template/lib/Pdfdata/mrst2002nlo.dat'
--- Template/lib/Pdfdata/mrst2002nlo.dat	1970-01-01 00:00:00 +0000
+++ Template/lib/Pdfdata/mrst2002nlo.dat	2010-10-30 03:26:37 +0000
@@ -0,0 +1,1776 @@
+   0.00949   0.00208  -8.77372   0.89445   0.00000   0.00000   0.43318   0.89446
+   0.00964   0.00215  -8.32812   0.87515   0.00000   0.00000   0.41881   0.87515
+   0.00987   0.00224  -7.02499   0.87250   0.00466   0.00000   0.42304   0.87251
+   0.01004   0.00230  -5.62283   0.88842   0.02443   0.00000   0.44368   0.88844
+   0.01021   0.00237  -3.67463   0.92274   0.06674   0.00000   0.48273   0.92277
+   0.01035   0.00244  -1.58222   0.96663   0.11633   0.00000   0.53055   0.96665
+   0.01049   0.00250   0.86927   1.02348   0.17883   0.00000   0.59105   1.02351
+   0.01064   0.00256   4.01960   1.10155   0.26261   0.00000   0.67287   1.10158
+   0.01076   0.00262   7.14643   1.18180   0.34770   0.00000   0.75629   1.18183
+   0.01088   0.00267  10.43863   1.26801   0.43848   0.00000   0.84548   1.26805
+   0.01098   0.00271  13.56663   1.35241   0.52641   0.00000   0.93217   1.35245
+   0.01119   0.00281  20.74887   1.55173   0.73305   0.05062   1.13626   1.55178
+   0.01136   0.00289  27.70611   1.75402   0.94142   0.21093   1.34249   1.75407
+   0.01156   0.00298  36.42443   2.01480   1.20875   0.49550   1.60751   2.01485
+   0.01176   0.00308  46.80023   2.32731   1.52788   0.81577   1.92430   2.32737
+   0.01195   0.00317  57.28436   2.64527   1.85166   1.14354   2.24601   2.64533
+   0.01214   0.00326  68.97627   3.00252   2.21464   1.50982   2.60694   3.00260
+   0.01229   0.00333  79.90306   3.33936   2.55610   1.85411   2.94674   3.33944
+   0.01248   0.00343  94.02904   3.77751   2.99973   2.30111   3.38839   3.77759
+   0.01265   0.00351 107.39060   4.19462   3.42158   2.72589   3.80853   4.19471
+   0.01280   0.00359 120.66338   4.61214   3.84335   3.15033   4.22876   4.61223
+   0.01300   0.00369 138.78865   5.18713   4.42362   3.73394   4.80711   5.18723
+   0.01319   0.00379 156.91684   5.76679   5.00812   4.32155   5.38985   5.76689
+   0.01336   0.00388 174.77083   6.34149   5.58727   4.90357   5.96737   6.34160
+   0.01354   0.00397 194.28268   6.97716   6.22729   5.54644   6.60578   6.97727
+   0.01371   0.00406 214.01826   7.62414   6.87846   6.20036   7.25541   7.62426
+   0.01388   0.00415 233.65202   8.27294   7.53115   6.85564   7.90666   8.27306
+   0.01403   0.00423 253.24161   8.92684   8.18866   7.51557   8.56283   8.92697
+   0.01419   0.00432 273.29608   9.59910   8.86449   8.19380   9.23733   9.59924
+   0.01434   0.00440 294.43326  10.31674   9.58558   8.91725   9.95713  10.31688
+   0.01449   0.00448 314.61292  11.00346  10.27554   9.60942  10.64588  11.00360
+   0.01463   0.00456 335.06009  11.70878  10.98389  10.31987  11.35309  11.70893
+   0.01478   0.00464 355.75555  12.42425  11.70236  11.04043  12.07044  12.42440
+   0.01492   0.00472 377.24124  13.17554  12.45660  11.79672  12.82356  13.17570
+   0.01506   0.00479 398.12357  13.90942  13.19324  12.53531  13.55916  13.90958
+   0.01519   0.00487 418.33475  14.62390  13.91033  13.25423  14.27526  14.62407
+   0.01532   0.00494 439.77859  15.39044  14.67947  14.02522  15.04342  15.39062
+   0.01140   0.00280  -6.48061   0.75237   0.00000   0.00000   0.37083   0.75238
+   0.01162   0.00290  -5.88722   0.74668   0.00000   0.00000   0.36921   0.74670
+   0.01193   0.00306  -4.44160   0.76062   0.00621   0.00000   0.38882   0.76064
+   0.01215   0.00317  -3.01309   0.78582   0.03113   0.00000   0.41791   0.78586
+   0.01239   0.00329  -1.12404   0.82691   0.08005   0.00000   0.46289   0.82695
+   0.01259   0.00339   0.84627   0.87407   0.13206   0.00000   0.51330   0.87412
+   0.01278   0.00349   3.09468   0.93125   0.19421   0.00000   0.57347   0.93130
+   0.01299   0.00360   5.91521   1.00611   0.27409   0.00000   0.65142   1.00617
+   0.01316   0.00369   8.66791   1.08094   0.35316   0.00000   0.72886   1.08101
+   0.01333   0.00378  11.53542   1.16001   0.43623   0.00000   0.81038   1.16008
+   0.01347   0.00385  14.20367   1.23522   0.51453   0.00000   0.88748   1.23530
+   0.01376   0.00401  20.25734   1.41029   0.69602   0.04384   1.06647   1.41038
+   0.01401   0.00414  26.00884   1.58426   0.87531   0.18190   1.24368   1.58436
+   0.01429   0.00429  33.09232   1.80456   1.10136   0.42440   1.46747   1.80467
+   0.01457   0.00445  41.38921   2.06409   1.36668   0.69203   1.73051   2.06420
+   0.01484   0.00460  49.65532   2.32439   1.63208   0.96206   1.99390   2.32452
+   0.01510   0.00475  58.75433   2.61315   1.92586   1.25984   2.28568   2.61329
+   0.01533   0.00487  67.12776   2.88144   2.19820   1.53555   2.55641   2.88159
+   0.01560   0.00503  77.84684   3.22724   2.54880   1.89015   2.90509   3.22740
+   0.01584   0.00516  87.88490   3.55343   2.87914   2.22396   3.23376   3.55359
+   0.01606   0.00529  97.74361   3.87659   3.20602   2.55399   3.55915   3.87676
+   0.01634   0.00545 111.05292   4.31708   3.65114   3.00304   4.00240   4.31727
+   0.01661   0.00561 124.22823   4.75713   4.09542   3.45096   4.44497   4.75732
+   0.01686   0.00575 137.09482   5.19018   4.53238   3.89126   4.88034   5.19039
+   0.01711   0.00590 150.95825   5.66330   5.00930   4.37150   5.35572   5.66352
+   0.01736   0.00605 164.88377   6.14195   5.49162   4.85701   5.83654   6.14218
+   0.01760   0.00618 178.61484   6.61830   5.97138   5.33976   6.31490   6.61854
+   0.01782   0.00632 192.17154   7.09408   6.45031   5.82148   6.79254   7.09433
+   0.01805   0.00645 205.98802   7.58137   6.94072   6.31466   7.28166   7.58162
+   0.01827   0.00659 220.36679   8.09595   7.45833   6.83496   7.79802   8.09622
+   0.01848   0.00671 234.06197   8.58740   7.95262   7.33178   8.29114   8.58768
+   0.01869   0.00683 247.75987   9.08666   8.45452   7.83607   8.79194   9.08694
+   0.01890   0.00696 261.59457   9.59219   8.96269   8.34662   9.29902   9.59248
+   0.01910   0.00708 275.80753  10.11836   9.49143   8.87769   9.82669  10.11866
+   0.01930   0.00720 289.55667  10.63033  10.00582   9.39429  10.34007  10.63064
+   0.01948   0.00731 302.79431  11.12656  10.50434   9.89488  10.83763  11.12689
+   0.01968   0.00743 316.69882  11.65454  11.03458  10.42721  11.36693  11.65486
+   0.01354   0.00359  -4.77065   0.63821   0.00000   0.00000   0.31954   0.63823
+   0.01382   0.00374  -4.10253   0.64129   0.00000   0.00000   0.32598   0.64131
+   0.01423   0.00396  -2.62913   0.66463   0.00681   0.00000   0.35400   0.66467
+   0.01452   0.00413  -1.25320   0.69403   0.03349   0.00000   0.38661   0.69408
+   0.01483   0.00430   0.50093   0.73677   0.08364   0.00000   0.43257   0.73683
+   0.01509   0.00445   2.28837   0.78306   0.13406   0.00000   0.48153   0.78313
+   0.01534   0.00460   4.28457   0.83690   0.19228   0.00000   0.53784   0.83698
+   0.01561   0.00475   6.73858   0.90517   0.26494   0.00000   0.60866   0.90526
+   0.01585   0.00489   9.09944   0.97205   0.33552   0.00000   0.67769   0.97215
+   0.01607   0.00502  11.53606   1.04184   0.40882   0.00000   0.74950   1.04194
+   0.01625   0.00513  13.76261   1.10678   0.47647   0.00000   0.81601   1.10690
+   0.01664   0.00535  18.76175   1.25624   0.63154   0.03705   0.96870   1.25637
+   0.01697   0.00555  23.43089   1.40226   0.78221   0.15321   1.11738   1.40240
+   0.01733   0.00577  29.09365   1.58447   0.96945   0.35549   1.30247   1.58463
+   0.01772   0.00601  35.63385   1.79608   1.18613   0.57511   1.51698   1.79626
+   0.01807   0.00622  42.06938   2.00580   1.40031   0.79407   1.72924   2.00599
+   0.01843   0.00644  49.07264   2.23594   1.63484   1.03284   1.96187   2.23615
+   0.01873   0.00662  55.43145   2.44713   1.84957   1.25111   2.17507   2.44735
+   0.01909   0.00684  63.50291   2.71723   2.12387   1.52961   2.44754   2.71747
+   0.01942   0.00704  70.99653   2.97004   2.38031   1.78968   2.70240   2.97029
+   0.01971   0.00723  78.28457   3.21832   2.63185   2.04450   2.95251   3.21858
+   0.02010   0.00746  88.02813   3.55384   2.97140   2.38815   3.29029   3.55412
+   0.02046   0.00769  97.59013   3.88645   3.30773   2.72826   3.62499   3.88675
+   0.02079   0.00790 106.86125   4.21174   3.63643   3.06045   3.95219   4.21206
+   0.02114   0.00811 116.73310   4.56349   3.99151   3.41895   4.30579   4.56382
+   0.02147   0.00832 126.59267   4.91758   4.34880   3.77956   4.66167   4.91793
+   0.02179   0.00853 136.24287   5.26774   4.70195   4.13579   5.01349   5.26811
+   0.02210   0.00872 145.68896   5.61490   5.05186   4.48858   5.36218   5.61528
+   0.02240   0.00891 155.28049   5.96934   5.40904   4.84860   5.71813   5.96973
+   0.02271   0.00910 165.16019   6.34035   5.78269   5.22503   6.09060   6.34076
+   0.02300   0.00929 174.55202   6.69411   6.13893   5.58387   6.44573   6.69453
+   0.02327   0.00946 183.84837   7.05031   6.49745   5.94483   6.80321   7.05075
+   0.02355   0.00964 193.22128   7.41047   6.85992   6.30974   7.16464   7.41092
+   0.02383   0.00982 202.77043   7.78268   7.23437   6.68658   7.53808   7.78315
+   0.02410   0.00999 211.97313   8.14371   7.59752   7.05198   7.90027   8.14418
+   0.02435   0.01015 220.79713   8.49242   7.94822   7.40480   8.25007   8.49291
+   0.02461   0.01032 229.99185   8.86096   8.31875   7.77746   8.61969   8.86146
+   0.01508   0.00427  -3.93120   0.58008   0.00000   0.00000   0.29308   0.58011
+   0.01541   0.00447  -3.23760   0.58700   0.00000   0.00000   0.30300   0.58704
+   0.01590   0.00476  -1.77433   0.61405   0.00695   0.00000   0.33422   0.61410
+   0.01625   0.00497  -0.44530   0.64470   0.03389   0.00000   0.36774   0.64477
+   0.01662   0.00519   1.21695   0.68729   0.08359   0.00000   0.41319   0.68737
+   0.01694   0.00538   2.88941   0.73223   0.13229   0.00000   0.46051   0.73232
+   0.01724   0.00557   4.73494   0.78347   0.18758   0.00000   0.51396   0.78357
+   0.01757   0.00576   6.97794   0.84740   0.25557   0.00000   0.58016   0.84752
+   0.01785   0.00594   9.11811   0.90937   0.32096   0.00000   0.64405   0.90950
+   0.01812   0.00611  11.31506   0.97361   0.38844   0.00000   0.71009   0.97376
+   0.01834   0.00624  13.30142   1.03268   0.45001   0.00000   0.77055   1.03283
+   0.01880   0.00653  17.73389   1.16775   0.59027   0.03332   0.90850   1.16793
+   0.01920   0.00678  21.83171   1.29846   0.72528   0.13748   1.04159   1.29865
+   0.01965   0.00706  26.75568   1.46019   0.89166   0.31800   1.20589   1.46041
+   0.02012   0.00735  32.39435   1.64647   1.08262   0.51214   1.39475   1.64671
+   0.02054   0.00762  37.90089   1.82979   1.27006   0.70434   1.58033   1.83005
+   0.02098   0.00789  43.85120   2.02968   1.47400   0.91256   1.78244   2.02996
+   0.02134   0.00812  49.20949   2.21175   1.65934   1.10145   1.96629   2.21204
+   0.02178   0.00840  55.97559   2.44353   1.89501   1.34132   2.20019   2.44385
+   0.02217   0.00865  62.22376   2.65945   2.11428   1.56425   2.41794   2.65979
+   0.02253   0.00889  68.26365   2.87039   2.32823   1.78149   2.63051   2.87075
+   0.02299   0.00918  76.28989   3.15396   2.61553   2.07288   2.91610   3.15433
+   0.02343   0.00946  84.12408   3.43377   2.89877   2.35991   3.19776   3.43417
+   0.02384   0.00972  91.68584   3.70637   3.17452   2.63914   3.47206   3.70679
+   0.02426   0.00999  99.67827   3.99929   3.47053   2.93857   3.76664   3.99974
+   0.02466   0.01025 107.63239   4.29328   3.76748   3.23882   4.06222   4.29375
+   0.02505   0.01050 115.38149   4.58288   4.05982   3.53424   4.35329   4.58336
+   0.02542   0.01074 122.92606   4.86868   4.34818   3.82546   4.64046   4.86919
+   0.02579   0.01098 130.56891   5.15992   4.64195   4.12207   4.93305   5.16044
+   0.02616   0.01122 138.39085   5.46314   4.94761   4.43048   5.23756   5.46368
+   0.02651   0.01145 145.81749   5.75196   5.23872   4.72419   5.52761   5.75252
+   0.02685   0.01167 153.12079   6.04120   5.53010   5.01800   5.81798   6.04178
+   0.02718   0.01188 160.47615   6.33339   5.82442   5.31474   6.11130   6.33398
+   0.02752   0.01210 167.93085   6.63404   6.12716   5.61985   6.41306   6.63466
+   0.02785   0.01231 175.09798   6.92510   6.42017   5.91510   6.70515   6.92573
+   0.02815   0.01251 181.95259   7.20562   6.70254   6.19957   6.98665   7.20627
+   0.02847   0.01272 189.05937   7.50088   6.99964   6.49878   7.28288   7.50155
+   0.01632   0.00488  -3.39432   0.54219   0.00000   0.00000   0.27570   0.54222
+   0.01670   0.00512  -2.68889   0.55138   0.00000   0.00000   0.28764   0.55142
+   0.01726   0.00546  -1.24137   0.58043   0.00698   0.00000   0.32054   0.58050
+   0.01766   0.00571   0.04965   0.61158   0.03385   0.00000   0.35433   0.61167
+   0.01809   0.00598   1.64359   0.65371   0.08287   0.00000   0.39910   0.65382
+   0.01845   0.00621   3.23333   0.69744   0.13013   0.00000   0.44502   0.69756
+   0.01881   0.00643   4.97295   0.74668   0.18320   0.00000   0.49629   0.74681
+   0.01918   0.00666   7.07022   0.80745   0.24780   0.00000   0.55915   0.80760
+   0.01950   0.00687   9.05965   0.86593   0.30952   0.00000   0.61940   0.86610
+   0.01982   0.00707  11.09394   0.92629   0.37294   0.00000   0.68142   0.92647
+   0.02007   0.00723  12.91921   0.98132   0.43033   0.00000   0.73773   0.98151
+   0.02060   0.00757  16.97404   1.10660   0.56052   0.03080   0.86567   1.10683
+   0.02106   0.00786  20.69474   1.22702   0.68499   0.12691   0.98827   1.22726
+   0.02157   0.00819  25.13498   1.37512   0.83749   0.29287   1.13873   1.37539
+   0.02211   0.00854  30.18761   1.54468   1.01147   0.47015   1.31066   1.54497
+   0.02261   0.00886  35.09393   1.71068   1.18137   0.64478   1.47875   1.71100
+   0.02310   0.00918  40.36762   1.89083   1.36536   0.83303   1.66095   1.89118
+   0.02352   0.00945  45.08698   2.05403   1.53165   1.00286   1.82579   2.05440
+   0.02403   0.00978  51.02271   2.26108   1.74237   1.21777   2.03479   2.26148
+   0.02448   0.01008  56.48165   2.45329   1.93774   1.41677   2.22867   2.45370
+   0.02490   0.01035  61.73395   2.64031   2.12761   1.60991   2.41720   2.64075
+   0.02543   0.01069  68.68108   2.89074   2.38157   1.86794   2.66949   2.89121
+   0.02593   0.01102  75.43356   3.13698   2.63106   2.12118   2.91744   3.13748
+   0.02640   0.01133  81.92833   3.37619   2.87324   2.36682   3.15821   3.37671
+   0.02688   0.01164  88.75328   3.63199   3.13196   2.62894   3.41554   3.63254
+   0.02735   0.01195  95.52649   3.88813   3.39090   2.89115   3.67314   3.88871
+   0.02779   0.01224 102.10081   4.13969   3.64505   3.14835   3.92606   4.14028
+   0.02822   0.01252 108.47434   4.38708   3.89486   3.40100   4.17471   4.38770
+   0.02864   0.01279 114.91882   4.63880   4.14897   3.65792   4.42767   4.63945
+   0.02907   0.01307 121.48032   4.89978   4.41226   3.92394   4.68984   4.90045
+   0.02947   0.01333 127.70406   5.14817   4.66282   4.17707   4.93936   5.14886
+   0.02986   0.01359 133.79224   5.39587   4.91254   4.42919   5.18810   5.39658
+   0.03025   0.01384 139.91830   5.64591   5.16461   4.68365   5.43919   5.64665
+   0.03063   0.01410 146.10077   5.90233   5.42299   4.94437   5.69662   5.90309
+   0.03101   0.01434 152.03314   6.15017   5.67269   5.19628   5.94542   6.15095
+   0.03136   0.01457 157.69495   6.38865   5.91291   5.43858   6.18479   6.38945
+   0.03172   0.01481 163.54074   6.63884   6.16484   5.69259   6.43587   6.63966
+   0.01732   0.00538  -3.01874   0.51503   0.00000   0.00000   0.26313   0.51507
+   0.01774   0.00564  -2.30858   0.52565   0.00000   0.00000   0.27634   0.52570
+   0.01836   0.00604  -0.87964   0.55581   0.00694   0.00000   0.31011   0.55589
+   0.01881   0.00632   0.37808   0.58706   0.03357   0.00000   0.34383   0.58716
+   0.01928   0.00662   1.91615   0.62856   0.08179   0.00000   0.38781   0.62868
+   0.01968   0.00688   3.44010   0.67116   0.12775   0.00000   0.43247   0.67130
+   0.02007   0.00713   5.09726   0.71869   0.17895   0.00000   0.48191   0.71885
+   0.02049   0.00740   7.08300   0.77691   0.24084   0.00000   0.54208   0.77709
+   0.02085   0.00763   8.95832   0.83265   0.29967   0.00000   0.59948   0.83285
+   0.02119   0.00786  10.87030   0.88998   0.35993   0.00000   0.65837   0.89019
+   0.02147   0.00804  12.57592   0.94193   0.41415   0.00000   0.71152   0.94216
+   0.02206   0.00842  16.35217   1.05983   0.53674   0.02892   0.83191   1.06009
+   0.02257   0.00876  19.79765   1.17258   0.65337   0.11902   0.94671   1.17286
+   0.02314   0.00913  23.88812   1.31063   0.79563   0.27422   1.08698   1.31094
+   0.02374   0.00952  28.52057   1.46798   0.95722   0.43917   1.24655   1.46832
+   0.02428   0.00988  32.99973   1.62144   1.11441   0.60103   1.40197   1.62181
+   0.02484   0.01024  37.79512   1.78740   1.28404   0.77489   1.56985   1.78781
+   0.02530   0.01055  42.06641   1.93713   1.43673   0.93109   1.72112   1.93756
+   0.02586   0.01092  47.42271   2.12661   1.62972   1.12823   1.91243   2.12707
+   0.02636   0.01125  52.33374   2.30204   1.80819   1.31029   2.08944   2.30253
+   0.02683   0.01156  57.04238   2.47225   1.98111   1.48645   2.26105   2.47276
+   0.02742   0.01194  63.24893   2.69949   2.21173   1.72110   2.49004   2.70003
+   0.02797   0.01231  69.26282   2.92235   2.43770   1.95078   2.71450   2.92292
+   0.02850   0.01266  75.03210   3.13837   2.65658   2.17307   2.93199   3.13898
+   0.02903   0.01301  81.06882   3.36857   2.88957   2.40942   3.16362   3.36921
+   0.02955   0.01335  87.04743   3.59868   3.12235   2.64544   3.39510   3.59934
+   0.03004   0.01368  92.83473   3.82416   3.35033   2.87643   3.62186   3.82486
+   0.03051   0.01399  98.42773   4.04536   3.57384   3.10274   3.84423   4.04608
+   0.03098   0.01430 104.07521   4.27016   3.80093   3.33261   4.07020   4.27091
+   0.03145   0.01461 109.80355   4.50252   4.03551   3.56988   4.30369   4.50330
+   0.03190   0.01490 115.23309   4.72355   4.25862   3.79552   4.52577   4.72435
+   0.03233   0.01519 120.52393   4.94328   4.48028   4.01955   4.74648   4.94410
+   0.03276   0.01547 125.84422   5.16497   4.70391   4.24554   4.96915   5.16582
+   0.03319   0.01575 131.19695   5.39175   4.93258   4.47651   5.19688   5.39263
+   0.03360   0.01602 136.32578   5.61071   5.15331   4.69942   5.41673   5.61161
+   0.03399   0.01628 141.21327   5.82113   5.36540   4.91356   5.62799   5.82205
+   0.03439   0.01654 146.24440   6.04136   5.58729   5.13751   5.84906   6.04230
+   0.02105   0.00746  -2.01784   0.44042   0.00000   0.00000   0.22818   0.44049
+   0.02163   0.00785  -1.31040   0.45422   0.00000   0.00000   0.24409   0.45431
+   0.02249   0.00844   0.03784   0.48612   0.00665   0.00000   0.27895   0.48626
+   0.02312   0.00886   1.18018   0.51658   0.03189   0.00000   0.31144   0.51676
+   0.02377   0.00931   2.53805   0.55523   0.07666   0.00000   0.35212   0.55544
+   0.02434   0.00970   3.85685   0.59372   0.11803   0.00000   0.39229   0.59396
+   0.02488   0.01007   5.26350   0.63559   0.16311   0.00000   0.43573   0.63586
+   0.02546   0.01046   6.91776   0.68576   0.21649   0.00000   0.48751   0.68607
+   0.02596   0.01080   8.45877   0.73309   0.26651   0.00000   0.53619   0.73342
+   0.02645   0.01113  10.01546   0.78129   0.31727   0.00000   0.58566   0.78164
+   0.02683   0.01140  11.37920   0.82418   0.36214   0.00000   0.62954   0.82456
+   0.02766   0.01196  14.36667   0.92056   0.46262   0.02350   0.72796   0.92099
+   0.02837   0.01245  17.04381   1.01133   0.55678   0.09642   0.82042   1.01180
+   0.02917   0.01299  20.16994   1.12097   0.67009   0.22102   0.93187   1.12149
+   0.03000   0.01356  23.65702   1.24422   0.79705   0.35141   1.05695   1.24479
+   0.03076   0.01407  26.98315   1.36301   0.91910   0.47786   1.17734   1.36362
+   0.03154   0.01460  30.49911   1.49008   1.04937   0.61218   1.30598   1.49074
+   0.03218   0.01504  33.58433   1.60327   1.16515   0.73129   1.42044   1.60396
+   0.03297   0.01557  37.41702   1.74537   1.31032   0.88040   1.56403   1.74611
+   0.03366   0.01604  40.89690   1.87586   1.44347   1.01696   1.69582   1.87665
+   0.03431   0.01647  44.19626   2.00130   1.57129   1.14785   1.82241   2.00212
+   0.03513   0.01703  48.49745   2.16724   1.74019   1.32057   1.98979   2.16811
+   0.03590   0.01755  52.62388   2.32865   1.90432   1.48822   2.15251   2.32957
+   0.03663   0.01804  56.54943   2.48405   2.06222   1.64935   2.30912   2.48502
+   0.03736   0.01853  60.60110   2.64781   2.22842   1.81872   2.47405   2.64882
+   0.03808   0.01901  64.58750   2.81063   2.39359   1.98694   2.63800   2.81168
+   0.03877   0.01947  68.41279   2.96906   2.55421   2.15041   2.79748   2.97016
+   0.03942   0.01991  72.07294   3.12323   2.71041   2.30925   2.95262   3.12437
+   0.04007   0.02034  75.75237   3.27937   2.86856   2.47001   3.10972   3.28056
+   0.04072   0.02078  79.43970   3.43921   3.03034   2.63432   3.27048   3.44043
+   0.04134   0.02119  82.92653   3.59097   3.18393   2.79030   3.42312   3.59224
+   0.04193   0.02158  86.28275   3.74038   3.33503   2.94363   3.57333   3.74168
+   0.04252   0.02197  89.65052   3.89087   3.48723   3.09804   3.72463   3.89221
+   0.04311   0.02237  93.00562   4.04362   3.64164   3.25461   3.87817   4.04500
+   0.04368   0.02274  96.20560   4.19058   3.79016   3.40518   4.02586   4.19199
+   0.04421   0.02310  99.24033   4.33127   3.93231   3.54926   4.16725   4.33272
+   0.04476   0.02346 102.33412   4.47742   4.07994   3.69881   4.31409   4.47891
+   0.02594   0.01062  -1.22224   0.37863   0.00000   0.00000   0.19864   0.37876
+   0.02677   0.01121  -0.53839   0.39402   0.00000   0.00000   0.21577   0.39420
+   0.02799   0.01208   0.70365   0.42567   0.00615   0.00000   0.24983   0.42592
+   0.02888   0.01271   1.71942   0.45417   0.02930   0.00000   0.27999   0.45448
+   0.02981   0.01337   2.89423   0.48903   0.06969   0.00000   0.31652   0.48940
+   0.03061   0.01394   4.01284   0.52287   0.10602   0.00000   0.35174   0.52329
+   0.03138   0.01448   5.18311   0.55889   0.14484   0.00000   0.38903   0.55935
+   0.03220   0.01506   6.53355   0.60118   0.18993   0.00000   0.43264   0.60169
+   0.03292   0.01556   7.77411   0.64052   0.23163   0.00000   0.47309   0.64108
+   0.03360   0.01604   9.01538   0.68021   0.27355   0.00000   0.51383   0.68081
+   0.03415   0.01642  10.08265   0.71492   0.30999   0.00000   0.54935   0.71556
+   0.03532   0.01724  12.39503   0.79217   0.39083   0.01876   0.62827   0.79288
+   0.03633   0.01794  14.42817   0.86383   0.46547   0.07673   0.70132   0.86461
+   0.03745   0.01872  16.76088   0.94921   0.55406   0.17503   0.78819   0.95006
+   0.03863   0.01953  19.32154   1.04386   0.65195   0.27628   0.88434   1.04479
+   0.03970   0.02027  21.72888   1.13398   0.74494   0.37332   0.97578   1.13498
+   0.04078   0.02101  24.23913   1.22930   0.84307   0.47521   1.07240   1.23037
+   0.04169   0.02163  26.40681   1.31310   0.92914   0.56437   1.15724   1.31423
+   0.04279   0.02238  29.07261   1.41744   1.03618   0.67506   1.26281   1.41864
+   0.04377   0.02304  31.46754   1.51244   1.13351   0.77555   1.35888   1.51371
+   0.04467   0.02365  33.71074   1.60287   1.22604   0.87092   1.45026   1.60420
+   0.04581   0.02443  36.60027   1.72135   1.34713   0.99554   1.56993   1.72276
+   0.04689   0.02516  39.34248   1.83562   1.46379   1.11545   1.68528   1.83710
+   0.04790   0.02584  41.92720   1.94483   1.57520   1.22984   1.79549   1.94638
+   0.04892   0.02652  44.55514   2.05856   1.69109   1.34866   1.91020   2.06018
+   0.04992   0.02719  47.12215   2.17101   1.80561   1.46599   2.02358   2.17269
+   0.05087   0.02782  49.56158   2.27960   1.91614   1.57913   2.13305   2.28135
+   0.05177   0.02842  51.87003   2.38438   2.02270   1.68812   2.23863   2.38619
+   0.05267   0.02902  54.17910   2.49009   2.13019   1.79802   2.34513   2.49196
+   0.05356   0.02961  56.46213   2.59719   2.23901   1.90917   2.45301   2.59913
+   0.05441   0.03017  58.61531   2.69868   2.34212   2.01446   2.55522   2.70068
+   0.05522   0.03071  60.65936   2.79756   2.44250   2.11688   2.65477   2.79961
+   0.05603   0.03125  62.70548   2.89697   2.54342   2.21984   2.75486   2.89908
+   0.05684   0.03178  64.72136   2.99704   2.64496   2.32337   2.85558   2.99920
+   0.05762   0.03229  66.63391   3.09295   2.74224   2.42253   2.95210   3.09516
+   0.05835   0.03277  68.43781   3.18438   2.83498   2.51703   3.04411   3.18665
+   0.05910   0.03326  70.25642   3.27860   2.93051   2.61431   3.13891   3.28092
+   0.02956   0.01322  -0.83446   0.34765   0.00000   0.00000   0.18357   0.34785
+   0.03059   0.01397  -0.17227   0.36338   0.00000   0.00000   0.20085   0.36365
+   0.03211   0.01507   0.99895   0.39417   0.00580   0.00000   0.23379   0.39453
+   0.03321   0.01585   1.93775   0.42113   0.02751   0.00000   0.26223   0.42157
+   0.03436   0.01668   3.00639   0.45351   0.06505   0.00000   0.29608   0.45402
+   0.03535   0.01738   4.01205   0.48451   0.09835   0.00000   0.32832   0.48508
+   0.03631   0.01806   5.05210   0.51710   0.13355   0.00000   0.36206   0.51774
+   0.03732   0.01878   6.23875   0.55496   0.17400   0.00000   0.40109   0.55567
+   0.03820   0.01940   7.31974   0.58990   0.21112   0.00000   0.43702   0.59067
+   0.03905   0.01999   8.39509   0.62496   0.24826   0.00000   0.47302   0.62579
+   0.03972   0.02047   9.30926   0.65532   0.28021   0.00000   0.50409   0.65619
+   0.04116   0.02147  11.27665   0.72250   0.35072   0.01630   0.57277   0.72347
+   0.04240   0.02233  12.98622   0.78428   0.41525   0.06654   0.63579   0.78533
+   0.04378   0.02329  14.92632   0.85727   0.49124   0.15133   0.71012   0.85842
+   0.04522   0.02428  17.03505   0.93753   0.57451   0.23787   0.79172   0.93878
+   0.04653   0.02518  18.99973   1.01339   0.65303   0.32022   0.86877   1.01473
+   0.04786   0.02609  21.03105   1.09308   0.73533   0.40609   0.94962   1.09451
+   0.04897   0.02684  22.76766   1.16258   0.80695   0.48063   1.02006   1.16409
+   0.05031   0.02775  24.88993   1.24869   0.89557   0.57271   1.10727   1.25029
+   0.05150   0.02856  26.78390   1.32667   0.97573   0.65586   1.18622   1.32836
+   0.05259   0.02929  28.54429   1.40047   1.05148   0.73430   1.26087   1.40223
+   0.05398   0.03023  30.79484   1.49659   1.15003   0.83618   1.35807   1.49845
+   0.05529   0.03110  32.91600   1.58880   1.24448   0.93370   1.45125   1.59075
+   0.05651   0.03192  34.90359   1.67654   1.33427   1.02631   1.53989   1.67857
+   0.05775   0.03274  36.90509   1.76724   1.42699   1.12179   1.63148   1.76937
+   0.05895   0.03354  38.85122   1.85661   1.51829   1.21575   1.72169   1.85882
+   0.06010   0.03430  40.68907   1.94252   1.60601   1.30593   1.80839   1.94481
+   0.06118   0.03501  42.41593   2.02496   1.69013   1.39234   1.89156   2.02733
+   0.06227   0.03573  44.13763   2.10795   1.77478   1.47926   1.97527   2.11039
+   0.06334   0.03643  45.82512   2.19149   1.85993   1.56661   2.05951   2.19401
+   0.06436   0.03710  47.41388   2.27056   1.94051   1.64925   2.13923   2.27315
+   0.06533   0.03773  48.90855   2.34708   2.01845   1.72911   2.21637   2.34975
+   0.06631   0.03836  50.40235   2.42394   2.09673   1.80930   2.29384   2.42668
+   0.06728   0.03899  51.86338   2.50091   2.17507   1.88951   2.37140   2.50371
+   0.06820   0.03959  53.24466   2.57449   2.24995   1.96616   2.44554   2.57736
+   0.06908   0.04016  54.54279   2.64446   2.32115   2.03901   2.51604   2.64740
+   0.06997   0.04073  55.84184   2.71620   2.39411   2.11363   2.58830   2.71920
+   0.03267   0.01559  -0.58756   0.32769   0.00000   0.00000   0.17376   0.32797
+   0.03388   0.01647   0.05630   0.34346   0.00000   0.00000   0.19095   0.34382
+   0.03566   0.01776   1.17436   0.37338   0.00552   0.00000   0.22286   0.37387
+   0.03695   0.01869   2.05795   0.39913   0.02615   0.00000   0.24997   0.39970
+   0.03829   0.01965   3.05237   0.42967   0.06162   0.00000   0.28187   0.43033
+   0.03945   0.02047   3.98027   0.45864   0.09276   0.00000   0.31199   0.45938
+   0.04057   0.02126   4.93192   0.48885   0.12544   0.00000   0.34326   0.48967
+   0.04175   0.02209   6.00877   0.52367   0.16272   0.00000   0.37916   0.52457
+   0.04277   0.02281   6.98376   0.55562   0.19675   0.00000   0.41203   0.55659
+   0.04376   0.02351   7.94949   0.58757   0.23066   0.00000   0.44485   0.58861
+   0.04455   0.02406   8.76364   0.61503   0.25964   0.00000   0.47297   0.61612
+   0.04622   0.02522  10.50706   0.67556   0.32333   0.01469   0.53489   0.67677
+   0.04765   0.02621  12.00871   0.73086   0.38126   0.05987   0.59134   0.73217
+   0.04925   0.02731  13.69887   0.79582   0.44906   0.13587   0.65755   0.79725
+   0.05092   0.02845  15.52232   0.86681   0.52292   0.21291   0.72978   0.86836
+   0.05244   0.02949  17.20973   0.93355   0.59219   0.28585   0.79762   0.93521
+   0.05397   0.03052  18.94313   1.00331   0.66444   0.36152   0.86846   1.00507
+   0.05525   0.03139  20.41381   1.06378   0.72694   0.42682   0.92982   1.06565
+   0.05679   0.03243  22.20247   1.13843   0.80399   0.50718   1.00550   1.14040
+   0.05816   0.03334  23.79060   1.20578   0.87341   0.57946   1.07374   1.20785
+   0.05941   0.03418  25.25800   1.26922   0.93872   0.64735   1.13799   1.27138
+   0.06101   0.03524  27.12309   1.35149   1.02332   0.73514   1.22126   1.35377
+   0.06251   0.03623  28.87161   1.43010   1.10406   0.81882   1.30079   1.43249
+   0.06391   0.03716  30.50250   1.50465   1.18058   0.89803   1.37617   1.50714
+   0.06532   0.03809  32.13255   1.58130   1.25915   0.97925   1.45365   1.58389
+   0.06670   0.03899  33.71178   1.65661   1.33632   1.05895   1.52975   1.65930
+   0.06800   0.03984  35.19578   1.72876   1.41020   1.13519   1.60264   1.73155
+   0.06924   0.04064  36.58236   1.79771   1.48076   1.20794   1.67228   1.80059
+   0.07047   0.04144  37.96121   1.86700   1.55164   1.28098   1.74224   1.86997
+   0.07169   0.04224  39.30330   1.93641   1.62260   1.35404   1.81230   1.93947
+   0.07285   0.04298  40.56509   2.00203   1.68968   1.42309   1.87855   2.00518
+   0.07395   0.04369  41.74358   2.06524   1.75424   1.48948   1.94233   2.06847
+   0.07506   0.04440  42.91987   2.12866   1.81902   1.55610   2.00633   2.13197
+   0.07616   0.04510  44.06357   2.19192   1.88360   1.62246   2.07015   2.19531
+   0.07720   0.04577  45.14175   2.25228   1.94522   1.68575   2.13104   2.25575
+   0.07819   0.04640  46.15208   2.30957   2.00369   1.74580   2.18882   2.31311
+   0.07920   0.04704  47.15696   2.36808   2.06337   1.80706   2.24783   2.37169
+   0.03535   0.01770  -0.41216   0.31337   0.00000   0.00000   0.16665   0.31372
+   0.03672   0.01870   0.21584   0.32904   0.00000   0.00000   0.18366   0.32948
+   0.03873   0.02016   1.29104   0.35816   0.00530   0.00000   0.21465   0.35875
+   0.04019   0.02120   2.13149   0.38289   0.02506   0.00000   0.24067   0.38358
+   0.04170   0.02228   3.06900   0.41196   0.05887   0.00000   0.27102   0.41276
+   0.04301   0.02321   3.93799   0.43935   0.08835   0.00000   0.29949   0.44024
+   0.04426   0.02409   4.82338   0.46774   0.11911   0.00000   0.32888   0.46872
+   0.04559   0.02503   5.81878   0.50026   0.15400   0.00000   0.36242   0.50134
+   0.04675   0.02584   6.71569   0.52998   0.18571   0.00000   0.39301   0.53114
+   0.04786   0.02661   7.60108   0.55961   0.21724   0.00000   0.42346   0.56085
+   0.04874   0.02722   8.34261   0.58493   0.24402   0.00000   0.44941   0.58624
+   0.05061   0.02852   9.92426   0.64059   0.30272   0.01351   0.50638   0.64203
+   0.05222   0.02963  11.27706   0.69118   0.35584   0.05501   0.55806   0.69274
+   0.05402   0.03085  12.78976   0.75034   0.41774   0.12465   0.61840   0.75203
+   0.05589   0.03212  14.41224   0.81468   0.48485   0.19488   0.68392   0.81651
+   0.05758   0.03327  15.90563   0.87492   0.54753   0.26109   0.74520   0.87687
+   0.05929   0.03442  17.43193   0.93763   0.61266   0.32952   0.80895   0.93971
+   0.06071   0.03537  18.71915   0.99176   0.66873   0.38829   0.86390   0.99394
+   0.06243   0.03652  20.27877   1.05836   0.73766   0.46041   0.93149   1.06067
+   0.06395   0.03753  21.65798   1.11828   0.79958   0.52510   0.99226   1.12070
+   0.06535   0.03846  22.92638   1.17452   0.85762   0.58563   1.04926   1.17704
+   0.06712   0.03962  24.53118   1.24720   0.93256   0.66364   1.12290   1.24986
+   0.06878   0.04071  26.02937   1.31644   1.00386   0.73777   1.19301   1.31922
+   0.07034   0.04173  27.42168   1.38192   1.07125   0.80776   1.25930   1.38482
+   0.07190   0.04275  28.80505   1.44896   1.14016   0.87921   1.32712   1.45197
+   0.07342   0.04374  30.14150   1.51469   1.20769   0.94919   1.39362   1.51782
+   0.07487   0.04467  31.39242   1.57749   1.27217   1.01595   1.45712   1.58073
+   0.07623   0.04554  32.55605   1.63733   1.33357   1.07945   1.51761   1.64066
+   0.07759   0.04642  33.71082   1.69736   1.39515   1.14311   1.57829   1.70080
+   0.07894   0.04728  34.82860   1.75728   1.45657   1.20655   1.63884   1.76082
+   0.08021   0.04809  35.87833   1.81388   1.51459   1.26646   1.69604   1.81752
+   0.08143   0.04886  36.85312   1.86819   1.57021   1.32386   1.75089   1.87192
+   0.08265   0.04963  37.82508   1.92265   1.62599   1.38140   1.80591   1.92647
+   0.08385   0.05040  38.76569   1.97680   1.68143   1.43855   1.86059   1.98070
+   0.08500   0.05112  39.65037   2.02839   1.73424   1.49297   1.91269   2.03238
+   0.08609   0.05180  40.47744   2.07728   1.78428   1.54453   1.96206   2.08136
+   0.08720   0.05250  41.29602   2.12706   1.83520   1.59698   2.01232   2.13122
+   0.04648   0.02690   0.06367   0.27436   0.00000   0.00000   0.14701   0.27512
+   0.04852   0.02836   0.63440   0.28919   0.00000   0.00000   0.16297   0.29011
+   0.05151   0.03047   1.56991   0.31525   0.00458   0.00000   0.19061   0.31640
+   0.05365   0.03197   2.27636   0.33659   0.02154   0.00000   0.21304   0.33791
+   0.05587   0.03352   3.04236   0.36102   0.05019   0.00000   0.23857   0.36251
+   0.05779   0.03484   3.73725   0.38356   0.07462   0.00000   0.26203   0.38520
+   0.05961   0.03609   4.43029   0.40648   0.09967   0.00000   0.28581   0.40827
+   0.06154   0.03740   5.19315   0.43227   0.12758   0.00000   0.31247   0.43421
+   0.06321   0.03853   5.86976   0.45552   0.15264   0.00000   0.33647   0.45759
+   0.06481   0.03961   6.53021   0.47849   0.17731   0.00000   0.36015   0.48068
+   0.06608   0.04047   7.07142   0.49778   0.19792   0.00000   0.37998   0.50007
+   0.06877   0.04226   8.21066   0.53975   0.24265   0.01025   0.42309   0.54226
+   0.07106   0.04378   9.16209   0.57730   0.28250   0.04159   0.46159   0.57999
+   0.07361   0.04546  10.20235   0.62055   0.32825   0.09373   0.50587   0.62345
+   0.07625   0.04719  11.29615   0.66687   0.37709   0.14544   0.55323   0.66997
+   0.07863   0.04873  12.28456   0.70963   0.42209   0.19355   0.59691   0.71292
+   0.08102   0.05028  13.27709   0.75358   0.46825   0.24263   0.64176   0.75706
+   0.08300   0.05155  14.09685   0.79092   0.50738   0.28416   0.67984   0.79456
+   0.08539   0.05308  15.07708   0.83644   0.55503   0.33464   0.72623   0.84026
+   0.08750   0.05442  15.93171   0.87696   0.59741   0.37946   0.76751   0.88095
+   0.08942   0.05563  16.70472   0.91456   0.63667   0.42091   0.80579   0.91870
+   0.09185   0.05716  17.66689   0.96258   0.68678   0.47373   0.85466   0.96692
+   0.09413   0.05859  18.55168   1.00784   0.73396   0.52341   0.90071   1.01236
+   0.09625   0.05991  19.36311   1.05027   0.77815   0.56989   0.94385   1.05495
+   0.09836   0.06122  20.15207   1.09306   0.82269   0.61667   0.98736   1.09791
+   0.10042   0.06249  20.90635   1.13473   0.86604   0.66217   1.02972   1.13974
+   0.10237   0.06368  21.60210   1.17416   0.90704   0.70517   1.06979   1.17933
+   0.10419   0.06480  22.23865   1.21133   0.94566   0.74564   1.10755   1.21663
+   0.10602   0.06591  22.86542   1.24843   0.98421   0.78602   1.14524   1.25388
+   0.10781   0.06699  23.45951   1.28497   1.02217   0.82574   1.18236   1.29056
+   0.10950   0.06802  24.01502   1.31941   1.05793   0.86317   1.21733   1.32513
+   0.11111   0.06898  24.51949   1.35199   1.09176   0.89854   1.25042   1.35784
+   0.11272   0.06995  25.02043   1.38459   1.12560   0.93393   1.28353   1.39057
+   0.11430   0.07090  25.49633   1.41665   1.15888   0.96870   1.31609   1.42275
+   0.11581   0.07180  25.93983   1.44704   1.19041   1.00166   1.34694   1.45326
+   0.11724   0.07264  26.35060   1.47569   1.22014   1.03271   1.37603   1.48202
+   0.11868   0.07350  26.74912   1.50453   1.25007   1.06397   1.40531   1.51097
+   0.06390   0.04170   0.45209   0.24268   0.00000   0.00000   0.13071   0.24434
+   0.06695   0.04377   0.95411   0.25598   0.00000   0.00000   0.14503   0.25790
+   0.07139   0.04675   1.74147   0.27829   0.00383   0.00000   0.16876   0.28058
+   0.07455   0.04884   2.31503   0.29596   0.01794   0.00000   0.18742   0.29853
+   0.07781   0.05099   2.91845   0.31569   0.04149   0.00000   0.20815   0.31853
+   0.08060   0.05280   3.45331   0.33353   0.06113   0.00000   0.22684   0.33662
+   0.08324   0.05452   3.97453   0.35134   0.08092   0.00000   0.24543   0.35465
+   0.08603   0.05631   4.53517   0.37100   0.10258   0.00000   0.26590   0.37455
+   0.08842   0.05784   5.02388   0.38849   0.12177   0.00000   0.28409   0.39225
+   0.09071   0.05929   5.49497   0.40560   0.14049   0.00000   0.30185   0.40955
+   0.09252   0.06043   5.87173   0.41971   0.15585   0.00000   0.31647   0.42381
+   0.09633   0.06282   6.65299   0.45008   0.18884   0.00754   0.34790   0.45451
+   0.09955   0.06483   7.28743   0.47680   0.21774   0.03049   0.37551   0.48149
+   0.10311   0.06703   7.96286   0.50707   0.25040   0.06834   0.40675   0.51207
+   0.10677   0.06928   8.65690   0.53894   0.28468   0.10519   0.43960   0.54424
+   0.11006   0.07128   9.27060   0.56791   0.31580   0.13900   0.46944   0.57349
+   0.11334   0.07326   9.87402   0.59725   0.34727   0.17303   0.49965   0.60311
+   0.11605   0.07488  10.36002   0.62176   0.37351   0.20134   0.52486   0.62784
+   0.11929   0.07681  10.93195   0.65131   0.40512   0.23540   0.55525   0.65766
+   0.12213   0.07850  11.42194   0.67731   0.43291   0.26532   0.58198   0.68390
+   0.12471   0.08002  11.85600   0.70111   0.45833   0.29263   0.60644   0.70791
+   0.12796   0.08192  12.38530   0.73110   0.49035   0.32700   0.63726   0.73817
+   0.13098   0.08368  12.86269   0.75903   0.52015   0.35896   0.66595   0.76635
+   0.13378   0.08530  13.29298   0.78493   0.54779   0.38857   0.69256   0.79248
+   0.13656   0.08689  13.69954   0.81062   0.57518   0.41789   0.71894   0.81840
+   0.13925   0.08843  14.08282   0.83542   0.60163   0.44619   0.74441   0.84342
+   0.14178   0.08987  14.42931   0.85862   0.62637   0.47266   0.76824   0.86683
+   0.14414   0.09120  14.73909   0.88021   0.64940   0.49727   0.79042   0.88861
+   0.14649   0.09253  15.04072   0.90164   0.67225   0.52170   0.81243   0.91023
+   0.14879   0.09381  15.31806   0.92241   0.69441   0.54538   0.83376   0.93119
+   0.15096   0.09502  15.57573   0.94192   0.71523   0.56763   0.85381   0.95087
+   0.15300   0.09615  15.80200   0.96008   0.73462   0.58834   0.87247   0.96919
+   0.15503   0.09728  16.02527   0.97819   0.75396   0.60900   0.89108   0.98747
+   0.15703   0.09838  16.23133   0.99577   0.77274   0.62907   0.90915   1.00520
+   0.15893   0.09942  16.42051   1.01232   0.79043   0.64797   0.92616   1.02191
+   0.16071   0.10040  16.59310   1.02781   0.80700   0.66567   0.94210   1.03754
+   0.16251   0.10137  16.75499   1.04320   0.82347   0.68327   0.95793   1.05308
+   0.07897   0.05429   0.64754   0.22686   0.00000   0.00000   0.12250   0.22950
+   0.08283   0.05680   1.10413   0.23900   0.00000   0.00000   0.13563   0.24199
+   0.08841   0.06036   1.80146   0.25885   0.00340   0.00000   0.15689   0.26234
+   0.09235   0.06286   2.29827   0.27429   0.01586   0.00000   0.17331   0.27813
+   0.09640   0.06540   2.81111   0.29128   0.03650   0.00000   0.19130   0.29548
+   0.09984   0.06754   3.25907   0.30647   0.05350   0.00000   0.20733   0.31098
+   0.10310   0.06955   3.68919   0.32145   0.07045   0.00000   0.22309   0.32625
+   0.10652   0.07164   4.14506   0.33781   0.08880   0.00000   0.24027   0.34291
+   0.10945   0.07342   4.53802   0.35224   0.10492   0.00000   0.25539   0.35760
+   0.11224   0.07511   4.91368   0.36627   0.12056   0.00000   0.27008   0.37188
+   0.11444   0.07643   5.20939   0.37770   0.13325   0.00000   0.28203   0.38350
+   0.11904   0.07918   5.81637   0.40216   0.16032   0.00619   0.30756   0.40837
+   0.12293   0.08148   6.29976   0.42344   0.18379   0.02497   0.32974   0.42998
+   0.12719   0.08398   6.80480   0.44730   0.21004   0.05577   0.35458   0.45421
+   0.13156   0.08652   7.31562   0.47214   0.23731   0.08544   0.38042   0.47943
+   0.13547   0.08877   7.76048   0.49449   0.26183   0.11240   0.40366   0.50212
+   0.13935   0.09099   8.19134   0.51692   0.28640   0.13930   0.42697   0.52488
+   0.14253   0.09279   8.53212   0.53543   0.30666   0.16145   0.44620   0.54366
+   0.14633   0.09494   8.92849   0.55759   0.33090   0.18793   0.46921   0.56614
+   0.14965   0.09679   9.26367   0.57693   0.35206   0.21102   0.48931   0.58577
+   0.15265   0.09846   9.55594   0.59447   0.37124   0.23192   0.50752   0.60356
+   0.15641   0.10054   9.90673   0.61638   0.39521   0.25802   0.53028   0.62579
+   0.15990   0.10245  10.21834   0.63661   0.41733   0.28211   0.55129   0.64631
+   0.16312   0.10420  10.49530   0.65523   0.43771   0.30428   0.57064   0.66520
+   0.16629   0.10592  10.75090   0.67348   0.45769   0.32601   0.58960   0.68371
+   0.16936   0.10757  10.98903   0.69100   0.47688   0.34688   0.60780   0.70148
+   0.17223   0.10910  11.20058   0.70725   0.49470   0.36626   0.62471   0.71797
+   0.17490   0.11052  11.38589   0.72224   0.51115   0.38414   0.64029   0.73317
+   0.17755   0.11192  11.56448   0.73704   0.52741   0.40183   0.65570   0.74820
+   0.18013   0.11327  11.72408   0.75123   0.54301   0.41880   0.67047   0.76260
+   0.18256   0.11454  11.87144   0.76453   0.55764   0.43472   0.68432   0.77609
+   0.18483   0.11572  11.99658   0.77675   0.57112   0.44939   0.69706   0.78850
+   0.18710   0.11690  12.11925   0.78892   0.58453   0.46400   0.70974   0.80084
+   0.18931   0.11804  12.22905   0.80060   0.59744   0.47807   0.72194   0.81271
+   0.19141   0.11911  12.32819   0.81155   0.60955   0.49127   0.73336   0.82382
+   0.19338   0.12011  12.41711   0.82175   0.62085   0.50358   0.74402   0.83418
+   0.19535   0.12111  12.49722   0.83177   0.63197   0.51572   0.75449   0.84435
+   0.09300   0.06565   0.77383   0.21653   0.00000   0.00000   0.11714   0.22023
+   0.09753   0.06848   1.19575   0.22772   0.00000   0.00000   0.12935   0.23184
+   0.10405   0.07248   1.82778   0.24572   0.00309   0.00000   0.14879   0.25045
+   0.10863   0.07526   2.27067   0.25955   0.01440   0.00000   0.16362   0.26470
+   0.11332   0.07808   2.72135   0.27461   0.03303   0.00000   0.17970   0.28018
+   0.11730   0.08045   3.11069   0.28795   0.04824   0.00000   0.19391   0.29389
+   0.12105   0.08267   3.48034   0.30100   0.06327   0.00000   0.20776   0.30728
+   0.12497   0.08497   3.86770   0.31513   0.07943   0.00000   0.22273   0.32177
+   0.12832   0.08692   4.19876   0.32752   0.09354   0.00000   0.23584   0.33446
+   0.13150   0.08877   4.51321   0.33951   0.10716   0.00000   0.24850   0.34673
+   0.13400   0.09020   4.75768   0.34919   0.11812   0.00000   0.25872   0.35664
+   0.13923   0.09318   5.25541   0.36981   0.14140   0.00533   0.28044   0.37772
+   0.14362   0.09566   5.64550   0.38759   0.16141   0.02145   0.29915   0.39590
+   0.14841   0.09835   6.04674   0.40738   0.18363   0.04780   0.31995   0.41611
+   0.15331   0.10107   6.44737   0.42779   0.20653   0.07295   0.34140   0.43695
+   0.15767   0.10346   6.79186   0.44602   0.22697   0.09566   0.36055   0.45556
+   0.16198   0.10582   7.12131   0.46417   0.24730   0.11817   0.37960   0.47407
+   0.16550   0.10772   7.37784   0.47901   0.26393   0.13656   0.39519   0.48922
+   0.16970   0.10997   7.67319   0.49667   0.28372   0.15843   0.41374   0.50724
+   0.17335   0.11191   7.92008   0.51199   0.30089   0.17740   0.42983   0.52287
+   0.17664   0.11365   8.13232   0.52578   0.31636   0.19447   0.44432   0.53694
+   0.18075   0.11581   8.38339   0.54287   0.33556   0.21565   0.46229   0.55438
+   0.18454   0.11778   8.60325   0.55855   0.35317   0.23508   0.47878   0.57037
+   0.18804   0.11959   8.79606   0.57289   0.36931   0.25288   0.49387   0.58500
+   0.19147   0.12134   8.96990   0.58680   0.38499   0.27018   0.50852   0.59920
+   0.19478   0.12302   9.12995   0.60008   0.39999   0.28674   0.52252   0.61276
+   0.19785   0.12458   9.26957   0.61233   0.41383   0.30203   0.53543   0.62525
+   0.20071   0.12601   9.38922   0.62353   0.42653   0.31605   0.54726   0.63669
+   0.20355   0.12743   9.50322   0.63455   0.43904   0.32988   0.55891   0.64794
+   0.20629   0.12878   9.60184   0.64501   0.45095   0.34305   0.56997   0.65862
+   0.20886   0.13006   9.69221   0.65479   0.46209   0.35538   0.58031   0.66860
+   0.21126   0.13123   9.76586   0.66368   0.47226   0.36666   0.58974   0.67769
+   0.21366   0.13239   9.83744   0.67252   0.48237   0.37787   0.59911   0.68671
+   0.21599   0.13352   9.89892   0.68092   0.49203   0.38859   0.60804   0.69530
+   0.21819   0.13458   9.95315   0.68877   0.50106   0.39863   0.61638   0.70332
+   0.22025   0.13556  10.00058   0.69604   0.50945   0.40796   0.62411   0.71075
+   0.22230   0.13654  10.04066   0.70311   0.51764   0.41709   0.63166   0.71798
+   0.10635   0.07613   0.86483   0.20886   0.00000   0.00000   0.11321   0.21367
+   0.11147   0.07920   1.25844   0.21926   0.00000   0.00000   0.12466   0.22456
+   0.11878   0.08354   1.83905   0.23577   0.00286   0.00000   0.14265   0.24176
+   0.12391   0.08654   2.24046   0.24832   0.01328   0.00000   0.15625   0.25479
+   0.12914   0.08957   2.64417   0.26189   0.03039   0.00000   0.17086   0.26884
+   0.13356   0.09210   2.98980   0.27382   0.04425   0.00000   0.18369   0.28119
+   0.13772   0.09447   3.31491   0.28541   0.05787   0.00000   0.19612   0.29317
+   0.14204   0.09691   3.65243   0.29788   0.07240   0.00000   0.20946   0.30603
+   0.14574   0.09898   3.93882   0.30876   0.08504   0.00000   0.22108   0.31724
+   0.14924   0.10093   4.20938   0.31924   0.09719   0.00000   0.23226   0.32805
+   0.15198   0.10244   4.41752   0.32765   0.10691   0.00000   0.24122   0.33670
+   0.15770   0.10558   4.83834   0.34548   0.12746   0.00471   0.26020   0.35504
+   0.16249   0.10817   5.16349   0.36075   0.14502   0.01894   0.27643   0.37074
+   0.16770   0.11097   5.49330   0.37762   0.16439   0.04212   0.29436   0.38808
+   0.17300   0.11379   5.81887   0.39491   0.18421   0.06409   0.31271   0.40583
+   0.17770   0.11626   6.09564   0.41024   0.20180   0.08383   0.32900   0.42157
+   0.18233   0.11868   6.35727   0.42539   0.21920   0.10327   0.34510   0.43713
+   0.18611   0.12063   6.55806   0.43769   0.23333   0.11906   0.35817   0.44975
+   0.19059   0.12293   6.78704   0.45225   0.25007   0.13777   0.37365   0.46470
+   0.19448   0.12491   6.97634   0.46482   0.26453   0.15391   0.38702   0.47759
+   0.19797   0.12667   7.13682   0.47605   0.27748   0.16837   0.39897   0.48911
+   0.20232   0.12884   7.32393   0.48988   0.29346   0.18622   0.41371   0.50331
+   0.20632   0.13083   7.48541   0.50248   0.30806   0.20252   0.42715   0.51625
+   0.21000   0.13263   7.62505   0.51395   0.32136   0.21739   0.43940   0.52802
+   0.21359   0.13438   7.74784   0.52497   0.33420   0.23174   0.45118   0.53934
+   0.21705   0.13605   7.85938   0.53546   0.34643   0.24543   0.46240   0.55010
+   0.22025   0.13759   7.95468   0.54505   0.35766   0.25802   0.47269   0.55995
+   0.22322   0.13900   8.03423   0.55377   0.36790   0.26951   0.48205   0.56891
+   0.22616   0.14039   8.10897   0.56231   0.37797   0.28080   0.49124   0.57769
+   0.22899   0.14171   8.17094   0.57034   0.38748   0.29150   0.49989   0.58594
+   0.23165   0.14295   8.22716   0.57784   0.39636   0.30149   0.50797   0.59364
+   0.23411   0.14409   8.27034   0.58458   0.40441   0.31057   0.51526   0.60058
+   0.23657   0.14522   8.31176   0.59127   0.41240   0.31959   0.52249   0.60745
+   0.23895   0.14630   8.34504   0.59757   0.41998   0.32817   0.52934   0.61394
+   0.24119   0.14731   8.37319   0.60343   0.42704   0.33617   0.53570   0.61997
+   0.24328   0.14826   8.39666   0.60883   0.43359   0.34359   0.54158   0.62553
+   0.24537   0.14919   8.41393   0.61403   0.43993   0.35081   0.54727   0.63089
+   0.13178   0.09521   0.98984   0.19752   0.00000   0.00000   0.10751   0.20468
+   0.13785   0.09863   1.33841   0.20662   0.00000   0.00000   0.11774   0.21438
+   0.14647   0.10341   1.84031   0.22079   0.00251   0.00000   0.13351   0.22937
+   0.15247   0.10670   2.17989   0.23140   0.01163   0.00000   0.14524   0.24055
+   0.15855   0.10998   2.51496   0.24271   0.02650   0.00000   0.15769   0.25245
+   0.16366   0.11272   2.79764   0.25256   0.03841   0.00000   0.16850   0.26278
+   0.16844   0.11526   3.05955   0.26203   0.04999   0.00000   0.17886   0.27269
+   0.17339   0.11787   3.32727   0.27209   0.06223   0.00000   0.18987   0.28321
+   0.17760   0.12006   3.55174   0.28080   0.07278   0.00000   0.19937   0.29231
+   0.18159   0.12213   3.76188   0.28915   0.08288   0.00000   0.20847   0.30102
+   0.18468   0.12372   3.92069   0.29576   0.09087   0.00000   0.21568   0.30791
+   0.19112   0.12700   4.23784   0.30968   0.10765   0.00386   0.23083   0.32241
+   0.19647   0.12969   4.47668   0.32148   0.12185   0.01549   0.24366   0.33468
+   0.20226   0.13257   4.71274   0.33436   0.13734   0.03434   0.25767   0.34808
+   0.20811   0.13544   4.94101   0.34739   0.15304   0.05202   0.27185   0.36162
+   0.21326   0.13795   5.13095   0.35881   0.16683   0.06775   0.28428   0.37348
+   0.21832   0.14038   5.30655   0.36997   0.18033   0.08312   0.29645   0.38508
+   0.22241   0.14232   5.43753   0.37890   0.19118   0.09547   0.30621   0.39435
+   0.22724   0.14460   5.58404   0.38938   0.20394   0.11001   0.31767   0.40524
+   0.23141   0.14654   5.70241   0.39833   0.21488   0.12247   0.32747   0.41453
+   0.23514   0.14826   5.79980   0.40624   0.22458   0.13353   0.33615   0.42274
+   0.23974   0.15036   5.90975   0.41586   0.23644   0.14708   0.34673   0.43274
+   0.24396   0.15227   6.00147   0.42452   0.24717   0.15935   0.35628   0.44174
+   0.24781   0.15399   6.07812   0.43233   0.25689   0.17047   0.36490   0.44985
+   0.25155   0.15564   6.14126   0.43970   0.26614   0.18110   0.37307   0.45751
+   0.25513   0.15720   6.19655   0.44664   0.27490   0.19117   0.38079   0.46474
+   0.25843   0.15863   6.24096   0.45292   0.28288   0.20036   0.38780   0.47127
+   0.26147   0.15993   6.27500   0.45854   0.29008   0.20868   0.39409   0.47712
+   0.26446   0.16120   6.30542   0.46402   0.29713   0.21683   0.40024   0.48282
+   0.26733   0.16240   6.32666   0.46906   0.30370   0.22446   0.40593   0.48807
+   0.27001   0.16351   6.34504   0.47374   0.30982   0.23158   0.41122   0.49295
+   0.27247   0.16452   6.35503   0.47786   0.31529   0.23797   0.41592   0.49725
+   0.27493   0.16553   6.36371   0.48193   0.32070   0.24430   0.42056   0.50150
+   0.27729   0.16648   6.36682   0.48570   0.32578   0.25027   0.42488   0.50543
+   0.27950   0.16736   6.36730   0.48916   0.33048   0.25581   0.42887   0.50905
+   0.28157   0.16818   6.36555   0.49231   0.33481   0.26092   0.43252   0.51235
+   0.28361   0.16897   6.35921   0.49529   0.33896   0.26584   0.43599   0.51546
+   0.16783   0.12049   1.10349   0.18514   0.00000   0.00000   0.10154   0.19605
+   0.17496   0.12417   1.40133   0.19273   0.00000   0.00000   0.11039   0.20434
+   0.18498   0.12927   1.81865   0.20430   0.00215   0.00000   0.12373   0.21688
+   0.19189   0.13273   2.09392   0.21282   0.00992   0.00000   0.13349   0.22605
+   0.19884   0.13616   2.35940   0.22177   0.02250   0.00000   0.14371   0.23567
+   0.20465   0.13900   2.57953   0.22947   0.03245   0.00000   0.15246   0.24391
+   0.21004   0.14161   2.77975   0.23678   0.04201   0.00000   0.16075   0.25170
+   0.21559   0.14426   2.98059   0.24444   0.05200   0.00000   0.16945   0.25988
+   0.22029   0.14648   3.14650   0.25101   0.06055   0.00000   0.17689   0.26687
+   0.22471   0.14856   3.30002   0.25725   0.06867   0.00000   0.18396   0.27351
+   0.22812   0.15014   3.41344   0.26213   0.07500   0.00000   0.18948   0.27868
+   0.23518   0.15339   3.63619   0.27232   0.08824   0.00307   0.20101   0.28948
+   0.24099   0.15602   3.79790   0.28082   0.09930   0.01226   0.21063   0.29849
+   0.24723   0.15881   3.95170   0.28998   0.11123   0.02708   0.22100   0.30817
+   0.25348   0.16155   4.09601   0.29908   0.12316   0.04080   0.23135   0.31780
+   0.25894   0.16392   4.21218   0.30694   0.13352   0.05289   0.24030   0.32610
+   0.26425   0.16619   4.31579   0.31450   0.14356   0.06459   0.24894   0.33409
+   0.26851   0.16798   4.38941   0.32043   0.15151   0.07387   0.25575   0.34036
+   0.27350   0.17005   4.46891   0.32731   0.16078   0.08472   0.26367   0.34762
+   0.27778   0.17180   4.53038   0.33309   0.16865   0.09394   0.27036   0.35374
+   0.28158   0.17333   4.57793   0.33811   0.17555   0.10205   0.27619   0.35904
+   0.28623   0.17517   4.62784   0.34411   0.18389   0.11188   0.28321   0.36539
+   0.29044   0.17682   4.66607   0.34942   0.19136   0.12071   0.28945   0.37100
+   0.29427   0.17830   4.69505   0.35413   0.19805   0.12864   0.29501   0.37598
+   0.29794   0.17968   4.71405   0.35844   0.20433   0.13612   0.30017   0.38055
+   0.30143   0.18097   4.72815   0.36246   0.21022   0.14317   0.30499   0.38480
+   0.30463   0.18214   4.73589   0.36601   0.21553   0.14954   0.30929   0.38857
+   0.30754   0.18318   4.73776   0.36910   0.22026   0.15525   0.31309   0.39185
+   0.31040   0.18420   4.73714   0.37207   0.22485   0.16081   0.31676   0.39501
+   0.31310   0.18513   4.73059   0.37471   0.22906   0.16595   0.32007   0.39782
+   0.31562   0.18599   4.72330   0.37715   0.23298   0.17073   0.32313   0.40041
+   0.31790   0.18675   4.71144   0.37920   0.23640   0.17496   0.32576   0.40259
+   0.32017   0.18750   4.69870   0.38120   0.23978   0.17914   0.32835   0.40473
+   0.32232   0.18820   4.68260   0.38297   0.24290   0.18304   0.33070   0.40663
+   0.32434   0.18883   4.66572   0.38457   0.24577   0.18663   0.33283   0.40834
+   0.32620   0.18942   4.64838   0.38599   0.24838   0.18992   0.33476   0.40986
+   0.32802   0.18997   4.62798   0.38725   0.25084   0.19305   0.33652   0.41122
+   0.22412   0.15649   1.20120   0.16927   0.00000   0.00000   0.09436   0.18671
+   0.23231   0.16021   1.43826   0.17501   0.00000   0.00000   0.10153   0.19322
+   0.24367   0.16526   1.75920   0.18353   0.00175   0.00000   0.11207   0.20278
+   0.25140   0.16863   1.96381   0.18968   0.00804   0.00000   0.11961   0.20962
+   0.25909   0.17192   2.15502   0.19603   0.01814   0.00000   0.12736   0.21665
+   0.26545   0.17460   2.30986   0.20139   0.02600   0.00000   0.13390   0.22256
+   0.27130   0.17704   2.44713   0.20639   0.03345   0.00000   0.13999   0.22805
+   0.27727   0.17947   2.58111   0.21155   0.04113   0.00000   0.14628   0.23370
+   0.28227   0.18149   2.68940   0.21590   0.04762   0.00000   0.15159   0.23846
+   0.28695   0.18336   2.78787   0.21999   0.05374   0.00000   0.15659   0.24293
+   0.29051   0.18475   2.85809   0.22312   0.05844   0.00000   0.16042   0.24634
+   0.29783   0.18758   2.99216   0.22958   0.06817   0.00228   0.16833   0.25336
+   0.30378   0.18983   3.08313   0.23486   0.07618   0.00909   0.17482   0.25908
+   0.31008   0.19215   3.16323   0.24042   0.08469   0.01997   0.18168   0.26509
+   0.31630   0.19439   3.23390   0.24579   0.09306   0.02991   0.18837   0.27090
+   0.32167   0.19627   3.28666   0.25031   0.10022   0.03855   0.19404   0.27578
+   0.32682   0.19803   3.32961   0.25453   0.10705   0.04680   0.19941   0.28034
+   0.33087   0.19936   3.35604   0.25774   0.11237   0.05325   0.20353   0.28380
+   0.33558   0.20089   3.38128   0.26136   0.11849   0.06072   0.20824   0.28770
+   0.33956   0.20214   3.39747   0.26432   0.12362   0.06700   0.21214   0.29090
+   0.34304   0.20320   3.40621   0.26680   0.12805   0.07245   0.21546   0.29357
+   0.34724   0.20443   3.41038   0.26965   0.13332   0.07898   0.21935   0.29664
+   0.35099   0.20550   3.40871   0.27207   0.13797   0.08477   0.22272   0.29926
+   0.35435   0.20642   3.40283   0.27413   0.14207   0.08992   0.22566   0.30148
+   0.35750   0.20723   3.39065   0.27589   0.14583   0.09470   0.22827   0.30338
+   0.36046   0.20797   3.37616   0.27746   0.14932   0.09915   0.23065   0.30507
+   0.36312   0.20860   3.35912   0.27876   0.15241   0.10313   0.23271   0.30648
+   0.36550   0.20913   3.33993   0.27980   0.15511   0.10665   0.23445   0.30761
+   0.36781   0.20963   3.31934   0.28076   0.15770   0.11005   0.23610   0.30864
+   0.36994   0.21005   3.29574   0.28149   0.16002   0.11314   0.23749   0.30944
+   0.37191   0.21043   3.27287   0.28214   0.16215   0.11599   0.23877   0.31014
+   0.37365   0.21072   3.24853   0.28257   0.16396   0.11847   0.23977   0.31061
+   0.37537   0.21100   3.22371   0.28297   0.16574   0.12091   0.24074   0.31104
+   0.37695   0.21123   3.19742   0.28322   0.16733   0.12314   0.24155   0.31132
+   0.37841   0.21142   3.17165   0.28339   0.16877   0.12518   0.24225   0.31152
+   0.37975   0.21158   3.14663   0.28350   0.17006   0.12703   0.24285   0.31164
+   0.38101   0.21169   3.11993   0.28349   0.17123   0.12876   0.24332   0.31163
+   0.27668   0.18694   1.24278   0.15581   0.00000   0.00000   0.08861   0.17977
+   0.28532   0.19038   1.43558   0.16019   0.00000   0.00000   0.09453   0.18488
+   0.29714   0.19496   1.68932   0.16657   0.00147   0.00000   0.10306   0.19221
+   0.30509   0.19795   1.84630   0.17109   0.00676   0.00000   0.10906   0.19736
+   0.31291   0.20083   1.98881   0.17569   0.01519   0.00000   0.11514   0.20255
+   0.31932   0.20313   2.10178   0.17952   0.02167   0.00000   0.12021   0.20685
+   0.32516   0.20519   2.19951   0.18303   0.02775   0.00000   0.12486   0.21077
+   0.33105   0.20720   2.29238   0.18659   0.03394   0.00000   0.12959   0.21472
+   0.33595   0.20884   2.36580   0.18955   0.03913   0.00000   0.13354   0.21801
+   0.34050   0.21035   2.43134   0.19230   0.04400   0.00000   0.13724   0.22105
+   0.34393   0.21144   2.47630   0.19436   0.04769   0.00000   0.14002   0.22332
+   0.35090   0.21361   2.55922   0.19856   0.05527   0.00180   0.14571   0.22793
+   0.35649   0.21529   2.61046   0.20191   0.06144   0.00715   0.15029   0.23160
+   0.36232   0.21696   2.65025   0.20535   0.06791   0.01565   0.15505   0.23534
+   0.36799   0.21850   2.68156   0.20858   0.07419   0.02332   0.15960   0.23883
+   0.37280   0.21975   2.70123   0.21119   0.07950   0.02992   0.16338   0.24166
+   0.37735   0.22086   2.71324   0.21355   0.08450   0.03616   0.16687   0.24419
+   0.38085   0.22165   2.71630   0.21524   0.08833   0.04099   0.16947   0.24601
+   0.38487   0.22251   2.71519   0.21709   0.09270   0.04652   0.17239   0.24798
+   0.38821   0.22318   2.70988   0.21853   0.09632   0.05114   0.17476   0.24951
+   0.39108   0.22369   2.70071   0.21966   0.09940   0.05511   0.17671   0.25071
+   0.39446   0.22423   2.68439   0.22085   0.10301   0.05982   0.17892   0.25196
+   0.39743   0.22465   2.66537   0.22178   0.10615   0.06395   0.18077   0.25292
+   0.40003   0.22496   2.64480   0.22249   0.10889   0.06759   0.18233   0.25365
+   0.40239   0.22516   2.62016   0.22297   0.11134   0.07092   0.18362   0.25412
+   0.40457   0.22530   2.59458   0.22333   0.11360   0.07400   0.18476   0.25446
+   0.40648   0.22537   2.56838   0.22353   0.11555   0.07673   0.18569   0.25464
+   0.40812   0.22538   2.54187   0.22358   0.11723   0.07910   0.18640   0.25465
+   0.40970   0.22535   2.51457   0.22358   0.11882   0.08139   0.18705   0.25460
+   0.41108   0.22524   2.48582   0.22341   0.12020   0.08343   0.18751   0.25437
+   0.41235   0.22513   2.45838   0.22323   0.12146   0.08531   0.18792   0.25413
+   0.41340   0.22495   2.43097   0.22292   0.12249   0.08691   0.18815   0.25375
+   0.41442   0.22477   2.40329   0.22259   0.12350   0.08847   0.18836   0.25335
+   0.41532   0.22454   2.37511   0.22216   0.12436   0.08989   0.18845   0.25284
+   0.41611   0.22429   2.34795   0.22171   0.12513   0.09116   0.18848   0.25231
+   0.41682   0.22404   2.32200   0.22125   0.12580   0.09231   0.18847   0.25177
+   0.41742   0.22374   2.29513   0.22069   0.12638   0.09336   0.18837   0.25112
+   0.37195   0.23566   1.24887   0.13215   0.00000   0.00000   0.07878   0.16795
+   0.38023   0.23802   1.37994   0.13471   0.00000   0.00000   0.08292   0.17092
+   0.39125   0.24097   1.54382   0.13829   0.00111   0.00000   0.08869   0.17498
+   0.39847   0.24278   1.63924   0.14076   0.00506   0.00000   0.09264   0.17771
+   0.40538   0.24440   1.72061   0.14319   0.01130   0.00000   0.09654   0.18036
+   0.41094   0.24561   1.78220   0.14515   0.01600   0.00000   0.09971   0.18245
+   0.41587   0.24661   1.83251   0.14686   0.02034   0.00000   0.10255   0.18428
+   0.42072   0.24750   1.87722   0.14853   0.02468   0.00000   0.10536   0.18602
+   0.42467   0.24816   1.91048   0.14988   0.02827   0.00000   0.10765   0.18739
+   0.42828   0.24872   1.93860   0.15109   0.03161   0.00000   0.10976   0.18862
+   0.43090   0.24906   1.95558   0.15194   0.03409   0.00000   0.11129   0.18947
+   0.43612   0.24965   1.98279   0.15361   0.03913   0.00122   0.11436   0.19109
+   0.44013   0.24996   1.99219   0.15485   0.04314   0.00483   0.11675   0.19225
+   0.44413   0.25013   1.99093   0.15600   0.04727   0.01053   0.11912   0.19329
+   0.44783   0.25011   1.98338   0.15694   0.05119   0.01557   0.12127   0.19406
+   0.45080   0.24996   1.97135   0.15758   0.05443   0.01983   0.12296   0.19452
+   0.45345   0.24966   1.95471   0.15803   0.05741   0.02381   0.12442   0.19476
+   0.45533   0.24930   1.93701   0.15822   0.05964   0.02682   0.12542   0.19476
+   0.45736   0.24876   1.91318   0.15831   0.06213   0.03023   0.12647   0.19460
+   0.45894   0.24821   1.88998   0.15828   0.06415   0.03304   0.12724   0.19433
+   0.46015   0.24762   1.86662   0.15812   0.06583   0.03541   0.12780   0.19395
+   0.46142   0.24678   1.83491   0.15778   0.06774   0.03817   0.12833   0.19330
+   0.46239   0.24591   1.80364   0.15734   0.06936   0.04056   0.12868   0.19256
+   0.46312   0.24503   1.77332   0.15683   0.07073   0.04264   0.12889   0.19176
+   0.46358   0.24406   1.74145   0.15619   0.07190   0.04448   0.12894   0.19081
+   0.46390   0.24307   1.70996   0.15550   0.07294   0.04617   0.12891   0.18982
+   0.46404   0.24208   1.67958   0.15478   0.07381   0.04763   0.12878   0.18880
+   0.46403   0.24109   1.65051   0.15402   0.07452   0.04888   0.12857   0.18776
+   0.46394   0.24009   1.62129   0.15323   0.07518   0.05006   0.12832   0.18668
+   0.46367   0.23903   1.59215   0.15236   0.07570   0.05108   0.12797   0.18553
+   0.46338   0.23803   1.56462   0.15153   0.07616   0.05202   0.12762   0.18442
+   0.46295   0.23702   1.53838   0.15068   0.07650   0.05279   0.12720   0.18330
+   0.46249   0.23600   1.51208   0.14981   0.07682   0.05353   0.12677   0.18216
+   0.46192   0.23496   1.48615   0.14890   0.07705   0.05418   0.12627   0.18098
+   0.46133   0.23395   1.46153   0.14801   0.07724   0.05475   0.12578   0.17983
+   0.46071   0.23298   1.43833   0.14716   0.07739   0.05526   0.12529   0.17873
+   0.45999   0.23197   1.41495   0.14625   0.07747   0.05570   0.12474   0.17757
+   0.45485   0.27190   1.20817   0.11153   0.00000   0.00000   0.07006   0.15644
+   0.46165   0.27284   1.29788   0.11300   0.00000   0.00000   0.07299   0.15781
+   0.47037   0.27374   1.40401   0.11496   0.00087   0.00000   0.07694   0.15952
+   0.47585   0.27409   1.46130   0.11626   0.00395   0.00000   0.07957   0.16059
+   0.48090   0.27421   1.50601   0.11748   0.00877   0.00000   0.08211   0.16152
+   0.48480   0.27415   1.53756   0.11841   0.01235   0.00000   0.08412   0.16217
+   0.48813   0.27394   1.56088   0.11917   0.01561   0.00000   0.08586   0.16264
+   0.49124   0.27357   1.57890   0.11985   0.01883   0.00000   0.08753   0.16299
+   0.49366   0.27316   1.59037   0.12036   0.02147   0.00000   0.08886   0.16318
+   0.49579   0.27270   1.59852   0.12078   0.02389   0.00000   0.09006   0.16330
+   0.49722   0.27223   1.60106   0.12102   0.02566   0.00000   0.09089   0.16329
+   0.49991   0.27114   1.60015   0.12145   0.02923   0.00089   0.09251   0.16315
+   0.50174   0.27006   1.58946   0.12166   0.03203   0.00349   0.09369   0.16287
+   0.50330   0.26869   1.56951   0.12174   0.03485   0.00757   0.09480   0.16238
+   0.50445   0.26712   1.54510   0.12164   0.03748   0.01112   0.09570   0.16165
+   0.50513   0.26559   1.52003   0.12139   0.03962   0.01409   0.09632   0.16084
+   0.50546   0.26394   1.49227   0.12100   0.04154   0.01682   0.09677   0.15987
+   0.50542   0.26248   1.46720   0.12056   0.04294   0.01886   0.09699   0.15894
+   0.50514   0.26064   1.43582   0.11994   0.04448   0.02114   0.09714   0.15772
+   0.50469   0.25897   1.40720   0.11932   0.04570   0.02300   0.09716   0.15656
+   0.50406   0.25737   1.38010   0.11867   0.04669   0.02454   0.09708   0.15542
+   0.50301   0.25527   1.34508   0.11775   0.04778   0.02632   0.09687   0.15388
+   0.50181   0.25326   1.31184   0.11682   0.04867   0.02783   0.09656   0.15236
+   0.50053   0.25134   1.28056   0.11590   0.04940   0.02912   0.09621   0.15090
+   0.49901   0.24935   1.24903   0.11490   0.04999   0.03024   0.09574   0.14934
+   0.49741   0.24739   1.21840   0.11389   0.05049   0.03126   0.09524   0.14780
+   0.49576   0.24550   1.18953   0.11289   0.05089   0.03212   0.09471   0.14629
+   0.49407   0.24369   1.16253   0.11191   0.05118   0.03284   0.09416   0.14484
+   0.49232   0.24187   1.13566   0.11091   0.05144   0.03352   0.09358   0.14337
+   0.49043   0.24003   1.10952   0.10989   0.05161   0.03408   0.09294   0.14188
+   0.48863   0.23830   1.08494   0.10891   0.05175   0.03459   0.09233   0.14047
+   0.48678   0.23662   1.06203   0.10795   0.05181   0.03499   0.09171   0.13910
+   0.48490   0.23494   1.03917   0.10699   0.05186   0.03538   0.09107   0.13773
+   0.48295   0.23325   1.01699   0.10601   0.05186   0.03570   0.09041   0.13635
+   0.48105   0.23164   0.99611   0.10507   0.05184   0.03597   0.08976   0.13502
+   0.47921   0.23011   0.97655   0.10418   0.05180   0.03621   0.08914   0.13377
+   0.47726   0.22854   0.95715   0.10326   0.05171   0.03640   0.08849   0.13248
+   0.52585   0.29829   1.14835   0.09372   0.00000   0.00000   0.06207   0.14436
+   0.53047   0.29769   1.20858   0.09454   0.00000   0.00000   0.06413   0.14452
+   0.53595   0.29639   1.27488   0.09556   0.00070   0.00000   0.06682   0.14452
+   0.53910   0.29522   1.30665   0.09618   0.00315   0.00000   0.06855   0.14440
+   0.54171   0.29379   1.32748   0.09672   0.00698   0.00000   0.07018   0.14413
+   0.54352   0.29243   1.33988   0.09707   0.00978   0.00000   0.07142   0.14379
+   0.54484   0.29102   1.34640   0.09731   0.01230   0.00000   0.07246   0.14335
+   0.54584   0.28940   1.34821   0.09745   0.01477   0.00000   0.07341   0.14277
+   0.54644   0.28793   1.34673   0.09750   0.01676   0.00000   0.07413   0.14220
+   0.54684   0.28647   1.34320   0.09751   0.01858   0.00000   0.07476   0.14160
+   0.54689   0.28523   1.33756   0.09744   0.01990   0.00000   0.07517   0.14106
+   0.54669   0.28254   1.32113   0.09723   0.02252   0.00067   0.07591   0.13983
+   0.54608   0.28014   1.29999   0.09694   0.02454   0.00261   0.07639   0.13867
+   0.54497   0.27735   1.27100   0.09650   0.02656   0.00565   0.07675   0.13727
+   0.54338   0.27436   1.23895   0.09590   0.02839   0.00826   0.07695   0.13569
+   0.54161   0.27159   1.20844   0.09526   0.02986   0.01041   0.07698   0.13416
+   0.53953   0.26873   1.17655   0.09451   0.03115   0.01237   0.07688   0.13254
+   0.53751   0.26629   1.14924   0.09381   0.03206   0.01381   0.07669   0.13112
+   0.53489   0.26332   1.11599   0.09291   0.03305   0.01541   0.07638   0.12935
+   0.53240   0.26067   1.08648   0.09207   0.03382   0.01670   0.07603   0.12775
+   0.52993   0.25821   1.05931   0.09124   0.03442   0.01775   0.07564   0.12625
+   0.52659   0.25507   1.02502   0.09014   0.03506   0.01895   0.07507   0.12430
+   0.52330   0.25210   0.99312   0.08907   0.03556   0.01995   0.07448   0.12244
+   0.52010   0.24931   0.96359   0.08804   0.03595   0.02080   0.07387   0.12068
+   0.51669   0.24649   0.93451   0.08696   0.03623   0.02152   0.07320   0.11889
+   0.51329   0.24374   0.90655   0.08589   0.03646   0.02216   0.07251   0.11714
+   0.50997   0.24113   0.88056   0.08486   0.03662   0.02270   0.07183   0.11548
+   0.50674   0.23866   0.85659   0.08387   0.03672   0.02313   0.07115   0.11389
+   0.50347   0.23620   0.83290   0.08287   0.03678   0.02353   0.07046   0.11231
+   0.50012   0.23376   0.81021   0.08187   0.03679   0.02386   0.06975   0.11075
+   0.49695   0.23146   0.78895   0.08092   0.03678   0.02415   0.06907   0.10927
+   0.49384   0.22927   0.76942   0.08000   0.03673   0.02436   0.06840   0.10786
+   0.49070   0.22708   0.74999   0.07908   0.03667   0.02457   0.06772   0.10645
+   0.48754   0.22491   0.73135   0.07817   0.03657   0.02472   0.06704   0.10506
+   0.48450   0.22285   0.71388   0.07729   0.03646   0.02485   0.06638   0.10374
+   0.48160   0.22090   0.69762   0.07646   0.03635   0.02496   0.06575   0.10250
+   0.47860   0.21893   0.68165   0.07562   0.03620   0.02503   0.06510   0.10123
+   0.59868   0.32011   1.06386   0.07527   0.00000   0.00000   0.05297   0.12840
+   0.59997   0.31758   1.09774   0.07564   0.00000   0.00000   0.05426   0.12748
+   0.60065   0.31357   1.12948   0.07601   0.00054   0.00000   0.05587   0.12600
+   0.60042   0.31055   1.13979   0.07618   0.00243   0.00000   0.05686   0.12487
+   0.59958   0.30728   1.14113   0.07626   0.00536   0.00000   0.05773   0.12362
+   0.59847   0.30439   1.13826   0.07624   0.00747   0.00000   0.05835   0.12248
+   0.59704   0.30156   1.13174   0.07613   0.00935   0.00000   0.05883   0.12132
+   0.59518   0.29850   1.12133   0.07594   0.01116   0.00000   0.05921   0.12003
+   0.59335   0.29582   1.11030   0.07572   0.01261   0.00000   0.05947   0.11888
+   0.59143   0.29322   1.09835   0.07547   0.01392   0.00000   0.05967   0.11775
+   0.58969   0.29112   1.08708   0.07522   0.01485   0.00000   0.05975   0.11682
+   0.58575   0.28665   1.06035   0.07464   0.01669   0.00048   0.05985   0.11482
+   0.58203   0.28279   1.03292   0.07407   0.01809   0.00188   0.05982   0.11307
+   0.57755   0.27847   0.99918   0.07336   0.01945   0.00404   0.05967   0.11107
+   0.57257   0.27395   0.96370   0.07252   0.02066   0.00588   0.05939   0.10895
+   0.56781   0.26986   0.93132   0.07170   0.02160   0.00738   0.05903   0.10699
+   0.56280   0.26574   0.89862   0.07081   0.02242   0.00872   0.05859   0.10499
+   0.55844   0.26231   0.87159   0.07001   0.02297   0.00969   0.05815   0.10331
+   0.55304   0.25818   0.83931   0.06903   0.02355   0.01076   0.05757   0.10127
+   0.54817   0.25455   0.81122   0.06813   0.02399   0.01160   0.05702   0.09947
+   0.54358   0.25123   0.78590   0.06728   0.02431   0.01229   0.05647   0.09781
+   0.53764   0.24705   0.75454   0.06617   0.02463   0.01305   0.05572   0.09572
+   0.53197   0.24315   0.72583   0.06511   0.02487   0.01368   0.05499   0.09376
+   0.52661   0.23953   0.69962   0.06411   0.02504   0.01420   0.05428   0.09193
+   0.52112   0.23592   0.67432   0.06309   0.02513   0.01463   0.05354   0.09012
+   0.51575   0.23243   0.65020   0.06209   0.02518   0.01500   0.05280   0.08836
+   0.51061   0.22915   0.62806   0.06114   0.02520   0.01531   0.05208   0.08671
+   0.50572   0.22609   0.60790   0.06024   0.02517   0.01555   0.05139   0.08517
+   0.50082   0.22304   0.58808   0.05933   0.02513   0.01577   0.05070   0.08364
+   0.49593   0.22006   0.56938   0.05844   0.02505   0.01593   0.05000   0.08214
+   0.49131   0.21726   0.55191   0.05760   0.02496   0.01607   0.04935   0.08074
+   0.48689   0.21462   0.53609   0.05679   0.02485   0.01617   0.04871   0.07943
+   0.48245   0.21199   0.52038   0.05599   0.02474   0.01626   0.04807   0.07811
+   0.47804   0.20941   0.50547   0.05520   0.02460   0.01631   0.04744   0.07683
+   0.47384   0.20697   0.49157   0.05445   0.02446   0.01636   0.04684   0.07562
+   0.46986   0.20467   0.47869   0.05374   0.02432   0.01639   0.04626   0.07449
+   0.46581   0.20236   0.46618   0.05303   0.02417   0.01639   0.04568   0.07335
+   0.65473   0.33177   0.97748   0.06071   0.00000   0.00000   0.04481   0.11187
+   0.65236   0.32742   0.99261   0.06084   0.00000   0.00000   0.04559   0.11028
+   0.64786   0.32092   1.00061   0.06088   0.00042   0.00000   0.04648   0.10789
+   0.64405   0.31622   0.99668   0.06082   0.00190   0.00000   0.04698   0.10616
+   0.63962   0.31129   0.98553   0.06067   0.00417   0.00000   0.04737   0.10435
+   0.63550   0.30704   0.97317   0.06047   0.00580   0.00000   0.04761   0.10277
+   0.63128   0.30298   0.95882   0.06020   0.00722   0.00000   0.04775   0.10123
+   0.62655   0.29867   0.94136   0.05986   0.00857   0.00000   0.04780   0.09958
+   0.62229   0.29495   0.92503   0.05952   0.00965   0.00000   0.04779   0.09815
+   0.61809   0.29138   0.90855   0.05917   0.01061   0.00000   0.04774   0.09676
+   0.61460   0.28855   0.89445   0.05885   0.01129   0.00000   0.04765   0.09566
+   0.60704   0.28260   0.86291   0.05813   0.01261   0.00035   0.04739   0.09332
+   0.60036   0.27755   0.83316   0.05747   0.01359   0.00138   0.04710   0.09133
+   0.59272   0.27199   0.79839   0.05667   0.01453   0.00296   0.04669   0.08912
+   0.58458   0.26626   0.76283   0.05578   0.01535   0.00429   0.04617   0.08682
+   0.57708   0.26114   0.73117   0.05493   0.01597   0.00535   0.04564   0.08476
+   0.56943   0.25604   0.69988   0.05403   0.01649   0.00630   0.04506   0.08269
+   0.56296   0.25185   0.67459   0.05326   0.01682   0.00697   0.04452   0.08098
+   0.55511   0.24685   0.64477   0.05230   0.01717   0.00770   0.04385   0.07894
+   0.54815   0.24250   0.61917   0.05145   0.01742   0.00828   0.04323   0.07716
+   0.54172   0.23855   0.59645   0.05065   0.01758   0.00873   0.04264   0.07554
+   0.53355   0.23362   0.56867   0.04963   0.01774   0.00923   0.04187   0.07352
+   0.52587   0.22907   0.54354   0.04867   0.01783   0.00963   0.04114   0.07166
+   0.51870   0.22486   0.52082   0.04776   0.01788   0.00996   0.04043   0.06994
+   0.51150   0.22072   0.49922   0.04685   0.01787   0.01023   0.03972   0.06826
+   0.50450   0.21674   0.47878   0.04596   0.01785   0.01045   0.03901   0.06664
+   0.49789   0.21302   0.46018   0.04513   0.01780   0.01063   0.03835   0.06513
+   0.49168   0.20957   0.44341   0.04434   0.01772   0.01076   0.03771   0.06374
+   0.48548   0.20615   0.42701   0.04356   0.01764   0.01088   0.03708   0.06236
+   0.47938   0.20283   0.41171   0.04279   0.01753   0.01096   0.03645   0.06103
+   0.47363   0.19972   0.39744   0.04207   0.01742   0.01102   0.03586   0.05978
+   0.46820   0.19681   0.38467   0.04139   0.01730   0.01106   0.03530   0.05863
+   0.46277   0.19392   0.37202   0.04071   0.01717   0.01109   0.03474   0.05748
+   0.45742   0.19110   0.36010   0.04005   0.01703   0.01110   0.03419   0.05637
+   0.45235   0.18844   0.34905   0.03942   0.01689   0.01111   0.03366   0.05532
+   0.44757   0.18595   0.33884   0.03883   0.01676   0.01110   0.03317   0.05434
+   0.44275   0.18346   0.32901   0.03823   0.01661   0.01108   0.03268   0.05337
+   0.69524   0.33521   0.89327   0.04943   0.00000   0.00000   0.03756   0.09541
+   0.68913   0.32923   0.89482   0.04943   0.00000   0.00000   0.03800   0.09345
+   0.67942   0.32055   0.88618   0.04928   0.00034   0.00000   0.03842   0.09060
+   0.67207   0.31439   0.87267   0.04910   0.00150   0.00000   0.03861   0.08860
+   0.66411   0.30806   0.85348   0.04883   0.00328   0.00000   0.03871   0.08654
+   0.65708   0.30267   0.83523   0.04854   0.00454   0.00000   0.03871   0.08478
+   0.65019   0.29757   0.81623   0.04820   0.00563   0.00000   0.03864   0.08309
+   0.64273   0.29223   0.79483   0.04779   0.00666   0.00000   0.03850   0.08133
+   0.63619   0.28766   0.77570   0.04740   0.00746   0.00000   0.03834   0.07981
+   0.62987   0.28332   0.75695   0.04701   0.00818   0.00000   0.03816   0.07836
+   0.62475   0.27991   0.74165   0.04666   0.00868   0.00000   0.03797   0.07722
+   0.61389   0.27279   0.70839   0.04591   0.00963   0.00027   0.03754   0.07483
+   0.60452   0.26681   0.67844   0.04523   0.01034   0.00103   0.03711   0.07283
+   0.59404   0.26030   0.64457   0.04443   0.01099   0.00220   0.03659   0.07065
+   0.58312   0.25367   0.61059   0.04356   0.01155   0.00317   0.03598   0.06841
+   0.57324   0.24779   0.58085   0.04274   0.01196   0.00395   0.03540   0.06643
+   0.56330   0.24198   0.55193   0.04189   0.01229   0.00462   0.03477   0.06447
+   0.55505   0.23726   0.52894   0.04117   0.01250   0.00509   0.03423   0.06287
+   0.54513   0.23166   0.50211   0.04029   0.01270   0.00561   0.03356   0.06098
+   0.53643   0.22680   0.47931   0.03951   0.01283   0.00600   0.03295   0.05934
+   0.52850   0.22244   0.45931   0.03879   0.01291   0.00631   0.03238   0.05787
+   0.51851   0.21703   0.43512   0.03788   0.01297   0.00664   0.03166   0.05605
+   0.50922   0.21205   0.41345   0.03702   0.01299   0.00691   0.03097   0.05439
+   0.50061   0.20749   0.39402   0.03623   0.01298   0.00712   0.03033   0.05286
+   0.49206   0.20303   0.37578   0.03543   0.01293   0.00728   0.02968   0.05138
+   0.48381   0.19875   0.35860   0.03466   0.01286   0.00741   0.02905   0.04997
+   0.47607   0.19478   0.34310   0.03394   0.01279   0.00752   0.02846   0.04866
+   0.46885   0.19112   0.32924   0.03327   0.01270   0.00759   0.02791   0.04746
+   0.46168   0.18750   0.31574   0.03260   0.01260   0.00765   0.02735   0.04628
+   0.45469   0.18401   0.30326   0.03195   0.01248   0.00768   0.02681   0.04515
+   0.44812   0.18074   0.29165   0.03134   0.01237   0.00771   0.02630   0.04409
+   0.44197   0.17771   0.28135   0.03076   0.01226   0.00772   0.02583   0.04312
+   0.43582   0.17470   0.27117   0.03019   0.01214   0.00772   0.02535   0.04215
+   0.42981   0.17178   0.26165   0.02964   0.01201   0.00771   0.02489   0.04122
+   0.42414   0.16903   0.25286   0.02912   0.01189   0.00769   0.02445   0.04035
+   0.41880   0.16646   0.24476   0.02863   0.01177   0.00767   0.02404   0.03954
+   0.41346   0.16391   0.23701   0.02814   0.01164   0.00764   0.02362   0.03874
+   0.72153   0.33199   0.81289   0.04078   0.00000   0.00000   0.03120   0.07961
+   0.71176   0.32464   0.80453   0.04069   0.00000   0.00000   0.03141   0.07753
+   0.69707   0.31412   0.78422   0.04042   0.00027   0.00000   0.03153   0.07457
+   0.68637   0.30677   0.76432   0.04015   0.00119   0.00000   0.03152   0.07252
+   0.67512   0.29929   0.74007   0.03981   0.00260   0.00000   0.03144   0.07044
+   0.66538   0.29298   0.71830   0.03946   0.00358   0.00000   0.03131   0.06868
+   0.65603   0.28706   0.69672   0.03909   0.00442   0.00000   0.03113   0.06702
+   0.64610   0.28093   0.67336   0.03865   0.00520   0.00000   0.03089   0.06529
+   0.63752   0.27571   0.65300   0.03824   0.00581   0.00000   0.03065   0.06383
+   0.62928   0.27077   0.63339   0.03783   0.00635   0.00000   0.03040   0.06243
+   0.62274   0.26693   0.61784   0.03748   0.00672   0.00000   0.03017   0.06135
+   0.60897   0.25894   0.58467   0.03673   0.00742   0.00020   0.02966   0.05910
+   0.59727   0.25230   0.55575   0.03606   0.00792   0.00078   0.02919   0.05724
+   0.58438   0.24511   0.52378   0.03529   0.00838   0.00166   0.02864   0.05523
+   0.57111   0.23785   0.49219   0.03447   0.00877   0.00237   0.02803   0.05319
+   0.55924   0.23146   0.46493   0.03370   0.00904   0.00294   0.02745   0.05140
+   0.54742   0.22520   0.43874   0.03292   0.00925   0.00343   0.02684   0.04964
+   0.53773   0.22014   0.41822   0.03226   0.00937   0.00376   0.02633   0.04823
+   0.52616   0.21417   0.39446   0.03147   0.00948   0.00412   0.02571   0.04656
+   0.51608   0.20902   0.37445   0.03076   0.00955   0.00440   0.02515   0.04513
+   0.50697   0.20442   0.35708   0.03012   0.00957   0.00461   0.02464   0.04386
+   0.49558   0.19874   0.33624   0.02931   0.00958   0.00483   0.02399   0.04229
+   0.48507   0.19355   0.31773   0.02856   0.00956   0.00501   0.02338   0.04086
+   0.47538   0.18881   0.30126   0.02786   0.00951   0.00514   0.02281   0.03957
+   0.46586   0.18421   0.28595   0.02718   0.00945   0.00524   0.02225   0.03832
+   0.45669   0.17980   0.27161   0.02651   0.00937   0.00532   0.02171   0.03713
+   0.44816   0.17574   0.25876   0.02589   0.00929   0.00538   0.02120   0.03604
+   0.44024   0.17201   0.24735   0.02532   0.00920   0.00542   0.02073   0.03504
+   0.43240   0.16832   0.23627   0.02475   0.00910   0.00545   0.02026   0.03406
+   0.42482   0.16480   0.22613   0.02420   0.00900   0.00546   0.01981   0.03313
+   0.41770   0.16150   0.21670   0.02368   0.00889   0.00546   0.01938   0.03227
+   0.41107   0.15846   0.20841   0.02320   0.00879   0.00545   0.01899   0.03147
+   0.40447   0.15544   0.20023   0.02273   0.00868   0.00544   0.01859   0.03069
+   0.39805   0.15252   0.19263   0.02227   0.00857   0.00543   0.01821   0.02994
+   0.39201   0.14979   0.18563   0.02183   0.00847   0.00540   0.01785   0.02923
+   0.38634   0.14723   0.17921   0.02143   0.00837   0.00538   0.01751   0.02858
+   0.38069   0.14471   0.17310   0.02102   0.00826   0.00535   0.01718   0.02794
+   0.73491   0.32344   0.73694   0.03411   0.00000   0.00000   0.02568   0.06499
+   0.72175   0.31497   0.72140   0.03394   0.00000   0.00000   0.02573   0.06298
+   0.70246   0.30299   0.69305   0.03357   0.00021   0.00000   0.02567   0.06014
+   0.68870   0.29470   0.66902   0.03324   0.00095   0.00000   0.02556   0.05820
+   0.67448   0.28635   0.64179   0.03285   0.00206   0.00000   0.02538   0.05624
+   0.66234   0.27934   0.61813   0.03247   0.00283   0.00000   0.02517   0.05460
+   0.65083   0.27283   0.59537   0.03207   0.00348   0.00000   0.02494   0.05308
+   0.63875   0.26611   0.57136   0.03161   0.00408   0.00000   0.02465   0.05150
+   0.62839   0.26043   0.55078   0.03119   0.00454   0.00000   0.02438   0.05017
+   0.61852   0.25507   0.53121   0.03078   0.00495   0.00000   0.02411   0.04891
+   0.61077   0.25093   0.51601   0.03044   0.00522   0.00000   0.02387   0.04794
+   0.59455   0.24236   0.48404   0.02971   0.00573   0.00015   0.02335   0.04593
+   0.58093   0.23529   0.45682   0.02906   0.00610   0.00059   0.02289   0.04429
+   0.56606   0.22769   0.42727   0.02833   0.00642   0.00125   0.02235   0.04252
+   0.55091   0.22006   0.39844   0.02756   0.00668   0.00178   0.02177   0.04075
+   0.53746   0.21338   0.37385   0.02685   0.00686   0.00220   0.02123   0.03920
+   0.52419   0.20687   0.35049   0.02613   0.00699   0.00256   0.02068   0.03770
+   0.51339   0.20165   0.33240   0.02554   0.00706   0.00280   0.02022   0.03650
+   0.50058   0.19550   0.31160   0.02482   0.00712   0.00305   0.01967   0.03509
+   0.48948   0.19023   0.29422   0.02419   0.00714   0.00325   0.01917   0.03389
+   0.47951   0.18555   0.27926   0.02363   0.00714   0.00339   0.01873   0.03282
+   0.46714   0.17979   0.26147   0.02291   0.00712   0.00354   0.01816   0.03152
+   0.45577   0.17455   0.24577   0.02225   0.00707   0.00366   0.01764   0.03035
+   0.44535   0.16978   0.23189   0.02165   0.00702   0.00375   0.01716   0.02928
+   0.43518   0.16518   0.21912   0.02105   0.00695   0.00381   0.01668   0.02826
+   0.42542   0.16079   0.20721   0.02048   0.00687   0.00385   0.01623   0.02729
+   0.41638   0.15675   0.19661   0.01995   0.00679   0.00388   0.01580   0.02641
+   0.40804   0.15306   0.18725   0.01946   0.00671   0.00390   0.01541   0.02561
+   0.39980   0.14943   0.17820   0.01898   0.00662   0.00391   0.01502   0.02482
+   0.39188   0.14597   0.16996   0.01851   0.00653   0.00391   0.01465   0.02408
+   0.38445   0.14273   0.16234   0.01808   0.00644   0.00390   0.01430   0.02339
+   0.37758   0.13976   0.15568   0.01768   0.00635   0.00389   0.01398   0.02276
+   0.37074   0.13681   0.14911   0.01728   0.00626   0.00387   0.01366   0.02214
+   0.36413   0.13398   0.14305   0.01689   0.00617   0.00385   0.01335   0.02154
+   0.35791   0.13133   0.13748   0.01653   0.00608   0.00383   0.01305   0.02099
+   0.35210   0.12886   0.13239   0.01620   0.00599   0.00380   0.01278   0.02048
+   0.34634   0.12643   0.12757   0.01586   0.00591   0.00377   0.01252   0.01998
+   0.73676   0.31068   0.66562   0.02888   0.00000   0.00000   0.02094   0.05190
+   0.72053   0.30135   0.64499   0.02864   0.00000   0.00000   0.02090   0.05007
+   0.69715   0.28829   0.61129   0.02818   0.00017   0.00000   0.02073   0.04752
+   0.68072   0.27933   0.58481   0.02780   0.00076   0.00000   0.02056   0.04578
+   0.66394   0.27035   0.55610   0.02736   0.00163   0.00000   0.02033   0.04404
+   0.64974   0.26288   0.53169   0.02695   0.00224   0.00000   0.02010   0.04260
+   0.63640   0.25596   0.50871   0.02653   0.00274   0.00000   0.01985   0.04126
+   0.62252   0.24887   0.48492   0.02607   0.00320   0.00000   0.01955   0.03989
+   0.61070   0.24289   0.46480   0.02565   0.00355   0.00000   0.01928   0.03873
+   0.59949   0.23728   0.44585   0.02525   0.00386   0.00000   0.01901   0.03765
+   0.59076   0.23297   0.43137   0.02491   0.00406   0.00000   0.01878   0.03682
+   0.57259   0.22408   0.40126   0.02420   0.00444   0.00012   0.01829   0.03511
+   0.55746   0.21678   0.37610   0.02359   0.00470   0.00045   0.01786   0.03371
+   0.54107   0.20898   0.34920   0.02290   0.00493   0.00095   0.01736   0.03222
+   0.52449   0.20120   0.32325   0.02218   0.00511   0.00135   0.01684   0.03074
+   0.50989   0.19443   0.30134   0.02153   0.00522   0.00165   0.01636   0.02946
+   0.49556   0.18786   0.28073   0.02088   0.00530   0.00191   0.01588   0.02822
+   0.48399   0.18262   0.26494   0.02034   0.00534   0.00209   0.01548   0.02723
+   0.47032   0.17647   0.24689   0.01970   0.00536   0.00227   0.01500   0.02608
+   0.45854   0.17122   0.23193   0.01915   0.00536   0.00241   0.01458   0.02510
+   0.44802   0.16658   0.21915   0.01864   0.00534   0.00251   0.01420   0.02424
+   0.43502   0.16089   0.20406   0.01802   0.00530   0.00261   0.01372   0.02319
+   0.42314   0.15573   0.19084   0.01744   0.00526   0.00268   0.01328   0.02225
+   0.41229   0.15105   0.17921   0.01692   0.00520   0.00274   0.01288   0.02140
+   0.40178   0.14657   0.16861   0.01640   0.00513   0.00277   0.01248   0.02059
+   0.39172   0.14230   0.15877   0.01591   0.00506   0.00280   0.01211   0.01982
+   0.38244   0.13839   0.15005   0.01546   0.00499   0.00281   0.01176   0.01913
+   0.37391   0.13482   0.14240   0.01504   0.00491   0.00282   0.01144   0.01850
+   0.36550   0.13132   0.13503   0.01463   0.00484   0.00282   0.01112   0.01788
+   0.35747   0.12800   0.12837   0.01424   0.00476   0.00281   0.01082   0.01730
+   0.34994   0.12489   0.12222   0.01388   0.00468   0.00280   0.01054   0.01676
+   0.34302   0.12206   0.11688   0.01354   0.00461   0.00279   0.01028   0.01628
+   0.33613   0.11925   0.11162   0.01321   0.00453   0.00277   0.01002   0.01580
+   0.32950   0.11656   0.10680   0.01289   0.00445   0.00275   0.00977   0.01534
+   0.32328   0.11405   0.10238   0.01259   0.00438   0.00272   0.00954   0.01492
+   0.31747   0.11171   0.09834   0.01231   0.00431   0.00270   0.00933   0.01452
+   0.31174   0.10942   0.09455   0.01203   0.00424   0.00268   0.00911   0.01414
+   0.72848   0.29470   0.59889   0.02465   0.00000   0.00000   0.01690   0.04054
+   0.70957   0.28477   0.57481   0.02434   0.00000   0.00000   0.01681   0.03895
+   0.68270   0.27098   0.53783   0.02380   0.00014   0.00000   0.01660   0.03676
+   0.66402   0.26158   0.51014   0.02338   0.00060   0.00000   0.01640   0.03528
+   0.64511   0.25223   0.48103   0.02291   0.00129   0.00000   0.01616   0.03381
+   0.62923   0.24448   0.45670   0.02249   0.00177   0.00000   0.01593   0.03259
+   0.61441   0.23734   0.43418   0.02206   0.00216   0.00000   0.01568   0.03147
+   0.59911   0.23006   0.41120   0.02159   0.00251   0.00000   0.01540   0.03032
+   0.58614   0.22396   0.39198   0.02118   0.00278   0.00000   0.01514   0.02936
+   0.57389   0.21823   0.37402   0.02079   0.00301   0.00000   0.01489   0.02846
+   0.56442   0.21386   0.36049   0.02047   0.00316   0.00000   0.01468   0.02778
+   0.54478   0.20487   0.33260   0.01979   0.00343   0.00009   0.01424   0.02637
+   0.52855   0.19754   0.30968   0.01921   0.00362   0.00034   0.01385   0.02523
+   0.51108   0.18974   0.28549   0.01857   0.00378   0.00072   0.01342   0.02402
+   0.49352   0.18199   0.26239   0.01791   0.00390   0.00102   0.01296   0.02283
+   0.47815   0.17528   0.24307   0.01731   0.00398   0.00124   0.01255   0.02179
+   0.46315   0.16880   0.22505   0.01672   0.00402   0.00143   0.01213   0.02080
+   0.45112   0.16366   0.21139   0.01624   0.00403   0.00156   0.01179   0.02001
+   0.43695   0.15765   0.19587   0.01568   0.00404   0.00169   0.01139   0.01910
+   0.42480   0.15254   0.18307   0.01518   0.00402   0.00178   0.01103   0.01833
+   0.41399   0.14803   0.17223   0.01474   0.00400   0.00185   0.01071   0.01765
+   0.40070   0.14253   0.15951   0.01420   0.00396   0.00192   0.01032   0.01683
+   0.38861   0.13756   0.14844   0.01370   0.00391   0.00197   0.00996   0.01609
+   0.37761   0.13307   0.13876   0.01324   0.00385   0.00201   0.00963   0.01543
+   0.36701   0.12878   0.13001   0.01280   0.00379   0.00203   0.00931   0.01481
+   0.35689   0.12472   0.12191   0.01238   0.00373   0.00204   0.00900   0.01421
+   0.34759   0.12100   0.11478   0.01200   0.00367   0.00204   0.00872   0.01368
+   0.33909   0.11762   0.10856   0.01165   0.00360   0.00204   0.00846   0.01320
+   0.33071   0.11431   0.10257   0.01130   0.00354   0.00204   0.00821   0.01273
+   0.32275   0.11118   0.09721   0.01097   0.00347   0.00203   0.00797   0.01229
+   0.31530   0.10826   0.09226   0.01067   0.00341   0.00202   0.00774   0.01188
+   0.30848   0.10562   0.08799   0.01039   0.00335   0.00200   0.00754   0.01151
+   0.30170   0.10299   0.08380   0.01011   0.00329   0.00198   0.00733   0.01114
+   0.29520   0.10048   0.07997   0.00984   0.00322   0.00196   0.00714   0.01080
+   0.28911   0.09814   0.07647   0.00960   0.00317   0.00194   0.00696   0.01048
+   0.28344   0.09597   0.07328   0.00936   0.00311   0.00193   0.00679   0.01019
+   0.27786   0.09385   0.07030   0.00914   0.00305   0.00190   0.00662   0.00990
+   0.71139   0.27634   0.53668   0.02111   0.00000   0.00000   0.01350   0.03095
+   0.69025   0.26605   0.51043   0.02074   0.00000   0.00000   0.01340   0.02964
+   0.66053   0.25186   0.47177   0.02014   0.00011   0.00000   0.01317   0.02785
+   0.64004   0.24226   0.44381   0.01969   0.00048   0.00000   0.01297   0.02664
+   0.61947   0.23275   0.41510   0.01920   0.00102   0.00000   0.01273   0.02544
+   0.60229   0.22490   0.39144   0.01877   0.00139   0.00000   0.01251   0.02445
+   0.58636   0.21771   0.36983   0.01834   0.00169   0.00000   0.01228   0.02354
+   0.57000   0.21041   0.34807   0.01789   0.00196   0.00000   0.01203   0.02262
+   0.55619   0.20430   0.33003   0.01749   0.00217   0.00000   0.01180   0.02185
+   0.54320   0.19860   0.31329   0.01711   0.00234   0.00000   0.01158   0.02113
+   0.53322   0.19426   0.30084   0.01680   0.00245   0.00000   0.01139   0.02059
+   0.51260   0.18537   0.27536   0.01617   0.00265   0.00007   0.01100   0.01947
+   0.49565   0.17815   0.25472   0.01563   0.00279   0.00026   0.01067   0.01857
+   0.47752   0.17051   0.23319   0.01504   0.00290   0.00054   0.01030   0.01761
+   0.45940   0.16296   0.21283   0.01444   0.00298   0.00077   0.00991   0.01667
+   0.44362   0.15644   0.19595   0.01390   0.00302   0.00093   0.00956   0.01587
+   0.42830   0.15017   0.18033   0.01338   0.00304   0.00107   0.00921   0.01509
+   0.41607   0.14523   0.16859   0.01295   0.00305   0.00116   0.00893   0.01449
+   0.40174   0.13947   0.15533   0.01245   0.00304   0.00126   0.00859   0.01378
+   0.38949   0.13457   0.14448   0.01202   0.00302   0.00132   0.00830   0.01319
+   0.37863   0.13028   0.13534   0.01163   0.00299   0.00137   0.00804   0.01267
+   0.36535   0.12506   0.12469   0.01116   0.00295   0.00142   0.00772   0.01204
+   0.35331   0.12036   0.11547   0.01073   0.00290   0.00145   0.00743   0.01148
+   0.34239   0.11612   0.10746   0.01034   0.00286   0.00147   0.00716   0.01098
+   0.33192   0.11210   0.10027   0.00997   0.00280   0.00148   0.00691   0.01050
+   0.32196   0.10829   0.09364   0.00962   0.00275   0.00149   0.00666   0.01006
+   0.31283   0.10482   0.08783   0.00929   0.00269   0.00149   0.00644   0.00966
+   0.30452   0.10167   0.08279   0.00900   0.00264   0.00148   0.00623   0.00929
+   0.29634   0.09860   0.07797   0.00871   0.00259   0.00147   0.00603   0.00894
+   0.28860   0.09570   0.07366   0.00843   0.00253   0.00146   0.00584   0.00861
+   0.28137   0.09300   0.06969   0.00818   0.00248   0.00145   0.00566   0.00831
+   0.27478   0.09056   0.06630   0.00795   0.00243   0.00144   0.00550   0.00804
+   0.26823   0.08814   0.06297   0.00772   0.00238   0.00142   0.00534   0.00777
+   0.26198   0.08585   0.05994   0.00750   0.00233   0.00141   0.00519   0.00751
+   0.25613   0.08371   0.05718   0.00730   0.00229   0.00139   0.00505   0.00728
+   0.25069   0.08172   0.05467   0.00711   0.00224   0.00137   0.00492   0.00706
+   0.24536   0.07979   0.05233   0.00692   0.00220   0.00135   0.00479   0.00685
+   0.68680   0.25634   0.47887   0.01803   0.00000   0.00000   0.01068   0.02310
+   0.66390   0.24591   0.45148   0.01762   0.00000   0.00000   0.01056   0.02206
+   0.63198   0.23163   0.41238   0.01699   0.00009   0.00000   0.01034   0.02064
+   0.61016   0.22201   0.38485   0.01652   0.00038   0.00000   0.01016   0.01969
+   0.58837   0.21254   0.35711   0.01603   0.00081   0.00000   0.00994   0.01876
+   0.57028   0.20476   0.33453   0.01560   0.00109   0.00000   0.00974   0.01798
+   0.55358   0.19766   0.31415   0.01519   0.00132   0.00000   0.00954   0.01727
+   0.53653   0.19048   0.29386   0.01475   0.00153   0.00000   0.00932   0.01656
+   0.52220   0.18450   0.27717   0.01438   0.00168   0.00000   0.00912   0.01596
+   0.50875   0.17891   0.26179   0.01402   0.00181   0.00000   0.00893   0.01540
+   0.49848   0.17470   0.25047   0.01373   0.00189   0.00000   0.00877   0.01498
+   0.47732   0.16606   0.22747   0.01314   0.00204   0.00005   0.00844   0.01412
+   0.46003   0.15908   0.20907   0.01265   0.00214   0.00020   0.00815   0.01343
+   0.44162   0.15173   0.19009   0.01212   0.00221   0.00041   0.00784   0.01270
+   0.42332   0.14450   0.17230   0.01158   0.00226   0.00058   0.00752   0.01198
+   0.40746   0.13828   0.15767   0.01111   0.00229   0.00070   0.00723   0.01137
+   0.39213   0.13233   0.14424   0.01064   0.00230   0.00080   0.00695   0.01078
+   0.37996   0.12765   0.13423   0.01027   0.00229   0.00087   0.00671   0.01032
+   0.36574   0.12221   0.12299   0.00983   0.00228   0.00093   0.00644   0.00979
+   0.35363   0.11761   0.11384   0.00946   0.00226   0.00098   0.00621   0.00935
+   0.34294   0.11358   0.10619   0.00913   0.00223   0.00101   0.00600   0.00896
+   0.32991   0.10871   0.09733   0.00873   0.00219   0.00104   0.00574   0.00849
+   0.31814   0.10434   0.08970   0.00836   0.00215   0.00106   0.00551   0.00807
+   0.30751   0.10041   0.08310   0.00804   0.00211   0.00107   0.00529   0.00770
+   0.29735   0.09669   0.07723   0.00772   0.00206   0.00108   0.00509   0.00735
+   0.28772   0.09317   0.07183   0.00742   0.00202   0.00108   0.00490   0.00702
+   0.27891   0.08998   0.06713   0.00715   0.00197   0.00108   0.00472   0.00672
+   0.27092   0.08710   0.06308   0.00691   0.00193   0.00107   0.00456   0.00646
+   0.26308   0.08428   0.05919   0.00667   0.00189   0.00106   0.00440   0.00620
+   0.25569   0.08164   0.05576   0.00644   0.00184   0.00105   0.00426   0.00596
+   0.24878   0.07918   0.05260   0.00623   0.00180   0.00104   0.00412   0.00574
+   0.24252   0.07697   0.04991   0.00604   0.00176   0.00103   0.00400   0.00554
+   0.23630   0.07478   0.04727   0.00586   0.00172   0.00102   0.00387   0.00535
+   0.23038   0.07270   0.04488   0.00568   0.00168   0.00100   0.00375   0.00516
+   0.22486   0.07077   0.04271   0.00551   0.00165   0.00099   0.00365   0.00499
+   0.21973   0.06898   0.04075   0.00536   0.00161   0.00098   0.00354   0.00484
+   0.21472   0.06724   0.03893   0.00521   0.00158   0.00096   0.00345   0.00469
+   0.65598   0.23533   0.42532   0.01529   0.00000   0.00000   0.00835   0.01683
+   0.63180   0.22496   0.39761   0.01486   0.00000   0.00000   0.00824   0.01605
+   0.59834   0.21085   0.35901   0.01422   0.00007   0.00000   0.00804   0.01497
+   0.57562   0.20140   0.33243   0.01376   0.00030   0.00000   0.00787   0.01425
+   0.55307   0.19214   0.30609   0.01328   0.00063   0.00000   0.00769   0.01354
+   0.53443   0.18456   0.28487   0.01287   0.00085   0.00000   0.00751   0.01296
+   0.51731   0.17767   0.26593   0.01248   0.00103   0.00000   0.00734   0.01243
+   0.49991   0.17073   0.24725   0.01207   0.00119   0.00000   0.00715   0.01189
+   0.48534   0.16496   0.23201   0.01172   0.00130   0.00000   0.00698   0.01144
+   0.47170   0.15959   0.21804   0.01139   0.00140   0.00000   0.00682   0.01102
+   0.46133   0.15556   0.20786   0.01113   0.00146   0.00000   0.00669   0.01070
+   0.44005   0.14731   0.18733   0.01060   0.00157   0.00004   0.00641   0.01006
+   0.42274   0.14068   0.17108   0.01016   0.00163   0.00015   0.00618   0.00954
+   0.40440   0.13371   0.15450   0.00968   0.00168   0.00031   0.00592   0.00900
+   0.38627   0.12690   0.13908   0.00921   0.00172   0.00043   0.00566   0.00847
+   0.37061   0.12106   0.12650   0.00880   0.00173   0.00052   0.00542   0.00801
+   0.35554   0.11549   0.11504   0.00839   0.00173   0.00060   0.00519   0.00758
+   0.34365   0.11113   0.10658   0.00807   0.00172   0.00064   0.00501   0.00724
+   0.32978   0.10608   0.09712   0.00770   0.00170   0.00069   0.00479   0.00685
+   0.31801   0.10182   0.08945   0.00738   0.00168   0.00072   0.00460   0.00653
+   0.30766   0.09810   0.08309   0.00711   0.00166   0.00074   0.00444   0.00624
+   0.29510   0.09362   0.07577   0.00677   0.00162   0.00076   0.00423   0.00590
+   0.28378   0.08961   0.06950   0.00646   0.00159   0.00078   0.00405   0.00560
+   0.27358   0.08601   0.06411   0.00619   0.00155   0.00078   0.00388   0.00533
+   0.26390   0.08262   0.05934   0.00593   0.00151   0.00078   0.00373   0.00507
+   0.25472   0.07943   0.05497   0.00568   0.00148   0.00078   0.00358   0.00484
+   0.24637   0.07653   0.05119   0.00546   0.00144   0.00078   0.00344   0.00462
+   0.23881   0.07393   0.04794   0.00526   0.00141   0.00077   0.00331   0.00443
+   0.23140   0.07139   0.04484   0.00506   0.00137   0.00076   0.00319   0.00425
+   0.22445   0.06902   0.04211   0.00488   0.00134   0.00076   0.00308   0.00407
+   0.21796   0.06681   0.03960   0.00471   0.00130   0.00075   0.00297   0.00392
+   0.21209   0.06483   0.03748   0.00456   0.00127   0.00074   0.00288   0.00377
+   0.20628   0.06287   0.03541   0.00441   0.00124   0.00073   0.00279   0.00364
+   0.20076   0.06101   0.03354   0.00426   0.00121   0.00071   0.00270   0.00350
+   0.19562   0.05929   0.03184   0.00413   0.00118   0.00070   0.00261   0.00338
+   0.19085   0.05770   0.03031   0.00401   0.00116   0.00069   0.00254   0.00327
+   0.18621   0.05616   0.02890   0.00389   0.00113   0.00068   0.00246   0.00317
+   0.62013   0.21386   0.37588   0.01282   0.00000   0.00000   0.00645   0.01197
+   0.59512   0.20373   0.34850   0.01239   0.00000   0.00000   0.00635   0.01140
+   0.56078   0.19002   0.31115   0.01176   0.00005   0.00000   0.00618   0.01062
+   0.53759   0.18089   0.28590   0.01132   0.00023   0.00000   0.00604   0.01009
+   0.51470   0.17198   0.26125   0.01087   0.00049   0.00000   0.00588   0.00958
+   0.49586   0.16471   0.24157   0.01049   0.00066   0.00000   0.00573   0.00915
+   0.47864   0.15813   0.22418   0.01013   0.00080   0.00000   0.00559   0.00876
+   0.46121   0.15153   0.20719   0.00976   0.00091   0.00000   0.00543   0.00837
+   0.44666   0.14606   0.19343   0.00944   0.00100   0.00000   0.00529   0.00804
+   0.43308   0.14097   0.18087   0.00915   0.00107   0.00000   0.00516   0.00774
+   0.42280   0.13717   0.17182   0.00892   0.00112   0.00000   0.00505   0.00751
+   0.40176   0.12942   0.15366   0.00845   0.00119   0.00003   0.00483   0.00704
+   0.38473   0.12320   0.13945   0.00806   0.00124   0.00011   0.00464   0.00667
+   0.36677   0.11671   0.12508   0.00765   0.00127   0.00023   0.00443   0.00627
+   0.34909   0.11037   0.11183   0.00724   0.00129   0.00032   0.00422   0.00589
+   0.33389   0.10497   0.10110   0.00689   0.00130   0.00039   0.00403   0.00556
+   0.31932   0.09983   0.09140   0.00654   0.00129   0.00044   0.00385   0.00525
+   0.30787   0.09583   0.08429   0.00628   0.00128   0.00048   0.00370   0.00500
+   0.29456   0.09121   0.07639   0.00596   0.00126   0.00051   0.00353   0.00472
+   0.28329   0.08732   0.07002   0.00570   0.00124   0.00053   0.00338   0.00449
+   0.27343   0.08393   0.06477   0.00547   0.00122   0.00054   0.00325   0.00429
+   0.26150   0.07987   0.05876   0.00519   0.00119   0.00056   0.00310   0.00404
+   0.25078   0.07624   0.05364   0.00493   0.00116   0.00056   0.00295   0.00382
+   0.24115   0.07299   0.04926   0.00471   0.00114   0.00057   0.00282   0.00363
+   0.23205   0.06995   0.04542   0.00450   0.00111   0.00057   0.00270   0.00345
+   0.22344   0.06708   0.04191   0.00430   0.00107   0.00056   0.00259   0.00328
+   0.21562   0.06449   0.03888   0.00412   0.00105   0.00056   0.00248   0.00313
+   0.20857   0.06217   0.03630   0.00396   0.00102   0.00055   0.00239   0.00300
+   0.20168   0.05991   0.03383   0.00380   0.00099   0.00055   0.00230   0.00287
+   0.19523   0.05781   0.03168   0.00365   0.00096   0.00054   0.00221   0.00275
+   0.18921   0.05585   0.02971   0.00352   0.00094   0.00053   0.00213   0.00264
+   0.18380   0.05410   0.02805   0.00340   0.00091   0.00052   0.00206   0.00254
+   0.17844   0.05237   0.02642   0.00328   0.00089   0.00052   0.00199   0.00244
+   0.17336   0.05074   0.02497   0.00316   0.00087   0.00051   0.00192   0.00235
+   0.16864   0.04923   0.02365   0.00306   0.00084   0.00050   0.00186   0.00227
+   0.16427   0.04783   0.02246   0.00296   0.00082   0.00049   0.00180   0.00219
+   0.16003   0.04648   0.02137   0.00287   0.00080   0.00048   0.00175   0.00211
+   0.58038   0.19239   0.33042   0.01058   0.00000   0.00000   0.00492   0.00830
+   0.55500   0.18265   0.30387   0.01017   0.00000   0.00000   0.00484   0.00791
+   0.52037   0.16954   0.26831   0.00959   0.00004   0.00000   0.00469   0.00736
+   0.49713   0.16085   0.24466   0.00918   0.00018   0.00000   0.00458   0.00699
+   0.47429   0.15240   0.22187   0.00877   0.00038   0.00000   0.00444   0.00663
+   0.45558   0.14554   0.20386   0.00843   0.00051   0.00000   0.00433   0.00633
+   0.43854   0.13934   0.18807   0.00811   0.00061   0.00000   0.00421   0.00606
+   0.42136   0.13316   0.17279   0.00778   0.00070   0.00000   0.00408   0.00578
+   0.40707   0.12804   0.16049   0.00750   0.00076   0.00000   0.00397   0.00555
+   0.39376   0.12330   0.14933   0.00724   0.00082   0.00000   0.00386   0.00534
+   0.38374   0.11976   0.14135   0.00704   0.00085   0.00000   0.00377   0.00517
+   0.36327   0.11258   0.12544   0.00664   0.00090   0.00002   0.00359   0.00484
+   0.34677   0.10684   0.11312   0.00631   0.00093   0.00008   0.00344   0.00458
+   0.32945   0.10087   0.10078   0.00596   0.00096   0.00017   0.00328   0.00430
+   0.31247   0.09506   0.08949   0.00561   0.00097   0.00024   0.00311   0.00403
+   0.29794   0.09013   0.08041   0.00532   0.00097   0.00029   0.00297   0.00380
+   0.28405   0.08546   0.07227   0.00503   0.00096   0.00033   0.00282   0.00358
+   0.27319   0.08184   0.06635   0.00481   0.00095   0.00035   0.00271   0.00341
+   0.26060   0.07766   0.05979   0.00455   0.00093   0.00037   0.00258   0.00321
+   0.24998   0.07415   0.05454   0.00433   0.00092   0.00039   0.00246   0.00304
+   0.24071   0.07111   0.05024   0.00415   0.00090   0.00040   0.00236   0.00290
+   0.22953   0.06747   0.04535   0.00392   0.00087   0.00040   0.00224   0.00273
+   0.21953   0.06423   0.04120   0.00372   0.00085   0.00041   0.00213   0.00258
+   0.21056   0.06134   0.03767   0.00354   0.00083   0.00041   0.00203   0.00244
+   0.20212   0.05865   0.03459   0.00337   0.00080   0.00041   0.00194   0.00232
+   0.19415   0.05611   0.03179   0.00321   0.00078   0.00040   0.00185   0.00220
+   0.18694   0.05383   0.02939   0.00306   0.00075   0.00040   0.00177   0.00210
+   0.18046   0.05178   0.02734   0.00294   0.00073   0.00039   0.00170   0.00200
+   0.17413   0.04979   0.02541   0.00281   0.00071   0.00039   0.00163   0.00191
+   0.16822   0.04795   0.02372   0.00270   0.00069   0.00038   0.00157   0.00183
+   0.16272   0.04624   0.02217   0.00259   0.00067   0.00038   0.00151   0.00175
+   0.15780   0.04471   0.02088   0.00250   0.00065   0.00037   0.00146   0.00169
+   0.15292   0.04320   0.01962   0.00240   0.00063   0.00036   0.00140   0.00162
+   0.14831   0.04179   0.01850   0.00232   0.00062   0.00036   0.00135   0.00156
+   0.14404   0.04048   0.01748   0.00223   0.00060   0.00035   0.00131   0.00150
+   0.14008   0.03927   0.01656   0.00216   0.00058   0.00034   0.00127   0.00145
+   0.13626   0.03810   0.01573   0.00209   0.00057   0.00034   0.00123   0.00140
+   0.53779   0.17131   0.28877   0.00858   0.00000   0.00000   0.00370   0.00561
+   0.51247   0.16208   0.26344   0.00821   0.00000   0.00000   0.00364   0.00535
+   0.47812   0.14973   0.23006   0.00768   0.00003   0.00000   0.00352   0.00499
+   0.45519   0.14157   0.20821   0.00731   0.00014   0.00000   0.00342   0.00474
+   0.43277   0.13368   0.18739   0.00695   0.00029   0.00000   0.00332   0.00450
+   0.41446   0.12729   0.17108   0.00665   0.00039   0.00000   0.00322   0.00430
+   0.39786   0.12155   0.15690   0.00638   0.00047   0.00000   0.00313   0.00411
+   0.38119   0.11582   0.14330   0.00609   0.00053   0.00000   0.00303   0.00392
+   0.36737   0.11111   0.13242   0.00586   0.00058   0.00000   0.00294   0.00376
+   0.35452   0.10675   0.12259   0.00564   0.00062   0.00000   0.00285   0.00361
+   0.34489   0.10351   0.11564   0.00547   0.00064   0.00000   0.00279   0.00350
+   0.32526   0.09694   0.10183   0.00513   0.00068   0.00002   0.00264   0.00328
+   0.30952   0.09171   0.09125   0.00485   0.00070   0.00006   0.00253   0.00309
+   0.29305   0.08629   0.08074   0.00456   0.00071   0.00013   0.00240   0.00290
+   0.27698   0.08105   0.07120   0.00428   0.00072   0.00018   0.00227   0.00271
+   0.26327   0.07661   0.06359   0.00404   0.00071   0.00021   0.00216   0.00255
+   0.25023   0.07242   0.05681   0.00380   0.00071   0.00024   0.00205   0.00240
+   0.24007   0.06918   0.05192   0.00363   0.00070   0.00025   0.00196   0.00229
+   0.22833   0.06545   0.04653   0.00342   0.00068   0.00027   0.00186   0.00215
+   0.21844   0.06234   0.04224   0.00324   0.00067   0.00028   0.00177   0.00204
+   0.20985   0.05964   0.03874   0.00309   0.00065   0.00029   0.00170   0.00194
+   0.19953   0.05643   0.03479   0.00291   0.00063   0.00029   0.00160   0.00182
+   0.19031   0.05357   0.03146   0.00275   0.00061   0.00029   0.00152   0.00172
+   0.18207   0.05104   0.02863   0.00261   0.00059   0.00029   0.00145   0.00162
+   0.17435   0.04867   0.02619   0.00248   0.00058   0.00029   0.00138   0.00154
+   0.16708   0.04646   0.02397   0.00236   0.00056   0.00029   0.00131   0.00146
+   0.16051   0.04447   0.02208   0.00224   0.00054   0.00028   0.00125   0.00139
+   0.15463   0.04269   0.02048   0.00215   0.00052   0.00028   0.00120   0.00132
+   0.14888   0.04097   0.01896   0.00205   0.00051   0.00027   0.00115   0.00126
+   0.14356   0.03937   0.01765   0.00196   0.00049   0.00027   0.00110   0.00121
+   0.13859   0.03789   0.01645   0.00188   0.00047   0.00026   0.00106   0.00115
+   0.13416   0.03658   0.01545   0.00181   0.00046   0.00026   0.00102   0.00111
+   0.12978   0.03528   0.01448   0.00173   0.00045   0.00025   0.00098   0.00106
+   0.12565   0.03407   0.01362   0.00167   0.00043   0.00025   0.00094   0.00102
+   0.12183   0.03294   0.01284   0.00161   0.00042   0.00024   0.00091   0.00098
+   0.11830   0.03191   0.01214   0.00155   0.00041   0.00024   0.00088   0.00095
+   0.11490   0.03092   0.01151   0.00150   0.00040   0.00023   0.00085   0.00091
+   0.49337   0.15096   0.25079   0.00682   0.00000   0.00000   0.00275   0.00369
+   0.46849   0.14234   0.22697   0.00649   0.00000   0.00000   0.00269   0.00353
+   0.43494   0.13086   0.19605   0.00602   0.00002   0.00000   0.00260   0.00330
+   0.41265   0.12331   0.17609   0.00571   0.00010   0.00000   0.00253   0.00314
+   0.39096   0.11604   0.15729   0.00541   0.00022   0.00000   0.00244   0.00299
+   0.37332   0.11018   0.14267   0.00515   0.00029   0.00000   0.00237   0.00285
+   0.35738   0.10492   0.13008   0.00492   0.00035   0.00000   0.00230   0.00273
+   0.34144   0.09970   0.11810   0.00468   0.00040   0.00000   0.00222   0.00261
+   0.32825   0.09541   0.10857   0.00449   0.00043   0.00000   0.00215   0.00250
+   0.31603   0.09146   0.10001   0.00430   0.00046   0.00000   0.00208   0.00241
+   0.30690   0.08853   0.09400   0.00417   0.00048   0.00000   0.00203   0.00233
+   0.28835   0.08260   0.08213   0.00389   0.00050   0.00001   0.00192   0.00218
+   0.27353   0.07790   0.07312   0.00366   0.00052   0.00005   0.00183   0.00206
+   0.25809   0.07305   0.06426   0.00343   0.00052   0.00009   0.00173   0.00193
+   0.24309   0.06838   0.05627   0.00320   0.00053   0.00013   0.00163   0.00180
+   0.23033   0.06443   0.04995   0.00301   0.00052   0.00015   0.00155   0.00169
+   0.21825   0.06072   0.04435   0.00282   0.00051   0.00017   0.00147   0.00159
+   0.20887   0.05786   0.04034   0.00268   0.00051   0.00018   0.00140   0.00151
+   0.19806   0.05459   0.03595   0.00252   0.00049   0.00019   0.00132   0.00142
+   0.18899   0.05185   0.03248   0.00238   0.00048   0.00020   0.00126   0.00134
+   0.18113   0.04950   0.02966   0.00227   0.00047   0.00020   0.00120   0.00128
+   0.17172   0.04669   0.02649   0.00213   0.00045   0.00021   0.00113   0.00120
+   0.16334   0.04421   0.02384   0.00200   0.00044   0.00021   0.00107   0.00113
+   0.15587   0.04201   0.02160   0.00189   0.00042   0.00021   0.00102   0.00107
+   0.14890   0.03997   0.01968   0.00179   0.00041   0.00020   0.00097   0.00101
+   0.14234   0.03806   0.01794   0.00170   0.00040   0.00020   0.00092   0.00095
+   0.13644   0.03635   0.01646   0.00161   0.00038   0.00020   0.00088   0.00091
+   0.13117   0.03483   0.01522   0.00154   0.00037   0.00020   0.00084   0.00086
+   0.12603   0.03335   0.01404   0.00147   0.00036   0.00019   0.00080   0.00082
+   0.12128   0.03199   0.01303   0.00140   0.00034   0.00019   0.00077   0.00078
+   0.11686   0.03073   0.01211   0.00134   0.00033   0.00018   0.00073   0.00075
+   0.11293   0.02961   0.01135   0.00128   0.00032   0.00018   0.00070   0.00072
+   0.10904   0.02851   0.01061   0.00123   0.00031   0.00018   0.00068   0.00069
+   0.10539   0.02748   0.00995   0.00118   0.00030   0.00017   0.00065   0.00066
+   0.10201   0.02653   0.00936   0.00113   0.00029   0.00017   0.00063   0.00063
+   0.09890   0.02566   0.00883   0.00109   0.00028   0.00016   0.00060   0.00061
+   0.09591   0.02482   0.00835   0.00105   0.00028   0.00016   0.00058   0.00059
+   0.44799   0.13158   0.21630   0.00529   0.00000   0.00000   0.00201   0.00237
+   0.42391   0.12364   0.19420   0.00501   0.00000   0.00000   0.00197   0.00227
+   0.39160   0.11311   0.16592   0.00462   0.00002   0.00000   0.00189   0.00214
+   0.37025   0.10623   0.14789   0.00437   0.00008   0.00000   0.00184   0.00204
+   0.34957   0.09962   0.13110   0.00411   0.00016   0.00000   0.00177   0.00195
+   0.33280   0.09431   0.11815   0.00390   0.00022   0.00000   0.00172   0.00186
+   0.31771   0.08957   0.10708   0.00371   0.00026   0.00000   0.00166   0.00179
+   0.30267   0.08488   0.09663   0.00352   0.00030   0.00000   0.00160   0.00171
+   0.29027   0.08103   0.08837   0.00336   0.00032   0.00000   0.00155   0.00164
+   0.27880   0.07749   0.08099   0.00322   0.00034   0.00000   0.00150   0.00158
+   0.27027   0.07487   0.07585   0.00311   0.00035   0.00000   0.00146   0.00153
+   0.25297   0.06960   0.06576   0.00289   0.00037   0.00001   0.00137   0.00143
+   0.23921   0.06544   0.05816   0.00271   0.00038   0.00003   0.00131   0.00135
+   0.22493   0.06116   0.05075   0.00252   0.00038   0.00007   0.00123   0.00126
+   0.21111   0.05704   0.04413   0.00235   0.00038   0.00009   0.00116   0.00118
+   0.19941   0.05359   0.03893   0.00220   0.00038   0.00011   0.00110   0.00111
+   0.18836   0.05034   0.03435   0.00205   0.00037   0.00012   0.00103   0.00104
+   0.17982   0.04786   0.03111   0.00195   0.00036   0.00013   0.00099   0.00099
+   0.17000   0.04501   0.02756   0.00182   0.00035   0.00014   0.00093   0.00093
+   0.16179   0.04265   0.02477   0.00172   0.00034   0.00014   0.00088   0.00088
+   0.15470   0.04061   0.02253   0.00163   0.00033   0.00014   0.00084   0.00083
+   0.14622   0.03820   0.02001   0.00152   0.00032   0.00015   0.00079   0.00078
+   0.13871   0.03607   0.01792   0.00143   0.00031   0.00015   0.00075   0.00073
+   0.13202   0.03419   0.01616   0.00135   0.00030   0.00014   0.00071   0.00069
+   0.12581   0.03245   0.01466   0.00127   0.00029   0.00014   0.00067   0.00065
+   0.11998   0.03082   0.01331   0.00120   0.00028   0.00014   0.00063   0.00062
+   0.11474   0.02937   0.01217   0.00114   0.00027   0.00014   0.00060   0.00059
+   0.11008   0.02808   0.01122   0.00108   0.00026   0.00014   0.00058   0.00056
+   0.10554   0.02683   0.01031   0.00103   0.00025   0.00013   0.00055   0.00053
+   0.10136   0.02569   0.00954   0.00098   0.00024   0.00013   0.00052   0.00051
+   0.09747   0.02463   0.00884   0.00093   0.00023   0.00013   0.00050   0.00048
+   0.09403   0.02369   0.00826   0.00089   0.00022   0.00012   0.00048   0.00046
+   0.09063   0.02277   0.00770   0.00085   0.00022   0.00012   0.00046   0.00044
+   0.08744   0.02191   0.00721   0.00082   0.00021   0.00012   0.00044   0.00042
+   0.08450   0.02112   0.00677   0.00079   0.00020   0.00012   0.00042   0.00041
+   0.08179   0.02039   0.00637   0.00075   0.00020   0.00011   0.00041   0.00039
+   0.07919   0.01969   0.00601   0.00073   0.00019   0.00011   0.00039   0.00038
+   0.40251   0.11339   0.18515   0.00401   0.00000   0.00000   0.00144   0.00148
+   0.37952   0.10617   0.16490   0.00378   0.00000   0.00000   0.00141   0.00143
+   0.34886   0.09666   0.13935   0.00346   0.00001   0.00000   0.00136   0.00136
+   0.32869   0.09047   0.12326   0.00326   0.00006   0.00000   0.00131   0.00130
+   0.30923   0.08455   0.10842   0.00305   0.00012   0.00000   0.00126   0.00124
+   0.29352   0.07980   0.09707   0.00289   0.00016   0.00000   0.00122   0.00120
+   0.27943   0.07558   0.08745   0.00274   0.00019   0.00000   0.00118   0.00115
+   0.26544   0.07142   0.07844   0.00259   0.00022   0.00000   0.00114   0.00110
+   0.25393   0.06801   0.07135   0.00246   0.00023   0.00000   0.00110   0.00106
+   0.24332   0.06489   0.06505   0.00235   0.00025   0.00000   0.00106   0.00102
+   0.23545   0.06259   0.06070   0.00226   0.00025   0.00000   0.00103   0.00099
+   0.21954   0.05796   0.05220   0.00209   0.00027   0.00001   0.00097   0.00092
+   0.20693   0.05432   0.04587   0.00196   0.00027   0.00002   0.00092   0.00087
+   0.19390   0.05059   0.03974   0.00182   0.00027   0.00005   0.00086   0.00082
+   0.18135   0.04703   0.03431   0.00168   0.00027   0.00007   0.00081   0.00076
+   0.17075   0.04404   0.03007   0.00157   0.00027   0.00008   0.00076   0.00072
+   0.16078   0.04124   0.02637   0.00146   0.00026   0.00009   0.00072   0.00067
+   0.15311   0.03911   0.02376   0.00138   0.00026   0.00009   0.00068   0.00064
+   0.14431   0.03667   0.02093   0.00129   0.00025   0.00010   0.00064   0.00060
+   0.13697   0.03465   0.01872   0.00121   0.00024   0.00010   0.00061   0.00057
+   0.13065   0.03292   0.01695   0.00114   0.00024   0.00010   0.00058   0.00054
+   0.12313   0.03088   0.01498   0.00106   0.00023   0.00010   0.00054   0.00050
+   0.11648   0.02908   0.01334   0.00100   0.00022   0.00010   0.00051   0.00047
+   0.11058   0.02749   0.01198   0.00094   0.00021   0.00010   0.00048   0.00044
+   0.10511   0.02602   0.01082   0.00088   0.00020   0.00010   0.00046   0.00042
+   0.09999   0.02466   0.00978   0.00083   0.00019   0.00010   0.00043   0.00040
+   0.09541   0.02344   0.00891   0.00078   0.00018   0.00009   0.00041   0.00038
+   0.09134   0.02237   0.00818   0.00074   0.00018   0.00009   0.00039   0.00036
+   0.08739   0.02133   0.00750   0.00070   0.00017   0.00009   0.00037   0.00034
+   0.08376   0.02038   0.00692   0.00067   0.00016   0.00009   0.00035   0.00032
+   0.08038   0.01950   0.00639   0.00064   0.00016   0.00009   0.00034   0.00031
+   0.07741   0.01872   0.00596   0.00061   0.00015   0.00008   0.00032   0.00029
+   0.07447   0.01796   0.00554   0.00058   0.00015   0.00008   0.00031   0.00028
+   0.07172   0.01725   0.00517   0.00056   0.00014   0.00008   0.00030   0.00027
+   0.06919   0.01660   0.00484   0.00053   0.00014   0.00008   0.00028   0.00026
+   0.06686   0.01600   0.00455   0.00051   0.00013   0.00008   0.00027   0.00025
+   0.06464   0.01543   0.00428   0.00049   0.00013   0.00007   0.00026   0.00024
+   0.35768   0.09653   0.15719   0.00296   0.00000   0.00000   0.00101   0.00090
+   0.33603   0.09007   0.13886   0.00277   0.00000   0.00000   0.00099   0.00088
+   0.30733   0.08159   0.11604   0.00253   0.00001   0.00000   0.00095   0.00084
+   0.28854   0.07610   0.10184   0.00237   0.00004   0.00000   0.00092   0.00081
+   0.27049   0.07087   0.08889   0.00221   0.00009   0.00000   0.00089   0.00078
+   0.25597   0.06669   0.07905   0.00208   0.00012   0.00000   0.00085   0.00075
+   0.24299   0.06299   0.07078   0.00197   0.00014   0.00000   0.00082   0.00073
+   0.23016   0.05935   0.06309   0.00185   0.00016   0.00000   0.00079   0.00070
+   0.21963   0.05638   0.05709   0.00176   0.00017   0.00000   0.00076   0.00067
+   0.20994   0.05366   0.05177   0.00167   0.00018   0.00000   0.00074   0.00065
+   0.20279   0.05167   0.04813   0.00161   0.00018   0.00000   0.00071   0.00063
+   0.18835   0.04766   0.04105   0.00148   0.00019   0.00000   0.00067   0.00059
+   0.17696   0.04453   0.03583   0.00138   0.00019   0.00002   0.00063   0.00056
+   0.16523   0.04133   0.03081   0.00127   0.00019   0.00003   0.00059   0.00052
+   0.15397   0.03828   0.02640   0.00117   0.00019   0.00005   0.00056   0.00049
+   0.14451   0.03573   0.02299   0.00109   0.00019   0.00005   0.00052   0.00046
+   0.13564   0.03336   0.02003   0.00101   0.00018   0.00006   0.00049   0.00043
+   0.12884   0.03155   0.01796   0.00095   0.00018   0.00006   0.00046   0.00041
+   0.12106   0.02950   0.01573   0.00089   0.00017   0.00007   0.00044   0.00038
+   0.11459   0.02779   0.01399   0.00083   0.00017   0.00007   0.00041   0.00036
+   0.10904   0.02634   0.01261   0.00078   0.00016   0.00007   0.00039   0.00034
+   0.10245   0.02463   0.01108   0.00073   0.00016   0.00007   0.00036   0.00032
+   0.09664   0.02313   0.00982   0.00068   0.00015   0.00007   0.00034   0.00030
+   0.09150   0.02181   0.00877   0.00063   0.00014   0.00007   0.00032   0.00028
+   0.08676   0.02060   0.00789   0.00060   0.00014   0.00007   0.00030   0.00027
+   0.08233   0.01947   0.00711   0.00056   0.00013   0.00007   0.00029   0.00025
+   0.07838   0.01847   0.00645   0.00053   0.00013   0.00006   0.00027   0.00024
+   0.07487   0.01758   0.00590   0.00050   0.00012   0.00006   0.00026   0.00023
+   0.07148   0.01673   0.00539   0.00047   0.00012   0.00006   0.00024   0.00021
+   0.06837   0.01595   0.00495   0.00045   0.00011   0.00006   0.00023   0.00020
+   0.06548   0.01523   0.00456   0.00042   0.00011   0.00006   0.00022   0.00019
+   0.06294   0.01460   0.00424   0.00040   0.00010   0.00006   0.00021   0.00019
+   0.06044   0.01398   0.00393   0.00039   0.00010   0.00005   0.00020   0.00018
+   0.05811   0.01340   0.00366   0.00037   0.00009   0.00005   0.00019   0.00017
+   0.05596   0.01287   0.00342   0.00035   0.00009   0.00005   0.00019   0.00016
+   0.05399   0.01239   0.00320   0.00034   0.00009   0.00005   0.00018   0.00016
+   0.05211   0.01193   0.00301   0.00032   0.00009   0.00005   0.00017   0.00015
+   0.31409   0.08111   0.13222   0.00212   0.00000   0.00000   0.00070   0.00053
+   0.29401   0.07541   0.11585   0.00198   0.00000   0.00000   0.00068   0.00053
+   0.26752   0.06797   0.09572   0.00179   0.00001   0.00000   0.00065   0.00052
+   0.25027   0.06317   0.08334   0.00167   0.00003   0.00000   0.00063   0.00050
+   0.23376   0.05862   0.07216   0.00155   0.00006   0.00000   0.00061   0.00049
+   0.22053   0.05499   0.06374   0.00146   0.00008   0.00000   0.00059   0.00047
+   0.20875   0.05179   0.05672   0.00137   0.00010   0.00000   0.00056   0.00046
+   0.19713   0.04866   0.05023   0.00129   0.00011   0.00000   0.00054   0.00044
+   0.18764   0.04611   0.04520   0.00122   0.00012   0.00000   0.00052   0.00042
+   0.17891   0.04377   0.04077   0.00116   0.00012   0.00000   0.00050   0.00041
+   0.17250   0.04207   0.03776   0.00111   0.00013   0.00000   0.00049   0.00040
+   0.15959   0.03866   0.03194   0.00102   0.00013   0.00000   0.00045   0.00037
+   0.14944   0.03600   0.02768   0.00095   0.00013   0.00001   0.00043   0.00035
+   0.13904   0.03329   0.02363   0.00087   0.00013   0.00002   0.00040   0.00033
+   0.12909   0.03072   0.02009   0.00080   0.00013   0.00003   0.00037   0.00031
+   0.12076   0.02858   0.01738   0.00074   0.00013   0.00004   0.00035   0.00029
+   0.11297   0.02660   0.01504   0.00068   0.00013   0.00004   0.00033   0.00027
+   0.10704   0.02510   0.01342   0.00064   0.00012   0.00004   0.00031   0.00026
+   0.10026   0.02339   0.01168   0.00059   0.00012   0.00005   0.00029   0.00024
+   0.09464   0.02198   0.01033   0.00056   0.00011   0.00005   0.00027   0.00023
+   0.08983   0.02078   0.00927   0.00052   0.00011   0.00005   0.00026   0.00022
+   0.08414   0.01937   0.00810   0.00048   0.00011   0.00005   0.00024   0.00020
+   0.07914   0.01814   0.00714   0.00045   0.00010   0.00005   0.00023   0.00019
+   0.07473   0.01705   0.00635   0.00042   0.00010   0.00005   0.00021   0.00018
+   0.07068   0.01607   0.00569   0.00039   0.00009   0.00004   0.00020   0.00017
+   0.06690   0.01515   0.00510   0.00037   0.00009   0.00004   0.00019   0.00016
+   0.06354   0.01433   0.00461   0.00035   0.00008   0.00004   0.00018   0.00015
+   0.06056   0.01362   0.00420   0.00033   0.00008   0.00004   0.00017   0.00014
+   0.05769   0.01293   0.00382   0.00031   0.00008   0.00004   0.00016   0.00013
+   0.05506   0.01230   0.00350   0.00029   0.00007   0.00004   0.00015   0.00013
+   0.05263   0.01172   0.00321   0.00028   0.00007   0.00004   0.00014   0.00012
+   0.05049   0.01122   0.00298   0.00026   0.00007   0.00004   0.00014   0.00012
+   0.04839   0.01072   0.00276   0.00025   0.00006   0.00004   0.00013   0.00011
+   0.04644   0.01026   0.00256   0.00024   0.00006   0.00003   0.00012   0.00011
+   0.04465   0.00984   0.00238   0.00023   0.00006   0.00003   0.00012   0.00010
+   0.04300   0.00945   0.00223   0.00022   0.00006   0.00003   0.00011   0.00010
+   0.04144   0.00909   0.00209   0.00021   0.00006   0.00003   0.00011   0.00009
+   0.27237   0.06720   0.11008   0.00147   0.00000   0.00000   0.00047   0.00031
+   0.25401   0.06225   0.09565   0.00137   0.00000   0.00000   0.00046   0.00031
+   0.22992   0.05582   0.07812   0.00123   0.00000   0.00000   0.00044   0.00031
+   0.21430   0.05169   0.06747   0.00114   0.00002   0.00000   0.00042   0.00031
+   0.19942   0.04779   0.05794   0.00106   0.00004   0.00000   0.00041   0.00030
+   0.18754   0.04469   0.05082   0.00099   0.00006   0.00000   0.00039   0.00029
+   0.17700   0.04197   0.04493   0.00093   0.00007   0.00000   0.00038   0.00028
+   0.16665   0.03931   0.03954   0.00087   0.00008   0.00000   0.00036   0.00027
+   0.15820   0.03715   0.03537   0.00082   0.00008   0.00000   0.00035   0.00026
+   0.15046   0.03518   0.03173   0.00078   0.00009   0.00000   0.00033   0.00026
+   0.14480   0.03375   0.02927   0.00075   0.00009   0.00000   0.00032   0.00025
+   0.13342   0.03089   0.02454   0.00068   0.00009   0.00000   0.00030   0.00023
+   0.12452   0.02867   0.02112   0.00063   0.00009   0.00001   0.00028   0.00022
+   0.11542   0.02642   0.01789   0.00058   0.00009   0.00002   0.00026   0.00021
+   0.10676   0.02429   0.01509   0.00053   0.00009   0.00002   0.00025   0.00019
+   0.09954   0.02252   0.01296   0.00049   0.00009   0.00003   0.00023   0.00018
+   0.09281   0.02089   0.01114   0.00045   0.00009   0.00003   0.00021   0.00017
+   0.08770   0.01965   0.00989   0.00042   0.00008   0.00003   0.00020   0.00016
+   0.08188   0.01826   0.00856   0.00039   0.00008   0.00003   0.00019   0.00015
+   0.07707   0.01711   0.00753   0.00036   0.00008   0.00003   0.00018   0.00014
+   0.07297   0.01614   0.00672   0.00034   0.00007   0.00003   0.00017   0.00014
+   0.06814   0.01500   0.00584   0.00031   0.00007   0.00003   0.00015   0.00013
+   0.06390   0.01400   0.00512   0.00029   0.00007   0.00003   0.00014   0.00012
+   0.06017   0.01313   0.00453   0.00027   0.00006   0.00003   0.00014   0.00011
+   0.05676   0.01233   0.00404   0.00025   0.00006   0.00003   0.00013   0.00010
+   0.05359   0.01160   0.00360   0.00023   0.00006   0.00003   0.00012   0.00010
+   0.05077   0.01095   0.00324   0.00022   0.00005   0.00003   0.00011   0.00009
+   0.04828   0.01038   0.00294   0.00021   0.00005   0.00003   0.00011   0.00009
+   0.04588   0.00983   0.00267   0.00019   0.00005   0.00003   0.00010   0.00008
+   0.04370   0.00933   0.00244   0.00018   0.00005   0.00003   0.00010   0.00008
+   0.04168   0.00887   0.00223   0.00017   0.00005   0.00002   0.00009   0.00007
+   0.03992   0.00848   0.00206   0.00016   0.00004   0.00002   0.00009   0.00007
+   0.03818   0.00808   0.00190   0.00016   0.00004   0.00002   0.00008   0.00007
+   0.03657   0.00772   0.00176   0.00015   0.00004   0.00002   0.00008   0.00006
+   0.03510   0.00739   0.00164   0.00014   0.00004   0.00002   0.00007   0.00006
+   0.03374   0.00709   0.00153   0.00013   0.00004   0.00002   0.00007   0.00006
+   0.03246   0.00681   0.00143   0.00013   0.00004   0.00002   0.00007   0.00006
+   0.23299   0.05482   0.09061   0.00099   0.00000   0.00000   0.00031   0.00018
+   0.21645   0.05059   0.07806   0.00091   0.00000   0.00000   0.00030   0.00019
+   0.19487   0.04512   0.06300   0.00082   0.00000   0.00000   0.00029   0.00019
+   0.18095   0.04163   0.05396   0.00076   0.00001   0.00000   0.00028   0.00018
+   0.16775   0.03834   0.04595   0.00070   0.00003   0.00000   0.00026   0.00018
+   0.15724   0.03574   0.04001   0.00065   0.00004   0.00000   0.00025   0.00018
+   0.14795   0.03346   0.03514   0.00061   0.00005   0.00000   0.00024   0.00017
+   0.13887   0.03125   0.03071   0.00057   0.00005   0.00000   0.00023   0.00017
+   0.13148   0.02945   0.02732   0.00053   0.00006   0.00000   0.00022   0.00016
+   0.12472   0.02782   0.02436   0.00050   0.00006   0.00000   0.00021   0.00016
+   0.11980   0.02664   0.02238   0.00048   0.00006   0.00000   0.00021   0.00015
+   0.10993   0.02428   0.01860   0.00044   0.00006   0.00000   0.00019   0.00015
+   0.10223   0.02246   0.01589   0.00040   0.00006   0.00001   0.00018   0.00014
+   0.09441   0.02061   0.01335   0.00037   0.00006   0.00001   0.00017   0.00013
+   0.08699   0.01888   0.01117   0.00034   0.00006   0.00001   0.00016   0.00012
+   0.08082   0.01744   0.00952   0.00031   0.00006   0.00002   0.00015   0.00011
+   0.07510   0.01612   0.00813   0.00028   0.00006   0.00002   0.00014   0.00011
+   0.07077   0.01513   0.00718   0.00026   0.00005   0.00002   0.00013   0.00010
+   0.06586   0.01401   0.00617   0.00024   0.00005   0.00002   0.00012   0.00009
+   0.06181   0.01309   0.00539   0.00023   0.00005   0.00002   0.00011   0.00009
+   0.05837   0.01232   0.00479   0.00021   0.00005   0.00002   0.00010   0.00008
+   0.05432   0.01141   0.00414   0.00019   0.00004   0.00002   0.00010   0.00008
+   0.05079   0.01062   0.00361   0.00018   0.00004   0.00002   0.00009   0.00007
+   0.04769   0.00993   0.00317   0.00017   0.00004   0.00002   0.00008   0.00007
+   0.04487   0.00930   0.00282   0.00015   0.00004   0.00002   0.00008   0.00006
+   0.04224   0.00873   0.00250   0.00014   0.00004   0.00002   0.00007   0.00006
+   0.03992   0.00822   0.00224   0.00013   0.00003   0.00002   0.00007   0.00006
+   0.03788   0.00777   0.00203   0.00013   0.00003   0.00002   0.00007   0.00005
+   0.03591   0.00734   0.00183   0.00012   0.00003   0.00002   0.00006   0.00005
+   0.03413   0.00696   0.00167   0.00011   0.00003   0.00002   0.00006   0.00005
+   0.03248   0.00660   0.00152   0.00011   0.00003   0.00002   0.00006   0.00004
+   0.03105   0.00629   0.00140   0.00010   0.00003   0.00002   0.00005   0.00004
+   0.02963   0.00599   0.00129   0.00009   0.00003   0.00001   0.00005   0.00004
+   0.02833   0.00571   0.00119   0.00009   0.00003   0.00001   0.00005   0.00004
+   0.02714   0.00545   0.00110   0.00009   0.00002   0.00001   0.00004   0.00004
+   0.02605   0.00522   0.00103   0.00008   0.00002   0.00001   0.00004   0.00004
+   0.02502   0.00500   0.00096   0.00008   0.00002   0.00001   0.00004   0.00003
+   0.16267   0.03458   0.05895   0.00039   0.00000   0.00000   0.00012   0.00006
+   0.14991   0.03165   0.04987   0.00036   0.00000   0.00000   0.00012   0.00006
+   0.13345   0.02792   0.03926   0.00032   0.00000   0.00000   0.00011   0.00007
+   0.12294   0.02556   0.03304   0.00029   0.00001   0.00000   0.00011   0.00007
+   0.11306   0.02335   0.02764   0.00027   0.00001   0.00000   0.00010   0.00007
+   0.10525   0.02162   0.02370   0.00025   0.00002   0.00000   0.00010   0.00006
+   0.09841   0.02011   0.02053   0.00023   0.00002   0.00000   0.00009   0.00006
+   0.09176   0.01866   0.01769   0.00021   0.00002   0.00000   0.00009   0.00006
+   0.08639   0.01749   0.01554   0.00020   0.00002   0.00000   0.00008   0.00006
+   0.08150   0.01643   0.01368   0.00019   0.00002   0.00000   0.00008   0.00006
+   0.07797   0.01567   0.01247   0.00018   0.00002   0.00000   0.00008   0.00006
+   0.07092   0.01416   0.01017   0.00016   0.00002   0.00000   0.00007   0.00005
+   0.06547   0.01300   0.00855   0.00015   0.00002   0.00000   0.00007   0.00005
+   0.05998   0.01184   0.00706   0.00013   0.00002   0.00000   0.00006   0.00005
+   0.05482   0.01076   0.00581   0.00012   0.00002   0.00001   0.00006   0.00004
+   0.05056   0.00987   0.00487   0.00011   0.00002   0.00001   0.00005   0.00004
+   0.04664   0.00905   0.00410   0.00010   0.00002   0.00001   0.00005   0.00004
+   0.04371   0.00845   0.00358   0.00009   0.00002   0.00001   0.00005   0.00004
+   0.04039   0.00777   0.00303   0.00009   0.00002   0.00001   0.00004   0.00003
+   0.03767   0.00721   0.00262   0.00008   0.00002   0.00001   0.00004   0.00003
+   0.03538   0.00675   0.00230   0.00007   0.00002   0.00001   0.00004   0.00003
+   0.03271   0.00621   0.00196   0.00007   0.00002   0.00001   0.00003   0.00003
+   0.03038   0.00574   0.00169   0.00006   0.00002   0.00001   0.00003   0.00003
+   0.02836   0.00534   0.00147   0.00006   0.00002   0.00001   0.00003   0.00002
+   0.02653   0.00497   0.00129   0.00005   0.00001   0.00001   0.00003   0.00002
+   0.02483   0.00464   0.00113   0.00005   0.00001   0.00001   0.00003   0.00002
+   0.02334   0.00434   0.00101   0.00005   0.00001   0.00001   0.00002   0.00002
+   0.02204   0.00409   0.00091   0.00004   0.00001   0.00001   0.00002   0.00002
+   0.02079   0.00384   0.00081   0.00004   0.00001   0.00001   0.00002   0.00002
+   0.01967   0.00363   0.00073   0.00004   0.00001   0.00001   0.00002   0.00002
+   0.01863   0.00342   0.00066   0.00003   0.00001   0.00001   0.00002   0.00002
+   0.01774   0.00325   0.00061   0.00003   0.00001   0.00001   0.00002   0.00001
+   0.01686   0.00308   0.00056   0.00003   0.00001   0.00001   0.00002   0.00001
+   0.01605   0.00293   0.00051   0.00003   0.00001   0.00001   0.00002   0.00001
+   0.01532   0.00278   0.00047   0.00003   0.00001   0.00000   0.00001   0.00001
+   0.01465   0.00266   0.00044   0.00003   0.00001   0.00000   0.00001   0.00001
+   0.01402   0.00254   0.00040   0.00002   0.00001   0.00000   0.00001   0.00001
+   0.10529   0.01998   0.03584   0.00013   0.00000   0.00000   0.00004   0.00002
+   0.09618   0.01813   0.02973   0.00012   0.00000   0.00000   0.00004   0.00002
+   0.08457   0.01580   0.02278   0.00010   0.00000   0.00000   0.00003   0.00002
+   0.07724   0.01434   0.01880   0.00009   0.00000   0.00000   0.00003   0.00002
+   0.07041   0.01299   0.01542   0.00008   0.00000   0.00000   0.00003   0.00002
+   0.06506   0.01193   0.01301   0.00008   0.00001   0.00000   0.00003   0.00002
+   0.06041   0.01103   0.01109   0.00007   0.00001   0.00000   0.00003   0.00002
+   0.05593   0.01016   0.00941   0.00007   0.00001   0.00000   0.00003   0.00002
+   0.05233   0.00946   0.00815   0.00006   0.00001   0.00000   0.00003   0.00002
+   0.04907   0.00884   0.00708   0.00006   0.00001   0.00000   0.00002   0.00002
+   0.04674   0.00839   0.00639   0.00005   0.00001   0.00000   0.00002   0.00002
+   0.04211   0.00751   0.00510   0.00005   0.00001   0.00000   0.00002   0.00002
+   0.03857   0.00684   0.00422   0.00004   0.00001   0.00000   0.00002   0.00002
+   0.03503   0.00618   0.00342   0.00004   0.00001   0.00000   0.00002   0.00001
+   0.03173   0.00556   0.00276   0.00004   0.00001   0.00000   0.00002   0.00001
+   0.02903   0.00506   0.00227   0.00003   0.00001   0.00000   0.00002   0.00001
+   0.02657   0.00461   0.00188   0.00003   0.00001   0.00000   0.00001   0.00001
+   0.02474   0.00427   0.00162   0.00003   0.00001   0.00000   0.00001   0.00001
+   0.02269   0.00390   0.00135   0.00002   0.00001   0.00000   0.00001   0.00001
+   0.02102   0.00360   0.00115   0.00002   0.00001   0.00000   0.00001   0.00001
+   0.01963   0.00335   0.00100   0.00002   0.00001   0.00000   0.00001   0.00001
+   0.01801   0.00305   0.00084   0.00002   0.00001   0.00000   0.00001   0.00001
+   0.01661   0.00281   0.00071   0.00002   0.00001   0.00000   0.00001   0.00001
+   0.01540   0.00259   0.00061   0.00002   0.00000   0.00000   0.00001   0.00001
+   0.01432   0.00240   0.00053   0.00001   0.00000   0.00000   0.00001   0.00001
+   0.01332   0.00222   0.00046   0.00001   0.00000   0.00000   0.00001   0.00001
+   0.01245   0.00207   0.00041   0.00001   0.00000   0.00000   0.00001   0.00001
+   0.01169   0.00194   0.00036   0.00001   0.00000   0.00000   0.00001   0.00001
+   0.01097   0.00181   0.00032   0.00001   0.00000   0.00000   0.00001   0.00000
+   0.01033   0.00170   0.00029   0.00001   0.00000   0.00000   0.00001   0.00000
+   0.00973   0.00160   0.00026   0.00001   0.00000   0.00000   0.00000   0.00000
+   0.00922   0.00151   0.00024   0.00001   0.00000   0.00000   0.00000   0.00000
+   0.00872   0.00143   0.00021   0.00001   0.00000   0.00000   0.00000   0.00000
+   0.00827   0.00135   0.00020   0.00001   0.00000   0.00000   0.00000   0.00000
+   0.00786   0.00128   0.00018   0.00001   0.00000   0.00000   0.00000   0.00000
+   0.00748   0.00121   0.00017   0.00001   0.00000   0.00000   0.00000   0.00000
+   0.00713   0.00115   0.00015   0.00001   0.00000   0.00000   0.00000   0.00000
+   0.06165   0.01027   0.01986   0.00003   0.00000   0.00000   0.00001   0.00001
+   0.05576   0.00923   0.01611   0.00003   0.00000   0.00000   0.00001   0.00000
+   0.04836   0.00793   0.01198   0.00002   0.00000   0.00000   0.00001   0.00000
+   0.04374   0.00713   0.00967   0.00002   0.00000   0.00000   0.00001   0.00000
+   0.03948   0.00639   0.00776   0.00002   0.00000   0.00000   0.00001   0.00000
+   0.03618   0.00583   0.00642   0.00002   0.00000   0.00000   0.00001   0.00000
+   0.03333   0.00534   0.00538   0.00002   0.00000   0.00000   0.00001   0.00000
+   0.03061   0.00488   0.00449   0.00001   0.00000   0.00000   0.00001   0.00000
+   0.02845   0.00452   0.00383   0.00001   0.00000   0.00000   0.00000   0.00000
+   0.02649   0.00419   0.00327   0.00001   0.00000   0.00000   0.00000   0.00000
+   0.02511   0.00396   0.00292   0.00001   0.00000   0.00000   0.00000   0.00000
+   0.02238   0.00350   0.00228   0.00001   0.00000   0.00000   0.00000   0.00000
+   0.02032   0.00316   0.00185   0.00001   0.00000   0.00000   0.00000   0.00000
+   0.01827   0.00283   0.00146   0.00001   0.00000   0.00000   0.00000   0.00000
+   0.01639   0.00252   0.00116   0.00001   0.00000   0.00000   0.00000   0.00000
+   0.01486   0.00227   0.00093   0.00001   0.00000   0.00000   0.00000   0.00000
+   0.01348   0.00205   0.00076   0.00001   0.00000   0.00000   0.00000   0.00000
+   0.01246   0.00189   0.00064   0.00001   0.00000   0.00000   0.00000   0.00000
+   0.01133   0.00171   0.00053   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.01042   0.00157   0.00044   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00966   0.00145   0.00038   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00879   0.00131   0.00031   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00805   0.00119   0.00026   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00740   0.00109   0.00022   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00684   0.00101   0.00019   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00632   0.00093   0.00016   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00586   0.00086   0.00014   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00548   0.00080   0.00013   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00510   0.00074   0.00011   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00478   0.00069   0.00010   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00448   0.00065   0.00009   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00422   0.00061   0.00008   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00397   0.00057   0.00007   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00375   0.00054   0.00006   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00354   0.00051   0.00006   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00336   0.00048   0.00005   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00319   0.00045   0.00005   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.03131   0.00446   0.00962   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.02800   0.00397   0.00761   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.02390   0.00335   0.00546   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.02137   0.00298   0.00430   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.01907   0.00264   0.00336   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.01730   0.00239   0.00272   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.01580   0.00217   0.00223   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.01437   0.00196   0.00182   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.01325   0.00180   0.00153   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.01224   0.00166   0.00128   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.01154   0.00156   0.00113   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.01016   0.00136   0.00086   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00912   0.00122   0.00068   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00811   0.00108   0.00052   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00719   0.00095   0.00040   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00645   0.00085   0.00032   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00579   0.00076   0.00025   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00531   0.00069   0.00021   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00478   0.00062   0.00017   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00436   0.00056   0.00014   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00401   0.00051   0.00012   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00361   0.00046   0.00010   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00328   0.00042   0.00008   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00299   0.00038   0.00007   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00274   0.00035   0.00006   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00251   0.00032   0.00005   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00231   0.00029   0.00004   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00214   0.00027   0.00004   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00198   0.00025   0.00003   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00184   0.00023   0.00003   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00172   0.00021   0.00002   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00161   0.00020   0.00002   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00150   0.00019   0.00002   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00141   0.00017   0.00002   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00133   0.00016   0.00002   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00125   0.00015   0.00002   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00118   0.00014   0.00001   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00348   0.00031   0.00100   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00301   0.00027   0.00074   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00245   0.00022   0.00048   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00212   0.00019   0.00035   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00183   0.00016   0.00025   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00162   0.00014   0.00019   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00144   0.00012   0.00015   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00127   0.00011   0.00011   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00115   0.00010   0.00009   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00103   0.00009   0.00007   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00096   0.00008   0.00006   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00081   0.00007   0.00004   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00071   0.00006   0.00003   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00061   0.00005   0.00002   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00052   0.00004   0.00002   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00046   0.00004   0.00001   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00040   0.00003   0.00001   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00036   0.00003   0.00001   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00031   0.00003   0.00001   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00028   0.00002   0.00001   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00025   0.00002   0.00000   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00022   0.00002   0.00000   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00019   0.00002   0.00000   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00017   0.00001   0.00000   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00015   0.00001   0.00000   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00014   0.00001   0.00000   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00012   0.00001   0.00000   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00011   0.00001   0.00000   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00010   0.00001   0.00000   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00009   0.00001   0.00000   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00008   0.00001   0.00000   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00008   0.00001   0.00000   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00007   0.00001   0.00000   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00006   0.00001   0.00000   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00006   0.00001   0.00000   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00006   0.00001   0.00000   0.00000   0.00000   0.00000   0.00000   0.00000
+   0.00005   0.00001   0.00000   0.00000   0.00000   0.00000   0.00000   0.00000

=== added file 'Template/makefile'
--- Template/makefile	1970-01-01 00:00:00 +0000
+++ Template/makefile	2010-10-30 03:26:37 +0000
@@ -0,0 +1,27 @@
+FILES = Cards HTML SubProcesses bin lib Source Events index.html README \
+        TemplateVersion.txt MGMEVersion.txt
+
+madevent.tar.gz: madevent.tar
+	rm -f madevent.tar.gz
+	gzip madevent.tar
+
+madevent.tar: 
+	tar cf madevent.tar $(FILES)
+
+gridpack.tar.gz: gridpack.tar
+	rm -f gridpack.tar.gz
+	gzip gridpack.tar
+
+gridpack.tar: 
+	mv Events Events1
+	mkdir Events
+	cp Events1/banner_header.txt Events/
+	mkdir madevent
+	cp bin/run.sh ./
+	mv -f $(FILES) madevent
+	tar -cf gridpack.tar madevent run.sh
+	mv -f madevent/* ./ 
+	rmdir madevent
+	rm run.sh
+	rm -rf Events
+	mv Events1 Events

